/*
 * Code generated by Speakeasy (https://speakeasy.com). DO NOT EDIT.
 */
import { expect, test } from "vitest";
import { Vercel } from "../index.js";
import { createTestHTTPClient } from "./testclient.js";
test("Deployments Get Deployment Events", async () => {
    const testHttpClient = createTestHTTPClient("getDeploymentEvents");
    const vercel = new Vercel({
        serverURL: process.env["TEST_SERVER_URL"] ?? "http://localhost:18080",
        httpClient: testHttpClient,
        bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
    });
    const result = await vercel.deployments.getDeploymentEvents({
        idOrUrl: "dpl_5WJWYSyB7BpgTj3EuwF37WMRBXBtPQ2iTMJHJBJyRfd",
        follow: 1,
        limit: 100,
        name: "bld_cotnkcr76",
        since: 1540095775941,
        until: 1540106318643,
        statusCode: "5xx",
        delimiter: 1,
        builds: 1,
        teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
        slug: "my-team-url-slug",
    });
    expect(result).toBeDefined();
});
test("Deployments Update Integration Deployment Action", async () => {
    const testHttpClient = createTestHTTPClient("update-integration-deployment-action");
    const vercel = new Vercel({
        serverURL: process.env["TEST_SERVER_URL"] ?? "http://localhost:18080",
        httpClient: testHttpClient,
        bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
    });
    await vercel.deployments.updateIntegrationDeploymentAction({
        deploymentId: "<id>",
        integrationConfigurationId: "<id>",
        resourceId: "<id>",
        action: "<value>",
    });
});
test("Deployments Get Deployment", async () => {
    const testHttpClient = createTestHTTPClient("getDeployment");
    const vercel = new Vercel({
        serverURL: process.env["TEST_SERVER_URL"] ?? "http://localhost:18080",
        httpClient: testHttpClient,
        bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
    });
    const result = await vercel.deployments.getDeployment({
        idOrUrl: "dpl_89qyp1cskzkLrVicDaZoDbjyHuDJ",
        withGitRepoInfo: "true",
        teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
        slug: "my-team-url-slug",
    });
    expect(result).toBeDefined();
});
test("Deployments Create Deployment", async () => {
    const testHttpClient = createTestHTTPClient("createDeployment");
    const vercel = new Vercel({
        serverURL: process.env["TEST_SERVER_URL"] ?? "http://localhost:18080",
        httpClient: testHttpClient,
        bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
    });
    const result = await vercel.deployments.createDeployment({
        teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
        slug: "my-team-url-slug",
        requestBody: {
            deploymentId: "dpl_2qn7PZrx89yxY34vEZPD31Y9XVj6",
            files: [
                {
                    file: "folder/file.js",
                },
                {
                    file: "folder/file.js",
                },
            ],
            gitMetadata: {
                remoteUrl: "https://github.com/vercel/next.js",
                commitAuthorName: "kyliau",
                commitMessage: "add method to measure Interaction to Next Paint (INP) (#36490)",
                commitRef: "main",
                commitSha: "dc36199b2234c6586ebe05ec94078a895c707e29",
                dirty: true,
            },
            gitSource: {
                ref: "main",
                repoId: 123456789,
                sha: "a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6q7r8s9t0",
                type: "github",
            },
            meta: {
                "foo": "bar",
            },
            name: "my-instant-deployment",
            project: "my-deployment-project",
            projectSettings: {
                buildCommand: "next build",
                installCommand: "pnpm install",
            },
            target: "production",
        },
    });
    expect(result).toBeDefined();
});
test("Deployments Cancel Deployment", async () => {
    const testHttpClient = createTestHTTPClient("cancelDeployment");
    const vercel = new Vercel({
        serverURL: process.env["TEST_SERVER_URL"] ?? "http://localhost:18080",
        httpClient: testHttpClient,
        bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
    });
    const result = await vercel.deployments.cancelDeployment({
        id: "dpl_5WJWYSyB7BpgTj3EuwF37WMRBXBtPQ2iTMJHJBJyRfd",
        teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
        slug: "my-team-url-slug",
    });
    expect(result).toBeDefined();
});
test("Deployments Upload File", async () => {
    const testHttpClient = createTestHTTPClient("uploadFile");
    const vercel = new Vercel({
        serverURL: process.env["TEST_SERVER_URL"] ?? "http://localhost:18080",
        httpClient: testHttpClient,
        bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
    });
    const result = await vercel.deployments.uploadFile({
        teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
        slug: "my-team-url-slug",
    });
    expect(result).toBeDefined();
});
test("Deployments List Deployment Files", async () => {
    const testHttpClient = createTestHTTPClient("listDeploymentFiles");
    const vercel = new Vercel({
        serverURL: process.env["TEST_SERVER_URL"] ?? "http://localhost:18080",
        httpClient: testHttpClient,
        bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
    });
    const result = await vercel.deployments.listDeploymentFiles({
        id: "<id>",
        teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
        slug: "my-team-url-slug",
    });
    expect(result).toBeDefined();
});
test("Deployments Get Deployment File Contents", async () => {
    const testHttpClient = createTestHTTPClient("getDeploymentFileContents");
    const vercel = new Vercel({
        serverURL: process.env["TEST_SERVER_URL"] ?? "http://localhost:18080",
        httpClient: testHttpClient,
        bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
    });
    await vercel.deployments.getDeploymentFileContents({
        id: "<id>",
        fileId: "<id>",
        teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
        slug: "my-team-url-slug",
    });
});
test("Deployments Get Deployments", async () => {
    const testHttpClient = createTestHTTPClient("getDeployments");
    const vercel = new Vercel({
        serverURL: process.env["TEST_SERVER_URL"] ?? "http://localhost:18080",
        httpClient: testHttpClient,
        bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
    });
    const result = await vercel.deployments.getDeployments({
        app: "docs",
        from: 1612948664566,
        limit: 10,
        projectId: "QmXGTs7mvAMMC7WW5ebrM33qKG32QK3h4vmQMjmY",
        target: "production",
        to: 1612948664566,
        users: "kr1PsOIzqEL5Xg6M4VZcZosf,K4amb7K9dAt5R2vBJWF32bmY",
        since: 1540095775941,
        until: 1540095775951,
        state: "BUILDING,READY",
        teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
        slug: "my-team-url-slug",
    });
    expect(result).toBeDefined();
});
test("Deployments Delete Deployment", async () => {
    const testHttpClient = createTestHTTPClient("deleteDeployment");
    const vercel = new Vercel({
        serverURL: process.env["TEST_SERVER_URL"] ?? "http://localhost:18080",
        httpClient: testHttpClient,
        bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
    });
    const result = await vercel.deployments.deleteDeployment({
        id: "dpl_5WJWYSyB7BpgTj3EuwF37WMRBXBtPQ2iTMJHJBJyRfd",
        url: "https://files-orcin-xi.vercel.app/",
        teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
        slug: "my-team-url-slug",
    });
    expect(result).toBeDefined();
});
//# sourceMappingURL=deployments.test.js.map