/*
 * Code generated by Speakeasy (https://speakeasy.com). DO NOT EDIT.
 */
import { expect, test } from "vitest";
import { Vercel } from "../index.js";
import { createTestHTTPClient } from "./testclient.js";
test("Dns Update Record", async () => {
    const testHttpClient = createTestHTTPClient("updateRecord");
    const vercel = new Vercel({
        serverURL: process.env["TEST_SERVER_URL"] ?? "http://localhost:18080",
        httpClient: testHttpClient,
        bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
    });
    const result = await vercel.dns.updateRecord({
        recordId: "rec_2qn7pzrx89yxy34vezpd31y9",
        teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
        slug: "my-team-url-slug",
        requestBody: {
            name: "example-1",
            value: "google.com",
            type: "A",
            ttl: 60,
            srv: {
                target: "example2.com.",
                weight: 97604,
                port: 570172,
                priority: 199524,
            },
            https: {
                priority: 35000,
                target: "example2.com.",
            },
            comment: "used to verify ownership of domain",
        },
    });
    expect(result).toBeDefined();
});
test("Dns Remove Record", async () => {
    const testHttpClient = createTestHTTPClient("removeRecord");
    const vercel = new Vercel({
        serverURL: process.env["TEST_SERVER_URL"] ?? "http://localhost:18080",
        httpClient: testHttpClient,
        bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
    });
    const result = await vercel.dns.removeRecord({
        domain: "example.com",
        recordId: "rec_V0fra8eEgQwEpFhYG2vTzC3K",
        teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
        slug: "my-team-url-slug",
    });
    expect(result).toBeDefined();
});
//# sourceMappingURL=dns.test.js.map