/*
 * Code generated by Speakeasy (https://speakeasy.com). DO NOT EDIT.
 */
import { assert, expect, it, test } from "vitest";
import { Vercel } from "../index.js";
import { createTestHTTPClient } from "./testclient.js";
test("Domains Buy Domain", async () => {
    const testHttpClient = createTestHTTPClient("buyDomain");
    const vercel = new Vercel({
        serverURL: process.env["TEST_SERVER_URL"] ?? "http://localhost:18080",
        httpClient: testHttpClient,
        bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
    });
    const result = await vercel.domains.buyDomain({
        teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
        slug: "my-team-url-slug",
        requestBody: {
            name: "example.com",
            expectedPrice: 10,
            renew: true,
            country: "US",
            orgName: "Acme Inc.",
            firstName: "Jane",
            lastName: "Doe",
            address1: "340 S Lemon Ave Suite 4133",
            city: "San Francisco",
            state: "CA",
            postalCode: "91789",
            phone: "+1.4158551452",
            email: "jane.doe@someplace.com",
        },
    });
    expect(result).toBeDefined();
});
test("Domains Check Domain Price", async () => {
    const testHttpClient = createTestHTTPClient("checkDomainPrice");
    const vercel = new Vercel({
        serverURL: process.env["TEST_SERVER_URL"] ?? "http://localhost:18080",
        httpClient: testHttpClient,
        bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
    });
    const result = await vercel.domains.checkDomainPrice({
        name: "example.com",
        type: "new",
        teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
        slug: "my-team-url-slug",
    });
    expect(result).toBeDefined();
});
test("Domains Check Domain Status", async () => {
    const testHttpClient = createTestHTTPClient("checkDomainStatus");
    const vercel = new Vercel({
        serverURL: process.env["TEST_SERVER_URL"] ?? "http://localhost:18080",
        httpClient: testHttpClient,
        bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
    });
    const result = await vercel.domains.checkDomainStatus({
        name: "example.com",
        teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
        slug: "my-team-url-slug",
    });
    expect(result).toBeDefined();
});
test("Domains Get Domain Transfer", async () => {
    const testHttpClient = createTestHTTPClient("getDomainTransfer");
    const vercel = new Vercel({
        serverURL: process.env["TEST_SERVER_URL"] ?? "http://localhost:18080",
        httpClient: testHttpClient,
        bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
    });
    const result = await vercel.domains.getDomainTransfer({
        teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
        slug: "my-team-url-slug",
        domain: "example.com",
    });
    expect(result).toBeDefined();
});
test("Domains Get Domain Config", async () => {
    const testHttpClient = createTestHTTPClient("getDomainConfig");
    const vercel = new Vercel({
        serverURL: process.env["TEST_SERVER_URL"] ?? "http://localhost:18080",
        httpClient: testHttpClient,
        bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
    });
    const result = await vercel.domains.getDomainConfig({
        domain: "example.com",
        teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
        slug: "my-team-url-slug",
    });
    expect(result).toBeDefined();
});
test("Domains Get Domain", async () => {
    const testHttpClient = createTestHTTPClient("getDomain");
    const vercel = new Vercel({
        serverURL: process.env["TEST_SERVER_URL"] ?? "http://localhost:18080",
        httpClient: testHttpClient,
        bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
    });
    const result = await vercel.domains.getDomain({
        domain: "example.com",
        teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
        slug: "my-team-url-slug",
    });
    expect(result).toBeDefined();
});
test("Domains Get Domains", async () => {
    const testHttpClient = createTestHTTPClient("getDomains");
    const vercel = new Vercel({
        serverURL: process.env["TEST_SERVER_URL"] ?? "http://localhost:18080",
        httpClient: testHttpClient,
        bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
    });
    const result = await vercel.domains.getDomains({
        limit: 20,
        since: 1609499532000,
        until: 1612264332000,
        teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
        slug: "my-team-url-slug",
    });
    expect(result).toBeDefined();
});
it.skip("Domains Create Or Transfer Domain", async () => {
    assert.fail("incomplete test found please make sure to address the following errors: [`workflow step createOrTransferDomain.test referencing operation createOrTransferDomain not found in document`]");
});
test("Domains Delete Domain", async () => {
    const testHttpClient = createTestHTTPClient("deleteDomain");
    const vercel = new Vercel({
        serverURL: process.env["TEST_SERVER_URL"] ?? "http://localhost:18080",
        httpClient: testHttpClient,
        bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
    });
    const result = await vercel.domains.deleteDomain({
        domain: "example.com",
        teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
        slug: "my-team-url-slug",
    });
    expect(result).toBeDefined();
});
//# sourceMappingURL=domains.test.js.map