/*
 * Code generated by Speakeasy (https://speakeasy.com). DO NOT EDIT.
 */
import { expect, test } from "vitest";
import { Vercel } from "../index.js";
import { createTestHTTPClient } from "./testclient.js";
test("Projects Update Project Data Cache", async () => {
    const testHttpClient = createTestHTTPClient("updateProjectDataCache");
    const vercel = new Vercel({
        serverURL: process.env["TEST_SERVER_URL"] ?? "http://localhost:18080",
        httpClient: testHttpClient,
        bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
    });
    const result = await vercel.projects.updateProjectDataCache({
        projectId: "prj_12HKQaOmR5t5Uy6vdcQsNIiZgHGB",
        teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
        slug: "my-team-url-slug",
        requestBody: {
            disabled: true,
        },
    });
    expect(result).toBeDefined();
});
test("Projects Get Projects", async () => {
    const testHttpClient = createTestHTTPClient("getProjects");
    const vercel = new Vercel({
        serverURL: process.env["TEST_SERVER_URL"] ?? "http://localhost:18080",
        httpClient: testHttpClient,
        bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
    });
    const result = await vercel.projects.getProjects({
        gitForkProtection: "1",
        repoUrl: "https://github.com/vercel/next.js",
        teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
        slug: "my-team-url-slug",
    });
    expect(result).toBeDefined();
});
test("Projects Create Project", async () => {
    const testHttpClient = createTestHTTPClient("createProject");
    const vercel = new Vercel({
        serverURL: process.env["TEST_SERVER_URL"] ?? "http://localhost:18080",
        httpClient: testHttpClient,
        bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
    });
    const result = await vercel.projects.createProject({
        teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
        slug: "my-team-url-slug",
        requestBody: {
            name: "a-project-name",
        },
    });
    expect(result).toBeDefined();
});
test("Projects Update Project", async () => {
    const testHttpClient = createTestHTTPClient("updateProject");
    const vercel = new Vercel({
        serverURL: process.env["TEST_SERVER_URL"] ?? "http://localhost:18080",
        httpClient: testHttpClient,
        bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
    });
    const result = await vercel.projects.updateProject({
        idOrName: "prj_12HKQaOmR5t5Uy6vdcQsNIiZgHGB",
        teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
        slug: "my-team-url-slug",
        requestBody: {
            name: "a-project-name",
        },
    });
    expect(result).toBeDefined();
});
test("Projects Delete Project", async () => {
    const testHttpClient = createTestHTTPClient("deleteProject");
    const vercel = new Vercel({
        serverURL: process.env["TEST_SERVER_URL"] ?? "http://localhost:18080",
        httpClient: testHttpClient,
        bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
    });
    await vercel.projects.deleteProject({
        idOrName: "prj_12HKQaOmR5t5Uy6vdcQsNIiZgHGB",
        teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
        slug: "my-team-url-slug",
    });
});
test("Projects Get Project Domains", async () => {
    const testHttpClient = createTestHTTPClient("getProjectDomains");
    const vercel = new Vercel({
        serverURL: process.env["TEST_SERVER_URL"] ?? "http://localhost:18080",
        httpClient: testHttpClient,
        bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
    });
    const result = await vercel.projects.getProjectDomains({
        idOrName: "<value>",
        customEnvironmentId: "env_123abc4567",
        redirect: "example.com",
        limit: 20,
        since: 1609499532000,
        until: 1612264332000,
        teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
        slug: "my-team-url-slug",
    });
    expect(result).toBeDefined();
});
test("Projects Get Project Domain", async () => {
    const testHttpClient = createTestHTTPClient("getProjectDomain");
    const vercel = new Vercel({
        serverURL: process.env["TEST_SERVER_URL"] ?? "http://localhost:18080",
        httpClient: testHttpClient,
        bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
    });
    const result = await vercel.projects.getProjectDomain({
        idOrName: "<value>",
        domain: "www.example.com",
        teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
        slug: "my-team-url-slug",
    });
    expect(result).toBeDefined();
});
test("Projects Update Project Domain", async () => {
    const testHttpClient = createTestHTTPClient("updateProjectDomain");
    const vercel = new Vercel({
        serverURL: process.env["TEST_SERVER_URL"] ?? "http://localhost:18080",
        httpClient: testHttpClient,
        bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
    });
    const result = await vercel.projects.updateProjectDomain({
        idOrName: "<value>",
        domain: "www.example.com",
        teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
        slug: "my-team-url-slug",
        requestBody: {
            gitBranch: null,
            redirect: "foobar.com",
            redirectStatusCode: 307,
        },
    });
    expect(result).toBeDefined();
});
test("Projects Remove Project Domain", async () => {
    const testHttpClient = createTestHTTPClient("removeProjectDomain");
    const vercel = new Vercel({
        serverURL: process.env["TEST_SERVER_URL"] ?? "http://localhost:18080",
        httpClient: testHttpClient,
        bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
    });
    const result = await vercel.projects.removeProjectDomain({
        idOrName: "<value>",
        domain: "www.example.com",
        teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
        slug: "my-team-url-slug",
    });
    expect(result).toBeDefined();
});
test("Projects Add Project Domain", async () => {
    const testHttpClient = createTestHTTPClient("addProjectDomain");
    const vercel = new Vercel({
        serverURL: process.env["TEST_SERVER_URL"] ?? "http://localhost:18080",
        httpClient: testHttpClient,
        bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
    });
    const result = await vercel.projects.addProjectDomain({
        idOrName: "<value>",
        teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
        slug: "my-team-url-slug",
        requestBody: {
            name: "www.example.com",
            gitBranch: null,
            redirect: "foobar.com",
            redirectStatusCode: 307,
        },
    });
    expect(result).toBeDefined();
});
test("Projects Move Project Domain", async () => {
    const testHttpClient = createTestHTTPClient("moveProjectDomain");
    const vercel = new Vercel({
        serverURL: process.env["TEST_SERVER_URL"] ?? "http://localhost:18080",
        httpClient: testHttpClient,
        bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
    });
    const result = await vercel.projects.moveProjectDomain({
        idOrName: "<value>",
        domain: "www.example.com",
        teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
        slug: "my-team-url-slug",
    });
    expect(result).toBeDefined();
});
test("Projects Verify Project Domain", async () => {
    const testHttpClient = createTestHTTPClient("verifyProjectDomain");
    const vercel = new Vercel({
        serverURL: process.env["TEST_SERVER_URL"] ?? "http://localhost:18080",
        httpClient: testHttpClient,
        bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
    });
    const result = await vercel.projects.verifyProjectDomain({
        idOrName: "prj_12HKQaOmR5t5Uy6vdcQsNIiZgHGB",
        domain: "example.com",
        teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
        slug: "my-team-url-slug",
    });
    expect(result).toBeDefined();
});
test("Projects Create Project Env", async () => {
    const testHttpClient = createTestHTTPClient("createProjectEnv");
    const vercel = new Vercel({
        serverURL: process.env["TEST_SERVER_URL"] ?? "http://localhost:18080",
        httpClient: testHttpClient,
        bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
    });
    const result = await vercel.projects.createProjectEnv({
        idOrName: "prj_XLKmu1DyR1eY7zq8UgeRKbA7yVLA",
        upsert: "true",
        teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
        slug: "my-team-url-slug",
        requestBody: [
            {
                key: "API_URL",
                value: "https://api.vercel.com",
                type: "plain",
                target: [
                    "preview",
                ],
                gitBranch: "feature-1",
                comment: "database connection string for production",
                customEnvironmentIds: [
                    "env_1234567890",
                ],
            },
        ],
    });
    expect(result).toBeDefined();
});
test("Projects Get Project Env", async () => {
    const testHttpClient = createTestHTTPClient("getProjectEnv");
    const vercel = new Vercel({
        serverURL: process.env["TEST_SERVER_URL"] ?? "http://localhost:18080",
        httpClient: testHttpClient,
        bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
    });
    const result = await vercel.projects.getProjectEnv({
        idOrName: "prj_XLKmu1DyR1eY7zq8UgeRKbA7yVLA",
        id: "<id>",
        teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
        slug: "my-team-url-slug",
    });
    expect(result).toBeDefined();
});
test("Projects Remove Project Env", async () => {
    const testHttpClient = createTestHTTPClient("removeProjectEnv");
    const vercel = new Vercel({
        serverURL: process.env["TEST_SERVER_URL"] ?? "http://localhost:18080",
        httpClient: testHttpClient,
        bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
    });
    const result = await vercel.projects.removeProjectEnv({
        idOrName: "prj_XLKmu1DyR1eY7zq8UgeRKbA7yVLA",
        id: "XMbOEya1gUUO1ir4",
        customEnvironmentId: "env_123abc4567",
        teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
        slug: "my-team-url-slug",
    });
    expect(result).toBeDefined();
});
test("Projects Create Project Transfer Request", async () => {
    const testHttpClient = createTestHTTPClient("createProjectTransferRequest");
    const vercel = new Vercel({
        serverURL: process.env["TEST_SERVER_URL"] ?? "http://localhost:18080",
        httpClient: testHttpClient,
        bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
    });
    const result = await vercel.projects.createProjectTransferRequest({
        idOrName: "<value>",
        teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
        slug: "my-team-url-slug",
    });
    expect(result).toBeDefined();
});
test("Projects Accept Project Transfer Request", async () => {
    const testHttpClient = createTestHTTPClient("acceptProjectTransferRequest");
    const vercel = new Vercel({
        serverURL: process.env["TEST_SERVER_URL"] ?? "http://localhost:18080",
        httpClient: testHttpClient,
        bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
    });
    const result = await vercel.projects.acceptProjectTransferRequest({
        code: "<value>",
        teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
        slug: "my-team-url-slug",
        requestBody: {
            newProjectName: "a-project-name",
        },
    });
    expect(result).toBeDefined();
});
test("Projects Update Project Protection Bypass", async () => {
    const testHttpClient = createTestHTTPClient("updateProjectProtectionBypass");
    const vercel = new Vercel({
        serverURL: process.env["TEST_SERVER_URL"] ?? "http://localhost:18080",
        httpClient: testHttpClient,
        bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
    });
    const result = await vercel.projects.updateProjectProtectionBypass({
        idOrName: "<value>",
        teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
        slug: "my-team-url-slug",
        requestBody: {},
    });
    expect(result).toBeDefined();
});
test("Projects Request Promote", async () => {
    const testHttpClient = createTestHTTPClient("requestPromote");
    const vercel = new Vercel({
        serverURL: process.env["TEST_SERVER_URL"] ?? "http://localhost:18080",
        httpClient: testHttpClient,
        bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
    });
    await vercel.projects.requestPromote({
        projectId: "<id>",
        deploymentId: "<id>",
        teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
        slug: "my-team-url-slug",
    });
});
test("Projects List Promote Aliases", async () => {
    const testHttpClient = createTestHTTPClient("listPromoteAliases");
    const vercel = new Vercel({
        serverURL: process.env["TEST_SERVER_URL"] ?? "http://localhost:18080",
        httpClient: testHttpClient,
        bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
    });
    const result = await vercel.projects.listPromoteAliases({
        projectId: "<id>",
        limit: 20,
        since: 1609499532000,
        until: 1612264332000,
        teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
        slug: "my-team-url-slug",
    });
    expect(result).toBeDefined();
});
test("Projects Pause Project", async () => {
    const testHttpClient = createTestHTTPClient("pauseProject");
    const vercel = new Vercel({
        serverURL: process.env["TEST_SERVER_URL"] ?? "http://localhost:18080",
        httpClient: testHttpClient,
        bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
    });
    await vercel.projects.pauseProject({
        projectId: "<id>",
        teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
        slug: "my-team-url-slug",
    });
});
test("Projects Unpause Project", async () => {
    const testHttpClient = createTestHTTPClient("unpauseProject");
    const vercel = new Vercel({
        serverURL: process.env["TEST_SERVER_URL"] ?? "http://localhost:18080",
        httpClient: testHttpClient,
        bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
    });
    await vercel.projects.unpauseProject({
        projectId: "<id>",
        teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
        slug: "my-team-url-slug",
    });
});
//# sourceMappingURL=projects.test.js.map