/*
 * Code generated by Speakeasy (https://speakeasy.com). DO NOT EDIT.
 */
import { expect, test } from "vitest";
import { Vercel } from "../index.js";
import { createTestHTTPClient } from "./testclient.js";
test("Security Update Attack Challenge Mode", async () => {
    const testHttpClient = createTestHTTPClient("updateAttackChallengeMode");
    const vercel = new Vercel({
        serverURL: process.env["TEST_SERVER_URL"] ?? "http://localhost:18080",
        httpClient: testHttpClient,
        bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
    });
    const result = await vercel.security.updateAttackChallengeMode({
        teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
        slug: "my-team-url-slug",
        requestBody: {
            projectId: "<id>",
            attackModeEnabled: true,
        },
    });
    expect(result).toBeDefined();
});
test("Security Put Firewall Config", async () => {
    const testHttpClient = createTestHTTPClient("putFirewallConfig");
    const vercel = new Vercel({
        serverURL: process.env["TEST_SERVER_URL"] ?? "http://localhost:18080",
        httpClient: testHttpClient,
        bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
    });
    const result = await vercel.security.putFirewallConfig({
        projectId: "<id>",
        teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
        slug: "my-team-url-slug",
        requestBody: {
            firewallEnabled: true,
        },
    });
    expect(result).toBeDefined();
});
test("Security Update Firewall Config", async () => {
    const testHttpClient = createTestHTTPClient("updateFirewallConfig");
    const vercel = new Vercel({
        serverURL: process.env["TEST_SERVER_URL"] ?? "http://localhost:18080",
        httpClient: testHttpClient,
        bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
    });
    const result = await vercel.security.updateFirewallConfig({
        projectId: "<id>",
        teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
        slug: "my-team-url-slug",
        requestBody: {
            action: "managedRules.update",
            id: "<id>",
            value: {
                active: true,
            },
        },
    });
    expect(result).toBeDefined();
});
test("Security Get Firewall Config", async () => {
    const testHttpClient = createTestHTTPClient("getFirewallConfig");
    const vercel = new Vercel({
        serverURL: process.env["TEST_SERVER_URL"] ?? "http://localhost:18080",
        httpClient: testHttpClient,
        bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
    });
    const result = await vercel.security.getFirewallConfig({
        projectId: "<id>",
        teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
        slug: "my-team-url-slug",
        configVersion: "<value>",
    });
    expect(result).toBeDefined();
});
test("Security Get Bypass Ip", async () => {
    const testHttpClient = createTestHTTPClient("getBypassIp");
    const vercel = new Vercel({
        serverURL: process.env["TEST_SERVER_URL"] ?? "http://localhost:18080",
        httpClient: testHttpClient,
        bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
    });
    const result = await vercel.security.getBypassIp({
        projectId: "<id>",
        limit: 10,
        teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
        slug: "my-team-url-slug",
    });
    expect(result).toBeDefined();
});
test("Security Add Bypass Ip", async () => {
    const testHttpClient = createTestHTTPClient("addBypassIp");
    const vercel = new Vercel({
        serverURL: process.env["TEST_SERVER_URL"] ?? "http://localhost:18080",
        httpClient: testHttpClient,
        bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
    });
    const result = await vercel.security.addBypassIp({
        projectId: "<id>",
        teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
        slug: "my-team-url-slug",
    });
    expect(result).toBeDefined();
});
test("Security Remove Bypass Ip", async () => {
    const testHttpClient = createTestHTTPClient("removeBypassIp");
    const vercel = new Vercel({
        serverURL: process.env["TEST_SERVER_URL"] ?? "http://localhost:18080",
        httpClient: testHttpClient,
        bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
    });
    const result = await vercel.security.removeBypassIp({
        projectId: "<id>",
        teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
        slug: "my-team-url-slug",
    });
    expect(result).toBeDefined();
});
//# sourceMappingURL=security.test.js.map