import { VercelCore } from "../core.js";
import { RequestOptions } from "../lib/sdks.js";
import { CreateAccessGroupProjectRequest, CreateAccessGroupProjectResponseBody } from "../models/createaccessgroupprojectop.js";
import { ConnectionError, InvalidRequestError, RequestAbortedError, RequestTimeoutError, UnexpectedClientError } from "../models/httpclienterrors.js";
import { SDKError } from "../models/sdkerror.js";
import { SDKValidationError } from "../models/sdkvalidationerror.js";
import { VercelBadRequestError } from "../models/vercelbadrequesterror.js";
import { VercelForbiddenError } from "../models/vercelforbiddenerror.js";
import { VercelNotFoundError } from "../models/vercelnotfounderror.js";
import { APIPromise } from "../types/async.js";
import { Result } from "../types/fp.js";
/**
 * Create an access group project
 *
 * @remarks
 * Allows creation of an access group project
 */
export declare function accessGroupsCreateAccessGroupProject(client: VercelCore, request: CreateAccessGroupProjectRequest, options?: RequestOptions): APIPromise<Result<CreateAccessGroupProjectResponseBody, VercelBadRequestError | VercelForbiddenError | VercelNotFoundError | SDKError | SDKValidationError | UnexpectedClientError | InvalidRequestError | RequestAbortedError | RequestTimeoutError | ConnectionError>>;
//# sourceMappingURL=accessGroupsCreateAccessGroupProject.d.ts.map