import { VercelCore } from "../core.js";
import { RequestOptions } from "../lib/sdks.js";
import { ConnectionError, InvalidRequestError, RequestAbortedError, RequestTimeoutError, UnexpectedClientError } from "../models/httpclienterrors.js";
import { ReadAccessGroupProjectRequest, ReadAccessGroupProjectResponseBody } from "../models/readaccessgroupprojectop.js";
import { SDKError } from "../models/sdkerror.js";
import { SDKValidationError } from "../models/sdkvalidationerror.js";
import { VercelBadRequestError } from "../models/vercelbadrequesterror.js";
import { VercelForbiddenError } from "../models/vercelforbiddenerror.js";
import { VercelNotFoundError } from "../models/vercelnotfounderror.js";
import { APIPromise } from "../types/async.js";
import { Result } from "../types/fp.js";
/**
 * Reads an access group project
 *
 * @remarks
 * Allows reading an access group project
 */
export declare function accessGroupsReadAccessGroupProject(client: VercelCore, request: ReadAccessGroupProjectRequest, options?: RequestOptions): APIPromise<Result<ReadAccessGroupProjectResponseBody, VercelBadRequestError | VercelForbiddenError | VercelNotFoundError | SDKError | SDKValidationError | UnexpectedClientError | InvalidRequestError | RequestAbortedError | RequestTimeoutError | ConnectionError>>;
//# sourceMappingURL=accessGroupsReadAccessGroupProject.d.ts.map