import { VercelCore } from "../core.js";
import { RequestOptions } from "../lib/sdks.js";
import { GetAliasRequest, GetAliasResponseBody } from "../models/getaliasop.js";
import { ConnectionError, InvalidRequestError, RequestAbortedError, RequestTimeoutError, UnexpectedClientError } from "../models/httpclienterrors.js";
import { SDKError } from "../models/sdkerror.js";
import { SDKValidationError } from "../models/sdkvalidationerror.js";
import { VercelBadRequestError } from "../models/vercelbadrequesterror.js";
import { VercelForbiddenError } from "../models/vercelforbiddenerror.js";
import { VercelNotFoundError } from "../models/vercelnotfounderror.js";
import { APIPromise } from "../types/async.js";
import { Result } from "../types/fp.js";
/**
 * Get an Alias
 *
 * @remarks
 * Retrieves an Alias for the given host name or alias ID.
 */
export declare function aliasesGetAlias(client: VercelCore, request: GetAliasRequest, options?: RequestOptions): APIPromise<Result<GetAliasResponseBody, VercelBadRequestError | VercelForbiddenError | VercelNotFoundError | SDKError | SDKValidationError | UnexpectedClientError | InvalidRequestError | RequestAbortedError | RequestTimeoutError | ConnectionError>>;
//# sourceMappingURL=aliasesGetAlias.d.ts.map