import { VercelCore } from "../core.js";
import { RequestOptions } from "../lib/sdks.js";
import { GetAuthTokenRequest, GetAuthTokenResponseBody } from "../models/getauthtokenop.js";
import { ConnectionError, InvalidRequestError, RequestAbortedError, RequestTimeoutError, UnexpectedClientError } from "../models/httpclienterrors.js";
import { SDKError } from "../models/sdkerror.js";
import { SDKValidationError } from "../models/sdkvalidationerror.js";
import { VercelBadRequestError } from "../models/vercelbadrequesterror.js";
import { VercelForbiddenError } from "../models/vercelforbiddenerror.js";
import { VercelNotFoundError } from "../models/vercelnotfounderror.js";
import { APIPromise } from "../types/async.js";
import { Result } from "../types/fp.js";
/**
 * Get Auth Token Metadata
 *
 * @remarks
 * Retrieve metadata about an authentication token belonging to the currently authenticated User.
 */
export declare function authenticationGetAuthToken(client: VercelCore, request: GetAuthTokenRequest, options?: RequestOptions): APIPromise<Result<GetAuthTokenResponseBody, VercelBadRequestError | VercelForbiddenError | VercelNotFoundError | SDKError | SDKValidationError | UnexpectedClientError | InvalidRequestError | RequestAbortedError | RequestTimeoutError | ConnectionError>>;
//# sourceMappingURL=authenticationGetAuthToken.d.ts.map