import { VercelCore } from "../core.js";
import { RequestOptions } from "../lib/sdks.js";
import { GetCertByIdRequest, GetCertByIdResponseBody } from "../models/getcertbyidop.js";
import { ConnectionError, InvalidRequestError, RequestAbortedError, RequestTimeoutError, UnexpectedClientError } from "../models/httpclienterrors.js";
import { SDKError } from "../models/sdkerror.js";
import { SDKValidationError } from "../models/sdkvalidationerror.js";
import { VercelBadRequestError } from "../models/vercelbadrequesterror.js";
import { VercelForbiddenError } from "../models/vercelforbiddenerror.js";
import { VercelNotFoundError } from "../models/vercelnotfounderror.js";
import { APIPromise } from "../types/async.js";
import { Result } from "../types/fp.js";
/**
 * Get cert by id
 *
 * @remarks
 * Get cert by id
 */
export declare function certsGetCertById(client: VercelCore, request: GetCertByIdRequest, options?: RequestOptions): APIPromise<Result<GetCertByIdResponseBody, VercelBadRequestError | VercelForbiddenError | VercelNotFoundError | SDKError | SDKValidationError | UnexpectedClientError | InvalidRequestError | RequestAbortedError | RequestTimeoutError | ConnectionError>>;
//# sourceMappingURL=certsGetCertById.d.ts.map