import { VercelCore } from "../core.js";
import { RequestOptions } from "../lib/sdks.js";
import { CreateCheckRequest, CreateCheckResponseBody } from "../models/createcheckop.js";
import { ConnectionError, InvalidRequestError, RequestAbortedError, RequestTimeoutError, UnexpectedClientError } from "../models/httpclienterrors.js";
import { SDKError } from "../models/sdkerror.js";
import { SDKValidationError } from "../models/sdkvalidationerror.js";
import { VercelBadRequestError } from "../models/vercelbadrequesterror.js";
import { VercelForbiddenError } from "../models/vercelforbiddenerror.js";
import { VercelNotFoundError } from "../models/vercelnotfounderror.js";
import { APIPromise } from "../types/async.js";
import { Result } from "../types/fp.js";
/**
 * Creates a new Check
 *
 * @remarks
 * Creates a new check. This endpoint must be called with an OAuth2 or it will produce a 400 error.
 */
export declare function checksCreateCheck(client: VercelCore, request: CreateCheckRequest, options?: RequestOptions): APIPromise<Result<CreateCheckResponseBody, VercelBadRequestError | VercelForbiddenError | VercelNotFoundError | SDKError | SDKValidationError | UnexpectedClientError | InvalidRequestError | RequestAbortedError | RequestTimeoutError | ConnectionError>>;
//# sourceMappingURL=checksCreateCheck.d.ts.map