import { VercelCore } from "../core.js";
import { RequestOptions } from "../lib/sdks.js";
import { GetAllChecksRequest, GetAllChecksResponseBody } from "../models/getallchecksop.js";
import { ConnectionError, InvalidRequestError, RequestAbortedError, RequestTimeoutError, UnexpectedClientError } from "../models/httpclienterrors.js";
import { SDKError } from "../models/sdkerror.js";
import { SDKValidationError } from "../models/sdkvalidationerror.js";
import { VercelBadRequestError } from "../models/vercelbadrequesterror.js";
import { VercelForbiddenError } from "../models/vercelforbiddenerror.js";
import { VercelNotFoundError } from "../models/vercelnotfounderror.js";
import { APIPromise } from "../types/async.js";
import { Result } from "../types/fp.js";
/**
 * Retrieve a list of all checks
 *
 * @remarks
 * List all of the checks created for a deployment.
 */
export declare function checksGetAllChecks(client: VercelCore, request: GetAllChecksRequest, options?: RequestOptions): APIPromise<Result<GetAllChecksResponseBody, VercelBadRequestError | VercelForbiddenError | VercelNotFoundError | SDKError | SDKValidationError | UnexpectedClientError | InvalidRequestError | RequestAbortedError | RequestTimeoutError | ConnectionError>>;
//# sourceMappingURL=checksGetAllChecks.d.ts.map