import { VercelCore } from "../core.js";
import { RequestOptions } from "../lib/sdks.js";
import { GetCheckRequest, GetCheckResponseBody } from "../models/getcheckop.js";
import { ConnectionError, InvalidRequestError, RequestAbortedError, RequestTimeoutError, UnexpectedClientError } from "../models/httpclienterrors.js";
import { SDKError } from "../models/sdkerror.js";
import { SDKValidationError } from "../models/sdkvalidationerror.js";
import { VercelBadRequestError } from "../models/vercelbadrequesterror.js";
import { VercelForbiddenError } from "../models/vercelforbiddenerror.js";
import { VercelNotFoundError } from "../models/vercelnotfounderror.js";
import { APIPromise } from "../types/async.js";
import { Result } from "../types/fp.js";
/**
 * Get a single check
 *
 * @remarks
 * Return a detailed response for a single check.
 */
export declare function checksGetCheck(client: VercelCore, request: GetCheckRequest, options?: RequestOptions): APIPromise<Result<GetCheckResponseBody, VercelBadRequestError | VercelForbiddenError | VercelNotFoundError | SDKError | SDKValidationError | UnexpectedClientError | InvalidRequestError | RequestAbortedError | RequestTimeoutError | ConnectionError>>;
//# sourceMappingURL=checksGetCheck.d.ts.map