/*
 * Code generated by Speakeasy (https://speakeasy.com). DO NOT EDIT.
 */
import { encodeFormQuery, encodeSimple } from "../lib/encodings.js";
import * as M from "../lib/matchers.js";
import { compactMap } from "../lib/primitives.js";
import { safeParse } from "../lib/schemas.js";
import { extractSecurity, resolveGlobalSecurity } from "../lib/security.js";
import { pathToFunc } from "../lib/url.js";
import { GetDeploymentEventsRequest$outboundSchema, GetDeploymentEventsResponse$inboundSchema, } from "../models/getdeploymenteventsop.js";
import { VercelBadRequestError$inboundSchema, } from "../models/vercelbadrequesterror.js";
import { VercelForbiddenError$inboundSchema, } from "../models/vercelforbiddenerror.js";
import { APIPromise } from "../types/async.js";
export var GetDeploymentEventsAcceptEnum;
(function (GetDeploymentEventsAcceptEnum) {
    GetDeploymentEventsAcceptEnum["applicationJson"] = "application/json";
    GetDeploymentEventsAcceptEnum["applicationStreamPlusJson"] = "application/stream+json";
})(GetDeploymentEventsAcceptEnum || (GetDeploymentEventsAcceptEnum = {}));
/**
 * Get deployment events
 *
 * @remarks
 * Get the build logs of a deployment by deployment ID and build ID. It can work as an infinite stream of logs or as a JSON endpoint depending on the input parameters.
 */
export function deploymentsGetDeploymentEvents(client, request, options) {
    return new APIPromise($do(client, request, options));
}
async function $do(client, request, options) {
    const parsed = safeParse(request, (value) => GetDeploymentEventsRequest$outboundSchema.parse(value), "Input validation failed");
    if (!parsed.ok) {
        return [parsed, { status: "invalid" }];
    }
    const payload = parsed.value;
    const body = null;
    const pathParams = {
        idOrUrl: encodeSimple("idOrUrl", payload.idOrUrl, {
            explode: false,
            charEncoding: "percent",
        }),
    };
    const path = pathToFunc("/v3/deployments/{idOrUrl}/events")(pathParams);
    const query = encodeFormQuery({
        "builds": payload.builds,
        "delimiter": payload.delimiter,
        "direction": payload.direction,
        "follow": payload.follow,
        "limit": payload.limit,
        "name": payload.name,
        "since": payload.since,
        "slug": payload.slug,
        "statusCode": payload.statusCode,
        "teamId": payload.teamId,
        "until": payload.until,
    });
    const headers = new Headers(compactMap({
        Accept: options?.acceptHeaderOverride
            || "application/json;q=1, application/stream+json;q=0",
    }));
    const secConfig = await extractSecurity(client._options.bearerToken);
    const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
    const requestSecurity = resolveGlobalSecurity(securityInput);
    const context = {
        baseURL: options?.serverURL ?? client._baseURL ?? "",
        operationID: "getDeploymentEvents",
        oAuth2Scopes: [],
        resolvedSecurity: requestSecurity,
        securitySource: client._options.bearerToken,
        retryConfig: options?.retries
            || client._options.retryConfig
            || { strategy: "none" },
        retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"],
    };
    const requestRes = client._createRequest(context, {
        security: requestSecurity,
        method: "GET",
        baseURL: options?.serverURL,
        path: path,
        headers: headers,
        query: query,
        body: body,
        timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1,
    }, options);
    if (!requestRes.ok) {
        return [requestRes, { status: "invalid" }];
    }
    const req = requestRes.value;
    const doResult = await client._do(req, {
        context,
        errorCodes: ["400", "401", "403", "4XX", "500", "5XX"],
        retryConfig: context.retryConfig,
        retryCodes: context.retryCodes,
    });
    if (!doResult.ok) {
        return [doResult, { status: "request-error", request: req }];
    }
    const response = doResult.value;
    const responseFields = {
        HttpMeta: { Response: response, Request: req },
    };
    const [result] = await M.match(M.json(200, GetDeploymentEventsResponse$inboundSchema), M.json(200, GetDeploymentEventsResponse$inboundSchema, {
        ctype: "application/stream+json",
    }), M.jsonErr(400, VercelBadRequestError$inboundSchema), M.jsonErr(401, VercelForbiddenError$inboundSchema), M.fail([403, "4XX"]), M.fail([500, "5XX"]))(response, { extraFields: responseFields });
    if (!result.ok) {
        return [result, { status: "complete", request: req, response }];
    }
    return [result, { status: "complete", request: req, response }];
}
//# sourceMappingURL=deploymentsGetDeploymentEvents.js.map