import { VercelCore } from "../core.js";
import { RequestOptions } from "../lib/sdks.js";
import { CreateRecordRequest, CreateRecordResponseBody } from "../models/createrecordop.js";
import { ConnectionError, InvalidRequestError, RequestAbortedError, RequestTimeoutError, UnexpectedClientError } from "../models/httpclienterrors.js";
import { SDKError } from "../models/sdkerror.js";
import { SDKValidationError } from "../models/sdkvalidationerror.js";
import { VercelBadRequestError } from "../models/vercelbadrequesterror.js";
import { VercelForbiddenError } from "../models/vercelforbiddenerror.js";
import { VercelNotFoundError } from "../models/vercelnotfounderror.js";
import { APIPromise } from "../types/async.js";
import { Result } from "../types/fp.js";
/**
 * Create a DNS record
 *
 * @remarks
 * Creates a DNS record for a domain.
 */
export declare function dnsCreateRecord(client: VercelCore, request: CreateRecordRequest, options?: RequestOptions): APIPromise<Result<CreateRecordResponseBody, VercelBadRequestError | VercelForbiddenError | VercelNotFoundError | SDKError | SDKValidationError | UnexpectedClientError | InvalidRequestError | RequestAbortedError | RequestTimeoutError | ConnectionError>>;
//# sourceMappingURL=dnsCreateRecord.d.ts.map