import { VercelCore } from "../core.js";
import { RequestOptions } from "../lib/sdks.js";
import { BuyDomainRequest, BuyDomainResponse } from "../models/buydomainop.js";
import { ConnectionError, InvalidRequestError, RequestAbortedError, RequestTimeoutError, UnexpectedClientError } from "../models/httpclienterrors.js";
import { SDKError } from "../models/sdkerror.js";
import { SDKValidationError } from "../models/sdkvalidationerror.js";
import { VercelBadRequestError } from "../models/vercelbadrequesterror.js";
import { VercelForbiddenError } from "../models/vercelforbiddenerror.js";
import { VercelRateLimitError } from "../models/vercelratelimiterror.js";
import { APIPromise } from "../types/async.js";
import { Result } from "../types/fp.js";
/**
 * Purchase a domain
 *
 * @remarks
 * Allows to purchase the specified domain.
 */
export declare function domainsBuyDomain(client: VercelCore, request: BuyDomainRequest, options?: RequestOptions): APIPromise<Result<BuyDomainResponse, VercelBadRequestError | VercelForbiddenError | VercelRateLimitError | SDKError | SDKValidationError | UnexpectedClientError | InvalidRequestError | RequestAbortedError | RequestTimeoutError | ConnectionError>>;
//# sourceMappingURL=domainsBuyDomain.d.ts.map