import { VercelCore } from "../core.js";
import { RequestOptions } from "../lib/sdks.js";
import { CheckDomainPriceRequest, CheckDomainPriceResponseBody } from "../models/checkdomainpriceop.js";
import { ConnectionError, InvalidRequestError, RequestAbortedError, RequestTimeoutError, UnexpectedClientError } from "../models/httpclienterrors.js";
import { SDKError } from "../models/sdkerror.js";
import { SDKValidationError } from "../models/sdkvalidationerror.js";
import { VercelBadRequestError } from "../models/vercelbadrequesterror.js";
import { VercelForbiddenError } from "../models/vercelforbiddenerror.js";
import { APIPromise } from "../types/async.js";
import { Result } from "../types/fp.js";
/**
 * Check the price for a domain
 *
 * @remarks
 * Check the price to purchase a domain and how long a single purchase period is.
 */
export declare function domainsCheckDomainPrice(client: VercelCore, request: CheckDomainPriceRequest, options?: RequestOptions): APIPromise<Result<CheckDomainPriceResponseBody, VercelBadRequestError | VercelForbiddenError | SDKError | SDKValidationError | UnexpectedClientError | InvalidRequestError | RequestAbortedError | RequestTimeoutError | ConnectionError>>;
//# sourceMappingURL=domainsCheckDomainPrice.d.ts.map