import { VercelCore } from "../core.js";
import { RequestOptions } from "../lib/sdks.js";
import { CheckDomainStatusRequest, CheckDomainStatusResponseBody } from "../models/checkdomainstatusop.js";
import { ConnectionError, InvalidRequestError, RequestAbortedError, RequestTimeoutError, UnexpectedClientError } from "../models/httpclienterrors.js";
import { SDKError } from "../models/sdkerror.js";
import { SDKValidationError } from "../models/sdkvalidationerror.js";
import { VercelBadRequestError } from "../models/vercelbadrequesterror.js";
import { VercelForbiddenError } from "../models/vercelforbiddenerror.js";
import { APIPromise } from "../types/async.js";
import { Result } from "../types/fp.js";
/**
 * Check a Domain Availability
 *
 * @remarks
 * Check if a domain name is available for purchase.
 */
export declare function domainsCheckDomainStatus(client: VercelCore, request: CheckDomainStatusRequest, options?: RequestOptions): APIPromise<Result<CheckDomainStatusResponseBody, VercelBadRequestError | VercelForbiddenError | SDKError | SDKValidationError | UnexpectedClientError | InvalidRequestError | RequestAbortedError | RequestTimeoutError | ConnectionError>>;
//# sourceMappingURL=domainsCheckDomainStatus.d.ts.map