import { VercelCore } from "../core.js";
import { RequestOptions } from "../lib/sdks.js";
import { GetDomainTransferRequest, GetDomainTransferResponseBody } from "../models/getdomaintransferop.js";
import { ConnectionError, InvalidRequestError, RequestAbortedError, RequestTimeoutError, UnexpectedClientError } from "../models/httpclienterrors.js";
import { SDKError } from "../models/sdkerror.js";
import { SDKValidationError } from "../models/sdkvalidationerror.js";
import { VercelBadRequestError } from "../models/vercelbadrequesterror.js";
import { VercelForbiddenError } from "../models/vercelforbiddenerror.js";
import { APIPromise } from "../types/async.js";
import { Result } from "../types/fp.js";
/**
 * Get domain transfer info.
 *
 * @remarks
 * Fetch domain transfer availability or transfer status if a transfer is in progress.
 */
export declare function domainsGetDomainTransfer(client: VercelCore, request: GetDomainTransferRequest, options?: RequestOptions): APIPromise<Result<GetDomainTransferResponseBody, VercelBadRequestError | VercelForbiddenError | SDKError | SDKValidationError | UnexpectedClientError | InvalidRequestError | RequestAbortedError | RequestTimeoutError | ConnectionError>>;
//# sourceMappingURL=domainsGetDomainTransfer.d.ts.map