import { VercelCore } from "../core.js";
import { RequestOptions } from "../lib/sdks.js";
import { CreateEdgeConfigRequest, CreateEdgeConfigResponseBody } from "../models/createedgeconfigop.js";
import { ConnectionError, InvalidRequestError, RequestAbortedError, RequestTimeoutError, UnexpectedClientError } from "../models/httpclienterrors.js";
import { SDKError } from "../models/sdkerror.js";
import { SDKValidationError } from "../models/sdkvalidationerror.js";
import { VercelBadRequestError } from "../models/vercelbadrequesterror.js";
import { VercelForbiddenError } from "../models/vercelforbiddenerror.js";
import { APIPromise } from "../types/async.js";
import { Result } from "../types/fp.js";
/**
 * Create an Edge Config
 *
 * @remarks
 * Creates an Edge Config.
 */
export declare function edgeConfigCreateEdgeConfig(client: VercelCore, request: CreateEdgeConfigRequest, options?: RequestOptions): APIPromise<Result<CreateEdgeConfigResponseBody, VercelBadRequestError | VercelForbiddenError | SDKError | SDKValidationError | UnexpectedClientError | InvalidRequestError | RequestAbortedError | RequestTimeoutError | ConnectionError>>;
//# sourceMappingURL=edgeConfigCreateEdgeConfig.d.ts.map