import { VercelCore } from "../core.js";
import { RequestOptions } from "../lib/sdks.js";
import { CreateEdgeConfigTokenRequest, CreateEdgeConfigTokenResponseBody } from "../models/createedgeconfigtokenop.js";
import { ConnectionError, InvalidRequestError, RequestAbortedError, RequestTimeoutError, UnexpectedClientError } from "../models/httpclienterrors.js";
import { SDKError } from "../models/sdkerror.js";
import { SDKValidationError } from "../models/sdkvalidationerror.js";
import { VercelBadRequestError } from "../models/vercelbadrequesterror.js";
import { VercelForbiddenError } from "../models/vercelforbiddenerror.js";
import { VercelNotFoundError } from "../models/vercelnotfounderror.js";
import { APIPromise } from "../types/async.js";
import { Result } from "../types/fp.js";
/**
 * Create an Edge Config token
 *
 * @remarks
 * Adds a token to an existing Edge Config.
 */
export declare function edgeConfigCreateEdgeConfigToken(client: VercelCore, request: CreateEdgeConfigTokenRequest, options?: RequestOptions): APIPromise<Result<CreateEdgeConfigTokenResponseBody, VercelBadRequestError | VercelForbiddenError | VercelNotFoundError | SDKError | SDKValidationError | UnexpectedClientError | InvalidRequestError | RequestAbortedError | RequestTimeoutError | ConnectionError>>;
//# sourceMappingURL=edgeConfigCreateEdgeConfigToken.d.ts.map