import { VercelCore } from "../core.js";
import { RequestOptions } from "../lib/sdks.js";
import { GetEdgeConfigBackupRequest, GetEdgeConfigBackupResponseBody } from "../models/getedgeconfigbackupop.js";
import { ConnectionError, InvalidRequestError, RequestAbortedError, RequestTimeoutError, UnexpectedClientError } from "../models/httpclienterrors.js";
import { SDKError } from "../models/sdkerror.js";
import { SDKValidationError } from "../models/sdkvalidationerror.js";
import { VercelBadRequestError } from "../models/vercelbadrequesterror.js";
import { VercelForbiddenError } from "../models/vercelforbiddenerror.js";
import { VercelNotFoundError } from "../models/vercelnotfounderror.js";
import { APIPromise } from "../types/async.js";
import { Result } from "../types/fp.js";
/**
 * Get Edge Config backup
 *
 * @remarks
 * Retrieves a specific version of an Edge Config from backup storage.
 */
export declare function edgeConfigGetEdgeConfigBackup(client: VercelCore, request: GetEdgeConfigBackupRequest, options?: RequestOptions): APIPromise<Result<GetEdgeConfigBackupResponseBody, VercelBadRequestError | VercelForbiddenError | VercelNotFoundError | SDKError | SDKValidationError | UnexpectedClientError | InvalidRequestError | RequestAbortedError | RequestTimeoutError | ConnectionError>>;
//# sourceMappingURL=edgeConfigGetEdgeConfigBackup.d.ts.map