import { VercelCore } from "../core.js";
import { RequestOptions } from "../lib/sdks.js";
import { GetEdgeConfigBackupsRequest, GetEdgeConfigBackupsResponseBody } from "../models/getedgeconfigbackupsop.js";
import { ConnectionError, InvalidRequestError, RequestAbortedError, RequestTimeoutError, UnexpectedClientError } from "../models/httpclienterrors.js";
import { SDKError } from "../models/sdkerror.js";
import { SDKValidationError } from "../models/sdkvalidationerror.js";
import { VercelBadRequestError } from "../models/vercelbadrequesterror.js";
import { VercelForbiddenError } from "../models/vercelforbiddenerror.js";
import { VercelNotFoundError } from "../models/vercelnotfounderror.js";
import { APIPromise } from "../types/async.js";
import { Result } from "../types/fp.js";
/**
 * Get Edge Config backups
 *
 * @remarks
 * Returns backups of an Edge Config.
 */
export declare function edgeConfigGetEdgeConfigBackups(client: VercelCore, request: GetEdgeConfigBackupsRequest, options?: RequestOptions): APIPromise<Result<GetEdgeConfigBackupsResponseBody, VercelBadRequestError | VercelForbiddenError | VercelNotFoundError | SDKError | SDKValidationError | UnexpectedClientError | InvalidRequestError | RequestAbortedError | RequestTimeoutError | ConnectionError>>;
//# sourceMappingURL=edgeConfigGetEdgeConfigBackups.d.ts.map