import { VercelCore } from "../core.js";
import { RequestOptions } from "../lib/sdks.js";
import { EdgeConfigItem } from "../models/edgeconfigitem.js";
import { GetEdgeConfigItemsRequest } from "../models/getedgeconfigitemsop.js";
import { ConnectionError, InvalidRequestError, RequestAbortedError, RequestTimeoutError, UnexpectedClientError } from "../models/httpclienterrors.js";
import { SDKError } from "../models/sdkerror.js";
import { SDKValidationError } from "../models/sdkvalidationerror.js";
import { VercelBadRequestError } from "../models/vercelbadrequesterror.js";
import { VercelForbiddenError } from "../models/vercelforbiddenerror.js";
import { VercelNotFoundError } from "../models/vercelnotfounderror.js";
import { APIPromise } from "../types/async.js";
import { Result } from "../types/fp.js";
/**
 * Get Edge Config items
 *
 * @remarks
 * Returns all items of an Edge Config.
 */
export declare function edgeConfigGetEdgeConfigItems(client: VercelCore, request: GetEdgeConfigItemsRequest, options?: RequestOptions): APIPromise<Result<EdgeConfigItem, VercelBadRequestError | VercelForbiddenError | VercelNotFoundError | SDKError | SDKValidationError | UnexpectedClientError | InvalidRequestError | RequestAbortedError | RequestTimeoutError | ConnectionError>>;
//# sourceMappingURL=edgeConfigGetEdgeConfigItems.d.ts.map