import { VercelCore } from "../core.js";
import { RequestOptions } from "../lib/sdks.js";
import { EdgeConfigToken } from "../models/edgeconfigtoken.js";
import { GetEdgeConfigTokensRequest } from "../models/getedgeconfigtokensop.js";
import { ConnectionError, InvalidRequestError, RequestAbortedError, RequestTimeoutError, UnexpectedClientError } from "../models/httpclienterrors.js";
import { SDKError } from "../models/sdkerror.js";
import { SDKValidationError } from "../models/sdkvalidationerror.js";
import { VercelBadRequestError } from "../models/vercelbadrequesterror.js";
import { VercelForbiddenError } from "../models/vercelforbiddenerror.js";
import { VercelNotFoundError } from "../models/vercelnotfounderror.js";
import { APIPromise } from "../types/async.js";
import { Result } from "../types/fp.js";
/**
 * Get all tokens of an Edge Config
 *
 * @remarks
 * Returns all tokens of an Edge Config.
 */
export declare function edgeConfigGetEdgeConfigTokens(client: VercelCore, request: GetEdgeConfigTokensRequest, options?: RequestOptions): APIPromise<Result<EdgeConfigToken, VercelBadRequestError | VercelForbiddenError | VercelNotFoundError | SDKError | SDKValidationError | UnexpectedClientError | InvalidRequestError | RequestAbortedError | RequestTimeoutError | ConnectionError>>;
//# sourceMappingURL=edgeConfigGetEdgeConfigTokens.d.ts.map