import { VercelCore } from "../core.js";
import { RequestOptions } from "../lib/sdks.js";
import { ConnectionError, InvalidRequestError, RequestAbortedError, RequestTimeoutError, UnexpectedClientError } from "../models/httpclienterrors.js";
import { PatchEdgeConfigSchemaRequest, PatchEdgeConfigSchemaResponseBody } from "../models/patchedgeconfigschemaop.js";
import { SDKError } from "../models/sdkerror.js";
import { SDKValidationError } from "../models/sdkvalidationerror.js";
import { VercelBadRequestError } from "../models/vercelbadrequesterror.js";
import { VercelForbiddenError } from "../models/vercelforbiddenerror.js";
import { VercelNotFoundError } from "../models/vercelnotfounderror.js";
import { APIPromise } from "../types/async.js";
import { Result } from "../types/fp.js";
/**
 * Update Edge Config schema
 *
 * @remarks
 * Update an Edge Config's schema.
 */
export declare function edgeConfigPatchEdgeConfigSchema(client: VercelCore, request: PatchEdgeConfigSchemaRequest, options?: RequestOptions): APIPromise<Result<PatchEdgeConfigSchemaResponseBody, VercelBadRequestError | VercelForbiddenError | VercelNotFoundError | SDKError | SDKValidationError | UnexpectedClientError | InvalidRequestError | RequestAbortedError | RequestTimeoutError | ConnectionError>>;
//# sourceMappingURL=edgeConfigPatchEdgeConfigSchema.d.ts.map