import { VercelCore } from "../core.js";
import { RequestOptions } from "../lib/sdks.js";
import { GetCustomEnvironmentRequest, GetCustomEnvironmentResponseBody } from "../models/getcustomenvironmentop.js";
import { ConnectionError, InvalidRequestError, RequestAbortedError, RequestTimeoutError, UnexpectedClientError } from "../models/httpclienterrors.js";
import { SDKError } from "../models/sdkerror.js";
import { SDKValidationError } from "../models/sdkvalidationerror.js";
import { VercelBadRequestError } from "../models/vercelbadrequesterror.js";
import { VercelForbiddenError } from "../models/vercelforbiddenerror.js";
import { VercelNotFoundError } from "../models/vercelnotfounderror.js";
import { APIPromise } from "../types/async.js";
import { Result } from "../types/fp.js";
/**
 * Retrieve a custom environment
 *
 * @remarks
 * Retrieve a custom environment for the project. Must not be named 'Production' or 'Preview'.
 */
export declare function environmentGetCustomEnvironment(client: VercelCore, request: GetCustomEnvironmentRequest, options?: RequestOptions): APIPromise<Result<GetCustomEnvironmentResponseBody, VercelBadRequestError | VercelForbiddenError | VercelNotFoundError | SDKError | SDKValidationError | UnexpectedClientError | InvalidRequestError | RequestAbortedError | RequestTimeoutError | ConnectionError>>;
//# sourceMappingURL=environmentGetCustomEnvironment.d.ts.map