import { VercelCore } from "../core.js";
import { RequestOptions } from "../lib/sdks.js";
import { ConnectionError, InvalidRequestError, RequestAbortedError, RequestTimeoutError, UnexpectedClientError } from "../models/httpclienterrors.js";
import { SDKError } from "../models/sdkerror.js";
import { SDKValidationError } from "../models/sdkvalidationerror.js";
import { UpdateCustomEnvironmentRequest, UpdateCustomEnvironmentResponseBody } from "../models/updatecustomenvironmentop.js";
import { VercelBadRequestError } from "../models/vercelbadrequesterror.js";
import { VercelForbiddenError } from "../models/vercelforbiddenerror.js";
import { APIPromise } from "../types/async.js";
import { Result } from "../types/fp.js";
/**
 * Update a custom environment
 *
 * @remarks
 * Update a custom environment for the project. Must not be named 'Production' or 'Preview'.
 */
export declare function environmentUpdateCustomEnvironment(client: VercelCore, request: UpdateCustomEnvironmentRequest, options?: RequestOptions): APIPromise<Result<UpdateCustomEnvironmentResponseBody, VercelBadRequestError | VercelForbiddenError | SDKError | SDKValidationError | UnexpectedClientError | InvalidRequestError | RequestAbortedError | RequestTimeoutError | ConnectionError>>;
//# sourceMappingURL=environmentUpdateCustomEnvironment.d.ts.map