import { VercelCore } from "../core.js";
import { RequestOptions } from "../lib/sdks.js";
import { ConnectionError, InvalidRequestError, RequestAbortedError, RequestTimeoutError, UnexpectedClientError } from "../models/httpclienterrors.js";
import { PostV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsRequest } from "../models/postv1installationsintegrationconfigurationidresourcesresourceidexperimentationitemsop.js";
import { SDKError } from "../models/sdkerror.js";
import { SDKValidationError } from "../models/sdkvalidationerror.js";
import { VercelBadRequestError } from "../models/vercelbadrequesterror.js";
import { VercelForbiddenError } from "../models/vercelforbiddenerror.js";
import { VercelNotFoundError } from "../models/vercelnotfounderror.js";
import { APIPromise } from "../types/async.js";
import { Result } from "../types/fp.js";
/**
 * Create one or multiple experimentation items
 *
 * @remarks
 * Create one or multiple experimentation items
 */
export declare function marketplaceCreateInstallationIntegrationConfiguration(client: VercelCore, request: PostV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsRequest, options?: RequestOptions): APIPromise<Result<void, VercelBadRequestError | VercelForbiddenError | VercelNotFoundError | SDKError | SDKValidationError | UnexpectedClientError | InvalidRequestError | RequestAbortedError | RequestTimeoutError | ConnectionError>>;
//# sourceMappingURL=marketplaceCreateInstallationIntegrationConfiguration.d.ts.map