import { VercelCore } from "../core.js";
import { RequestOptions } from "../lib/sdks.js";
import { GetAccountInfoRequest, GetAccountInfoResponseBody } from "../models/getaccountinfoop.js";
import { ConnectionError, InvalidRequestError, RequestAbortedError, RequestTimeoutError, UnexpectedClientError } from "../models/httpclienterrors.js";
import { SDKError } from "../models/sdkerror.js";
import { SDKValidationError } from "../models/sdkvalidationerror.js";
import { VercelBadRequestError } from "../models/vercelbadrequesterror.js";
import { VercelForbiddenError } from "../models/vercelforbiddenerror.js";
import { APIPromise } from "../types/async.js";
import { Result } from "../types/fp.js";
/**
 * Get Account Information
 *
 * @remarks
 * Fetches the best account or user’s contact info
 */
export declare function marketplaceGetAccountInfo(client: VercelCore, request: GetAccountInfoRequest, options?: RequestOptions): APIPromise<Result<GetAccountInfoResponseBody, VercelBadRequestError | VercelForbiddenError | SDKError | SDKValidationError | UnexpectedClientError | InvalidRequestError | RequestAbortedError | RequestTimeoutError | ConnectionError>>;
//# sourceMappingURL=marketplaceGetAccountInfo.d.ts.map