import { VercelCore } from "../core.js";
import { RequestOptions } from "../lib/sdks.js";
import { ConnectionError, InvalidRequestError, RequestAbortedError, RequestTimeoutError, UnexpectedClientError } from "../models/httpclienterrors.js";
import { RemoveProjectMemberRequest, RemoveProjectMemberResponseBody } from "../models/removeprojectmemberop.js";
import { SDKError } from "../models/sdkerror.js";
import { SDKValidationError } from "../models/sdkvalidationerror.js";
import { VercelBadRequestError } from "../models/vercelbadrequesterror.js";
import { VercelForbiddenError } from "../models/vercelforbiddenerror.js";
import { APIPromise } from "../types/async.js";
import { Result } from "../types/fp.js";
/**
 * Remove a Project Member
 *
 * @remarks
 * Remove a member from a specific project
 */
export declare function projectMembersRemoveProjectMember(client: VercelCore, request: RemoveProjectMemberRequest, options?: RequestOptions): APIPromise<Result<RemoveProjectMemberResponseBody, VercelBadRequestError | VercelForbiddenError | SDKError | SDKValidationError | UnexpectedClientError | InvalidRequestError | RequestAbortedError | RequestTimeoutError | ConnectionError>>;
//# sourceMappingURL=projectMembersRemoveProjectMember.d.ts.map