import { VercelCore } from "../core.js";
import { RequestOptions } from "../lib/sdks.js";
import { ConnectionError, InvalidRequestError, RequestAbortedError, RequestTimeoutError, UnexpectedClientError } from "../models/httpclienterrors.js";
import { SDKError } from "../models/sdkerror.js";
import { SDKValidationError } from "../models/sdkvalidationerror.js";
import { UpdateProjectDomainRequest, UpdateProjectDomainResponseBody } from "../models/updateprojectdomainop.js";
import { VercelBadRequestError } from "../models/vercelbadrequesterror.js";
import { VercelForbiddenError } from "../models/vercelforbiddenerror.js";
import { APIPromise } from "../types/async.js";
import { Result } from "../types/fp.js";
/**
 * Update a project domain
 *
 * @remarks
 * Update a project domain's configuration, including the name, git branch and redirect of the domain.
 */
export declare function projectsUpdateProjectDomain(client: VercelCore, request: UpdateProjectDomainRequest, options?: RequestOptions): APIPromise<Result<UpdateProjectDomainResponseBody, VercelBadRequestError | VercelForbiddenError | SDKError | SDKValidationError | UnexpectedClientError | InvalidRequestError | RequestAbortedError | RequestTimeoutError | ConnectionError>>;
//# sourceMappingURL=projectsUpdateProjectDomain.d.ts.map