import { VercelCore } from "../core.js";
import { RequestOptions } from "../lib/sdks.js";
import { ConnectionError, InvalidRequestError, RequestAbortedError, RequestTimeoutError, UnexpectedClientError } from "../models/httpclienterrors.js";
import { SDKError } from "../models/sdkerror.js";
import { SDKValidationError } from "../models/sdkvalidationerror.js";
import { UpdateProjectProtectionBypassRequest, UpdateProjectProtectionBypassResponseBody } from "../models/updateprojectprotectionbypassop.js";
import { VercelBadRequestError } from "../models/vercelbadrequesterror.js";
import { VercelForbiddenError } from "../models/vercelforbiddenerror.js";
import { VercelNotFoundError } from "../models/vercelnotfounderror.js";
import { APIPromise } from "../types/async.js";
import { Result } from "../types/fp.js";
/**
 * Update Protection Bypass for Automation
 *
 * @remarks
 * Update the deployment protection automation bypass for a project
 */
export declare function projectsUpdateProjectProtectionBypass(client: VercelCore, request: UpdateProjectProtectionBypassRequest, options?: RequestOptions): APIPromise<Result<UpdateProjectProtectionBypassResponseBody, VercelBadRequestError | VercelForbiddenError | VercelNotFoundError | SDKError | SDKValidationError | UnexpectedClientError | InvalidRequestError | RequestAbortedError | RequestTimeoutError | ConnectionError>>;
//# sourceMappingURL=projectsUpdateProjectProtectionBypass.d.ts.map