import { VercelCore } from "../core.js";
import { RequestOptions } from "../lib/sdks.js";
import { GetFirewallConfigRequest, GetFirewallConfigResponseBody } from "../models/getfirewallconfigop.js";
import { ConnectionError, InvalidRequestError, RequestAbortedError, RequestTimeoutError, UnexpectedClientError } from "../models/httpclienterrors.js";
import { SDKError } from "../models/sdkerror.js";
import { SDKValidationError } from "../models/sdkvalidationerror.js";
import { VercelBadRequestError } from "../models/vercelbadrequesterror.js";
import { VercelForbiddenError } from "../models/vercelforbiddenerror.js";
import { VercelNotFoundError } from "../models/vercelnotfounderror.js";
import { APIPromise } from "../types/async.js";
import { Result } from "../types/fp.js";
/**
 * Read Firewall Configuration
 *
 * @remarks
 * Retrieve the specified firewall configuration for a project. The deployed configVersion will be `active`
 */
export declare function securityGetFirewallConfig(client: VercelCore, request: GetFirewallConfigRequest, options?: RequestOptions): APIPromise<Result<GetFirewallConfigResponseBody, VercelBadRequestError | VercelForbiddenError | VercelNotFoundError | SDKError | SDKValidationError | UnexpectedClientError | InvalidRequestError | RequestAbortedError | RequestTimeoutError | ConnectionError>>;
//# sourceMappingURL=securityGetFirewallConfig.d.ts.map