import { VercelCore } from "../core.js";
import { RequestOptions } from "../lib/sdks.js";
import { DeleteTeamInviteCodeRequest, DeleteTeamInviteCodeResponseBody } from "../models/deleteteaminvitecodeop.js";
import { ConnectionError, InvalidRequestError, RequestAbortedError, RequestTimeoutError, UnexpectedClientError } from "../models/httpclienterrors.js";
import { SDKError } from "../models/sdkerror.js";
import { SDKValidationError } from "../models/sdkvalidationerror.js";
import { VercelBadRequestError } from "../models/vercelbadrequesterror.js";
import { VercelForbiddenError } from "../models/vercelforbiddenerror.js";
import { VercelNotFoundError } from "../models/vercelnotfounderror.js";
import { APIPromise } from "../types/async.js";
import { Result } from "../types/fp.js";
/**
 * Delete a Team invite code
 *
 * @remarks
 * Delete an active Team invite code.
 */
export declare function teamsDeleteTeamInviteCode(client: VercelCore, request: DeleteTeamInviteCodeRequest, options?: RequestOptions): APIPromise<Result<DeleteTeamInviteCodeResponseBody, VercelBadRequestError | VercelForbiddenError | VercelNotFoundError | SDKError | SDKValidationError | UnexpectedClientError | InvalidRequestError | RequestAbortedError | RequestTimeoutError | ConnectionError>>;
//# sourceMappingURL=teamsDeleteTeamInviteCode.d.ts.map