import { VercelCore } from "../core.js";
import { RequestOptions } from "../lib/sdks.js";
import { GetTeamsRequest, GetTeamsResponseBody } from "../models/getteamsop.js";
import { ConnectionError, InvalidRequestError, RequestAbortedError, RequestTimeoutError, UnexpectedClientError } from "../models/httpclienterrors.js";
import { SDKError } from "../models/sdkerror.js";
import { SDKValidationError } from "../models/sdkvalidationerror.js";
import { VercelBadRequestError } from "../models/vercelbadrequesterror.js";
import { VercelForbiddenError } from "../models/vercelforbiddenerror.js";
import { APIPromise } from "../types/async.js";
import { Result } from "../types/fp.js";
/**
 * List all teams
 *
 * @remarks
 * Get a paginated list of all the Teams the authenticated User is a member of.
 */
export declare function teamsGetTeams(client: VercelCore, request: GetTeamsRequest, options?: RequestOptions): APIPromise<Result<GetTeamsResponseBody, VercelBadRequestError | VercelForbiddenError | SDKError | SDKValidationError | UnexpectedClientError | InvalidRequestError | RequestAbortedError | RequestTimeoutError | ConnectionError>>;
//# sourceMappingURL=teamsGetTeams.d.ts.map