import { VercelCore } from "../core.js";
import { RequestOptions } from "../lib/sdks.js";
import { ConnectionError, InvalidRequestError, RequestAbortedError, RequestTimeoutError, UnexpectedClientError } from "../models/httpclienterrors.js";
import { RemoveTeamMemberRequest, RemoveTeamMemberResponseBody } from "../models/removeteammemberop.js";
import { SDKError } from "../models/sdkerror.js";
import { SDKValidationError } from "../models/sdkvalidationerror.js";
import { VercelBadRequestError } from "../models/vercelbadrequesterror.js";
import { VercelForbiddenError } from "../models/vercelforbiddenerror.js";
import { VercelNotFoundError } from "../models/vercelnotfounderror.js";
import { APIPromise } from "../types/async.js";
import { Result } from "../types/fp.js";
/**
 * Remove a Team Member
 *
 * @remarks
 * Remove a Team Member from the Team, or dismiss a user that requested access, or leave a team.
 */
export declare function teamsRemoveTeamMember(client: VercelCore, request: RemoveTeamMemberRequest, options?: RequestOptions): APIPromise<Result<RemoveTeamMemberResponseBody, VercelBadRequestError | VercelForbiddenError | VercelNotFoundError | SDKError | SDKValidationError | UnexpectedClientError | InvalidRequestError | RequestAbortedError | RequestTimeoutError | ConnectionError>>;
//# sourceMappingURL=teamsRemoveTeamMember.d.ts.map