import { VercelCore } from "../core.js";
import { RequestOptions } from "../lib/sdks.js";
import { CreateWebhookRequest, CreateWebhookResponseBody } from "../models/createwebhookop.js";
import { ConnectionError, InvalidRequestError, RequestAbortedError, RequestTimeoutError, UnexpectedClientError } from "../models/httpclienterrors.js";
import { SDKError } from "../models/sdkerror.js";
import { SDKValidationError } from "../models/sdkvalidationerror.js";
import { VercelBadRequestError } from "../models/vercelbadrequesterror.js";
import { VercelForbiddenError } from "../models/vercelforbiddenerror.js";
import { APIPromise } from "../types/async.js";
import { Result } from "../types/fp.js";
/**
 * Creates a webhook
 *
 * @remarks
 * Creates a webhook
 */
export declare function webhooksCreateWebhook(client: VercelCore, request: CreateWebhookRequest, options?: RequestOptions): APIPromise<Result<CreateWebhookResponseBody, VercelBadRequestError | VercelForbiddenError | SDKError | SDKValidationError | UnexpectedClientError | InvalidRequestError | RequestAbortedError | RequestTimeoutError | ConnectionError>>;
//# sourceMappingURL=webhooksCreateWebhook.d.ts.map