import { VercelCore } from "../core.js";
import { RequestOptions } from "../lib/sdks.js";
import { GetWebhookRequest, GetWebhookResponseBody } from "../models/getwebhookop.js";
import { ConnectionError, InvalidRequestError, RequestAbortedError, RequestTimeoutError, UnexpectedClientError } from "../models/httpclienterrors.js";
import { SDKError } from "../models/sdkerror.js";
import { SDKValidationError } from "../models/sdkvalidationerror.js";
import { VercelBadRequestError } from "../models/vercelbadrequesterror.js";
import { VercelForbiddenError } from "../models/vercelforbiddenerror.js";
import { APIPromise } from "../types/async.js";
import { Result } from "../types/fp.js";
/**
 * Get a webhook
 *
 * @remarks
 * Get a webhook
 */
export declare function webhooksGetWebhook(client: VercelCore, request: GetWebhookRequest, options?: RequestOptions): APIPromise<Result<GetWebhookResponseBody, VercelBadRequestError | VercelForbiddenError | SDKError | SDKValidationError | UnexpectedClientError | InvalidRequestError | RequestAbortedError | RequestTimeoutError | ConnectionError>>;
//# sourceMappingURL=webhooksGetWebhook.d.ts.map