import { VercelCore } from "../core.js";
import { RequestOptions } from "../lib/sdks.js";
import { GetWebhooksRequest, GetWebhooksResponseBody } from "../models/getwebhooksop.js";
import { ConnectionError, InvalidRequestError, RequestAbortedError, RequestTimeoutError, UnexpectedClientError } from "../models/httpclienterrors.js";
import { SDKError } from "../models/sdkerror.js";
import { SDKValidationError } from "../models/sdkvalidationerror.js";
import { VercelBadRequestError } from "../models/vercelbadrequesterror.js";
import { VercelForbiddenError } from "../models/vercelforbiddenerror.js";
import { APIPromise } from "../types/async.js";
import { Result } from "../types/fp.js";
/**
 * Get a list of webhooks
 *
 * @remarks
 * Get a list of webhooks
 */
export declare function webhooksGetWebhooks(client: VercelCore, request: GetWebhooksRequest, options?: RequestOptions): APIPromise<Result<GetWebhooksResponseBody, VercelBadRequestError | VercelForbiddenError | SDKError | SDKValidationError | UnexpectedClientError | InvalidRequestError | RequestAbortedError | RequestTimeoutError | ConnectionError>>;
//# sourceMappingURL=webhooksGetWebhooks.d.ts.map