import * as z from "zod";
import { ClosedEnum } from "../types/enums.js";
/**
 * Enum containing the actions that can be performed against a resource. Group operations are included.
 */
export declare const ACLAction: {
    readonly Create: "create";
    readonly Delete: "delete";
    readonly Read: "read";
    readonly Update: "update";
    readonly List: "list";
};
/**
 * Enum containing the actions that can be performed against a resource. Group operations are included.
 */
export type ACLAction = ClosedEnum<typeof ACLAction>;
/** @internal */
export declare const ACLAction$inboundSchema: z.ZodNativeEnum<typeof ACLAction>;
/** @internal */
export declare const ACLAction$outboundSchema: z.ZodNativeEnum<typeof ACLAction>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace ACLAction$ {
    /** @deprecated use `ACLAction$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly Create: "create";
        readonly Delete: "delete";
        readonly Read: "read";
        readonly Update: "update";
        readonly List: "list";
    }>;
    /** @deprecated use `ACLAction$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly Create: "create";
        readonly Delete: "delete";
        readonly Read: "read";
        readonly Update: "update";
        readonly List: "list";
    }>;
}
//# sourceMappingURL=aclaction.d.ts.map