import * as z from "zod";
import { Result as SafeParseResult } from "../types/fp.js";
import { SDKValidationError } from "./sdkvalidationerror.js";
export type DeleteAccessGroupProjectRequest = {
    accessGroupIdOrName: string;
    projectId: string;
    /**
     * The Team identifier to perform the request on behalf of.
     */
    teamId?: string | undefined;
    /**
     * The Team slug to perform the request on behalf of.
     */
    slug?: string | undefined;
};
/** @internal */
export declare const DeleteAccessGroupProjectRequest$inboundSchema: z.ZodType<DeleteAccessGroupProjectRequest, z.ZodTypeDef, unknown>;
/** @internal */
export type DeleteAccessGroupProjectRequest$Outbound = {
    accessGroupIdOrName: string;
    projectId: string;
    teamId?: string | undefined;
    slug?: string | undefined;
};
/** @internal */
export declare const DeleteAccessGroupProjectRequest$outboundSchema: z.ZodType<DeleteAccessGroupProjectRequest$Outbound, z.ZodTypeDef, DeleteAccessGroupProjectRequest>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace DeleteAccessGroupProjectRequest$ {
    /** @deprecated use `DeleteAccessGroupProjectRequest$inboundSchema` instead. */
    const inboundSchema: z.ZodType<DeleteAccessGroupProjectRequest, z.ZodTypeDef, unknown>;
    /** @deprecated use `DeleteAccessGroupProjectRequest$outboundSchema` instead. */
    const outboundSchema: z.ZodType<DeleteAccessGroupProjectRequest$Outbound, z.ZodTypeDef, DeleteAccessGroupProjectRequest>;
    /** @deprecated use `DeleteAccessGroupProjectRequest$Outbound` instead. */
    type Outbound = DeleteAccessGroupProjectRequest$Outbound;
}
export declare function deleteAccessGroupProjectRequestToJSON(deleteAccessGroupProjectRequest: DeleteAccessGroupProjectRequest): string;
export declare function deleteAccessGroupProjectRequestFromJSON(jsonString: string): SafeParseResult<DeleteAccessGroupProjectRequest, SDKValidationError>;
//# sourceMappingURL=deleteaccessgroupprojectop.d.ts.map