import * as z from "zod";
import { Result as SafeParseResult } from "../types/fp.js";
import { SDKValidationError } from "./sdkvalidationerror.js";
export type DeleteConfigurationRequest = {
    id: string;
    /**
     * The Team identifier to perform the request on behalf of.
     */
    teamId?: string | undefined;
    /**
     * The Team slug to perform the request on behalf of.
     */
    slug?: string | undefined;
};
/** @internal */
export declare const DeleteConfigurationRequest$inboundSchema: z.ZodType<DeleteConfigurationRequest, z.ZodTypeDef, unknown>;
/** @internal */
export type DeleteConfigurationRequest$Outbound = {
    id: string;
    teamId?: string | undefined;
    slug?: string | undefined;
};
/** @internal */
export declare const DeleteConfigurationRequest$outboundSchema: z.ZodType<DeleteConfigurationRequest$Outbound, z.ZodTypeDef, DeleteConfigurationRequest>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace DeleteConfigurationRequest$ {
    /** @deprecated use `DeleteConfigurationRequest$inboundSchema` instead. */
    const inboundSchema: z.ZodType<DeleteConfigurationRequest, z.ZodTypeDef, unknown>;
    /** @deprecated use `DeleteConfigurationRequest$outboundSchema` instead. */
    const outboundSchema: z.ZodType<DeleteConfigurationRequest$Outbound, z.ZodTypeDef, DeleteConfigurationRequest>;
    /** @deprecated use `DeleteConfigurationRequest$Outbound` instead. */
    type Outbound = DeleteConfigurationRequest$Outbound;
}
export declare function deleteConfigurationRequestToJSON(deleteConfigurationRequest: DeleteConfigurationRequest): string;
export declare function deleteConfigurationRequestFromJSON(jsonString: string): SafeParseResult<DeleteConfigurationRequest, SDKValidationError>;
//# sourceMappingURL=deleteconfigurationop.d.ts.map