import * as z from "zod";
import { Result as SafeParseResult } from "../types/fp.js";
import { SDKValidationError } from "./sdkvalidationerror.js";
export type DeleteIntegrationLogDrainRequest = {
    /**
     * ID of the log drain to be deleted
     */
    id: string;
    /**
     * The Team identifier to perform the request on behalf of.
     */
    teamId?: string | undefined;
    /**
     * The Team slug to perform the request on behalf of.
     */
    slug?: string | undefined;
};
/** @internal */
export declare const DeleteIntegrationLogDrainRequest$inboundSchema: z.ZodType<DeleteIntegrationLogDrainRequest, z.ZodTypeDef, unknown>;
/** @internal */
export type DeleteIntegrationLogDrainRequest$Outbound = {
    id: string;
    teamId?: string | undefined;
    slug?: string | undefined;
};
/** @internal */
export declare const DeleteIntegrationLogDrainRequest$outboundSchema: z.ZodType<DeleteIntegrationLogDrainRequest$Outbound, z.ZodTypeDef, DeleteIntegrationLogDrainRequest>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace DeleteIntegrationLogDrainRequest$ {
    /** @deprecated use `DeleteIntegrationLogDrainRequest$inboundSchema` instead. */
    const inboundSchema: z.ZodType<DeleteIntegrationLogDrainRequest, z.ZodTypeDef, unknown>;
    /** @deprecated use `DeleteIntegrationLogDrainRequest$outboundSchema` instead. */
    const outboundSchema: z.ZodType<DeleteIntegrationLogDrainRequest$Outbound, z.ZodTypeDef, DeleteIntegrationLogDrainRequest>;
    /** @deprecated use `DeleteIntegrationLogDrainRequest$Outbound` instead. */
    type Outbound = DeleteIntegrationLogDrainRequest$Outbound;
}
export declare function deleteIntegrationLogDrainRequestToJSON(deleteIntegrationLogDrainRequest: DeleteIntegrationLogDrainRequest): string;
export declare function deleteIntegrationLogDrainRequestFromJSON(jsonString: string): SafeParseResult<DeleteIntegrationLogDrainRequest, SDKValidationError>;
//# sourceMappingURL=deleteintegrationlogdrainop.d.ts.map