import * as z from "zod";
import { Result as SafeParseResult } from "../types/fp.js";
import { SDKValidationError } from "./sdkvalidationerror.js";
export type EdgeConfigItemValue = string | number | boolean | {
    [k: string]: EdgeConfigItemValue | null;
} | Array<EdgeConfigItemValue | null>;
/** @internal */
export declare const EdgeConfigItemValue$inboundSchema: z.ZodType<EdgeConfigItemValue, z.ZodTypeDef, unknown>;
/** @internal */
export type EdgeConfigItemValue$Outbound = string | number | boolean | {
    [k: string]: EdgeConfigItemValue$Outbound | null;
} | Array<EdgeConfigItemValue$Outbound | null>;
/** @internal */
export declare const EdgeConfigItemValue$outboundSchema: z.ZodType<EdgeConfigItemValue$Outbound, z.ZodTypeDef, EdgeConfigItemValue>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace EdgeConfigItemValue$ {
    /** @deprecated use `EdgeConfigItemValue$inboundSchema` instead. */
    const inboundSchema: z.ZodType<EdgeConfigItemValue, z.ZodTypeDef, unknown>;
    /** @deprecated use `EdgeConfigItemValue$outboundSchema` instead. */
    const outboundSchema: z.ZodType<EdgeConfigItemValue$Outbound, z.ZodTypeDef, EdgeConfigItemValue>;
    /** @deprecated use `EdgeConfigItemValue$Outbound` instead. */
    type Outbound = EdgeConfigItemValue$Outbound;
}
export declare function edgeConfigItemValueToJSON(edgeConfigItemValue: EdgeConfigItemValue): string;
export declare function edgeConfigItemValueFromJSON(jsonString: string): SafeParseResult<EdgeConfigItemValue, SDKValidationError>;
//# sourceMappingURL=edgeconfigitemvalue.d.ts.map