import * as z from "zod";
import { Result as SafeParseResult } from "../types/fp.js";
import { SDKValidationError } from "./sdkvalidationerror.js";
export type GetEdgeConfigItemRequest = {
    edgeConfigId: string;
    edgeConfigItemKey: string;
    /**
     * The Team identifier to perform the request on behalf of.
     */
    teamId?: string | undefined;
    /**
     * The Team slug to perform the request on behalf of.
     */
    slug?: string | undefined;
};
/** @internal */
export declare const GetEdgeConfigItemRequest$inboundSchema: z.ZodType<GetEdgeConfigItemRequest, z.ZodTypeDef, unknown>;
/** @internal */
export type GetEdgeConfigItemRequest$Outbound = {
    edgeConfigId: string;
    edgeConfigItemKey: string;
    teamId?: string | undefined;
    slug?: string | undefined;
};
/** @internal */
export declare const GetEdgeConfigItemRequest$outboundSchema: z.ZodType<GetEdgeConfigItemRequest$Outbound, z.ZodTypeDef, GetEdgeConfigItemRequest>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetEdgeConfigItemRequest$ {
    /** @deprecated use `GetEdgeConfigItemRequest$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetEdgeConfigItemRequest, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetEdgeConfigItemRequest$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetEdgeConfigItemRequest$Outbound, z.ZodTypeDef, GetEdgeConfigItemRequest>;
    /** @deprecated use `GetEdgeConfigItemRequest$Outbound` instead. */
    type Outbound = GetEdgeConfigItemRequest$Outbound;
}
export declare function getEdgeConfigItemRequestToJSON(getEdgeConfigItemRequest: GetEdgeConfigItemRequest): string;
export declare function getEdgeConfigItemRequestFromJSON(jsonString: string): SafeParseResult<GetEdgeConfigItemRequest, SDKValidationError>;
//# sourceMappingURL=getedgeconfigitemop.d.ts.map