import * as z from "zod";
import { Result as SafeParseResult } from "../types/fp.js";
import { SDKValidationError } from "./sdkvalidationerror.js";
export type GetEdgeConfigItemsRequest = {
    edgeConfigId: string;
    /**
     * The Team identifier to perform the request on behalf of.
     */
    teamId?: string | undefined;
    /**
     * The Team slug to perform the request on behalf of.
     */
    slug?: string | undefined;
};
/** @internal */
export declare const GetEdgeConfigItemsRequest$inboundSchema: z.ZodType<GetEdgeConfigItemsRequest, z.ZodTypeDef, unknown>;
/** @internal */
export type GetEdgeConfigItemsRequest$Outbound = {
    edgeConfigId: string;
    teamId?: string | undefined;
    slug?: string | undefined;
};
/** @internal */
export declare const GetEdgeConfigItemsRequest$outboundSchema: z.ZodType<GetEdgeConfigItemsRequest$Outbound, z.ZodTypeDef, GetEdgeConfigItemsRequest>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetEdgeConfigItemsRequest$ {
    /** @deprecated use `GetEdgeConfigItemsRequest$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetEdgeConfigItemsRequest, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetEdgeConfigItemsRequest$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetEdgeConfigItemsRequest$Outbound, z.ZodTypeDef, GetEdgeConfigItemsRequest>;
    /** @deprecated use `GetEdgeConfigItemsRequest$Outbound` instead. */
    type Outbound = GetEdgeConfigItemsRequest$Outbound;
}
export declare function getEdgeConfigItemsRequestToJSON(getEdgeConfigItemsRequest: GetEdgeConfigItemsRequest): string;
export declare function getEdgeConfigItemsRequestFromJSON(jsonString: string): SafeParseResult<GetEdgeConfigItemsRequest, SDKValidationError>;
//# sourceMappingURL=getedgeconfigitemsop.d.ts.map