import * as z from "zod";
import { Result as SafeParseResult } from "../types/fp.js";
import { SDKValidationError } from "./sdkvalidationerror.js";
export type GetEdgeConfigTokensRequest = {
    edgeConfigId: string;
    /**
     * The Team identifier to perform the request on behalf of.
     */
    teamId?: string | undefined;
    /**
     * The Team slug to perform the request on behalf of.
     */
    slug?: string | undefined;
};
/** @internal */
export declare const GetEdgeConfigTokensRequest$inboundSchema: z.ZodType<GetEdgeConfigTokensRequest, z.ZodTypeDef, unknown>;
/** @internal */
export type GetEdgeConfigTokensRequest$Outbound = {
    edgeConfigId: string;
    teamId?: string | undefined;
    slug?: string | undefined;
};
/** @internal */
export declare const GetEdgeConfigTokensRequest$outboundSchema: z.ZodType<GetEdgeConfigTokensRequest$Outbound, z.ZodTypeDef, GetEdgeConfigTokensRequest>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetEdgeConfigTokensRequest$ {
    /** @deprecated use `GetEdgeConfigTokensRequest$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetEdgeConfigTokensRequest, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetEdgeConfigTokensRequest$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetEdgeConfigTokensRequest$Outbound, z.ZodTypeDef, GetEdgeConfigTokensRequest>;
    /** @deprecated use `GetEdgeConfigTokensRequest$Outbound` instead. */
    type Outbound = GetEdgeConfigTokensRequest$Outbound;
}
export declare function getEdgeConfigTokensRequestToJSON(getEdgeConfigTokensRequest: GetEdgeConfigTokensRequest): string;
export declare function getEdgeConfigTokensRequestFromJSON(jsonString: string): SafeParseResult<GetEdgeConfigTokensRequest, SDKValidationError>;
//# sourceMappingURL=getedgeconfigtokensop.d.ts.map