import * as z from "zod";
import { ClosedEnum } from "../types/enums.js";
import { Result as SafeParseResult } from "../types/fp.js";
import { SDKValidationError } from "./sdkvalidationerror.js";
export type GetProjectEnvRequest = {
    /**
     * The unique project identifier or the project name
     */
    idOrName: string;
    /**
     * The unique ID for the environment variable to get the decrypted value.
     */
    id: string;
    /**
     * The Team identifier to perform the request on behalf of.
     */
    teamId?: string | undefined;
    /**
     * The Team slug to perform the request on behalf of.
     */
    slug?: string | undefined;
};
export declare const GetProjectEnvTargetProjectsResponse2: {
    readonly Production: "production";
    readonly Preview: "preview";
    readonly Development: "development";
};
export type GetProjectEnvTargetProjectsResponse2 = ClosedEnum<typeof GetProjectEnvTargetProjectsResponse2>;
export type GetProjectEnvResponseBodyProjectsResponseTarget = Array<string> | GetProjectEnvTargetProjectsResponse2;
export declare const GetProjectEnvResponseBodyProjectsResponseType: {
    readonly System: "system";
    readonly Encrypted: "encrypted";
    readonly Plain: "plain";
    readonly Sensitive: "sensitive";
    readonly Secret: "secret";
};
export type GetProjectEnvResponseBodyProjectsResponseType = ClosedEnum<typeof GetProjectEnvResponseBodyProjectsResponseType>;
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type: {
    readonly FlagsConnectionString: "flags-connection-string";
};
export type GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type = ClosedEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type>;
export type GetProjectEnvContentHintProjectsResponse15 = {
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type;
    projectId: string;
};
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type: {
    readonly IntegrationStoreSecret: "integration-store-secret";
};
export type GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type = ClosedEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type>;
export type GetProjectEnvContentHintProjectsResponse14 = {
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type;
    storeId: string;
    integrationId: string;
    integrationProductId: string;
    integrationConfigurationId: string;
};
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type: {
    readonly PostgresUrlNoSsl: "postgres-url-no-ssl";
};
export type GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type = ClosedEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type>;
export type GetProjectEnvContentHintProjectsResponse13 = {
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type;
    storeId: string;
};
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type: {
    readonly PostgresDatabase: "postgres-database";
};
export type GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type = ClosedEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type>;
export type GetProjectEnvContentHintProjectsResponse12 = {
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type;
    storeId: string;
};
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type: {
    readonly PostgresPassword: "postgres-password";
};
export type GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type = ClosedEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type>;
export type GetProjectEnvContentHintProjectsResponse11 = {
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type;
    storeId: string;
};
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type: {
    readonly PostgresHost: "postgres-host";
};
export type GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type = ClosedEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type>;
export type GetProjectEnvContentHintProjectsResponse10 = {
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type;
    storeId: string;
};
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type: {
    readonly PostgresUser: "postgres-user";
};
export type GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type = ClosedEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type>;
export type GetProjectEnvContentHintProjectsResponse9 = {
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type;
    storeId: string;
};
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type: {
    readonly PostgresPrismaUrl: "postgres-prisma-url";
};
export type GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type = ClosedEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type>;
export type GetProjectEnvContentHintProjectsResponse8 = {
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type;
    storeId: string;
};
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type: {
    readonly PostgresUrlNonPooling: "postgres-url-non-pooling";
};
export type GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type = ClosedEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type>;
export type GetProjectEnvContentHintProjectsResponse7 = {
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type;
    storeId: string;
};
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type: {
    readonly PostgresUrl: "postgres-url";
};
export type GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type = ClosedEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type>;
export type GetProjectEnvContentHintProjectsResponse6 = {
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type;
    storeId: string;
};
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type: {
    readonly BlobReadWriteToken: "blob-read-write-token";
};
export type GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type = ClosedEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type>;
export type GetProjectEnvContentHintProjectsResponse5 = {
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type;
    storeId: string;
};
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type: {
    readonly RedisRestApiReadOnlyToken: "redis-rest-api-read-only-token";
};
export type GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type = ClosedEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type>;
export type GetProjectEnvContentHintProjectsResponse4 = {
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type;
    storeId: string;
};
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type: {
    readonly RedisRestApiToken: "redis-rest-api-token";
};
export type GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type = ClosedEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type>;
export type GetProjectEnvContentHintProjectsResponse3 = {
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type;
    storeId: string;
};
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type: {
    readonly RedisRestApiUrl: "redis-rest-api-url";
};
export type GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type = ClosedEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type>;
export type GetProjectEnvContentHintProjectsResponse2 = {
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type;
    storeId: string;
};
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type: {
    readonly RedisUrl: "redis-url";
};
export type GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type = ClosedEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type>;
export type GetProjectEnvContentHintProjectsResponse1 = {
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type;
    storeId: string;
};
export type GetProjectEnvResponseBodyProjectsResponseContentHint = GetProjectEnvContentHintProjectsResponse1 | GetProjectEnvContentHintProjectsResponse2 | GetProjectEnvContentHintProjectsResponse3 | GetProjectEnvContentHintProjectsResponse4 | GetProjectEnvContentHintProjectsResponse5 | GetProjectEnvContentHintProjectsResponse6 | GetProjectEnvContentHintProjectsResponse7 | GetProjectEnvContentHintProjectsResponse8 | GetProjectEnvContentHintProjectsResponse9 | GetProjectEnvContentHintProjectsResponse10 | GetProjectEnvContentHintProjectsResponse11 | GetProjectEnvContentHintProjectsResponse12 | GetProjectEnvContentHintProjectsResponse13 | GetProjectEnvContentHintProjectsResponse15 | GetProjectEnvContentHintProjectsResponse14;
export declare const GetProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type: {
    readonly FlagsSecret: "flags-secret";
};
export type GetProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type = ClosedEnum<typeof GetProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type>;
/**
 * Similar to `contentHints`, but should not be exposed to the user.
 */
export type GetProjectEnvResponseBodyProjectsResponseInternalContentHint = {
    type: GetProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type;
    /**
     * Contains the `value` of the env variable, encrypted with a special key to make decryption possible in the subscriber Lambda.
     */
    encryptedValue: string;
};
export type GetProjectEnvResponseBody3 = {
    target?: Array<string> | GetProjectEnvTargetProjectsResponse2 | undefined;
    type: GetProjectEnvResponseBodyProjectsResponseType;
    /**
     * This is used to identiy variables that have been migrated from type secret to sensitive.
     */
    sunsetSecretId?: string | undefined;
    decrypted?: boolean | undefined;
    value: string;
    id?: string | undefined;
    key: string;
    configurationId?: string | null | undefined;
    createdAt?: number | undefined;
    updatedAt?: number | undefined;
    createdBy?: string | null | undefined;
    updatedBy?: string | null | undefined;
    gitBranch?: string | undefined;
    edgeConfigId?: string | null | undefined;
    edgeConfigTokenId?: string | null | undefined;
    contentHint?: GetProjectEnvContentHintProjectsResponse1 | GetProjectEnvContentHintProjectsResponse2 | GetProjectEnvContentHintProjectsResponse3 | GetProjectEnvContentHintProjectsResponse4 | GetProjectEnvContentHintProjectsResponse5 | GetProjectEnvContentHintProjectsResponse6 | GetProjectEnvContentHintProjectsResponse7 | GetProjectEnvContentHintProjectsResponse8 | GetProjectEnvContentHintProjectsResponse9 | GetProjectEnvContentHintProjectsResponse10 | GetProjectEnvContentHintProjectsResponse11 | GetProjectEnvContentHintProjectsResponse12 | GetProjectEnvContentHintProjectsResponse13 | GetProjectEnvContentHintProjectsResponse15 | GetProjectEnvContentHintProjectsResponse14 | null | undefined;
    /**
     * Similar to `contentHints`, but should not be exposed to the user.
     */
    internalContentHint?: GetProjectEnvResponseBodyProjectsResponseInternalContentHint | null | undefined;
    comment?: string | undefined;
    customEnvironmentIds?: Array<string> | undefined;
};
export declare const GetProjectEnvTargetProjects2: {
    readonly Production: "production";
    readonly Preview: "preview";
    readonly Development: "development";
};
export type GetProjectEnvTargetProjects2 = ClosedEnum<typeof GetProjectEnvTargetProjects2>;
export declare const GetProjectEnvTargetProjects1: {
    readonly Production: "production";
    readonly Preview: "preview";
    readonly Development: "development";
};
export type GetProjectEnvTargetProjects1 = ClosedEnum<typeof GetProjectEnvTargetProjects1>;
export type GetProjectEnvResponseBodyProjectsTarget = Array<GetProjectEnvTargetProjects1> | GetProjectEnvTargetProjects2;
export declare const GetProjectEnvResponseBodyProjectsType: {
    readonly System: "system";
    readonly Encrypted: "encrypted";
    readonly Plain: "plain";
    readonly Sensitive: "sensitive";
    readonly Secret: "secret";
};
export type GetProjectEnvResponseBodyProjectsType = ClosedEnum<typeof GetProjectEnvResponseBodyProjectsType>;
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type: {
    readonly FlagsConnectionString: "flags-connection-string";
};
export type GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type = ClosedEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type>;
export type GetProjectEnvContentHintProjects15 = {
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type;
    projectId: string;
};
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type: {
    readonly IntegrationStoreSecret: "integration-store-secret";
};
export type GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type = ClosedEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type>;
export type GetProjectEnvContentHintProjects14 = {
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type;
    storeId: string;
    integrationId: string;
    integrationProductId: string;
    integrationConfigurationId: string;
};
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type: {
    readonly PostgresUrlNoSsl: "postgres-url-no-ssl";
};
export type GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type = ClosedEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type>;
export type GetProjectEnvContentHintProjects13 = {
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type;
    storeId: string;
};
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type: {
    readonly PostgresDatabase: "postgres-database";
};
export type GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type = ClosedEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type>;
export type GetProjectEnvContentHintProjects12 = {
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type;
    storeId: string;
};
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type: {
    readonly PostgresPassword: "postgres-password";
};
export type GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type = ClosedEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type>;
export type GetProjectEnvContentHintProjects11 = {
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type;
    storeId: string;
};
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type: {
    readonly PostgresHost: "postgres-host";
};
export type GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type = ClosedEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type>;
export type GetProjectEnvContentHintProjects10 = {
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type;
    storeId: string;
};
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type: {
    readonly PostgresUser: "postgres-user";
};
export type GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type = ClosedEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type>;
export type GetProjectEnvContentHintProjects9 = {
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type;
    storeId: string;
};
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type: {
    readonly PostgresPrismaUrl: "postgres-prisma-url";
};
export type GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type = ClosedEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type>;
export type GetProjectEnvContentHintProjects8 = {
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type;
    storeId: string;
};
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type: {
    readonly PostgresUrlNonPooling: "postgres-url-non-pooling";
};
export type GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type = ClosedEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type>;
export type GetProjectEnvContentHintProjects7 = {
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type;
    storeId: string;
};
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type: {
    readonly PostgresUrl: "postgres-url";
};
export type GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type = ClosedEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type>;
export type GetProjectEnvContentHintProjects6 = {
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type;
    storeId: string;
};
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type: {
    readonly BlobReadWriteToken: "blob-read-write-token";
};
export type GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type = ClosedEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type>;
export type GetProjectEnvContentHintProjects5 = {
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type;
    storeId: string;
};
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type: {
    readonly RedisRestApiReadOnlyToken: "redis-rest-api-read-only-token";
};
export type GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type = ClosedEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type>;
export type GetProjectEnvContentHintProjects4 = {
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type;
    storeId: string;
};
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type: {
    readonly RedisRestApiToken: "redis-rest-api-token";
};
export type GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type = ClosedEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type>;
export type GetProjectEnvContentHintProjects3 = {
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type;
    storeId: string;
};
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type: {
    readonly RedisRestApiUrl: "redis-rest-api-url";
};
export type GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type = ClosedEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type>;
export type GetProjectEnvContentHintProjects2 = {
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type;
    storeId: string;
};
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type: {
    readonly RedisUrl: "redis-url";
};
export type GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type = ClosedEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type>;
export type GetProjectEnvContentHintProjects1 = {
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type;
    storeId: string;
};
export type GetProjectEnvResponseBodyProjectsContentHint = GetProjectEnvContentHintProjects1 | GetProjectEnvContentHintProjects2 | GetProjectEnvContentHintProjects3 | GetProjectEnvContentHintProjects4 | GetProjectEnvContentHintProjects5 | GetProjectEnvContentHintProjects6 | GetProjectEnvContentHintProjects7 | GetProjectEnvContentHintProjects8 | GetProjectEnvContentHintProjects9 | GetProjectEnvContentHintProjects10 | GetProjectEnvContentHintProjects11 | GetProjectEnvContentHintProjects12 | GetProjectEnvContentHintProjects13 | GetProjectEnvContentHintProjects15 | GetProjectEnvContentHintProjects14;
export declare const GetProjectEnvResponseBodyProjectsResponse200Type: {
    readonly FlagsSecret: "flags-secret";
};
export type GetProjectEnvResponseBodyProjectsResponse200Type = ClosedEnum<typeof GetProjectEnvResponseBodyProjectsResponse200Type>;
/**
 * Similar to `contentHints`, but should not be exposed to the user.
 */
export type GetProjectEnvResponseBodyProjectsInternalContentHint = {
    type: GetProjectEnvResponseBodyProjectsResponse200Type;
    /**
     * Contains the `value` of the env variable, encrypted with a special key to make decryption possible in the subscriber Lambda.
     */
    encryptedValue: string;
};
export type GetProjectEnvResponseBody2 = {
    target?: Array<GetProjectEnvTargetProjects1> | GetProjectEnvTargetProjects2 | undefined;
    type: GetProjectEnvResponseBodyProjectsType;
    /**
     * This is used to identiy variables that have been migrated from type secret to sensitive.
     */
    sunsetSecretId?: string | undefined;
    decrypted?: boolean | undefined;
    value: string;
    vsmValue?: string | undefined;
    id?: string | undefined;
    key: string;
    configurationId?: string | null | undefined;
    createdAt?: number | undefined;
    updatedAt?: number | undefined;
    createdBy?: string | null | undefined;
    updatedBy?: string | null | undefined;
    gitBranch?: string | undefined;
    edgeConfigId?: string | null | undefined;
    edgeConfigTokenId?: string | null | undefined;
    contentHint?: GetProjectEnvContentHintProjects1 | GetProjectEnvContentHintProjects2 | GetProjectEnvContentHintProjects3 | GetProjectEnvContentHintProjects4 | GetProjectEnvContentHintProjects5 | GetProjectEnvContentHintProjects6 | GetProjectEnvContentHintProjects7 | GetProjectEnvContentHintProjects8 | GetProjectEnvContentHintProjects9 | GetProjectEnvContentHintProjects10 | GetProjectEnvContentHintProjects11 | GetProjectEnvContentHintProjects12 | GetProjectEnvContentHintProjects13 | GetProjectEnvContentHintProjects15 | GetProjectEnvContentHintProjects14 | null | undefined;
    /**
     * Similar to `contentHints`, but should not be exposed to the user.
     */
    internalContentHint?: GetProjectEnvResponseBodyProjectsInternalContentHint | null | undefined;
    comment?: string | undefined;
    customEnvironmentIds?: Array<string> | undefined;
};
export declare const GetProjectEnvTarget2: {
    readonly Production: "production";
    readonly Preview: "preview";
    readonly Development: "development";
};
export type GetProjectEnvTarget2 = ClosedEnum<typeof GetProjectEnvTarget2>;
export declare const GetProjectEnvTarget1: {
    readonly Production: "production";
    readonly Preview: "preview";
    readonly Development: "development";
};
export type GetProjectEnvTarget1 = ClosedEnum<typeof GetProjectEnvTarget1>;
export type GetProjectEnvResponseBodyTarget = Array<GetProjectEnvTarget1> | GetProjectEnvTarget2;
export declare const GetProjectEnvResponseBodyType: {
    readonly System: "system";
    readonly Encrypted: "encrypted";
    readonly Plain: "plain";
    readonly Sensitive: "sensitive";
    readonly Secret: "secret";
};
export type GetProjectEnvResponseBodyType = ClosedEnum<typeof GetProjectEnvResponseBodyType>;
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type: {
    readonly FlagsConnectionString: "flags-connection-string";
};
export type GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type = ClosedEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type>;
export type GetProjectEnvContentHint15 = {
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type;
    projectId: string;
};
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type: {
    readonly IntegrationStoreSecret: "integration-store-secret";
};
export type GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type = ClosedEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type>;
export type GetProjectEnvContentHint14 = {
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type;
    storeId: string;
    integrationId: string;
    integrationProductId: string;
    integrationConfigurationId: string;
};
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type: {
    readonly PostgresUrlNoSsl: "postgres-url-no-ssl";
};
export type GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type = ClosedEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type>;
export type GetProjectEnvContentHint13 = {
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type;
    storeId: string;
};
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type: {
    readonly PostgresDatabase: "postgres-database";
};
export type GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type = ClosedEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type>;
export type GetProjectEnvContentHint12 = {
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type;
    storeId: string;
};
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type: {
    readonly PostgresPassword: "postgres-password";
};
export type GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type = ClosedEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type>;
export type GetProjectEnvContentHint11 = {
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type;
    storeId: string;
};
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type: {
    readonly PostgresHost: "postgres-host";
};
export type GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type = ClosedEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type>;
export type GetProjectEnvContentHint10 = {
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type;
    storeId: string;
};
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type: {
    readonly PostgresUser: "postgres-user";
};
export type GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type = ClosedEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type>;
export type GetProjectEnvContentHint9 = {
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type;
    storeId: string;
};
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type: {
    readonly PostgresPrismaUrl: "postgres-prisma-url";
};
export type GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type = ClosedEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type>;
export type GetProjectEnvContentHint8 = {
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type;
    storeId: string;
};
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type: {
    readonly PostgresUrlNonPooling: "postgres-url-non-pooling";
};
export type GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type = ClosedEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type>;
export type GetProjectEnvContentHint7 = {
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type;
    storeId: string;
};
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType: {
    readonly PostgresUrl: "postgres-url";
};
export type GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType = ClosedEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType>;
export type GetProjectEnvContentHint6 = {
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType;
    storeId: string;
};
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONType: {
    readonly BlobReadWriteToken: "blob-read-write-token";
};
export type GetProjectEnvContentHintProjectsResponse200ApplicationJSONType = ClosedEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONType>;
export type GetProjectEnvContentHint5 = {
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONType;
    storeId: string;
};
export declare const GetProjectEnvContentHintProjectsResponse200Type: {
    readonly RedisRestApiReadOnlyToken: "redis-rest-api-read-only-token";
};
export type GetProjectEnvContentHintProjectsResponse200Type = ClosedEnum<typeof GetProjectEnvContentHintProjectsResponse200Type>;
export type GetProjectEnvContentHint4 = {
    type: GetProjectEnvContentHintProjectsResponse200Type;
    storeId: string;
};
export declare const GetProjectEnvContentHintProjectsResponseType: {
    readonly RedisRestApiToken: "redis-rest-api-token";
};
export type GetProjectEnvContentHintProjectsResponseType = ClosedEnum<typeof GetProjectEnvContentHintProjectsResponseType>;
export type GetProjectEnvContentHint3 = {
    type: GetProjectEnvContentHintProjectsResponseType;
    storeId: string;
};
export declare const GetProjectEnvContentHintProjectsType: {
    readonly RedisRestApiUrl: "redis-rest-api-url";
};
export type GetProjectEnvContentHintProjectsType = ClosedEnum<typeof GetProjectEnvContentHintProjectsType>;
export type GetProjectEnvContentHint2 = {
    type: GetProjectEnvContentHintProjectsType;
    storeId: string;
};
export declare const GetProjectEnvContentHintType: {
    readonly RedisUrl: "redis-url";
};
export type GetProjectEnvContentHintType = ClosedEnum<typeof GetProjectEnvContentHintType>;
export type GetProjectEnvContentHint1 = {
    type: GetProjectEnvContentHintType;
    storeId: string;
};
export type GetProjectEnvResponseBodyContentHint = GetProjectEnvContentHint1 | GetProjectEnvContentHint2 | GetProjectEnvContentHint3 | GetProjectEnvContentHint4 | GetProjectEnvContentHint5 | GetProjectEnvContentHint6 | GetProjectEnvContentHint7 | GetProjectEnvContentHint8 | GetProjectEnvContentHint9 | GetProjectEnvContentHint10 | GetProjectEnvContentHint11 | GetProjectEnvContentHint12 | GetProjectEnvContentHint13 | GetProjectEnvContentHint15 | GetProjectEnvContentHint14;
export declare const GetProjectEnvResponseBodyProjectsResponse200ApplicationJSONType: {
    readonly FlagsSecret: "flags-secret";
};
export type GetProjectEnvResponseBodyProjectsResponse200ApplicationJSONType = ClosedEnum<typeof GetProjectEnvResponseBodyProjectsResponse200ApplicationJSONType>;
/**
 * Similar to `contentHints`, but should not be exposed to the user.
 */
export type GetProjectEnvResponseBodyInternalContentHint = {
    type: GetProjectEnvResponseBodyProjectsResponse200ApplicationJSONType;
    /**
     * Contains the `value` of the env variable, encrypted with a special key to make decryption possible in the subscriber Lambda.
     */
    encryptedValue: string;
};
export type GetProjectEnvResponseBody1 = {
    decrypted: boolean;
    target?: Array<GetProjectEnvTarget1> | GetProjectEnvTarget2 | undefined;
    type: GetProjectEnvResponseBodyType;
    /**
     * This is used to identiy variables that have been migrated from type secret to sensitive.
     */
    sunsetSecretId?: string | undefined;
    id?: string | undefined;
    key: string;
    configurationId?: string | null | undefined;
    createdAt?: number | undefined;
    updatedAt?: number | undefined;
    createdBy?: string | null | undefined;
    updatedBy?: string | null | undefined;
    gitBranch?: string | undefined;
    edgeConfigId?: string | null | undefined;
    edgeConfigTokenId?: string | null | undefined;
    contentHint?: GetProjectEnvContentHint1 | GetProjectEnvContentHint2 | GetProjectEnvContentHint3 | GetProjectEnvContentHint4 | GetProjectEnvContentHint5 | GetProjectEnvContentHint6 | GetProjectEnvContentHint7 | GetProjectEnvContentHint8 | GetProjectEnvContentHint9 | GetProjectEnvContentHint10 | GetProjectEnvContentHint11 | GetProjectEnvContentHint12 | GetProjectEnvContentHint13 | GetProjectEnvContentHint15 | GetProjectEnvContentHint14 | null | undefined;
    /**
     * Similar to `contentHints`, but should not be exposed to the user.
     */
    internalContentHint?: GetProjectEnvResponseBodyInternalContentHint | null | undefined;
    comment?: string | undefined;
    customEnvironmentIds?: Array<string> | undefined;
};
export type GetProjectEnvResponseBody = GetProjectEnvResponseBody1 | GetProjectEnvResponseBody3 | GetProjectEnvResponseBody2;
/** @internal */
export declare const GetProjectEnvRequest$inboundSchema: z.ZodType<GetProjectEnvRequest, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvRequest$Outbound = {
    idOrName: string;
    id: string;
    teamId?: string | undefined;
    slug?: string | undefined;
};
/** @internal */
export declare const GetProjectEnvRequest$outboundSchema: z.ZodType<GetProjectEnvRequest$Outbound, z.ZodTypeDef, GetProjectEnvRequest>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvRequest$ {
    /** @deprecated use `GetProjectEnvRequest$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvRequest, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvRequest$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvRequest$Outbound, z.ZodTypeDef, GetProjectEnvRequest>;
    /** @deprecated use `GetProjectEnvRequest$Outbound` instead. */
    type Outbound = GetProjectEnvRequest$Outbound;
}
export declare function getProjectEnvRequestToJSON(getProjectEnvRequest: GetProjectEnvRequest): string;
export declare function getProjectEnvRequestFromJSON(jsonString: string): SafeParseResult<GetProjectEnvRequest, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvTargetProjectsResponse2$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvTargetProjectsResponse2>;
/** @internal */
export declare const GetProjectEnvTargetProjectsResponse2$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvTargetProjectsResponse2>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvTargetProjectsResponse2$ {
    /** @deprecated use `GetProjectEnvTargetProjectsResponse2$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly Production: "production";
        readonly Preview: "preview";
        readonly Development: "development";
    }>;
    /** @deprecated use `GetProjectEnvTargetProjectsResponse2$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly Production: "production";
        readonly Preview: "preview";
        readonly Development: "development";
    }>;
}
/** @internal */
export declare const GetProjectEnvResponseBodyProjectsResponseTarget$inboundSchema: z.ZodType<GetProjectEnvResponseBodyProjectsResponseTarget, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvResponseBodyProjectsResponseTarget$Outbound = Array<string> | string;
/** @internal */
export declare const GetProjectEnvResponseBodyProjectsResponseTarget$outboundSchema: z.ZodType<GetProjectEnvResponseBodyProjectsResponseTarget$Outbound, z.ZodTypeDef, GetProjectEnvResponseBodyProjectsResponseTarget>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvResponseBodyProjectsResponseTarget$ {
    /** @deprecated use `GetProjectEnvResponseBodyProjectsResponseTarget$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvResponseBodyProjectsResponseTarget, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvResponseBodyProjectsResponseTarget$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvResponseBodyProjectsResponseTarget$Outbound, z.ZodTypeDef, GetProjectEnvResponseBodyProjectsResponseTarget>;
    /** @deprecated use `GetProjectEnvResponseBodyProjectsResponseTarget$Outbound` instead. */
    type Outbound = GetProjectEnvResponseBodyProjectsResponseTarget$Outbound;
}
export declare function getProjectEnvResponseBodyProjectsResponseTargetToJSON(getProjectEnvResponseBodyProjectsResponseTarget: GetProjectEnvResponseBodyProjectsResponseTarget): string;
export declare function getProjectEnvResponseBodyProjectsResponseTargetFromJSON(jsonString: string): SafeParseResult<GetProjectEnvResponseBodyProjectsResponseTarget, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvResponseBodyProjectsResponseType$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvResponseBodyProjectsResponseType>;
/** @internal */
export declare const GetProjectEnvResponseBodyProjectsResponseType$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvResponseBodyProjectsResponseType>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvResponseBodyProjectsResponseType$ {
    /** @deprecated use `GetProjectEnvResponseBodyProjectsResponseType$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly System: "system";
        readonly Encrypted: "encrypted";
        readonly Plain: "plain";
        readonly Sensitive: "sensitive";
        readonly Secret: "secret";
    }>;
    /** @deprecated use `GetProjectEnvResponseBodyProjectsResponseType$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly System: "system";
        readonly Encrypted: "encrypted";
        readonly Plain: "plain";
        readonly Sensitive: "sensitive";
        readonly Secret: "secret";
    }>;
}
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly FlagsConnectionString: "flags-connection-string";
    }>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly FlagsConnectionString: "flags-connection-string";
    }>;
}
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse15$inboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse15, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvContentHintProjectsResponse15$Outbound = {
    type: string;
    projectId: string;
};
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse15$outboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse15$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjectsResponse15>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse15$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse15$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse15, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse15$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse15$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjectsResponse15>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse15$Outbound` instead. */
    type Outbound = GetProjectEnvContentHintProjectsResponse15$Outbound;
}
export declare function getProjectEnvContentHintProjectsResponse15ToJSON(getProjectEnvContentHintProjectsResponse15: GetProjectEnvContentHintProjectsResponse15): string;
export declare function getProjectEnvContentHintProjectsResponse15FromJSON(jsonString: string): SafeParseResult<GetProjectEnvContentHintProjectsResponse15, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly IntegrationStoreSecret: "integration-store-secret";
    }>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly IntegrationStoreSecret: "integration-store-secret";
    }>;
}
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse14$inboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse14, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvContentHintProjectsResponse14$Outbound = {
    type: string;
    storeId: string;
    integrationId: string;
    integrationProductId: string;
    integrationConfigurationId: string;
};
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse14$outboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse14$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjectsResponse14>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse14$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse14$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse14, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse14$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse14$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjectsResponse14>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse14$Outbound` instead. */
    type Outbound = GetProjectEnvContentHintProjectsResponse14$Outbound;
}
export declare function getProjectEnvContentHintProjectsResponse14ToJSON(getProjectEnvContentHintProjectsResponse14: GetProjectEnvContentHintProjectsResponse14): string;
export declare function getProjectEnvContentHintProjectsResponse14FromJSON(jsonString: string): SafeParseResult<GetProjectEnvContentHintProjectsResponse14, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly PostgresUrlNoSsl: "postgres-url-no-ssl";
    }>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly PostgresUrlNoSsl: "postgres-url-no-ssl";
    }>;
}
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse13$inboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse13, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvContentHintProjectsResponse13$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse13$outboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse13$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjectsResponse13>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse13$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse13$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse13, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse13$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse13$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjectsResponse13>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse13$Outbound` instead. */
    type Outbound = GetProjectEnvContentHintProjectsResponse13$Outbound;
}
export declare function getProjectEnvContentHintProjectsResponse13ToJSON(getProjectEnvContentHintProjectsResponse13: GetProjectEnvContentHintProjectsResponse13): string;
export declare function getProjectEnvContentHintProjectsResponse13FromJSON(jsonString: string): SafeParseResult<GetProjectEnvContentHintProjectsResponse13, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly PostgresDatabase: "postgres-database";
    }>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly PostgresDatabase: "postgres-database";
    }>;
}
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse12$inboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse12, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvContentHintProjectsResponse12$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse12$outboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse12$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjectsResponse12>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse12$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse12$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse12, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse12$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse12$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjectsResponse12>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse12$Outbound` instead. */
    type Outbound = GetProjectEnvContentHintProjectsResponse12$Outbound;
}
export declare function getProjectEnvContentHintProjectsResponse12ToJSON(getProjectEnvContentHintProjectsResponse12: GetProjectEnvContentHintProjectsResponse12): string;
export declare function getProjectEnvContentHintProjectsResponse12FromJSON(jsonString: string): SafeParseResult<GetProjectEnvContentHintProjectsResponse12, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly PostgresPassword: "postgres-password";
    }>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly PostgresPassword: "postgres-password";
    }>;
}
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse11$inboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse11, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvContentHintProjectsResponse11$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse11$outboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse11$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjectsResponse11>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse11$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse11$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse11, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse11$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse11$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjectsResponse11>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse11$Outbound` instead. */
    type Outbound = GetProjectEnvContentHintProjectsResponse11$Outbound;
}
export declare function getProjectEnvContentHintProjectsResponse11ToJSON(getProjectEnvContentHintProjectsResponse11: GetProjectEnvContentHintProjectsResponse11): string;
export declare function getProjectEnvContentHintProjectsResponse11FromJSON(jsonString: string): SafeParseResult<GetProjectEnvContentHintProjectsResponse11, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly PostgresHost: "postgres-host";
    }>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly PostgresHost: "postgres-host";
    }>;
}
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse10$inboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse10, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvContentHintProjectsResponse10$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse10$outboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse10$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjectsResponse10>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse10$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse10$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse10, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse10$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse10$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjectsResponse10>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse10$Outbound` instead. */
    type Outbound = GetProjectEnvContentHintProjectsResponse10$Outbound;
}
export declare function getProjectEnvContentHintProjectsResponse10ToJSON(getProjectEnvContentHintProjectsResponse10: GetProjectEnvContentHintProjectsResponse10): string;
export declare function getProjectEnvContentHintProjectsResponse10FromJSON(jsonString: string): SafeParseResult<GetProjectEnvContentHintProjectsResponse10, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly PostgresUser: "postgres-user";
    }>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly PostgresUser: "postgres-user";
    }>;
}
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse9$inboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse9, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvContentHintProjectsResponse9$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse9$outboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse9$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjectsResponse9>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse9$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse9$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse9, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse9$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse9$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjectsResponse9>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse9$Outbound` instead. */
    type Outbound = GetProjectEnvContentHintProjectsResponse9$Outbound;
}
export declare function getProjectEnvContentHintProjectsResponse9ToJSON(getProjectEnvContentHintProjectsResponse9: GetProjectEnvContentHintProjectsResponse9): string;
export declare function getProjectEnvContentHintProjectsResponse9FromJSON(jsonString: string): SafeParseResult<GetProjectEnvContentHintProjectsResponse9, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly PostgresPrismaUrl: "postgres-prisma-url";
    }>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly PostgresPrismaUrl: "postgres-prisma-url";
    }>;
}
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse8$inboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse8, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvContentHintProjectsResponse8$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse8$outboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse8$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjectsResponse8>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse8$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse8$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse8, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse8$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse8$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjectsResponse8>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse8$Outbound` instead. */
    type Outbound = GetProjectEnvContentHintProjectsResponse8$Outbound;
}
export declare function getProjectEnvContentHintProjectsResponse8ToJSON(getProjectEnvContentHintProjectsResponse8: GetProjectEnvContentHintProjectsResponse8): string;
export declare function getProjectEnvContentHintProjectsResponse8FromJSON(jsonString: string): SafeParseResult<GetProjectEnvContentHintProjectsResponse8, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly PostgresUrlNonPooling: "postgres-url-non-pooling";
    }>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly PostgresUrlNonPooling: "postgres-url-non-pooling";
    }>;
}
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse7$inboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse7, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvContentHintProjectsResponse7$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse7$outboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse7$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjectsResponse7>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse7$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse7$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse7, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse7$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse7$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjectsResponse7>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse7$Outbound` instead. */
    type Outbound = GetProjectEnvContentHintProjectsResponse7$Outbound;
}
export declare function getProjectEnvContentHintProjectsResponse7ToJSON(getProjectEnvContentHintProjectsResponse7: GetProjectEnvContentHintProjectsResponse7): string;
export declare function getProjectEnvContentHintProjectsResponse7FromJSON(jsonString: string): SafeParseResult<GetProjectEnvContentHintProjectsResponse7, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly PostgresUrl: "postgres-url";
    }>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly PostgresUrl: "postgres-url";
    }>;
}
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse6$inboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse6, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvContentHintProjectsResponse6$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse6$outboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse6$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjectsResponse6>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse6$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse6$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse6, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse6$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse6$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjectsResponse6>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse6$Outbound` instead. */
    type Outbound = GetProjectEnvContentHintProjectsResponse6$Outbound;
}
export declare function getProjectEnvContentHintProjectsResponse6ToJSON(getProjectEnvContentHintProjectsResponse6: GetProjectEnvContentHintProjectsResponse6): string;
export declare function getProjectEnvContentHintProjectsResponse6FromJSON(jsonString: string): SafeParseResult<GetProjectEnvContentHintProjectsResponse6, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly BlobReadWriteToken: "blob-read-write-token";
    }>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly BlobReadWriteToken: "blob-read-write-token";
    }>;
}
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse5$inboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse5, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvContentHintProjectsResponse5$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse5$outboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse5$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjectsResponse5>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse5$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse5$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse5, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse5$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse5$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjectsResponse5>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse5$Outbound` instead. */
    type Outbound = GetProjectEnvContentHintProjectsResponse5$Outbound;
}
export declare function getProjectEnvContentHintProjectsResponse5ToJSON(getProjectEnvContentHintProjectsResponse5: GetProjectEnvContentHintProjectsResponse5): string;
export declare function getProjectEnvContentHintProjectsResponse5FromJSON(jsonString: string): SafeParseResult<GetProjectEnvContentHintProjectsResponse5, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly RedisRestApiReadOnlyToken: "redis-rest-api-read-only-token";
    }>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly RedisRestApiReadOnlyToken: "redis-rest-api-read-only-token";
    }>;
}
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse4$inboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse4, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvContentHintProjectsResponse4$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse4$outboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse4$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjectsResponse4>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse4$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse4$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse4, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse4$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse4$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjectsResponse4>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse4$Outbound` instead. */
    type Outbound = GetProjectEnvContentHintProjectsResponse4$Outbound;
}
export declare function getProjectEnvContentHintProjectsResponse4ToJSON(getProjectEnvContentHintProjectsResponse4: GetProjectEnvContentHintProjectsResponse4): string;
export declare function getProjectEnvContentHintProjectsResponse4FromJSON(jsonString: string): SafeParseResult<GetProjectEnvContentHintProjectsResponse4, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly RedisRestApiToken: "redis-rest-api-token";
    }>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly RedisRestApiToken: "redis-rest-api-token";
    }>;
}
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse3$inboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse3, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvContentHintProjectsResponse3$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse3$outboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse3$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjectsResponse3>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse3$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse3$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse3, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse3$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse3$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjectsResponse3>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse3$Outbound` instead. */
    type Outbound = GetProjectEnvContentHintProjectsResponse3$Outbound;
}
export declare function getProjectEnvContentHintProjectsResponse3ToJSON(getProjectEnvContentHintProjectsResponse3: GetProjectEnvContentHintProjectsResponse3): string;
export declare function getProjectEnvContentHintProjectsResponse3FromJSON(jsonString: string): SafeParseResult<GetProjectEnvContentHintProjectsResponse3, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly RedisRestApiUrl: "redis-rest-api-url";
    }>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly RedisRestApiUrl: "redis-rest-api-url";
    }>;
}
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse2$inboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse2, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvContentHintProjectsResponse2$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse2$outboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse2$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjectsResponse2>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse2$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse2$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse2, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse2$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse2$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjectsResponse2>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse2$Outbound` instead. */
    type Outbound = GetProjectEnvContentHintProjectsResponse2$Outbound;
}
export declare function getProjectEnvContentHintProjectsResponse2ToJSON(getProjectEnvContentHintProjectsResponse2: GetProjectEnvContentHintProjectsResponse2): string;
export declare function getProjectEnvContentHintProjectsResponse2FromJSON(jsonString: string): SafeParseResult<GetProjectEnvContentHintProjectsResponse2, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly RedisUrl: "redis-url";
    }>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly RedisUrl: "redis-url";
    }>;
}
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse1$inboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse1, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvContentHintProjectsResponse1$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse1$outboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse1$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjectsResponse1>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse1$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse1$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse1, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse1$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvContentHintProjectsResponse1$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjectsResponse1>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse1$Outbound` instead. */
    type Outbound = GetProjectEnvContentHintProjectsResponse1$Outbound;
}
export declare function getProjectEnvContentHintProjectsResponse1ToJSON(getProjectEnvContentHintProjectsResponse1: GetProjectEnvContentHintProjectsResponse1): string;
export declare function getProjectEnvContentHintProjectsResponse1FromJSON(jsonString: string): SafeParseResult<GetProjectEnvContentHintProjectsResponse1, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvResponseBodyProjectsResponseContentHint$inboundSchema: z.ZodType<GetProjectEnvResponseBodyProjectsResponseContentHint, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvResponseBodyProjectsResponseContentHint$Outbound = GetProjectEnvContentHintProjectsResponse1$Outbound | GetProjectEnvContentHintProjectsResponse2$Outbound | GetProjectEnvContentHintProjectsResponse3$Outbound | GetProjectEnvContentHintProjectsResponse4$Outbound | GetProjectEnvContentHintProjectsResponse5$Outbound | GetProjectEnvContentHintProjectsResponse6$Outbound | GetProjectEnvContentHintProjectsResponse7$Outbound | GetProjectEnvContentHintProjectsResponse8$Outbound | GetProjectEnvContentHintProjectsResponse9$Outbound | GetProjectEnvContentHintProjectsResponse10$Outbound | GetProjectEnvContentHintProjectsResponse11$Outbound | GetProjectEnvContentHintProjectsResponse12$Outbound | GetProjectEnvContentHintProjectsResponse13$Outbound | GetProjectEnvContentHintProjectsResponse15$Outbound | GetProjectEnvContentHintProjectsResponse14$Outbound;
/** @internal */
export declare const GetProjectEnvResponseBodyProjectsResponseContentHint$outboundSchema: z.ZodType<GetProjectEnvResponseBodyProjectsResponseContentHint$Outbound, z.ZodTypeDef, GetProjectEnvResponseBodyProjectsResponseContentHint>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvResponseBodyProjectsResponseContentHint$ {
    /** @deprecated use `GetProjectEnvResponseBodyProjectsResponseContentHint$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvResponseBodyProjectsResponseContentHint, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvResponseBodyProjectsResponseContentHint$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvResponseBodyProjectsResponseContentHint$Outbound, z.ZodTypeDef, GetProjectEnvResponseBodyProjectsResponseContentHint>;
    /** @deprecated use `GetProjectEnvResponseBodyProjectsResponseContentHint$Outbound` instead. */
    type Outbound = GetProjectEnvResponseBodyProjectsResponseContentHint$Outbound;
}
export declare function getProjectEnvResponseBodyProjectsResponseContentHintToJSON(getProjectEnvResponseBodyProjectsResponseContentHint: GetProjectEnvResponseBodyProjectsResponseContentHint): string;
export declare function getProjectEnvResponseBodyProjectsResponseContentHintFromJSON(jsonString: string): SafeParseResult<GetProjectEnvResponseBodyProjectsResponseContentHint, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type>;
/** @internal */
export declare const GetProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$ {
    /** @deprecated use `GetProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly FlagsSecret: "flags-secret";
    }>;
    /** @deprecated use `GetProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly FlagsSecret: "flags-secret";
    }>;
}
/** @internal */
export declare const GetProjectEnvResponseBodyProjectsResponseInternalContentHint$inboundSchema: z.ZodType<GetProjectEnvResponseBodyProjectsResponseInternalContentHint, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvResponseBodyProjectsResponseInternalContentHint$Outbound = {
    type: string;
    encryptedValue: string;
};
/** @internal */
export declare const GetProjectEnvResponseBodyProjectsResponseInternalContentHint$outboundSchema: z.ZodType<GetProjectEnvResponseBodyProjectsResponseInternalContentHint$Outbound, z.ZodTypeDef, GetProjectEnvResponseBodyProjectsResponseInternalContentHint>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvResponseBodyProjectsResponseInternalContentHint$ {
    /** @deprecated use `GetProjectEnvResponseBodyProjectsResponseInternalContentHint$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvResponseBodyProjectsResponseInternalContentHint, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvResponseBodyProjectsResponseInternalContentHint$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvResponseBodyProjectsResponseInternalContentHint$Outbound, z.ZodTypeDef, GetProjectEnvResponseBodyProjectsResponseInternalContentHint>;
    /** @deprecated use `GetProjectEnvResponseBodyProjectsResponseInternalContentHint$Outbound` instead. */
    type Outbound = GetProjectEnvResponseBodyProjectsResponseInternalContentHint$Outbound;
}
export declare function getProjectEnvResponseBodyProjectsResponseInternalContentHintToJSON(getProjectEnvResponseBodyProjectsResponseInternalContentHint: GetProjectEnvResponseBodyProjectsResponseInternalContentHint): string;
export declare function getProjectEnvResponseBodyProjectsResponseInternalContentHintFromJSON(jsonString: string): SafeParseResult<GetProjectEnvResponseBodyProjectsResponseInternalContentHint, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvResponseBody3$inboundSchema: z.ZodType<GetProjectEnvResponseBody3, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvResponseBody3$Outbound = {
    target?: Array<string> | string | undefined;
    type: string;
    sunsetSecretId?: string | undefined;
    decrypted?: boolean | undefined;
    value: string;
    id?: string | undefined;
    key: string;
    configurationId?: string | null | undefined;
    createdAt?: number | undefined;
    updatedAt?: number | undefined;
    createdBy?: string | null | undefined;
    updatedBy?: string | null | undefined;
    gitBranch?: string | undefined;
    edgeConfigId?: string | null | undefined;
    edgeConfigTokenId?: string | null | undefined;
    contentHint?: GetProjectEnvContentHintProjectsResponse1$Outbound | GetProjectEnvContentHintProjectsResponse2$Outbound | GetProjectEnvContentHintProjectsResponse3$Outbound | GetProjectEnvContentHintProjectsResponse4$Outbound | GetProjectEnvContentHintProjectsResponse5$Outbound | GetProjectEnvContentHintProjectsResponse6$Outbound | GetProjectEnvContentHintProjectsResponse7$Outbound | GetProjectEnvContentHintProjectsResponse8$Outbound | GetProjectEnvContentHintProjectsResponse9$Outbound | GetProjectEnvContentHintProjectsResponse10$Outbound | GetProjectEnvContentHintProjectsResponse11$Outbound | GetProjectEnvContentHintProjectsResponse12$Outbound | GetProjectEnvContentHintProjectsResponse13$Outbound | GetProjectEnvContentHintProjectsResponse15$Outbound | GetProjectEnvContentHintProjectsResponse14$Outbound | null | undefined;
    internalContentHint?: GetProjectEnvResponseBodyProjectsResponseInternalContentHint$Outbound | null | undefined;
    comment?: string | undefined;
    customEnvironmentIds?: Array<string> | undefined;
};
/** @internal */
export declare const GetProjectEnvResponseBody3$outboundSchema: z.ZodType<GetProjectEnvResponseBody3$Outbound, z.ZodTypeDef, GetProjectEnvResponseBody3>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvResponseBody3$ {
    /** @deprecated use `GetProjectEnvResponseBody3$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvResponseBody3, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvResponseBody3$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvResponseBody3$Outbound, z.ZodTypeDef, GetProjectEnvResponseBody3>;
    /** @deprecated use `GetProjectEnvResponseBody3$Outbound` instead. */
    type Outbound = GetProjectEnvResponseBody3$Outbound;
}
export declare function getProjectEnvResponseBody3ToJSON(getProjectEnvResponseBody3: GetProjectEnvResponseBody3): string;
export declare function getProjectEnvResponseBody3FromJSON(jsonString: string): SafeParseResult<GetProjectEnvResponseBody3, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvTargetProjects2$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvTargetProjects2>;
/** @internal */
export declare const GetProjectEnvTargetProjects2$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvTargetProjects2>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvTargetProjects2$ {
    /** @deprecated use `GetProjectEnvTargetProjects2$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly Production: "production";
        readonly Preview: "preview";
        readonly Development: "development";
    }>;
    /** @deprecated use `GetProjectEnvTargetProjects2$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly Production: "production";
        readonly Preview: "preview";
        readonly Development: "development";
    }>;
}
/** @internal */
export declare const GetProjectEnvTargetProjects1$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvTargetProjects1>;
/** @internal */
export declare const GetProjectEnvTargetProjects1$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvTargetProjects1>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvTargetProjects1$ {
    /** @deprecated use `GetProjectEnvTargetProjects1$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly Production: "production";
        readonly Preview: "preview";
        readonly Development: "development";
    }>;
    /** @deprecated use `GetProjectEnvTargetProjects1$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly Production: "production";
        readonly Preview: "preview";
        readonly Development: "development";
    }>;
}
/** @internal */
export declare const GetProjectEnvResponseBodyProjectsTarget$inboundSchema: z.ZodType<GetProjectEnvResponseBodyProjectsTarget, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvResponseBodyProjectsTarget$Outbound = Array<string> | string;
/** @internal */
export declare const GetProjectEnvResponseBodyProjectsTarget$outboundSchema: z.ZodType<GetProjectEnvResponseBodyProjectsTarget$Outbound, z.ZodTypeDef, GetProjectEnvResponseBodyProjectsTarget>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvResponseBodyProjectsTarget$ {
    /** @deprecated use `GetProjectEnvResponseBodyProjectsTarget$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvResponseBodyProjectsTarget, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvResponseBodyProjectsTarget$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvResponseBodyProjectsTarget$Outbound, z.ZodTypeDef, GetProjectEnvResponseBodyProjectsTarget>;
    /** @deprecated use `GetProjectEnvResponseBodyProjectsTarget$Outbound` instead. */
    type Outbound = GetProjectEnvResponseBodyProjectsTarget$Outbound;
}
export declare function getProjectEnvResponseBodyProjectsTargetToJSON(getProjectEnvResponseBodyProjectsTarget: GetProjectEnvResponseBodyProjectsTarget): string;
export declare function getProjectEnvResponseBodyProjectsTargetFromJSON(jsonString: string): SafeParseResult<GetProjectEnvResponseBodyProjectsTarget, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvResponseBodyProjectsType$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvResponseBodyProjectsType>;
/** @internal */
export declare const GetProjectEnvResponseBodyProjectsType$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvResponseBodyProjectsType>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvResponseBodyProjectsType$ {
    /** @deprecated use `GetProjectEnvResponseBodyProjectsType$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly System: "system";
        readonly Encrypted: "encrypted";
        readonly Plain: "plain";
        readonly Sensitive: "sensitive";
        readonly Secret: "secret";
    }>;
    /** @deprecated use `GetProjectEnvResponseBodyProjectsType$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly System: "system";
        readonly Encrypted: "encrypted";
        readonly Plain: "plain";
        readonly Sensitive: "sensitive";
        readonly Secret: "secret";
    }>;
}
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly FlagsConnectionString: "flags-connection-string";
    }>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly FlagsConnectionString: "flags-connection-string";
    }>;
}
/** @internal */
export declare const GetProjectEnvContentHintProjects15$inboundSchema: z.ZodType<GetProjectEnvContentHintProjects15, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvContentHintProjects15$Outbound = {
    type: string;
    projectId: string;
};
/** @internal */
export declare const GetProjectEnvContentHintProjects15$outboundSchema: z.ZodType<GetProjectEnvContentHintProjects15$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjects15>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjects15$ {
    /** @deprecated use `GetProjectEnvContentHintProjects15$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvContentHintProjects15, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvContentHintProjects15$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvContentHintProjects15$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjects15>;
    /** @deprecated use `GetProjectEnvContentHintProjects15$Outbound` instead. */
    type Outbound = GetProjectEnvContentHintProjects15$Outbound;
}
export declare function getProjectEnvContentHintProjects15ToJSON(getProjectEnvContentHintProjects15: GetProjectEnvContentHintProjects15): string;
export declare function getProjectEnvContentHintProjects15FromJSON(jsonString: string): SafeParseResult<GetProjectEnvContentHintProjects15, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly IntegrationStoreSecret: "integration-store-secret";
    }>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly IntegrationStoreSecret: "integration-store-secret";
    }>;
}
/** @internal */
export declare const GetProjectEnvContentHintProjects14$inboundSchema: z.ZodType<GetProjectEnvContentHintProjects14, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvContentHintProjects14$Outbound = {
    type: string;
    storeId: string;
    integrationId: string;
    integrationProductId: string;
    integrationConfigurationId: string;
};
/** @internal */
export declare const GetProjectEnvContentHintProjects14$outboundSchema: z.ZodType<GetProjectEnvContentHintProjects14$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjects14>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjects14$ {
    /** @deprecated use `GetProjectEnvContentHintProjects14$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvContentHintProjects14, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvContentHintProjects14$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvContentHintProjects14$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjects14>;
    /** @deprecated use `GetProjectEnvContentHintProjects14$Outbound` instead. */
    type Outbound = GetProjectEnvContentHintProjects14$Outbound;
}
export declare function getProjectEnvContentHintProjects14ToJSON(getProjectEnvContentHintProjects14: GetProjectEnvContentHintProjects14): string;
export declare function getProjectEnvContentHintProjects14FromJSON(jsonString: string): SafeParseResult<GetProjectEnvContentHintProjects14, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly PostgresUrlNoSsl: "postgres-url-no-ssl";
    }>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly PostgresUrlNoSsl: "postgres-url-no-ssl";
    }>;
}
/** @internal */
export declare const GetProjectEnvContentHintProjects13$inboundSchema: z.ZodType<GetProjectEnvContentHintProjects13, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvContentHintProjects13$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const GetProjectEnvContentHintProjects13$outboundSchema: z.ZodType<GetProjectEnvContentHintProjects13$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjects13>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjects13$ {
    /** @deprecated use `GetProjectEnvContentHintProjects13$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvContentHintProjects13, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvContentHintProjects13$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvContentHintProjects13$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjects13>;
    /** @deprecated use `GetProjectEnvContentHintProjects13$Outbound` instead. */
    type Outbound = GetProjectEnvContentHintProjects13$Outbound;
}
export declare function getProjectEnvContentHintProjects13ToJSON(getProjectEnvContentHintProjects13: GetProjectEnvContentHintProjects13): string;
export declare function getProjectEnvContentHintProjects13FromJSON(jsonString: string): SafeParseResult<GetProjectEnvContentHintProjects13, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly PostgresDatabase: "postgres-database";
    }>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly PostgresDatabase: "postgres-database";
    }>;
}
/** @internal */
export declare const GetProjectEnvContentHintProjects12$inboundSchema: z.ZodType<GetProjectEnvContentHintProjects12, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvContentHintProjects12$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const GetProjectEnvContentHintProjects12$outboundSchema: z.ZodType<GetProjectEnvContentHintProjects12$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjects12>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjects12$ {
    /** @deprecated use `GetProjectEnvContentHintProjects12$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvContentHintProjects12, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvContentHintProjects12$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvContentHintProjects12$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjects12>;
    /** @deprecated use `GetProjectEnvContentHintProjects12$Outbound` instead. */
    type Outbound = GetProjectEnvContentHintProjects12$Outbound;
}
export declare function getProjectEnvContentHintProjects12ToJSON(getProjectEnvContentHintProjects12: GetProjectEnvContentHintProjects12): string;
export declare function getProjectEnvContentHintProjects12FromJSON(jsonString: string): SafeParseResult<GetProjectEnvContentHintProjects12, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly PostgresPassword: "postgres-password";
    }>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly PostgresPassword: "postgres-password";
    }>;
}
/** @internal */
export declare const GetProjectEnvContentHintProjects11$inboundSchema: z.ZodType<GetProjectEnvContentHintProjects11, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvContentHintProjects11$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const GetProjectEnvContentHintProjects11$outboundSchema: z.ZodType<GetProjectEnvContentHintProjects11$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjects11>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjects11$ {
    /** @deprecated use `GetProjectEnvContentHintProjects11$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvContentHintProjects11, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvContentHintProjects11$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvContentHintProjects11$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjects11>;
    /** @deprecated use `GetProjectEnvContentHintProjects11$Outbound` instead. */
    type Outbound = GetProjectEnvContentHintProjects11$Outbound;
}
export declare function getProjectEnvContentHintProjects11ToJSON(getProjectEnvContentHintProjects11: GetProjectEnvContentHintProjects11): string;
export declare function getProjectEnvContentHintProjects11FromJSON(jsonString: string): SafeParseResult<GetProjectEnvContentHintProjects11, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly PostgresHost: "postgres-host";
    }>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly PostgresHost: "postgres-host";
    }>;
}
/** @internal */
export declare const GetProjectEnvContentHintProjects10$inboundSchema: z.ZodType<GetProjectEnvContentHintProjects10, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvContentHintProjects10$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const GetProjectEnvContentHintProjects10$outboundSchema: z.ZodType<GetProjectEnvContentHintProjects10$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjects10>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjects10$ {
    /** @deprecated use `GetProjectEnvContentHintProjects10$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvContentHintProjects10, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvContentHintProjects10$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvContentHintProjects10$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjects10>;
    /** @deprecated use `GetProjectEnvContentHintProjects10$Outbound` instead. */
    type Outbound = GetProjectEnvContentHintProjects10$Outbound;
}
export declare function getProjectEnvContentHintProjects10ToJSON(getProjectEnvContentHintProjects10: GetProjectEnvContentHintProjects10): string;
export declare function getProjectEnvContentHintProjects10FromJSON(jsonString: string): SafeParseResult<GetProjectEnvContentHintProjects10, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly PostgresUser: "postgres-user";
    }>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly PostgresUser: "postgres-user";
    }>;
}
/** @internal */
export declare const GetProjectEnvContentHintProjects9$inboundSchema: z.ZodType<GetProjectEnvContentHintProjects9, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvContentHintProjects9$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const GetProjectEnvContentHintProjects9$outboundSchema: z.ZodType<GetProjectEnvContentHintProjects9$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjects9>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjects9$ {
    /** @deprecated use `GetProjectEnvContentHintProjects9$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvContentHintProjects9, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvContentHintProjects9$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvContentHintProjects9$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjects9>;
    /** @deprecated use `GetProjectEnvContentHintProjects9$Outbound` instead. */
    type Outbound = GetProjectEnvContentHintProjects9$Outbound;
}
export declare function getProjectEnvContentHintProjects9ToJSON(getProjectEnvContentHintProjects9: GetProjectEnvContentHintProjects9): string;
export declare function getProjectEnvContentHintProjects9FromJSON(jsonString: string): SafeParseResult<GetProjectEnvContentHintProjects9, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly PostgresPrismaUrl: "postgres-prisma-url";
    }>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly PostgresPrismaUrl: "postgres-prisma-url";
    }>;
}
/** @internal */
export declare const GetProjectEnvContentHintProjects8$inboundSchema: z.ZodType<GetProjectEnvContentHintProjects8, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvContentHintProjects8$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const GetProjectEnvContentHintProjects8$outboundSchema: z.ZodType<GetProjectEnvContentHintProjects8$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjects8>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjects8$ {
    /** @deprecated use `GetProjectEnvContentHintProjects8$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvContentHintProjects8, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvContentHintProjects8$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvContentHintProjects8$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjects8>;
    /** @deprecated use `GetProjectEnvContentHintProjects8$Outbound` instead. */
    type Outbound = GetProjectEnvContentHintProjects8$Outbound;
}
export declare function getProjectEnvContentHintProjects8ToJSON(getProjectEnvContentHintProjects8: GetProjectEnvContentHintProjects8): string;
export declare function getProjectEnvContentHintProjects8FromJSON(jsonString: string): SafeParseResult<GetProjectEnvContentHintProjects8, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly PostgresUrlNonPooling: "postgres-url-non-pooling";
    }>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly PostgresUrlNonPooling: "postgres-url-non-pooling";
    }>;
}
/** @internal */
export declare const GetProjectEnvContentHintProjects7$inboundSchema: z.ZodType<GetProjectEnvContentHintProjects7, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvContentHintProjects7$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const GetProjectEnvContentHintProjects7$outboundSchema: z.ZodType<GetProjectEnvContentHintProjects7$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjects7>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjects7$ {
    /** @deprecated use `GetProjectEnvContentHintProjects7$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvContentHintProjects7, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvContentHintProjects7$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvContentHintProjects7$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjects7>;
    /** @deprecated use `GetProjectEnvContentHintProjects7$Outbound` instead. */
    type Outbound = GetProjectEnvContentHintProjects7$Outbound;
}
export declare function getProjectEnvContentHintProjects7ToJSON(getProjectEnvContentHintProjects7: GetProjectEnvContentHintProjects7): string;
export declare function getProjectEnvContentHintProjects7FromJSON(jsonString: string): SafeParseResult<GetProjectEnvContentHintProjects7, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly PostgresUrl: "postgres-url";
    }>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly PostgresUrl: "postgres-url";
    }>;
}
/** @internal */
export declare const GetProjectEnvContentHintProjects6$inboundSchema: z.ZodType<GetProjectEnvContentHintProjects6, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvContentHintProjects6$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const GetProjectEnvContentHintProjects6$outboundSchema: z.ZodType<GetProjectEnvContentHintProjects6$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjects6>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjects6$ {
    /** @deprecated use `GetProjectEnvContentHintProjects6$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvContentHintProjects6, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvContentHintProjects6$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvContentHintProjects6$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjects6>;
    /** @deprecated use `GetProjectEnvContentHintProjects6$Outbound` instead. */
    type Outbound = GetProjectEnvContentHintProjects6$Outbound;
}
export declare function getProjectEnvContentHintProjects6ToJSON(getProjectEnvContentHintProjects6: GetProjectEnvContentHintProjects6): string;
export declare function getProjectEnvContentHintProjects6FromJSON(jsonString: string): SafeParseResult<GetProjectEnvContentHintProjects6, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly BlobReadWriteToken: "blob-read-write-token";
    }>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly BlobReadWriteToken: "blob-read-write-token";
    }>;
}
/** @internal */
export declare const GetProjectEnvContentHintProjects5$inboundSchema: z.ZodType<GetProjectEnvContentHintProjects5, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvContentHintProjects5$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const GetProjectEnvContentHintProjects5$outboundSchema: z.ZodType<GetProjectEnvContentHintProjects5$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjects5>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjects5$ {
    /** @deprecated use `GetProjectEnvContentHintProjects5$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvContentHintProjects5, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvContentHintProjects5$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvContentHintProjects5$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjects5>;
    /** @deprecated use `GetProjectEnvContentHintProjects5$Outbound` instead. */
    type Outbound = GetProjectEnvContentHintProjects5$Outbound;
}
export declare function getProjectEnvContentHintProjects5ToJSON(getProjectEnvContentHintProjects5: GetProjectEnvContentHintProjects5): string;
export declare function getProjectEnvContentHintProjects5FromJSON(jsonString: string): SafeParseResult<GetProjectEnvContentHintProjects5, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly RedisRestApiReadOnlyToken: "redis-rest-api-read-only-token";
    }>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly RedisRestApiReadOnlyToken: "redis-rest-api-read-only-token";
    }>;
}
/** @internal */
export declare const GetProjectEnvContentHintProjects4$inboundSchema: z.ZodType<GetProjectEnvContentHintProjects4, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvContentHintProjects4$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const GetProjectEnvContentHintProjects4$outboundSchema: z.ZodType<GetProjectEnvContentHintProjects4$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjects4>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjects4$ {
    /** @deprecated use `GetProjectEnvContentHintProjects4$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvContentHintProjects4, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvContentHintProjects4$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvContentHintProjects4$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjects4>;
    /** @deprecated use `GetProjectEnvContentHintProjects4$Outbound` instead. */
    type Outbound = GetProjectEnvContentHintProjects4$Outbound;
}
export declare function getProjectEnvContentHintProjects4ToJSON(getProjectEnvContentHintProjects4: GetProjectEnvContentHintProjects4): string;
export declare function getProjectEnvContentHintProjects4FromJSON(jsonString: string): SafeParseResult<GetProjectEnvContentHintProjects4, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly RedisRestApiToken: "redis-rest-api-token";
    }>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly RedisRestApiToken: "redis-rest-api-token";
    }>;
}
/** @internal */
export declare const GetProjectEnvContentHintProjects3$inboundSchema: z.ZodType<GetProjectEnvContentHintProjects3, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvContentHintProjects3$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const GetProjectEnvContentHintProjects3$outboundSchema: z.ZodType<GetProjectEnvContentHintProjects3$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjects3>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjects3$ {
    /** @deprecated use `GetProjectEnvContentHintProjects3$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvContentHintProjects3, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvContentHintProjects3$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvContentHintProjects3$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjects3>;
    /** @deprecated use `GetProjectEnvContentHintProjects3$Outbound` instead. */
    type Outbound = GetProjectEnvContentHintProjects3$Outbound;
}
export declare function getProjectEnvContentHintProjects3ToJSON(getProjectEnvContentHintProjects3: GetProjectEnvContentHintProjects3): string;
export declare function getProjectEnvContentHintProjects3FromJSON(jsonString: string): SafeParseResult<GetProjectEnvContentHintProjects3, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly RedisRestApiUrl: "redis-rest-api-url";
    }>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly RedisRestApiUrl: "redis-rest-api-url";
    }>;
}
/** @internal */
export declare const GetProjectEnvContentHintProjects2$inboundSchema: z.ZodType<GetProjectEnvContentHintProjects2, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvContentHintProjects2$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const GetProjectEnvContentHintProjects2$outboundSchema: z.ZodType<GetProjectEnvContentHintProjects2$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjects2>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjects2$ {
    /** @deprecated use `GetProjectEnvContentHintProjects2$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvContentHintProjects2, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvContentHintProjects2$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvContentHintProjects2$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjects2>;
    /** @deprecated use `GetProjectEnvContentHintProjects2$Outbound` instead. */
    type Outbound = GetProjectEnvContentHintProjects2$Outbound;
}
export declare function getProjectEnvContentHintProjects2ToJSON(getProjectEnvContentHintProjects2: GetProjectEnvContentHintProjects2): string;
export declare function getProjectEnvContentHintProjects2FromJSON(jsonString: string): SafeParseResult<GetProjectEnvContentHintProjects2, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly RedisUrl: "redis-url";
    }>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly RedisUrl: "redis-url";
    }>;
}
/** @internal */
export declare const GetProjectEnvContentHintProjects1$inboundSchema: z.ZodType<GetProjectEnvContentHintProjects1, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvContentHintProjects1$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const GetProjectEnvContentHintProjects1$outboundSchema: z.ZodType<GetProjectEnvContentHintProjects1$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjects1>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjects1$ {
    /** @deprecated use `GetProjectEnvContentHintProjects1$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvContentHintProjects1, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvContentHintProjects1$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvContentHintProjects1$Outbound, z.ZodTypeDef, GetProjectEnvContentHintProjects1>;
    /** @deprecated use `GetProjectEnvContentHintProjects1$Outbound` instead. */
    type Outbound = GetProjectEnvContentHintProjects1$Outbound;
}
export declare function getProjectEnvContentHintProjects1ToJSON(getProjectEnvContentHintProjects1: GetProjectEnvContentHintProjects1): string;
export declare function getProjectEnvContentHintProjects1FromJSON(jsonString: string): SafeParseResult<GetProjectEnvContentHintProjects1, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvResponseBodyProjectsContentHint$inboundSchema: z.ZodType<GetProjectEnvResponseBodyProjectsContentHint, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvResponseBodyProjectsContentHint$Outbound = GetProjectEnvContentHintProjects1$Outbound | GetProjectEnvContentHintProjects2$Outbound | GetProjectEnvContentHintProjects3$Outbound | GetProjectEnvContentHintProjects4$Outbound | GetProjectEnvContentHintProjects5$Outbound | GetProjectEnvContentHintProjects6$Outbound | GetProjectEnvContentHintProjects7$Outbound | GetProjectEnvContentHintProjects8$Outbound | GetProjectEnvContentHintProjects9$Outbound | GetProjectEnvContentHintProjects10$Outbound | GetProjectEnvContentHintProjects11$Outbound | GetProjectEnvContentHintProjects12$Outbound | GetProjectEnvContentHintProjects13$Outbound | GetProjectEnvContentHintProjects15$Outbound | GetProjectEnvContentHintProjects14$Outbound;
/** @internal */
export declare const GetProjectEnvResponseBodyProjectsContentHint$outboundSchema: z.ZodType<GetProjectEnvResponseBodyProjectsContentHint$Outbound, z.ZodTypeDef, GetProjectEnvResponseBodyProjectsContentHint>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvResponseBodyProjectsContentHint$ {
    /** @deprecated use `GetProjectEnvResponseBodyProjectsContentHint$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvResponseBodyProjectsContentHint, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvResponseBodyProjectsContentHint$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvResponseBodyProjectsContentHint$Outbound, z.ZodTypeDef, GetProjectEnvResponseBodyProjectsContentHint>;
    /** @deprecated use `GetProjectEnvResponseBodyProjectsContentHint$Outbound` instead. */
    type Outbound = GetProjectEnvResponseBodyProjectsContentHint$Outbound;
}
export declare function getProjectEnvResponseBodyProjectsContentHintToJSON(getProjectEnvResponseBodyProjectsContentHint: GetProjectEnvResponseBodyProjectsContentHint): string;
export declare function getProjectEnvResponseBodyProjectsContentHintFromJSON(jsonString: string): SafeParseResult<GetProjectEnvResponseBodyProjectsContentHint, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvResponseBodyProjectsResponse200Type$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvResponseBodyProjectsResponse200Type>;
/** @internal */
export declare const GetProjectEnvResponseBodyProjectsResponse200Type$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvResponseBodyProjectsResponse200Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvResponseBodyProjectsResponse200Type$ {
    /** @deprecated use `GetProjectEnvResponseBodyProjectsResponse200Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly FlagsSecret: "flags-secret";
    }>;
    /** @deprecated use `GetProjectEnvResponseBodyProjectsResponse200Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly FlagsSecret: "flags-secret";
    }>;
}
/** @internal */
export declare const GetProjectEnvResponseBodyProjectsInternalContentHint$inboundSchema: z.ZodType<GetProjectEnvResponseBodyProjectsInternalContentHint, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvResponseBodyProjectsInternalContentHint$Outbound = {
    type: string;
    encryptedValue: string;
};
/** @internal */
export declare const GetProjectEnvResponseBodyProjectsInternalContentHint$outboundSchema: z.ZodType<GetProjectEnvResponseBodyProjectsInternalContentHint$Outbound, z.ZodTypeDef, GetProjectEnvResponseBodyProjectsInternalContentHint>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvResponseBodyProjectsInternalContentHint$ {
    /** @deprecated use `GetProjectEnvResponseBodyProjectsInternalContentHint$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvResponseBodyProjectsInternalContentHint, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvResponseBodyProjectsInternalContentHint$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvResponseBodyProjectsInternalContentHint$Outbound, z.ZodTypeDef, GetProjectEnvResponseBodyProjectsInternalContentHint>;
    /** @deprecated use `GetProjectEnvResponseBodyProjectsInternalContentHint$Outbound` instead. */
    type Outbound = GetProjectEnvResponseBodyProjectsInternalContentHint$Outbound;
}
export declare function getProjectEnvResponseBodyProjectsInternalContentHintToJSON(getProjectEnvResponseBodyProjectsInternalContentHint: GetProjectEnvResponseBodyProjectsInternalContentHint): string;
export declare function getProjectEnvResponseBodyProjectsInternalContentHintFromJSON(jsonString: string): SafeParseResult<GetProjectEnvResponseBodyProjectsInternalContentHint, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvResponseBody2$inboundSchema: z.ZodType<GetProjectEnvResponseBody2, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvResponseBody2$Outbound = {
    target?: Array<string> | string | undefined;
    type: string;
    sunsetSecretId?: string | undefined;
    decrypted?: boolean | undefined;
    value: string;
    vsmValue?: string | undefined;
    id?: string | undefined;
    key: string;
    configurationId?: string | null | undefined;
    createdAt?: number | undefined;
    updatedAt?: number | undefined;
    createdBy?: string | null | undefined;
    updatedBy?: string | null | undefined;
    gitBranch?: string | undefined;
    edgeConfigId?: string | null | undefined;
    edgeConfigTokenId?: string | null | undefined;
    contentHint?: GetProjectEnvContentHintProjects1$Outbound | GetProjectEnvContentHintProjects2$Outbound | GetProjectEnvContentHintProjects3$Outbound | GetProjectEnvContentHintProjects4$Outbound | GetProjectEnvContentHintProjects5$Outbound | GetProjectEnvContentHintProjects6$Outbound | GetProjectEnvContentHintProjects7$Outbound | GetProjectEnvContentHintProjects8$Outbound | GetProjectEnvContentHintProjects9$Outbound | GetProjectEnvContentHintProjects10$Outbound | GetProjectEnvContentHintProjects11$Outbound | GetProjectEnvContentHintProjects12$Outbound | GetProjectEnvContentHintProjects13$Outbound | GetProjectEnvContentHintProjects15$Outbound | GetProjectEnvContentHintProjects14$Outbound | null | undefined;
    internalContentHint?: GetProjectEnvResponseBodyProjectsInternalContentHint$Outbound | null | undefined;
    comment?: string | undefined;
    customEnvironmentIds?: Array<string> | undefined;
};
/** @internal */
export declare const GetProjectEnvResponseBody2$outboundSchema: z.ZodType<GetProjectEnvResponseBody2$Outbound, z.ZodTypeDef, GetProjectEnvResponseBody2>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvResponseBody2$ {
    /** @deprecated use `GetProjectEnvResponseBody2$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvResponseBody2, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvResponseBody2$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvResponseBody2$Outbound, z.ZodTypeDef, GetProjectEnvResponseBody2>;
    /** @deprecated use `GetProjectEnvResponseBody2$Outbound` instead. */
    type Outbound = GetProjectEnvResponseBody2$Outbound;
}
export declare function getProjectEnvResponseBody2ToJSON(getProjectEnvResponseBody2: GetProjectEnvResponseBody2): string;
export declare function getProjectEnvResponseBody2FromJSON(jsonString: string): SafeParseResult<GetProjectEnvResponseBody2, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvTarget2$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvTarget2>;
/** @internal */
export declare const GetProjectEnvTarget2$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvTarget2>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvTarget2$ {
    /** @deprecated use `GetProjectEnvTarget2$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly Production: "production";
        readonly Preview: "preview";
        readonly Development: "development";
    }>;
    /** @deprecated use `GetProjectEnvTarget2$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly Production: "production";
        readonly Preview: "preview";
        readonly Development: "development";
    }>;
}
/** @internal */
export declare const GetProjectEnvTarget1$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvTarget1>;
/** @internal */
export declare const GetProjectEnvTarget1$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvTarget1>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvTarget1$ {
    /** @deprecated use `GetProjectEnvTarget1$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly Production: "production";
        readonly Preview: "preview";
        readonly Development: "development";
    }>;
    /** @deprecated use `GetProjectEnvTarget1$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly Production: "production";
        readonly Preview: "preview";
        readonly Development: "development";
    }>;
}
/** @internal */
export declare const GetProjectEnvResponseBodyTarget$inboundSchema: z.ZodType<GetProjectEnvResponseBodyTarget, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvResponseBodyTarget$Outbound = Array<string> | string;
/** @internal */
export declare const GetProjectEnvResponseBodyTarget$outboundSchema: z.ZodType<GetProjectEnvResponseBodyTarget$Outbound, z.ZodTypeDef, GetProjectEnvResponseBodyTarget>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvResponseBodyTarget$ {
    /** @deprecated use `GetProjectEnvResponseBodyTarget$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvResponseBodyTarget, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvResponseBodyTarget$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvResponseBodyTarget$Outbound, z.ZodTypeDef, GetProjectEnvResponseBodyTarget>;
    /** @deprecated use `GetProjectEnvResponseBodyTarget$Outbound` instead. */
    type Outbound = GetProjectEnvResponseBodyTarget$Outbound;
}
export declare function getProjectEnvResponseBodyTargetToJSON(getProjectEnvResponseBodyTarget: GetProjectEnvResponseBodyTarget): string;
export declare function getProjectEnvResponseBodyTargetFromJSON(jsonString: string): SafeParseResult<GetProjectEnvResponseBodyTarget, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvResponseBodyType$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvResponseBodyType>;
/** @internal */
export declare const GetProjectEnvResponseBodyType$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvResponseBodyType>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvResponseBodyType$ {
    /** @deprecated use `GetProjectEnvResponseBodyType$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly System: "system";
        readonly Encrypted: "encrypted";
        readonly Plain: "plain";
        readonly Sensitive: "sensitive";
        readonly Secret: "secret";
    }>;
    /** @deprecated use `GetProjectEnvResponseBodyType$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly System: "system";
        readonly Encrypted: "encrypted";
        readonly Plain: "plain";
        readonly Sensitive: "sensitive";
        readonly Secret: "secret";
    }>;
}
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly FlagsConnectionString: "flags-connection-string";
    }>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly FlagsConnectionString: "flags-connection-string";
    }>;
}
/** @internal */
export declare const GetProjectEnvContentHint15$inboundSchema: z.ZodType<GetProjectEnvContentHint15, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvContentHint15$Outbound = {
    type: string;
    projectId: string;
};
/** @internal */
export declare const GetProjectEnvContentHint15$outboundSchema: z.ZodType<GetProjectEnvContentHint15$Outbound, z.ZodTypeDef, GetProjectEnvContentHint15>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHint15$ {
    /** @deprecated use `GetProjectEnvContentHint15$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvContentHint15, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvContentHint15$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvContentHint15$Outbound, z.ZodTypeDef, GetProjectEnvContentHint15>;
    /** @deprecated use `GetProjectEnvContentHint15$Outbound` instead. */
    type Outbound = GetProjectEnvContentHint15$Outbound;
}
export declare function getProjectEnvContentHint15ToJSON(getProjectEnvContentHint15: GetProjectEnvContentHint15): string;
export declare function getProjectEnvContentHint15FromJSON(jsonString: string): SafeParseResult<GetProjectEnvContentHint15, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly IntegrationStoreSecret: "integration-store-secret";
    }>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly IntegrationStoreSecret: "integration-store-secret";
    }>;
}
/** @internal */
export declare const GetProjectEnvContentHint14$inboundSchema: z.ZodType<GetProjectEnvContentHint14, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvContentHint14$Outbound = {
    type: string;
    storeId: string;
    integrationId: string;
    integrationProductId: string;
    integrationConfigurationId: string;
};
/** @internal */
export declare const GetProjectEnvContentHint14$outboundSchema: z.ZodType<GetProjectEnvContentHint14$Outbound, z.ZodTypeDef, GetProjectEnvContentHint14>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHint14$ {
    /** @deprecated use `GetProjectEnvContentHint14$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvContentHint14, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvContentHint14$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvContentHint14$Outbound, z.ZodTypeDef, GetProjectEnvContentHint14>;
    /** @deprecated use `GetProjectEnvContentHint14$Outbound` instead. */
    type Outbound = GetProjectEnvContentHint14$Outbound;
}
export declare function getProjectEnvContentHint14ToJSON(getProjectEnvContentHint14: GetProjectEnvContentHint14): string;
export declare function getProjectEnvContentHint14FromJSON(jsonString: string): SafeParseResult<GetProjectEnvContentHint14, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly PostgresUrlNoSsl: "postgres-url-no-ssl";
    }>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly PostgresUrlNoSsl: "postgres-url-no-ssl";
    }>;
}
/** @internal */
export declare const GetProjectEnvContentHint13$inboundSchema: z.ZodType<GetProjectEnvContentHint13, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvContentHint13$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const GetProjectEnvContentHint13$outboundSchema: z.ZodType<GetProjectEnvContentHint13$Outbound, z.ZodTypeDef, GetProjectEnvContentHint13>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHint13$ {
    /** @deprecated use `GetProjectEnvContentHint13$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvContentHint13, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvContentHint13$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvContentHint13$Outbound, z.ZodTypeDef, GetProjectEnvContentHint13>;
    /** @deprecated use `GetProjectEnvContentHint13$Outbound` instead. */
    type Outbound = GetProjectEnvContentHint13$Outbound;
}
export declare function getProjectEnvContentHint13ToJSON(getProjectEnvContentHint13: GetProjectEnvContentHint13): string;
export declare function getProjectEnvContentHint13FromJSON(jsonString: string): SafeParseResult<GetProjectEnvContentHint13, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly PostgresDatabase: "postgres-database";
    }>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly PostgresDatabase: "postgres-database";
    }>;
}
/** @internal */
export declare const GetProjectEnvContentHint12$inboundSchema: z.ZodType<GetProjectEnvContentHint12, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvContentHint12$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const GetProjectEnvContentHint12$outboundSchema: z.ZodType<GetProjectEnvContentHint12$Outbound, z.ZodTypeDef, GetProjectEnvContentHint12>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHint12$ {
    /** @deprecated use `GetProjectEnvContentHint12$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvContentHint12, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvContentHint12$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvContentHint12$Outbound, z.ZodTypeDef, GetProjectEnvContentHint12>;
    /** @deprecated use `GetProjectEnvContentHint12$Outbound` instead. */
    type Outbound = GetProjectEnvContentHint12$Outbound;
}
export declare function getProjectEnvContentHint12ToJSON(getProjectEnvContentHint12: GetProjectEnvContentHint12): string;
export declare function getProjectEnvContentHint12FromJSON(jsonString: string): SafeParseResult<GetProjectEnvContentHint12, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly PostgresPassword: "postgres-password";
    }>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly PostgresPassword: "postgres-password";
    }>;
}
/** @internal */
export declare const GetProjectEnvContentHint11$inboundSchema: z.ZodType<GetProjectEnvContentHint11, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvContentHint11$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const GetProjectEnvContentHint11$outboundSchema: z.ZodType<GetProjectEnvContentHint11$Outbound, z.ZodTypeDef, GetProjectEnvContentHint11>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHint11$ {
    /** @deprecated use `GetProjectEnvContentHint11$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvContentHint11, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvContentHint11$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvContentHint11$Outbound, z.ZodTypeDef, GetProjectEnvContentHint11>;
    /** @deprecated use `GetProjectEnvContentHint11$Outbound` instead. */
    type Outbound = GetProjectEnvContentHint11$Outbound;
}
export declare function getProjectEnvContentHint11ToJSON(getProjectEnvContentHint11: GetProjectEnvContentHint11): string;
export declare function getProjectEnvContentHint11FromJSON(jsonString: string): SafeParseResult<GetProjectEnvContentHint11, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly PostgresHost: "postgres-host";
    }>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly PostgresHost: "postgres-host";
    }>;
}
/** @internal */
export declare const GetProjectEnvContentHint10$inboundSchema: z.ZodType<GetProjectEnvContentHint10, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvContentHint10$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const GetProjectEnvContentHint10$outboundSchema: z.ZodType<GetProjectEnvContentHint10$Outbound, z.ZodTypeDef, GetProjectEnvContentHint10>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHint10$ {
    /** @deprecated use `GetProjectEnvContentHint10$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvContentHint10, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvContentHint10$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvContentHint10$Outbound, z.ZodTypeDef, GetProjectEnvContentHint10>;
    /** @deprecated use `GetProjectEnvContentHint10$Outbound` instead. */
    type Outbound = GetProjectEnvContentHint10$Outbound;
}
export declare function getProjectEnvContentHint10ToJSON(getProjectEnvContentHint10: GetProjectEnvContentHint10): string;
export declare function getProjectEnvContentHint10FromJSON(jsonString: string): SafeParseResult<GetProjectEnvContentHint10, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly PostgresUser: "postgres-user";
    }>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly PostgresUser: "postgres-user";
    }>;
}
/** @internal */
export declare const GetProjectEnvContentHint9$inboundSchema: z.ZodType<GetProjectEnvContentHint9, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvContentHint9$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const GetProjectEnvContentHint9$outboundSchema: z.ZodType<GetProjectEnvContentHint9$Outbound, z.ZodTypeDef, GetProjectEnvContentHint9>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHint9$ {
    /** @deprecated use `GetProjectEnvContentHint9$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvContentHint9, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvContentHint9$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvContentHint9$Outbound, z.ZodTypeDef, GetProjectEnvContentHint9>;
    /** @deprecated use `GetProjectEnvContentHint9$Outbound` instead. */
    type Outbound = GetProjectEnvContentHint9$Outbound;
}
export declare function getProjectEnvContentHint9ToJSON(getProjectEnvContentHint9: GetProjectEnvContentHint9): string;
export declare function getProjectEnvContentHint9FromJSON(jsonString: string): SafeParseResult<GetProjectEnvContentHint9, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly PostgresPrismaUrl: "postgres-prisma-url";
    }>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly PostgresPrismaUrl: "postgres-prisma-url";
    }>;
}
/** @internal */
export declare const GetProjectEnvContentHint8$inboundSchema: z.ZodType<GetProjectEnvContentHint8, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvContentHint8$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const GetProjectEnvContentHint8$outboundSchema: z.ZodType<GetProjectEnvContentHint8$Outbound, z.ZodTypeDef, GetProjectEnvContentHint8>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHint8$ {
    /** @deprecated use `GetProjectEnvContentHint8$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvContentHint8, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvContentHint8$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvContentHint8$Outbound, z.ZodTypeDef, GetProjectEnvContentHint8>;
    /** @deprecated use `GetProjectEnvContentHint8$Outbound` instead. */
    type Outbound = GetProjectEnvContentHint8$Outbound;
}
export declare function getProjectEnvContentHint8ToJSON(getProjectEnvContentHint8: GetProjectEnvContentHint8): string;
export declare function getProjectEnvContentHint8FromJSON(jsonString: string): SafeParseResult<GetProjectEnvContentHint8, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly PostgresUrlNonPooling: "postgres-url-non-pooling";
    }>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly PostgresUrlNonPooling: "postgres-url-non-pooling";
    }>;
}
/** @internal */
export declare const GetProjectEnvContentHint7$inboundSchema: z.ZodType<GetProjectEnvContentHint7, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvContentHint7$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const GetProjectEnvContentHint7$outboundSchema: z.ZodType<GetProjectEnvContentHint7$Outbound, z.ZodTypeDef, GetProjectEnvContentHint7>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHint7$ {
    /** @deprecated use `GetProjectEnvContentHint7$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvContentHint7, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvContentHint7$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvContentHint7$Outbound, z.ZodTypeDef, GetProjectEnvContentHint7>;
    /** @deprecated use `GetProjectEnvContentHint7$Outbound` instead. */
    type Outbound = GetProjectEnvContentHint7$Outbound;
}
export declare function getProjectEnvContentHint7ToJSON(getProjectEnvContentHint7: GetProjectEnvContentHint7): string;
export declare function getProjectEnvContentHint7FromJSON(jsonString: string): SafeParseResult<GetProjectEnvContentHint7, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly PostgresUrl: "postgres-url";
    }>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly PostgresUrl: "postgres-url";
    }>;
}
/** @internal */
export declare const GetProjectEnvContentHint6$inboundSchema: z.ZodType<GetProjectEnvContentHint6, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvContentHint6$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const GetProjectEnvContentHint6$outboundSchema: z.ZodType<GetProjectEnvContentHint6$Outbound, z.ZodTypeDef, GetProjectEnvContentHint6>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHint6$ {
    /** @deprecated use `GetProjectEnvContentHint6$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvContentHint6, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvContentHint6$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvContentHint6$Outbound, z.ZodTypeDef, GetProjectEnvContentHint6>;
    /** @deprecated use `GetProjectEnvContentHint6$Outbound` instead. */
    type Outbound = GetProjectEnvContentHint6$Outbound;
}
export declare function getProjectEnvContentHint6ToJSON(getProjectEnvContentHint6: GetProjectEnvContentHint6): string;
export declare function getProjectEnvContentHint6FromJSON(jsonString: string): SafeParseResult<GetProjectEnvContentHint6, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONType$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONType>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200ApplicationJSONType$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200ApplicationJSONType>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse200ApplicationJSONType$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONType$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly BlobReadWriteToken: "blob-read-write-token";
    }>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200ApplicationJSONType$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly BlobReadWriteToken: "blob-read-write-token";
    }>;
}
/** @internal */
export declare const GetProjectEnvContentHint5$inboundSchema: z.ZodType<GetProjectEnvContentHint5, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvContentHint5$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const GetProjectEnvContentHint5$outboundSchema: z.ZodType<GetProjectEnvContentHint5$Outbound, z.ZodTypeDef, GetProjectEnvContentHint5>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHint5$ {
    /** @deprecated use `GetProjectEnvContentHint5$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvContentHint5, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvContentHint5$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvContentHint5$Outbound, z.ZodTypeDef, GetProjectEnvContentHint5>;
    /** @deprecated use `GetProjectEnvContentHint5$Outbound` instead. */
    type Outbound = GetProjectEnvContentHint5$Outbound;
}
export declare function getProjectEnvContentHint5ToJSON(getProjectEnvContentHint5: GetProjectEnvContentHint5): string;
export declare function getProjectEnvContentHint5FromJSON(jsonString: string): SafeParseResult<GetProjectEnvContentHint5, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200Type$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200Type>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponse200Type$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponse200Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponse200Type$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly RedisRestApiReadOnlyToken: "redis-rest-api-read-only-token";
    }>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponse200Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly RedisRestApiReadOnlyToken: "redis-rest-api-read-only-token";
    }>;
}
/** @internal */
export declare const GetProjectEnvContentHint4$inboundSchema: z.ZodType<GetProjectEnvContentHint4, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvContentHint4$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const GetProjectEnvContentHint4$outboundSchema: z.ZodType<GetProjectEnvContentHint4$Outbound, z.ZodTypeDef, GetProjectEnvContentHint4>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHint4$ {
    /** @deprecated use `GetProjectEnvContentHint4$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvContentHint4, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvContentHint4$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvContentHint4$Outbound, z.ZodTypeDef, GetProjectEnvContentHint4>;
    /** @deprecated use `GetProjectEnvContentHint4$Outbound` instead. */
    type Outbound = GetProjectEnvContentHint4$Outbound;
}
export declare function getProjectEnvContentHint4ToJSON(getProjectEnvContentHint4: GetProjectEnvContentHint4): string;
export declare function getProjectEnvContentHint4FromJSON(jsonString: string): SafeParseResult<GetProjectEnvContentHint4, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponseType$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponseType>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsResponseType$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsResponseType>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsResponseType$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsResponseType$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly RedisRestApiToken: "redis-rest-api-token";
    }>;
    /** @deprecated use `GetProjectEnvContentHintProjectsResponseType$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly RedisRestApiToken: "redis-rest-api-token";
    }>;
}
/** @internal */
export declare const GetProjectEnvContentHint3$inboundSchema: z.ZodType<GetProjectEnvContentHint3, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvContentHint3$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const GetProjectEnvContentHint3$outboundSchema: z.ZodType<GetProjectEnvContentHint3$Outbound, z.ZodTypeDef, GetProjectEnvContentHint3>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHint3$ {
    /** @deprecated use `GetProjectEnvContentHint3$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvContentHint3, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvContentHint3$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvContentHint3$Outbound, z.ZodTypeDef, GetProjectEnvContentHint3>;
    /** @deprecated use `GetProjectEnvContentHint3$Outbound` instead. */
    type Outbound = GetProjectEnvContentHint3$Outbound;
}
export declare function getProjectEnvContentHint3ToJSON(getProjectEnvContentHint3: GetProjectEnvContentHint3): string;
export declare function getProjectEnvContentHint3FromJSON(jsonString: string): SafeParseResult<GetProjectEnvContentHint3, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsType$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsType>;
/** @internal */
export declare const GetProjectEnvContentHintProjectsType$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintProjectsType>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintProjectsType$ {
    /** @deprecated use `GetProjectEnvContentHintProjectsType$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly RedisRestApiUrl: "redis-rest-api-url";
    }>;
    /** @deprecated use `GetProjectEnvContentHintProjectsType$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly RedisRestApiUrl: "redis-rest-api-url";
    }>;
}
/** @internal */
export declare const GetProjectEnvContentHint2$inboundSchema: z.ZodType<GetProjectEnvContentHint2, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvContentHint2$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const GetProjectEnvContentHint2$outboundSchema: z.ZodType<GetProjectEnvContentHint2$Outbound, z.ZodTypeDef, GetProjectEnvContentHint2>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHint2$ {
    /** @deprecated use `GetProjectEnvContentHint2$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvContentHint2, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvContentHint2$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvContentHint2$Outbound, z.ZodTypeDef, GetProjectEnvContentHint2>;
    /** @deprecated use `GetProjectEnvContentHint2$Outbound` instead. */
    type Outbound = GetProjectEnvContentHint2$Outbound;
}
export declare function getProjectEnvContentHint2ToJSON(getProjectEnvContentHint2: GetProjectEnvContentHint2): string;
export declare function getProjectEnvContentHint2FromJSON(jsonString: string): SafeParseResult<GetProjectEnvContentHint2, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvContentHintType$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintType>;
/** @internal */
export declare const GetProjectEnvContentHintType$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvContentHintType>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHintType$ {
    /** @deprecated use `GetProjectEnvContentHintType$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly RedisUrl: "redis-url";
    }>;
    /** @deprecated use `GetProjectEnvContentHintType$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly RedisUrl: "redis-url";
    }>;
}
/** @internal */
export declare const GetProjectEnvContentHint1$inboundSchema: z.ZodType<GetProjectEnvContentHint1, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvContentHint1$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const GetProjectEnvContentHint1$outboundSchema: z.ZodType<GetProjectEnvContentHint1$Outbound, z.ZodTypeDef, GetProjectEnvContentHint1>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvContentHint1$ {
    /** @deprecated use `GetProjectEnvContentHint1$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvContentHint1, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvContentHint1$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvContentHint1$Outbound, z.ZodTypeDef, GetProjectEnvContentHint1>;
    /** @deprecated use `GetProjectEnvContentHint1$Outbound` instead. */
    type Outbound = GetProjectEnvContentHint1$Outbound;
}
export declare function getProjectEnvContentHint1ToJSON(getProjectEnvContentHint1: GetProjectEnvContentHint1): string;
export declare function getProjectEnvContentHint1FromJSON(jsonString: string): SafeParseResult<GetProjectEnvContentHint1, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvResponseBodyContentHint$inboundSchema: z.ZodType<GetProjectEnvResponseBodyContentHint, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvResponseBodyContentHint$Outbound = GetProjectEnvContentHint1$Outbound | GetProjectEnvContentHint2$Outbound | GetProjectEnvContentHint3$Outbound | GetProjectEnvContentHint4$Outbound | GetProjectEnvContentHint5$Outbound | GetProjectEnvContentHint6$Outbound | GetProjectEnvContentHint7$Outbound | GetProjectEnvContentHint8$Outbound | GetProjectEnvContentHint9$Outbound | GetProjectEnvContentHint10$Outbound | GetProjectEnvContentHint11$Outbound | GetProjectEnvContentHint12$Outbound | GetProjectEnvContentHint13$Outbound | GetProjectEnvContentHint15$Outbound | GetProjectEnvContentHint14$Outbound;
/** @internal */
export declare const GetProjectEnvResponseBodyContentHint$outboundSchema: z.ZodType<GetProjectEnvResponseBodyContentHint$Outbound, z.ZodTypeDef, GetProjectEnvResponseBodyContentHint>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvResponseBodyContentHint$ {
    /** @deprecated use `GetProjectEnvResponseBodyContentHint$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvResponseBodyContentHint, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvResponseBodyContentHint$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvResponseBodyContentHint$Outbound, z.ZodTypeDef, GetProjectEnvResponseBodyContentHint>;
    /** @deprecated use `GetProjectEnvResponseBodyContentHint$Outbound` instead. */
    type Outbound = GetProjectEnvResponseBodyContentHint$Outbound;
}
export declare function getProjectEnvResponseBodyContentHintToJSON(getProjectEnvResponseBodyContentHint: GetProjectEnvResponseBodyContentHint): string;
export declare function getProjectEnvResponseBodyContentHintFromJSON(jsonString: string): SafeParseResult<GetProjectEnvResponseBodyContentHint, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$inboundSchema: z.ZodNativeEnum<typeof GetProjectEnvResponseBodyProjectsResponse200ApplicationJSONType>;
/** @internal */
export declare const GetProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$outboundSchema: z.ZodNativeEnum<typeof GetProjectEnvResponseBodyProjectsResponse200ApplicationJSONType>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$ {
    /** @deprecated use `GetProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly FlagsSecret: "flags-secret";
    }>;
    /** @deprecated use `GetProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly FlagsSecret: "flags-secret";
    }>;
}
/** @internal */
export declare const GetProjectEnvResponseBodyInternalContentHint$inboundSchema: z.ZodType<GetProjectEnvResponseBodyInternalContentHint, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvResponseBodyInternalContentHint$Outbound = {
    type: string;
    encryptedValue: string;
};
/** @internal */
export declare const GetProjectEnvResponseBodyInternalContentHint$outboundSchema: z.ZodType<GetProjectEnvResponseBodyInternalContentHint$Outbound, z.ZodTypeDef, GetProjectEnvResponseBodyInternalContentHint>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvResponseBodyInternalContentHint$ {
    /** @deprecated use `GetProjectEnvResponseBodyInternalContentHint$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvResponseBodyInternalContentHint, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvResponseBodyInternalContentHint$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvResponseBodyInternalContentHint$Outbound, z.ZodTypeDef, GetProjectEnvResponseBodyInternalContentHint>;
    /** @deprecated use `GetProjectEnvResponseBodyInternalContentHint$Outbound` instead. */
    type Outbound = GetProjectEnvResponseBodyInternalContentHint$Outbound;
}
export declare function getProjectEnvResponseBodyInternalContentHintToJSON(getProjectEnvResponseBodyInternalContentHint: GetProjectEnvResponseBodyInternalContentHint): string;
export declare function getProjectEnvResponseBodyInternalContentHintFromJSON(jsonString: string): SafeParseResult<GetProjectEnvResponseBodyInternalContentHint, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvResponseBody1$inboundSchema: z.ZodType<GetProjectEnvResponseBody1, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvResponseBody1$Outbound = {
    decrypted: boolean;
    target?: Array<string> | string | undefined;
    type: string;
    sunsetSecretId?: string | undefined;
    id?: string | undefined;
    key: string;
    configurationId?: string | null | undefined;
    createdAt?: number | undefined;
    updatedAt?: number | undefined;
    createdBy?: string | null | undefined;
    updatedBy?: string | null | undefined;
    gitBranch?: string | undefined;
    edgeConfigId?: string | null | undefined;
    edgeConfigTokenId?: string | null | undefined;
    contentHint?: GetProjectEnvContentHint1$Outbound | GetProjectEnvContentHint2$Outbound | GetProjectEnvContentHint3$Outbound | GetProjectEnvContentHint4$Outbound | GetProjectEnvContentHint5$Outbound | GetProjectEnvContentHint6$Outbound | GetProjectEnvContentHint7$Outbound | GetProjectEnvContentHint8$Outbound | GetProjectEnvContentHint9$Outbound | GetProjectEnvContentHint10$Outbound | GetProjectEnvContentHint11$Outbound | GetProjectEnvContentHint12$Outbound | GetProjectEnvContentHint13$Outbound | GetProjectEnvContentHint15$Outbound | GetProjectEnvContentHint14$Outbound | null | undefined;
    internalContentHint?: GetProjectEnvResponseBodyInternalContentHint$Outbound | null | undefined;
    comment?: string | undefined;
    customEnvironmentIds?: Array<string> | undefined;
};
/** @internal */
export declare const GetProjectEnvResponseBody1$outboundSchema: z.ZodType<GetProjectEnvResponseBody1$Outbound, z.ZodTypeDef, GetProjectEnvResponseBody1>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvResponseBody1$ {
    /** @deprecated use `GetProjectEnvResponseBody1$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvResponseBody1, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvResponseBody1$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvResponseBody1$Outbound, z.ZodTypeDef, GetProjectEnvResponseBody1>;
    /** @deprecated use `GetProjectEnvResponseBody1$Outbound` instead. */
    type Outbound = GetProjectEnvResponseBody1$Outbound;
}
export declare function getProjectEnvResponseBody1ToJSON(getProjectEnvResponseBody1: GetProjectEnvResponseBody1): string;
export declare function getProjectEnvResponseBody1FromJSON(jsonString: string): SafeParseResult<GetProjectEnvResponseBody1, SDKValidationError>;
/** @internal */
export declare const GetProjectEnvResponseBody$inboundSchema: z.ZodType<GetProjectEnvResponseBody, z.ZodTypeDef, unknown>;
/** @internal */
export type GetProjectEnvResponseBody$Outbound = GetProjectEnvResponseBody1$Outbound | GetProjectEnvResponseBody3$Outbound | GetProjectEnvResponseBody2$Outbound;
/** @internal */
export declare const GetProjectEnvResponseBody$outboundSchema: z.ZodType<GetProjectEnvResponseBody$Outbound, z.ZodTypeDef, GetProjectEnvResponseBody>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace GetProjectEnvResponseBody$ {
    /** @deprecated use `GetProjectEnvResponseBody$inboundSchema` instead. */
    const inboundSchema: z.ZodType<GetProjectEnvResponseBody, z.ZodTypeDef, unknown>;
    /** @deprecated use `GetProjectEnvResponseBody$outboundSchema` instead. */
    const outboundSchema: z.ZodType<GetProjectEnvResponseBody$Outbound, z.ZodTypeDef, GetProjectEnvResponseBody>;
    /** @deprecated use `GetProjectEnvResponseBody$Outbound` instead. */
    type Outbound = GetProjectEnvResponseBody$Outbound;
}
export declare function getProjectEnvResponseBodyToJSON(getProjectEnvResponseBody: GetProjectEnvResponseBody): string;
export declare function getProjectEnvResponseBodyFromJSON(jsonString: string): SafeParseResult<GetProjectEnvResponseBody, SDKValidationError>;
//# sourceMappingURL=getprojectenvop.d.ts.map