import * as z from "zod";
import { Result as SafeParseResult } from "../types/fp.js";
import { SDKValidationError } from "./sdkvalidationerror.js";
export type ListDeploymentFilesRequest = {
    /**
     * The unique deployment identifier
     */
    id: string;
    /**
     * The Team identifier to perform the request on behalf of.
     */
    teamId?: string | undefined;
    /**
     * The Team slug to perform the request on behalf of.
     */
    slug?: string | undefined;
};
/** @internal */
export declare const ListDeploymentFilesRequest$inboundSchema: z.ZodType<ListDeploymentFilesRequest, z.ZodTypeDef, unknown>;
/** @internal */
export type ListDeploymentFilesRequest$Outbound = {
    id: string;
    teamId?: string | undefined;
    slug?: string | undefined;
};
/** @internal */
export declare const ListDeploymentFilesRequest$outboundSchema: z.ZodType<ListDeploymentFilesRequest$Outbound, z.ZodTypeDef, ListDeploymentFilesRequest>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace ListDeploymentFilesRequest$ {
    /** @deprecated use `ListDeploymentFilesRequest$inboundSchema` instead. */
    const inboundSchema: z.ZodType<ListDeploymentFilesRequest, z.ZodTypeDef, unknown>;
    /** @deprecated use `ListDeploymentFilesRequest$outboundSchema` instead. */
    const outboundSchema: z.ZodType<ListDeploymentFilesRequest$Outbound, z.ZodTypeDef, ListDeploymentFilesRequest>;
    /** @deprecated use `ListDeploymentFilesRequest$Outbound` instead. */
    type Outbound = ListDeploymentFilesRequest$Outbound;
}
export declare function listDeploymentFilesRequestToJSON(listDeploymentFilesRequest: ListDeploymentFilesRequest): string;
export declare function listDeploymentFilesRequestFromJSON(jsonString: string): SafeParseResult<ListDeploymentFilesRequest, SDKValidationError>;
//# sourceMappingURL=listdeploymentfilesop.d.ts.map