import * as z from "zod";
import { Result as SafeParseResult } from "../types/fp.js";
import { SDKValidationError } from "./sdkvalidationerror.js";
export type PatchEdgeConfigSchemaRequestBody = {
    definition?: any | undefined;
};
export type PatchEdgeConfigSchemaRequest = {
    edgeConfigId: string;
    dryRun?: string | undefined;
    /**
     * The Team identifier to perform the request on behalf of.
     */
    teamId?: string | undefined;
    /**
     * The Team slug to perform the request on behalf of.
     */
    slug?: string | undefined;
    requestBody: PatchEdgeConfigSchemaRequestBody;
};
/**
 * The JSON schema uploaded by the user
 */
export type PatchEdgeConfigSchemaResponseBody = {};
/** @internal */
export declare const PatchEdgeConfigSchemaRequestBody$inboundSchema: z.ZodType<PatchEdgeConfigSchemaRequestBody, z.ZodTypeDef, unknown>;
/** @internal */
export type PatchEdgeConfigSchemaRequestBody$Outbound = {
    definition?: any | undefined;
};
/** @internal */
export declare const PatchEdgeConfigSchemaRequestBody$outboundSchema: z.ZodType<PatchEdgeConfigSchemaRequestBody$Outbound, z.ZodTypeDef, PatchEdgeConfigSchemaRequestBody>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace PatchEdgeConfigSchemaRequestBody$ {
    /** @deprecated use `PatchEdgeConfigSchemaRequestBody$inboundSchema` instead. */
    const inboundSchema: z.ZodType<PatchEdgeConfigSchemaRequestBody, z.ZodTypeDef, unknown>;
    /** @deprecated use `PatchEdgeConfigSchemaRequestBody$outboundSchema` instead. */
    const outboundSchema: z.ZodType<PatchEdgeConfigSchemaRequestBody$Outbound, z.ZodTypeDef, PatchEdgeConfigSchemaRequestBody>;
    /** @deprecated use `PatchEdgeConfigSchemaRequestBody$Outbound` instead. */
    type Outbound = PatchEdgeConfigSchemaRequestBody$Outbound;
}
export declare function patchEdgeConfigSchemaRequestBodyToJSON(patchEdgeConfigSchemaRequestBody: PatchEdgeConfigSchemaRequestBody): string;
export declare function patchEdgeConfigSchemaRequestBodyFromJSON(jsonString: string): SafeParseResult<PatchEdgeConfigSchemaRequestBody, SDKValidationError>;
/** @internal */
export declare const PatchEdgeConfigSchemaRequest$inboundSchema: z.ZodType<PatchEdgeConfigSchemaRequest, z.ZodTypeDef, unknown>;
/** @internal */
export type PatchEdgeConfigSchemaRequest$Outbound = {
    edgeConfigId: string;
    dryRun?: string | undefined;
    teamId?: string | undefined;
    slug?: string | undefined;
    RequestBody: PatchEdgeConfigSchemaRequestBody$Outbound;
};
/** @internal */
export declare const PatchEdgeConfigSchemaRequest$outboundSchema: z.ZodType<PatchEdgeConfigSchemaRequest$Outbound, z.ZodTypeDef, PatchEdgeConfigSchemaRequest>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace PatchEdgeConfigSchemaRequest$ {
    /** @deprecated use `PatchEdgeConfigSchemaRequest$inboundSchema` instead. */
    const inboundSchema: z.ZodType<PatchEdgeConfigSchemaRequest, z.ZodTypeDef, unknown>;
    /** @deprecated use `PatchEdgeConfigSchemaRequest$outboundSchema` instead. */
    const outboundSchema: z.ZodType<PatchEdgeConfigSchemaRequest$Outbound, z.ZodTypeDef, PatchEdgeConfigSchemaRequest>;
    /** @deprecated use `PatchEdgeConfigSchemaRequest$Outbound` instead. */
    type Outbound = PatchEdgeConfigSchemaRequest$Outbound;
}
export declare function patchEdgeConfigSchemaRequestToJSON(patchEdgeConfigSchemaRequest: PatchEdgeConfigSchemaRequest): string;
export declare function patchEdgeConfigSchemaRequestFromJSON(jsonString: string): SafeParseResult<PatchEdgeConfigSchemaRequest, SDKValidationError>;
/** @internal */
export declare const PatchEdgeConfigSchemaResponseBody$inboundSchema: z.ZodType<PatchEdgeConfigSchemaResponseBody, z.ZodTypeDef, unknown>;
/** @internal */
export type PatchEdgeConfigSchemaResponseBody$Outbound = {};
/** @internal */
export declare const PatchEdgeConfigSchemaResponseBody$outboundSchema: z.ZodType<PatchEdgeConfigSchemaResponseBody$Outbound, z.ZodTypeDef, PatchEdgeConfigSchemaResponseBody>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace PatchEdgeConfigSchemaResponseBody$ {
    /** @deprecated use `PatchEdgeConfigSchemaResponseBody$inboundSchema` instead. */
    const inboundSchema: z.ZodType<PatchEdgeConfigSchemaResponseBody, z.ZodTypeDef, unknown>;
    /** @deprecated use `PatchEdgeConfigSchemaResponseBody$outboundSchema` instead. */
    const outboundSchema: z.ZodType<PatchEdgeConfigSchemaResponseBody$Outbound, z.ZodTypeDef, PatchEdgeConfigSchemaResponseBody>;
    /** @deprecated use `PatchEdgeConfigSchemaResponseBody$Outbound` instead. */
    type Outbound = PatchEdgeConfigSchemaResponseBody$Outbound;
}
export declare function patchEdgeConfigSchemaResponseBodyToJSON(patchEdgeConfigSchemaResponseBody: PatchEdgeConfigSchemaResponseBody): string;
export declare function patchEdgeConfigSchemaResponseBodyFromJSON(jsonString: string): SafeParseResult<PatchEdgeConfigSchemaResponseBody, SDKValidationError>;
//# sourceMappingURL=patchedgeconfigschemaop.d.ts.map