import * as z from "zod";
import { ClosedEnum } from "../types/enums.js";
import { Result as SafeParseResult } from "../types/fp.js";
import { SDKValidationError } from "./sdkvalidationerror.js";
export declare const PostProjectsProjectIdLogsPresetsGroup: {
    readonly Personal: "personal";
    readonly Team: "team";
};
export type PostProjectsProjectIdLogsPresetsGroup = ClosedEnum<typeof PostProjectsProjectIdLogsPresetsGroup>;
export type PostProjectsProjectIdLogsPresetsRequestBody = {
    /**
     * query parameter for saved filter preset
     */
    query: string;
    /**
     * The title of the preset
     */
    title: string;
    group: PostProjectsProjectIdLogsPresetsGroup;
};
export type PostProjectsProjectIdLogsPresetsRequest = {
    /**
     * projectId of the preset
     */
    projectId: string;
    requestBody?: PostProjectsProjectIdLogsPresetsRequestBody | undefined;
};
/** @internal */
export declare const PostProjectsProjectIdLogsPresetsGroup$inboundSchema: z.ZodNativeEnum<typeof PostProjectsProjectIdLogsPresetsGroup>;
/** @internal */
export declare const PostProjectsProjectIdLogsPresetsGroup$outboundSchema: z.ZodNativeEnum<typeof PostProjectsProjectIdLogsPresetsGroup>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace PostProjectsProjectIdLogsPresetsGroup$ {
    /** @deprecated use `PostProjectsProjectIdLogsPresetsGroup$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly Personal: "personal";
        readonly Team: "team";
    }>;
    /** @deprecated use `PostProjectsProjectIdLogsPresetsGroup$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly Personal: "personal";
        readonly Team: "team";
    }>;
}
/** @internal */
export declare const PostProjectsProjectIdLogsPresetsRequestBody$inboundSchema: z.ZodType<PostProjectsProjectIdLogsPresetsRequestBody, z.ZodTypeDef, unknown>;
/** @internal */
export type PostProjectsProjectIdLogsPresetsRequestBody$Outbound = {
    query: string;
    title: string;
    group: string;
};
/** @internal */
export declare const PostProjectsProjectIdLogsPresetsRequestBody$outboundSchema: z.ZodType<PostProjectsProjectIdLogsPresetsRequestBody$Outbound, z.ZodTypeDef, PostProjectsProjectIdLogsPresetsRequestBody>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace PostProjectsProjectIdLogsPresetsRequestBody$ {
    /** @deprecated use `PostProjectsProjectIdLogsPresetsRequestBody$inboundSchema` instead. */
    const inboundSchema: z.ZodType<PostProjectsProjectIdLogsPresetsRequestBody, z.ZodTypeDef, unknown>;
    /** @deprecated use `PostProjectsProjectIdLogsPresetsRequestBody$outboundSchema` instead. */
    const outboundSchema: z.ZodType<PostProjectsProjectIdLogsPresetsRequestBody$Outbound, z.ZodTypeDef, PostProjectsProjectIdLogsPresetsRequestBody>;
    /** @deprecated use `PostProjectsProjectIdLogsPresetsRequestBody$Outbound` instead. */
    type Outbound = PostProjectsProjectIdLogsPresetsRequestBody$Outbound;
}
export declare function postProjectsProjectIdLogsPresetsRequestBodyToJSON(postProjectsProjectIdLogsPresetsRequestBody: PostProjectsProjectIdLogsPresetsRequestBody): string;
export declare function postProjectsProjectIdLogsPresetsRequestBodyFromJSON(jsonString: string): SafeParseResult<PostProjectsProjectIdLogsPresetsRequestBody, SDKValidationError>;
/** @internal */
export declare const PostProjectsProjectIdLogsPresetsRequest$inboundSchema: z.ZodType<PostProjectsProjectIdLogsPresetsRequest, z.ZodTypeDef, unknown>;
/** @internal */
export type PostProjectsProjectIdLogsPresetsRequest$Outbound = {
    projectId: string;
    RequestBody?: PostProjectsProjectIdLogsPresetsRequestBody$Outbound | undefined;
};
/** @internal */
export declare const PostProjectsProjectIdLogsPresetsRequest$outboundSchema: z.ZodType<PostProjectsProjectIdLogsPresetsRequest$Outbound, z.ZodTypeDef, PostProjectsProjectIdLogsPresetsRequest>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace PostProjectsProjectIdLogsPresetsRequest$ {
    /** @deprecated use `PostProjectsProjectIdLogsPresetsRequest$inboundSchema` instead. */
    const inboundSchema: z.ZodType<PostProjectsProjectIdLogsPresetsRequest, z.ZodTypeDef, unknown>;
    /** @deprecated use `PostProjectsProjectIdLogsPresetsRequest$outboundSchema` instead. */
    const outboundSchema: z.ZodType<PostProjectsProjectIdLogsPresetsRequest$Outbound, z.ZodTypeDef, PostProjectsProjectIdLogsPresetsRequest>;
    /** @deprecated use `PostProjectsProjectIdLogsPresetsRequest$Outbound` instead. */
    type Outbound = PostProjectsProjectIdLogsPresetsRequest$Outbound;
}
export declare function postProjectsProjectIdLogsPresetsRequestToJSON(postProjectsProjectIdLogsPresetsRequest: PostProjectsProjectIdLogsPresetsRequest): string;
export declare function postProjectsProjectIdLogsPresetsRequestFromJSON(jsonString: string): SafeParseResult<PostProjectsProjectIdLogsPresetsRequest, SDKValidationError>;
//# sourceMappingURL=postprojectsprojectidlogspresetsop.d.ts.map