import * as z from "zod";
import { Result as SafeParseResult } from "../types/fp.js";
import { SDKValidationError } from "./sdkvalidationerror.js";
export type RemoveProjectDomainRequestBody = {
    /**
     * Whether to remove all domains from this project that redirect to the domain being removed.
     */
    removeRedirects?: boolean | undefined;
};
export type RemoveProjectDomainRequest = {
    /**
     * The unique project identifier or the project name
     */
    idOrName: string;
    /**
     * The project domain name
     */
    domain: string;
    /**
     * The Team identifier to perform the request on behalf of.
     */
    teamId?: string | undefined;
    /**
     * The Team slug to perform the request on behalf of.
     */
    slug?: string | undefined;
    requestBody?: RemoveProjectDomainRequestBody | undefined;
};
/**
 * The domain was succesfully removed from the project
 */
export type RemoveProjectDomainResponseBody = {};
/** @internal */
export declare const RemoveProjectDomainRequestBody$inboundSchema: z.ZodType<RemoveProjectDomainRequestBody, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectDomainRequestBody$Outbound = {
    removeRedirects?: boolean | undefined;
};
/** @internal */
export declare const RemoveProjectDomainRequestBody$outboundSchema: z.ZodType<RemoveProjectDomainRequestBody$Outbound, z.ZodTypeDef, RemoveProjectDomainRequestBody>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectDomainRequestBody$ {
    /** @deprecated use `RemoveProjectDomainRequestBody$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectDomainRequestBody, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectDomainRequestBody$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectDomainRequestBody$Outbound, z.ZodTypeDef, RemoveProjectDomainRequestBody>;
    /** @deprecated use `RemoveProjectDomainRequestBody$Outbound` instead. */
    type Outbound = RemoveProjectDomainRequestBody$Outbound;
}
export declare function removeProjectDomainRequestBodyToJSON(removeProjectDomainRequestBody: RemoveProjectDomainRequestBody): string;
export declare function removeProjectDomainRequestBodyFromJSON(jsonString: string): SafeParseResult<RemoveProjectDomainRequestBody, SDKValidationError>;
/** @internal */
export declare const RemoveProjectDomainRequest$inboundSchema: z.ZodType<RemoveProjectDomainRequest, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectDomainRequest$Outbound = {
    idOrName: string;
    domain: string;
    teamId?: string | undefined;
    slug?: string | undefined;
    RequestBody?: RemoveProjectDomainRequestBody$Outbound | undefined;
};
/** @internal */
export declare const RemoveProjectDomainRequest$outboundSchema: z.ZodType<RemoveProjectDomainRequest$Outbound, z.ZodTypeDef, RemoveProjectDomainRequest>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectDomainRequest$ {
    /** @deprecated use `RemoveProjectDomainRequest$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectDomainRequest, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectDomainRequest$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectDomainRequest$Outbound, z.ZodTypeDef, RemoveProjectDomainRequest>;
    /** @deprecated use `RemoveProjectDomainRequest$Outbound` instead. */
    type Outbound = RemoveProjectDomainRequest$Outbound;
}
export declare function removeProjectDomainRequestToJSON(removeProjectDomainRequest: RemoveProjectDomainRequest): string;
export declare function removeProjectDomainRequestFromJSON(jsonString: string): SafeParseResult<RemoveProjectDomainRequest, SDKValidationError>;
/** @internal */
export declare const RemoveProjectDomainResponseBody$inboundSchema: z.ZodType<RemoveProjectDomainResponseBody, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectDomainResponseBody$Outbound = {};
/** @internal */
export declare const RemoveProjectDomainResponseBody$outboundSchema: z.ZodType<RemoveProjectDomainResponseBody$Outbound, z.ZodTypeDef, RemoveProjectDomainResponseBody>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectDomainResponseBody$ {
    /** @deprecated use `RemoveProjectDomainResponseBody$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectDomainResponseBody, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectDomainResponseBody$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectDomainResponseBody$Outbound, z.ZodTypeDef, RemoveProjectDomainResponseBody>;
    /** @deprecated use `RemoveProjectDomainResponseBody$Outbound` instead. */
    type Outbound = RemoveProjectDomainResponseBody$Outbound;
}
export declare function removeProjectDomainResponseBodyToJSON(removeProjectDomainResponseBody: RemoveProjectDomainResponseBody): string;
export declare function removeProjectDomainResponseBodyFromJSON(jsonString: string): SafeParseResult<RemoveProjectDomainResponseBody, SDKValidationError>;
//# sourceMappingURL=removeprojectdomainop.d.ts.map