import * as z from "zod";
import { ClosedEnum } from "../types/enums.js";
import { Result as SafeParseResult } from "../types/fp.js";
import { SDKValidationError } from "./sdkvalidationerror.js";
export type RemoveProjectEnvRequest = {
    /**
     * The unique project identifier or the project name
     */
    idOrName: string;
    /**
     * The unique environment variable identifier
     */
    id: string;
    /**
     * The unique custom environment identifier within the project
     */
    customEnvironmentId?: string | undefined;
    /**
     * The Team identifier to perform the request on behalf of.
     */
    teamId?: string | undefined;
    /**
     * The Team slug to perform the request on behalf of.
     */
    slug?: string | undefined;
};
export declare const RemoveProjectEnvTargetProjectsResponse2: {
    readonly Production: "production";
    readonly Preview: "preview";
    readonly Development: "development";
};
export type RemoveProjectEnvTargetProjectsResponse2 = ClosedEnum<typeof RemoveProjectEnvTargetProjectsResponse2>;
export declare const RemoveProjectEnvTargetProjectsResponse1: {
    readonly Production: "production";
    readonly Preview: "preview";
    readonly Development: "development";
};
export type RemoveProjectEnvTargetProjectsResponse1 = ClosedEnum<typeof RemoveProjectEnvTargetProjectsResponse1>;
export type RemoveProjectEnvResponseBodyProjectsResponseTarget = Array<RemoveProjectEnvTargetProjectsResponse1> | RemoveProjectEnvTargetProjectsResponse2;
export declare const RemoveProjectEnvResponseBodyProjectsResponseType: {
    readonly System: "system";
    readonly Encrypted: "encrypted";
    readonly Plain: "plain";
    readonly Sensitive: "sensitive";
    readonly Secret: "secret";
};
export type RemoveProjectEnvResponseBodyProjectsResponseType = ClosedEnum<typeof RemoveProjectEnvResponseBodyProjectsResponseType>;
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type: {
    readonly FlagsConnectionString: "flags-connection-string";
};
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type = ClosedEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type>;
export type RemoveProjectEnvContentHintProjectsResponse15 = {
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type;
    projectId: string;
};
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type: {
    readonly IntegrationStoreSecret: "integration-store-secret";
};
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type = ClosedEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type>;
export type RemoveProjectEnvContentHintProjectsResponse14 = {
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type;
    storeId: string;
    integrationId: string;
    integrationProductId: string;
    integrationConfigurationId: string;
};
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type: {
    readonly PostgresUrlNoSsl: "postgres-url-no-ssl";
};
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type = ClosedEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type>;
export type RemoveProjectEnvContentHintProjectsResponse13 = {
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type;
    storeId: string;
};
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type: {
    readonly PostgresDatabase: "postgres-database";
};
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type = ClosedEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type>;
export type RemoveProjectEnvContentHintProjectsResponse12 = {
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type;
    storeId: string;
};
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type: {
    readonly PostgresPassword: "postgres-password";
};
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type = ClosedEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type>;
export type RemoveProjectEnvContentHintProjectsResponse11 = {
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type;
    storeId: string;
};
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type: {
    readonly PostgresHost: "postgres-host";
};
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type = ClosedEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type>;
export type RemoveProjectEnvContentHintProjectsResponse10 = {
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type;
    storeId: string;
};
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type: {
    readonly PostgresUser: "postgres-user";
};
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type = ClosedEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type>;
export type RemoveProjectEnvContentHintProjectsResponse9 = {
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type;
    storeId: string;
};
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type: {
    readonly PostgresPrismaUrl: "postgres-prisma-url";
};
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type = ClosedEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type>;
export type RemoveProjectEnvContentHintProjectsResponse8 = {
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type;
    storeId: string;
};
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type: {
    readonly PostgresUrlNonPooling: "postgres-url-non-pooling";
};
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type = ClosedEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type>;
export type RemoveProjectEnvContentHintProjectsResponse7 = {
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type;
    storeId: string;
};
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type: {
    readonly PostgresUrl: "postgres-url";
};
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type = ClosedEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type>;
export type RemoveProjectEnvContentHintProjectsResponse6 = {
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type;
    storeId: string;
};
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type: {
    readonly BlobReadWriteToken: "blob-read-write-token";
};
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type = ClosedEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type>;
export type RemoveProjectEnvContentHintProjectsResponse5 = {
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type;
    storeId: string;
};
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type: {
    readonly RedisRestApiReadOnlyToken: "redis-rest-api-read-only-token";
};
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type = ClosedEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type>;
export type RemoveProjectEnvContentHintProjectsResponse4 = {
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type;
    storeId: string;
};
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type: {
    readonly RedisRestApiToken: "redis-rest-api-token";
};
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type = ClosedEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type>;
export type RemoveProjectEnvContentHintProjectsResponse3 = {
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type;
    storeId: string;
};
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type: {
    readonly RedisRestApiUrl: "redis-rest-api-url";
};
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type = ClosedEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type>;
export type RemoveProjectEnvContentHintProjectsResponse2 = {
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type;
    storeId: string;
};
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type: {
    readonly RedisUrl: "redis-url";
};
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type = ClosedEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type>;
export type RemoveProjectEnvContentHintProjectsResponse1 = {
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type;
    storeId: string;
};
export type RemoveProjectEnvResponseBodyProjectsResponseContentHint = RemoveProjectEnvContentHintProjectsResponse1 | RemoveProjectEnvContentHintProjectsResponse2 | RemoveProjectEnvContentHintProjectsResponse3 | RemoveProjectEnvContentHintProjectsResponse4 | RemoveProjectEnvContentHintProjectsResponse5 | RemoveProjectEnvContentHintProjectsResponse6 | RemoveProjectEnvContentHintProjectsResponse7 | RemoveProjectEnvContentHintProjectsResponse8 | RemoveProjectEnvContentHintProjectsResponse9 | RemoveProjectEnvContentHintProjectsResponse10 | RemoveProjectEnvContentHintProjectsResponse11 | RemoveProjectEnvContentHintProjectsResponse12 | RemoveProjectEnvContentHintProjectsResponse13 | RemoveProjectEnvContentHintProjectsResponse15 | RemoveProjectEnvContentHintProjectsResponse14;
export declare const RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type: {
    readonly FlagsSecret: "flags-secret";
};
export type RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type = ClosedEnum<typeof RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type>;
/**
 * Similar to `contentHints`, but should not be exposed to the user.
 */
export type RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint = {
    type: RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type;
    /**
     * Contains the `value` of the env variable, encrypted with a special key to make decryption possible in the subscriber Lambda.
     */
    encryptedValue: string;
};
export type RemoveProjectEnvResponseBody3 = {
    target?: Array<RemoveProjectEnvTargetProjectsResponse1> | RemoveProjectEnvTargetProjectsResponse2 | undefined;
    type: RemoveProjectEnvResponseBodyProjectsResponseType;
    /**
     * This is used to identiy variables that have been migrated from type secret to sensitive.
     */
    sunsetSecretId?: string | undefined;
    decrypted?: boolean | undefined;
    value: string;
    vsmValue?: string | undefined;
    id?: string | undefined;
    key: string;
    configurationId?: string | null | undefined;
    createdAt?: number | undefined;
    updatedAt?: number | undefined;
    createdBy?: string | null | undefined;
    updatedBy?: string | null | undefined;
    gitBranch?: string | undefined;
    edgeConfigId?: string | null | undefined;
    edgeConfigTokenId?: string | null | undefined;
    contentHint?: RemoveProjectEnvContentHintProjectsResponse1 | RemoveProjectEnvContentHintProjectsResponse2 | RemoveProjectEnvContentHintProjectsResponse3 | RemoveProjectEnvContentHintProjectsResponse4 | RemoveProjectEnvContentHintProjectsResponse5 | RemoveProjectEnvContentHintProjectsResponse6 | RemoveProjectEnvContentHintProjectsResponse7 | RemoveProjectEnvContentHintProjectsResponse8 | RemoveProjectEnvContentHintProjectsResponse9 | RemoveProjectEnvContentHintProjectsResponse10 | RemoveProjectEnvContentHintProjectsResponse11 | RemoveProjectEnvContentHintProjectsResponse12 | RemoveProjectEnvContentHintProjectsResponse13 | RemoveProjectEnvContentHintProjectsResponse15 | RemoveProjectEnvContentHintProjectsResponse14 | null | undefined;
    /**
     * Similar to `contentHints`, but should not be exposed to the user.
     */
    internalContentHint?: RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint | null | undefined;
    comment?: string | undefined;
    customEnvironmentIds?: Array<string> | undefined;
};
export declare const RemoveProjectEnvTargetProjects2: {
    readonly Production: "production";
    readonly Preview: "preview";
    readonly Development: "development";
};
export type RemoveProjectEnvTargetProjects2 = ClosedEnum<typeof RemoveProjectEnvTargetProjects2>;
export declare const RemoveProjectEnvTargetProjects1: {
    readonly Production: "production";
    readonly Preview: "preview";
    readonly Development: "development";
};
export type RemoveProjectEnvTargetProjects1 = ClosedEnum<typeof RemoveProjectEnvTargetProjects1>;
export type RemoveProjectEnvResponseBodyProjectsTarget = Array<RemoveProjectEnvTargetProjects1> | RemoveProjectEnvTargetProjects2;
export declare const RemoveProjectEnvResponseBodyProjectsType: {
    readonly System: "system";
    readonly Encrypted: "encrypted";
    readonly Plain: "plain";
    readonly Sensitive: "sensitive";
    readonly Secret: "secret";
};
export type RemoveProjectEnvResponseBodyProjectsType = ClosedEnum<typeof RemoveProjectEnvResponseBodyProjectsType>;
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type: {
    readonly FlagsConnectionString: "flags-connection-string";
};
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type = ClosedEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type>;
export type RemoveProjectEnvContentHintProjects15 = {
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type;
    projectId: string;
};
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type: {
    readonly IntegrationStoreSecret: "integration-store-secret";
};
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type = ClosedEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type>;
export type RemoveProjectEnvContentHintProjects14 = {
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type;
    storeId: string;
    integrationId: string;
    integrationProductId: string;
    integrationConfigurationId: string;
};
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type: {
    readonly PostgresUrlNoSsl: "postgres-url-no-ssl";
};
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type = ClosedEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type>;
export type RemoveProjectEnvContentHintProjects13 = {
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type;
    storeId: string;
};
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type: {
    readonly PostgresDatabase: "postgres-database";
};
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type = ClosedEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type>;
export type RemoveProjectEnvContentHintProjects12 = {
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type;
    storeId: string;
};
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type: {
    readonly PostgresPassword: "postgres-password";
};
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type = ClosedEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type>;
export type RemoveProjectEnvContentHintProjects11 = {
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type;
    storeId: string;
};
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type: {
    readonly PostgresHost: "postgres-host";
};
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type = ClosedEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type>;
export type RemoveProjectEnvContentHintProjects10 = {
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type;
    storeId: string;
};
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type: {
    readonly PostgresUser: "postgres-user";
};
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type = ClosedEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type>;
export type RemoveProjectEnvContentHintProjects9 = {
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type;
    storeId: string;
};
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type: {
    readonly PostgresPrismaUrl: "postgres-prisma-url";
};
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type = ClosedEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type>;
export type RemoveProjectEnvContentHintProjects8 = {
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type;
    storeId: string;
};
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type: {
    readonly PostgresUrlNonPooling: "postgres-url-non-pooling";
};
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type = ClosedEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type>;
export type RemoveProjectEnvContentHintProjects7 = {
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type;
    storeId: string;
};
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type: {
    readonly PostgresUrl: "postgres-url";
};
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type = ClosedEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type>;
export type RemoveProjectEnvContentHintProjects6 = {
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type;
    storeId: string;
};
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type: {
    readonly BlobReadWriteToken: "blob-read-write-token";
};
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type = ClosedEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type>;
export type RemoveProjectEnvContentHintProjects5 = {
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type;
    storeId: string;
};
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type: {
    readonly RedisRestApiReadOnlyToken: "redis-rest-api-read-only-token";
};
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type = ClosedEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type>;
export type RemoveProjectEnvContentHintProjects4 = {
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type;
    storeId: string;
};
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type: {
    readonly RedisRestApiToken: "redis-rest-api-token";
};
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type = ClosedEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type>;
export type RemoveProjectEnvContentHintProjects3 = {
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type;
    storeId: string;
};
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type: {
    readonly RedisRestApiUrl: "redis-rest-api-url";
};
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type = ClosedEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type>;
export type RemoveProjectEnvContentHintProjects2 = {
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type;
    storeId: string;
};
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type: {
    readonly RedisUrl: "redis-url";
};
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type = ClosedEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type>;
export type RemoveProjectEnvContentHintProjects1 = {
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type;
    storeId: string;
};
export type RemoveProjectEnvResponseBodyProjectsContentHint = RemoveProjectEnvContentHintProjects1 | RemoveProjectEnvContentHintProjects2 | RemoveProjectEnvContentHintProjects3 | RemoveProjectEnvContentHintProjects4 | RemoveProjectEnvContentHintProjects5 | RemoveProjectEnvContentHintProjects6 | RemoveProjectEnvContentHintProjects7 | RemoveProjectEnvContentHintProjects8 | RemoveProjectEnvContentHintProjects9 | RemoveProjectEnvContentHintProjects10 | RemoveProjectEnvContentHintProjects11 | RemoveProjectEnvContentHintProjects12 | RemoveProjectEnvContentHintProjects13 | RemoveProjectEnvContentHintProjects15 | RemoveProjectEnvContentHintProjects14;
export declare const RemoveProjectEnvResponseBodyProjectsResponse200Type: {
    readonly FlagsSecret: "flags-secret";
};
export type RemoveProjectEnvResponseBodyProjectsResponse200Type = ClosedEnum<typeof RemoveProjectEnvResponseBodyProjectsResponse200Type>;
/**
 * Similar to `contentHints`, but should not be exposed to the user.
 */
export type RemoveProjectEnvResponseBodyProjectsInternalContentHint = {
    type: RemoveProjectEnvResponseBodyProjectsResponse200Type;
    /**
     * Contains the `value` of the env variable, encrypted with a special key to make decryption possible in the subscriber Lambda.
     */
    encryptedValue: string;
};
export type RemoveProjectEnvResponseBody2 = {
    system?: boolean | undefined;
    target?: Array<RemoveProjectEnvTargetProjects1> | RemoveProjectEnvTargetProjects2 | undefined;
    type: RemoveProjectEnvResponseBodyProjectsType;
    /**
     * This is used to identiy variables that have been migrated from type secret to sensitive.
     */
    sunsetSecretId?: string | undefined;
    decrypted?: boolean | undefined;
    value: string;
    vsmValue?: string | undefined;
    id?: string | undefined;
    key: string;
    configurationId?: string | null | undefined;
    createdAt?: number | undefined;
    updatedAt?: number | undefined;
    createdBy?: string | null | undefined;
    updatedBy?: string | null | undefined;
    gitBranch?: string | undefined;
    edgeConfigId?: string | null | undefined;
    edgeConfigTokenId?: string | null | undefined;
    contentHint?: RemoveProjectEnvContentHintProjects1 | RemoveProjectEnvContentHintProjects2 | RemoveProjectEnvContentHintProjects3 | RemoveProjectEnvContentHintProjects4 | RemoveProjectEnvContentHintProjects5 | RemoveProjectEnvContentHintProjects6 | RemoveProjectEnvContentHintProjects7 | RemoveProjectEnvContentHintProjects8 | RemoveProjectEnvContentHintProjects9 | RemoveProjectEnvContentHintProjects10 | RemoveProjectEnvContentHintProjects11 | RemoveProjectEnvContentHintProjects12 | RemoveProjectEnvContentHintProjects13 | RemoveProjectEnvContentHintProjects15 | RemoveProjectEnvContentHintProjects14 | null | undefined;
    /**
     * Similar to `contentHints`, but should not be exposed to the user.
     */
    internalContentHint?: RemoveProjectEnvResponseBodyProjectsInternalContentHint | null | undefined;
    comment?: string | undefined;
    customEnvironmentIds?: Array<string> | undefined;
};
export declare const RemoveProjectEnvTarget2: {
    readonly Production: "production";
    readonly Preview: "preview";
    readonly Development: "development";
};
export type RemoveProjectEnvTarget2 = ClosedEnum<typeof RemoveProjectEnvTarget2>;
export declare const RemoveProjectEnvTarget1: {
    readonly Production: "production";
    readonly Preview: "preview";
    readonly Development: "development";
};
export type RemoveProjectEnvTarget1 = ClosedEnum<typeof RemoveProjectEnvTarget1>;
export type RemoveProjectEnvResponseBodyTarget = Array<RemoveProjectEnvTarget1> | RemoveProjectEnvTarget2;
export declare const RemoveProjectEnvResponseBodyType: {
    readonly System: "system";
    readonly Encrypted: "encrypted";
    readonly Plain: "plain";
    readonly Sensitive: "sensitive";
    readonly Secret: "secret";
};
export type RemoveProjectEnvResponseBodyType = ClosedEnum<typeof RemoveProjectEnvResponseBodyType>;
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type: {
    readonly FlagsConnectionString: "flags-connection-string";
};
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type = ClosedEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type>;
export type RemoveProjectEnvContentHint15 = {
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type;
    projectId: string;
};
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type: {
    readonly IntegrationStoreSecret: "integration-store-secret";
};
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type = ClosedEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type>;
export type RemoveProjectEnvContentHint14 = {
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type;
    storeId: string;
    integrationId: string;
    integrationProductId: string;
    integrationConfigurationId: string;
};
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type: {
    readonly PostgresUrlNoSsl: "postgres-url-no-ssl";
};
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type = ClosedEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type>;
export type RemoveProjectEnvContentHint13 = {
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type;
    storeId: string;
};
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type: {
    readonly PostgresDatabase: "postgres-database";
};
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type = ClosedEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type>;
export type RemoveProjectEnvContentHint12 = {
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type;
    storeId: string;
};
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type: {
    readonly PostgresPassword: "postgres-password";
};
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type = ClosedEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type>;
export type RemoveProjectEnvContentHint11 = {
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type;
    storeId: string;
};
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type: {
    readonly PostgresHost: "postgres-host";
};
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type = ClosedEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type>;
export type RemoveProjectEnvContentHint10 = {
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type;
    storeId: string;
};
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type: {
    readonly PostgresUser: "postgres-user";
};
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type = ClosedEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type>;
export type RemoveProjectEnvContentHint9 = {
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type;
    storeId: string;
};
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type: {
    readonly PostgresPrismaUrl: "postgres-prisma-url";
};
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type = ClosedEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type>;
export type RemoveProjectEnvContentHint8 = {
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type;
    storeId: string;
};
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type: {
    readonly PostgresUrlNonPooling: "postgres-url-non-pooling";
};
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type = ClosedEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type>;
export type RemoveProjectEnvContentHint7 = {
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type;
    storeId: string;
};
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType: {
    readonly PostgresUrl: "postgres-url";
};
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType = ClosedEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType>;
export type RemoveProjectEnvContentHint6 = {
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType;
    storeId: string;
};
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType: {
    readonly BlobReadWriteToken: "blob-read-write-token";
};
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType = ClosedEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType>;
export type RemoveProjectEnvContentHint5 = {
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType;
    storeId: string;
};
export declare const RemoveProjectEnvContentHintProjectsResponse200Type: {
    readonly RedisRestApiReadOnlyToken: "redis-rest-api-read-only-token";
};
export type RemoveProjectEnvContentHintProjectsResponse200Type = ClosedEnum<typeof RemoveProjectEnvContentHintProjectsResponse200Type>;
export type RemoveProjectEnvContentHint4 = {
    type: RemoveProjectEnvContentHintProjectsResponse200Type;
    storeId: string;
};
export declare const RemoveProjectEnvContentHintProjectsResponseType: {
    readonly RedisRestApiToken: "redis-rest-api-token";
};
export type RemoveProjectEnvContentHintProjectsResponseType = ClosedEnum<typeof RemoveProjectEnvContentHintProjectsResponseType>;
export type RemoveProjectEnvContentHint3 = {
    type: RemoveProjectEnvContentHintProjectsResponseType;
    storeId: string;
};
export declare const RemoveProjectEnvContentHintProjectsType: {
    readonly RedisRestApiUrl: "redis-rest-api-url";
};
export type RemoveProjectEnvContentHintProjectsType = ClosedEnum<typeof RemoveProjectEnvContentHintProjectsType>;
export type RemoveProjectEnvContentHint2 = {
    type: RemoveProjectEnvContentHintProjectsType;
    storeId: string;
};
export declare const RemoveProjectEnvContentHintType: {
    readonly RedisUrl: "redis-url";
};
export type RemoveProjectEnvContentHintType = ClosedEnum<typeof RemoveProjectEnvContentHintType>;
export type RemoveProjectEnvContentHint1 = {
    type: RemoveProjectEnvContentHintType;
    storeId: string;
};
export type RemoveProjectEnvResponseBodyContentHint = RemoveProjectEnvContentHint1 | RemoveProjectEnvContentHint2 | RemoveProjectEnvContentHint3 | RemoveProjectEnvContentHint4 | RemoveProjectEnvContentHint5 | RemoveProjectEnvContentHint6 | RemoveProjectEnvContentHint7 | RemoveProjectEnvContentHint8 | RemoveProjectEnvContentHint9 | RemoveProjectEnvContentHint10 | RemoveProjectEnvContentHint11 | RemoveProjectEnvContentHint12 | RemoveProjectEnvContentHint13 | RemoveProjectEnvContentHint15 | RemoveProjectEnvContentHint14;
export declare const RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType: {
    readonly FlagsSecret: "flags-secret";
};
export type RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType = ClosedEnum<typeof RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType>;
/**
 * Similar to `contentHints`, but should not be exposed to the user.
 */
export type RemoveProjectEnvResponseBodyInternalContentHint = {
    type: RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType;
    /**
     * Contains the `value` of the env variable, encrypted with a special key to make decryption possible in the subscriber Lambda.
     */
    encryptedValue: string;
};
export type RemoveProjectEnvResponseBody1 = {
    target?: Array<RemoveProjectEnvTarget1> | RemoveProjectEnvTarget2 | undefined;
    type: RemoveProjectEnvResponseBodyType;
    /**
     * This is used to identiy variables that have been migrated from type secret to sensitive.
     */
    sunsetSecretId?: string | undefined;
    decrypted?: boolean | undefined;
    value: string;
    vsmValue?: string | undefined;
    id?: string | undefined;
    key: string;
    configurationId?: string | null | undefined;
    createdAt?: number | undefined;
    updatedAt?: number | undefined;
    createdBy?: string | null | undefined;
    updatedBy?: string | null | undefined;
    gitBranch?: string | undefined;
    edgeConfigId?: string | null | undefined;
    edgeConfigTokenId?: string | null | undefined;
    contentHint?: RemoveProjectEnvContentHint1 | RemoveProjectEnvContentHint2 | RemoveProjectEnvContentHint3 | RemoveProjectEnvContentHint4 | RemoveProjectEnvContentHint5 | RemoveProjectEnvContentHint6 | RemoveProjectEnvContentHint7 | RemoveProjectEnvContentHint8 | RemoveProjectEnvContentHint9 | RemoveProjectEnvContentHint10 | RemoveProjectEnvContentHint11 | RemoveProjectEnvContentHint12 | RemoveProjectEnvContentHint13 | RemoveProjectEnvContentHint15 | RemoveProjectEnvContentHint14 | null | undefined;
    /**
     * Similar to `contentHints`, but should not be exposed to the user.
     */
    internalContentHint?: RemoveProjectEnvResponseBodyInternalContentHint | null | undefined;
    comment?: string | undefined;
    customEnvironmentIds?: Array<string> | undefined;
};
/**
 * The environment variable was successfully removed
 */
export type RemoveProjectEnvResponseBody = RemoveProjectEnvResponseBody3 | RemoveProjectEnvResponseBody2 | Array<RemoveProjectEnvResponseBody1>;
/** @internal */
export declare const RemoveProjectEnvRequest$inboundSchema: z.ZodType<RemoveProjectEnvRequest, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvRequest$Outbound = {
    idOrName: string;
    id: string;
    customEnvironmentId?: string | undefined;
    teamId?: string | undefined;
    slug?: string | undefined;
};
/** @internal */
export declare const RemoveProjectEnvRequest$outboundSchema: z.ZodType<RemoveProjectEnvRequest$Outbound, z.ZodTypeDef, RemoveProjectEnvRequest>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvRequest$ {
    /** @deprecated use `RemoveProjectEnvRequest$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvRequest, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvRequest$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvRequest$Outbound, z.ZodTypeDef, RemoveProjectEnvRequest>;
    /** @deprecated use `RemoveProjectEnvRequest$Outbound` instead. */
    type Outbound = RemoveProjectEnvRequest$Outbound;
}
export declare function removeProjectEnvRequestToJSON(removeProjectEnvRequest: RemoveProjectEnvRequest): string;
export declare function removeProjectEnvRequestFromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvRequest, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvTargetProjectsResponse2$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvTargetProjectsResponse2>;
/** @internal */
export declare const RemoveProjectEnvTargetProjectsResponse2$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvTargetProjectsResponse2>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvTargetProjectsResponse2$ {
    /** @deprecated use `RemoveProjectEnvTargetProjectsResponse2$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly Production: "production";
        readonly Preview: "preview";
        readonly Development: "development";
    }>;
    /** @deprecated use `RemoveProjectEnvTargetProjectsResponse2$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly Production: "production";
        readonly Preview: "preview";
        readonly Development: "development";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvTargetProjectsResponse1$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvTargetProjectsResponse1>;
/** @internal */
export declare const RemoveProjectEnvTargetProjectsResponse1$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvTargetProjectsResponse1>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvTargetProjectsResponse1$ {
    /** @deprecated use `RemoveProjectEnvTargetProjectsResponse1$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly Production: "production";
        readonly Preview: "preview";
        readonly Development: "development";
    }>;
    /** @deprecated use `RemoveProjectEnvTargetProjectsResponse1$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly Production: "production";
        readonly Preview: "preview";
        readonly Development: "development";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvResponseBodyProjectsResponseTarget$inboundSchema: z.ZodType<RemoveProjectEnvResponseBodyProjectsResponseTarget, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvResponseBodyProjectsResponseTarget$Outbound = Array<string> | string;
/** @internal */
export declare const RemoveProjectEnvResponseBodyProjectsResponseTarget$outboundSchema: z.ZodType<RemoveProjectEnvResponseBodyProjectsResponseTarget$Outbound, z.ZodTypeDef, RemoveProjectEnvResponseBodyProjectsResponseTarget>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvResponseBodyProjectsResponseTarget$ {
    /** @deprecated use `RemoveProjectEnvResponseBodyProjectsResponseTarget$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvResponseBodyProjectsResponseTarget, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvResponseBodyProjectsResponseTarget$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvResponseBodyProjectsResponseTarget$Outbound, z.ZodTypeDef, RemoveProjectEnvResponseBodyProjectsResponseTarget>;
    /** @deprecated use `RemoveProjectEnvResponseBodyProjectsResponseTarget$Outbound` instead. */
    type Outbound = RemoveProjectEnvResponseBodyProjectsResponseTarget$Outbound;
}
export declare function removeProjectEnvResponseBodyProjectsResponseTargetToJSON(removeProjectEnvResponseBodyProjectsResponseTarget: RemoveProjectEnvResponseBodyProjectsResponseTarget): string;
export declare function removeProjectEnvResponseBodyProjectsResponseTargetFromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvResponseBodyProjectsResponseTarget, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvResponseBodyProjectsResponseType$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvResponseBodyProjectsResponseType>;
/** @internal */
export declare const RemoveProjectEnvResponseBodyProjectsResponseType$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvResponseBodyProjectsResponseType>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvResponseBodyProjectsResponseType$ {
    /** @deprecated use `RemoveProjectEnvResponseBodyProjectsResponseType$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly System: "system";
        readonly Encrypted: "encrypted";
        readonly Plain: "plain";
        readonly Sensitive: "sensitive";
        readonly Secret: "secret";
    }>;
    /** @deprecated use `RemoveProjectEnvResponseBodyProjectsResponseType$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly System: "system";
        readonly Encrypted: "encrypted";
        readonly Plain: "plain";
        readonly Sensitive: "sensitive";
        readonly Secret: "secret";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly FlagsConnectionString: "flags-connection-string";
    }>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly FlagsConnectionString: "flags-connection-string";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse15$inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse15, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvContentHintProjectsResponse15$Outbound = {
    type: string;
    projectId: string;
};
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse15$outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse15$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjectsResponse15>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse15$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse15$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse15, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse15$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse15$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjectsResponse15>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse15$Outbound` instead. */
    type Outbound = RemoveProjectEnvContentHintProjectsResponse15$Outbound;
}
export declare function removeProjectEnvContentHintProjectsResponse15ToJSON(removeProjectEnvContentHintProjectsResponse15: RemoveProjectEnvContentHintProjectsResponse15): string;
export declare function removeProjectEnvContentHintProjectsResponse15FromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvContentHintProjectsResponse15, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly IntegrationStoreSecret: "integration-store-secret";
    }>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly IntegrationStoreSecret: "integration-store-secret";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse14$inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse14, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvContentHintProjectsResponse14$Outbound = {
    type: string;
    storeId: string;
    integrationId: string;
    integrationProductId: string;
    integrationConfigurationId: string;
};
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse14$outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse14$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjectsResponse14>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse14$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse14$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse14, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse14$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse14$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjectsResponse14>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse14$Outbound` instead. */
    type Outbound = RemoveProjectEnvContentHintProjectsResponse14$Outbound;
}
export declare function removeProjectEnvContentHintProjectsResponse14ToJSON(removeProjectEnvContentHintProjectsResponse14: RemoveProjectEnvContentHintProjectsResponse14): string;
export declare function removeProjectEnvContentHintProjectsResponse14FromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvContentHintProjectsResponse14, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly PostgresUrlNoSsl: "postgres-url-no-ssl";
    }>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly PostgresUrlNoSsl: "postgres-url-no-ssl";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse13$inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse13, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvContentHintProjectsResponse13$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse13$outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse13$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjectsResponse13>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse13$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse13$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse13, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse13$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse13$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjectsResponse13>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse13$Outbound` instead. */
    type Outbound = RemoveProjectEnvContentHintProjectsResponse13$Outbound;
}
export declare function removeProjectEnvContentHintProjectsResponse13ToJSON(removeProjectEnvContentHintProjectsResponse13: RemoveProjectEnvContentHintProjectsResponse13): string;
export declare function removeProjectEnvContentHintProjectsResponse13FromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvContentHintProjectsResponse13, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly PostgresDatabase: "postgres-database";
    }>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly PostgresDatabase: "postgres-database";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse12$inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse12, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvContentHintProjectsResponse12$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse12$outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse12$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjectsResponse12>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse12$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse12$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse12, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse12$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse12$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjectsResponse12>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse12$Outbound` instead. */
    type Outbound = RemoveProjectEnvContentHintProjectsResponse12$Outbound;
}
export declare function removeProjectEnvContentHintProjectsResponse12ToJSON(removeProjectEnvContentHintProjectsResponse12: RemoveProjectEnvContentHintProjectsResponse12): string;
export declare function removeProjectEnvContentHintProjectsResponse12FromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvContentHintProjectsResponse12, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly PostgresPassword: "postgres-password";
    }>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly PostgresPassword: "postgres-password";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse11$inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse11, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvContentHintProjectsResponse11$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse11$outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse11$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjectsResponse11>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse11$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse11$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse11, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse11$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse11$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjectsResponse11>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse11$Outbound` instead. */
    type Outbound = RemoveProjectEnvContentHintProjectsResponse11$Outbound;
}
export declare function removeProjectEnvContentHintProjectsResponse11ToJSON(removeProjectEnvContentHintProjectsResponse11: RemoveProjectEnvContentHintProjectsResponse11): string;
export declare function removeProjectEnvContentHintProjectsResponse11FromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvContentHintProjectsResponse11, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly PostgresHost: "postgres-host";
    }>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly PostgresHost: "postgres-host";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse10$inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse10, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvContentHintProjectsResponse10$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse10$outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse10$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjectsResponse10>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse10$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse10$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse10, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse10$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse10$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjectsResponse10>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse10$Outbound` instead. */
    type Outbound = RemoveProjectEnvContentHintProjectsResponse10$Outbound;
}
export declare function removeProjectEnvContentHintProjectsResponse10ToJSON(removeProjectEnvContentHintProjectsResponse10: RemoveProjectEnvContentHintProjectsResponse10): string;
export declare function removeProjectEnvContentHintProjectsResponse10FromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvContentHintProjectsResponse10, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly PostgresUser: "postgres-user";
    }>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly PostgresUser: "postgres-user";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse9$inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse9, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvContentHintProjectsResponse9$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse9$outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse9$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjectsResponse9>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse9$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse9$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse9, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse9$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse9$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjectsResponse9>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse9$Outbound` instead. */
    type Outbound = RemoveProjectEnvContentHintProjectsResponse9$Outbound;
}
export declare function removeProjectEnvContentHintProjectsResponse9ToJSON(removeProjectEnvContentHintProjectsResponse9: RemoveProjectEnvContentHintProjectsResponse9): string;
export declare function removeProjectEnvContentHintProjectsResponse9FromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvContentHintProjectsResponse9, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly PostgresPrismaUrl: "postgres-prisma-url";
    }>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly PostgresPrismaUrl: "postgres-prisma-url";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse8$inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse8, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvContentHintProjectsResponse8$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse8$outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse8$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjectsResponse8>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse8$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse8$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse8, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse8$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse8$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjectsResponse8>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse8$Outbound` instead. */
    type Outbound = RemoveProjectEnvContentHintProjectsResponse8$Outbound;
}
export declare function removeProjectEnvContentHintProjectsResponse8ToJSON(removeProjectEnvContentHintProjectsResponse8: RemoveProjectEnvContentHintProjectsResponse8): string;
export declare function removeProjectEnvContentHintProjectsResponse8FromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvContentHintProjectsResponse8, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly PostgresUrlNonPooling: "postgres-url-non-pooling";
    }>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly PostgresUrlNonPooling: "postgres-url-non-pooling";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse7$inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse7, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvContentHintProjectsResponse7$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse7$outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse7$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjectsResponse7>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse7$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse7$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse7, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse7$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse7$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjectsResponse7>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse7$Outbound` instead. */
    type Outbound = RemoveProjectEnvContentHintProjectsResponse7$Outbound;
}
export declare function removeProjectEnvContentHintProjectsResponse7ToJSON(removeProjectEnvContentHintProjectsResponse7: RemoveProjectEnvContentHintProjectsResponse7): string;
export declare function removeProjectEnvContentHintProjectsResponse7FromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvContentHintProjectsResponse7, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly PostgresUrl: "postgres-url";
    }>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly PostgresUrl: "postgres-url";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse6$inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse6, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvContentHintProjectsResponse6$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse6$outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse6$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjectsResponse6>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse6$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse6$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse6, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse6$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse6$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjectsResponse6>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse6$Outbound` instead. */
    type Outbound = RemoveProjectEnvContentHintProjectsResponse6$Outbound;
}
export declare function removeProjectEnvContentHintProjectsResponse6ToJSON(removeProjectEnvContentHintProjectsResponse6: RemoveProjectEnvContentHintProjectsResponse6): string;
export declare function removeProjectEnvContentHintProjectsResponse6FromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvContentHintProjectsResponse6, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly BlobReadWriteToken: "blob-read-write-token";
    }>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly BlobReadWriteToken: "blob-read-write-token";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse5$inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse5, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvContentHintProjectsResponse5$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse5$outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse5$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjectsResponse5>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse5$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse5$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse5, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse5$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse5$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjectsResponse5>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse5$Outbound` instead. */
    type Outbound = RemoveProjectEnvContentHintProjectsResponse5$Outbound;
}
export declare function removeProjectEnvContentHintProjectsResponse5ToJSON(removeProjectEnvContentHintProjectsResponse5: RemoveProjectEnvContentHintProjectsResponse5): string;
export declare function removeProjectEnvContentHintProjectsResponse5FromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvContentHintProjectsResponse5, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly RedisRestApiReadOnlyToken: "redis-rest-api-read-only-token";
    }>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly RedisRestApiReadOnlyToken: "redis-rest-api-read-only-token";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse4$inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse4, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvContentHintProjectsResponse4$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse4$outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse4$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjectsResponse4>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse4$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse4$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse4, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse4$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse4$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjectsResponse4>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse4$Outbound` instead. */
    type Outbound = RemoveProjectEnvContentHintProjectsResponse4$Outbound;
}
export declare function removeProjectEnvContentHintProjectsResponse4ToJSON(removeProjectEnvContentHintProjectsResponse4: RemoveProjectEnvContentHintProjectsResponse4): string;
export declare function removeProjectEnvContentHintProjectsResponse4FromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvContentHintProjectsResponse4, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly RedisRestApiToken: "redis-rest-api-token";
    }>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly RedisRestApiToken: "redis-rest-api-token";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse3$inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse3, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvContentHintProjectsResponse3$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse3$outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse3$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjectsResponse3>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse3$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse3$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse3, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse3$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse3$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjectsResponse3>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse3$Outbound` instead. */
    type Outbound = RemoveProjectEnvContentHintProjectsResponse3$Outbound;
}
export declare function removeProjectEnvContentHintProjectsResponse3ToJSON(removeProjectEnvContentHintProjectsResponse3: RemoveProjectEnvContentHintProjectsResponse3): string;
export declare function removeProjectEnvContentHintProjectsResponse3FromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvContentHintProjectsResponse3, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly RedisRestApiUrl: "redis-rest-api-url";
    }>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly RedisRestApiUrl: "redis-rest-api-url";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse2$inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse2, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvContentHintProjectsResponse2$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse2$outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse2$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjectsResponse2>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse2$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse2$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse2, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse2$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse2$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjectsResponse2>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse2$Outbound` instead. */
    type Outbound = RemoveProjectEnvContentHintProjectsResponse2$Outbound;
}
export declare function removeProjectEnvContentHintProjectsResponse2ToJSON(removeProjectEnvContentHintProjectsResponse2: RemoveProjectEnvContentHintProjectsResponse2): string;
export declare function removeProjectEnvContentHintProjectsResponse2FromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvContentHintProjectsResponse2, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly RedisUrl: "redis-url";
    }>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly RedisUrl: "redis-url";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse1$inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse1, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvContentHintProjectsResponse1$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse1$outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse1$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjectsResponse1>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse1$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse1$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse1, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse1$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjectsResponse1$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjectsResponse1>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse1$Outbound` instead. */
    type Outbound = RemoveProjectEnvContentHintProjectsResponse1$Outbound;
}
export declare function removeProjectEnvContentHintProjectsResponse1ToJSON(removeProjectEnvContentHintProjectsResponse1: RemoveProjectEnvContentHintProjectsResponse1): string;
export declare function removeProjectEnvContentHintProjectsResponse1FromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvContentHintProjectsResponse1, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvResponseBodyProjectsResponseContentHint$inboundSchema: z.ZodType<RemoveProjectEnvResponseBodyProjectsResponseContentHint, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvResponseBodyProjectsResponseContentHint$Outbound = RemoveProjectEnvContentHintProjectsResponse1$Outbound | RemoveProjectEnvContentHintProjectsResponse2$Outbound | RemoveProjectEnvContentHintProjectsResponse3$Outbound | RemoveProjectEnvContentHintProjectsResponse4$Outbound | RemoveProjectEnvContentHintProjectsResponse5$Outbound | RemoveProjectEnvContentHintProjectsResponse6$Outbound | RemoveProjectEnvContentHintProjectsResponse7$Outbound | RemoveProjectEnvContentHintProjectsResponse8$Outbound | RemoveProjectEnvContentHintProjectsResponse9$Outbound | RemoveProjectEnvContentHintProjectsResponse10$Outbound | RemoveProjectEnvContentHintProjectsResponse11$Outbound | RemoveProjectEnvContentHintProjectsResponse12$Outbound | RemoveProjectEnvContentHintProjectsResponse13$Outbound | RemoveProjectEnvContentHintProjectsResponse15$Outbound | RemoveProjectEnvContentHintProjectsResponse14$Outbound;
/** @internal */
export declare const RemoveProjectEnvResponseBodyProjectsResponseContentHint$outboundSchema: z.ZodType<RemoveProjectEnvResponseBodyProjectsResponseContentHint$Outbound, z.ZodTypeDef, RemoveProjectEnvResponseBodyProjectsResponseContentHint>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvResponseBodyProjectsResponseContentHint$ {
    /** @deprecated use `RemoveProjectEnvResponseBodyProjectsResponseContentHint$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvResponseBodyProjectsResponseContentHint, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvResponseBodyProjectsResponseContentHint$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvResponseBodyProjectsResponseContentHint$Outbound, z.ZodTypeDef, RemoveProjectEnvResponseBodyProjectsResponseContentHint>;
    /** @deprecated use `RemoveProjectEnvResponseBodyProjectsResponseContentHint$Outbound` instead. */
    type Outbound = RemoveProjectEnvResponseBodyProjectsResponseContentHint$Outbound;
}
export declare function removeProjectEnvResponseBodyProjectsResponseContentHintToJSON(removeProjectEnvResponseBodyProjectsResponseContentHint: RemoveProjectEnvResponseBodyProjectsResponseContentHint): string;
export declare function removeProjectEnvResponseBodyProjectsResponseContentHintFromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvResponseBodyProjectsResponseContentHint, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type>;
/** @internal */
export declare const RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$ {
    /** @deprecated use `RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly FlagsSecret: "flags-secret";
    }>;
    /** @deprecated use `RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly FlagsSecret: "flags-secret";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint$inboundSchema: z.ZodType<RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint$Outbound = {
    type: string;
    encryptedValue: string;
};
/** @internal */
export declare const RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint$outboundSchema: z.ZodType<RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint$Outbound, z.ZodTypeDef, RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint$ {
    /** @deprecated use `RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint$Outbound, z.ZodTypeDef, RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint>;
    /** @deprecated use `RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint$Outbound` instead. */
    type Outbound = RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint$Outbound;
}
export declare function removeProjectEnvResponseBodyProjectsResponseInternalContentHintToJSON(removeProjectEnvResponseBodyProjectsResponseInternalContentHint: RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint): string;
export declare function removeProjectEnvResponseBodyProjectsResponseInternalContentHintFromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvResponseBody3$inboundSchema: z.ZodType<RemoveProjectEnvResponseBody3, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvResponseBody3$Outbound = {
    target?: Array<string> | string | undefined;
    type: string;
    sunsetSecretId?: string | undefined;
    decrypted?: boolean | undefined;
    value: string;
    vsmValue?: string | undefined;
    id?: string | undefined;
    key: string;
    configurationId?: string | null | undefined;
    createdAt?: number | undefined;
    updatedAt?: number | undefined;
    createdBy?: string | null | undefined;
    updatedBy?: string | null | undefined;
    gitBranch?: string | undefined;
    edgeConfigId?: string | null | undefined;
    edgeConfigTokenId?: string | null | undefined;
    contentHint?: RemoveProjectEnvContentHintProjectsResponse1$Outbound | RemoveProjectEnvContentHintProjectsResponse2$Outbound | RemoveProjectEnvContentHintProjectsResponse3$Outbound | RemoveProjectEnvContentHintProjectsResponse4$Outbound | RemoveProjectEnvContentHintProjectsResponse5$Outbound | RemoveProjectEnvContentHintProjectsResponse6$Outbound | RemoveProjectEnvContentHintProjectsResponse7$Outbound | RemoveProjectEnvContentHintProjectsResponse8$Outbound | RemoveProjectEnvContentHintProjectsResponse9$Outbound | RemoveProjectEnvContentHintProjectsResponse10$Outbound | RemoveProjectEnvContentHintProjectsResponse11$Outbound | RemoveProjectEnvContentHintProjectsResponse12$Outbound | RemoveProjectEnvContentHintProjectsResponse13$Outbound | RemoveProjectEnvContentHintProjectsResponse15$Outbound | RemoveProjectEnvContentHintProjectsResponse14$Outbound | null | undefined;
    internalContentHint?: RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint$Outbound | null | undefined;
    comment?: string | undefined;
    customEnvironmentIds?: Array<string> | undefined;
};
/** @internal */
export declare const RemoveProjectEnvResponseBody3$outboundSchema: z.ZodType<RemoveProjectEnvResponseBody3$Outbound, z.ZodTypeDef, RemoveProjectEnvResponseBody3>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvResponseBody3$ {
    /** @deprecated use `RemoveProjectEnvResponseBody3$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvResponseBody3, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvResponseBody3$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvResponseBody3$Outbound, z.ZodTypeDef, RemoveProjectEnvResponseBody3>;
    /** @deprecated use `RemoveProjectEnvResponseBody3$Outbound` instead. */
    type Outbound = RemoveProjectEnvResponseBody3$Outbound;
}
export declare function removeProjectEnvResponseBody3ToJSON(removeProjectEnvResponseBody3: RemoveProjectEnvResponseBody3): string;
export declare function removeProjectEnvResponseBody3FromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvResponseBody3, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvTargetProjects2$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvTargetProjects2>;
/** @internal */
export declare const RemoveProjectEnvTargetProjects2$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvTargetProjects2>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvTargetProjects2$ {
    /** @deprecated use `RemoveProjectEnvTargetProjects2$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly Production: "production";
        readonly Preview: "preview";
        readonly Development: "development";
    }>;
    /** @deprecated use `RemoveProjectEnvTargetProjects2$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly Production: "production";
        readonly Preview: "preview";
        readonly Development: "development";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvTargetProjects1$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvTargetProjects1>;
/** @internal */
export declare const RemoveProjectEnvTargetProjects1$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvTargetProjects1>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvTargetProjects1$ {
    /** @deprecated use `RemoveProjectEnvTargetProjects1$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly Production: "production";
        readonly Preview: "preview";
        readonly Development: "development";
    }>;
    /** @deprecated use `RemoveProjectEnvTargetProjects1$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly Production: "production";
        readonly Preview: "preview";
        readonly Development: "development";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvResponseBodyProjectsTarget$inboundSchema: z.ZodType<RemoveProjectEnvResponseBodyProjectsTarget, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvResponseBodyProjectsTarget$Outbound = Array<string> | string;
/** @internal */
export declare const RemoveProjectEnvResponseBodyProjectsTarget$outboundSchema: z.ZodType<RemoveProjectEnvResponseBodyProjectsTarget$Outbound, z.ZodTypeDef, RemoveProjectEnvResponseBodyProjectsTarget>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvResponseBodyProjectsTarget$ {
    /** @deprecated use `RemoveProjectEnvResponseBodyProjectsTarget$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvResponseBodyProjectsTarget, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvResponseBodyProjectsTarget$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvResponseBodyProjectsTarget$Outbound, z.ZodTypeDef, RemoveProjectEnvResponseBodyProjectsTarget>;
    /** @deprecated use `RemoveProjectEnvResponseBodyProjectsTarget$Outbound` instead. */
    type Outbound = RemoveProjectEnvResponseBodyProjectsTarget$Outbound;
}
export declare function removeProjectEnvResponseBodyProjectsTargetToJSON(removeProjectEnvResponseBodyProjectsTarget: RemoveProjectEnvResponseBodyProjectsTarget): string;
export declare function removeProjectEnvResponseBodyProjectsTargetFromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvResponseBodyProjectsTarget, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvResponseBodyProjectsType$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvResponseBodyProjectsType>;
/** @internal */
export declare const RemoveProjectEnvResponseBodyProjectsType$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvResponseBodyProjectsType>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvResponseBodyProjectsType$ {
    /** @deprecated use `RemoveProjectEnvResponseBodyProjectsType$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly System: "system";
        readonly Encrypted: "encrypted";
        readonly Plain: "plain";
        readonly Sensitive: "sensitive";
        readonly Secret: "secret";
    }>;
    /** @deprecated use `RemoveProjectEnvResponseBodyProjectsType$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly System: "system";
        readonly Encrypted: "encrypted";
        readonly Plain: "plain";
        readonly Sensitive: "sensitive";
        readonly Secret: "secret";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly FlagsConnectionString: "flags-connection-string";
    }>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly FlagsConnectionString: "flags-connection-string";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvContentHintProjects15$inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects15, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvContentHintProjects15$Outbound = {
    type: string;
    projectId: string;
};
/** @internal */
export declare const RemoveProjectEnvContentHintProjects15$outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects15$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjects15>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjects15$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjects15$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects15, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvContentHintProjects15$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects15$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjects15>;
    /** @deprecated use `RemoveProjectEnvContentHintProjects15$Outbound` instead. */
    type Outbound = RemoveProjectEnvContentHintProjects15$Outbound;
}
export declare function removeProjectEnvContentHintProjects15ToJSON(removeProjectEnvContentHintProjects15: RemoveProjectEnvContentHintProjects15): string;
export declare function removeProjectEnvContentHintProjects15FromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvContentHintProjects15, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly IntegrationStoreSecret: "integration-store-secret";
    }>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly IntegrationStoreSecret: "integration-store-secret";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvContentHintProjects14$inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects14, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvContentHintProjects14$Outbound = {
    type: string;
    storeId: string;
    integrationId: string;
    integrationProductId: string;
    integrationConfigurationId: string;
};
/** @internal */
export declare const RemoveProjectEnvContentHintProjects14$outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects14$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjects14>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjects14$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjects14$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects14, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvContentHintProjects14$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects14$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjects14>;
    /** @deprecated use `RemoveProjectEnvContentHintProjects14$Outbound` instead. */
    type Outbound = RemoveProjectEnvContentHintProjects14$Outbound;
}
export declare function removeProjectEnvContentHintProjects14ToJSON(removeProjectEnvContentHintProjects14: RemoveProjectEnvContentHintProjects14): string;
export declare function removeProjectEnvContentHintProjects14FromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvContentHintProjects14, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly PostgresUrlNoSsl: "postgres-url-no-ssl";
    }>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly PostgresUrlNoSsl: "postgres-url-no-ssl";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvContentHintProjects13$inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects13, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvContentHintProjects13$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const RemoveProjectEnvContentHintProjects13$outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects13$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjects13>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjects13$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjects13$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects13, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvContentHintProjects13$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects13$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjects13>;
    /** @deprecated use `RemoveProjectEnvContentHintProjects13$Outbound` instead. */
    type Outbound = RemoveProjectEnvContentHintProjects13$Outbound;
}
export declare function removeProjectEnvContentHintProjects13ToJSON(removeProjectEnvContentHintProjects13: RemoveProjectEnvContentHintProjects13): string;
export declare function removeProjectEnvContentHintProjects13FromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvContentHintProjects13, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly PostgresDatabase: "postgres-database";
    }>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly PostgresDatabase: "postgres-database";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvContentHintProjects12$inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects12, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvContentHintProjects12$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const RemoveProjectEnvContentHintProjects12$outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects12$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjects12>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjects12$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjects12$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects12, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvContentHintProjects12$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects12$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjects12>;
    /** @deprecated use `RemoveProjectEnvContentHintProjects12$Outbound` instead. */
    type Outbound = RemoveProjectEnvContentHintProjects12$Outbound;
}
export declare function removeProjectEnvContentHintProjects12ToJSON(removeProjectEnvContentHintProjects12: RemoveProjectEnvContentHintProjects12): string;
export declare function removeProjectEnvContentHintProjects12FromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvContentHintProjects12, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly PostgresPassword: "postgres-password";
    }>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly PostgresPassword: "postgres-password";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvContentHintProjects11$inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects11, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvContentHintProjects11$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const RemoveProjectEnvContentHintProjects11$outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects11$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjects11>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjects11$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjects11$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects11, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvContentHintProjects11$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects11$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjects11>;
    /** @deprecated use `RemoveProjectEnvContentHintProjects11$Outbound` instead. */
    type Outbound = RemoveProjectEnvContentHintProjects11$Outbound;
}
export declare function removeProjectEnvContentHintProjects11ToJSON(removeProjectEnvContentHintProjects11: RemoveProjectEnvContentHintProjects11): string;
export declare function removeProjectEnvContentHintProjects11FromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvContentHintProjects11, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly PostgresHost: "postgres-host";
    }>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly PostgresHost: "postgres-host";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvContentHintProjects10$inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects10, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvContentHintProjects10$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const RemoveProjectEnvContentHintProjects10$outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects10$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjects10>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjects10$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjects10$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects10, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvContentHintProjects10$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects10$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjects10>;
    /** @deprecated use `RemoveProjectEnvContentHintProjects10$Outbound` instead. */
    type Outbound = RemoveProjectEnvContentHintProjects10$Outbound;
}
export declare function removeProjectEnvContentHintProjects10ToJSON(removeProjectEnvContentHintProjects10: RemoveProjectEnvContentHintProjects10): string;
export declare function removeProjectEnvContentHintProjects10FromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvContentHintProjects10, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly PostgresUser: "postgres-user";
    }>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly PostgresUser: "postgres-user";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvContentHintProjects9$inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects9, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvContentHintProjects9$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const RemoveProjectEnvContentHintProjects9$outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects9$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjects9>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjects9$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjects9$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects9, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvContentHintProjects9$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects9$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjects9>;
    /** @deprecated use `RemoveProjectEnvContentHintProjects9$Outbound` instead. */
    type Outbound = RemoveProjectEnvContentHintProjects9$Outbound;
}
export declare function removeProjectEnvContentHintProjects9ToJSON(removeProjectEnvContentHintProjects9: RemoveProjectEnvContentHintProjects9): string;
export declare function removeProjectEnvContentHintProjects9FromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvContentHintProjects9, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly PostgresPrismaUrl: "postgres-prisma-url";
    }>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly PostgresPrismaUrl: "postgres-prisma-url";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvContentHintProjects8$inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects8, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvContentHintProjects8$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const RemoveProjectEnvContentHintProjects8$outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects8$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjects8>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjects8$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjects8$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects8, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvContentHintProjects8$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects8$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjects8>;
    /** @deprecated use `RemoveProjectEnvContentHintProjects8$Outbound` instead. */
    type Outbound = RemoveProjectEnvContentHintProjects8$Outbound;
}
export declare function removeProjectEnvContentHintProjects8ToJSON(removeProjectEnvContentHintProjects8: RemoveProjectEnvContentHintProjects8): string;
export declare function removeProjectEnvContentHintProjects8FromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvContentHintProjects8, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly PostgresUrlNonPooling: "postgres-url-non-pooling";
    }>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly PostgresUrlNonPooling: "postgres-url-non-pooling";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvContentHintProjects7$inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects7, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvContentHintProjects7$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const RemoveProjectEnvContentHintProjects7$outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects7$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjects7>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjects7$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjects7$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects7, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvContentHintProjects7$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects7$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjects7>;
    /** @deprecated use `RemoveProjectEnvContentHintProjects7$Outbound` instead. */
    type Outbound = RemoveProjectEnvContentHintProjects7$Outbound;
}
export declare function removeProjectEnvContentHintProjects7ToJSON(removeProjectEnvContentHintProjects7: RemoveProjectEnvContentHintProjects7): string;
export declare function removeProjectEnvContentHintProjects7FromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvContentHintProjects7, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly PostgresUrl: "postgres-url";
    }>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly PostgresUrl: "postgres-url";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvContentHintProjects6$inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects6, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvContentHintProjects6$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const RemoveProjectEnvContentHintProjects6$outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects6$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjects6>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjects6$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjects6$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects6, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvContentHintProjects6$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects6$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjects6>;
    /** @deprecated use `RemoveProjectEnvContentHintProjects6$Outbound` instead. */
    type Outbound = RemoveProjectEnvContentHintProjects6$Outbound;
}
export declare function removeProjectEnvContentHintProjects6ToJSON(removeProjectEnvContentHintProjects6: RemoveProjectEnvContentHintProjects6): string;
export declare function removeProjectEnvContentHintProjects6FromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvContentHintProjects6, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly BlobReadWriteToken: "blob-read-write-token";
    }>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly BlobReadWriteToken: "blob-read-write-token";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvContentHintProjects5$inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects5, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvContentHintProjects5$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const RemoveProjectEnvContentHintProjects5$outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects5$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjects5>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjects5$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjects5$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects5, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvContentHintProjects5$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects5$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjects5>;
    /** @deprecated use `RemoveProjectEnvContentHintProjects5$Outbound` instead. */
    type Outbound = RemoveProjectEnvContentHintProjects5$Outbound;
}
export declare function removeProjectEnvContentHintProjects5ToJSON(removeProjectEnvContentHintProjects5: RemoveProjectEnvContentHintProjects5): string;
export declare function removeProjectEnvContentHintProjects5FromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvContentHintProjects5, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly RedisRestApiReadOnlyToken: "redis-rest-api-read-only-token";
    }>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly RedisRestApiReadOnlyToken: "redis-rest-api-read-only-token";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvContentHintProjects4$inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects4, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvContentHintProjects4$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const RemoveProjectEnvContentHintProjects4$outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects4$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjects4>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjects4$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjects4$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects4, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvContentHintProjects4$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects4$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjects4>;
    /** @deprecated use `RemoveProjectEnvContentHintProjects4$Outbound` instead. */
    type Outbound = RemoveProjectEnvContentHintProjects4$Outbound;
}
export declare function removeProjectEnvContentHintProjects4ToJSON(removeProjectEnvContentHintProjects4: RemoveProjectEnvContentHintProjects4): string;
export declare function removeProjectEnvContentHintProjects4FromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvContentHintProjects4, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly RedisRestApiToken: "redis-rest-api-token";
    }>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly RedisRestApiToken: "redis-rest-api-token";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvContentHintProjects3$inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects3, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvContentHintProjects3$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const RemoveProjectEnvContentHintProjects3$outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects3$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjects3>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjects3$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjects3$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects3, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvContentHintProjects3$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects3$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjects3>;
    /** @deprecated use `RemoveProjectEnvContentHintProjects3$Outbound` instead. */
    type Outbound = RemoveProjectEnvContentHintProjects3$Outbound;
}
export declare function removeProjectEnvContentHintProjects3ToJSON(removeProjectEnvContentHintProjects3: RemoveProjectEnvContentHintProjects3): string;
export declare function removeProjectEnvContentHintProjects3FromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvContentHintProjects3, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly RedisRestApiUrl: "redis-rest-api-url";
    }>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly RedisRestApiUrl: "redis-rest-api-url";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvContentHintProjects2$inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects2, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvContentHintProjects2$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const RemoveProjectEnvContentHintProjects2$outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects2$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjects2>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjects2$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjects2$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects2, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvContentHintProjects2$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects2$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjects2>;
    /** @deprecated use `RemoveProjectEnvContentHintProjects2$Outbound` instead. */
    type Outbound = RemoveProjectEnvContentHintProjects2$Outbound;
}
export declare function removeProjectEnvContentHintProjects2ToJSON(removeProjectEnvContentHintProjects2: RemoveProjectEnvContentHintProjects2): string;
export declare function removeProjectEnvContentHintProjects2FromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvContentHintProjects2, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly RedisUrl: "redis-url";
    }>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly RedisUrl: "redis-url";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvContentHintProjects1$inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects1, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvContentHintProjects1$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const RemoveProjectEnvContentHintProjects1$outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects1$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjects1>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjects1$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjects1$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects1, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvContentHintProjects1$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvContentHintProjects1$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHintProjects1>;
    /** @deprecated use `RemoveProjectEnvContentHintProjects1$Outbound` instead. */
    type Outbound = RemoveProjectEnvContentHintProjects1$Outbound;
}
export declare function removeProjectEnvContentHintProjects1ToJSON(removeProjectEnvContentHintProjects1: RemoveProjectEnvContentHintProjects1): string;
export declare function removeProjectEnvContentHintProjects1FromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvContentHintProjects1, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvResponseBodyProjectsContentHint$inboundSchema: z.ZodType<RemoveProjectEnvResponseBodyProjectsContentHint, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvResponseBodyProjectsContentHint$Outbound = RemoveProjectEnvContentHintProjects1$Outbound | RemoveProjectEnvContentHintProjects2$Outbound | RemoveProjectEnvContentHintProjects3$Outbound | RemoveProjectEnvContentHintProjects4$Outbound | RemoveProjectEnvContentHintProjects5$Outbound | RemoveProjectEnvContentHintProjects6$Outbound | RemoveProjectEnvContentHintProjects7$Outbound | RemoveProjectEnvContentHintProjects8$Outbound | RemoveProjectEnvContentHintProjects9$Outbound | RemoveProjectEnvContentHintProjects10$Outbound | RemoveProjectEnvContentHintProjects11$Outbound | RemoveProjectEnvContentHintProjects12$Outbound | RemoveProjectEnvContentHintProjects13$Outbound | RemoveProjectEnvContentHintProjects15$Outbound | RemoveProjectEnvContentHintProjects14$Outbound;
/** @internal */
export declare const RemoveProjectEnvResponseBodyProjectsContentHint$outboundSchema: z.ZodType<RemoveProjectEnvResponseBodyProjectsContentHint$Outbound, z.ZodTypeDef, RemoveProjectEnvResponseBodyProjectsContentHint>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvResponseBodyProjectsContentHint$ {
    /** @deprecated use `RemoveProjectEnvResponseBodyProjectsContentHint$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvResponseBodyProjectsContentHint, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvResponseBodyProjectsContentHint$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvResponseBodyProjectsContentHint$Outbound, z.ZodTypeDef, RemoveProjectEnvResponseBodyProjectsContentHint>;
    /** @deprecated use `RemoveProjectEnvResponseBodyProjectsContentHint$Outbound` instead. */
    type Outbound = RemoveProjectEnvResponseBodyProjectsContentHint$Outbound;
}
export declare function removeProjectEnvResponseBodyProjectsContentHintToJSON(removeProjectEnvResponseBodyProjectsContentHint: RemoveProjectEnvResponseBodyProjectsContentHint): string;
export declare function removeProjectEnvResponseBodyProjectsContentHintFromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvResponseBodyProjectsContentHint, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvResponseBodyProjectsResponse200Type$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvResponseBodyProjectsResponse200Type>;
/** @internal */
export declare const RemoveProjectEnvResponseBodyProjectsResponse200Type$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvResponseBodyProjectsResponse200Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvResponseBodyProjectsResponse200Type$ {
    /** @deprecated use `RemoveProjectEnvResponseBodyProjectsResponse200Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly FlagsSecret: "flags-secret";
    }>;
    /** @deprecated use `RemoveProjectEnvResponseBodyProjectsResponse200Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly FlagsSecret: "flags-secret";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvResponseBodyProjectsInternalContentHint$inboundSchema: z.ZodType<RemoveProjectEnvResponseBodyProjectsInternalContentHint, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvResponseBodyProjectsInternalContentHint$Outbound = {
    type: string;
    encryptedValue: string;
};
/** @internal */
export declare const RemoveProjectEnvResponseBodyProjectsInternalContentHint$outboundSchema: z.ZodType<RemoveProjectEnvResponseBodyProjectsInternalContentHint$Outbound, z.ZodTypeDef, RemoveProjectEnvResponseBodyProjectsInternalContentHint>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvResponseBodyProjectsInternalContentHint$ {
    /** @deprecated use `RemoveProjectEnvResponseBodyProjectsInternalContentHint$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvResponseBodyProjectsInternalContentHint, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvResponseBodyProjectsInternalContentHint$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvResponseBodyProjectsInternalContentHint$Outbound, z.ZodTypeDef, RemoveProjectEnvResponseBodyProjectsInternalContentHint>;
    /** @deprecated use `RemoveProjectEnvResponseBodyProjectsInternalContentHint$Outbound` instead. */
    type Outbound = RemoveProjectEnvResponseBodyProjectsInternalContentHint$Outbound;
}
export declare function removeProjectEnvResponseBodyProjectsInternalContentHintToJSON(removeProjectEnvResponseBodyProjectsInternalContentHint: RemoveProjectEnvResponseBodyProjectsInternalContentHint): string;
export declare function removeProjectEnvResponseBodyProjectsInternalContentHintFromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvResponseBodyProjectsInternalContentHint, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvResponseBody2$inboundSchema: z.ZodType<RemoveProjectEnvResponseBody2, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvResponseBody2$Outbound = {
    system?: boolean | undefined;
    target?: Array<string> | string | undefined;
    type: string;
    sunsetSecretId?: string | undefined;
    decrypted?: boolean | undefined;
    value: string;
    vsmValue?: string | undefined;
    id?: string | undefined;
    key: string;
    configurationId?: string | null | undefined;
    createdAt?: number | undefined;
    updatedAt?: number | undefined;
    createdBy?: string | null | undefined;
    updatedBy?: string | null | undefined;
    gitBranch?: string | undefined;
    edgeConfigId?: string | null | undefined;
    edgeConfigTokenId?: string | null | undefined;
    contentHint?: RemoveProjectEnvContentHintProjects1$Outbound | RemoveProjectEnvContentHintProjects2$Outbound | RemoveProjectEnvContentHintProjects3$Outbound | RemoveProjectEnvContentHintProjects4$Outbound | RemoveProjectEnvContentHintProjects5$Outbound | RemoveProjectEnvContentHintProjects6$Outbound | RemoveProjectEnvContentHintProjects7$Outbound | RemoveProjectEnvContentHintProjects8$Outbound | RemoveProjectEnvContentHintProjects9$Outbound | RemoveProjectEnvContentHintProjects10$Outbound | RemoveProjectEnvContentHintProjects11$Outbound | RemoveProjectEnvContentHintProjects12$Outbound | RemoveProjectEnvContentHintProjects13$Outbound | RemoveProjectEnvContentHintProjects15$Outbound | RemoveProjectEnvContentHintProjects14$Outbound | null | undefined;
    internalContentHint?: RemoveProjectEnvResponseBodyProjectsInternalContentHint$Outbound | null | undefined;
    comment?: string | undefined;
    customEnvironmentIds?: Array<string> | undefined;
};
/** @internal */
export declare const RemoveProjectEnvResponseBody2$outboundSchema: z.ZodType<RemoveProjectEnvResponseBody2$Outbound, z.ZodTypeDef, RemoveProjectEnvResponseBody2>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvResponseBody2$ {
    /** @deprecated use `RemoveProjectEnvResponseBody2$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvResponseBody2, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvResponseBody2$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvResponseBody2$Outbound, z.ZodTypeDef, RemoveProjectEnvResponseBody2>;
    /** @deprecated use `RemoveProjectEnvResponseBody2$Outbound` instead. */
    type Outbound = RemoveProjectEnvResponseBody2$Outbound;
}
export declare function removeProjectEnvResponseBody2ToJSON(removeProjectEnvResponseBody2: RemoveProjectEnvResponseBody2): string;
export declare function removeProjectEnvResponseBody2FromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvResponseBody2, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvTarget2$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvTarget2>;
/** @internal */
export declare const RemoveProjectEnvTarget2$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvTarget2>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvTarget2$ {
    /** @deprecated use `RemoveProjectEnvTarget2$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly Production: "production";
        readonly Preview: "preview";
        readonly Development: "development";
    }>;
    /** @deprecated use `RemoveProjectEnvTarget2$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly Production: "production";
        readonly Preview: "preview";
        readonly Development: "development";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvTarget1$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvTarget1>;
/** @internal */
export declare const RemoveProjectEnvTarget1$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvTarget1>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvTarget1$ {
    /** @deprecated use `RemoveProjectEnvTarget1$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly Production: "production";
        readonly Preview: "preview";
        readonly Development: "development";
    }>;
    /** @deprecated use `RemoveProjectEnvTarget1$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly Production: "production";
        readonly Preview: "preview";
        readonly Development: "development";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvResponseBodyTarget$inboundSchema: z.ZodType<RemoveProjectEnvResponseBodyTarget, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvResponseBodyTarget$Outbound = Array<string> | string;
/** @internal */
export declare const RemoveProjectEnvResponseBodyTarget$outboundSchema: z.ZodType<RemoveProjectEnvResponseBodyTarget$Outbound, z.ZodTypeDef, RemoveProjectEnvResponseBodyTarget>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvResponseBodyTarget$ {
    /** @deprecated use `RemoveProjectEnvResponseBodyTarget$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvResponseBodyTarget, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvResponseBodyTarget$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvResponseBodyTarget$Outbound, z.ZodTypeDef, RemoveProjectEnvResponseBodyTarget>;
    /** @deprecated use `RemoveProjectEnvResponseBodyTarget$Outbound` instead. */
    type Outbound = RemoveProjectEnvResponseBodyTarget$Outbound;
}
export declare function removeProjectEnvResponseBodyTargetToJSON(removeProjectEnvResponseBodyTarget: RemoveProjectEnvResponseBodyTarget): string;
export declare function removeProjectEnvResponseBodyTargetFromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvResponseBodyTarget, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvResponseBodyType$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvResponseBodyType>;
/** @internal */
export declare const RemoveProjectEnvResponseBodyType$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvResponseBodyType>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvResponseBodyType$ {
    /** @deprecated use `RemoveProjectEnvResponseBodyType$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly System: "system";
        readonly Encrypted: "encrypted";
        readonly Plain: "plain";
        readonly Sensitive: "sensitive";
        readonly Secret: "secret";
    }>;
    /** @deprecated use `RemoveProjectEnvResponseBodyType$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly System: "system";
        readonly Encrypted: "encrypted";
        readonly Plain: "plain";
        readonly Sensitive: "sensitive";
        readonly Secret: "secret";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly FlagsConnectionString: "flags-connection-string";
    }>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly FlagsConnectionString: "flags-connection-string";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvContentHint15$inboundSchema: z.ZodType<RemoveProjectEnvContentHint15, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvContentHint15$Outbound = {
    type: string;
    projectId: string;
};
/** @internal */
export declare const RemoveProjectEnvContentHint15$outboundSchema: z.ZodType<RemoveProjectEnvContentHint15$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHint15>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHint15$ {
    /** @deprecated use `RemoveProjectEnvContentHint15$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvContentHint15, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvContentHint15$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvContentHint15$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHint15>;
    /** @deprecated use `RemoveProjectEnvContentHint15$Outbound` instead. */
    type Outbound = RemoveProjectEnvContentHint15$Outbound;
}
export declare function removeProjectEnvContentHint15ToJSON(removeProjectEnvContentHint15: RemoveProjectEnvContentHint15): string;
export declare function removeProjectEnvContentHint15FromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvContentHint15, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly IntegrationStoreSecret: "integration-store-secret";
    }>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly IntegrationStoreSecret: "integration-store-secret";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvContentHint14$inboundSchema: z.ZodType<RemoveProjectEnvContentHint14, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvContentHint14$Outbound = {
    type: string;
    storeId: string;
    integrationId: string;
    integrationProductId: string;
    integrationConfigurationId: string;
};
/** @internal */
export declare const RemoveProjectEnvContentHint14$outboundSchema: z.ZodType<RemoveProjectEnvContentHint14$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHint14>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHint14$ {
    /** @deprecated use `RemoveProjectEnvContentHint14$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvContentHint14, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvContentHint14$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvContentHint14$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHint14>;
    /** @deprecated use `RemoveProjectEnvContentHint14$Outbound` instead. */
    type Outbound = RemoveProjectEnvContentHint14$Outbound;
}
export declare function removeProjectEnvContentHint14ToJSON(removeProjectEnvContentHint14: RemoveProjectEnvContentHint14): string;
export declare function removeProjectEnvContentHint14FromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvContentHint14, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly PostgresUrlNoSsl: "postgres-url-no-ssl";
    }>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly PostgresUrlNoSsl: "postgres-url-no-ssl";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvContentHint13$inboundSchema: z.ZodType<RemoveProjectEnvContentHint13, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvContentHint13$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const RemoveProjectEnvContentHint13$outboundSchema: z.ZodType<RemoveProjectEnvContentHint13$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHint13>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHint13$ {
    /** @deprecated use `RemoveProjectEnvContentHint13$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvContentHint13, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvContentHint13$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvContentHint13$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHint13>;
    /** @deprecated use `RemoveProjectEnvContentHint13$Outbound` instead. */
    type Outbound = RemoveProjectEnvContentHint13$Outbound;
}
export declare function removeProjectEnvContentHint13ToJSON(removeProjectEnvContentHint13: RemoveProjectEnvContentHint13): string;
export declare function removeProjectEnvContentHint13FromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvContentHint13, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly PostgresDatabase: "postgres-database";
    }>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly PostgresDatabase: "postgres-database";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvContentHint12$inboundSchema: z.ZodType<RemoveProjectEnvContentHint12, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvContentHint12$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const RemoveProjectEnvContentHint12$outboundSchema: z.ZodType<RemoveProjectEnvContentHint12$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHint12>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHint12$ {
    /** @deprecated use `RemoveProjectEnvContentHint12$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvContentHint12, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvContentHint12$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvContentHint12$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHint12>;
    /** @deprecated use `RemoveProjectEnvContentHint12$Outbound` instead. */
    type Outbound = RemoveProjectEnvContentHint12$Outbound;
}
export declare function removeProjectEnvContentHint12ToJSON(removeProjectEnvContentHint12: RemoveProjectEnvContentHint12): string;
export declare function removeProjectEnvContentHint12FromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvContentHint12, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly PostgresPassword: "postgres-password";
    }>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly PostgresPassword: "postgres-password";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvContentHint11$inboundSchema: z.ZodType<RemoveProjectEnvContentHint11, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvContentHint11$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const RemoveProjectEnvContentHint11$outboundSchema: z.ZodType<RemoveProjectEnvContentHint11$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHint11>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHint11$ {
    /** @deprecated use `RemoveProjectEnvContentHint11$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvContentHint11, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvContentHint11$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvContentHint11$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHint11>;
    /** @deprecated use `RemoveProjectEnvContentHint11$Outbound` instead. */
    type Outbound = RemoveProjectEnvContentHint11$Outbound;
}
export declare function removeProjectEnvContentHint11ToJSON(removeProjectEnvContentHint11: RemoveProjectEnvContentHint11): string;
export declare function removeProjectEnvContentHint11FromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvContentHint11, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly PostgresHost: "postgres-host";
    }>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly PostgresHost: "postgres-host";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvContentHint10$inboundSchema: z.ZodType<RemoveProjectEnvContentHint10, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvContentHint10$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const RemoveProjectEnvContentHint10$outboundSchema: z.ZodType<RemoveProjectEnvContentHint10$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHint10>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHint10$ {
    /** @deprecated use `RemoveProjectEnvContentHint10$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvContentHint10, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvContentHint10$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvContentHint10$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHint10>;
    /** @deprecated use `RemoveProjectEnvContentHint10$Outbound` instead. */
    type Outbound = RemoveProjectEnvContentHint10$Outbound;
}
export declare function removeProjectEnvContentHint10ToJSON(removeProjectEnvContentHint10: RemoveProjectEnvContentHint10): string;
export declare function removeProjectEnvContentHint10FromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvContentHint10, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly PostgresUser: "postgres-user";
    }>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly PostgresUser: "postgres-user";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvContentHint9$inboundSchema: z.ZodType<RemoveProjectEnvContentHint9, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvContentHint9$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const RemoveProjectEnvContentHint9$outboundSchema: z.ZodType<RemoveProjectEnvContentHint9$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHint9>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHint9$ {
    /** @deprecated use `RemoveProjectEnvContentHint9$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvContentHint9, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvContentHint9$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvContentHint9$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHint9>;
    /** @deprecated use `RemoveProjectEnvContentHint9$Outbound` instead. */
    type Outbound = RemoveProjectEnvContentHint9$Outbound;
}
export declare function removeProjectEnvContentHint9ToJSON(removeProjectEnvContentHint9: RemoveProjectEnvContentHint9): string;
export declare function removeProjectEnvContentHint9FromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvContentHint9, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly PostgresPrismaUrl: "postgres-prisma-url";
    }>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly PostgresPrismaUrl: "postgres-prisma-url";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvContentHint8$inboundSchema: z.ZodType<RemoveProjectEnvContentHint8, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvContentHint8$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const RemoveProjectEnvContentHint8$outboundSchema: z.ZodType<RemoveProjectEnvContentHint8$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHint8>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHint8$ {
    /** @deprecated use `RemoveProjectEnvContentHint8$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvContentHint8, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvContentHint8$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvContentHint8$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHint8>;
    /** @deprecated use `RemoveProjectEnvContentHint8$Outbound` instead. */
    type Outbound = RemoveProjectEnvContentHint8$Outbound;
}
export declare function removeProjectEnvContentHint8ToJSON(removeProjectEnvContentHint8: RemoveProjectEnvContentHint8): string;
export declare function removeProjectEnvContentHint8FromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvContentHint8, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly PostgresUrlNonPooling: "postgres-url-non-pooling";
    }>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly PostgresUrlNonPooling: "postgres-url-non-pooling";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvContentHint7$inboundSchema: z.ZodType<RemoveProjectEnvContentHint7, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvContentHint7$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const RemoveProjectEnvContentHint7$outboundSchema: z.ZodType<RemoveProjectEnvContentHint7$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHint7>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHint7$ {
    /** @deprecated use `RemoveProjectEnvContentHint7$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvContentHint7, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvContentHint7$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvContentHint7$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHint7>;
    /** @deprecated use `RemoveProjectEnvContentHint7$Outbound` instead. */
    type Outbound = RemoveProjectEnvContentHint7$Outbound;
}
export declare function removeProjectEnvContentHint7ToJSON(removeProjectEnvContentHint7: RemoveProjectEnvContentHint7): string;
export declare function removeProjectEnvContentHint7FromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvContentHint7, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly PostgresUrl: "postgres-url";
    }>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly PostgresUrl: "postgres-url";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvContentHint6$inboundSchema: z.ZodType<RemoveProjectEnvContentHint6, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvContentHint6$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const RemoveProjectEnvContentHint6$outboundSchema: z.ZodType<RemoveProjectEnvContentHint6$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHint6>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHint6$ {
    /** @deprecated use `RemoveProjectEnvContentHint6$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvContentHint6, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvContentHint6$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvContentHint6$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHint6>;
    /** @deprecated use `RemoveProjectEnvContentHint6$Outbound` instead. */
    type Outbound = RemoveProjectEnvContentHint6$Outbound;
}
export declare function removeProjectEnvContentHint6ToJSON(removeProjectEnvContentHint6: RemoveProjectEnvContentHint6): string;
export declare function removeProjectEnvContentHint6FromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvContentHint6, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly BlobReadWriteToken: "blob-read-write-token";
    }>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly BlobReadWriteToken: "blob-read-write-token";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvContentHint5$inboundSchema: z.ZodType<RemoveProjectEnvContentHint5, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvContentHint5$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const RemoveProjectEnvContentHint5$outboundSchema: z.ZodType<RemoveProjectEnvContentHint5$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHint5>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHint5$ {
    /** @deprecated use `RemoveProjectEnvContentHint5$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvContentHint5, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvContentHint5$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvContentHint5$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHint5>;
    /** @deprecated use `RemoveProjectEnvContentHint5$Outbound` instead. */
    type Outbound = RemoveProjectEnvContentHint5$Outbound;
}
export declare function removeProjectEnvContentHint5ToJSON(removeProjectEnvContentHint5: RemoveProjectEnvContentHint5): string;
export declare function removeProjectEnvContentHint5FromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvContentHint5, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200Type$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200Type>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponse200Type$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200Type>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponse200Type$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200Type$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly RedisRestApiReadOnlyToken: "redis-rest-api-read-only-token";
    }>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200Type$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly RedisRestApiReadOnlyToken: "redis-rest-api-read-only-token";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvContentHint4$inboundSchema: z.ZodType<RemoveProjectEnvContentHint4, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvContentHint4$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const RemoveProjectEnvContentHint4$outboundSchema: z.ZodType<RemoveProjectEnvContentHint4$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHint4>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHint4$ {
    /** @deprecated use `RemoveProjectEnvContentHint4$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvContentHint4, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvContentHint4$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvContentHint4$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHint4>;
    /** @deprecated use `RemoveProjectEnvContentHint4$Outbound` instead. */
    type Outbound = RemoveProjectEnvContentHint4$Outbound;
}
export declare function removeProjectEnvContentHint4ToJSON(removeProjectEnvContentHint4: RemoveProjectEnvContentHint4): string;
export declare function removeProjectEnvContentHint4FromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvContentHint4, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponseType$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponseType>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsResponseType$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponseType>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsResponseType$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponseType$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly RedisRestApiToken: "redis-rest-api-token";
    }>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsResponseType$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly RedisRestApiToken: "redis-rest-api-token";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvContentHint3$inboundSchema: z.ZodType<RemoveProjectEnvContentHint3, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvContentHint3$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const RemoveProjectEnvContentHint3$outboundSchema: z.ZodType<RemoveProjectEnvContentHint3$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHint3>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHint3$ {
    /** @deprecated use `RemoveProjectEnvContentHint3$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvContentHint3, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvContentHint3$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvContentHint3$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHint3>;
    /** @deprecated use `RemoveProjectEnvContentHint3$Outbound` instead. */
    type Outbound = RemoveProjectEnvContentHint3$Outbound;
}
export declare function removeProjectEnvContentHint3ToJSON(removeProjectEnvContentHint3: RemoveProjectEnvContentHint3): string;
export declare function removeProjectEnvContentHint3FromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvContentHint3, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsType$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsType>;
/** @internal */
export declare const RemoveProjectEnvContentHintProjectsType$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsType>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintProjectsType$ {
    /** @deprecated use `RemoveProjectEnvContentHintProjectsType$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly RedisRestApiUrl: "redis-rest-api-url";
    }>;
    /** @deprecated use `RemoveProjectEnvContentHintProjectsType$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly RedisRestApiUrl: "redis-rest-api-url";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvContentHint2$inboundSchema: z.ZodType<RemoveProjectEnvContentHint2, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvContentHint2$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const RemoveProjectEnvContentHint2$outboundSchema: z.ZodType<RemoveProjectEnvContentHint2$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHint2>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHint2$ {
    /** @deprecated use `RemoveProjectEnvContentHint2$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvContentHint2, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvContentHint2$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvContentHint2$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHint2>;
    /** @deprecated use `RemoveProjectEnvContentHint2$Outbound` instead. */
    type Outbound = RemoveProjectEnvContentHint2$Outbound;
}
export declare function removeProjectEnvContentHint2ToJSON(removeProjectEnvContentHint2: RemoveProjectEnvContentHint2): string;
export declare function removeProjectEnvContentHint2FromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvContentHint2, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvContentHintType$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintType>;
/** @internal */
export declare const RemoveProjectEnvContentHintType$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvContentHintType>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHintType$ {
    /** @deprecated use `RemoveProjectEnvContentHintType$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly RedisUrl: "redis-url";
    }>;
    /** @deprecated use `RemoveProjectEnvContentHintType$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly RedisUrl: "redis-url";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvContentHint1$inboundSchema: z.ZodType<RemoveProjectEnvContentHint1, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvContentHint1$Outbound = {
    type: string;
    storeId: string;
};
/** @internal */
export declare const RemoveProjectEnvContentHint1$outboundSchema: z.ZodType<RemoveProjectEnvContentHint1$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHint1>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvContentHint1$ {
    /** @deprecated use `RemoveProjectEnvContentHint1$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvContentHint1, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvContentHint1$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvContentHint1$Outbound, z.ZodTypeDef, RemoveProjectEnvContentHint1>;
    /** @deprecated use `RemoveProjectEnvContentHint1$Outbound` instead. */
    type Outbound = RemoveProjectEnvContentHint1$Outbound;
}
export declare function removeProjectEnvContentHint1ToJSON(removeProjectEnvContentHint1: RemoveProjectEnvContentHint1): string;
export declare function removeProjectEnvContentHint1FromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvContentHint1, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvResponseBodyContentHint$inboundSchema: z.ZodType<RemoveProjectEnvResponseBodyContentHint, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvResponseBodyContentHint$Outbound = RemoveProjectEnvContentHint1$Outbound | RemoveProjectEnvContentHint2$Outbound | RemoveProjectEnvContentHint3$Outbound | RemoveProjectEnvContentHint4$Outbound | RemoveProjectEnvContentHint5$Outbound | RemoveProjectEnvContentHint6$Outbound | RemoveProjectEnvContentHint7$Outbound | RemoveProjectEnvContentHint8$Outbound | RemoveProjectEnvContentHint9$Outbound | RemoveProjectEnvContentHint10$Outbound | RemoveProjectEnvContentHint11$Outbound | RemoveProjectEnvContentHint12$Outbound | RemoveProjectEnvContentHint13$Outbound | RemoveProjectEnvContentHint15$Outbound | RemoveProjectEnvContentHint14$Outbound;
/** @internal */
export declare const RemoveProjectEnvResponseBodyContentHint$outboundSchema: z.ZodType<RemoveProjectEnvResponseBodyContentHint$Outbound, z.ZodTypeDef, RemoveProjectEnvResponseBodyContentHint>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvResponseBodyContentHint$ {
    /** @deprecated use `RemoveProjectEnvResponseBodyContentHint$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvResponseBodyContentHint, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvResponseBodyContentHint$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvResponseBodyContentHint$Outbound, z.ZodTypeDef, RemoveProjectEnvResponseBodyContentHint>;
    /** @deprecated use `RemoveProjectEnvResponseBodyContentHint$Outbound` instead. */
    type Outbound = RemoveProjectEnvResponseBodyContentHint$Outbound;
}
export declare function removeProjectEnvResponseBodyContentHintToJSON(removeProjectEnvResponseBodyContentHint: RemoveProjectEnvResponseBodyContentHint): string;
export declare function removeProjectEnvResponseBodyContentHintFromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvResponseBodyContentHint, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$inboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType>;
/** @internal */
export declare const RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$outboundSchema: z.ZodNativeEnum<typeof RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$ {
    /** @deprecated use `RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly FlagsSecret: "flags-secret";
    }>;
    /** @deprecated use `RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly FlagsSecret: "flags-secret";
    }>;
}
/** @internal */
export declare const RemoveProjectEnvResponseBodyInternalContentHint$inboundSchema: z.ZodType<RemoveProjectEnvResponseBodyInternalContentHint, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvResponseBodyInternalContentHint$Outbound = {
    type: string;
    encryptedValue: string;
};
/** @internal */
export declare const RemoveProjectEnvResponseBodyInternalContentHint$outboundSchema: z.ZodType<RemoveProjectEnvResponseBodyInternalContentHint$Outbound, z.ZodTypeDef, RemoveProjectEnvResponseBodyInternalContentHint>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvResponseBodyInternalContentHint$ {
    /** @deprecated use `RemoveProjectEnvResponseBodyInternalContentHint$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvResponseBodyInternalContentHint, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvResponseBodyInternalContentHint$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvResponseBodyInternalContentHint$Outbound, z.ZodTypeDef, RemoveProjectEnvResponseBodyInternalContentHint>;
    /** @deprecated use `RemoveProjectEnvResponseBodyInternalContentHint$Outbound` instead. */
    type Outbound = RemoveProjectEnvResponseBodyInternalContentHint$Outbound;
}
export declare function removeProjectEnvResponseBodyInternalContentHintToJSON(removeProjectEnvResponseBodyInternalContentHint: RemoveProjectEnvResponseBodyInternalContentHint): string;
export declare function removeProjectEnvResponseBodyInternalContentHintFromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvResponseBodyInternalContentHint, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvResponseBody1$inboundSchema: z.ZodType<RemoveProjectEnvResponseBody1, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvResponseBody1$Outbound = {
    target?: Array<string> | string | undefined;
    type: string;
    sunsetSecretId?: string | undefined;
    decrypted?: boolean | undefined;
    value: string;
    vsmValue?: string | undefined;
    id?: string | undefined;
    key: string;
    configurationId?: string | null | undefined;
    createdAt?: number | undefined;
    updatedAt?: number | undefined;
    createdBy?: string | null | undefined;
    updatedBy?: string | null | undefined;
    gitBranch?: string | undefined;
    edgeConfigId?: string | null | undefined;
    edgeConfigTokenId?: string | null | undefined;
    contentHint?: RemoveProjectEnvContentHint1$Outbound | RemoveProjectEnvContentHint2$Outbound | RemoveProjectEnvContentHint3$Outbound | RemoveProjectEnvContentHint4$Outbound | RemoveProjectEnvContentHint5$Outbound | RemoveProjectEnvContentHint6$Outbound | RemoveProjectEnvContentHint7$Outbound | RemoveProjectEnvContentHint8$Outbound | RemoveProjectEnvContentHint9$Outbound | RemoveProjectEnvContentHint10$Outbound | RemoveProjectEnvContentHint11$Outbound | RemoveProjectEnvContentHint12$Outbound | RemoveProjectEnvContentHint13$Outbound | RemoveProjectEnvContentHint15$Outbound | RemoveProjectEnvContentHint14$Outbound | null | undefined;
    internalContentHint?: RemoveProjectEnvResponseBodyInternalContentHint$Outbound | null | undefined;
    comment?: string | undefined;
    customEnvironmentIds?: Array<string> | undefined;
};
/** @internal */
export declare const RemoveProjectEnvResponseBody1$outboundSchema: z.ZodType<RemoveProjectEnvResponseBody1$Outbound, z.ZodTypeDef, RemoveProjectEnvResponseBody1>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvResponseBody1$ {
    /** @deprecated use `RemoveProjectEnvResponseBody1$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvResponseBody1, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvResponseBody1$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvResponseBody1$Outbound, z.ZodTypeDef, RemoveProjectEnvResponseBody1>;
    /** @deprecated use `RemoveProjectEnvResponseBody1$Outbound` instead. */
    type Outbound = RemoveProjectEnvResponseBody1$Outbound;
}
export declare function removeProjectEnvResponseBody1ToJSON(removeProjectEnvResponseBody1: RemoveProjectEnvResponseBody1): string;
export declare function removeProjectEnvResponseBody1FromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvResponseBody1, SDKValidationError>;
/** @internal */
export declare const RemoveProjectEnvResponseBody$inboundSchema: z.ZodType<RemoveProjectEnvResponseBody, z.ZodTypeDef, unknown>;
/** @internal */
export type RemoveProjectEnvResponseBody$Outbound = RemoveProjectEnvResponseBody3$Outbound | RemoveProjectEnvResponseBody2$Outbound | Array<RemoveProjectEnvResponseBody1$Outbound>;
/** @internal */
export declare const RemoveProjectEnvResponseBody$outboundSchema: z.ZodType<RemoveProjectEnvResponseBody$Outbound, z.ZodTypeDef, RemoveProjectEnvResponseBody>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RemoveProjectEnvResponseBody$ {
    /** @deprecated use `RemoveProjectEnvResponseBody$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RemoveProjectEnvResponseBody, z.ZodTypeDef, unknown>;
    /** @deprecated use `RemoveProjectEnvResponseBody$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RemoveProjectEnvResponseBody$Outbound, z.ZodTypeDef, RemoveProjectEnvResponseBody>;
    /** @deprecated use `RemoveProjectEnvResponseBody$Outbound` instead. */
    type Outbound = RemoveProjectEnvResponseBody$Outbound;
}
export declare function removeProjectEnvResponseBodyToJSON(removeProjectEnvResponseBody: RemoveProjectEnvResponseBody): string;
export declare function removeProjectEnvResponseBodyFromJSON(jsonString: string): SafeParseResult<RemoveProjectEnvResponseBody, SDKValidationError>;
//# sourceMappingURL=removeprojectenvop.d.ts.map