import * as z from "zod";
import { Result as SafeParseResult } from "../types/fp.js";
import { SDKValidationError } from "./sdkvalidationerror.js";
export type UnpauseProjectRequest = {
    /**
     * The unique project identifier
     */
    projectId: string;
    /**
     * The Team identifier to perform the request on behalf of.
     */
    teamId?: string | undefined;
    /**
     * The Team slug to perform the request on behalf of.
     */
    slug?: string | undefined;
};
/** @internal */
export declare const UnpauseProjectRequest$inboundSchema: z.ZodType<UnpauseProjectRequest, z.ZodTypeDef, unknown>;
/** @internal */
export type UnpauseProjectRequest$Outbound = {
    projectId: string;
    teamId?: string | undefined;
    slug?: string | undefined;
};
/** @internal */
export declare const UnpauseProjectRequest$outboundSchema: z.ZodType<UnpauseProjectRequest$Outbound, z.ZodTypeDef, UnpauseProjectRequest>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UnpauseProjectRequest$ {
    /** @deprecated use `UnpauseProjectRequest$inboundSchema` instead. */
    const inboundSchema: z.ZodType<UnpauseProjectRequest, z.ZodTypeDef, unknown>;
    /** @deprecated use `UnpauseProjectRequest$outboundSchema` instead. */
    const outboundSchema: z.ZodType<UnpauseProjectRequest$Outbound, z.ZodTypeDef, UnpauseProjectRequest>;
    /** @deprecated use `UnpauseProjectRequest$Outbound` instead. */
    type Outbound = UnpauseProjectRequest$Outbound;
}
export declare function unpauseProjectRequestToJSON(unpauseProjectRequest: UnpauseProjectRequest): string;
export declare function unpauseProjectRequestFromJSON(jsonString: string): SafeParseResult<UnpauseProjectRequest, SDKValidationError>;
//# sourceMappingURL=unpauseprojectop.d.ts.map