import * as z from "zod";
import { ClosedEnum } from "../types/enums.js";
import { Result as SafeParseResult } from "../types/fp.js";
import { SDKValidationError } from "./sdkvalidationerror.js";
export declare const UpdateFirewallConfigRequestBodySecurityRequest12Action: {
    readonly Log: "log";
    readonly Challenge: "challenge";
    readonly Deny: "deny";
};
export type UpdateFirewallConfigRequestBodySecurityRequest12Action = ClosedEnum<typeof UpdateFirewallConfigRequestBodySecurityRequest12Action>;
export type UpdateFirewallConfigRequestBodySecurityRequest12Value = {
    active: boolean;
    action?: UpdateFirewallConfigRequestBodySecurityRequest12Action | undefined;
};
/**
 * Update a managed rule group
 */
export type RequestBody12 = {
    action: string;
    id: string;
    value: {
        [k: string]: UpdateFirewallConfigRequestBodySecurityRequest12Value;
    };
};
export declare const UpdateFirewallConfigRequestBodySecurityRequest11Action: {
    readonly ManagedRulesUpdate: "managedRules.update";
};
export type UpdateFirewallConfigRequestBodySecurityRequest11Action = ClosedEnum<typeof UpdateFirewallConfigRequestBodySecurityRequest11Action>;
export declare const UpdateFirewallConfigRequestBodySecurityRequest11ValueAction: {
    readonly Log: "log";
    readonly Challenge: "challenge";
    readonly Deny: "deny";
};
export type UpdateFirewallConfigRequestBodySecurityRequest11ValueAction = ClosedEnum<typeof UpdateFirewallConfigRequestBodySecurityRequest11ValueAction>;
export type UpdateFirewallConfigRequestBodySecurityRequest11Value = {
    action?: UpdateFirewallConfigRequestBodySecurityRequest11ValueAction | undefined;
    active: boolean;
};
/**
 * Update a managed ruleset
 */
export type RequestBody11 = {
    action: UpdateFirewallConfigRequestBodySecurityRequest11Action;
    id: string;
    value: UpdateFirewallConfigRequestBodySecurityRequest11Value;
};
export declare const UpdateFirewallConfigRequestBodySecurityRequest10Action: {
    readonly IpRemove: "ip.remove";
};
export type UpdateFirewallConfigRequestBodySecurityRequest10Action = ClosedEnum<typeof UpdateFirewallConfigRequestBodySecurityRequest10Action>;
/**
 * Remove an IPBlocking rule
 */
export type UpdateFirewallConfigRequestBody10 = {
    action: UpdateFirewallConfigRequestBodySecurityRequest10Action;
    id: string;
    value?: any | null | undefined;
};
export declare const UpdateFirewallConfigRequestBodySecurityRequest9Action: {
    readonly IpUpdate: "ip.update";
};
export type UpdateFirewallConfigRequestBodySecurityRequest9Action = ClosedEnum<typeof UpdateFirewallConfigRequestBodySecurityRequest9Action>;
export declare const UpdateFirewallConfigRequestBodySecurityRequest9ValueAction: {
    readonly Deny: "deny";
    readonly Challenge: "challenge";
    readonly Log: "log";
    readonly Bypass: "bypass";
};
export type UpdateFirewallConfigRequestBodySecurityRequest9ValueAction = ClosedEnum<typeof UpdateFirewallConfigRequestBodySecurityRequest9ValueAction>;
export type UpdateFirewallConfigRequestBodySecurityRequest9Value = {
    hostname: string;
    ip: string;
    notes?: string | undefined;
    action: UpdateFirewallConfigRequestBodySecurityRequest9ValueAction;
};
/**
 * Update an IP Blocking rule
 */
export type UpdateFirewallConfigRequestBody9 = {
    action: UpdateFirewallConfigRequestBodySecurityRequest9Action;
    id: string;
    value: UpdateFirewallConfigRequestBodySecurityRequest9Value;
};
export declare const UpdateFirewallConfigRequestBodySecurityRequest8Action: {
    readonly IpInsert: "ip.insert";
};
export type UpdateFirewallConfigRequestBodySecurityRequest8Action = ClosedEnum<typeof UpdateFirewallConfigRequestBodySecurityRequest8Action>;
export declare const UpdateFirewallConfigRequestBodySecurityRequest8ValueAction: {
    readonly Deny: "deny";
    readonly Challenge: "challenge";
    readonly Log: "log";
    readonly Bypass: "bypass";
};
export type UpdateFirewallConfigRequestBodySecurityRequest8ValueAction = ClosedEnum<typeof UpdateFirewallConfigRequestBodySecurityRequest8ValueAction>;
export type UpdateFirewallConfigRequestBodySecurityRequestValue = {
    hostname: string;
    ip: string;
    notes?: string | undefined;
    action: UpdateFirewallConfigRequestBodySecurityRequest8ValueAction;
};
/**
 * Add an IP Blocking rule
 */
export type UpdateFirewallConfigRequestBody8 = {
    action: UpdateFirewallConfigRequestBodySecurityRequest8Action;
    id?: any | null | undefined;
    value: UpdateFirewallConfigRequestBodySecurityRequestValue;
};
export declare const UpdateFirewallConfigRequestBodySecurityRequest7Action: {
    readonly CrsDisable: "crs.disable";
};
export type UpdateFirewallConfigRequestBodySecurityRequest7Action = ClosedEnum<typeof UpdateFirewallConfigRequestBodySecurityRequest7Action>;
/**
 * Disable a managed rule
 */
export type UpdateFirewallConfigRequestBody7 = {
    action: UpdateFirewallConfigRequestBodySecurityRequest7Action;
    id?: any | null | undefined;
    value?: any | null | undefined;
};
export declare const UpdateFirewallConfigRequestBodySecurityRequest6Action: {
    readonly CrsUpdate: "crs.update";
};
export type UpdateFirewallConfigRequestBodySecurityRequest6Action = ClosedEnum<typeof UpdateFirewallConfigRequestBodySecurityRequest6Action>;
export declare const Id: {
    readonly Sd: "sd";
    readonly Ma: "ma";
    readonly Lfi: "lfi";
    readonly Rfi: "rfi";
    readonly Rce: "rce";
    readonly Php: "php";
    readonly Gen: "gen";
    readonly Xss: "xss";
    readonly Sqli: "sqli";
    readonly Sf: "sf";
    readonly Java: "java";
};
export type Id = ClosedEnum<typeof Id>;
export declare const UpdateFirewallConfigRequestBodySecurityRequest6ValueAction: {
    readonly Deny: "deny";
    readonly Log: "log";
};
export type UpdateFirewallConfigRequestBodySecurityRequest6ValueAction = ClosedEnum<typeof UpdateFirewallConfigRequestBodySecurityRequest6ValueAction>;
export type UpdateFirewallConfigRequestBodySecurityValue = {
    active: boolean;
    action: UpdateFirewallConfigRequestBodySecurityRequest6ValueAction;
};
/**
 * Enable a managed rule
 */
export type UpdateFirewallConfigRequestBody6 = {
    action: UpdateFirewallConfigRequestBodySecurityRequest6Action;
    id: Id;
    value: UpdateFirewallConfigRequestBodySecurityValue;
};
export declare const UpdateFirewallConfigRequestBodySecurityRequest5Action: {
    readonly RulesPriority: "rules.priority";
};
export type UpdateFirewallConfigRequestBodySecurityRequest5Action = ClosedEnum<typeof UpdateFirewallConfigRequestBodySecurityRequest5Action>;
/**
 * Reorder a custom rule
 */
export type UpdateFirewallConfigRequestBody5 = {
    action: UpdateFirewallConfigRequestBodySecurityRequest5Action;
    id: string;
    value: number;
};
export declare const UpdateFirewallConfigRequestBodySecurityRequestAction: {
    readonly RulesRemove: "rules.remove";
};
export type UpdateFirewallConfigRequestBodySecurityRequestAction = ClosedEnum<typeof UpdateFirewallConfigRequestBodySecurityRequestAction>;
/**
 * Remove a custom rule
 */
export type UpdateFirewallConfigRequestBody4 = {
    action: UpdateFirewallConfigRequestBodySecurityRequestAction;
    id: string;
    value?: any | null | undefined;
};
export declare const UpdateFirewallConfigRequestBodySecurityAction: {
    readonly RulesUpdate: "rules.update";
};
export type UpdateFirewallConfigRequestBodySecurityAction = ClosedEnum<typeof UpdateFirewallConfigRequestBodySecurityAction>;
/**
 * [Parameter](https://vercel.com/docs/security/vercel-waf/rule-configuration#parameters) from the incoming traffic.
 */
export declare const UpdateFirewallConfigRequestBodySecurityType: {
    readonly Host: "host";
    readonly Path: "path";
    readonly Method: "method";
    readonly Header: "header";
    readonly Query: "query";
    readonly Cookie: "cookie";
    readonly TargetPath: "target_path";
    readonly RawPath: "raw_path";
    readonly IpAddress: "ip_address";
    readonly Region: "region";
    readonly Protocol: "protocol";
    readonly Scheme: "scheme";
    readonly Environment: "environment";
    readonly UserAgent: "user_agent";
    readonly GeoContinent: "geo_continent";
    readonly GeoCountry: "geo_country";
    readonly GeoCountryRegion: "geo_country_region";
    readonly GeoCity: "geo_city";
    readonly GeoAsNumber: "geo_as_number";
    readonly Ja4Digest: "ja4_digest";
    readonly Ja3Digest: "ja3_digest";
    readonly RateLimitApiId: "rate_limit_api_id";
};
/**
 * [Parameter](https://vercel.com/docs/security/vercel-waf/rule-configuration#parameters) from the incoming traffic.
 */
export type UpdateFirewallConfigRequestBodySecurityType = ClosedEnum<typeof UpdateFirewallConfigRequestBodySecurityType>;
/**
 * [Operator](https://vercel.com/docs/security/vercel-waf/rule-configuration#operators) used to compare the parameter with a value
 */
export declare const UpdateFirewallConfigRequestBodyOp: {
    readonly Re: "re";
    readonly Eq: "eq";
    readonly Neq: "neq";
    readonly Ex: "ex";
    readonly Nex: "nex";
    readonly Inc: "inc";
    readonly Ninc: "ninc";
    readonly Pre: "pre";
    readonly Suf: "suf";
    readonly Sub: "sub";
    readonly Gt: "gt";
    readonly Gte: "gte";
    readonly Lt: "lt";
    readonly Lte: "lte";
};
/**
 * [Operator](https://vercel.com/docs/security/vercel-waf/rule-configuration#operators) used to compare the parameter with a value
 */
export type UpdateFirewallConfigRequestBodyOp = ClosedEnum<typeof UpdateFirewallConfigRequestBodyOp>;
export type UpdateFirewallConfigRequestBodySecurityRequest3Value = string | Array<string> | number;
export type UpdateFirewallConfigRequestBodyConditions = {
    /**
     * [Parameter](https://vercel.com/docs/security/vercel-waf/rule-configuration#parameters) from the incoming traffic.
     */
    type: UpdateFirewallConfigRequestBodySecurityType;
    /**
     * [Operator](https://vercel.com/docs/security/vercel-waf/rule-configuration#operators) used to compare the parameter with a value
     */
    op: UpdateFirewallConfigRequestBodyOp;
    neg?: boolean | undefined;
    key?: string | undefined;
    value?: string | Array<string> | number | undefined;
};
export type UpdateFirewallConfigRequestBodyConditionGroup = {
    conditions: Array<UpdateFirewallConfigRequestBodyConditions>;
};
export declare const UpdateFirewallConfigRequestBodySecurityRequest3ValueAction: {
    readonly Log: "log";
    readonly Challenge: "challenge";
    readonly Deny: "deny";
    readonly Bypass: "bypass";
    readonly RateLimit: "rate_limit";
    readonly Redirect: "redirect";
};
export type UpdateFirewallConfigRequestBodySecurityRequest3ValueAction = ClosedEnum<typeof UpdateFirewallConfigRequestBodySecurityRequest3ValueAction>;
export declare const UpdateFirewallConfigRateLimitAlgo: {
    readonly FixedWindow: "fixed_window";
    readonly TokenBucket: "token_bucket";
};
export type UpdateFirewallConfigRateLimitAlgo = ClosedEnum<typeof UpdateFirewallConfigRateLimitAlgo>;
export declare const UpdateFirewallConfigActionSecurity1: {
    readonly Log: "log";
    readonly Challenge: "challenge";
    readonly Deny: "deny";
    readonly RateLimit: "rate_limit";
};
export type UpdateFirewallConfigActionSecurity1 = ClosedEnum<typeof UpdateFirewallConfigActionSecurity1>;
export type UpdateFirewallConfigRateLimitSecurityAction = UpdateFirewallConfigActionSecurity1 | any;
export type UpdateFirewallConfigRateLimitSecurity1 = {
    algo: UpdateFirewallConfigRateLimitAlgo;
    window: number;
    limit: number;
    keys: Array<string>;
    action?: UpdateFirewallConfigActionSecurity1 | any | null | undefined;
};
export type UpdateFirewallConfigRequestBodyRateLimit = UpdateFirewallConfigRateLimitSecurity1 | any;
export type UpdateFirewallConfigRedirectSecurity1 = {
    location: string;
    permanent: boolean;
};
export type UpdateFirewallConfigRequestBodyRedirect = UpdateFirewallConfigRedirectSecurity1 | any;
export type UpdateFirewallConfigRequestBodyMitigate = {
    action: UpdateFirewallConfigRequestBodySecurityRequest3ValueAction;
    rateLimit?: UpdateFirewallConfigRateLimitSecurity1 | any | null | undefined;
    redirect?: UpdateFirewallConfigRedirectSecurity1 | any | null | undefined;
    actionDuration?: string | null | undefined;
    bypassSystem?: boolean | null | undefined;
};
export type UpdateFirewallConfigRequestBodySecurityRequest3Action = {
    mitigate?: UpdateFirewallConfigRequestBodyMitigate | undefined;
};
export type UpdateFirewallConfigRequestBodyValue = {
    name: string;
    description?: string | undefined;
    active: boolean;
    conditionGroup: Array<UpdateFirewallConfigRequestBodyConditionGroup>;
    action: UpdateFirewallConfigRequestBodySecurityRequest3Action;
};
/**
 * Update a custom rule
 */
export type UpdateFirewallConfigRequestBody3 = {
    action: UpdateFirewallConfigRequestBodySecurityAction;
    id: string;
    value: UpdateFirewallConfigRequestBodyValue;
};
export declare const UpdateFirewallConfigRequestBodyAction: {
    readonly RulesInsert: "rules.insert";
};
export type UpdateFirewallConfigRequestBodyAction = ClosedEnum<typeof UpdateFirewallConfigRequestBodyAction>;
/**
 * [Parameter](https://vercel.com/docs/security/vercel-waf/rule-configuration#parameters) from the incoming traffic.
 */
export declare const UpdateFirewallConfigRequestBodyType: {
    readonly Host: "host";
    readonly Path: "path";
    readonly Method: "method";
    readonly Header: "header";
    readonly Query: "query";
    readonly Cookie: "cookie";
    readonly TargetPath: "target_path";
    readonly RawPath: "raw_path";
    readonly IpAddress: "ip_address";
    readonly Region: "region";
    readonly Protocol: "protocol";
    readonly Scheme: "scheme";
    readonly Environment: "environment";
    readonly UserAgent: "user_agent";
    readonly GeoContinent: "geo_continent";
    readonly GeoCountry: "geo_country";
    readonly GeoCountryRegion: "geo_country_region";
    readonly GeoCity: "geo_city";
    readonly GeoAsNumber: "geo_as_number";
    readonly Ja4Digest: "ja4_digest";
    readonly Ja3Digest: "ja3_digest";
    readonly RateLimitApiId: "rate_limit_api_id";
};
/**
 * [Parameter](https://vercel.com/docs/security/vercel-waf/rule-configuration#parameters) from the incoming traffic.
 */
export type UpdateFirewallConfigRequestBodyType = ClosedEnum<typeof UpdateFirewallConfigRequestBodyType>;
/**
 * [Operator](https://vercel.com/docs/security/vercel-waf/rule-configuration#operators) used to compare the parameter with a value.
 */
export declare const RequestBodyOp: {
    readonly Re: "re";
    readonly Eq: "eq";
    readonly Neq: "neq";
    readonly Ex: "ex";
    readonly Nex: "nex";
    readonly Inc: "inc";
    readonly Ninc: "ninc";
    readonly Pre: "pre";
    readonly Suf: "suf";
    readonly Sub: "sub";
    readonly Gt: "gt";
    readonly Gte: "gte";
    readonly Lt: "lt";
    readonly Lte: "lte";
};
/**
 * [Operator](https://vercel.com/docs/security/vercel-waf/rule-configuration#operators) used to compare the parameter with a value.
 */
export type RequestBodyOp = ClosedEnum<typeof RequestBodyOp>;
export type UpdateFirewallConfigRequestBodySecurityRequest2Value = string | Array<string> | number;
export type RequestBodyConditions = {
    /**
     * [Parameter](https://vercel.com/docs/security/vercel-waf/rule-configuration#parameters) from the incoming traffic.
     */
    type: UpdateFirewallConfigRequestBodyType;
    /**
     * [Operator](https://vercel.com/docs/security/vercel-waf/rule-configuration#operators) used to compare the parameter with a value.
     */
    op: RequestBodyOp;
    neg?: boolean | undefined;
    key?: string | undefined;
    value?: string | Array<string> | number | undefined;
};
export type RequestBodyConditionGroup = {
    conditions: Array<RequestBodyConditions>;
};
export declare const UpdateFirewallConfigRequestBodySecurityRequest2ValueAction: {
    readonly Log: "log";
    readonly Challenge: "challenge";
    readonly Deny: "deny";
    readonly Bypass: "bypass";
    readonly RateLimit: "rate_limit";
    readonly Redirect: "redirect";
};
export type UpdateFirewallConfigRequestBodySecurityRequest2ValueAction = ClosedEnum<typeof UpdateFirewallConfigRequestBodySecurityRequest2ValueAction>;
export declare const RateLimitAlgo: {
    readonly FixedWindow: "fixed_window";
    readonly TokenBucket: "token_bucket";
};
export type RateLimitAlgo = ClosedEnum<typeof RateLimitAlgo>;
export declare const UpdateFirewallConfigAction1: {
    readonly Log: "log";
    readonly Challenge: "challenge";
    readonly Deny: "deny";
    readonly RateLimit: "rate_limit";
};
export type UpdateFirewallConfigAction1 = ClosedEnum<typeof UpdateFirewallConfigAction1>;
export type UpdateFirewallConfigRateLimitAction = UpdateFirewallConfigAction1 | any;
export type UpdateFirewallConfigRateLimit1 = {
    algo: RateLimitAlgo;
    window: number;
    limit: number;
    keys: Array<string>;
    action?: UpdateFirewallConfigAction1 | any | null | undefined;
};
export type RequestBodyRateLimit = UpdateFirewallConfigRateLimit1 | any;
export type UpdateFirewallConfigRedirect1 = {
    location: string;
    permanent: boolean;
};
export type RequestBodyRedirect = UpdateFirewallConfigRedirect1 | any;
export type RequestBodyMitigate = {
    action: UpdateFirewallConfigRequestBodySecurityRequest2ValueAction;
    rateLimit?: UpdateFirewallConfigRateLimit1 | any | null | undefined;
    redirect?: UpdateFirewallConfigRedirect1 | any | null | undefined;
    actionDuration?: string | null | undefined;
    bypassSystem?: boolean | null | undefined;
};
export type UpdateFirewallConfigRequestBodySecurityRequest2Action = {
    mitigate?: RequestBodyMitigate | undefined;
};
export type RequestBodyValue = {
    name: string;
    description?: string | undefined;
    active: boolean;
    conditionGroup: Array<RequestBodyConditionGroup>;
    action: UpdateFirewallConfigRequestBodySecurityRequest2Action;
};
/**
 * Add a custom rule
 */
export type UpdateFirewallConfigRequestBody2 = {
    action: UpdateFirewallConfigRequestBodyAction;
    id?: any | null | undefined;
    value: RequestBodyValue;
};
export declare const RequestBodyAction: {
    readonly FirewallEnabled: "firewallEnabled";
};
export type RequestBodyAction = ClosedEnum<typeof RequestBodyAction>;
/**
 * Enable Firewall
 */
export type UpdateFirewallConfigRequestBody1 = {
    action: RequestBodyAction;
    id?: any | null | undefined;
    value: boolean;
};
export type UpdateFirewallConfigRequestBody = UpdateFirewallConfigRequestBody1 | UpdateFirewallConfigRequestBody2 | UpdateFirewallConfigRequestBody3 | UpdateFirewallConfigRequestBody4 | UpdateFirewallConfigRequestBody5 | UpdateFirewallConfigRequestBody6 | UpdateFirewallConfigRequestBody7 | UpdateFirewallConfigRequestBody8 | UpdateFirewallConfigRequestBody9 | UpdateFirewallConfigRequestBody10 | RequestBody11 | RequestBody12;
export type UpdateFirewallConfigRequest = {
    projectId: string;
    /**
     * The Team identifier to perform the request on behalf of.
     */
    teamId?: string | undefined;
    /**
     * The Team slug to perform the request on behalf of.
     */
    slug?: string | undefined;
    requestBody: UpdateFirewallConfigRequestBody1 | UpdateFirewallConfigRequestBody2 | UpdateFirewallConfigRequestBody3 | UpdateFirewallConfigRequestBody4 | UpdateFirewallConfigRequestBody5 | UpdateFirewallConfigRequestBody6 | UpdateFirewallConfigRequestBody7 | UpdateFirewallConfigRequestBody8 | UpdateFirewallConfigRequestBody9 | UpdateFirewallConfigRequestBody10 | RequestBody11 | RequestBody12;
};
export type UpdateFirewallConfigResponseBody = {};
/** @internal */
export declare const UpdateFirewallConfigRequestBodySecurityRequest12Action$inboundSchema: z.ZodNativeEnum<typeof UpdateFirewallConfigRequestBodySecurityRequest12Action>;
/** @internal */
export declare const UpdateFirewallConfigRequestBodySecurityRequest12Action$outboundSchema: z.ZodNativeEnum<typeof UpdateFirewallConfigRequestBodySecurityRequest12Action>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigRequestBodySecurityRequest12Action$ {
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityRequest12Action$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly Log: "log";
        readonly Challenge: "challenge";
        readonly Deny: "deny";
    }>;
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityRequest12Action$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly Log: "log";
        readonly Challenge: "challenge";
        readonly Deny: "deny";
    }>;
}
/** @internal */
export declare const UpdateFirewallConfigRequestBodySecurityRequest12Value$inboundSchema: z.ZodType<UpdateFirewallConfigRequestBodySecurityRequest12Value, z.ZodTypeDef, unknown>;
/** @internal */
export type UpdateFirewallConfigRequestBodySecurityRequest12Value$Outbound = {
    active: boolean;
    action?: string | undefined;
};
/** @internal */
export declare const UpdateFirewallConfigRequestBodySecurityRequest12Value$outboundSchema: z.ZodType<UpdateFirewallConfigRequestBodySecurityRequest12Value$Outbound, z.ZodTypeDef, UpdateFirewallConfigRequestBodySecurityRequest12Value>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigRequestBodySecurityRequest12Value$ {
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityRequest12Value$inboundSchema` instead. */
    const inboundSchema: z.ZodType<UpdateFirewallConfigRequestBodySecurityRequest12Value, z.ZodTypeDef, unknown>;
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityRequest12Value$outboundSchema` instead. */
    const outboundSchema: z.ZodType<UpdateFirewallConfigRequestBodySecurityRequest12Value$Outbound, z.ZodTypeDef, UpdateFirewallConfigRequestBodySecurityRequest12Value>;
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityRequest12Value$Outbound` instead. */
    type Outbound = UpdateFirewallConfigRequestBodySecurityRequest12Value$Outbound;
}
export declare function updateFirewallConfigRequestBodySecurityRequest12ValueToJSON(updateFirewallConfigRequestBodySecurityRequest12Value: UpdateFirewallConfigRequestBodySecurityRequest12Value): string;
export declare function updateFirewallConfigRequestBodySecurityRequest12ValueFromJSON(jsonString: string): SafeParseResult<UpdateFirewallConfigRequestBodySecurityRequest12Value, SDKValidationError>;
/** @internal */
export declare const RequestBody12$inboundSchema: z.ZodType<RequestBody12, z.ZodTypeDef, unknown>;
/** @internal */
export type RequestBody12$Outbound = {
    action: string;
    id: string;
    value: {
        [k: string]: UpdateFirewallConfigRequestBodySecurityRequest12Value$Outbound;
    };
};
/** @internal */
export declare const RequestBody12$outboundSchema: z.ZodType<RequestBody12$Outbound, z.ZodTypeDef, RequestBody12>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RequestBody12$ {
    /** @deprecated use `RequestBody12$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RequestBody12, z.ZodTypeDef, unknown>;
    /** @deprecated use `RequestBody12$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RequestBody12$Outbound, z.ZodTypeDef, RequestBody12>;
    /** @deprecated use `RequestBody12$Outbound` instead. */
    type Outbound = RequestBody12$Outbound;
}
export declare function requestBody12ToJSON(requestBody12: RequestBody12): string;
export declare function requestBody12FromJSON(jsonString: string): SafeParseResult<RequestBody12, SDKValidationError>;
/** @internal */
export declare const UpdateFirewallConfigRequestBodySecurityRequest11Action$inboundSchema: z.ZodNativeEnum<typeof UpdateFirewallConfigRequestBodySecurityRequest11Action>;
/** @internal */
export declare const UpdateFirewallConfigRequestBodySecurityRequest11Action$outboundSchema: z.ZodNativeEnum<typeof UpdateFirewallConfigRequestBodySecurityRequest11Action>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigRequestBodySecurityRequest11Action$ {
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityRequest11Action$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly ManagedRulesUpdate: "managedRules.update";
    }>;
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityRequest11Action$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly ManagedRulesUpdate: "managedRules.update";
    }>;
}
/** @internal */
export declare const UpdateFirewallConfigRequestBodySecurityRequest11ValueAction$inboundSchema: z.ZodNativeEnum<typeof UpdateFirewallConfigRequestBodySecurityRequest11ValueAction>;
/** @internal */
export declare const UpdateFirewallConfigRequestBodySecurityRequest11ValueAction$outboundSchema: z.ZodNativeEnum<typeof UpdateFirewallConfigRequestBodySecurityRequest11ValueAction>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigRequestBodySecurityRequest11ValueAction$ {
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityRequest11ValueAction$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly Log: "log";
        readonly Challenge: "challenge";
        readonly Deny: "deny";
    }>;
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityRequest11ValueAction$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly Log: "log";
        readonly Challenge: "challenge";
        readonly Deny: "deny";
    }>;
}
/** @internal */
export declare const UpdateFirewallConfigRequestBodySecurityRequest11Value$inboundSchema: z.ZodType<UpdateFirewallConfigRequestBodySecurityRequest11Value, z.ZodTypeDef, unknown>;
/** @internal */
export type UpdateFirewallConfigRequestBodySecurityRequest11Value$Outbound = {
    action?: string | undefined;
    active: boolean;
};
/** @internal */
export declare const UpdateFirewallConfigRequestBodySecurityRequest11Value$outboundSchema: z.ZodType<UpdateFirewallConfigRequestBodySecurityRequest11Value$Outbound, z.ZodTypeDef, UpdateFirewallConfigRequestBodySecurityRequest11Value>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigRequestBodySecurityRequest11Value$ {
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityRequest11Value$inboundSchema` instead. */
    const inboundSchema: z.ZodType<UpdateFirewallConfigRequestBodySecurityRequest11Value, z.ZodTypeDef, unknown>;
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityRequest11Value$outboundSchema` instead. */
    const outboundSchema: z.ZodType<UpdateFirewallConfigRequestBodySecurityRequest11Value$Outbound, z.ZodTypeDef, UpdateFirewallConfigRequestBodySecurityRequest11Value>;
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityRequest11Value$Outbound` instead. */
    type Outbound = UpdateFirewallConfigRequestBodySecurityRequest11Value$Outbound;
}
export declare function updateFirewallConfigRequestBodySecurityRequest11ValueToJSON(updateFirewallConfigRequestBodySecurityRequest11Value: UpdateFirewallConfigRequestBodySecurityRequest11Value): string;
export declare function updateFirewallConfigRequestBodySecurityRequest11ValueFromJSON(jsonString: string): SafeParseResult<UpdateFirewallConfigRequestBodySecurityRequest11Value, SDKValidationError>;
/** @internal */
export declare const RequestBody11$inboundSchema: z.ZodType<RequestBody11, z.ZodTypeDef, unknown>;
/** @internal */
export type RequestBody11$Outbound = {
    action: string;
    id: string;
    value: UpdateFirewallConfigRequestBodySecurityRequest11Value$Outbound;
};
/** @internal */
export declare const RequestBody11$outboundSchema: z.ZodType<RequestBody11$Outbound, z.ZodTypeDef, RequestBody11>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RequestBody11$ {
    /** @deprecated use `RequestBody11$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RequestBody11, z.ZodTypeDef, unknown>;
    /** @deprecated use `RequestBody11$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RequestBody11$Outbound, z.ZodTypeDef, RequestBody11>;
    /** @deprecated use `RequestBody11$Outbound` instead. */
    type Outbound = RequestBody11$Outbound;
}
export declare function requestBody11ToJSON(requestBody11: RequestBody11): string;
export declare function requestBody11FromJSON(jsonString: string): SafeParseResult<RequestBody11, SDKValidationError>;
/** @internal */
export declare const UpdateFirewallConfigRequestBodySecurityRequest10Action$inboundSchema: z.ZodNativeEnum<typeof UpdateFirewallConfigRequestBodySecurityRequest10Action>;
/** @internal */
export declare const UpdateFirewallConfigRequestBodySecurityRequest10Action$outboundSchema: z.ZodNativeEnum<typeof UpdateFirewallConfigRequestBodySecurityRequest10Action>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigRequestBodySecurityRequest10Action$ {
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityRequest10Action$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly IpRemove: "ip.remove";
    }>;
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityRequest10Action$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly IpRemove: "ip.remove";
    }>;
}
/** @internal */
export declare const UpdateFirewallConfigRequestBody10$inboundSchema: z.ZodType<UpdateFirewallConfigRequestBody10, z.ZodTypeDef, unknown>;
/** @internal */
export type UpdateFirewallConfigRequestBody10$Outbound = {
    action: string;
    id: string;
    value?: any | null | undefined;
};
/** @internal */
export declare const UpdateFirewallConfigRequestBody10$outboundSchema: z.ZodType<UpdateFirewallConfigRequestBody10$Outbound, z.ZodTypeDef, UpdateFirewallConfigRequestBody10>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigRequestBody10$ {
    /** @deprecated use `UpdateFirewallConfigRequestBody10$inboundSchema` instead. */
    const inboundSchema: z.ZodType<UpdateFirewallConfigRequestBody10, z.ZodTypeDef, unknown>;
    /** @deprecated use `UpdateFirewallConfigRequestBody10$outboundSchema` instead. */
    const outboundSchema: z.ZodType<UpdateFirewallConfigRequestBody10$Outbound, z.ZodTypeDef, UpdateFirewallConfigRequestBody10>;
    /** @deprecated use `UpdateFirewallConfigRequestBody10$Outbound` instead. */
    type Outbound = UpdateFirewallConfigRequestBody10$Outbound;
}
export declare function updateFirewallConfigRequestBody10ToJSON(updateFirewallConfigRequestBody10: UpdateFirewallConfigRequestBody10): string;
export declare function updateFirewallConfigRequestBody10FromJSON(jsonString: string): SafeParseResult<UpdateFirewallConfigRequestBody10, SDKValidationError>;
/** @internal */
export declare const UpdateFirewallConfigRequestBodySecurityRequest9Action$inboundSchema: z.ZodNativeEnum<typeof UpdateFirewallConfigRequestBodySecurityRequest9Action>;
/** @internal */
export declare const UpdateFirewallConfigRequestBodySecurityRequest9Action$outboundSchema: z.ZodNativeEnum<typeof UpdateFirewallConfigRequestBodySecurityRequest9Action>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigRequestBodySecurityRequest9Action$ {
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityRequest9Action$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly IpUpdate: "ip.update";
    }>;
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityRequest9Action$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly IpUpdate: "ip.update";
    }>;
}
/** @internal */
export declare const UpdateFirewallConfigRequestBodySecurityRequest9ValueAction$inboundSchema: z.ZodNativeEnum<typeof UpdateFirewallConfigRequestBodySecurityRequest9ValueAction>;
/** @internal */
export declare const UpdateFirewallConfigRequestBodySecurityRequest9ValueAction$outboundSchema: z.ZodNativeEnum<typeof UpdateFirewallConfigRequestBodySecurityRequest9ValueAction>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigRequestBodySecurityRequest9ValueAction$ {
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityRequest9ValueAction$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly Deny: "deny";
        readonly Challenge: "challenge";
        readonly Log: "log";
        readonly Bypass: "bypass";
    }>;
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityRequest9ValueAction$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly Deny: "deny";
        readonly Challenge: "challenge";
        readonly Log: "log";
        readonly Bypass: "bypass";
    }>;
}
/** @internal */
export declare const UpdateFirewallConfigRequestBodySecurityRequest9Value$inboundSchema: z.ZodType<UpdateFirewallConfigRequestBodySecurityRequest9Value, z.ZodTypeDef, unknown>;
/** @internal */
export type UpdateFirewallConfigRequestBodySecurityRequest9Value$Outbound = {
    hostname: string;
    ip: string;
    notes?: string | undefined;
    action: string;
};
/** @internal */
export declare const UpdateFirewallConfigRequestBodySecurityRequest9Value$outboundSchema: z.ZodType<UpdateFirewallConfigRequestBodySecurityRequest9Value$Outbound, z.ZodTypeDef, UpdateFirewallConfigRequestBodySecurityRequest9Value>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigRequestBodySecurityRequest9Value$ {
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityRequest9Value$inboundSchema` instead. */
    const inboundSchema: z.ZodType<UpdateFirewallConfigRequestBodySecurityRequest9Value, z.ZodTypeDef, unknown>;
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityRequest9Value$outboundSchema` instead. */
    const outboundSchema: z.ZodType<UpdateFirewallConfigRequestBodySecurityRequest9Value$Outbound, z.ZodTypeDef, UpdateFirewallConfigRequestBodySecurityRequest9Value>;
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityRequest9Value$Outbound` instead. */
    type Outbound = UpdateFirewallConfigRequestBodySecurityRequest9Value$Outbound;
}
export declare function updateFirewallConfigRequestBodySecurityRequest9ValueToJSON(updateFirewallConfigRequestBodySecurityRequest9Value: UpdateFirewallConfigRequestBodySecurityRequest9Value): string;
export declare function updateFirewallConfigRequestBodySecurityRequest9ValueFromJSON(jsonString: string): SafeParseResult<UpdateFirewallConfigRequestBodySecurityRequest9Value, SDKValidationError>;
/** @internal */
export declare const UpdateFirewallConfigRequestBody9$inboundSchema: z.ZodType<UpdateFirewallConfigRequestBody9, z.ZodTypeDef, unknown>;
/** @internal */
export type UpdateFirewallConfigRequestBody9$Outbound = {
    action: string;
    id: string;
    value: UpdateFirewallConfigRequestBodySecurityRequest9Value$Outbound;
};
/** @internal */
export declare const UpdateFirewallConfigRequestBody9$outboundSchema: z.ZodType<UpdateFirewallConfigRequestBody9$Outbound, z.ZodTypeDef, UpdateFirewallConfigRequestBody9>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigRequestBody9$ {
    /** @deprecated use `UpdateFirewallConfigRequestBody9$inboundSchema` instead. */
    const inboundSchema: z.ZodType<UpdateFirewallConfigRequestBody9, z.ZodTypeDef, unknown>;
    /** @deprecated use `UpdateFirewallConfigRequestBody9$outboundSchema` instead. */
    const outboundSchema: z.ZodType<UpdateFirewallConfigRequestBody9$Outbound, z.ZodTypeDef, UpdateFirewallConfigRequestBody9>;
    /** @deprecated use `UpdateFirewallConfigRequestBody9$Outbound` instead. */
    type Outbound = UpdateFirewallConfigRequestBody9$Outbound;
}
export declare function updateFirewallConfigRequestBody9ToJSON(updateFirewallConfigRequestBody9: UpdateFirewallConfigRequestBody9): string;
export declare function updateFirewallConfigRequestBody9FromJSON(jsonString: string): SafeParseResult<UpdateFirewallConfigRequestBody9, SDKValidationError>;
/** @internal */
export declare const UpdateFirewallConfigRequestBodySecurityRequest8Action$inboundSchema: z.ZodNativeEnum<typeof UpdateFirewallConfigRequestBodySecurityRequest8Action>;
/** @internal */
export declare const UpdateFirewallConfigRequestBodySecurityRequest8Action$outboundSchema: z.ZodNativeEnum<typeof UpdateFirewallConfigRequestBodySecurityRequest8Action>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigRequestBodySecurityRequest8Action$ {
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityRequest8Action$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly IpInsert: "ip.insert";
    }>;
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityRequest8Action$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly IpInsert: "ip.insert";
    }>;
}
/** @internal */
export declare const UpdateFirewallConfigRequestBodySecurityRequest8ValueAction$inboundSchema: z.ZodNativeEnum<typeof UpdateFirewallConfigRequestBodySecurityRequest8ValueAction>;
/** @internal */
export declare const UpdateFirewallConfigRequestBodySecurityRequest8ValueAction$outboundSchema: z.ZodNativeEnum<typeof UpdateFirewallConfigRequestBodySecurityRequest8ValueAction>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigRequestBodySecurityRequest8ValueAction$ {
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityRequest8ValueAction$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly Deny: "deny";
        readonly Challenge: "challenge";
        readonly Log: "log";
        readonly Bypass: "bypass";
    }>;
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityRequest8ValueAction$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly Deny: "deny";
        readonly Challenge: "challenge";
        readonly Log: "log";
        readonly Bypass: "bypass";
    }>;
}
/** @internal */
export declare const UpdateFirewallConfigRequestBodySecurityRequestValue$inboundSchema: z.ZodType<UpdateFirewallConfigRequestBodySecurityRequestValue, z.ZodTypeDef, unknown>;
/** @internal */
export type UpdateFirewallConfigRequestBodySecurityRequestValue$Outbound = {
    hostname: string;
    ip: string;
    notes?: string | undefined;
    action: string;
};
/** @internal */
export declare const UpdateFirewallConfigRequestBodySecurityRequestValue$outboundSchema: z.ZodType<UpdateFirewallConfigRequestBodySecurityRequestValue$Outbound, z.ZodTypeDef, UpdateFirewallConfigRequestBodySecurityRequestValue>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigRequestBodySecurityRequestValue$ {
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityRequestValue$inboundSchema` instead. */
    const inboundSchema: z.ZodType<UpdateFirewallConfigRequestBodySecurityRequestValue, z.ZodTypeDef, unknown>;
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityRequestValue$outboundSchema` instead. */
    const outboundSchema: z.ZodType<UpdateFirewallConfigRequestBodySecurityRequestValue$Outbound, z.ZodTypeDef, UpdateFirewallConfigRequestBodySecurityRequestValue>;
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityRequestValue$Outbound` instead. */
    type Outbound = UpdateFirewallConfigRequestBodySecurityRequestValue$Outbound;
}
export declare function updateFirewallConfigRequestBodySecurityRequestValueToJSON(updateFirewallConfigRequestBodySecurityRequestValue: UpdateFirewallConfigRequestBodySecurityRequestValue): string;
export declare function updateFirewallConfigRequestBodySecurityRequestValueFromJSON(jsonString: string): SafeParseResult<UpdateFirewallConfigRequestBodySecurityRequestValue, SDKValidationError>;
/** @internal */
export declare const UpdateFirewallConfigRequestBody8$inboundSchema: z.ZodType<UpdateFirewallConfigRequestBody8, z.ZodTypeDef, unknown>;
/** @internal */
export type UpdateFirewallConfigRequestBody8$Outbound = {
    action: string;
    id?: any | null | undefined;
    value: UpdateFirewallConfigRequestBodySecurityRequestValue$Outbound;
};
/** @internal */
export declare const UpdateFirewallConfigRequestBody8$outboundSchema: z.ZodType<UpdateFirewallConfigRequestBody8$Outbound, z.ZodTypeDef, UpdateFirewallConfigRequestBody8>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigRequestBody8$ {
    /** @deprecated use `UpdateFirewallConfigRequestBody8$inboundSchema` instead. */
    const inboundSchema: z.ZodType<UpdateFirewallConfigRequestBody8, z.ZodTypeDef, unknown>;
    /** @deprecated use `UpdateFirewallConfigRequestBody8$outboundSchema` instead. */
    const outboundSchema: z.ZodType<UpdateFirewallConfigRequestBody8$Outbound, z.ZodTypeDef, UpdateFirewallConfigRequestBody8>;
    /** @deprecated use `UpdateFirewallConfigRequestBody8$Outbound` instead. */
    type Outbound = UpdateFirewallConfigRequestBody8$Outbound;
}
export declare function updateFirewallConfigRequestBody8ToJSON(updateFirewallConfigRequestBody8: UpdateFirewallConfigRequestBody8): string;
export declare function updateFirewallConfigRequestBody8FromJSON(jsonString: string): SafeParseResult<UpdateFirewallConfigRequestBody8, SDKValidationError>;
/** @internal */
export declare const UpdateFirewallConfigRequestBodySecurityRequest7Action$inboundSchema: z.ZodNativeEnum<typeof UpdateFirewallConfigRequestBodySecurityRequest7Action>;
/** @internal */
export declare const UpdateFirewallConfigRequestBodySecurityRequest7Action$outboundSchema: z.ZodNativeEnum<typeof UpdateFirewallConfigRequestBodySecurityRequest7Action>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigRequestBodySecurityRequest7Action$ {
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityRequest7Action$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly CrsDisable: "crs.disable";
    }>;
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityRequest7Action$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly CrsDisable: "crs.disable";
    }>;
}
/** @internal */
export declare const UpdateFirewallConfigRequestBody7$inboundSchema: z.ZodType<UpdateFirewallConfigRequestBody7, z.ZodTypeDef, unknown>;
/** @internal */
export type UpdateFirewallConfigRequestBody7$Outbound = {
    action: string;
    id?: any | null | undefined;
    value?: any | null | undefined;
};
/** @internal */
export declare const UpdateFirewallConfigRequestBody7$outboundSchema: z.ZodType<UpdateFirewallConfigRequestBody7$Outbound, z.ZodTypeDef, UpdateFirewallConfigRequestBody7>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigRequestBody7$ {
    /** @deprecated use `UpdateFirewallConfigRequestBody7$inboundSchema` instead. */
    const inboundSchema: z.ZodType<UpdateFirewallConfigRequestBody7, z.ZodTypeDef, unknown>;
    /** @deprecated use `UpdateFirewallConfigRequestBody7$outboundSchema` instead. */
    const outboundSchema: z.ZodType<UpdateFirewallConfigRequestBody7$Outbound, z.ZodTypeDef, UpdateFirewallConfigRequestBody7>;
    /** @deprecated use `UpdateFirewallConfigRequestBody7$Outbound` instead. */
    type Outbound = UpdateFirewallConfigRequestBody7$Outbound;
}
export declare function updateFirewallConfigRequestBody7ToJSON(updateFirewallConfigRequestBody7: UpdateFirewallConfigRequestBody7): string;
export declare function updateFirewallConfigRequestBody7FromJSON(jsonString: string): SafeParseResult<UpdateFirewallConfigRequestBody7, SDKValidationError>;
/** @internal */
export declare const UpdateFirewallConfigRequestBodySecurityRequest6Action$inboundSchema: z.ZodNativeEnum<typeof UpdateFirewallConfigRequestBodySecurityRequest6Action>;
/** @internal */
export declare const UpdateFirewallConfigRequestBodySecurityRequest6Action$outboundSchema: z.ZodNativeEnum<typeof UpdateFirewallConfigRequestBodySecurityRequest6Action>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigRequestBodySecurityRequest6Action$ {
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityRequest6Action$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly CrsUpdate: "crs.update";
    }>;
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityRequest6Action$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly CrsUpdate: "crs.update";
    }>;
}
/** @internal */
export declare const Id$inboundSchema: z.ZodNativeEnum<typeof Id>;
/** @internal */
export declare const Id$outboundSchema: z.ZodNativeEnum<typeof Id>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace Id$ {
    /** @deprecated use `Id$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly Sd: "sd";
        readonly Ma: "ma";
        readonly Lfi: "lfi";
        readonly Rfi: "rfi";
        readonly Rce: "rce";
        readonly Php: "php";
        readonly Gen: "gen";
        readonly Xss: "xss";
        readonly Sqli: "sqli";
        readonly Sf: "sf";
        readonly Java: "java";
    }>;
    /** @deprecated use `Id$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly Sd: "sd";
        readonly Ma: "ma";
        readonly Lfi: "lfi";
        readonly Rfi: "rfi";
        readonly Rce: "rce";
        readonly Php: "php";
        readonly Gen: "gen";
        readonly Xss: "xss";
        readonly Sqli: "sqli";
        readonly Sf: "sf";
        readonly Java: "java";
    }>;
}
/** @internal */
export declare const UpdateFirewallConfigRequestBodySecurityRequest6ValueAction$inboundSchema: z.ZodNativeEnum<typeof UpdateFirewallConfigRequestBodySecurityRequest6ValueAction>;
/** @internal */
export declare const UpdateFirewallConfigRequestBodySecurityRequest6ValueAction$outboundSchema: z.ZodNativeEnum<typeof UpdateFirewallConfigRequestBodySecurityRequest6ValueAction>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigRequestBodySecurityRequest6ValueAction$ {
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityRequest6ValueAction$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly Deny: "deny";
        readonly Log: "log";
    }>;
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityRequest6ValueAction$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly Deny: "deny";
        readonly Log: "log";
    }>;
}
/** @internal */
export declare const UpdateFirewallConfigRequestBodySecurityValue$inboundSchema: z.ZodType<UpdateFirewallConfigRequestBodySecurityValue, z.ZodTypeDef, unknown>;
/** @internal */
export type UpdateFirewallConfigRequestBodySecurityValue$Outbound = {
    active: boolean;
    action: string;
};
/** @internal */
export declare const UpdateFirewallConfigRequestBodySecurityValue$outboundSchema: z.ZodType<UpdateFirewallConfigRequestBodySecurityValue$Outbound, z.ZodTypeDef, UpdateFirewallConfigRequestBodySecurityValue>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigRequestBodySecurityValue$ {
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityValue$inboundSchema` instead. */
    const inboundSchema: z.ZodType<UpdateFirewallConfigRequestBodySecurityValue, z.ZodTypeDef, unknown>;
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityValue$outboundSchema` instead. */
    const outboundSchema: z.ZodType<UpdateFirewallConfigRequestBodySecurityValue$Outbound, z.ZodTypeDef, UpdateFirewallConfigRequestBodySecurityValue>;
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityValue$Outbound` instead. */
    type Outbound = UpdateFirewallConfigRequestBodySecurityValue$Outbound;
}
export declare function updateFirewallConfigRequestBodySecurityValueToJSON(updateFirewallConfigRequestBodySecurityValue: UpdateFirewallConfigRequestBodySecurityValue): string;
export declare function updateFirewallConfigRequestBodySecurityValueFromJSON(jsonString: string): SafeParseResult<UpdateFirewallConfigRequestBodySecurityValue, SDKValidationError>;
/** @internal */
export declare const UpdateFirewallConfigRequestBody6$inboundSchema: z.ZodType<UpdateFirewallConfigRequestBody6, z.ZodTypeDef, unknown>;
/** @internal */
export type UpdateFirewallConfigRequestBody6$Outbound = {
    action: string;
    id: string;
    value: UpdateFirewallConfigRequestBodySecurityValue$Outbound;
};
/** @internal */
export declare const UpdateFirewallConfigRequestBody6$outboundSchema: z.ZodType<UpdateFirewallConfigRequestBody6$Outbound, z.ZodTypeDef, UpdateFirewallConfigRequestBody6>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigRequestBody6$ {
    /** @deprecated use `UpdateFirewallConfigRequestBody6$inboundSchema` instead. */
    const inboundSchema: z.ZodType<UpdateFirewallConfigRequestBody6, z.ZodTypeDef, unknown>;
    /** @deprecated use `UpdateFirewallConfigRequestBody6$outboundSchema` instead. */
    const outboundSchema: z.ZodType<UpdateFirewallConfigRequestBody6$Outbound, z.ZodTypeDef, UpdateFirewallConfigRequestBody6>;
    /** @deprecated use `UpdateFirewallConfigRequestBody6$Outbound` instead. */
    type Outbound = UpdateFirewallConfigRequestBody6$Outbound;
}
export declare function updateFirewallConfigRequestBody6ToJSON(updateFirewallConfigRequestBody6: UpdateFirewallConfigRequestBody6): string;
export declare function updateFirewallConfigRequestBody6FromJSON(jsonString: string): SafeParseResult<UpdateFirewallConfigRequestBody6, SDKValidationError>;
/** @internal */
export declare const UpdateFirewallConfigRequestBodySecurityRequest5Action$inboundSchema: z.ZodNativeEnum<typeof UpdateFirewallConfigRequestBodySecurityRequest5Action>;
/** @internal */
export declare const UpdateFirewallConfigRequestBodySecurityRequest5Action$outboundSchema: z.ZodNativeEnum<typeof UpdateFirewallConfigRequestBodySecurityRequest5Action>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigRequestBodySecurityRequest5Action$ {
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityRequest5Action$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly RulesPriority: "rules.priority";
    }>;
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityRequest5Action$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly RulesPriority: "rules.priority";
    }>;
}
/** @internal */
export declare const UpdateFirewallConfigRequestBody5$inboundSchema: z.ZodType<UpdateFirewallConfigRequestBody5, z.ZodTypeDef, unknown>;
/** @internal */
export type UpdateFirewallConfigRequestBody5$Outbound = {
    action: string;
    id: string;
    value: number;
};
/** @internal */
export declare const UpdateFirewallConfigRequestBody5$outboundSchema: z.ZodType<UpdateFirewallConfigRequestBody5$Outbound, z.ZodTypeDef, UpdateFirewallConfigRequestBody5>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigRequestBody5$ {
    /** @deprecated use `UpdateFirewallConfigRequestBody5$inboundSchema` instead. */
    const inboundSchema: z.ZodType<UpdateFirewallConfigRequestBody5, z.ZodTypeDef, unknown>;
    /** @deprecated use `UpdateFirewallConfigRequestBody5$outboundSchema` instead. */
    const outboundSchema: z.ZodType<UpdateFirewallConfigRequestBody5$Outbound, z.ZodTypeDef, UpdateFirewallConfigRequestBody5>;
    /** @deprecated use `UpdateFirewallConfigRequestBody5$Outbound` instead. */
    type Outbound = UpdateFirewallConfigRequestBody5$Outbound;
}
export declare function updateFirewallConfigRequestBody5ToJSON(updateFirewallConfigRequestBody5: UpdateFirewallConfigRequestBody5): string;
export declare function updateFirewallConfigRequestBody5FromJSON(jsonString: string): SafeParseResult<UpdateFirewallConfigRequestBody5, SDKValidationError>;
/** @internal */
export declare const UpdateFirewallConfigRequestBodySecurityRequestAction$inboundSchema: z.ZodNativeEnum<typeof UpdateFirewallConfigRequestBodySecurityRequestAction>;
/** @internal */
export declare const UpdateFirewallConfigRequestBodySecurityRequestAction$outboundSchema: z.ZodNativeEnum<typeof UpdateFirewallConfigRequestBodySecurityRequestAction>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigRequestBodySecurityRequestAction$ {
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityRequestAction$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly RulesRemove: "rules.remove";
    }>;
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityRequestAction$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly RulesRemove: "rules.remove";
    }>;
}
/** @internal */
export declare const UpdateFirewallConfigRequestBody4$inboundSchema: z.ZodType<UpdateFirewallConfigRequestBody4, z.ZodTypeDef, unknown>;
/** @internal */
export type UpdateFirewallConfigRequestBody4$Outbound = {
    action: string;
    id: string;
    value?: any | null | undefined;
};
/** @internal */
export declare const UpdateFirewallConfigRequestBody4$outboundSchema: z.ZodType<UpdateFirewallConfigRequestBody4$Outbound, z.ZodTypeDef, UpdateFirewallConfigRequestBody4>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigRequestBody4$ {
    /** @deprecated use `UpdateFirewallConfigRequestBody4$inboundSchema` instead. */
    const inboundSchema: z.ZodType<UpdateFirewallConfigRequestBody4, z.ZodTypeDef, unknown>;
    /** @deprecated use `UpdateFirewallConfigRequestBody4$outboundSchema` instead. */
    const outboundSchema: z.ZodType<UpdateFirewallConfigRequestBody4$Outbound, z.ZodTypeDef, UpdateFirewallConfigRequestBody4>;
    /** @deprecated use `UpdateFirewallConfigRequestBody4$Outbound` instead. */
    type Outbound = UpdateFirewallConfigRequestBody4$Outbound;
}
export declare function updateFirewallConfigRequestBody4ToJSON(updateFirewallConfigRequestBody4: UpdateFirewallConfigRequestBody4): string;
export declare function updateFirewallConfigRequestBody4FromJSON(jsonString: string): SafeParseResult<UpdateFirewallConfigRequestBody4, SDKValidationError>;
/** @internal */
export declare const UpdateFirewallConfigRequestBodySecurityAction$inboundSchema: z.ZodNativeEnum<typeof UpdateFirewallConfigRequestBodySecurityAction>;
/** @internal */
export declare const UpdateFirewallConfigRequestBodySecurityAction$outboundSchema: z.ZodNativeEnum<typeof UpdateFirewallConfigRequestBodySecurityAction>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigRequestBodySecurityAction$ {
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityAction$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly RulesUpdate: "rules.update";
    }>;
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityAction$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly RulesUpdate: "rules.update";
    }>;
}
/** @internal */
export declare const UpdateFirewallConfigRequestBodySecurityType$inboundSchema: z.ZodNativeEnum<typeof UpdateFirewallConfigRequestBodySecurityType>;
/** @internal */
export declare const UpdateFirewallConfigRequestBodySecurityType$outboundSchema: z.ZodNativeEnum<typeof UpdateFirewallConfigRequestBodySecurityType>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigRequestBodySecurityType$ {
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityType$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly Host: "host";
        readonly Path: "path";
        readonly Method: "method";
        readonly Header: "header";
        readonly Query: "query";
        readonly Cookie: "cookie";
        readonly TargetPath: "target_path";
        readonly RawPath: "raw_path";
        readonly IpAddress: "ip_address";
        readonly Region: "region";
        readonly Protocol: "protocol";
        readonly Scheme: "scheme";
        readonly Environment: "environment";
        readonly UserAgent: "user_agent";
        readonly GeoContinent: "geo_continent";
        readonly GeoCountry: "geo_country";
        readonly GeoCountryRegion: "geo_country_region";
        readonly GeoCity: "geo_city";
        readonly GeoAsNumber: "geo_as_number";
        readonly Ja4Digest: "ja4_digest";
        readonly Ja3Digest: "ja3_digest";
        readonly RateLimitApiId: "rate_limit_api_id";
    }>;
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityType$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly Host: "host";
        readonly Path: "path";
        readonly Method: "method";
        readonly Header: "header";
        readonly Query: "query";
        readonly Cookie: "cookie";
        readonly TargetPath: "target_path";
        readonly RawPath: "raw_path";
        readonly IpAddress: "ip_address";
        readonly Region: "region";
        readonly Protocol: "protocol";
        readonly Scheme: "scheme";
        readonly Environment: "environment";
        readonly UserAgent: "user_agent";
        readonly GeoContinent: "geo_continent";
        readonly GeoCountry: "geo_country";
        readonly GeoCountryRegion: "geo_country_region";
        readonly GeoCity: "geo_city";
        readonly GeoAsNumber: "geo_as_number";
        readonly Ja4Digest: "ja4_digest";
        readonly Ja3Digest: "ja3_digest";
        readonly RateLimitApiId: "rate_limit_api_id";
    }>;
}
/** @internal */
export declare const UpdateFirewallConfigRequestBodyOp$inboundSchema: z.ZodNativeEnum<typeof UpdateFirewallConfigRequestBodyOp>;
/** @internal */
export declare const UpdateFirewallConfigRequestBodyOp$outboundSchema: z.ZodNativeEnum<typeof UpdateFirewallConfigRequestBodyOp>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigRequestBodyOp$ {
    /** @deprecated use `UpdateFirewallConfigRequestBodyOp$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly Re: "re";
        readonly Eq: "eq";
        readonly Neq: "neq";
        readonly Ex: "ex";
        readonly Nex: "nex";
        readonly Inc: "inc";
        readonly Ninc: "ninc";
        readonly Pre: "pre";
        readonly Suf: "suf";
        readonly Sub: "sub";
        readonly Gt: "gt";
        readonly Gte: "gte";
        readonly Lt: "lt";
        readonly Lte: "lte";
    }>;
    /** @deprecated use `UpdateFirewallConfigRequestBodyOp$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly Re: "re";
        readonly Eq: "eq";
        readonly Neq: "neq";
        readonly Ex: "ex";
        readonly Nex: "nex";
        readonly Inc: "inc";
        readonly Ninc: "ninc";
        readonly Pre: "pre";
        readonly Suf: "suf";
        readonly Sub: "sub";
        readonly Gt: "gt";
        readonly Gte: "gte";
        readonly Lt: "lt";
        readonly Lte: "lte";
    }>;
}
/** @internal */
export declare const UpdateFirewallConfigRequestBodySecurityRequest3Value$inboundSchema: z.ZodType<UpdateFirewallConfigRequestBodySecurityRequest3Value, z.ZodTypeDef, unknown>;
/** @internal */
export type UpdateFirewallConfigRequestBodySecurityRequest3Value$Outbound = string | Array<string> | number;
/** @internal */
export declare const UpdateFirewallConfigRequestBodySecurityRequest3Value$outboundSchema: z.ZodType<UpdateFirewallConfigRequestBodySecurityRequest3Value$Outbound, z.ZodTypeDef, UpdateFirewallConfigRequestBodySecurityRequest3Value>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigRequestBodySecurityRequest3Value$ {
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityRequest3Value$inboundSchema` instead. */
    const inboundSchema: z.ZodType<UpdateFirewallConfigRequestBodySecurityRequest3Value, z.ZodTypeDef, unknown>;
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityRequest3Value$outboundSchema` instead. */
    const outboundSchema: z.ZodType<UpdateFirewallConfigRequestBodySecurityRequest3Value$Outbound, z.ZodTypeDef, UpdateFirewallConfigRequestBodySecurityRequest3Value>;
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityRequest3Value$Outbound` instead. */
    type Outbound = UpdateFirewallConfigRequestBodySecurityRequest3Value$Outbound;
}
export declare function updateFirewallConfigRequestBodySecurityRequest3ValueToJSON(updateFirewallConfigRequestBodySecurityRequest3Value: UpdateFirewallConfigRequestBodySecurityRequest3Value): string;
export declare function updateFirewallConfigRequestBodySecurityRequest3ValueFromJSON(jsonString: string): SafeParseResult<UpdateFirewallConfigRequestBodySecurityRequest3Value, SDKValidationError>;
/** @internal */
export declare const UpdateFirewallConfigRequestBodyConditions$inboundSchema: z.ZodType<UpdateFirewallConfigRequestBodyConditions, z.ZodTypeDef, unknown>;
/** @internal */
export type UpdateFirewallConfigRequestBodyConditions$Outbound = {
    type: string;
    op: string;
    neg?: boolean | undefined;
    key?: string | undefined;
    value?: string | Array<string> | number | undefined;
};
/** @internal */
export declare const UpdateFirewallConfigRequestBodyConditions$outboundSchema: z.ZodType<UpdateFirewallConfigRequestBodyConditions$Outbound, z.ZodTypeDef, UpdateFirewallConfigRequestBodyConditions>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigRequestBodyConditions$ {
    /** @deprecated use `UpdateFirewallConfigRequestBodyConditions$inboundSchema` instead. */
    const inboundSchema: z.ZodType<UpdateFirewallConfigRequestBodyConditions, z.ZodTypeDef, unknown>;
    /** @deprecated use `UpdateFirewallConfigRequestBodyConditions$outboundSchema` instead. */
    const outboundSchema: z.ZodType<UpdateFirewallConfigRequestBodyConditions$Outbound, z.ZodTypeDef, UpdateFirewallConfigRequestBodyConditions>;
    /** @deprecated use `UpdateFirewallConfigRequestBodyConditions$Outbound` instead. */
    type Outbound = UpdateFirewallConfigRequestBodyConditions$Outbound;
}
export declare function updateFirewallConfigRequestBodyConditionsToJSON(updateFirewallConfigRequestBodyConditions: UpdateFirewallConfigRequestBodyConditions): string;
export declare function updateFirewallConfigRequestBodyConditionsFromJSON(jsonString: string): SafeParseResult<UpdateFirewallConfigRequestBodyConditions, SDKValidationError>;
/** @internal */
export declare const UpdateFirewallConfigRequestBodyConditionGroup$inboundSchema: z.ZodType<UpdateFirewallConfigRequestBodyConditionGroup, z.ZodTypeDef, unknown>;
/** @internal */
export type UpdateFirewallConfigRequestBodyConditionGroup$Outbound = {
    conditions: Array<UpdateFirewallConfigRequestBodyConditions$Outbound>;
};
/** @internal */
export declare const UpdateFirewallConfigRequestBodyConditionGroup$outboundSchema: z.ZodType<UpdateFirewallConfigRequestBodyConditionGroup$Outbound, z.ZodTypeDef, UpdateFirewallConfigRequestBodyConditionGroup>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigRequestBodyConditionGroup$ {
    /** @deprecated use `UpdateFirewallConfigRequestBodyConditionGroup$inboundSchema` instead. */
    const inboundSchema: z.ZodType<UpdateFirewallConfigRequestBodyConditionGroup, z.ZodTypeDef, unknown>;
    /** @deprecated use `UpdateFirewallConfigRequestBodyConditionGroup$outboundSchema` instead. */
    const outboundSchema: z.ZodType<UpdateFirewallConfigRequestBodyConditionGroup$Outbound, z.ZodTypeDef, UpdateFirewallConfigRequestBodyConditionGroup>;
    /** @deprecated use `UpdateFirewallConfigRequestBodyConditionGroup$Outbound` instead. */
    type Outbound = UpdateFirewallConfigRequestBodyConditionGroup$Outbound;
}
export declare function updateFirewallConfigRequestBodyConditionGroupToJSON(updateFirewallConfigRequestBodyConditionGroup: UpdateFirewallConfigRequestBodyConditionGroup): string;
export declare function updateFirewallConfigRequestBodyConditionGroupFromJSON(jsonString: string): SafeParseResult<UpdateFirewallConfigRequestBodyConditionGroup, SDKValidationError>;
/** @internal */
export declare const UpdateFirewallConfigRequestBodySecurityRequest3ValueAction$inboundSchema: z.ZodNativeEnum<typeof UpdateFirewallConfigRequestBodySecurityRequest3ValueAction>;
/** @internal */
export declare const UpdateFirewallConfigRequestBodySecurityRequest3ValueAction$outboundSchema: z.ZodNativeEnum<typeof UpdateFirewallConfigRequestBodySecurityRequest3ValueAction>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigRequestBodySecurityRequest3ValueAction$ {
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityRequest3ValueAction$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly Log: "log";
        readonly Challenge: "challenge";
        readonly Deny: "deny";
        readonly Bypass: "bypass";
        readonly RateLimit: "rate_limit";
        readonly Redirect: "redirect";
    }>;
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityRequest3ValueAction$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly Log: "log";
        readonly Challenge: "challenge";
        readonly Deny: "deny";
        readonly Bypass: "bypass";
        readonly RateLimit: "rate_limit";
        readonly Redirect: "redirect";
    }>;
}
/** @internal */
export declare const UpdateFirewallConfigRateLimitAlgo$inboundSchema: z.ZodNativeEnum<typeof UpdateFirewallConfigRateLimitAlgo>;
/** @internal */
export declare const UpdateFirewallConfigRateLimitAlgo$outboundSchema: z.ZodNativeEnum<typeof UpdateFirewallConfigRateLimitAlgo>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigRateLimitAlgo$ {
    /** @deprecated use `UpdateFirewallConfigRateLimitAlgo$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly FixedWindow: "fixed_window";
        readonly TokenBucket: "token_bucket";
    }>;
    /** @deprecated use `UpdateFirewallConfigRateLimitAlgo$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly FixedWindow: "fixed_window";
        readonly TokenBucket: "token_bucket";
    }>;
}
/** @internal */
export declare const UpdateFirewallConfigActionSecurity1$inboundSchema: z.ZodNativeEnum<typeof UpdateFirewallConfigActionSecurity1>;
/** @internal */
export declare const UpdateFirewallConfigActionSecurity1$outboundSchema: z.ZodNativeEnum<typeof UpdateFirewallConfigActionSecurity1>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigActionSecurity1$ {
    /** @deprecated use `UpdateFirewallConfigActionSecurity1$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly Log: "log";
        readonly Challenge: "challenge";
        readonly Deny: "deny";
        readonly RateLimit: "rate_limit";
    }>;
    /** @deprecated use `UpdateFirewallConfigActionSecurity1$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly Log: "log";
        readonly Challenge: "challenge";
        readonly Deny: "deny";
        readonly RateLimit: "rate_limit";
    }>;
}
/** @internal */
export declare const UpdateFirewallConfigRateLimitSecurityAction$inboundSchema: z.ZodType<UpdateFirewallConfigRateLimitSecurityAction, z.ZodTypeDef, unknown>;
/** @internal */
export type UpdateFirewallConfigRateLimitSecurityAction$Outbound = string | any;
/** @internal */
export declare const UpdateFirewallConfigRateLimitSecurityAction$outboundSchema: z.ZodType<UpdateFirewallConfigRateLimitSecurityAction$Outbound, z.ZodTypeDef, UpdateFirewallConfigRateLimitSecurityAction>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigRateLimitSecurityAction$ {
    /** @deprecated use `UpdateFirewallConfigRateLimitSecurityAction$inboundSchema` instead. */
    const inboundSchema: z.ZodType<any, z.ZodTypeDef, unknown>;
    /** @deprecated use `UpdateFirewallConfigRateLimitSecurityAction$outboundSchema` instead. */
    const outboundSchema: z.ZodType<any, z.ZodTypeDef, any>;
    /** @deprecated use `UpdateFirewallConfigRateLimitSecurityAction$Outbound` instead. */
    type Outbound = UpdateFirewallConfigRateLimitSecurityAction$Outbound;
}
export declare function updateFirewallConfigRateLimitSecurityActionToJSON(updateFirewallConfigRateLimitSecurityAction: UpdateFirewallConfigRateLimitSecurityAction): string;
export declare function updateFirewallConfigRateLimitSecurityActionFromJSON(jsonString: string): SafeParseResult<UpdateFirewallConfigRateLimitSecurityAction, SDKValidationError>;
/** @internal */
export declare const UpdateFirewallConfigRateLimitSecurity1$inboundSchema: z.ZodType<UpdateFirewallConfigRateLimitSecurity1, z.ZodTypeDef, unknown>;
/** @internal */
export type UpdateFirewallConfigRateLimitSecurity1$Outbound = {
    algo: string;
    window: number;
    limit: number;
    keys: Array<string>;
    action?: string | any | null | undefined;
};
/** @internal */
export declare const UpdateFirewallConfigRateLimitSecurity1$outboundSchema: z.ZodType<UpdateFirewallConfigRateLimitSecurity1$Outbound, z.ZodTypeDef, UpdateFirewallConfigRateLimitSecurity1>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigRateLimitSecurity1$ {
    /** @deprecated use `UpdateFirewallConfigRateLimitSecurity1$inboundSchema` instead. */
    const inboundSchema: z.ZodType<UpdateFirewallConfigRateLimitSecurity1, z.ZodTypeDef, unknown>;
    /** @deprecated use `UpdateFirewallConfigRateLimitSecurity1$outboundSchema` instead. */
    const outboundSchema: z.ZodType<UpdateFirewallConfigRateLimitSecurity1$Outbound, z.ZodTypeDef, UpdateFirewallConfigRateLimitSecurity1>;
    /** @deprecated use `UpdateFirewallConfigRateLimitSecurity1$Outbound` instead. */
    type Outbound = UpdateFirewallConfigRateLimitSecurity1$Outbound;
}
export declare function updateFirewallConfigRateLimitSecurity1ToJSON(updateFirewallConfigRateLimitSecurity1: UpdateFirewallConfigRateLimitSecurity1): string;
export declare function updateFirewallConfigRateLimitSecurity1FromJSON(jsonString: string): SafeParseResult<UpdateFirewallConfigRateLimitSecurity1, SDKValidationError>;
/** @internal */
export declare const UpdateFirewallConfigRequestBodyRateLimit$inboundSchema: z.ZodType<UpdateFirewallConfigRequestBodyRateLimit, z.ZodTypeDef, unknown>;
/** @internal */
export type UpdateFirewallConfigRequestBodyRateLimit$Outbound = UpdateFirewallConfigRateLimitSecurity1$Outbound | any;
/** @internal */
export declare const UpdateFirewallConfigRequestBodyRateLimit$outboundSchema: z.ZodType<UpdateFirewallConfigRequestBodyRateLimit$Outbound, z.ZodTypeDef, UpdateFirewallConfigRequestBodyRateLimit>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigRequestBodyRateLimit$ {
    /** @deprecated use `UpdateFirewallConfigRequestBodyRateLimit$inboundSchema` instead. */
    const inboundSchema: z.ZodType<any, z.ZodTypeDef, unknown>;
    /** @deprecated use `UpdateFirewallConfigRequestBodyRateLimit$outboundSchema` instead. */
    const outboundSchema: z.ZodType<any, z.ZodTypeDef, any>;
    /** @deprecated use `UpdateFirewallConfigRequestBodyRateLimit$Outbound` instead. */
    type Outbound = UpdateFirewallConfigRequestBodyRateLimit$Outbound;
}
export declare function updateFirewallConfigRequestBodyRateLimitToJSON(updateFirewallConfigRequestBodyRateLimit: UpdateFirewallConfigRequestBodyRateLimit): string;
export declare function updateFirewallConfigRequestBodyRateLimitFromJSON(jsonString: string): SafeParseResult<UpdateFirewallConfigRequestBodyRateLimit, SDKValidationError>;
/** @internal */
export declare const UpdateFirewallConfigRedirectSecurity1$inboundSchema: z.ZodType<UpdateFirewallConfigRedirectSecurity1, z.ZodTypeDef, unknown>;
/** @internal */
export type UpdateFirewallConfigRedirectSecurity1$Outbound = {
    location: string;
    permanent: boolean;
};
/** @internal */
export declare const UpdateFirewallConfigRedirectSecurity1$outboundSchema: z.ZodType<UpdateFirewallConfigRedirectSecurity1$Outbound, z.ZodTypeDef, UpdateFirewallConfigRedirectSecurity1>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigRedirectSecurity1$ {
    /** @deprecated use `UpdateFirewallConfigRedirectSecurity1$inboundSchema` instead. */
    const inboundSchema: z.ZodType<UpdateFirewallConfigRedirectSecurity1, z.ZodTypeDef, unknown>;
    /** @deprecated use `UpdateFirewallConfigRedirectSecurity1$outboundSchema` instead. */
    const outboundSchema: z.ZodType<UpdateFirewallConfigRedirectSecurity1$Outbound, z.ZodTypeDef, UpdateFirewallConfigRedirectSecurity1>;
    /** @deprecated use `UpdateFirewallConfigRedirectSecurity1$Outbound` instead. */
    type Outbound = UpdateFirewallConfigRedirectSecurity1$Outbound;
}
export declare function updateFirewallConfigRedirectSecurity1ToJSON(updateFirewallConfigRedirectSecurity1: UpdateFirewallConfigRedirectSecurity1): string;
export declare function updateFirewallConfigRedirectSecurity1FromJSON(jsonString: string): SafeParseResult<UpdateFirewallConfigRedirectSecurity1, SDKValidationError>;
/** @internal */
export declare const UpdateFirewallConfigRequestBodyRedirect$inboundSchema: z.ZodType<UpdateFirewallConfigRequestBodyRedirect, z.ZodTypeDef, unknown>;
/** @internal */
export type UpdateFirewallConfigRequestBodyRedirect$Outbound = UpdateFirewallConfigRedirectSecurity1$Outbound | any;
/** @internal */
export declare const UpdateFirewallConfigRequestBodyRedirect$outboundSchema: z.ZodType<UpdateFirewallConfigRequestBodyRedirect$Outbound, z.ZodTypeDef, UpdateFirewallConfigRequestBodyRedirect>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigRequestBodyRedirect$ {
    /** @deprecated use `UpdateFirewallConfigRequestBodyRedirect$inboundSchema` instead. */
    const inboundSchema: z.ZodType<any, z.ZodTypeDef, unknown>;
    /** @deprecated use `UpdateFirewallConfigRequestBodyRedirect$outboundSchema` instead. */
    const outboundSchema: z.ZodType<any, z.ZodTypeDef, any>;
    /** @deprecated use `UpdateFirewallConfigRequestBodyRedirect$Outbound` instead. */
    type Outbound = UpdateFirewallConfigRequestBodyRedirect$Outbound;
}
export declare function updateFirewallConfigRequestBodyRedirectToJSON(updateFirewallConfigRequestBodyRedirect: UpdateFirewallConfigRequestBodyRedirect): string;
export declare function updateFirewallConfigRequestBodyRedirectFromJSON(jsonString: string): SafeParseResult<UpdateFirewallConfigRequestBodyRedirect, SDKValidationError>;
/** @internal */
export declare const UpdateFirewallConfigRequestBodyMitigate$inboundSchema: z.ZodType<UpdateFirewallConfigRequestBodyMitigate, z.ZodTypeDef, unknown>;
/** @internal */
export type UpdateFirewallConfigRequestBodyMitigate$Outbound = {
    action: string;
    rateLimit?: UpdateFirewallConfigRateLimitSecurity1$Outbound | any | null | undefined;
    redirect?: UpdateFirewallConfigRedirectSecurity1$Outbound | any | null | undefined;
    actionDuration?: string | null | undefined;
    bypassSystem?: boolean | null | undefined;
};
/** @internal */
export declare const UpdateFirewallConfigRequestBodyMitigate$outboundSchema: z.ZodType<UpdateFirewallConfigRequestBodyMitigate$Outbound, z.ZodTypeDef, UpdateFirewallConfigRequestBodyMitigate>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigRequestBodyMitigate$ {
    /** @deprecated use `UpdateFirewallConfigRequestBodyMitigate$inboundSchema` instead. */
    const inboundSchema: z.ZodType<UpdateFirewallConfigRequestBodyMitigate, z.ZodTypeDef, unknown>;
    /** @deprecated use `UpdateFirewallConfigRequestBodyMitigate$outboundSchema` instead. */
    const outboundSchema: z.ZodType<UpdateFirewallConfigRequestBodyMitigate$Outbound, z.ZodTypeDef, UpdateFirewallConfigRequestBodyMitigate>;
    /** @deprecated use `UpdateFirewallConfigRequestBodyMitigate$Outbound` instead. */
    type Outbound = UpdateFirewallConfigRequestBodyMitigate$Outbound;
}
export declare function updateFirewallConfigRequestBodyMitigateToJSON(updateFirewallConfigRequestBodyMitigate: UpdateFirewallConfigRequestBodyMitigate): string;
export declare function updateFirewallConfigRequestBodyMitigateFromJSON(jsonString: string): SafeParseResult<UpdateFirewallConfigRequestBodyMitigate, SDKValidationError>;
/** @internal */
export declare const UpdateFirewallConfigRequestBodySecurityRequest3Action$inboundSchema: z.ZodType<UpdateFirewallConfigRequestBodySecurityRequest3Action, z.ZodTypeDef, unknown>;
/** @internal */
export type UpdateFirewallConfigRequestBodySecurityRequest3Action$Outbound = {
    mitigate?: UpdateFirewallConfigRequestBodyMitigate$Outbound | undefined;
};
/** @internal */
export declare const UpdateFirewallConfigRequestBodySecurityRequest3Action$outboundSchema: z.ZodType<UpdateFirewallConfigRequestBodySecurityRequest3Action$Outbound, z.ZodTypeDef, UpdateFirewallConfigRequestBodySecurityRequest3Action>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigRequestBodySecurityRequest3Action$ {
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityRequest3Action$inboundSchema` instead. */
    const inboundSchema: z.ZodType<UpdateFirewallConfigRequestBodySecurityRequest3Action, z.ZodTypeDef, unknown>;
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityRequest3Action$outboundSchema` instead. */
    const outboundSchema: z.ZodType<UpdateFirewallConfigRequestBodySecurityRequest3Action$Outbound, z.ZodTypeDef, UpdateFirewallConfigRequestBodySecurityRequest3Action>;
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityRequest3Action$Outbound` instead. */
    type Outbound = UpdateFirewallConfigRequestBodySecurityRequest3Action$Outbound;
}
export declare function updateFirewallConfigRequestBodySecurityRequest3ActionToJSON(updateFirewallConfigRequestBodySecurityRequest3Action: UpdateFirewallConfigRequestBodySecurityRequest3Action): string;
export declare function updateFirewallConfigRequestBodySecurityRequest3ActionFromJSON(jsonString: string): SafeParseResult<UpdateFirewallConfigRequestBodySecurityRequest3Action, SDKValidationError>;
/** @internal */
export declare const UpdateFirewallConfigRequestBodyValue$inboundSchema: z.ZodType<UpdateFirewallConfigRequestBodyValue, z.ZodTypeDef, unknown>;
/** @internal */
export type UpdateFirewallConfigRequestBodyValue$Outbound = {
    name: string;
    description?: string | undefined;
    active: boolean;
    conditionGroup: Array<UpdateFirewallConfigRequestBodyConditionGroup$Outbound>;
    action: UpdateFirewallConfigRequestBodySecurityRequest3Action$Outbound;
};
/** @internal */
export declare const UpdateFirewallConfigRequestBodyValue$outboundSchema: z.ZodType<UpdateFirewallConfigRequestBodyValue$Outbound, z.ZodTypeDef, UpdateFirewallConfigRequestBodyValue>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigRequestBodyValue$ {
    /** @deprecated use `UpdateFirewallConfigRequestBodyValue$inboundSchema` instead. */
    const inboundSchema: z.ZodType<UpdateFirewallConfigRequestBodyValue, z.ZodTypeDef, unknown>;
    /** @deprecated use `UpdateFirewallConfigRequestBodyValue$outboundSchema` instead. */
    const outboundSchema: z.ZodType<UpdateFirewallConfigRequestBodyValue$Outbound, z.ZodTypeDef, UpdateFirewallConfigRequestBodyValue>;
    /** @deprecated use `UpdateFirewallConfigRequestBodyValue$Outbound` instead. */
    type Outbound = UpdateFirewallConfigRequestBodyValue$Outbound;
}
export declare function updateFirewallConfigRequestBodyValueToJSON(updateFirewallConfigRequestBodyValue: UpdateFirewallConfigRequestBodyValue): string;
export declare function updateFirewallConfigRequestBodyValueFromJSON(jsonString: string): SafeParseResult<UpdateFirewallConfigRequestBodyValue, SDKValidationError>;
/** @internal */
export declare const UpdateFirewallConfigRequestBody3$inboundSchema: z.ZodType<UpdateFirewallConfigRequestBody3, z.ZodTypeDef, unknown>;
/** @internal */
export type UpdateFirewallConfigRequestBody3$Outbound = {
    action: string;
    id: string;
    value: UpdateFirewallConfigRequestBodyValue$Outbound;
};
/** @internal */
export declare const UpdateFirewallConfigRequestBody3$outboundSchema: z.ZodType<UpdateFirewallConfigRequestBody3$Outbound, z.ZodTypeDef, UpdateFirewallConfigRequestBody3>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigRequestBody3$ {
    /** @deprecated use `UpdateFirewallConfigRequestBody3$inboundSchema` instead. */
    const inboundSchema: z.ZodType<UpdateFirewallConfigRequestBody3, z.ZodTypeDef, unknown>;
    /** @deprecated use `UpdateFirewallConfigRequestBody3$outboundSchema` instead. */
    const outboundSchema: z.ZodType<UpdateFirewallConfigRequestBody3$Outbound, z.ZodTypeDef, UpdateFirewallConfigRequestBody3>;
    /** @deprecated use `UpdateFirewallConfigRequestBody3$Outbound` instead. */
    type Outbound = UpdateFirewallConfigRequestBody3$Outbound;
}
export declare function updateFirewallConfigRequestBody3ToJSON(updateFirewallConfigRequestBody3: UpdateFirewallConfigRequestBody3): string;
export declare function updateFirewallConfigRequestBody3FromJSON(jsonString: string): SafeParseResult<UpdateFirewallConfigRequestBody3, SDKValidationError>;
/** @internal */
export declare const UpdateFirewallConfigRequestBodyAction$inboundSchema: z.ZodNativeEnum<typeof UpdateFirewallConfigRequestBodyAction>;
/** @internal */
export declare const UpdateFirewallConfigRequestBodyAction$outboundSchema: z.ZodNativeEnum<typeof UpdateFirewallConfigRequestBodyAction>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigRequestBodyAction$ {
    /** @deprecated use `UpdateFirewallConfigRequestBodyAction$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly RulesInsert: "rules.insert";
    }>;
    /** @deprecated use `UpdateFirewallConfigRequestBodyAction$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly RulesInsert: "rules.insert";
    }>;
}
/** @internal */
export declare const UpdateFirewallConfigRequestBodyType$inboundSchema: z.ZodNativeEnum<typeof UpdateFirewallConfigRequestBodyType>;
/** @internal */
export declare const UpdateFirewallConfigRequestBodyType$outboundSchema: z.ZodNativeEnum<typeof UpdateFirewallConfigRequestBodyType>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigRequestBodyType$ {
    /** @deprecated use `UpdateFirewallConfigRequestBodyType$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly Host: "host";
        readonly Path: "path";
        readonly Method: "method";
        readonly Header: "header";
        readonly Query: "query";
        readonly Cookie: "cookie";
        readonly TargetPath: "target_path";
        readonly RawPath: "raw_path";
        readonly IpAddress: "ip_address";
        readonly Region: "region";
        readonly Protocol: "protocol";
        readonly Scheme: "scheme";
        readonly Environment: "environment";
        readonly UserAgent: "user_agent";
        readonly GeoContinent: "geo_continent";
        readonly GeoCountry: "geo_country";
        readonly GeoCountryRegion: "geo_country_region";
        readonly GeoCity: "geo_city";
        readonly GeoAsNumber: "geo_as_number";
        readonly Ja4Digest: "ja4_digest";
        readonly Ja3Digest: "ja3_digest";
        readonly RateLimitApiId: "rate_limit_api_id";
    }>;
    /** @deprecated use `UpdateFirewallConfigRequestBodyType$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly Host: "host";
        readonly Path: "path";
        readonly Method: "method";
        readonly Header: "header";
        readonly Query: "query";
        readonly Cookie: "cookie";
        readonly TargetPath: "target_path";
        readonly RawPath: "raw_path";
        readonly IpAddress: "ip_address";
        readonly Region: "region";
        readonly Protocol: "protocol";
        readonly Scheme: "scheme";
        readonly Environment: "environment";
        readonly UserAgent: "user_agent";
        readonly GeoContinent: "geo_continent";
        readonly GeoCountry: "geo_country";
        readonly GeoCountryRegion: "geo_country_region";
        readonly GeoCity: "geo_city";
        readonly GeoAsNumber: "geo_as_number";
        readonly Ja4Digest: "ja4_digest";
        readonly Ja3Digest: "ja3_digest";
        readonly RateLimitApiId: "rate_limit_api_id";
    }>;
}
/** @internal */
export declare const RequestBodyOp$inboundSchema: z.ZodNativeEnum<typeof RequestBodyOp>;
/** @internal */
export declare const RequestBodyOp$outboundSchema: z.ZodNativeEnum<typeof RequestBodyOp>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RequestBodyOp$ {
    /** @deprecated use `RequestBodyOp$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly Re: "re";
        readonly Eq: "eq";
        readonly Neq: "neq";
        readonly Ex: "ex";
        readonly Nex: "nex";
        readonly Inc: "inc";
        readonly Ninc: "ninc";
        readonly Pre: "pre";
        readonly Suf: "suf";
        readonly Sub: "sub";
        readonly Gt: "gt";
        readonly Gte: "gte";
        readonly Lt: "lt";
        readonly Lte: "lte";
    }>;
    /** @deprecated use `RequestBodyOp$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly Re: "re";
        readonly Eq: "eq";
        readonly Neq: "neq";
        readonly Ex: "ex";
        readonly Nex: "nex";
        readonly Inc: "inc";
        readonly Ninc: "ninc";
        readonly Pre: "pre";
        readonly Suf: "suf";
        readonly Sub: "sub";
        readonly Gt: "gt";
        readonly Gte: "gte";
        readonly Lt: "lt";
        readonly Lte: "lte";
    }>;
}
/** @internal */
export declare const UpdateFirewallConfigRequestBodySecurityRequest2Value$inboundSchema: z.ZodType<UpdateFirewallConfigRequestBodySecurityRequest2Value, z.ZodTypeDef, unknown>;
/** @internal */
export type UpdateFirewallConfigRequestBodySecurityRequest2Value$Outbound = string | Array<string> | number;
/** @internal */
export declare const UpdateFirewallConfigRequestBodySecurityRequest2Value$outboundSchema: z.ZodType<UpdateFirewallConfigRequestBodySecurityRequest2Value$Outbound, z.ZodTypeDef, UpdateFirewallConfigRequestBodySecurityRequest2Value>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigRequestBodySecurityRequest2Value$ {
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityRequest2Value$inboundSchema` instead. */
    const inboundSchema: z.ZodType<UpdateFirewallConfigRequestBodySecurityRequest2Value, z.ZodTypeDef, unknown>;
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityRequest2Value$outboundSchema` instead. */
    const outboundSchema: z.ZodType<UpdateFirewallConfigRequestBodySecurityRequest2Value$Outbound, z.ZodTypeDef, UpdateFirewallConfigRequestBodySecurityRequest2Value>;
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityRequest2Value$Outbound` instead. */
    type Outbound = UpdateFirewallConfigRequestBodySecurityRequest2Value$Outbound;
}
export declare function updateFirewallConfigRequestBodySecurityRequest2ValueToJSON(updateFirewallConfigRequestBodySecurityRequest2Value: UpdateFirewallConfigRequestBodySecurityRequest2Value): string;
export declare function updateFirewallConfigRequestBodySecurityRequest2ValueFromJSON(jsonString: string): SafeParseResult<UpdateFirewallConfigRequestBodySecurityRequest2Value, SDKValidationError>;
/** @internal */
export declare const RequestBodyConditions$inboundSchema: z.ZodType<RequestBodyConditions, z.ZodTypeDef, unknown>;
/** @internal */
export type RequestBodyConditions$Outbound = {
    type: string;
    op: string;
    neg?: boolean | undefined;
    key?: string | undefined;
    value?: string | Array<string> | number | undefined;
};
/** @internal */
export declare const RequestBodyConditions$outboundSchema: z.ZodType<RequestBodyConditions$Outbound, z.ZodTypeDef, RequestBodyConditions>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RequestBodyConditions$ {
    /** @deprecated use `RequestBodyConditions$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RequestBodyConditions, z.ZodTypeDef, unknown>;
    /** @deprecated use `RequestBodyConditions$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RequestBodyConditions$Outbound, z.ZodTypeDef, RequestBodyConditions>;
    /** @deprecated use `RequestBodyConditions$Outbound` instead. */
    type Outbound = RequestBodyConditions$Outbound;
}
export declare function requestBodyConditionsToJSON(requestBodyConditions: RequestBodyConditions): string;
export declare function requestBodyConditionsFromJSON(jsonString: string): SafeParseResult<RequestBodyConditions, SDKValidationError>;
/** @internal */
export declare const RequestBodyConditionGroup$inboundSchema: z.ZodType<RequestBodyConditionGroup, z.ZodTypeDef, unknown>;
/** @internal */
export type RequestBodyConditionGroup$Outbound = {
    conditions: Array<RequestBodyConditions$Outbound>;
};
/** @internal */
export declare const RequestBodyConditionGroup$outboundSchema: z.ZodType<RequestBodyConditionGroup$Outbound, z.ZodTypeDef, RequestBodyConditionGroup>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RequestBodyConditionGroup$ {
    /** @deprecated use `RequestBodyConditionGroup$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RequestBodyConditionGroup, z.ZodTypeDef, unknown>;
    /** @deprecated use `RequestBodyConditionGroup$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RequestBodyConditionGroup$Outbound, z.ZodTypeDef, RequestBodyConditionGroup>;
    /** @deprecated use `RequestBodyConditionGroup$Outbound` instead. */
    type Outbound = RequestBodyConditionGroup$Outbound;
}
export declare function requestBodyConditionGroupToJSON(requestBodyConditionGroup: RequestBodyConditionGroup): string;
export declare function requestBodyConditionGroupFromJSON(jsonString: string): SafeParseResult<RequestBodyConditionGroup, SDKValidationError>;
/** @internal */
export declare const UpdateFirewallConfigRequestBodySecurityRequest2ValueAction$inboundSchema: z.ZodNativeEnum<typeof UpdateFirewallConfigRequestBodySecurityRequest2ValueAction>;
/** @internal */
export declare const UpdateFirewallConfigRequestBodySecurityRequest2ValueAction$outboundSchema: z.ZodNativeEnum<typeof UpdateFirewallConfigRequestBodySecurityRequest2ValueAction>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigRequestBodySecurityRequest2ValueAction$ {
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityRequest2ValueAction$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly Log: "log";
        readonly Challenge: "challenge";
        readonly Deny: "deny";
        readonly Bypass: "bypass";
        readonly RateLimit: "rate_limit";
        readonly Redirect: "redirect";
    }>;
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityRequest2ValueAction$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly Log: "log";
        readonly Challenge: "challenge";
        readonly Deny: "deny";
        readonly Bypass: "bypass";
        readonly RateLimit: "rate_limit";
        readonly Redirect: "redirect";
    }>;
}
/** @internal */
export declare const RateLimitAlgo$inboundSchema: z.ZodNativeEnum<typeof RateLimitAlgo>;
/** @internal */
export declare const RateLimitAlgo$outboundSchema: z.ZodNativeEnum<typeof RateLimitAlgo>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RateLimitAlgo$ {
    /** @deprecated use `RateLimitAlgo$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly FixedWindow: "fixed_window";
        readonly TokenBucket: "token_bucket";
    }>;
    /** @deprecated use `RateLimitAlgo$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly FixedWindow: "fixed_window";
        readonly TokenBucket: "token_bucket";
    }>;
}
/** @internal */
export declare const UpdateFirewallConfigAction1$inboundSchema: z.ZodNativeEnum<typeof UpdateFirewallConfigAction1>;
/** @internal */
export declare const UpdateFirewallConfigAction1$outboundSchema: z.ZodNativeEnum<typeof UpdateFirewallConfigAction1>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigAction1$ {
    /** @deprecated use `UpdateFirewallConfigAction1$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly Log: "log";
        readonly Challenge: "challenge";
        readonly Deny: "deny";
        readonly RateLimit: "rate_limit";
    }>;
    /** @deprecated use `UpdateFirewallConfigAction1$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly Log: "log";
        readonly Challenge: "challenge";
        readonly Deny: "deny";
        readonly RateLimit: "rate_limit";
    }>;
}
/** @internal */
export declare const UpdateFirewallConfigRateLimitAction$inboundSchema: z.ZodType<UpdateFirewallConfigRateLimitAction, z.ZodTypeDef, unknown>;
/** @internal */
export type UpdateFirewallConfigRateLimitAction$Outbound = string | any;
/** @internal */
export declare const UpdateFirewallConfigRateLimitAction$outboundSchema: z.ZodType<UpdateFirewallConfigRateLimitAction$Outbound, z.ZodTypeDef, UpdateFirewallConfigRateLimitAction>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigRateLimitAction$ {
    /** @deprecated use `UpdateFirewallConfigRateLimitAction$inboundSchema` instead. */
    const inboundSchema: z.ZodType<any, z.ZodTypeDef, unknown>;
    /** @deprecated use `UpdateFirewallConfigRateLimitAction$outboundSchema` instead. */
    const outboundSchema: z.ZodType<any, z.ZodTypeDef, any>;
    /** @deprecated use `UpdateFirewallConfigRateLimitAction$Outbound` instead. */
    type Outbound = UpdateFirewallConfigRateLimitAction$Outbound;
}
export declare function updateFirewallConfigRateLimitActionToJSON(updateFirewallConfigRateLimitAction: UpdateFirewallConfigRateLimitAction): string;
export declare function updateFirewallConfigRateLimitActionFromJSON(jsonString: string): SafeParseResult<UpdateFirewallConfigRateLimitAction, SDKValidationError>;
/** @internal */
export declare const UpdateFirewallConfigRateLimit1$inboundSchema: z.ZodType<UpdateFirewallConfigRateLimit1, z.ZodTypeDef, unknown>;
/** @internal */
export type UpdateFirewallConfigRateLimit1$Outbound = {
    algo: string;
    window: number;
    limit: number;
    keys: Array<string>;
    action?: string | any | null | undefined;
};
/** @internal */
export declare const UpdateFirewallConfigRateLimit1$outboundSchema: z.ZodType<UpdateFirewallConfigRateLimit1$Outbound, z.ZodTypeDef, UpdateFirewallConfigRateLimit1>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigRateLimit1$ {
    /** @deprecated use `UpdateFirewallConfigRateLimit1$inboundSchema` instead. */
    const inboundSchema: z.ZodType<UpdateFirewallConfigRateLimit1, z.ZodTypeDef, unknown>;
    /** @deprecated use `UpdateFirewallConfigRateLimit1$outboundSchema` instead. */
    const outboundSchema: z.ZodType<UpdateFirewallConfigRateLimit1$Outbound, z.ZodTypeDef, UpdateFirewallConfigRateLimit1>;
    /** @deprecated use `UpdateFirewallConfigRateLimit1$Outbound` instead. */
    type Outbound = UpdateFirewallConfigRateLimit1$Outbound;
}
export declare function updateFirewallConfigRateLimit1ToJSON(updateFirewallConfigRateLimit1: UpdateFirewallConfigRateLimit1): string;
export declare function updateFirewallConfigRateLimit1FromJSON(jsonString: string): SafeParseResult<UpdateFirewallConfigRateLimit1, SDKValidationError>;
/** @internal */
export declare const RequestBodyRateLimit$inboundSchema: z.ZodType<RequestBodyRateLimit, z.ZodTypeDef, unknown>;
/** @internal */
export type RequestBodyRateLimit$Outbound = UpdateFirewallConfigRateLimit1$Outbound | any;
/** @internal */
export declare const RequestBodyRateLimit$outboundSchema: z.ZodType<RequestBodyRateLimit$Outbound, z.ZodTypeDef, RequestBodyRateLimit>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RequestBodyRateLimit$ {
    /** @deprecated use `RequestBodyRateLimit$inboundSchema` instead. */
    const inboundSchema: z.ZodType<any, z.ZodTypeDef, unknown>;
    /** @deprecated use `RequestBodyRateLimit$outboundSchema` instead. */
    const outboundSchema: z.ZodType<any, z.ZodTypeDef, any>;
    /** @deprecated use `RequestBodyRateLimit$Outbound` instead. */
    type Outbound = RequestBodyRateLimit$Outbound;
}
export declare function requestBodyRateLimitToJSON(requestBodyRateLimit: RequestBodyRateLimit): string;
export declare function requestBodyRateLimitFromJSON(jsonString: string): SafeParseResult<RequestBodyRateLimit, SDKValidationError>;
/** @internal */
export declare const UpdateFirewallConfigRedirect1$inboundSchema: z.ZodType<UpdateFirewallConfigRedirect1, z.ZodTypeDef, unknown>;
/** @internal */
export type UpdateFirewallConfigRedirect1$Outbound = {
    location: string;
    permanent: boolean;
};
/** @internal */
export declare const UpdateFirewallConfigRedirect1$outboundSchema: z.ZodType<UpdateFirewallConfigRedirect1$Outbound, z.ZodTypeDef, UpdateFirewallConfigRedirect1>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigRedirect1$ {
    /** @deprecated use `UpdateFirewallConfigRedirect1$inboundSchema` instead. */
    const inboundSchema: z.ZodType<UpdateFirewallConfigRedirect1, z.ZodTypeDef, unknown>;
    /** @deprecated use `UpdateFirewallConfigRedirect1$outboundSchema` instead. */
    const outboundSchema: z.ZodType<UpdateFirewallConfigRedirect1$Outbound, z.ZodTypeDef, UpdateFirewallConfigRedirect1>;
    /** @deprecated use `UpdateFirewallConfigRedirect1$Outbound` instead. */
    type Outbound = UpdateFirewallConfigRedirect1$Outbound;
}
export declare function updateFirewallConfigRedirect1ToJSON(updateFirewallConfigRedirect1: UpdateFirewallConfigRedirect1): string;
export declare function updateFirewallConfigRedirect1FromJSON(jsonString: string): SafeParseResult<UpdateFirewallConfigRedirect1, SDKValidationError>;
/** @internal */
export declare const RequestBodyRedirect$inboundSchema: z.ZodType<RequestBodyRedirect, z.ZodTypeDef, unknown>;
/** @internal */
export type RequestBodyRedirect$Outbound = UpdateFirewallConfigRedirect1$Outbound | any;
/** @internal */
export declare const RequestBodyRedirect$outboundSchema: z.ZodType<RequestBodyRedirect$Outbound, z.ZodTypeDef, RequestBodyRedirect>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RequestBodyRedirect$ {
    /** @deprecated use `RequestBodyRedirect$inboundSchema` instead. */
    const inboundSchema: z.ZodType<any, z.ZodTypeDef, unknown>;
    /** @deprecated use `RequestBodyRedirect$outboundSchema` instead. */
    const outboundSchema: z.ZodType<any, z.ZodTypeDef, any>;
    /** @deprecated use `RequestBodyRedirect$Outbound` instead. */
    type Outbound = RequestBodyRedirect$Outbound;
}
export declare function requestBodyRedirectToJSON(requestBodyRedirect: RequestBodyRedirect): string;
export declare function requestBodyRedirectFromJSON(jsonString: string): SafeParseResult<RequestBodyRedirect, SDKValidationError>;
/** @internal */
export declare const RequestBodyMitigate$inboundSchema: z.ZodType<RequestBodyMitigate, z.ZodTypeDef, unknown>;
/** @internal */
export type RequestBodyMitigate$Outbound = {
    action: string;
    rateLimit?: UpdateFirewallConfigRateLimit1$Outbound | any | null | undefined;
    redirect?: UpdateFirewallConfigRedirect1$Outbound | any | null | undefined;
    actionDuration?: string | null | undefined;
    bypassSystem?: boolean | null | undefined;
};
/** @internal */
export declare const RequestBodyMitigate$outboundSchema: z.ZodType<RequestBodyMitigate$Outbound, z.ZodTypeDef, RequestBodyMitigate>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RequestBodyMitigate$ {
    /** @deprecated use `RequestBodyMitigate$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RequestBodyMitigate, z.ZodTypeDef, unknown>;
    /** @deprecated use `RequestBodyMitigate$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RequestBodyMitigate$Outbound, z.ZodTypeDef, RequestBodyMitigate>;
    /** @deprecated use `RequestBodyMitigate$Outbound` instead. */
    type Outbound = RequestBodyMitigate$Outbound;
}
export declare function requestBodyMitigateToJSON(requestBodyMitigate: RequestBodyMitigate): string;
export declare function requestBodyMitigateFromJSON(jsonString: string): SafeParseResult<RequestBodyMitigate, SDKValidationError>;
/** @internal */
export declare const UpdateFirewallConfigRequestBodySecurityRequest2Action$inboundSchema: z.ZodType<UpdateFirewallConfigRequestBodySecurityRequest2Action, z.ZodTypeDef, unknown>;
/** @internal */
export type UpdateFirewallConfigRequestBodySecurityRequest2Action$Outbound = {
    mitigate?: RequestBodyMitigate$Outbound | undefined;
};
/** @internal */
export declare const UpdateFirewallConfigRequestBodySecurityRequest2Action$outboundSchema: z.ZodType<UpdateFirewallConfigRequestBodySecurityRequest2Action$Outbound, z.ZodTypeDef, UpdateFirewallConfigRequestBodySecurityRequest2Action>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigRequestBodySecurityRequest2Action$ {
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityRequest2Action$inboundSchema` instead. */
    const inboundSchema: z.ZodType<UpdateFirewallConfigRequestBodySecurityRequest2Action, z.ZodTypeDef, unknown>;
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityRequest2Action$outboundSchema` instead. */
    const outboundSchema: z.ZodType<UpdateFirewallConfigRequestBodySecurityRequest2Action$Outbound, z.ZodTypeDef, UpdateFirewallConfigRequestBodySecurityRequest2Action>;
    /** @deprecated use `UpdateFirewallConfigRequestBodySecurityRequest2Action$Outbound` instead. */
    type Outbound = UpdateFirewallConfigRequestBodySecurityRequest2Action$Outbound;
}
export declare function updateFirewallConfigRequestBodySecurityRequest2ActionToJSON(updateFirewallConfigRequestBodySecurityRequest2Action: UpdateFirewallConfigRequestBodySecurityRequest2Action): string;
export declare function updateFirewallConfigRequestBodySecurityRequest2ActionFromJSON(jsonString: string): SafeParseResult<UpdateFirewallConfigRequestBodySecurityRequest2Action, SDKValidationError>;
/** @internal */
export declare const RequestBodyValue$inboundSchema: z.ZodType<RequestBodyValue, z.ZodTypeDef, unknown>;
/** @internal */
export type RequestBodyValue$Outbound = {
    name: string;
    description?: string | undefined;
    active: boolean;
    conditionGroup: Array<RequestBodyConditionGroup$Outbound>;
    action: UpdateFirewallConfigRequestBodySecurityRequest2Action$Outbound;
};
/** @internal */
export declare const RequestBodyValue$outboundSchema: z.ZodType<RequestBodyValue$Outbound, z.ZodTypeDef, RequestBodyValue>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RequestBodyValue$ {
    /** @deprecated use `RequestBodyValue$inboundSchema` instead. */
    const inboundSchema: z.ZodType<RequestBodyValue, z.ZodTypeDef, unknown>;
    /** @deprecated use `RequestBodyValue$outboundSchema` instead. */
    const outboundSchema: z.ZodType<RequestBodyValue$Outbound, z.ZodTypeDef, RequestBodyValue>;
    /** @deprecated use `RequestBodyValue$Outbound` instead. */
    type Outbound = RequestBodyValue$Outbound;
}
export declare function requestBodyValueToJSON(requestBodyValue: RequestBodyValue): string;
export declare function requestBodyValueFromJSON(jsonString: string): SafeParseResult<RequestBodyValue, SDKValidationError>;
/** @internal */
export declare const UpdateFirewallConfigRequestBody2$inboundSchema: z.ZodType<UpdateFirewallConfigRequestBody2, z.ZodTypeDef, unknown>;
/** @internal */
export type UpdateFirewallConfigRequestBody2$Outbound = {
    action: string;
    id?: any | null | undefined;
    value: RequestBodyValue$Outbound;
};
/** @internal */
export declare const UpdateFirewallConfigRequestBody2$outboundSchema: z.ZodType<UpdateFirewallConfigRequestBody2$Outbound, z.ZodTypeDef, UpdateFirewallConfigRequestBody2>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigRequestBody2$ {
    /** @deprecated use `UpdateFirewallConfigRequestBody2$inboundSchema` instead. */
    const inboundSchema: z.ZodType<UpdateFirewallConfigRequestBody2, z.ZodTypeDef, unknown>;
    /** @deprecated use `UpdateFirewallConfigRequestBody2$outboundSchema` instead. */
    const outboundSchema: z.ZodType<UpdateFirewallConfigRequestBody2$Outbound, z.ZodTypeDef, UpdateFirewallConfigRequestBody2>;
    /** @deprecated use `UpdateFirewallConfigRequestBody2$Outbound` instead. */
    type Outbound = UpdateFirewallConfigRequestBody2$Outbound;
}
export declare function updateFirewallConfigRequestBody2ToJSON(updateFirewallConfigRequestBody2: UpdateFirewallConfigRequestBody2): string;
export declare function updateFirewallConfigRequestBody2FromJSON(jsonString: string): SafeParseResult<UpdateFirewallConfigRequestBody2, SDKValidationError>;
/** @internal */
export declare const RequestBodyAction$inboundSchema: z.ZodNativeEnum<typeof RequestBodyAction>;
/** @internal */
export declare const RequestBodyAction$outboundSchema: z.ZodNativeEnum<typeof RequestBodyAction>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace RequestBodyAction$ {
    /** @deprecated use `RequestBodyAction$inboundSchema` instead. */
    const inboundSchema: z.ZodNativeEnum<{
        readonly FirewallEnabled: "firewallEnabled";
    }>;
    /** @deprecated use `RequestBodyAction$outboundSchema` instead. */
    const outboundSchema: z.ZodNativeEnum<{
        readonly FirewallEnabled: "firewallEnabled";
    }>;
}
/** @internal */
export declare const UpdateFirewallConfigRequestBody1$inboundSchema: z.ZodType<UpdateFirewallConfigRequestBody1, z.ZodTypeDef, unknown>;
/** @internal */
export type UpdateFirewallConfigRequestBody1$Outbound = {
    action: string;
    id?: any | null | undefined;
    value: boolean;
};
/** @internal */
export declare const UpdateFirewallConfigRequestBody1$outboundSchema: z.ZodType<UpdateFirewallConfigRequestBody1$Outbound, z.ZodTypeDef, UpdateFirewallConfigRequestBody1>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigRequestBody1$ {
    /** @deprecated use `UpdateFirewallConfigRequestBody1$inboundSchema` instead. */
    const inboundSchema: z.ZodType<UpdateFirewallConfigRequestBody1, z.ZodTypeDef, unknown>;
    /** @deprecated use `UpdateFirewallConfigRequestBody1$outboundSchema` instead. */
    const outboundSchema: z.ZodType<UpdateFirewallConfigRequestBody1$Outbound, z.ZodTypeDef, UpdateFirewallConfigRequestBody1>;
    /** @deprecated use `UpdateFirewallConfigRequestBody1$Outbound` instead. */
    type Outbound = UpdateFirewallConfigRequestBody1$Outbound;
}
export declare function updateFirewallConfigRequestBody1ToJSON(updateFirewallConfigRequestBody1: UpdateFirewallConfigRequestBody1): string;
export declare function updateFirewallConfigRequestBody1FromJSON(jsonString: string): SafeParseResult<UpdateFirewallConfigRequestBody1, SDKValidationError>;
/** @internal */
export declare const UpdateFirewallConfigRequestBody$inboundSchema: z.ZodType<UpdateFirewallConfigRequestBody, z.ZodTypeDef, unknown>;
/** @internal */
export type UpdateFirewallConfigRequestBody$Outbound = UpdateFirewallConfigRequestBody1$Outbound | UpdateFirewallConfigRequestBody2$Outbound | UpdateFirewallConfigRequestBody3$Outbound | UpdateFirewallConfigRequestBody4$Outbound | UpdateFirewallConfigRequestBody5$Outbound | UpdateFirewallConfigRequestBody6$Outbound | UpdateFirewallConfigRequestBody7$Outbound | UpdateFirewallConfigRequestBody8$Outbound | UpdateFirewallConfigRequestBody9$Outbound | UpdateFirewallConfigRequestBody10$Outbound | RequestBody11$Outbound | RequestBody12$Outbound;
/** @internal */
export declare const UpdateFirewallConfigRequestBody$outboundSchema: z.ZodType<UpdateFirewallConfigRequestBody$Outbound, z.ZodTypeDef, UpdateFirewallConfigRequestBody>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigRequestBody$ {
    /** @deprecated use `UpdateFirewallConfigRequestBody$inboundSchema` instead. */
    const inboundSchema: z.ZodType<UpdateFirewallConfigRequestBody, z.ZodTypeDef, unknown>;
    /** @deprecated use `UpdateFirewallConfigRequestBody$outboundSchema` instead. */
    const outboundSchema: z.ZodType<UpdateFirewallConfigRequestBody$Outbound, z.ZodTypeDef, UpdateFirewallConfigRequestBody>;
    /** @deprecated use `UpdateFirewallConfigRequestBody$Outbound` instead. */
    type Outbound = UpdateFirewallConfigRequestBody$Outbound;
}
export declare function updateFirewallConfigRequestBodyToJSON(updateFirewallConfigRequestBody: UpdateFirewallConfigRequestBody): string;
export declare function updateFirewallConfigRequestBodyFromJSON(jsonString: string): SafeParseResult<UpdateFirewallConfigRequestBody, SDKValidationError>;
/** @internal */
export declare const UpdateFirewallConfigRequest$inboundSchema: z.ZodType<UpdateFirewallConfigRequest, z.ZodTypeDef, unknown>;
/** @internal */
export type UpdateFirewallConfigRequest$Outbound = {
    projectId: string;
    teamId?: string | undefined;
    slug?: string | undefined;
    RequestBody: UpdateFirewallConfigRequestBody1$Outbound | UpdateFirewallConfigRequestBody2$Outbound | UpdateFirewallConfigRequestBody3$Outbound | UpdateFirewallConfigRequestBody4$Outbound | UpdateFirewallConfigRequestBody5$Outbound | UpdateFirewallConfigRequestBody6$Outbound | UpdateFirewallConfigRequestBody7$Outbound | UpdateFirewallConfigRequestBody8$Outbound | UpdateFirewallConfigRequestBody9$Outbound | UpdateFirewallConfigRequestBody10$Outbound | RequestBody11$Outbound | RequestBody12$Outbound;
};
/** @internal */
export declare const UpdateFirewallConfigRequest$outboundSchema: z.ZodType<UpdateFirewallConfigRequest$Outbound, z.ZodTypeDef, UpdateFirewallConfigRequest>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigRequest$ {
    /** @deprecated use `UpdateFirewallConfigRequest$inboundSchema` instead. */
    const inboundSchema: z.ZodType<UpdateFirewallConfigRequest, z.ZodTypeDef, unknown>;
    /** @deprecated use `UpdateFirewallConfigRequest$outboundSchema` instead. */
    const outboundSchema: z.ZodType<UpdateFirewallConfigRequest$Outbound, z.ZodTypeDef, UpdateFirewallConfigRequest>;
    /** @deprecated use `UpdateFirewallConfigRequest$Outbound` instead. */
    type Outbound = UpdateFirewallConfigRequest$Outbound;
}
export declare function updateFirewallConfigRequestToJSON(updateFirewallConfigRequest: UpdateFirewallConfigRequest): string;
export declare function updateFirewallConfigRequestFromJSON(jsonString: string): SafeParseResult<UpdateFirewallConfigRequest, SDKValidationError>;
/** @internal */
export declare const UpdateFirewallConfigResponseBody$inboundSchema: z.ZodType<UpdateFirewallConfigResponseBody, z.ZodTypeDef, unknown>;
/** @internal */
export type UpdateFirewallConfigResponseBody$Outbound = {};
/** @internal */
export declare const UpdateFirewallConfigResponseBody$outboundSchema: z.ZodType<UpdateFirewallConfigResponseBody$Outbound, z.ZodTypeDef, UpdateFirewallConfigResponseBody>;
/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export declare namespace UpdateFirewallConfigResponseBody$ {
    /** @deprecated use `UpdateFirewallConfigResponseBody$inboundSchema` instead. */
    const inboundSchema: z.ZodType<UpdateFirewallConfigResponseBody, z.ZodTypeDef, unknown>;
    /** @deprecated use `UpdateFirewallConfigResponseBody$outboundSchema` instead. */
    const outboundSchema: z.ZodType<UpdateFirewallConfigResponseBody$Outbound, z.ZodTypeDef, UpdateFirewallConfigResponseBody>;
    /** @deprecated use `UpdateFirewallConfigResponseBody$Outbound` instead. */
    type Outbound = UpdateFirewallConfigResponseBody$Outbound;
}
export declare function updateFirewallConfigResponseBodyToJSON(updateFirewallConfigResponseBody: UpdateFirewallConfigResponseBody): string;
export declare function updateFirewallConfigResponseBodyFromJSON(jsonString: string): SafeParseResult<UpdateFirewallConfigResponseBody, SDKValidationError>;
//# sourceMappingURL=updatefirewallconfigop.d.ts.map