/*
 * Code generated by Speakeasy (https://speakeasy.com). DO NOT EDIT.
 */

import * as z from "zod";
import { remap as remap$ } from "../lib/primitives.js";
import { safeParse } from "../lib/schemas.js";
import { ClosedEnum } from "../types/enums.js";
import { Result as SafeParseResult } from "../types/fp.js";
import { SDKValidationError } from "./sdkvalidationerror.js";

/**
 * The type of record, it could be one of the valid DNS records.
 */
export const CreateRecordRequestBodyDnsRequest10Type = {
  A: "A",
  Aaaa: "AAAA",
  Alias: "ALIAS",
  Caa: "CAA",
  Cname: "CNAME",
  Https: "HTTPS",
  Mx: "MX",
  Srv: "SRV",
  Txt: "TXT",
  Ns: "NS",
} as const;
/**
 * The type of record, it could be one of the valid DNS records.
 */
export type CreateRecordRequestBodyDnsRequest10Type = ClosedEnum<
  typeof CreateRecordRequestBodyDnsRequest10Type
>;

export type RequestBodyHttps = {
  priority: number | null;
  target: string;
  params?: string | undefined;
};

export type RequestBody10 = {
  /**
   * The type of record, it could be one of the valid DNS records.
   */
  type: CreateRecordRequestBodyDnsRequest10Type;
  /**
   * The TTL value. Must be a number between 60 and 2147483647. Default value is 60.
   */
  ttl?: number | undefined;
  https: RequestBodyHttps;
  /**
   * A comment to add context on what this DNS record is for
   */
  comment?: string | undefined;
};

/**
 * The type of record, it could be one of the valid DNS records.
 */
export const CreateRecordRequestBodyDnsRequest9Type = {
  A: "A",
  Aaaa: "AAAA",
  Alias: "ALIAS",
  Caa: "CAA",
  Cname: "CNAME",
  Https: "HTTPS",
  Mx: "MX",
  Srv: "SRV",
  Txt: "TXT",
  Ns: "NS",
} as const;
/**
 * The type of record, it could be one of the valid DNS records.
 */
export type CreateRecordRequestBodyDnsRequest9Type = ClosedEnum<
  typeof CreateRecordRequestBodyDnsRequest9Type
>;

export type RequestBody9 = {
  /**
   * A subdomain name.
   */
  name: string;
  /**
   * The type of record, it could be one of the valid DNS records.
   */
  type: CreateRecordRequestBodyDnsRequest9Type;
  /**
   * The TTL value. Must be a number between 60 and 2147483647. Default value is 60.
   */
  ttl?: number | undefined;
  /**
   * An NS domain value.
   */
  value?: string | undefined;
  /**
   * A comment to add context on what this DNS record is for
   */
  comment?: string | undefined;
};

/**
 * The type of record, it could be one of the valid DNS records.
 */
export const CreateRecordRequestBodyDnsRequest8Type = {
  A: "A",
  Aaaa: "AAAA",
  Alias: "ALIAS",
  Caa: "CAA",
  Cname: "CNAME",
  Https: "HTTPS",
  Mx: "MX",
  Srv: "SRV",
  Txt: "TXT",
  Ns: "NS",
} as const;
/**
 * The type of record, it could be one of the valid DNS records.
 */
export type CreateRecordRequestBodyDnsRequest8Type = ClosedEnum<
  typeof CreateRecordRequestBodyDnsRequest8Type
>;

export type RequestBody8 = {
  /**
   * The type of record, it could be one of the valid DNS records.
   */
  type: CreateRecordRequestBodyDnsRequest8Type;
  /**
   * The TTL value. Must be a number between 60 and 2147483647. Default value is 60.
   */
  ttl?: number | undefined;
  /**
   * A TXT record containing arbitrary text.
   */
  value: string;
  /**
   * A comment to add context on what this DNS record is for
   */
  comment?: string | undefined;
};

/**
 * The type of record, it could be one of the valid DNS records.
 */
export const CreateRecordRequestBodyDnsRequest7Type = {
  A: "A",
  Aaaa: "AAAA",
  Alias: "ALIAS",
  Caa: "CAA",
  Cname: "CNAME",
  Https: "HTTPS",
  Mx: "MX",
  Srv: "SRV",
  Txt: "TXT",
  Ns: "NS",
} as const;
/**
 * The type of record, it could be one of the valid DNS records.
 */
export type CreateRecordRequestBodyDnsRequest7Type = ClosedEnum<
  typeof CreateRecordRequestBodyDnsRequest7Type
>;

export type RequestBodySrv = {
  priority: number | null;
  weight: number | null;
  port: number | null;
  target: string;
};

export type RequestBody7 = {
  /**
   * The type of record, it could be one of the valid DNS records.
   */
  type: CreateRecordRequestBodyDnsRequest7Type;
  /**
   * The TTL value. Must be a number between 60 and 2147483647. Default value is 60.
   */
  ttl?: number | undefined;
  srv: RequestBodySrv;
  /**
   * A comment to add context on what this DNS record is for
   */
  comment?: string | undefined;
};

/**
 * The type of record, it could be one of the valid DNS records.
 */
export const CreateRecordRequestBodyDnsRequest6Type = {
  A: "A",
  Aaaa: "AAAA",
  Alias: "ALIAS",
  Caa: "CAA",
  Cname: "CNAME",
  Https: "HTTPS",
  Mx: "MX",
  Srv: "SRV",
  Txt: "TXT",
  Ns: "NS",
} as const;
/**
 * The type of record, it could be one of the valid DNS records.
 */
export type CreateRecordRequestBodyDnsRequest6Type = ClosedEnum<
  typeof CreateRecordRequestBodyDnsRequest6Type
>;

export type RequestBody6 = {
  /**
   * A subdomain name or an empty string for the root domain.
   */
  name: string;
  /**
   * The type of record, it could be one of the valid DNS records.
   */
  type: CreateRecordRequestBodyDnsRequest6Type;
  /**
   * The TTL value. Must be a number between 60 and 2147483647. Default value is 60.
   */
  ttl?: number | undefined;
  /**
   * An MX record specifying the mail server responsible for accepting messages on behalf of the domain name.
   */
  value: string;
  mxPriority: number;
  /**
   * A comment to add context on what this DNS record is for
   */
  comment?: string | undefined;
};

/**
 * The type of record, it could be one of the valid DNS records.
 */
export const CreateRecordRequestBodyDnsRequest5Type = {
  A: "A",
  Aaaa: "AAAA",
  Alias: "ALIAS",
  Caa: "CAA",
  Cname: "CNAME",
  Https: "HTTPS",
  Mx: "MX",
  Srv: "SRV",
  Txt: "TXT",
  Ns: "NS",
} as const;
/**
 * The type of record, it could be one of the valid DNS records.
 */
export type CreateRecordRequestBodyDnsRequest5Type = ClosedEnum<
  typeof CreateRecordRequestBodyDnsRequest5Type
>;

export type RequestBody5 = {
  /**
   * A subdomain name or an empty string for the root domain.
   */
  name: string;
  /**
   * The type of record, it could be one of the valid DNS records.
   */
  type: CreateRecordRequestBodyDnsRequest5Type;
  /**
   * The TTL value. Must be a number between 60 and 2147483647. Default value is 60.
   */
  ttl?: number | undefined;
  /**
   * A CNAME record mapping to another domain name.
   */
  value?: string | undefined;
  /**
   * A comment to add context on what this DNS record is for
   */
  comment?: string | undefined;
};

/**
 * The type of record, it could be one of the valid DNS records.
 */
export const CreateRecordRequestBodyDnsRequestType = {
  A: "A",
  Aaaa: "AAAA",
  Alias: "ALIAS",
  Caa: "CAA",
  Cname: "CNAME",
  Https: "HTTPS",
  Mx: "MX",
  Srv: "SRV",
  Txt: "TXT",
  Ns: "NS",
} as const;
/**
 * The type of record, it could be one of the valid DNS records.
 */
export type CreateRecordRequestBodyDnsRequestType = ClosedEnum<
  typeof CreateRecordRequestBodyDnsRequestType
>;

export type RequestBody4 = {
  /**
   * A subdomain name or an empty string for the root domain.
   */
  name: string;
  /**
   * The type of record, it could be one of the valid DNS records.
   */
  type: CreateRecordRequestBodyDnsRequestType;
  /**
   * The TTL value. Must be a number between 60 and 2147483647. Default value is 60.
   */
  ttl?: number | undefined;
  /**
   * A CAA record to specify which Certificate Authorities (CAs) are allowed to issue certificates for the domain.
   */
  value: string;
  /**
   * A comment to add context on what this DNS record is for
   */
  comment?: string | undefined;
};

/**
 * The type of record, it could be one of the valid DNS records.
 */
export const CreateRecordRequestBodyDnsType = {
  A: "A",
  Aaaa: "AAAA",
  Alias: "ALIAS",
  Caa: "CAA",
  Cname: "CNAME",
  Https: "HTTPS",
  Mx: "MX",
  Srv: "SRV",
  Txt: "TXT",
  Ns: "NS",
} as const;
/**
 * The type of record, it could be one of the valid DNS records.
 */
export type CreateRecordRequestBodyDnsType = ClosedEnum<
  typeof CreateRecordRequestBodyDnsType
>;

export type CreateRecordRequestBody3 = {
  /**
   * A subdomain name or an empty string for the root domain.
   */
  name: string;
  /**
   * The type of record, it could be one of the valid DNS records.
   */
  type: CreateRecordRequestBodyDnsType;
  /**
   * The TTL value. Must be a number between 60 and 2147483647. Default value is 60.
   */
  ttl?: number | undefined;
  /**
   * An ALIAS virtual record pointing to a hostname resolved to an A record on server side.
   */
  value: string;
  /**
   * A comment to add context on what this DNS record is for
   */
  comment?: string | undefined;
};

/**
 * The type of record, it could be one of the valid DNS records.
 */
export const CreateRecordRequestBodyType = {
  A: "A",
  Aaaa: "AAAA",
  Alias: "ALIAS",
  Caa: "CAA",
  Cname: "CNAME",
  Https: "HTTPS",
  Mx: "MX",
  Srv: "SRV",
  Txt: "TXT",
  Ns: "NS",
} as const;
/**
 * The type of record, it could be one of the valid DNS records.
 */
export type CreateRecordRequestBodyType = ClosedEnum<
  typeof CreateRecordRequestBodyType
>;

export type CreateRecordRequestBody2 = {
  /**
   * A subdomain name or an empty string for the root domain.
   */
  name: string;
  /**
   * The type of record, it could be one of the valid DNS records.
   */
  type: CreateRecordRequestBodyType;
  /**
   * The TTL value. Must be a number between 60 and 2147483647. Default value is 60.
   */
  ttl?: number | undefined;
  /**
   * An AAAA record pointing to an IPv6 address.
   */
  value: string;
  /**
   * A comment to add context on what this DNS record is for
   */
  comment?: string | undefined;
};

/**
 * The type of record, it could be one of the valid DNS records.
 */
export const RequestBodyType = {
  A: "A",
  Aaaa: "AAAA",
  Alias: "ALIAS",
  Caa: "CAA",
  Cname: "CNAME",
  Https: "HTTPS",
  Mx: "MX",
  Srv: "SRV",
  Txt: "TXT",
  Ns: "NS",
} as const;
/**
 * The type of record, it could be one of the valid DNS records.
 */
export type RequestBodyType = ClosedEnum<typeof RequestBodyType>;

export type CreateRecordRequestBody1 = {
  /**
   * A subdomain name or an empty string for the root domain.
   */
  name: string;
  /**
   * The type of record, it could be one of the valid DNS records.
   */
  type: RequestBodyType;
  /**
   * The TTL value. Must be a number between 60 and 2147483647. Default value is 60.
   */
  ttl?: number | undefined;
  /**
   * The record value must be a valid IPv4 address.
   */
  value: string;
  /**
   * A comment to add context on what this DNS record is for
   */
  comment?: string | undefined;
};

export type CreateRecordRequestBody =
  | RequestBody7
  | RequestBody8
  | RequestBody10
  | CreateRecordRequestBody1
  | CreateRecordRequestBody2
  | CreateRecordRequestBody3
  | RequestBody4
  | RequestBody5
  | RequestBody9
  | RequestBody6;

export type CreateRecordRequest = {
  /**
   * The domain used to create the DNS record.
   */
  domain: string;
  /**
   * The Team identifier to perform the request on behalf of.
   */
  teamId?: string | undefined;
  /**
   * The Team slug to perform the request on behalf of.
   */
  slug?: string | undefined;
  requestBody:
    | RequestBody7
    | RequestBody8
    | RequestBody10
    | CreateRecordRequestBody1
    | CreateRecordRequestBody2
    | CreateRecordRequestBody3
    | RequestBody4
    | RequestBody5
    | RequestBody9
    | RequestBody6;
};

export type CreateRecordResponseBody2 = {
  /**
   * The id of the newly created DNS record
   */
  uid: string;
};

export type CreateRecordResponseBody1 = {
  uid: string;
  updated: number;
};

/**
 * Successful response showing the uid of the newly created DNS record.
 */
export type CreateRecordResponseBody =
  | CreateRecordResponseBody2
  | CreateRecordResponseBody1;

/** @internal */
export const CreateRecordRequestBodyDnsRequest10Type$inboundSchema:
  z.ZodNativeEnum<typeof CreateRecordRequestBodyDnsRequest10Type> = z
    .nativeEnum(CreateRecordRequestBodyDnsRequest10Type);

/** @internal */
export const CreateRecordRequestBodyDnsRequest10Type$outboundSchema:
  z.ZodNativeEnum<typeof CreateRecordRequestBodyDnsRequest10Type> =
    CreateRecordRequestBodyDnsRequest10Type$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace CreateRecordRequestBodyDnsRequest10Type$ {
  /** @deprecated use `CreateRecordRequestBodyDnsRequest10Type$inboundSchema` instead. */
  export const inboundSchema =
    CreateRecordRequestBodyDnsRequest10Type$inboundSchema;
  /** @deprecated use `CreateRecordRequestBodyDnsRequest10Type$outboundSchema` instead. */
  export const outboundSchema =
    CreateRecordRequestBodyDnsRequest10Type$outboundSchema;
}

/** @internal */
export const RequestBodyHttps$inboundSchema: z.ZodType<
  RequestBodyHttps,
  z.ZodTypeDef,
  unknown
> = z.object({
  priority: z.nullable(z.number()),
  target: z.string(),
  params: z.string().optional(),
});

/** @internal */
export type RequestBodyHttps$Outbound = {
  priority: number | null;
  target: string;
  params?: string | undefined;
};

/** @internal */
export const RequestBodyHttps$outboundSchema: z.ZodType<
  RequestBodyHttps$Outbound,
  z.ZodTypeDef,
  RequestBodyHttps
> = z.object({
  priority: z.nullable(z.number()),
  target: z.string(),
  params: z.string().optional(),
});

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RequestBodyHttps$ {
  /** @deprecated use `RequestBodyHttps$inboundSchema` instead. */
  export const inboundSchema = RequestBodyHttps$inboundSchema;
  /** @deprecated use `RequestBodyHttps$outboundSchema` instead. */
  export const outboundSchema = RequestBodyHttps$outboundSchema;
  /** @deprecated use `RequestBodyHttps$Outbound` instead. */
  export type Outbound = RequestBodyHttps$Outbound;
}

export function requestBodyHttpsToJSON(
  requestBodyHttps: RequestBodyHttps,
): string {
  return JSON.stringify(
    RequestBodyHttps$outboundSchema.parse(requestBodyHttps),
  );
}

export function requestBodyHttpsFromJSON(
  jsonString: string,
): SafeParseResult<RequestBodyHttps, SDKValidationError> {
  return safeParse(
    jsonString,
    (x) => RequestBodyHttps$inboundSchema.parse(JSON.parse(x)),
    `Failed to parse 'RequestBodyHttps' from JSON`,
  );
}

/** @internal */
export const RequestBody10$inboundSchema: z.ZodType<
  RequestBody10,
  z.ZodTypeDef,
  unknown
> = z.object({
  type: CreateRecordRequestBodyDnsRequest10Type$inboundSchema,
  ttl: z.number().optional(),
  https: z.lazy(() => RequestBodyHttps$inboundSchema),
  comment: z.string().optional(),
});

/** @internal */
export type RequestBody10$Outbound = {
  type: string;
  ttl?: number | undefined;
  https: RequestBodyHttps$Outbound;
  comment?: string | undefined;
};

/** @internal */
export const RequestBody10$outboundSchema: z.ZodType<
  RequestBody10$Outbound,
  z.ZodTypeDef,
  RequestBody10
> = z.object({
  type: CreateRecordRequestBodyDnsRequest10Type$outboundSchema,
  ttl: z.number().optional(),
  https: z.lazy(() => RequestBodyHttps$outboundSchema),
  comment: z.string().optional(),
});

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RequestBody10$ {
  /** @deprecated use `RequestBody10$inboundSchema` instead. */
  export const inboundSchema = RequestBody10$inboundSchema;
  /** @deprecated use `RequestBody10$outboundSchema` instead. */
  export const outboundSchema = RequestBody10$outboundSchema;
  /** @deprecated use `RequestBody10$Outbound` instead. */
  export type Outbound = RequestBody10$Outbound;
}

export function requestBody10ToJSON(requestBody10: RequestBody10): string {
  return JSON.stringify(RequestBody10$outboundSchema.parse(requestBody10));
}

export function requestBody10FromJSON(
  jsonString: string,
): SafeParseResult<RequestBody10, SDKValidationError> {
  return safeParse(
    jsonString,
    (x) => RequestBody10$inboundSchema.parse(JSON.parse(x)),
    `Failed to parse 'RequestBody10' from JSON`,
  );
}

/** @internal */
export const CreateRecordRequestBodyDnsRequest9Type$inboundSchema:
  z.ZodNativeEnum<typeof CreateRecordRequestBodyDnsRequest9Type> = z.nativeEnum(
    CreateRecordRequestBodyDnsRequest9Type,
  );

/** @internal */
export const CreateRecordRequestBodyDnsRequest9Type$outboundSchema:
  z.ZodNativeEnum<typeof CreateRecordRequestBodyDnsRequest9Type> =
    CreateRecordRequestBodyDnsRequest9Type$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace CreateRecordRequestBodyDnsRequest9Type$ {
  /** @deprecated use `CreateRecordRequestBodyDnsRequest9Type$inboundSchema` instead. */
  export const inboundSchema =
    CreateRecordRequestBodyDnsRequest9Type$inboundSchema;
  /** @deprecated use `CreateRecordRequestBodyDnsRequest9Type$outboundSchema` instead. */
  export const outboundSchema =
    CreateRecordRequestBodyDnsRequest9Type$outboundSchema;
}

/** @internal */
export const RequestBody9$inboundSchema: z.ZodType<
  RequestBody9,
  z.ZodTypeDef,
  unknown
> = z.object({
  name: z.string(),
  type: CreateRecordRequestBodyDnsRequest9Type$inboundSchema,
  ttl: z.number().optional(),
  value: z.string().optional(),
  comment: z.string().optional(),
});

/** @internal */
export type RequestBody9$Outbound = {
  name: string;
  type: string;
  ttl?: number | undefined;
  value?: string | undefined;
  comment?: string | undefined;
};

/** @internal */
export const RequestBody9$outboundSchema: z.ZodType<
  RequestBody9$Outbound,
  z.ZodTypeDef,
  RequestBody9
> = z.object({
  name: z.string(),
  type: CreateRecordRequestBodyDnsRequest9Type$outboundSchema,
  ttl: z.number().optional(),
  value: z.string().optional(),
  comment: z.string().optional(),
});

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RequestBody9$ {
  /** @deprecated use `RequestBody9$inboundSchema` instead. */
  export const inboundSchema = RequestBody9$inboundSchema;
  /** @deprecated use `RequestBody9$outboundSchema` instead. */
  export const outboundSchema = RequestBody9$outboundSchema;
  /** @deprecated use `RequestBody9$Outbound` instead. */
  export type Outbound = RequestBody9$Outbound;
}

export function requestBody9ToJSON(requestBody9: RequestBody9): string {
  return JSON.stringify(RequestBody9$outboundSchema.parse(requestBody9));
}

export function requestBody9FromJSON(
  jsonString: string,
): SafeParseResult<RequestBody9, SDKValidationError> {
  return safeParse(
    jsonString,
    (x) => RequestBody9$inboundSchema.parse(JSON.parse(x)),
    `Failed to parse 'RequestBody9' from JSON`,
  );
}

/** @internal */
export const CreateRecordRequestBodyDnsRequest8Type$inboundSchema:
  z.ZodNativeEnum<typeof CreateRecordRequestBodyDnsRequest8Type> = z.nativeEnum(
    CreateRecordRequestBodyDnsRequest8Type,
  );

/** @internal */
export const CreateRecordRequestBodyDnsRequest8Type$outboundSchema:
  z.ZodNativeEnum<typeof CreateRecordRequestBodyDnsRequest8Type> =
    CreateRecordRequestBodyDnsRequest8Type$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace CreateRecordRequestBodyDnsRequest8Type$ {
  /** @deprecated use `CreateRecordRequestBodyDnsRequest8Type$inboundSchema` instead. */
  export const inboundSchema =
    CreateRecordRequestBodyDnsRequest8Type$inboundSchema;
  /** @deprecated use `CreateRecordRequestBodyDnsRequest8Type$outboundSchema` instead. */
  export const outboundSchema =
    CreateRecordRequestBodyDnsRequest8Type$outboundSchema;
}

/** @internal */
export const RequestBody8$inboundSchema: z.ZodType<
  RequestBody8,
  z.ZodTypeDef,
  unknown
> = z.object({
  type: CreateRecordRequestBodyDnsRequest8Type$inboundSchema,
  ttl: z.number().optional(),
  value: z.string(),
  comment: z.string().optional(),
});

/** @internal */
export type RequestBody8$Outbound = {
  type: string;
  ttl?: number | undefined;
  value: string;
  comment?: string | undefined;
};

/** @internal */
export const RequestBody8$outboundSchema: z.ZodType<
  RequestBody8$Outbound,
  z.ZodTypeDef,
  RequestBody8
> = z.object({
  type: CreateRecordRequestBodyDnsRequest8Type$outboundSchema,
  ttl: z.number().optional(),
  value: z.string(),
  comment: z.string().optional(),
});

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RequestBody8$ {
  /** @deprecated use `RequestBody8$inboundSchema` instead. */
  export const inboundSchema = RequestBody8$inboundSchema;
  /** @deprecated use `RequestBody8$outboundSchema` instead. */
  export const outboundSchema = RequestBody8$outboundSchema;
  /** @deprecated use `RequestBody8$Outbound` instead. */
  export type Outbound = RequestBody8$Outbound;
}

export function requestBody8ToJSON(requestBody8: RequestBody8): string {
  return JSON.stringify(RequestBody8$outboundSchema.parse(requestBody8));
}

export function requestBody8FromJSON(
  jsonString: string,
): SafeParseResult<RequestBody8, SDKValidationError> {
  return safeParse(
    jsonString,
    (x) => RequestBody8$inboundSchema.parse(JSON.parse(x)),
    `Failed to parse 'RequestBody8' from JSON`,
  );
}

/** @internal */
export const CreateRecordRequestBodyDnsRequest7Type$inboundSchema:
  z.ZodNativeEnum<typeof CreateRecordRequestBodyDnsRequest7Type> = z.nativeEnum(
    CreateRecordRequestBodyDnsRequest7Type,
  );

/** @internal */
export const CreateRecordRequestBodyDnsRequest7Type$outboundSchema:
  z.ZodNativeEnum<typeof CreateRecordRequestBodyDnsRequest7Type> =
    CreateRecordRequestBodyDnsRequest7Type$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace CreateRecordRequestBodyDnsRequest7Type$ {
  /** @deprecated use `CreateRecordRequestBodyDnsRequest7Type$inboundSchema` instead. */
  export const inboundSchema =
    CreateRecordRequestBodyDnsRequest7Type$inboundSchema;
  /** @deprecated use `CreateRecordRequestBodyDnsRequest7Type$outboundSchema` instead. */
  export const outboundSchema =
    CreateRecordRequestBodyDnsRequest7Type$outboundSchema;
}

/** @internal */
export const RequestBodySrv$inboundSchema: z.ZodType<
  RequestBodySrv,
  z.ZodTypeDef,
  unknown
> = z.object({
  priority: z.nullable(z.number()),
  weight: z.nullable(z.number()),
  port: z.nullable(z.number()),
  target: z.string(),
});

/** @internal */
export type RequestBodySrv$Outbound = {
  priority: number | null;
  weight: number | null;
  port: number | null;
  target: string;
};

/** @internal */
export const RequestBodySrv$outboundSchema: z.ZodType<
  RequestBodySrv$Outbound,
  z.ZodTypeDef,
  RequestBodySrv
> = z.object({
  priority: z.nullable(z.number()),
  weight: z.nullable(z.number()),
  port: z.nullable(z.number()),
  target: z.string(),
});

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RequestBodySrv$ {
  /** @deprecated use `RequestBodySrv$inboundSchema` instead. */
  export const inboundSchema = RequestBodySrv$inboundSchema;
  /** @deprecated use `RequestBodySrv$outboundSchema` instead. */
  export const outboundSchema = RequestBodySrv$outboundSchema;
  /** @deprecated use `RequestBodySrv$Outbound` instead. */
  export type Outbound = RequestBodySrv$Outbound;
}

export function requestBodySrvToJSON(requestBodySrv: RequestBodySrv): string {
  return JSON.stringify(RequestBodySrv$outboundSchema.parse(requestBodySrv));
}

export function requestBodySrvFromJSON(
  jsonString: string,
): SafeParseResult<RequestBodySrv, SDKValidationError> {
  return safeParse(
    jsonString,
    (x) => RequestBodySrv$inboundSchema.parse(JSON.parse(x)),
    `Failed to parse 'RequestBodySrv' from JSON`,
  );
}

/** @internal */
export const RequestBody7$inboundSchema: z.ZodType<
  RequestBody7,
  z.ZodTypeDef,
  unknown
> = z.object({
  type: CreateRecordRequestBodyDnsRequest7Type$inboundSchema,
  ttl: z.number().optional(),
  srv: z.lazy(() => RequestBodySrv$inboundSchema),
  comment: z.string().optional(),
});

/** @internal */
export type RequestBody7$Outbound = {
  type: string;
  ttl?: number | undefined;
  srv: RequestBodySrv$Outbound;
  comment?: string | undefined;
};

/** @internal */
export const RequestBody7$outboundSchema: z.ZodType<
  RequestBody7$Outbound,
  z.ZodTypeDef,
  RequestBody7
> = z.object({
  type: CreateRecordRequestBodyDnsRequest7Type$outboundSchema,
  ttl: z.number().optional(),
  srv: z.lazy(() => RequestBodySrv$outboundSchema),
  comment: z.string().optional(),
});

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RequestBody7$ {
  /** @deprecated use `RequestBody7$inboundSchema` instead. */
  export const inboundSchema = RequestBody7$inboundSchema;
  /** @deprecated use `RequestBody7$outboundSchema` instead. */
  export const outboundSchema = RequestBody7$outboundSchema;
  /** @deprecated use `RequestBody7$Outbound` instead. */
  export type Outbound = RequestBody7$Outbound;
}

export function requestBody7ToJSON(requestBody7: RequestBody7): string {
  return JSON.stringify(RequestBody7$outboundSchema.parse(requestBody7));
}

export function requestBody7FromJSON(
  jsonString: string,
): SafeParseResult<RequestBody7, SDKValidationError> {
  return safeParse(
    jsonString,
    (x) => RequestBody7$inboundSchema.parse(JSON.parse(x)),
    `Failed to parse 'RequestBody7' from JSON`,
  );
}

/** @internal */
export const CreateRecordRequestBodyDnsRequest6Type$inboundSchema:
  z.ZodNativeEnum<typeof CreateRecordRequestBodyDnsRequest6Type> = z.nativeEnum(
    CreateRecordRequestBodyDnsRequest6Type,
  );

/** @internal */
export const CreateRecordRequestBodyDnsRequest6Type$outboundSchema:
  z.ZodNativeEnum<typeof CreateRecordRequestBodyDnsRequest6Type> =
    CreateRecordRequestBodyDnsRequest6Type$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace CreateRecordRequestBodyDnsRequest6Type$ {
  /** @deprecated use `CreateRecordRequestBodyDnsRequest6Type$inboundSchema` instead. */
  export const inboundSchema =
    CreateRecordRequestBodyDnsRequest6Type$inboundSchema;
  /** @deprecated use `CreateRecordRequestBodyDnsRequest6Type$outboundSchema` instead. */
  export const outboundSchema =
    CreateRecordRequestBodyDnsRequest6Type$outboundSchema;
}

/** @internal */
export const RequestBody6$inboundSchema: z.ZodType<
  RequestBody6,
  z.ZodTypeDef,
  unknown
> = z.object({
  name: z.string(),
  type: CreateRecordRequestBodyDnsRequest6Type$inboundSchema,
  ttl: z.number().optional(),
  value: z.string(),
  mxPriority: z.number(),
  comment: z.string().optional(),
});

/** @internal */
export type RequestBody6$Outbound = {
  name: string;
  type: string;
  ttl?: number | undefined;
  value: string;
  mxPriority: number;
  comment?: string | undefined;
};

/** @internal */
export const RequestBody6$outboundSchema: z.ZodType<
  RequestBody6$Outbound,
  z.ZodTypeDef,
  RequestBody6
> = z.object({
  name: z.string(),
  type: CreateRecordRequestBodyDnsRequest6Type$outboundSchema,
  ttl: z.number().optional(),
  value: z.string(),
  mxPriority: z.number(),
  comment: z.string().optional(),
});

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RequestBody6$ {
  /** @deprecated use `RequestBody6$inboundSchema` instead. */
  export const inboundSchema = RequestBody6$inboundSchema;
  /** @deprecated use `RequestBody6$outboundSchema` instead. */
  export const outboundSchema = RequestBody6$outboundSchema;
  /** @deprecated use `RequestBody6$Outbound` instead. */
  export type Outbound = RequestBody6$Outbound;
}

export function requestBody6ToJSON(requestBody6: RequestBody6): string {
  return JSON.stringify(RequestBody6$outboundSchema.parse(requestBody6));
}

export function requestBody6FromJSON(
  jsonString: string,
): SafeParseResult<RequestBody6, SDKValidationError> {
  return safeParse(
    jsonString,
    (x) => RequestBody6$inboundSchema.parse(JSON.parse(x)),
    `Failed to parse 'RequestBody6' from JSON`,
  );
}

/** @internal */
export const CreateRecordRequestBodyDnsRequest5Type$inboundSchema:
  z.ZodNativeEnum<typeof CreateRecordRequestBodyDnsRequest5Type> = z.nativeEnum(
    CreateRecordRequestBodyDnsRequest5Type,
  );

/** @internal */
export const CreateRecordRequestBodyDnsRequest5Type$outboundSchema:
  z.ZodNativeEnum<typeof CreateRecordRequestBodyDnsRequest5Type> =
    CreateRecordRequestBodyDnsRequest5Type$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace CreateRecordRequestBodyDnsRequest5Type$ {
  /** @deprecated use `CreateRecordRequestBodyDnsRequest5Type$inboundSchema` instead. */
  export const inboundSchema =
    CreateRecordRequestBodyDnsRequest5Type$inboundSchema;
  /** @deprecated use `CreateRecordRequestBodyDnsRequest5Type$outboundSchema` instead. */
  export const outboundSchema =
    CreateRecordRequestBodyDnsRequest5Type$outboundSchema;
}

/** @internal */
export const RequestBody5$inboundSchema: z.ZodType<
  RequestBody5,
  z.ZodTypeDef,
  unknown
> = z.object({
  name: z.string(),
  type: CreateRecordRequestBodyDnsRequest5Type$inboundSchema,
  ttl: z.number().optional(),
  value: z.string().optional(),
  comment: z.string().optional(),
});

/** @internal */
export type RequestBody5$Outbound = {
  name: string;
  type: string;
  ttl?: number | undefined;
  value?: string | undefined;
  comment?: string | undefined;
};

/** @internal */
export const RequestBody5$outboundSchema: z.ZodType<
  RequestBody5$Outbound,
  z.ZodTypeDef,
  RequestBody5
> = z.object({
  name: z.string(),
  type: CreateRecordRequestBodyDnsRequest5Type$outboundSchema,
  ttl: z.number().optional(),
  value: z.string().optional(),
  comment: z.string().optional(),
});

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RequestBody5$ {
  /** @deprecated use `RequestBody5$inboundSchema` instead. */
  export const inboundSchema = RequestBody5$inboundSchema;
  /** @deprecated use `RequestBody5$outboundSchema` instead. */
  export const outboundSchema = RequestBody5$outboundSchema;
  /** @deprecated use `RequestBody5$Outbound` instead. */
  export type Outbound = RequestBody5$Outbound;
}

export function requestBody5ToJSON(requestBody5: RequestBody5): string {
  return JSON.stringify(RequestBody5$outboundSchema.parse(requestBody5));
}

export function requestBody5FromJSON(
  jsonString: string,
): SafeParseResult<RequestBody5, SDKValidationError> {
  return safeParse(
    jsonString,
    (x) => RequestBody5$inboundSchema.parse(JSON.parse(x)),
    `Failed to parse 'RequestBody5' from JSON`,
  );
}

/** @internal */
export const CreateRecordRequestBodyDnsRequestType$inboundSchema:
  z.ZodNativeEnum<typeof CreateRecordRequestBodyDnsRequestType> = z.nativeEnum(
    CreateRecordRequestBodyDnsRequestType,
  );

/** @internal */
export const CreateRecordRequestBodyDnsRequestType$outboundSchema:
  z.ZodNativeEnum<typeof CreateRecordRequestBodyDnsRequestType> =
    CreateRecordRequestBodyDnsRequestType$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace CreateRecordRequestBodyDnsRequestType$ {
  /** @deprecated use `CreateRecordRequestBodyDnsRequestType$inboundSchema` instead. */
  export const inboundSchema =
    CreateRecordRequestBodyDnsRequestType$inboundSchema;
  /** @deprecated use `CreateRecordRequestBodyDnsRequestType$outboundSchema` instead. */
  export const outboundSchema =
    CreateRecordRequestBodyDnsRequestType$outboundSchema;
}

/** @internal */
export const RequestBody4$inboundSchema: z.ZodType<
  RequestBody4,
  z.ZodTypeDef,
  unknown
> = z.object({
  name: z.string(),
  type: CreateRecordRequestBodyDnsRequestType$inboundSchema,
  ttl: z.number().optional(),
  value: z.string(),
  comment: z.string().optional(),
});

/** @internal */
export type RequestBody4$Outbound = {
  name: string;
  type: string;
  ttl?: number | undefined;
  value: string;
  comment?: string | undefined;
};

/** @internal */
export const RequestBody4$outboundSchema: z.ZodType<
  RequestBody4$Outbound,
  z.ZodTypeDef,
  RequestBody4
> = z.object({
  name: z.string(),
  type: CreateRecordRequestBodyDnsRequestType$outboundSchema,
  ttl: z.number().optional(),
  value: z.string(),
  comment: z.string().optional(),
});

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RequestBody4$ {
  /** @deprecated use `RequestBody4$inboundSchema` instead. */
  export const inboundSchema = RequestBody4$inboundSchema;
  /** @deprecated use `RequestBody4$outboundSchema` instead. */
  export const outboundSchema = RequestBody4$outboundSchema;
  /** @deprecated use `RequestBody4$Outbound` instead. */
  export type Outbound = RequestBody4$Outbound;
}

export function requestBody4ToJSON(requestBody4: RequestBody4): string {
  return JSON.stringify(RequestBody4$outboundSchema.parse(requestBody4));
}

export function requestBody4FromJSON(
  jsonString: string,
): SafeParseResult<RequestBody4, SDKValidationError> {
  return safeParse(
    jsonString,
    (x) => RequestBody4$inboundSchema.parse(JSON.parse(x)),
    `Failed to parse 'RequestBody4' from JSON`,
  );
}

/** @internal */
export const CreateRecordRequestBodyDnsType$inboundSchema: z.ZodNativeEnum<
  typeof CreateRecordRequestBodyDnsType
> = z.nativeEnum(CreateRecordRequestBodyDnsType);

/** @internal */
export const CreateRecordRequestBodyDnsType$outboundSchema: z.ZodNativeEnum<
  typeof CreateRecordRequestBodyDnsType
> = CreateRecordRequestBodyDnsType$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace CreateRecordRequestBodyDnsType$ {
  /** @deprecated use `CreateRecordRequestBodyDnsType$inboundSchema` instead. */
  export const inboundSchema = CreateRecordRequestBodyDnsType$inboundSchema;
  /** @deprecated use `CreateRecordRequestBodyDnsType$outboundSchema` instead. */
  export const outboundSchema = CreateRecordRequestBodyDnsType$outboundSchema;
}

/** @internal */
export const CreateRecordRequestBody3$inboundSchema: z.ZodType<
  CreateRecordRequestBody3,
  z.ZodTypeDef,
  unknown
> = z.object({
  name: z.string(),
  type: CreateRecordRequestBodyDnsType$inboundSchema,
  ttl: z.number().optional(),
  value: z.string(),
  comment: z.string().optional(),
});

/** @internal */
export type CreateRecordRequestBody3$Outbound = {
  name: string;
  type: string;
  ttl?: number | undefined;
  value: string;
  comment?: string | undefined;
};

/** @internal */
export const CreateRecordRequestBody3$outboundSchema: z.ZodType<
  CreateRecordRequestBody3$Outbound,
  z.ZodTypeDef,
  CreateRecordRequestBody3
> = z.object({
  name: z.string(),
  type: CreateRecordRequestBodyDnsType$outboundSchema,
  ttl: z.number().optional(),
  value: z.string(),
  comment: z.string().optional(),
});

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace CreateRecordRequestBody3$ {
  /** @deprecated use `CreateRecordRequestBody3$inboundSchema` instead. */
  export const inboundSchema = CreateRecordRequestBody3$inboundSchema;
  /** @deprecated use `CreateRecordRequestBody3$outboundSchema` instead. */
  export const outboundSchema = CreateRecordRequestBody3$outboundSchema;
  /** @deprecated use `CreateRecordRequestBody3$Outbound` instead. */
  export type Outbound = CreateRecordRequestBody3$Outbound;
}

export function createRecordRequestBody3ToJSON(
  createRecordRequestBody3: CreateRecordRequestBody3,
): string {
  return JSON.stringify(
    CreateRecordRequestBody3$outboundSchema.parse(createRecordRequestBody3),
  );
}

export function createRecordRequestBody3FromJSON(
  jsonString: string,
): SafeParseResult<CreateRecordRequestBody3, SDKValidationError> {
  return safeParse(
    jsonString,
    (x) => CreateRecordRequestBody3$inboundSchema.parse(JSON.parse(x)),
    `Failed to parse 'CreateRecordRequestBody3' from JSON`,
  );
}

/** @internal */
export const CreateRecordRequestBodyType$inboundSchema: z.ZodNativeEnum<
  typeof CreateRecordRequestBodyType
> = z.nativeEnum(CreateRecordRequestBodyType);

/** @internal */
export const CreateRecordRequestBodyType$outboundSchema: z.ZodNativeEnum<
  typeof CreateRecordRequestBodyType
> = CreateRecordRequestBodyType$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace CreateRecordRequestBodyType$ {
  /** @deprecated use `CreateRecordRequestBodyType$inboundSchema` instead. */
  export const inboundSchema = CreateRecordRequestBodyType$inboundSchema;
  /** @deprecated use `CreateRecordRequestBodyType$outboundSchema` instead. */
  export const outboundSchema = CreateRecordRequestBodyType$outboundSchema;
}

/** @internal */
export const CreateRecordRequestBody2$inboundSchema: z.ZodType<
  CreateRecordRequestBody2,
  z.ZodTypeDef,
  unknown
> = z.object({
  name: z.string(),
  type: CreateRecordRequestBodyType$inboundSchema,
  ttl: z.number().optional(),
  value: z.string(),
  comment: z.string().optional(),
});

/** @internal */
export type CreateRecordRequestBody2$Outbound = {
  name: string;
  type: string;
  ttl?: number | undefined;
  value: string;
  comment?: string | undefined;
};

/** @internal */
export const CreateRecordRequestBody2$outboundSchema: z.ZodType<
  CreateRecordRequestBody2$Outbound,
  z.ZodTypeDef,
  CreateRecordRequestBody2
> = z.object({
  name: z.string(),
  type: CreateRecordRequestBodyType$outboundSchema,
  ttl: z.number().optional(),
  value: z.string(),
  comment: z.string().optional(),
});

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace CreateRecordRequestBody2$ {
  /** @deprecated use `CreateRecordRequestBody2$inboundSchema` instead. */
  export const inboundSchema = CreateRecordRequestBody2$inboundSchema;
  /** @deprecated use `CreateRecordRequestBody2$outboundSchema` instead. */
  export const outboundSchema = CreateRecordRequestBody2$outboundSchema;
  /** @deprecated use `CreateRecordRequestBody2$Outbound` instead. */
  export type Outbound = CreateRecordRequestBody2$Outbound;
}

export function createRecordRequestBody2ToJSON(
  createRecordRequestBody2: CreateRecordRequestBody2,
): string {
  return JSON.stringify(
    CreateRecordRequestBody2$outboundSchema.parse(createRecordRequestBody2),
  );
}

export function createRecordRequestBody2FromJSON(
  jsonString: string,
): SafeParseResult<CreateRecordRequestBody2, SDKValidationError> {
  return safeParse(
    jsonString,
    (x) => CreateRecordRequestBody2$inboundSchema.parse(JSON.parse(x)),
    `Failed to parse 'CreateRecordRequestBody2' from JSON`,
  );
}

/** @internal */
export const RequestBodyType$inboundSchema: z.ZodNativeEnum<
  typeof RequestBodyType
> = z.nativeEnum(RequestBodyType);

/** @internal */
export const RequestBodyType$outboundSchema: z.ZodNativeEnum<
  typeof RequestBodyType
> = RequestBodyType$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RequestBodyType$ {
  /** @deprecated use `RequestBodyType$inboundSchema` instead. */
  export const inboundSchema = RequestBodyType$inboundSchema;
  /** @deprecated use `RequestBodyType$outboundSchema` instead. */
  export const outboundSchema = RequestBodyType$outboundSchema;
}

/** @internal */
export const CreateRecordRequestBody1$inboundSchema: z.ZodType<
  CreateRecordRequestBody1,
  z.ZodTypeDef,
  unknown
> = z.object({
  name: z.string(),
  type: RequestBodyType$inboundSchema,
  ttl: z.number().optional(),
  value: z.string(),
  comment: z.string().optional(),
});

/** @internal */
export type CreateRecordRequestBody1$Outbound = {
  name: string;
  type: string;
  ttl?: number | undefined;
  value: string;
  comment?: string | undefined;
};

/** @internal */
export const CreateRecordRequestBody1$outboundSchema: z.ZodType<
  CreateRecordRequestBody1$Outbound,
  z.ZodTypeDef,
  CreateRecordRequestBody1
> = z.object({
  name: z.string(),
  type: RequestBodyType$outboundSchema,
  ttl: z.number().optional(),
  value: z.string(),
  comment: z.string().optional(),
});

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace CreateRecordRequestBody1$ {
  /** @deprecated use `CreateRecordRequestBody1$inboundSchema` instead. */
  export const inboundSchema = CreateRecordRequestBody1$inboundSchema;
  /** @deprecated use `CreateRecordRequestBody1$outboundSchema` instead. */
  export const outboundSchema = CreateRecordRequestBody1$outboundSchema;
  /** @deprecated use `CreateRecordRequestBody1$Outbound` instead. */
  export type Outbound = CreateRecordRequestBody1$Outbound;
}

export function createRecordRequestBody1ToJSON(
  createRecordRequestBody1: CreateRecordRequestBody1,
): string {
  return JSON.stringify(
    CreateRecordRequestBody1$outboundSchema.parse(createRecordRequestBody1),
  );
}

export function createRecordRequestBody1FromJSON(
  jsonString: string,
): SafeParseResult<CreateRecordRequestBody1, SDKValidationError> {
  return safeParse(
    jsonString,
    (x) => CreateRecordRequestBody1$inboundSchema.parse(JSON.parse(x)),
    `Failed to parse 'CreateRecordRequestBody1' from JSON`,
  );
}

/** @internal */
export const CreateRecordRequestBody$inboundSchema: z.ZodType<
  CreateRecordRequestBody,
  z.ZodTypeDef,
  unknown
> = z.union([
  z.lazy(() => RequestBody7$inboundSchema),
  z.lazy(() => RequestBody8$inboundSchema),
  z.lazy(() => RequestBody10$inboundSchema),
  z.lazy(() => CreateRecordRequestBody1$inboundSchema),
  z.lazy(() => CreateRecordRequestBody2$inboundSchema),
  z.lazy(() => CreateRecordRequestBody3$inboundSchema),
  z.lazy(() => RequestBody4$inboundSchema),
  z.lazy(() => RequestBody5$inboundSchema),
  z.lazy(() => RequestBody9$inboundSchema),
  z.lazy(() => RequestBody6$inboundSchema),
]);

/** @internal */
export type CreateRecordRequestBody$Outbound =
  | RequestBody7$Outbound
  | RequestBody8$Outbound
  | RequestBody10$Outbound
  | CreateRecordRequestBody1$Outbound
  | CreateRecordRequestBody2$Outbound
  | CreateRecordRequestBody3$Outbound
  | RequestBody4$Outbound
  | RequestBody5$Outbound
  | RequestBody9$Outbound
  | RequestBody6$Outbound;

/** @internal */
export const CreateRecordRequestBody$outboundSchema: z.ZodType<
  CreateRecordRequestBody$Outbound,
  z.ZodTypeDef,
  CreateRecordRequestBody
> = z.union([
  z.lazy(() => RequestBody7$outboundSchema),
  z.lazy(() => RequestBody8$outboundSchema),
  z.lazy(() => RequestBody10$outboundSchema),
  z.lazy(() => CreateRecordRequestBody1$outboundSchema),
  z.lazy(() => CreateRecordRequestBody2$outboundSchema),
  z.lazy(() => CreateRecordRequestBody3$outboundSchema),
  z.lazy(() => RequestBody4$outboundSchema),
  z.lazy(() => RequestBody5$outboundSchema),
  z.lazy(() => RequestBody9$outboundSchema),
  z.lazy(() => RequestBody6$outboundSchema),
]);

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace CreateRecordRequestBody$ {
  /** @deprecated use `CreateRecordRequestBody$inboundSchema` instead. */
  export const inboundSchema = CreateRecordRequestBody$inboundSchema;
  /** @deprecated use `CreateRecordRequestBody$outboundSchema` instead. */
  export const outboundSchema = CreateRecordRequestBody$outboundSchema;
  /** @deprecated use `CreateRecordRequestBody$Outbound` instead. */
  export type Outbound = CreateRecordRequestBody$Outbound;
}

export function createRecordRequestBodyToJSON(
  createRecordRequestBody: CreateRecordRequestBody,
): string {
  return JSON.stringify(
    CreateRecordRequestBody$outboundSchema.parse(createRecordRequestBody),
  );
}

export function createRecordRequestBodyFromJSON(
  jsonString: string,
): SafeParseResult<CreateRecordRequestBody, SDKValidationError> {
  return safeParse(
    jsonString,
    (x) => CreateRecordRequestBody$inboundSchema.parse(JSON.parse(x)),
    `Failed to parse 'CreateRecordRequestBody' from JSON`,
  );
}

/** @internal */
export const CreateRecordRequest$inboundSchema: z.ZodType<
  CreateRecordRequest,
  z.ZodTypeDef,
  unknown
> = z.object({
  domain: z.string(),
  teamId: z.string().optional(),
  slug: z.string().optional(),
  RequestBody: z.union([
    z.lazy(() => RequestBody7$inboundSchema),
    z.lazy(() => RequestBody8$inboundSchema),
    z.lazy(() => RequestBody10$inboundSchema),
    z.lazy(() => CreateRecordRequestBody1$inboundSchema),
    z.lazy(() => CreateRecordRequestBody2$inboundSchema),
    z.lazy(() => CreateRecordRequestBody3$inboundSchema),
    z.lazy(() => RequestBody4$inboundSchema),
    z.lazy(() => RequestBody5$inboundSchema),
    z.lazy(() => RequestBody9$inboundSchema),
    z.lazy(() => RequestBody6$inboundSchema),
  ]),
}).transform((v) => {
  return remap$(v, {
    "RequestBody": "requestBody",
  });
});

/** @internal */
export type CreateRecordRequest$Outbound = {
  domain: string;
  teamId?: string | undefined;
  slug?: string | undefined;
  RequestBody:
    | RequestBody7$Outbound
    | RequestBody8$Outbound
    | RequestBody10$Outbound
    | CreateRecordRequestBody1$Outbound
    | CreateRecordRequestBody2$Outbound
    | CreateRecordRequestBody3$Outbound
    | RequestBody4$Outbound
    | RequestBody5$Outbound
    | RequestBody9$Outbound
    | RequestBody6$Outbound;
};

/** @internal */
export const CreateRecordRequest$outboundSchema: z.ZodType<
  CreateRecordRequest$Outbound,
  z.ZodTypeDef,
  CreateRecordRequest
> = z.object({
  domain: z.string(),
  teamId: z.string().optional(),
  slug: z.string().optional(),
  requestBody: z.union([
    z.lazy(() => RequestBody7$outboundSchema),
    z.lazy(() => RequestBody8$outboundSchema),
    z.lazy(() => RequestBody10$outboundSchema),
    z.lazy(() => CreateRecordRequestBody1$outboundSchema),
    z.lazy(() => CreateRecordRequestBody2$outboundSchema),
    z.lazy(() => CreateRecordRequestBody3$outboundSchema),
    z.lazy(() => RequestBody4$outboundSchema),
    z.lazy(() => RequestBody5$outboundSchema),
    z.lazy(() => RequestBody9$outboundSchema),
    z.lazy(() => RequestBody6$outboundSchema),
  ]),
}).transform((v) => {
  return remap$(v, {
    requestBody: "RequestBody",
  });
});

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace CreateRecordRequest$ {
  /** @deprecated use `CreateRecordRequest$inboundSchema` instead. */
  export const inboundSchema = CreateRecordRequest$inboundSchema;
  /** @deprecated use `CreateRecordRequest$outboundSchema` instead. */
  export const outboundSchema = CreateRecordRequest$outboundSchema;
  /** @deprecated use `CreateRecordRequest$Outbound` instead. */
  export type Outbound = CreateRecordRequest$Outbound;
}

export function createRecordRequestToJSON(
  createRecordRequest: CreateRecordRequest,
): string {
  return JSON.stringify(
    CreateRecordRequest$outboundSchema.parse(createRecordRequest),
  );
}

export function createRecordRequestFromJSON(
  jsonString: string,
): SafeParseResult<CreateRecordRequest, SDKValidationError> {
  return safeParse(
    jsonString,
    (x) => CreateRecordRequest$inboundSchema.parse(JSON.parse(x)),
    `Failed to parse 'CreateRecordRequest' from JSON`,
  );
}

/** @internal */
export const CreateRecordResponseBody2$inboundSchema: z.ZodType<
  CreateRecordResponseBody2,
  z.ZodTypeDef,
  unknown
> = z.object({
  uid: z.string(),
});

/** @internal */
export type CreateRecordResponseBody2$Outbound = {
  uid: string;
};

/** @internal */
export const CreateRecordResponseBody2$outboundSchema: z.ZodType<
  CreateRecordResponseBody2$Outbound,
  z.ZodTypeDef,
  CreateRecordResponseBody2
> = z.object({
  uid: z.string(),
});

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace CreateRecordResponseBody2$ {
  /** @deprecated use `CreateRecordResponseBody2$inboundSchema` instead. */
  export const inboundSchema = CreateRecordResponseBody2$inboundSchema;
  /** @deprecated use `CreateRecordResponseBody2$outboundSchema` instead. */
  export const outboundSchema = CreateRecordResponseBody2$outboundSchema;
  /** @deprecated use `CreateRecordResponseBody2$Outbound` instead. */
  export type Outbound = CreateRecordResponseBody2$Outbound;
}

export function createRecordResponseBody2ToJSON(
  createRecordResponseBody2: CreateRecordResponseBody2,
): string {
  return JSON.stringify(
    CreateRecordResponseBody2$outboundSchema.parse(createRecordResponseBody2),
  );
}

export function createRecordResponseBody2FromJSON(
  jsonString: string,
): SafeParseResult<CreateRecordResponseBody2, SDKValidationError> {
  return safeParse(
    jsonString,
    (x) => CreateRecordResponseBody2$inboundSchema.parse(JSON.parse(x)),
    `Failed to parse 'CreateRecordResponseBody2' from JSON`,
  );
}

/** @internal */
export const CreateRecordResponseBody1$inboundSchema: z.ZodType<
  CreateRecordResponseBody1,
  z.ZodTypeDef,
  unknown
> = z.object({
  uid: z.string(),
  updated: z.number(),
});

/** @internal */
export type CreateRecordResponseBody1$Outbound = {
  uid: string;
  updated: number;
};

/** @internal */
export const CreateRecordResponseBody1$outboundSchema: z.ZodType<
  CreateRecordResponseBody1$Outbound,
  z.ZodTypeDef,
  CreateRecordResponseBody1
> = z.object({
  uid: z.string(),
  updated: z.number(),
});

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace CreateRecordResponseBody1$ {
  /** @deprecated use `CreateRecordResponseBody1$inboundSchema` instead. */
  export const inboundSchema = CreateRecordResponseBody1$inboundSchema;
  /** @deprecated use `CreateRecordResponseBody1$outboundSchema` instead. */
  export const outboundSchema = CreateRecordResponseBody1$outboundSchema;
  /** @deprecated use `CreateRecordResponseBody1$Outbound` instead. */
  export type Outbound = CreateRecordResponseBody1$Outbound;
}

export function createRecordResponseBody1ToJSON(
  createRecordResponseBody1: CreateRecordResponseBody1,
): string {
  return JSON.stringify(
    CreateRecordResponseBody1$outboundSchema.parse(createRecordResponseBody1),
  );
}

export function createRecordResponseBody1FromJSON(
  jsonString: string,
): SafeParseResult<CreateRecordResponseBody1, SDKValidationError> {
  return safeParse(
    jsonString,
    (x) => CreateRecordResponseBody1$inboundSchema.parse(JSON.parse(x)),
    `Failed to parse 'CreateRecordResponseBody1' from JSON`,
  );
}

/** @internal */
export const CreateRecordResponseBody$inboundSchema: z.ZodType<
  CreateRecordResponseBody,
  z.ZodTypeDef,
  unknown
> = z.union([
  z.lazy(() => CreateRecordResponseBody2$inboundSchema),
  z.lazy(() => CreateRecordResponseBody1$inboundSchema),
]);

/** @internal */
export type CreateRecordResponseBody$Outbound =
  | CreateRecordResponseBody2$Outbound
  | CreateRecordResponseBody1$Outbound;

/** @internal */
export const CreateRecordResponseBody$outboundSchema: z.ZodType<
  CreateRecordResponseBody$Outbound,
  z.ZodTypeDef,
  CreateRecordResponseBody
> = z.union([
  z.lazy(() => CreateRecordResponseBody2$outboundSchema),
  z.lazy(() => CreateRecordResponseBody1$outboundSchema),
]);

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace CreateRecordResponseBody$ {
  /** @deprecated use `CreateRecordResponseBody$inboundSchema` instead. */
  export const inboundSchema = CreateRecordResponseBody$inboundSchema;
  /** @deprecated use `CreateRecordResponseBody$outboundSchema` instead. */
  export const outboundSchema = CreateRecordResponseBody$outboundSchema;
  /** @deprecated use `CreateRecordResponseBody$Outbound` instead. */
  export type Outbound = CreateRecordResponseBody$Outbound;
}

export function createRecordResponseBodyToJSON(
  createRecordResponseBody: CreateRecordResponseBody,
): string {
  return JSON.stringify(
    CreateRecordResponseBody$outboundSchema.parse(createRecordResponseBody),
  );
}

export function createRecordResponseBodyFromJSON(
  jsonString: string,
): SafeParseResult<CreateRecordResponseBody, SDKValidationError> {
  return safeParse(
    jsonString,
    (x) => CreateRecordResponseBody$inboundSchema.parse(JSON.parse(x)),
    `Failed to parse 'CreateRecordResponseBody' from JSON`,
  );
}
