/*
 * Code generated by Speakeasy (https://speakeasy.com). DO NOT EDIT.
 */

import * as z from "zod";
import { remap as remap$ } from "../lib/primitives.js";
import { safeParse } from "../lib/schemas.js";
import { ClosedEnum } from "../types/enums.js";
import { Result as SafeParseResult } from "../types/fp.js";
import { SDKValidationError } from "./sdkvalidationerror.js";

export const UpdateInvoiceAction = {
  Refund: "refund",
} as const;
export type UpdateInvoiceAction = ClosedEnum<typeof UpdateInvoiceAction>;

export type UpdateInvoiceRequestBody = {
  action: UpdateInvoiceAction;
  /**
   * Refund reason.
   */
  reason: string;
  /**
   * The total amount to be refunded. Must be less than or equal to the total amount of the invoice.
   */
  total: string;
};

export type UpdateInvoiceRequest = {
  integrationConfigurationId: string;
  invoiceId: string;
  requestBody: UpdateInvoiceRequestBody;
};

/** @internal */
export const UpdateInvoiceAction$inboundSchema: z.ZodNativeEnum<
  typeof UpdateInvoiceAction
> = z.nativeEnum(UpdateInvoiceAction);

/** @internal */
export const UpdateInvoiceAction$outboundSchema: z.ZodNativeEnum<
  typeof UpdateInvoiceAction
> = UpdateInvoiceAction$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace UpdateInvoiceAction$ {
  /** @deprecated use `UpdateInvoiceAction$inboundSchema` instead. */
  export const inboundSchema = UpdateInvoiceAction$inboundSchema;
  /** @deprecated use `UpdateInvoiceAction$outboundSchema` instead. */
  export const outboundSchema = UpdateInvoiceAction$outboundSchema;
}

/** @internal */
export const UpdateInvoiceRequestBody$inboundSchema: z.ZodType<
  UpdateInvoiceRequestBody,
  z.ZodTypeDef,
  unknown
> = z.object({
  action: UpdateInvoiceAction$inboundSchema,
  reason: z.string(),
  total: z.string(),
});

/** @internal */
export type UpdateInvoiceRequestBody$Outbound = {
  action: string;
  reason: string;
  total: string;
};

/** @internal */
export const UpdateInvoiceRequestBody$outboundSchema: z.ZodType<
  UpdateInvoiceRequestBody$Outbound,
  z.ZodTypeDef,
  UpdateInvoiceRequestBody
> = z.object({
  action: UpdateInvoiceAction$outboundSchema,
  reason: z.string(),
  total: z.string(),
});

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace UpdateInvoiceRequestBody$ {
  /** @deprecated use `UpdateInvoiceRequestBody$inboundSchema` instead. */
  export const inboundSchema = UpdateInvoiceRequestBody$inboundSchema;
  /** @deprecated use `UpdateInvoiceRequestBody$outboundSchema` instead. */
  export const outboundSchema = UpdateInvoiceRequestBody$outboundSchema;
  /** @deprecated use `UpdateInvoiceRequestBody$Outbound` instead. */
  export type Outbound = UpdateInvoiceRequestBody$Outbound;
}

export function updateInvoiceRequestBodyToJSON(
  updateInvoiceRequestBody: UpdateInvoiceRequestBody,
): string {
  return JSON.stringify(
    UpdateInvoiceRequestBody$outboundSchema.parse(updateInvoiceRequestBody),
  );
}

export function updateInvoiceRequestBodyFromJSON(
  jsonString: string,
): SafeParseResult<UpdateInvoiceRequestBody, SDKValidationError> {
  return safeParse(
    jsonString,
    (x) => UpdateInvoiceRequestBody$inboundSchema.parse(JSON.parse(x)),
    `Failed to parse 'UpdateInvoiceRequestBody' from JSON`,
  );
}

/** @internal */
export const UpdateInvoiceRequest$inboundSchema: z.ZodType<
  UpdateInvoiceRequest,
  z.ZodTypeDef,
  unknown
> = z.object({
  integrationConfigurationId: z.string(),
  invoiceId: z.string(),
  RequestBody: z.lazy(() => UpdateInvoiceRequestBody$inboundSchema),
}).transform((v) => {
  return remap$(v, {
    "RequestBody": "requestBody",
  });
});

/** @internal */
export type UpdateInvoiceRequest$Outbound = {
  integrationConfigurationId: string;
  invoiceId: string;
  RequestBody: UpdateInvoiceRequestBody$Outbound;
};

/** @internal */
export const UpdateInvoiceRequest$outboundSchema: z.ZodType<
  UpdateInvoiceRequest$Outbound,
  z.ZodTypeDef,
  UpdateInvoiceRequest
> = z.object({
  integrationConfigurationId: z.string(),
  invoiceId: z.string(),
  requestBody: z.lazy(() => UpdateInvoiceRequestBody$outboundSchema),
}).transform((v) => {
  return remap$(v, {
    requestBody: "RequestBody",
  });
});

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace UpdateInvoiceRequest$ {
  /** @deprecated use `UpdateInvoiceRequest$inboundSchema` instead. */
  export const inboundSchema = UpdateInvoiceRequest$inboundSchema;
  /** @deprecated use `UpdateInvoiceRequest$outboundSchema` instead. */
  export const outboundSchema = UpdateInvoiceRequest$outboundSchema;
  /** @deprecated use `UpdateInvoiceRequest$Outbound` instead. */
  export type Outbound = UpdateInvoiceRequest$Outbound;
}

export function updateInvoiceRequestToJSON(
  updateInvoiceRequest: UpdateInvoiceRequest,
): string {
  return JSON.stringify(
    UpdateInvoiceRequest$outboundSchema.parse(updateInvoiceRequest),
  );
}

export function updateInvoiceRequestFromJSON(
  jsonString: string,
): SafeParseResult<UpdateInvoiceRequest, SDKValidationError> {
  return safeParse(
    jsonString,
    (x) => UpdateInvoiceRequest$inboundSchema.parse(JSON.parse(x)),
    `Failed to parse 'UpdateInvoiceRequest' from JSON`,
  );
}
