#!/usr/bin/env node
import { createRequire } from "node:module";
var __create = Object.create;
var __getProtoOf = Object.getPrototypeOf;
var __defProp = Object.defineProperty;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __toESM = (mod, isNodeMode, target) => {
  target = mod != null ? __create(__getProtoOf(mod)) : {};
  const to = isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target;
  for (let key of __getOwnPropNames(mod))
    if (!__hasOwnProp.call(to, key))
      __defProp(to, key, {
        get: () => mod[key],
        enumerable: true
      });
  return to;
};
var __commonJS = (cb, mod) => () => (mod || cb((mod = { exports: {} }).exports, mod), mod.exports);
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, {
      get: all[name],
      enumerable: true,
      configurable: true,
      set: (newValue) => all[name] = () => newValue
    });
};
var __esm = (fn, res) => () => (fn && (res = fn(fn = 0)), res);
var __require = /* @__PURE__ */ createRequire(import.meta.url);

// node_modules/zod/dist/esm/v3/helpers/util.js
var util, objectUtil, ZodParsedType, getParsedType = (data) => {
  const t = typeof data;
  switch (t) {
    case "undefined":
      return ZodParsedType.undefined;
    case "string":
      return ZodParsedType.string;
    case "number":
      return Number.isNaN(data) ? ZodParsedType.nan : ZodParsedType.number;
    case "boolean":
      return ZodParsedType.boolean;
    case "function":
      return ZodParsedType.function;
    case "bigint":
      return ZodParsedType.bigint;
    case "symbol":
      return ZodParsedType.symbol;
    case "object":
      if (Array.isArray(data)) {
        return ZodParsedType.array;
      }
      if (data === null) {
        return ZodParsedType.null;
      }
      if (data.then && typeof data.then === "function" && data.catch && typeof data.catch === "function") {
        return ZodParsedType.promise;
      }
      if (typeof Map !== "undefined" && data instanceof Map) {
        return ZodParsedType.map;
      }
      if (typeof Set !== "undefined" && data instanceof Set) {
        return ZodParsedType.set;
      }
      if (typeof Date !== "undefined" && data instanceof Date) {
        return ZodParsedType.date;
      }
      return ZodParsedType.object;
    default:
      return ZodParsedType.unknown;
  }
};
var init_util = __esm(() => {
  (function(util2) {
    util2.assertEqual = (_2) => {};
    function assertIs(_arg) {}
    util2.assertIs = assertIs;
    function assertNever(_x) {
      throw new Error;
    }
    util2.assertNever = assertNever;
    util2.arrayToEnum = (items) => {
      const obj = {};
      for (const item of items) {
        obj[item] = item;
      }
      return obj;
    };
    util2.getValidEnumValues = (obj) => {
      const validKeys = util2.objectKeys(obj).filter((k2) => typeof obj[obj[k2]] !== "number");
      const filtered = {};
      for (const k2 of validKeys) {
        filtered[k2] = obj[k2];
      }
      return util2.objectValues(filtered);
    };
    util2.objectValues = (obj) => {
      return util2.objectKeys(obj).map(function(e) {
        return obj[e];
      });
    };
    util2.objectKeys = typeof Object.keys === "function" ? (obj) => Object.keys(obj) : (object) => {
      const keys = [];
      for (const key in object) {
        if (Object.prototype.hasOwnProperty.call(object, key)) {
          keys.push(key);
        }
      }
      return keys;
    };
    util2.find = (arr, checker) => {
      for (const item of arr) {
        if (checker(item))
          return item;
      }
      return;
    };
    util2.isInteger = typeof Number.isInteger === "function" ? (val) => Number.isInteger(val) : (val) => typeof val === "number" && Number.isFinite(val) && Math.floor(val) === val;
    function joinValues(array, separator = " | ") {
      return array.map((val) => typeof val === "string" ? `'${val}'` : val).join(separator);
    }
    util2.joinValues = joinValues;
    util2.jsonStringifyReplacer = (_2, value) => {
      if (typeof value === "bigint") {
        return value.toString();
      }
      return value;
    };
  })(util || (util = {}));
  (function(objectUtil2) {
    objectUtil2.mergeShapes = (first, second) => {
      return {
        ...first,
        ...second
      };
    };
  })(objectUtil || (objectUtil = {}));
  ZodParsedType = util.arrayToEnum([
    "string",
    "nan",
    "number",
    "integer",
    "float",
    "boolean",
    "date",
    "bigint",
    "symbol",
    "function",
    "undefined",
    "null",
    "array",
    "object",
    "unknown",
    "promise",
    "void",
    "never",
    "map",
    "set"
  ]);
});

// node_modules/zod/dist/esm/v3/ZodError.js
var ZodIssueCode, quotelessJson = (obj) => {
  const json = JSON.stringify(obj, null, 2);
  return json.replace(/"([^"]+)":/g, "$1:");
}, ZodError;
var init_ZodError = __esm(() => {
  init_util();
  ZodIssueCode = util.arrayToEnum([
    "invalid_type",
    "invalid_literal",
    "custom",
    "invalid_union",
    "invalid_union_discriminator",
    "invalid_enum_value",
    "unrecognized_keys",
    "invalid_arguments",
    "invalid_return_type",
    "invalid_date",
    "invalid_string",
    "too_small",
    "too_big",
    "invalid_intersection_types",
    "not_multiple_of",
    "not_finite"
  ]);
  ZodError = class ZodError extends Error {
    get errors() {
      return this.issues;
    }
    constructor(issues) {
      super();
      this.issues = [];
      this.addIssue = (sub) => {
        this.issues = [...this.issues, sub];
      };
      this.addIssues = (subs = []) => {
        this.issues = [...this.issues, ...subs];
      };
      const actualProto = new.target.prototype;
      if (Object.setPrototypeOf) {
        Object.setPrototypeOf(this, actualProto);
      } else {
        this.__proto__ = actualProto;
      }
      this.name = "ZodError";
      this.issues = issues;
    }
    format(_mapper) {
      const mapper = _mapper || function(issue) {
        return issue.message;
      };
      const fieldErrors = { _errors: [] };
      const processError = (error) => {
        for (const issue of error.issues) {
          if (issue.code === "invalid_union") {
            issue.unionErrors.map(processError);
          } else if (issue.code === "invalid_return_type") {
            processError(issue.returnTypeError);
          } else if (issue.code === "invalid_arguments") {
            processError(issue.argumentsError);
          } else if (issue.path.length === 0) {
            fieldErrors._errors.push(mapper(issue));
          } else {
            let curr = fieldErrors;
            let i = 0;
            while (i < issue.path.length) {
              const el = issue.path[i];
              const terminal = i === issue.path.length - 1;
              if (!terminal) {
                curr[el] = curr[el] || { _errors: [] };
              } else {
                curr[el] = curr[el] || { _errors: [] };
                curr[el]._errors.push(mapper(issue));
              }
              curr = curr[el];
              i++;
            }
          }
        }
      };
      processError(this);
      return fieldErrors;
    }
    static assert(value) {
      if (!(value instanceof ZodError)) {
        throw new Error(`Not a ZodError: ${value}`);
      }
    }
    toString() {
      return this.message;
    }
    get message() {
      return JSON.stringify(this.issues, util.jsonStringifyReplacer, 2);
    }
    get isEmpty() {
      return this.issues.length === 0;
    }
    flatten(mapper = (issue) => issue.message) {
      const fieldErrors = {};
      const formErrors = [];
      for (const sub of this.issues) {
        if (sub.path.length > 0) {
          fieldErrors[sub.path[0]] = fieldErrors[sub.path[0]] || [];
          fieldErrors[sub.path[0]].push(mapper(sub));
        } else {
          formErrors.push(mapper(sub));
        }
      }
      return { formErrors, fieldErrors };
    }
    get formErrors() {
      return this.flatten();
    }
  };
  ZodError.create = (issues) => {
    const error = new ZodError(issues);
    return error;
  };
});

// node_modules/zod/dist/esm/v3/locales/en.js
var errorMap = (issue, _ctx) => {
  let message;
  switch (issue.code) {
    case ZodIssueCode.invalid_type:
      if (issue.received === ZodParsedType.undefined) {
        message = "Required";
      } else {
        message = `Expected ${issue.expected}, received ${issue.received}`;
      }
      break;
    case ZodIssueCode.invalid_literal:
      message = `Invalid literal value, expected ${JSON.stringify(issue.expected, util.jsonStringifyReplacer)}`;
      break;
    case ZodIssueCode.unrecognized_keys:
      message = `Unrecognized key(s) in object: ${util.joinValues(issue.keys, ", ")}`;
      break;
    case ZodIssueCode.invalid_union:
      message = `Invalid input`;
      break;
    case ZodIssueCode.invalid_union_discriminator:
      message = `Invalid discriminator value. Expected ${util.joinValues(issue.options)}`;
      break;
    case ZodIssueCode.invalid_enum_value:
      message = `Invalid enum value. Expected ${util.joinValues(issue.options)}, received '${issue.received}'`;
      break;
    case ZodIssueCode.invalid_arguments:
      message = `Invalid function arguments`;
      break;
    case ZodIssueCode.invalid_return_type:
      message = `Invalid function return type`;
      break;
    case ZodIssueCode.invalid_date:
      message = `Invalid date`;
      break;
    case ZodIssueCode.invalid_string:
      if (typeof issue.validation === "object") {
        if ("includes" in issue.validation) {
          message = `Invalid input: must include "${issue.validation.includes}"`;
          if (typeof issue.validation.position === "number") {
            message = `${message} at one or more positions greater than or equal to ${issue.validation.position}`;
          }
        } else if ("startsWith" in issue.validation) {
          message = `Invalid input: must start with "${issue.validation.startsWith}"`;
        } else if ("endsWith" in issue.validation) {
          message = `Invalid input: must end with "${issue.validation.endsWith}"`;
        } else {
          util.assertNever(issue.validation);
        }
      } else if (issue.validation !== "regex") {
        message = `Invalid ${issue.validation}`;
      } else {
        message = "Invalid";
      }
      break;
    case ZodIssueCode.too_small:
      if (issue.type === "array")
        message = `Array must contain ${issue.exact ? "exactly" : issue.inclusive ? `at least` : `more than`} ${issue.minimum} element(s)`;
      else if (issue.type === "string")
        message = `String must contain ${issue.exact ? "exactly" : issue.inclusive ? `at least` : `over`} ${issue.minimum} character(s)`;
      else if (issue.type === "number")
        message = `Number must be ${issue.exact ? `exactly equal to ` : issue.inclusive ? `greater than or equal to ` : `greater than `}${issue.minimum}`;
      else if (issue.type === "date")
        message = `Date must be ${issue.exact ? `exactly equal to ` : issue.inclusive ? `greater than or equal to ` : `greater than `}${new Date(Number(issue.minimum))}`;
      else
        message = "Invalid input";
      break;
    case ZodIssueCode.too_big:
      if (issue.type === "array")
        message = `Array must contain ${issue.exact ? `exactly` : issue.inclusive ? `at most` : `less than`} ${issue.maximum} element(s)`;
      else if (issue.type === "string")
        message = `String must contain ${issue.exact ? `exactly` : issue.inclusive ? `at most` : `under`} ${issue.maximum} character(s)`;
      else if (issue.type === "number")
        message = `Number must be ${issue.exact ? `exactly` : issue.inclusive ? `less than or equal to` : `less than`} ${issue.maximum}`;
      else if (issue.type === "bigint")
        message = `BigInt must be ${issue.exact ? `exactly` : issue.inclusive ? `less than or equal to` : `less than`} ${issue.maximum}`;
      else if (issue.type === "date")
        message = `Date must be ${issue.exact ? `exactly` : issue.inclusive ? `smaller than or equal to` : `smaller than`} ${new Date(Number(issue.maximum))}`;
      else
        message = "Invalid input";
      break;
    case ZodIssueCode.custom:
      message = `Invalid input`;
      break;
    case ZodIssueCode.invalid_intersection_types:
      message = `Intersection results could not be merged`;
      break;
    case ZodIssueCode.not_multiple_of:
      message = `Number must be a multiple of ${issue.multipleOf}`;
      break;
    case ZodIssueCode.not_finite:
      message = "Number must be finite";
      break;
    default:
      message = _ctx.defaultError;
      util.assertNever(issue);
  }
  return { message };
}, en_default;
var init_en = __esm(() => {
  init_ZodError();
  init_util();
  en_default = errorMap;
});

// node_modules/zod/dist/esm/v3/errors.js
function setErrorMap(map) {
  overrideErrorMap = map;
}
function getErrorMap() {
  return overrideErrorMap;
}
var overrideErrorMap;
var init_errors = __esm(() => {
  init_en();
  overrideErrorMap = en_default;
});

// node_modules/zod/dist/esm/v3/helpers/parseUtil.js
function addIssueToContext(ctx, issueData) {
  const overrideMap = getErrorMap();
  const issue = makeIssue({
    issueData,
    data: ctx.data,
    path: ctx.path,
    errorMaps: [
      ctx.common.contextualErrorMap,
      ctx.schemaErrorMap,
      overrideMap,
      overrideMap === en_default ? undefined : en_default
    ].filter((x2) => !!x2)
  });
  ctx.common.issues.push(issue);
}

class ParseStatus {
  constructor() {
    this.value = "valid";
  }
  dirty() {
    if (this.value === "valid")
      this.value = "dirty";
  }
  abort() {
    if (this.value !== "aborted")
      this.value = "aborted";
  }
  static mergeArray(status, results) {
    const arrayValue = [];
    for (const s of results) {
      if (s.status === "aborted")
        return INVALID;
      if (s.status === "dirty")
        status.dirty();
      arrayValue.push(s.value);
    }
    return { status: status.value, value: arrayValue };
  }
  static async mergeObjectAsync(status, pairs) {
    const syncPairs = [];
    for (const pair of pairs) {
      const key = await pair.key;
      const value = await pair.value;
      syncPairs.push({
        key,
        value
      });
    }
    return ParseStatus.mergeObjectSync(status, syncPairs);
  }
  static mergeObjectSync(status, pairs) {
    const finalObject = {};
    for (const pair of pairs) {
      const { key, value } = pair;
      if (key.status === "aborted")
        return INVALID;
      if (value.status === "aborted")
        return INVALID;
      if (key.status === "dirty")
        status.dirty();
      if (value.status === "dirty")
        status.dirty();
      if (key.value !== "__proto__" && (typeof value.value !== "undefined" || pair.alwaysSet)) {
        finalObject[key.value] = value.value;
      }
    }
    return { status: status.value, value: finalObject };
  }
}
var makeIssue = (params) => {
  const { data, path, errorMaps, issueData } = params;
  const fullPath = [...path, ...issueData.path || []];
  const fullIssue = {
    ...issueData,
    path: fullPath
  };
  if (issueData.message !== undefined) {
    return {
      ...issueData,
      path: fullPath,
      message: issueData.message
    };
  }
  let errorMessage = "";
  const maps = errorMaps.filter((m) => !!m).slice().reverse();
  for (const map of maps) {
    errorMessage = map(fullIssue, { data, defaultError: errorMessage }).message;
  }
  return {
    ...issueData,
    path: fullPath,
    message: errorMessage
  };
}, EMPTY_PATH, INVALID, DIRTY = (value) => ({ status: "dirty", value }), OK = (value) => ({ status: "valid", value }), isAborted = (x2) => x2.status === "aborted", isDirty = (x2) => x2.status === "dirty", isValid = (x2) => x2.status === "valid", isAsync = (x2) => typeof Promise !== "undefined" && x2 instanceof Promise;
var init_parseUtil = __esm(() => {
  init_errors();
  init_en();
  EMPTY_PATH = [];
  INVALID = Object.freeze({
    status: "aborted"
  });
});

// node_modules/zod/dist/esm/v3/helpers/typeAliases.js
var init_typeAliases = () => {};

// node_modules/zod/dist/esm/v3/helpers/errorUtil.js
var errorUtil;
var init_errorUtil = __esm(() => {
  (function(errorUtil2) {
    errorUtil2.errToObj = (message) => typeof message === "string" ? { message } : message || {};
    errorUtil2.toString = (message) => typeof message === "string" ? message : message?.message;
  })(errorUtil || (errorUtil = {}));
});

// node_modules/zod/dist/esm/v3/types.js
class ParseInputLazyPath {
  constructor(parent, value, path, key) {
    this._cachedPath = [];
    this.parent = parent;
    this.data = value;
    this._path = path;
    this._key = key;
  }
  get path() {
    if (!this._cachedPath.length) {
      if (Array.isArray(this._key)) {
        this._cachedPath.push(...this._path, ...this._key);
      } else {
        this._cachedPath.push(...this._path, this._key);
      }
    }
    return this._cachedPath;
  }
}
function processCreateParams(params) {
  if (!params)
    return {};
  const { errorMap: errorMap2, invalid_type_error, required_error, description } = params;
  if (errorMap2 && (invalid_type_error || required_error)) {
    throw new Error(`Can't use "invalid_type_error" or "required_error" in conjunction with custom error map.`);
  }
  if (errorMap2)
    return { errorMap: errorMap2, description };
  const customMap = (iss, ctx) => {
    const { message } = params;
    if (iss.code === "invalid_enum_value") {
      return { message: message ?? ctx.defaultError };
    }
    if (typeof ctx.data === "undefined") {
      return { message: message ?? required_error ?? ctx.defaultError };
    }
    if (iss.code !== "invalid_type")
      return { message: ctx.defaultError };
    return { message: message ?? invalid_type_error ?? ctx.defaultError };
  };
  return { errorMap: customMap, description };
}

class ZodType {
  get description() {
    return this._def.description;
  }
  _getType(input) {
    return getParsedType(input.data);
  }
  _getOrReturnCtx(input, ctx) {
    return ctx || {
      common: input.parent.common,
      data: input.data,
      parsedType: getParsedType(input.data),
      schemaErrorMap: this._def.errorMap,
      path: input.path,
      parent: input.parent
    };
  }
  _processInputParams(input) {
    return {
      status: new ParseStatus,
      ctx: {
        common: input.parent.common,
        data: input.data,
        parsedType: getParsedType(input.data),
        schemaErrorMap: this._def.errorMap,
        path: input.path,
        parent: input.parent
      }
    };
  }
  _parseSync(input) {
    const result = this._parse(input);
    if (isAsync(result)) {
      throw new Error("Synchronous parse encountered promise.");
    }
    return result;
  }
  _parseAsync(input) {
    const result = this._parse(input);
    return Promise.resolve(result);
  }
  parse(data, params) {
    const result = this.safeParse(data, params);
    if (result.success)
      return result.data;
    throw result.error;
  }
  safeParse(data, params) {
    const ctx = {
      common: {
        issues: [],
        async: params?.async ?? false,
        contextualErrorMap: params?.errorMap
      },
      path: params?.path || [],
      schemaErrorMap: this._def.errorMap,
      parent: null,
      data,
      parsedType: getParsedType(data)
    };
    const result = this._parseSync({ data, path: ctx.path, parent: ctx });
    return handleResult(ctx, result);
  }
  "~validate"(data) {
    const ctx = {
      common: {
        issues: [],
        async: !!this["~standard"].async
      },
      path: [],
      schemaErrorMap: this._def.errorMap,
      parent: null,
      data,
      parsedType: getParsedType(data)
    };
    if (!this["~standard"].async) {
      try {
        const result = this._parseSync({ data, path: [], parent: ctx });
        return isValid(result) ? {
          value: result.value
        } : {
          issues: ctx.common.issues
        };
      } catch (err) {
        if (err?.message?.toLowerCase()?.includes("encountered")) {
          this["~standard"].async = true;
        }
        ctx.common = {
          issues: [],
          async: true
        };
      }
    }
    return this._parseAsync({ data, path: [], parent: ctx }).then((result) => isValid(result) ? {
      value: result.value
    } : {
      issues: ctx.common.issues
    });
  }
  async parseAsync(data, params) {
    const result = await this.safeParseAsync(data, params);
    if (result.success)
      return result.data;
    throw result.error;
  }
  async safeParseAsync(data, params) {
    const ctx = {
      common: {
        issues: [],
        contextualErrorMap: params?.errorMap,
        async: true
      },
      path: params?.path || [],
      schemaErrorMap: this._def.errorMap,
      parent: null,
      data,
      parsedType: getParsedType(data)
    };
    const maybeAsyncResult = this._parse({ data, path: ctx.path, parent: ctx });
    const result = await (isAsync(maybeAsyncResult) ? maybeAsyncResult : Promise.resolve(maybeAsyncResult));
    return handleResult(ctx, result);
  }
  refine(check, message) {
    const getIssueProperties = (val) => {
      if (typeof message === "string" || typeof message === "undefined") {
        return { message };
      } else if (typeof message === "function") {
        return message(val);
      } else {
        return message;
      }
    };
    return this._refinement((val, ctx) => {
      const result = check(val);
      const setError = () => ctx.addIssue({
        code: ZodIssueCode.custom,
        ...getIssueProperties(val)
      });
      if (typeof Promise !== "undefined" && result instanceof Promise) {
        return result.then((data) => {
          if (!data) {
            setError();
            return false;
          } else {
            return true;
          }
        });
      }
      if (!result) {
        setError();
        return false;
      } else {
        return true;
      }
    });
  }
  refinement(check, refinementData) {
    return this._refinement((val, ctx) => {
      if (!check(val)) {
        ctx.addIssue(typeof refinementData === "function" ? refinementData(val, ctx) : refinementData);
        return false;
      } else {
        return true;
      }
    });
  }
  _refinement(refinement) {
    return new ZodEffects({
      schema: this,
      typeName: ZodFirstPartyTypeKind.ZodEffects,
      effect: { type: "refinement", refinement }
    });
  }
  superRefine(refinement) {
    return this._refinement(refinement);
  }
  constructor(def) {
    this.spa = this.safeParseAsync;
    this._def = def;
    this.parse = this.parse.bind(this);
    this.safeParse = this.safeParse.bind(this);
    this.parseAsync = this.parseAsync.bind(this);
    this.safeParseAsync = this.safeParseAsync.bind(this);
    this.spa = this.spa.bind(this);
    this.refine = this.refine.bind(this);
    this.refinement = this.refinement.bind(this);
    this.superRefine = this.superRefine.bind(this);
    this.optional = this.optional.bind(this);
    this.nullable = this.nullable.bind(this);
    this.nullish = this.nullish.bind(this);
    this.array = this.array.bind(this);
    this.promise = this.promise.bind(this);
    this.or = this.or.bind(this);
    this.and = this.and.bind(this);
    this.transform = this.transform.bind(this);
    this.brand = this.brand.bind(this);
    this.default = this.default.bind(this);
    this.catch = this.catch.bind(this);
    this.describe = this.describe.bind(this);
    this.pipe = this.pipe.bind(this);
    this.readonly = this.readonly.bind(this);
    this.isNullable = this.isNullable.bind(this);
    this.isOptional = this.isOptional.bind(this);
    this["~standard"] = {
      version: 1,
      vendor: "zod",
      validate: (data) => this["~validate"](data)
    };
  }
  optional() {
    return ZodOptional.create(this, this._def);
  }
  nullable() {
    return ZodNullable.create(this, this._def);
  }
  nullish() {
    return this.nullable().optional();
  }
  array() {
    return ZodArray.create(this);
  }
  promise() {
    return ZodPromise.create(this, this._def);
  }
  or(option) {
    return ZodUnion.create([this, option], this._def);
  }
  and(incoming) {
    return ZodIntersection.create(this, incoming, this._def);
  }
  transform(transform) {
    return new ZodEffects({
      ...processCreateParams(this._def),
      schema: this,
      typeName: ZodFirstPartyTypeKind.ZodEffects,
      effect: { type: "transform", transform }
    });
  }
  default(def) {
    const defaultValueFunc = typeof def === "function" ? def : () => def;
    return new ZodDefault({
      ...processCreateParams(this._def),
      innerType: this,
      defaultValue: defaultValueFunc,
      typeName: ZodFirstPartyTypeKind.ZodDefault
    });
  }
  brand() {
    return new ZodBranded({
      typeName: ZodFirstPartyTypeKind.ZodBranded,
      type: this,
      ...processCreateParams(this._def)
    });
  }
  catch(def) {
    const catchValueFunc = typeof def === "function" ? def : () => def;
    return new ZodCatch({
      ...processCreateParams(this._def),
      innerType: this,
      catchValue: catchValueFunc,
      typeName: ZodFirstPartyTypeKind.ZodCatch
    });
  }
  describe(description) {
    const This = this.constructor;
    return new This({
      ...this._def,
      description
    });
  }
  pipe(target) {
    return ZodPipeline.create(this, target);
  }
  readonly() {
    return ZodReadonly.create(this);
  }
  isOptional() {
    return this.safeParse(undefined).success;
  }
  isNullable() {
    return this.safeParse(null).success;
  }
}
function timeRegexSource(args) {
  let secondsRegexSource = `[0-5]\\d`;
  if (args.precision) {
    secondsRegexSource = `${secondsRegexSource}\\.\\d{${args.precision}}`;
  } else if (args.precision == null) {
    secondsRegexSource = `${secondsRegexSource}(\\.\\d+)?`;
  }
  const secondsQuantifier = args.precision ? "+" : "?";
  return `([01]\\d|2[0-3]):[0-5]\\d(:${secondsRegexSource})${secondsQuantifier}`;
}
function timeRegex(args) {
  return new RegExp(`^${timeRegexSource(args)}$`);
}
function datetimeRegex(args) {
  let regex = `${dateRegexSource}T${timeRegexSource(args)}`;
  const opts = [];
  opts.push(args.local ? `Z?` : `Z`);
  if (args.offset)
    opts.push(`([+-]\\d{2}:?\\d{2})`);
  regex = `${regex}(${opts.join("|")})`;
  return new RegExp(`^${regex}$`);
}
function isValidIP(ip, version) {
  if ((version === "v4" || !version) && ipv4Regex.test(ip)) {
    return true;
  }
  if ((version === "v6" || !version) && ipv6Regex.test(ip)) {
    return true;
  }
  return false;
}
function isValidJWT(jwt, alg) {
  if (!jwtRegex.test(jwt))
    return false;
  try {
    const [header] = jwt.split(".");
    const base64 = header.replace(/-/g, "+").replace(/_/g, "/").padEnd(header.length + (4 - header.length % 4) % 4, "=");
    const decoded = JSON.parse(atob(base64));
    if (typeof decoded !== "object" || decoded === null)
      return false;
    if ("typ" in decoded && decoded?.typ !== "JWT")
      return false;
    if (!decoded.alg)
      return false;
    if (alg && decoded.alg !== alg)
      return false;
    return true;
  } catch {
    return false;
  }
}
function isValidCidr(ip, version) {
  if ((version === "v4" || !version) && ipv4CidrRegex.test(ip)) {
    return true;
  }
  if ((version === "v6" || !version) && ipv6CidrRegex.test(ip)) {
    return true;
  }
  return false;
}
function floatSafeRemainder(val, step) {
  const valDecCount = (val.toString().split(".")[1] || "").length;
  const stepDecCount = (step.toString().split(".")[1] || "").length;
  const decCount = valDecCount > stepDecCount ? valDecCount : stepDecCount;
  const valInt = Number.parseInt(val.toFixed(decCount).replace(".", ""));
  const stepInt = Number.parseInt(step.toFixed(decCount).replace(".", ""));
  return valInt % stepInt / 10 ** decCount;
}
function deepPartialify(schema) {
  if (schema instanceof ZodObject) {
    const newShape = {};
    for (const key in schema.shape) {
      const fieldSchema = schema.shape[key];
      newShape[key] = ZodOptional.create(deepPartialify(fieldSchema));
    }
    return new ZodObject({
      ...schema._def,
      shape: () => newShape
    });
  } else if (schema instanceof ZodArray) {
    return new ZodArray({
      ...schema._def,
      type: deepPartialify(schema.element)
    });
  } else if (schema instanceof ZodOptional) {
    return ZodOptional.create(deepPartialify(schema.unwrap()));
  } else if (schema instanceof ZodNullable) {
    return ZodNullable.create(deepPartialify(schema.unwrap()));
  } else if (schema instanceof ZodTuple) {
    return ZodTuple.create(schema.items.map((item) => deepPartialify(item)));
  } else {
    return schema;
  }
}
function mergeValues(a, b2) {
  const aType = getParsedType(a);
  const bType = getParsedType(b2);
  if (a === b2) {
    return { valid: true, data: a };
  } else if (aType === ZodParsedType.object && bType === ZodParsedType.object) {
    const bKeys = util.objectKeys(b2);
    const sharedKeys = util.objectKeys(a).filter((key) => bKeys.indexOf(key) !== -1);
    const newObj = { ...a, ...b2 };
    for (const key of sharedKeys) {
      const sharedValue = mergeValues(a[key], b2[key]);
      if (!sharedValue.valid) {
        return { valid: false };
      }
      newObj[key] = sharedValue.data;
    }
    return { valid: true, data: newObj };
  } else if (aType === ZodParsedType.array && bType === ZodParsedType.array) {
    if (a.length !== b2.length) {
      return { valid: false };
    }
    const newArray = [];
    for (let index = 0;index < a.length; index++) {
      const itemA = a[index];
      const itemB = b2[index];
      const sharedValue = mergeValues(itemA, itemB);
      if (!sharedValue.valid) {
        return { valid: false };
      }
      newArray.push(sharedValue.data);
    }
    return { valid: true, data: newArray };
  } else if (aType === ZodParsedType.date && bType === ZodParsedType.date && +a === +b2) {
    return { valid: true, data: a };
  } else {
    return { valid: false };
  }
}
function createZodEnum(values, params) {
  return new ZodEnum({
    values,
    typeName: ZodFirstPartyTypeKind.ZodEnum,
    ...processCreateParams(params)
  });
}
function cleanParams(params, data) {
  const p = typeof params === "function" ? params(data) : typeof params === "string" ? { message: params } : params;
  const p2 = typeof p === "string" ? { message: p } : p;
  return p2;
}
function custom(check, _params = {}, fatal) {
  if (check)
    return ZodAny.create().superRefine((data, ctx) => {
      const r = check(data);
      if (r instanceof Promise) {
        return r.then((r2) => {
          if (!r2) {
            const params = cleanParams(_params, data);
            const _fatal = params.fatal ?? fatal ?? true;
            ctx.addIssue({ code: "custom", ...params, fatal: _fatal });
          }
        });
      }
      if (!r) {
        const params = cleanParams(_params, data);
        const _fatal = params.fatal ?? fatal ?? true;
        ctx.addIssue({ code: "custom", ...params, fatal: _fatal });
      }
      return;
    });
  return ZodAny.create();
}
var __classPrivateFieldGet = function(receiver, state, kind, f) {
  if (kind === "a" && !f)
    throw new TypeError("Private accessor was defined without a getter");
  if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
    throw new TypeError("Cannot read private member from an object whose class did not declare it");
  return kind === "m" ? f : kind === "a" ? f.call(receiver) : f ? f.value : state.get(receiver);
}, __classPrivateFieldSet = function(receiver, state, value, kind, f) {
  if (kind === "m")
    throw new TypeError("Private method is not writable");
  if (kind === "a" && !f)
    throw new TypeError("Private accessor was defined without a setter");
  if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
    throw new TypeError("Cannot write private member to an object whose class did not declare it");
  return kind === "a" ? f.call(receiver, value) : f ? f.value = value : state.set(receiver, value), value;
}, _ZodEnum_cache, _ZodNativeEnum_cache, handleResult = (ctx, result) => {
  if (isValid(result)) {
    return { success: true, data: result.value };
  } else {
    if (!ctx.common.issues.length) {
      throw new Error("Validation failed but no issues detected.");
    }
    return {
      success: false,
      get error() {
        if (this._error)
          return this._error;
        const error = new ZodError(ctx.common.issues);
        this._error = error;
        return this._error;
      }
    };
  }
}, cuidRegex, cuid2Regex, ulidRegex, uuidRegex, nanoidRegex, jwtRegex, durationRegex, emailRegex, _emojiRegex = `^(\\p{Extended_Pictographic}|\\p{Emoji_Component})+$`, emojiRegex, ipv4Regex, ipv4CidrRegex, ipv6Regex, ipv6CidrRegex, base64Regex, base64urlRegex, dateRegexSource = `((\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-((0[13578]|1[02])-(0[1-9]|[12]\\d|3[01])|(0[469]|11)-(0[1-9]|[12]\\d|30)|(02)-(0[1-9]|1\\d|2[0-8])))`, dateRegex, ZodString, ZodNumber, ZodBigInt, ZodBoolean, ZodDate, ZodSymbol, ZodUndefined, ZodNull, ZodAny, ZodUnknown, ZodNever, ZodVoid, ZodArray, ZodObject, ZodUnion, getDiscriminator = (type) => {
  if (type instanceof ZodLazy) {
    return getDiscriminator(type.schema);
  } else if (type instanceof ZodEffects) {
    return getDiscriminator(type.innerType());
  } else if (type instanceof ZodLiteral) {
    return [type.value];
  } else if (type instanceof ZodEnum) {
    return type.options;
  } else if (type instanceof ZodNativeEnum) {
    return util.objectValues(type.enum);
  } else if (type instanceof ZodDefault) {
    return getDiscriminator(type._def.innerType);
  } else if (type instanceof ZodUndefined) {
    return [undefined];
  } else if (type instanceof ZodNull) {
    return [null];
  } else if (type instanceof ZodOptional) {
    return [undefined, ...getDiscriminator(type.unwrap())];
  } else if (type instanceof ZodNullable) {
    return [null, ...getDiscriminator(type.unwrap())];
  } else if (type instanceof ZodBranded) {
    return getDiscriminator(type.unwrap());
  } else if (type instanceof ZodReadonly) {
    return getDiscriminator(type.unwrap());
  } else if (type instanceof ZodCatch) {
    return getDiscriminator(type._def.innerType);
  } else {
    return [];
  }
}, ZodDiscriminatedUnion, ZodIntersection, ZodTuple, ZodRecord, ZodMap, ZodSet, ZodFunction, ZodLazy, ZodLiteral, ZodEnum, ZodNativeEnum, ZodPromise, ZodEffects, ZodOptional, ZodNullable, ZodDefault, ZodCatch, ZodNaN, BRAND, ZodBranded, ZodPipeline, ZodReadonly, late, ZodFirstPartyTypeKind, instanceOfType = (cls, params = {
  message: `Input not instance of ${cls.name}`
}) => custom((data) => data instanceof cls, params), stringType, numberType, nanType, bigIntType, booleanType, dateType, symbolType, undefinedType, nullType, anyType, unknownType, neverType, voidType, arrayType, objectType, strictObjectType, unionType, discriminatedUnionType, intersectionType, tupleType, recordType, mapType, setType, functionType, lazyType, literalType, enumType, nativeEnumType, promiseType, effectsType, optionalType, nullableType, preprocessType, pipelineType, ostring = () => stringType().optional(), onumber = () => numberType().optional(), oboolean = () => booleanType().optional(), coerce, NEVER;
var init_types = __esm(() => {
  init_ZodError();
  init_errors();
  init_errorUtil();
  init_parseUtil();
  init_util();
  cuidRegex = /^c[^\s-]{8,}$/i;
  cuid2Regex = /^[0-9a-z]+$/;
  ulidRegex = /^[0-9A-HJKMNP-TV-Z]{26}$/i;
  uuidRegex = /^[0-9a-fA-F]{8}\b-[0-9a-fA-F]{4}\b-[0-9a-fA-F]{4}\b-[0-9a-fA-F]{4}\b-[0-9a-fA-F]{12}$/i;
  nanoidRegex = /^[a-z0-9_-]{21}$/i;
  jwtRegex = /^[A-Za-z0-9-_]+\.[A-Za-z0-9-_]+\.[A-Za-z0-9-_]*$/;
  durationRegex = /^[-+]?P(?!$)(?:(?:[-+]?\d+Y)|(?:[-+]?\d+[.,]\d+Y$))?(?:(?:[-+]?\d+M)|(?:[-+]?\d+[.,]\d+M$))?(?:(?:[-+]?\d+W)|(?:[-+]?\d+[.,]\d+W$))?(?:(?:[-+]?\d+D)|(?:[-+]?\d+[.,]\d+D$))?(?:T(?=[\d+-])(?:(?:[-+]?\d+H)|(?:[-+]?\d+[.,]\d+H$))?(?:(?:[-+]?\d+M)|(?:[-+]?\d+[.,]\d+M$))?(?:[-+]?\d+(?:[.,]\d+)?S)?)??$/;
  emailRegex = /^(?!\.)(?!.*\.\.)([A-Z0-9_'+\-\.]*)[A-Z0-9_+-]@([A-Z0-9][A-Z0-9\-]*\.)+[A-Z]{2,}$/i;
  ipv4Regex = /^(?:(?:25[0-5]|2[0-4][0-9]|1[0-9][0-9]|[1-9][0-9]|[0-9])\.){3}(?:25[0-5]|2[0-4][0-9]|1[0-9][0-9]|[1-9][0-9]|[0-9])$/;
  ipv4CidrRegex = /^(?:(?:25[0-5]|2[0-4][0-9]|1[0-9][0-9]|[1-9][0-9]|[0-9])\.){3}(?:25[0-5]|2[0-4][0-9]|1[0-9][0-9]|[1-9][0-9]|[0-9])\/(3[0-2]|[12]?[0-9])$/;
  ipv6Regex = /^(([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|([0-9a-fA-F]{1,4}:){1,6}:[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,5}(:[0-9a-fA-F]{1,4}){1,2}|([0-9a-fA-F]{1,4}:){1,4}(:[0-9a-fA-F]{1,4}){1,3}|([0-9a-fA-F]{1,4}:){1,3}(:[0-9a-fA-F]{1,4}){1,4}|([0-9a-fA-F]{1,4}:){1,2}(:[0-9a-fA-F]{1,4}){1,5}|[0-9a-fA-F]{1,4}:((:[0-9a-fA-F]{1,4}){1,6})|:((:[0-9a-fA-F]{1,4}){1,7}|:)|fe80:(:[0-9a-fA-F]{0,4}){0,4}%[0-9a-zA-Z]{1,}|::(ffff(:0{1,4}){0,1}:){0,1}((25[0-5]|(2[0-4]|1{0,1}[0-9]){0,1}[0-9])\.){3,3}(25[0-5]|(2[0-4]|1{0,1}[0-9]){0,1}[0-9])|([0-9a-fA-F]{1,4}:){1,4}:((25[0-5]|(2[0-4]|1{0,1}[0-9]){0,1}[0-9])\.){3,3}(25[0-5]|(2[0-4]|1{0,1}[0-9]){0,1}[0-9]))$/;
  ipv6CidrRegex = /^(([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|([0-9a-fA-F]{1,4}:){1,6}:[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,5}(:[0-9a-fA-F]{1,4}){1,2}|([0-9a-fA-F]{1,4}:){1,4}(:[0-9a-fA-F]{1,4}){1,3}|([0-9a-fA-F]{1,4}:){1,3}(:[0-9a-fA-F]{1,4}){1,4}|([0-9a-fA-F]{1,4}:){1,2}(:[0-9a-fA-F]{1,4}){1,5}|[0-9a-fA-F]{1,4}:((:[0-9a-fA-F]{1,4}){1,6})|:((:[0-9a-fA-F]{1,4}){1,7}|:)|fe80:(:[0-9a-fA-F]{0,4}){0,4}%[0-9a-zA-Z]{1,}|::(ffff(:0{1,4}){0,1}:){0,1}((25[0-5]|(2[0-4]|1{0,1}[0-9]){0,1}[0-9])\.){3,3}(25[0-5]|(2[0-4]|1{0,1}[0-9]){0,1}[0-9])|([0-9a-fA-F]{1,4}:){1,4}:((25[0-5]|(2[0-4]|1{0,1}[0-9]){0,1}[0-9])\.){3,3}(25[0-5]|(2[0-4]|1{0,1}[0-9]){0,1}[0-9]))\/(12[0-8]|1[01][0-9]|[1-9]?[0-9])$/;
  base64Regex = /^([0-9a-zA-Z+/]{4})*(([0-9a-zA-Z+/]{2}==)|([0-9a-zA-Z+/]{3}=))?$/;
  base64urlRegex = /^([0-9a-zA-Z-_]{4})*(([0-9a-zA-Z-_]{2}(==)?)|([0-9a-zA-Z-_]{3}(=)?))?$/;
  dateRegex = new RegExp(`^${dateRegexSource}$`);
  ZodString = class ZodString extends ZodType {
    _parse(input) {
      if (this._def.coerce) {
        input.data = String(input.data);
      }
      const parsedType = this._getType(input);
      if (parsedType !== ZodParsedType.string) {
        const ctx2 = this._getOrReturnCtx(input);
        addIssueToContext(ctx2, {
          code: ZodIssueCode.invalid_type,
          expected: ZodParsedType.string,
          received: ctx2.parsedType
        });
        return INVALID;
      }
      const status = new ParseStatus;
      let ctx = undefined;
      for (const check of this._def.checks) {
        if (check.kind === "min") {
          if (input.data.length < check.value) {
            ctx = this._getOrReturnCtx(input, ctx);
            addIssueToContext(ctx, {
              code: ZodIssueCode.too_small,
              minimum: check.value,
              type: "string",
              inclusive: true,
              exact: false,
              message: check.message
            });
            status.dirty();
          }
        } else if (check.kind === "max") {
          if (input.data.length > check.value) {
            ctx = this._getOrReturnCtx(input, ctx);
            addIssueToContext(ctx, {
              code: ZodIssueCode.too_big,
              maximum: check.value,
              type: "string",
              inclusive: true,
              exact: false,
              message: check.message
            });
            status.dirty();
          }
        } else if (check.kind === "length") {
          const tooBig = input.data.length > check.value;
          const tooSmall = input.data.length < check.value;
          if (tooBig || tooSmall) {
            ctx = this._getOrReturnCtx(input, ctx);
            if (tooBig) {
              addIssueToContext(ctx, {
                code: ZodIssueCode.too_big,
                maximum: check.value,
                type: "string",
                inclusive: true,
                exact: true,
                message: check.message
              });
            } else if (tooSmall) {
              addIssueToContext(ctx, {
                code: ZodIssueCode.too_small,
                minimum: check.value,
                type: "string",
                inclusive: true,
                exact: true,
                message: check.message
              });
            }
            status.dirty();
          }
        } else if (check.kind === "email") {
          if (!emailRegex.test(input.data)) {
            ctx = this._getOrReturnCtx(input, ctx);
            addIssueToContext(ctx, {
              validation: "email",
              code: ZodIssueCode.invalid_string,
              message: check.message
            });
            status.dirty();
          }
        } else if (check.kind === "emoji") {
          if (!emojiRegex) {
            emojiRegex = new RegExp(_emojiRegex, "u");
          }
          if (!emojiRegex.test(input.data)) {
            ctx = this._getOrReturnCtx(input, ctx);
            addIssueToContext(ctx, {
              validation: "emoji",
              code: ZodIssueCode.invalid_string,
              message: check.message
            });
            status.dirty();
          }
        } else if (check.kind === "uuid") {
          if (!uuidRegex.test(input.data)) {
            ctx = this._getOrReturnCtx(input, ctx);
            addIssueToContext(ctx, {
              validation: "uuid",
              code: ZodIssueCode.invalid_string,
              message: check.message
            });
            status.dirty();
          }
        } else if (check.kind === "nanoid") {
          if (!nanoidRegex.test(input.data)) {
            ctx = this._getOrReturnCtx(input, ctx);
            addIssueToContext(ctx, {
              validation: "nanoid",
              code: ZodIssueCode.invalid_string,
              message: check.message
            });
            status.dirty();
          }
        } else if (check.kind === "cuid") {
          if (!cuidRegex.test(input.data)) {
            ctx = this._getOrReturnCtx(input, ctx);
            addIssueToContext(ctx, {
              validation: "cuid",
              code: ZodIssueCode.invalid_string,
              message: check.message
            });
            status.dirty();
          }
        } else if (check.kind === "cuid2") {
          if (!cuid2Regex.test(input.data)) {
            ctx = this._getOrReturnCtx(input, ctx);
            addIssueToContext(ctx, {
              validation: "cuid2",
              code: ZodIssueCode.invalid_string,
              message: check.message
            });
            status.dirty();
          }
        } else if (check.kind === "ulid") {
          if (!ulidRegex.test(input.data)) {
            ctx = this._getOrReturnCtx(input, ctx);
            addIssueToContext(ctx, {
              validation: "ulid",
              code: ZodIssueCode.invalid_string,
              message: check.message
            });
            status.dirty();
          }
        } else if (check.kind === "url") {
          try {
            new URL(input.data);
          } catch {
            ctx = this._getOrReturnCtx(input, ctx);
            addIssueToContext(ctx, {
              validation: "url",
              code: ZodIssueCode.invalid_string,
              message: check.message
            });
            status.dirty();
          }
        } else if (check.kind === "regex") {
          check.regex.lastIndex = 0;
          const testResult = check.regex.test(input.data);
          if (!testResult) {
            ctx = this._getOrReturnCtx(input, ctx);
            addIssueToContext(ctx, {
              validation: "regex",
              code: ZodIssueCode.invalid_string,
              message: check.message
            });
            status.dirty();
          }
        } else if (check.kind === "trim") {
          input.data = input.data.trim();
        } else if (check.kind === "includes") {
          if (!input.data.includes(check.value, check.position)) {
            ctx = this._getOrReturnCtx(input, ctx);
            addIssueToContext(ctx, {
              code: ZodIssueCode.invalid_string,
              validation: { includes: check.value, position: check.position },
              message: check.message
            });
            status.dirty();
          }
        } else if (check.kind === "toLowerCase") {
          input.data = input.data.toLowerCase();
        } else if (check.kind === "toUpperCase") {
          input.data = input.data.toUpperCase();
        } else if (check.kind === "startsWith") {
          if (!input.data.startsWith(check.value)) {
            ctx = this._getOrReturnCtx(input, ctx);
            addIssueToContext(ctx, {
              code: ZodIssueCode.invalid_string,
              validation: { startsWith: check.value },
              message: check.message
            });
            status.dirty();
          }
        } else if (check.kind === "endsWith") {
          if (!input.data.endsWith(check.value)) {
            ctx = this._getOrReturnCtx(input, ctx);
            addIssueToContext(ctx, {
              code: ZodIssueCode.invalid_string,
              validation: { endsWith: check.value },
              message: check.message
            });
            status.dirty();
          }
        } else if (check.kind === "datetime") {
          const regex = datetimeRegex(check);
          if (!regex.test(input.data)) {
            ctx = this._getOrReturnCtx(input, ctx);
            addIssueToContext(ctx, {
              code: ZodIssueCode.invalid_string,
              validation: "datetime",
              message: check.message
            });
            status.dirty();
          }
        } else if (check.kind === "date") {
          const regex = dateRegex;
          if (!regex.test(input.data)) {
            ctx = this._getOrReturnCtx(input, ctx);
            addIssueToContext(ctx, {
              code: ZodIssueCode.invalid_string,
              validation: "date",
              message: check.message
            });
            status.dirty();
          }
        } else if (check.kind === "time") {
          const regex = timeRegex(check);
          if (!regex.test(input.data)) {
            ctx = this._getOrReturnCtx(input, ctx);
            addIssueToContext(ctx, {
              code: ZodIssueCode.invalid_string,
              validation: "time",
              message: check.message
            });
            status.dirty();
          }
        } else if (check.kind === "duration") {
          if (!durationRegex.test(input.data)) {
            ctx = this._getOrReturnCtx(input, ctx);
            addIssueToContext(ctx, {
              validation: "duration",
              code: ZodIssueCode.invalid_string,
              message: check.message
            });
            status.dirty();
          }
        } else if (check.kind === "ip") {
          if (!isValidIP(input.data, check.version)) {
            ctx = this._getOrReturnCtx(input, ctx);
            addIssueToContext(ctx, {
              validation: "ip",
              code: ZodIssueCode.invalid_string,
              message: check.message
            });
            status.dirty();
          }
        } else if (check.kind === "jwt") {
          if (!isValidJWT(input.data, check.alg)) {
            ctx = this._getOrReturnCtx(input, ctx);
            addIssueToContext(ctx, {
              validation: "jwt",
              code: ZodIssueCode.invalid_string,
              message: check.message
            });
            status.dirty();
          }
        } else if (check.kind === "cidr") {
          if (!isValidCidr(input.data, check.version)) {
            ctx = this._getOrReturnCtx(input, ctx);
            addIssueToContext(ctx, {
              validation: "cidr",
              code: ZodIssueCode.invalid_string,
              message: check.message
            });
            status.dirty();
          }
        } else if (check.kind === "base64") {
          if (!base64Regex.test(input.data)) {
            ctx = this._getOrReturnCtx(input, ctx);
            addIssueToContext(ctx, {
              validation: "base64",
              code: ZodIssueCode.invalid_string,
              message: check.message
            });
            status.dirty();
          }
        } else if (check.kind === "base64url") {
          if (!base64urlRegex.test(input.data)) {
            ctx = this._getOrReturnCtx(input, ctx);
            addIssueToContext(ctx, {
              validation: "base64url",
              code: ZodIssueCode.invalid_string,
              message: check.message
            });
            status.dirty();
          }
        } else {
          util.assertNever(check);
        }
      }
      return { status: status.value, value: input.data };
    }
    _regex(regex, validation, message) {
      return this.refinement((data) => regex.test(data), {
        validation,
        code: ZodIssueCode.invalid_string,
        ...errorUtil.errToObj(message)
      });
    }
    _addCheck(check) {
      return new ZodString({
        ...this._def,
        checks: [...this._def.checks, check]
      });
    }
    email(message) {
      return this._addCheck({ kind: "email", ...errorUtil.errToObj(message) });
    }
    url(message) {
      return this._addCheck({ kind: "url", ...errorUtil.errToObj(message) });
    }
    emoji(message) {
      return this._addCheck({ kind: "emoji", ...errorUtil.errToObj(message) });
    }
    uuid(message) {
      return this._addCheck({ kind: "uuid", ...errorUtil.errToObj(message) });
    }
    nanoid(message) {
      return this._addCheck({ kind: "nanoid", ...errorUtil.errToObj(message) });
    }
    cuid(message) {
      return this._addCheck({ kind: "cuid", ...errorUtil.errToObj(message) });
    }
    cuid2(message) {
      return this._addCheck({ kind: "cuid2", ...errorUtil.errToObj(message) });
    }
    ulid(message) {
      return this._addCheck({ kind: "ulid", ...errorUtil.errToObj(message) });
    }
    base64(message) {
      return this._addCheck({ kind: "base64", ...errorUtil.errToObj(message) });
    }
    base64url(message) {
      return this._addCheck({
        kind: "base64url",
        ...errorUtil.errToObj(message)
      });
    }
    jwt(options) {
      return this._addCheck({ kind: "jwt", ...errorUtil.errToObj(options) });
    }
    ip(options) {
      return this._addCheck({ kind: "ip", ...errorUtil.errToObj(options) });
    }
    cidr(options) {
      return this._addCheck({ kind: "cidr", ...errorUtil.errToObj(options) });
    }
    datetime(options) {
      if (typeof options === "string") {
        return this._addCheck({
          kind: "datetime",
          precision: null,
          offset: false,
          local: false,
          message: options
        });
      }
      return this._addCheck({
        kind: "datetime",
        precision: typeof options?.precision === "undefined" ? null : options?.precision,
        offset: options?.offset ?? false,
        local: options?.local ?? false,
        ...errorUtil.errToObj(options?.message)
      });
    }
    date(message) {
      return this._addCheck({ kind: "date", message });
    }
    time(options) {
      if (typeof options === "string") {
        return this._addCheck({
          kind: "time",
          precision: null,
          message: options
        });
      }
      return this._addCheck({
        kind: "time",
        precision: typeof options?.precision === "undefined" ? null : options?.precision,
        ...errorUtil.errToObj(options?.message)
      });
    }
    duration(message) {
      return this._addCheck({ kind: "duration", ...errorUtil.errToObj(message) });
    }
    regex(regex, message) {
      return this._addCheck({
        kind: "regex",
        regex,
        ...errorUtil.errToObj(message)
      });
    }
    includes(value, options) {
      return this._addCheck({
        kind: "includes",
        value,
        position: options?.position,
        ...errorUtil.errToObj(options?.message)
      });
    }
    startsWith(value, message) {
      return this._addCheck({
        kind: "startsWith",
        value,
        ...errorUtil.errToObj(message)
      });
    }
    endsWith(value, message) {
      return this._addCheck({
        kind: "endsWith",
        value,
        ...errorUtil.errToObj(message)
      });
    }
    min(minLength, message) {
      return this._addCheck({
        kind: "min",
        value: minLength,
        ...errorUtil.errToObj(message)
      });
    }
    max(maxLength, message) {
      return this._addCheck({
        kind: "max",
        value: maxLength,
        ...errorUtil.errToObj(message)
      });
    }
    length(len, message) {
      return this._addCheck({
        kind: "length",
        value: len,
        ...errorUtil.errToObj(message)
      });
    }
    nonempty(message) {
      return this.min(1, errorUtil.errToObj(message));
    }
    trim() {
      return new ZodString({
        ...this._def,
        checks: [...this._def.checks, { kind: "trim" }]
      });
    }
    toLowerCase() {
      return new ZodString({
        ...this._def,
        checks: [...this._def.checks, { kind: "toLowerCase" }]
      });
    }
    toUpperCase() {
      return new ZodString({
        ...this._def,
        checks: [...this._def.checks, { kind: "toUpperCase" }]
      });
    }
    get isDatetime() {
      return !!this._def.checks.find((ch) => ch.kind === "datetime");
    }
    get isDate() {
      return !!this._def.checks.find((ch) => ch.kind === "date");
    }
    get isTime() {
      return !!this._def.checks.find((ch) => ch.kind === "time");
    }
    get isDuration() {
      return !!this._def.checks.find((ch) => ch.kind === "duration");
    }
    get isEmail() {
      return !!this._def.checks.find((ch) => ch.kind === "email");
    }
    get isURL() {
      return !!this._def.checks.find((ch) => ch.kind === "url");
    }
    get isEmoji() {
      return !!this._def.checks.find((ch) => ch.kind === "emoji");
    }
    get isUUID() {
      return !!this._def.checks.find((ch) => ch.kind === "uuid");
    }
    get isNANOID() {
      return !!this._def.checks.find((ch) => ch.kind === "nanoid");
    }
    get isCUID() {
      return !!this._def.checks.find((ch) => ch.kind === "cuid");
    }
    get isCUID2() {
      return !!this._def.checks.find((ch) => ch.kind === "cuid2");
    }
    get isULID() {
      return !!this._def.checks.find((ch) => ch.kind === "ulid");
    }
    get isIP() {
      return !!this._def.checks.find((ch) => ch.kind === "ip");
    }
    get isCIDR() {
      return !!this._def.checks.find((ch) => ch.kind === "cidr");
    }
    get isBase64() {
      return !!this._def.checks.find((ch) => ch.kind === "base64");
    }
    get isBase64url() {
      return !!this._def.checks.find((ch) => ch.kind === "base64url");
    }
    get minLength() {
      let min = null;
      for (const ch of this._def.checks) {
        if (ch.kind === "min") {
          if (min === null || ch.value > min)
            min = ch.value;
        }
      }
      return min;
    }
    get maxLength() {
      let max = null;
      for (const ch of this._def.checks) {
        if (ch.kind === "max") {
          if (max === null || ch.value < max)
            max = ch.value;
        }
      }
      return max;
    }
  };
  ZodString.create = (params) => {
    return new ZodString({
      checks: [],
      typeName: ZodFirstPartyTypeKind.ZodString,
      coerce: params?.coerce ?? false,
      ...processCreateParams(params)
    });
  };
  ZodNumber = class ZodNumber extends ZodType {
    constructor() {
      super(...arguments);
      this.min = this.gte;
      this.max = this.lte;
      this.step = this.multipleOf;
    }
    _parse(input) {
      if (this._def.coerce) {
        input.data = Number(input.data);
      }
      const parsedType = this._getType(input);
      if (parsedType !== ZodParsedType.number) {
        const ctx2 = this._getOrReturnCtx(input);
        addIssueToContext(ctx2, {
          code: ZodIssueCode.invalid_type,
          expected: ZodParsedType.number,
          received: ctx2.parsedType
        });
        return INVALID;
      }
      let ctx = undefined;
      const status = new ParseStatus;
      for (const check of this._def.checks) {
        if (check.kind === "int") {
          if (!util.isInteger(input.data)) {
            ctx = this._getOrReturnCtx(input, ctx);
            addIssueToContext(ctx, {
              code: ZodIssueCode.invalid_type,
              expected: "integer",
              received: "float",
              message: check.message
            });
            status.dirty();
          }
        } else if (check.kind === "min") {
          const tooSmall = check.inclusive ? input.data < check.value : input.data <= check.value;
          if (tooSmall) {
            ctx = this._getOrReturnCtx(input, ctx);
            addIssueToContext(ctx, {
              code: ZodIssueCode.too_small,
              minimum: check.value,
              type: "number",
              inclusive: check.inclusive,
              exact: false,
              message: check.message
            });
            status.dirty();
          }
        } else if (check.kind === "max") {
          const tooBig = check.inclusive ? input.data > check.value : input.data >= check.value;
          if (tooBig) {
            ctx = this._getOrReturnCtx(input, ctx);
            addIssueToContext(ctx, {
              code: ZodIssueCode.too_big,
              maximum: check.value,
              type: "number",
              inclusive: check.inclusive,
              exact: false,
              message: check.message
            });
            status.dirty();
          }
        } else if (check.kind === "multipleOf") {
          if (floatSafeRemainder(input.data, check.value) !== 0) {
            ctx = this._getOrReturnCtx(input, ctx);
            addIssueToContext(ctx, {
              code: ZodIssueCode.not_multiple_of,
              multipleOf: check.value,
              message: check.message
            });
            status.dirty();
          }
        } else if (check.kind === "finite") {
          if (!Number.isFinite(input.data)) {
            ctx = this._getOrReturnCtx(input, ctx);
            addIssueToContext(ctx, {
              code: ZodIssueCode.not_finite,
              message: check.message
            });
            status.dirty();
          }
        } else {
          util.assertNever(check);
        }
      }
      return { status: status.value, value: input.data };
    }
    gte(value, message) {
      return this.setLimit("min", value, true, errorUtil.toString(message));
    }
    gt(value, message) {
      return this.setLimit("min", value, false, errorUtil.toString(message));
    }
    lte(value, message) {
      return this.setLimit("max", value, true, errorUtil.toString(message));
    }
    lt(value, message) {
      return this.setLimit("max", value, false, errorUtil.toString(message));
    }
    setLimit(kind, value, inclusive, message) {
      return new ZodNumber({
        ...this._def,
        checks: [
          ...this._def.checks,
          {
            kind,
            value,
            inclusive,
            message: errorUtil.toString(message)
          }
        ]
      });
    }
    _addCheck(check) {
      return new ZodNumber({
        ...this._def,
        checks: [...this._def.checks, check]
      });
    }
    int(message) {
      return this._addCheck({
        kind: "int",
        message: errorUtil.toString(message)
      });
    }
    positive(message) {
      return this._addCheck({
        kind: "min",
        value: 0,
        inclusive: false,
        message: errorUtil.toString(message)
      });
    }
    negative(message) {
      return this._addCheck({
        kind: "max",
        value: 0,
        inclusive: false,
        message: errorUtil.toString(message)
      });
    }
    nonpositive(message) {
      return this._addCheck({
        kind: "max",
        value: 0,
        inclusive: true,
        message: errorUtil.toString(message)
      });
    }
    nonnegative(message) {
      return this._addCheck({
        kind: "min",
        value: 0,
        inclusive: true,
        message: errorUtil.toString(message)
      });
    }
    multipleOf(value, message) {
      return this._addCheck({
        kind: "multipleOf",
        value,
        message: errorUtil.toString(message)
      });
    }
    finite(message) {
      return this._addCheck({
        kind: "finite",
        message: errorUtil.toString(message)
      });
    }
    safe(message) {
      return this._addCheck({
        kind: "min",
        inclusive: true,
        value: Number.MIN_SAFE_INTEGER,
        message: errorUtil.toString(message)
      })._addCheck({
        kind: "max",
        inclusive: true,
        value: Number.MAX_SAFE_INTEGER,
        message: errorUtil.toString(message)
      });
    }
    get minValue() {
      let min = null;
      for (const ch of this._def.checks) {
        if (ch.kind === "min") {
          if (min === null || ch.value > min)
            min = ch.value;
        }
      }
      return min;
    }
    get maxValue() {
      let max = null;
      for (const ch of this._def.checks) {
        if (ch.kind === "max") {
          if (max === null || ch.value < max)
            max = ch.value;
        }
      }
      return max;
    }
    get isInt() {
      return !!this._def.checks.find((ch) => ch.kind === "int" || ch.kind === "multipleOf" && util.isInteger(ch.value));
    }
    get isFinite() {
      let max = null;
      let min = null;
      for (const ch of this._def.checks) {
        if (ch.kind === "finite" || ch.kind === "int" || ch.kind === "multipleOf") {
          return true;
        } else if (ch.kind === "min") {
          if (min === null || ch.value > min)
            min = ch.value;
        } else if (ch.kind === "max") {
          if (max === null || ch.value < max)
            max = ch.value;
        }
      }
      return Number.isFinite(min) && Number.isFinite(max);
    }
  };
  ZodNumber.create = (params) => {
    return new ZodNumber({
      checks: [],
      typeName: ZodFirstPartyTypeKind.ZodNumber,
      coerce: params?.coerce || false,
      ...processCreateParams(params)
    });
  };
  ZodBigInt = class ZodBigInt extends ZodType {
    constructor() {
      super(...arguments);
      this.min = this.gte;
      this.max = this.lte;
    }
    _parse(input) {
      if (this._def.coerce) {
        try {
          input.data = BigInt(input.data);
        } catch {
          return this._getInvalidInput(input);
        }
      }
      const parsedType = this._getType(input);
      if (parsedType !== ZodParsedType.bigint) {
        return this._getInvalidInput(input);
      }
      let ctx = undefined;
      const status = new ParseStatus;
      for (const check of this._def.checks) {
        if (check.kind === "min") {
          const tooSmall = check.inclusive ? input.data < check.value : input.data <= check.value;
          if (tooSmall) {
            ctx = this._getOrReturnCtx(input, ctx);
            addIssueToContext(ctx, {
              code: ZodIssueCode.too_small,
              type: "bigint",
              minimum: check.value,
              inclusive: check.inclusive,
              message: check.message
            });
            status.dirty();
          }
        } else if (check.kind === "max") {
          const tooBig = check.inclusive ? input.data > check.value : input.data >= check.value;
          if (tooBig) {
            ctx = this._getOrReturnCtx(input, ctx);
            addIssueToContext(ctx, {
              code: ZodIssueCode.too_big,
              type: "bigint",
              maximum: check.value,
              inclusive: check.inclusive,
              message: check.message
            });
            status.dirty();
          }
        } else if (check.kind === "multipleOf") {
          if (input.data % check.value !== BigInt(0)) {
            ctx = this._getOrReturnCtx(input, ctx);
            addIssueToContext(ctx, {
              code: ZodIssueCode.not_multiple_of,
              multipleOf: check.value,
              message: check.message
            });
            status.dirty();
          }
        } else {
          util.assertNever(check);
        }
      }
      return { status: status.value, value: input.data };
    }
    _getInvalidInput(input) {
      const ctx = this._getOrReturnCtx(input);
      addIssueToContext(ctx, {
        code: ZodIssueCode.invalid_type,
        expected: ZodParsedType.bigint,
        received: ctx.parsedType
      });
      return INVALID;
    }
    gte(value, message) {
      return this.setLimit("min", value, true, errorUtil.toString(message));
    }
    gt(value, message) {
      return this.setLimit("min", value, false, errorUtil.toString(message));
    }
    lte(value, message) {
      return this.setLimit("max", value, true, errorUtil.toString(message));
    }
    lt(value, message) {
      return this.setLimit("max", value, false, errorUtil.toString(message));
    }
    setLimit(kind, value, inclusive, message) {
      return new ZodBigInt({
        ...this._def,
        checks: [
          ...this._def.checks,
          {
            kind,
            value,
            inclusive,
            message: errorUtil.toString(message)
          }
        ]
      });
    }
    _addCheck(check) {
      return new ZodBigInt({
        ...this._def,
        checks: [...this._def.checks, check]
      });
    }
    positive(message) {
      return this._addCheck({
        kind: "min",
        value: BigInt(0),
        inclusive: false,
        message: errorUtil.toString(message)
      });
    }
    negative(message) {
      return this._addCheck({
        kind: "max",
        value: BigInt(0),
        inclusive: false,
        message: errorUtil.toString(message)
      });
    }
    nonpositive(message) {
      return this._addCheck({
        kind: "max",
        value: BigInt(0),
        inclusive: true,
        message: errorUtil.toString(message)
      });
    }
    nonnegative(message) {
      return this._addCheck({
        kind: "min",
        value: BigInt(0),
        inclusive: true,
        message: errorUtil.toString(message)
      });
    }
    multipleOf(value, message) {
      return this._addCheck({
        kind: "multipleOf",
        value,
        message: errorUtil.toString(message)
      });
    }
    get minValue() {
      let min = null;
      for (const ch of this._def.checks) {
        if (ch.kind === "min") {
          if (min === null || ch.value > min)
            min = ch.value;
        }
      }
      return min;
    }
    get maxValue() {
      let max = null;
      for (const ch of this._def.checks) {
        if (ch.kind === "max") {
          if (max === null || ch.value < max)
            max = ch.value;
        }
      }
      return max;
    }
  };
  ZodBigInt.create = (params) => {
    return new ZodBigInt({
      checks: [],
      typeName: ZodFirstPartyTypeKind.ZodBigInt,
      coerce: params?.coerce ?? false,
      ...processCreateParams(params)
    });
  };
  ZodBoolean = class ZodBoolean extends ZodType {
    _parse(input) {
      if (this._def.coerce) {
        input.data = Boolean(input.data);
      }
      const parsedType = this._getType(input);
      if (parsedType !== ZodParsedType.boolean) {
        const ctx = this._getOrReturnCtx(input);
        addIssueToContext(ctx, {
          code: ZodIssueCode.invalid_type,
          expected: ZodParsedType.boolean,
          received: ctx.parsedType
        });
        return INVALID;
      }
      return OK(input.data);
    }
  };
  ZodBoolean.create = (params) => {
    return new ZodBoolean({
      typeName: ZodFirstPartyTypeKind.ZodBoolean,
      coerce: params?.coerce || false,
      ...processCreateParams(params)
    });
  };
  ZodDate = class ZodDate extends ZodType {
    _parse(input) {
      if (this._def.coerce) {
        input.data = new Date(input.data);
      }
      const parsedType = this._getType(input);
      if (parsedType !== ZodParsedType.date) {
        const ctx2 = this._getOrReturnCtx(input);
        addIssueToContext(ctx2, {
          code: ZodIssueCode.invalid_type,
          expected: ZodParsedType.date,
          received: ctx2.parsedType
        });
        return INVALID;
      }
      if (Number.isNaN(input.data.getTime())) {
        const ctx2 = this._getOrReturnCtx(input);
        addIssueToContext(ctx2, {
          code: ZodIssueCode.invalid_date
        });
        return INVALID;
      }
      const status = new ParseStatus;
      let ctx = undefined;
      for (const check of this._def.checks) {
        if (check.kind === "min") {
          if (input.data.getTime() < check.value) {
            ctx = this._getOrReturnCtx(input, ctx);
            addIssueToContext(ctx, {
              code: ZodIssueCode.too_small,
              message: check.message,
              inclusive: true,
              exact: false,
              minimum: check.value,
              type: "date"
            });
            status.dirty();
          }
        } else if (check.kind === "max") {
          if (input.data.getTime() > check.value) {
            ctx = this._getOrReturnCtx(input, ctx);
            addIssueToContext(ctx, {
              code: ZodIssueCode.too_big,
              message: check.message,
              inclusive: true,
              exact: false,
              maximum: check.value,
              type: "date"
            });
            status.dirty();
          }
        } else {
          util.assertNever(check);
        }
      }
      return {
        status: status.value,
        value: new Date(input.data.getTime())
      };
    }
    _addCheck(check) {
      return new ZodDate({
        ...this._def,
        checks: [...this._def.checks, check]
      });
    }
    min(minDate, message) {
      return this._addCheck({
        kind: "min",
        value: minDate.getTime(),
        message: errorUtil.toString(message)
      });
    }
    max(maxDate, message) {
      return this._addCheck({
        kind: "max",
        value: maxDate.getTime(),
        message: errorUtil.toString(message)
      });
    }
    get minDate() {
      let min = null;
      for (const ch of this._def.checks) {
        if (ch.kind === "min") {
          if (min === null || ch.value > min)
            min = ch.value;
        }
      }
      return min != null ? new Date(min) : null;
    }
    get maxDate() {
      let max = null;
      for (const ch of this._def.checks) {
        if (ch.kind === "max") {
          if (max === null || ch.value < max)
            max = ch.value;
        }
      }
      return max != null ? new Date(max) : null;
    }
  };
  ZodDate.create = (params) => {
    return new ZodDate({
      checks: [],
      coerce: params?.coerce || false,
      typeName: ZodFirstPartyTypeKind.ZodDate,
      ...processCreateParams(params)
    });
  };
  ZodSymbol = class ZodSymbol extends ZodType {
    _parse(input) {
      const parsedType = this._getType(input);
      if (parsedType !== ZodParsedType.symbol) {
        const ctx = this._getOrReturnCtx(input);
        addIssueToContext(ctx, {
          code: ZodIssueCode.invalid_type,
          expected: ZodParsedType.symbol,
          received: ctx.parsedType
        });
        return INVALID;
      }
      return OK(input.data);
    }
  };
  ZodSymbol.create = (params) => {
    return new ZodSymbol({
      typeName: ZodFirstPartyTypeKind.ZodSymbol,
      ...processCreateParams(params)
    });
  };
  ZodUndefined = class ZodUndefined extends ZodType {
    _parse(input) {
      const parsedType = this._getType(input);
      if (parsedType !== ZodParsedType.undefined) {
        const ctx = this._getOrReturnCtx(input);
        addIssueToContext(ctx, {
          code: ZodIssueCode.invalid_type,
          expected: ZodParsedType.undefined,
          received: ctx.parsedType
        });
        return INVALID;
      }
      return OK(input.data);
    }
  };
  ZodUndefined.create = (params) => {
    return new ZodUndefined({
      typeName: ZodFirstPartyTypeKind.ZodUndefined,
      ...processCreateParams(params)
    });
  };
  ZodNull = class ZodNull extends ZodType {
    _parse(input) {
      const parsedType = this._getType(input);
      if (parsedType !== ZodParsedType.null) {
        const ctx = this._getOrReturnCtx(input);
        addIssueToContext(ctx, {
          code: ZodIssueCode.invalid_type,
          expected: ZodParsedType.null,
          received: ctx.parsedType
        });
        return INVALID;
      }
      return OK(input.data);
    }
  };
  ZodNull.create = (params) => {
    return new ZodNull({
      typeName: ZodFirstPartyTypeKind.ZodNull,
      ...processCreateParams(params)
    });
  };
  ZodAny = class ZodAny extends ZodType {
    constructor() {
      super(...arguments);
      this._any = true;
    }
    _parse(input) {
      return OK(input.data);
    }
  };
  ZodAny.create = (params) => {
    return new ZodAny({
      typeName: ZodFirstPartyTypeKind.ZodAny,
      ...processCreateParams(params)
    });
  };
  ZodUnknown = class ZodUnknown extends ZodType {
    constructor() {
      super(...arguments);
      this._unknown = true;
    }
    _parse(input) {
      return OK(input.data);
    }
  };
  ZodUnknown.create = (params) => {
    return new ZodUnknown({
      typeName: ZodFirstPartyTypeKind.ZodUnknown,
      ...processCreateParams(params)
    });
  };
  ZodNever = class ZodNever extends ZodType {
    _parse(input) {
      const ctx = this._getOrReturnCtx(input);
      addIssueToContext(ctx, {
        code: ZodIssueCode.invalid_type,
        expected: ZodParsedType.never,
        received: ctx.parsedType
      });
      return INVALID;
    }
  };
  ZodNever.create = (params) => {
    return new ZodNever({
      typeName: ZodFirstPartyTypeKind.ZodNever,
      ...processCreateParams(params)
    });
  };
  ZodVoid = class ZodVoid extends ZodType {
    _parse(input) {
      const parsedType = this._getType(input);
      if (parsedType !== ZodParsedType.undefined) {
        const ctx = this._getOrReturnCtx(input);
        addIssueToContext(ctx, {
          code: ZodIssueCode.invalid_type,
          expected: ZodParsedType.void,
          received: ctx.parsedType
        });
        return INVALID;
      }
      return OK(input.data);
    }
  };
  ZodVoid.create = (params) => {
    return new ZodVoid({
      typeName: ZodFirstPartyTypeKind.ZodVoid,
      ...processCreateParams(params)
    });
  };
  ZodArray = class ZodArray extends ZodType {
    _parse(input) {
      const { ctx, status } = this._processInputParams(input);
      const def = this._def;
      if (ctx.parsedType !== ZodParsedType.array) {
        addIssueToContext(ctx, {
          code: ZodIssueCode.invalid_type,
          expected: ZodParsedType.array,
          received: ctx.parsedType
        });
        return INVALID;
      }
      if (def.exactLength !== null) {
        const tooBig = ctx.data.length > def.exactLength.value;
        const tooSmall = ctx.data.length < def.exactLength.value;
        if (tooBig || tooSmall) {
          addIssueToContext(ctx, {
            code: tooBig ? ZodIssueCode.too_big : ZodIssueCode.too_small,
            minimum: tooSmall ? def.exactLength.value : undefined,
            maximum: tooBig ? def.exactLength.value : undefined,
            type: "array",
            inclusive: true,
            exact: true,
            message: def.exactLength.message
          });
          status.dirty();
        }
      }
      if (def.minLength !== null) {
        if (ctx.data.length < def.minLength.value) {
          addIssueToContext(ctx, {
            code: ZodIssueCode.too_small,
            minimum: def.minLength.value,
            type: "array",
            inclusive: true,
            exact: false,
            message: def.minLength.message
          });
          status.dirty();
        }
      }
      if (def.maxLength !== null) {
        if (ctx.data.length > def.maxLength.value) {
          addIssueToContext(ctx, {
            code: ZodIssueCode.too_big,
            maximum: def.maxLength.value,
            type: "array",
            inclusive: true,
            exact: false,
            message: def.maxLength.message
          });
          status.dirty();
        }
      }
      if (ctx.common.async) {
        return Promise.all([...ctx.data].map((item, i) => {
          return def.type._parseAsync(new ParseInputLazyPath(ctx, item, ctx.path, i));
        })).then((result2) => {
          return ParseStatus.mergeArray(status, result2);
        });
      }
      const result = [...ctx.data].map((item, i) => {
        return def.type._parseSync(new ParseInputLazyPath(ctx, item, ctx.path, i));
      });
      return ParseStatus.mergeArray(status, result);
    }
    get element() {
      return this._def.type;
    }
    min(minLength, message) {
      return new ZodArray({
        ...this._def,
        minLength: { value: minLength, message: errorUtil.toString(message) }
      });
    }
    max(maxLength, message) {
      return new ZodArray({
        ...this._def,
        maxLength: { value: maxLength, message: errorUtil.toString(message) }
      });
    }
    length(len, message) {
      return new ZodArray({
        ...this._def,
        exactLength: { value: len, message: errorUtil.toString(message) }
      });
    }
    nonempty(message) {
      return this.min(1, message);
    }
  };
  ZodArray.create = (schema, params) => {
    return new ZodArray({
      type: schema,
      minLength: null,
      maxLength: null,
      exactLength: null,
      typeName: ZodFirstPartyTypeKind.ZodArray,
      ...processCreateParams(params)
    });
  };
  ZodObject = class ZodObject extends ZodType {
    constructor() {
      super(...arguments);
      this._cached = null;
      this.nonstrict = this.passthrough;
      this.augment = this.extend;
    }
    _getCached() {
      if (this._cached !== null)
        return this._cached;
      const shape = this._def.shape();
      const keys = util.objectKeys(shape);
      this._cached = { shape, keys };
      return this._cached;
    }
    _parse(input) {
      const parsedType = this._getType(input);
      if (parsedType !== ZodParsedType.object) {
        const ctx2 = this._getOrReturnCtx(input);
        addIssueToContext(ctx2, {
          code: ZodIssueCode.invalid_type,
          expected: ZodParsedType.object,
          received: ctx2.parsedType
        });
        return INVALID;
      }
      const { status, ctx } = this._processInputParams(input);
      const { shape, keys: shapeKeys } = this._getCached();
      const extraKeys = [];
      if (!(this._def.catchall instanceof ZodNever && this._def.unknownKeys === "strip")) {
        for (const key in ctx.data) {
          if (!shapeKeys.includes(key)) {
            extraKeys.push(key);
          }
        }
      }
      const pairs = [];
      for (const key of shapeKeys) {
        const keyValidator = shape[key];
        const value = ctx.data[key];
        pairs.push({
          key: { status: "valid", value: key },
          value: keyValidator._parse(new ParseInputLazyPath(ctx, value, ctx.path, key)),
          alwaysSet: key in ctx.data
        });
      }
      if (this._def.catchall instanceof ZodNever) {
        const unknownKeys = this._def.unknownKeys;
        if (unknownKeys === "passthrough") {
          for (const key of extraKeys) {
            pairs.push({
              key: { status: "valid", value: key },
              value: { status: "valid", value: ctx.data[key] }
            });
          }
        } else if (unknownKeys === "strict") {
          if (extraKeys.length > 0) {
            addIssueToContext(ctx, {
              code: ZodIssueCode.unrecognized_keys,
              keys: extraKeys
            });
            status.dirty();
          }
        } else if (unknownKeys === "strip") {} else {
          throw new Error(`Internal ZodObject error: invalid unknownKeys value.`);
        }
      } else {
        const catchall = this._def.catchall;
        for (const key of extraKeys) {
          const value = ctx.data[key];
          pairs.push({
            key: { status: "valid", value: key },
            value: catchall._parse(new ParseInputLazyPath(ctx, value, ctx.path, key)),
            alwaysSet: key in ctx.data
          });
        }
      }
      if (ctx.common.async) {
        return Promise.resolve().then(async () => {
          const syncPairs = [];
          for (const pair of pairs) {
            const key = await pair.key;
            const value = await pair.value;
            syncPairs.push({
              key,
              value,
              alwaysSet: pair.alwaysSet
            });
          }
          return syncPairs;
        }).then((syncPairs) => {
          return ParseStatus.mergeObjectSync(status, syncPairs);
        });
      } else {
        return ParseStatus.mergeObjectSync(status, pairs);
      }
    }
    get shape() {
      return this._def.shape();
    }
    strict(message) {
      errorUtil.errToObj;
      return new ZodObject({
        ...this._def,
        unknownKeys: "strict",
        ...message !== undefined ? {
          errorMap: (issue, ctx) => {
            const defaultError = this._def.errorMap?.(issue, ctx).message ?? ctx.defaultError;
            if (issue.code === "unrecognized_keys")
              return {
                message: errorUtil.errToObj(message).message ?? defaultError
              };
            return {
              message: defaultError
            };
          }
        } : {}
      });
    }
    strip() {
      return new ZodObject({
        ...this._def,
        unknownKeys: "strip"
      });
    }
    passthrough() {
      return new ZodObject({
        ...this._def,
        unknownKeys: "passthrough"
      });
    }
    extend(augmentation) {
      return new ZodObject({
        ...this._def,
        shape: () => ({
          ...this._def.shape(),
          ...augmentation
        })
      });
    }
    merge(merging) {
      const merged = new ZodObject({
        unknownKeys: merging._def.unknownKeys,
        catchall: merging._def.catchall,
        shape: () => ({
          ...this._def.shape(),
          ...merging._def.shape()
        }),
        typeName: ZodFirstPartyTypeKind.ZodObject
      });
      return merged;
    }
    setKey(key, schema) {
      return this.augment({ [key]: schema });
    }
    catchall(index) {
      return new ZodObject({
        ...this._def,
        catchall: index
      });
    }
    pick(mask) {
      const shape = {};
      for (const key of util.objectKeys(mask)) {
        if (mask[key] && this.shape[key]) {
          shape[key] = this.shape[key];
        }
      }
      return new ZodObject({
        ...this._def,
        shape: () => shape
      });
    }
    omit(mask) {
      const shape = {};
      for (const key of util.objectKeys(this.shape)) {
        if (!mask[key]) {
          shape[key] = this.shape[key];
        }
      }
      return new ZodObject({
        ...this._def,
        shape: () => shape
      });
    }
    deepPartial() {
      return deepPartialify(this);
    }
    partial(mask) {
      const newShape = {};
      for (const key of util.objectKeys(this.shape)) {
        const fieldSchema = this.shape[key];
        if (mask && !mask[key]) {
          newShape[key] = fieldSchema;
        } else {
          newShape[key] = fieldSchema.optional();
        }
      }
      return new ZodObject({
        ...this._def,
        shape: () => newShape
      });
    }
    required(mask) {
      const newShape = {};
      for (const key of util.objectKeys(this.shape)) {
        if (mask && !mask[key]) {
          newShape[key] = this.shape[key];
        } else {
          const fieldSchema = this.shape[key];
          let newField = fieldSchema;
          while (newField instanceof ZodOptional) {
            newField = newField._def.innerType;
          }
          newShape[key] = newField;
        }
      }
      return new ZodObject({
        ...this._def,
        shape: () => newShape
      });
    }
    keyof() {
      return createZodEnum(util.objectKeys(this.shape));
    }
  };
  ZodObject.create = (shape, params) => {
    return new ZodObject({
      shape: () => shape,
      unknownKeys: "strip",
      catchall: ZodNever.create(),
      typeName: ZodFirstPartyTypeKind.ZodObject,
      ...processCreateParams(params)
    });
  };
  ZodObject.strictCreate = (shape, params) => {
    return new ZodObject({
      shape: () => shape,
      unknownKeys: "strict",
      catchall: ZodNever.create(),
      typeName: ZodFirstPartyTypeKind.ZodObject,
      ...processCreateParams(params)
    });
  };
  ZodObject.lazycreate = (shape, params) => {
    return new ZodObject({
      shape,
      unknownKeys: "strip",
      catchall: ZodNever.create(),
      typeName: ZodFirstPartyTypeKind.ZodObject,
      ...processCreateParams(params)
    });
  };
  ZodUnion = class ZodUnion extends ZodType {
    _parse(input) {
      const { ctx } = this._processInputParams(input);
      const options = this._def.options;
      function handleResults(results) {
        for (const result of results) {
          if (result.result.status === "valid") {
            return result.result;
          }
        }
        for (const result of results) {
          if (result.result.status === "dirty") {
            ctx.common.issues.push(...result.ctx.common.issues);
            return result.result;
          }
        }
        const unionErrors = results.map((result) => new ZodError(result.ctx.common.issues));
        addIssueToContext(ctx, {
          code: ZodIssueCode.invalid_union,
          unionErrors
        });
        return INVALID;
      }
      if (ctx.common.async) {
        return Promise.all(options.map(async (option) => {
          const childCtx = {
            ...ctx,
            common: {
              ...ctx.common,
              issues: []
            },
            parent: null
          };
          return {
            result: await option._parseAsync({
              data: ctx.data,
              path: ctx.path,
              parent: childCtx
            }),
            ctx: childCtx
          };
        })).then(handleResults);
      } else {
        let dirty = undefined;
        const issues = [];
        for (const option of options) {
          const childCtx = {
            ...ctx,
            common: {
              ...ctx.common,
              issues: []
            },
            parent: null
          };
          const result = option._parseSync({
            data: ctx.data,
            path: ctx.path,
            parent: childCtx
          });
          if (result.status === "valid") {
            return result;
          } else if (result.status === "dirty" && !dirty) {
            dirty = { result, ctx: childCtx };
          }
          if (childCtx.common.issues.length) {
            issues.push(childCtx.common.issues);
          }
        }
        if (dirty) {
          ctx.common.issues.push(...dirty.ctx.common.issues);
          return dirty.result;
        }
        const unionErrors = issues.map((issues2) => new ZodError(issues2));
        addIssueToContext(ctx, {
          code: ZodIssueCode.invalid_union,
          unionErrors
        });
        return INVALID;
      }
    }
    get options() {
      return this._def.options;
    }
  };
  ZodUnion.create = (types, params) => {
    return new ZodUnion({
      options: types,
      typeName: ZodFirstPartyTypeKind.ZodUnion,
      ...processCreateParams(params)
    });
  };
  ZodDiscriminatedUnion = class ZodDiscriminatedUnion extends ZodType {
    _parse(input) {
      const { ctx } = this._processInputParams(input);
      if (ctx.parsedType !== ZodParsedType.object) {
        addIssueToContext(ctx, {
          code: ZodIssueCode.invalid_type,
          expected: ZodParsedType.object,
          received: ctx.parsedType
        });
        return INVALID;
      }
      const discriminator = this.discriminator;
      const discriminatorValue = ctx.data[discriminator];
      const option = this.optionsMap.get(discriminatorValue);
      if (!option) {
        addIssueToContext(ctx, {
          code: ZodIssueCode.invalid_union_discriminator,
          options: Array.from(this.optionsMap.keys()),
          path: [discriminator]
        });
        return INVALID;
      }
      if (ctx.common.async) {
        return option._parseAsync({
          data: ctx.data,
          path: ctx.path,
          parent: ctx
        });
      } else {
        return option._parseSync({
          data: ctx.data,
          path: ctx.path,
          parent: ctx
        });
      }
    }
    get discriminator() {
      return this._def.discriminator;
    }
    get options() {
      return this._def.options;
    }
    get optionsMap() {
      return this._def.optionsMap;
    }
    static create(discriminator, options, params) {
      const optionsMap = new Map;
      for (const type of options) {
        const discriminatorValues = getDiscriminator(type.shape[discriminator]);
        if (!discriminatorValues.length) {
          throw new Error(`A discriminator value for key \`${discriminator}\` could not be extracted from all schema options`);
        }
        for (const value of discriminatorValues) {
          if (optionsMap.has(value)) {
            throw new Error(`Discriminator property ${String(discriminator)} has duplicate value ${String(value)}`);
          }
          optionsMap.set(value, type);
        }
      }
      return new ZodDiscriminatedUnion({
        typeName: ZodFirstPartyTypeKind.ZodDiscriminatedUnion,
        discriminator,
        options,
        optionsMap,
        ...processCreateParams(params)
      });
    }
  };
  ZodIntersection = class ZodIntersection extends ZodType {
    _parse(input) {
      const { status, ctx } = this._processInputParams(input);
      const handleParsed = (parsedLeft, parsedRight) => {
        if (isAborted(parsedLeft) || isAborted(parsedRight)) {
          return INVALID;
        }
        const merged = mergeValues(parsedLeft.value, parsedRight.value);
        if (!merged.valid) {
          addIssueToContext(ctx, {
            code: ZodIssueCode.invalid_intersection_types
          });
          return INVALID;
        }
        if (isDirty(parsedLeft) || isDirty(parsedRight)) {
          status.dirty();
        }
        return { status: status.value, value: merged.data };
      };
      if (ctx.common.async) {
        return Promise.all([
          this._def.left._parseAsync({
            data: ctx.data,
            path: ctx.path,
            parent: ctx
          }),
          this._def.right._parseAsync({
            data: ctx.data,
            path: ctx.path,
            parent: ctx
          })
        ]).then(([left, right]) => handleParsed(left, right));
      } else {
        return handleParsed(this._def.left._parseSync({
          data: ctx.data,
          path: ctx.path,
          parent: ctx
        }), this._def.right._parseSync({
          data: ctx.data,
          path: ctx.path,
          parent: ctx
        }));
      }
    }
  };
  ZodIntersection.create = (left, right, params) => {
    return new ZodIntersection({
      left,
      right,
      typeName: ZodFirstPartyTypeKind.ZodIntersection,
      ...processCreateParams(params)
    });
  };
  ZodTuple = class ZodTuple extends ZodType {
    _parse(input) {
      const { status, ctx } = this._processInputParams(input);
      if (ctx.parsedType !== ZodParsedType.array) {
        addIssueToContext(ctx, {
          code: ZodIssueCode.invalid_type,
          expected: ZodParsedType.array,
          received: ctx.parsedType
        });
        return INVALID;
      }
      if (ctx.data.length < this._def.items.length) {
        addIssueToContext(ctx, {
          code: ZodIssueCode.too_small,
          minimum: this._def.items.length,
          inclusive: true,
          exact: false,
          type: "array"
        });
        return INVALID;
      }
      const rest = this._def.rest;
      if (!rest && ctx.data.length > this._def.items.length) {
        addIssueToContext(ctx, {
          code: ZodIssueCode.too_big,
          maximum: this._def.items.length,
          inclusive: true,
          exact: false,
          type: "array"
        });
        status.dirty();
      }
      const items = [...ctx.data].map((item, itemIndex) => {
        const schema = this._def.items[itemIndex] || this._def.rest;
        if (!schema)
          return null;
        return schema._parse(new ParseInputLazyPath(ctx, item, ctx.path, itemIndex));
      }).filter((x2) => !!x2);
      if (ctx.common.async) {
        return Promise.all(items).then((results) => {
          return ParseStatus.mergeArray(status, results);
        });
      } else {
        return ParseStatus.mergeArray(status, items);
      }
    }
    get items() {
      return this._def.items;
    }
    rest(rest) {
      return new ZodTuple({
        ...this._def,
        rest
      });
    }
  };
  ZodTuple.create = (schemas, params) => {
    if (!Array.isArray(schemas)) {
      throw new Error("You must pass an array of schemas to z.tuple([ ... ])");
    }
    return new ZodTuple({
      items: schemas,
      typeName: ZodFirstPartyTypeKind.ZodTuple,
      rest: null,
      ...processCreateParams(params)
    });
  };
  ZodRecord = class ZodRecord extends ZodType {
    get keySchema() {
      return this._def.keyType;
    }
    get valueSchema() {
      return this._def.valueType;
    }
    _parse(input) {
      const { status, ctx } = this._processInputParams(input);
      if (ctx.parsedType !== ZodParsedType.object) {
        addIssueToContext(ctx, {
          code: ZodIssueCode.invalid_type,
          expected: ZodParsedType.object,
          received: ctx.parsedType
        });
        return INVALID;
      }
      const pairs = [];
      const keyType = this._def.keyType;
      const valueType = this._def.valueType;
      for (const key in ctx.data) {
        pairs.push({
          key: keyType._parse(new ParseInputLazyPath(ctx, key, ctx.path, key)),
          value: valueType._parse(new ParseInputLazyPath(ctx, ctx.data[key], ctx.path, key)),
          alwaysSet: key in ctx.data
        });
      }
      if (ctx.common.async) {
        return ParseStatus.mergeObjectAsync(status, pairs);
      } else {
        return ParseStatus.mergeObjectSync(status, pairs);
      }
    }
    get element() {
      return this._def.valueType;
    }
    static create(first, second, third) {
      if (second instanceof ZodType) {
        return new ZodRecord({
          keyType: first,
          valueType: second,
          typeName: ZodFirstPartyTypeKind.ZodRecord,
          ...processCreateParams(third)
        });
      }
      return new ZodRecord({
        keyType: ZodString.create(),
        valueType: first,
        typeName: ZodFirstPartyTypeKind.ZodRecord,
        ...processCreateParams(second)
      });
    }
  };
  ZodMap = class ZodMap extends ZodType {
    get keySchema() {
      return this._def.keyType;
    }
    get valueSchema() {
      return this._def.valueType;
    }
    _parse(input) {
      const { status, ctx } = this._processInputParams(input);
      if (ctx.parsedType !== ZodParsedType.map) {
        addIssueToContext(ctx, {
          code: ZodIssueCode.invalid_type,
          expected: ZodParsedType.map,
          received: ctx.parsedType
        });
        return INVALID;
      }
      const keyType = this._def.keyType;
      const valueType = this._def.valueType;
      const pairs = [...ctx.data.entries()].map(([key, value], index) => {
        return {
          key: keyType._parse(new ParseInputLazyPath(ctx, key, ctx.path, [index, "key"])),
          value: valueType._parse(new ParseInputLazyPath(ctx, value, ctx.path, [index, "value"]))
        };
      });
      if (ctx.common.async) {
        const finalMap = new Map;
        return Promise.resolve().then(async () => {
          for (const pair of pairs) {
            const key = await pair.key;
            const value = await pair.value;
            if (key.status === "aborted" || value.status === "aborted") {
              return INVALID;
            }
            if (key.status === "dirty" || value.status === "dirty") {
              status.dirty();
            }
            finalMap.set(key.value, value.value);
          }
          return { status: status.value, value: finalMap };
        });
      } else {
        const finalMap = new Map;
        for (const pair of pairs) {
          const key = pair.key;
          const value = pair.value;
          if (key.status === "aborted" || value.status === "aborted") {
            return INVALID;
          }
          if (key.status === "dirty" || value.status === "dirty") {
            status.dirty();
          }
          finalMap.set(key.value, value.value);
        }
        return { status: status.value, value: finalMap };
      }
    }
  };
  ZodMap.create = (keyType, valueType, params) => {
    return new ZodMap({
      valueType,
      keyType,
      typeName: ZodFirstPartyTypeKind.ZodMap,
      ...processCreateParams(params)
    });
  };
  ZodSet = class ZodSet extends ZodType {
    _parse(input) {
      const { status, ctx } = this._processInputParams(input);
      if (ctx.parsedType !== ZodParsedType.set) {
        addIssueToContext(ctx, {
          code: ZodIssueCode.invalid_type,
          expected: ZodParsedType.set,
          received: ctx.parsedType
        });
        return INVALID;
      }
      const def = this._def;
      if (def.minSize !== null) {
        if (ctx.data.size < def.minSize.value) {
          addIssueToContext(ctx, {
            code: ZodIssueCode.too_small,
            minimum: def.minSize.value,
            type: "set",
            inclusive: true,
            exact: false,
            message: def.minSize.message
          });
          status.dirty();
        }
      }
      if (def.maxSize !== null) {
        if (ctx.data.size > def.maxSize.value) {
          addIssueToContext(ctx, {
            code: ZodIssueCode.too_big,
            maximum: def.maxSize.value,
            type: "set",
            inclusive: true,
            exact: false,
            message: def.maxSize.message
          });
          status.dirty();
        }
      }
      const valueType = this._def.valueType;
      function finalizeSet(elements2) {
        const parsedSet = new Set;
        for (const element of elements2) {
          if (element.status === "aborted")
            return INVALID;
          if (element.status === "dirty")
            status.dirty();
          parsedSet.add(element.value);
        }
        return { status: status.value, value: parsedSet };
      }
      const elements = [...ctx.data.values()].map((item, i) => valueType._parse(new ParseInputLazyPath(ctx, item, ctx.path, i)));
      if (ctx.common.async) {
        return Promise.all(elements).then((elements2) => finalizeSet(elements2));
      } else {
        return finalizeSet(elements);
      }
    }
    min(minSize, message) {
      return new ZodSet({
        ...this._def,
        minSize: { value: minSize, message: errorUtil.toString(message) }
      });
    }
    max(maxSize, message) {
      return new ZodSet({
        ...this._def,
        maxSize: { value: maxSize, message: errorUtil.toString(message) }
      });
    }
    size(size, message) {
      return this.min(size, message).max(size, message);
    }
    nonempty(message) {
      return this.min(1, message);
    }
  };
  ZodSet.create = (valueType, params) => {
    return new ZodSet({
      valueType,
      minSize: null,
      maxSize: null,
      typeName: ZodFirstPartyTypeKind.ZodSet,
      ...processCreateParams(params)
    });
  };
  ZodFunction = class ZodFunction extends ZodType {
    constructor() {
      super(...arguments);
      this.validate = this.implement;
    }
    _parse(input) {
      const { ctx } = this._processInputParams(input);
      if (ctx.parsedType !== ZodParsedType.function) {
        addIssueToContext(ctx, {
          code: ZodIssueCode.invalid_type,
          expected: ZodParsedType.function,
          received: ctx.parsedType
        });
        return INVALID;
      }
      function makeArgsIssue(args, error) {
        return makeIssue({
          data: args,
          path: ctx.path,
          errorMaps: [ctx.common.contextualErrorMap, ctx.schemaErrorMap, getErrorMap(), en_default].filter((x2) => !!x2),
          issueData: {
            code: ZodIssueCode.invalid_arguments,
            argumentsError: error
          }
        });
      }
      function makeReturnsIssue(returns, error) {
        return makeIssue({
          data: returns,
          path: ctx.path,
          errorMaps: [ctx.common.contextualErrorMap, ctx.schemaErrorMap, getErrorMap(), en_default].filter((x2) => !!x2),
          issueData: {
            code: ZodIssueCode.invalid_return_type,
            returnTypeError: error
          }
        });
      }
      const params = { errorMap: ctx.common.contextualErrorMap };
      const fn = ctx.data;
      if (this._def.returns instanceof ZodPromise) {
        const me2 = this;
        return OK(async function(...args) {
          const error = new ZodError([]);
          const parsedArgs = await me2._def.args.parseAsync(args, params).catch((e) => {
            error.addIssue(makeArgsIssue(args, e));
            throw error;
          });
          const result = await Reflect.apply(fn, this, parsedArgs);
          const parsedReturns = await me2._def.returns._def.type.parseAsync(result, params).catch((e) => {
            error.addIssue(makeReturnsIssue(result, e));
            throw error;
          });
          return parsedReturns;
        });
      } else {
        const me2 = this;
        return OK(function(...args) {
          const parsedArgs = me2._def.args.safeParse(args, params);
          if (!parsedArgs.success) {
            throw new ZodError([makeArgsIssue(args, parsedArgs.error)]);
          }
          const result = Reflect.apply(fn, this, parsedArgs.data);
          const parsedReturns = me2._def.returns.safeParse(result, params);
          if (!parsedReturns.success) {
            throw new ZodError([makeReturnsIssue(result, parsedReturns.error)]);
          }
          return parsedReturns.data;
        });
      }
    }
    parameters() {
      return this._def.args;
    }
    returnType() {
      return this._def.returns;
    }
    args(...items) {
      return new ZodFunction({
        ...this._def,
        args: ZodTuple.create(items).rest(ZodUnknown.create())
      });
    }
    returns(returnType) {
      return new ZodFunction({
        ...this._def,
        returns: returnType
      });
    }
    implement(func) {
      const validatedFunc = this.parse(func);
      return validatedFunc;
    }
    strictImplement(func) {
      const validatedFunc = this.parse(func);
      return validatedFunc;
    }
    static create(args, returns, params) {
      return new ZodFunction({
        args: args ? args : ZodTuple.create([]).rest(ZodUnknown.create()),
        returns: returns || ZodUnknown.create(),
        typeName: ZodFirstPartyTypeKind.ZodFunction,
        ...processCreateParams(params)
      });
    }
  };
  ZodLazy = class ZodLazy extends ZodType {
    get schema() {
      return this._def.getter();
    }
    _parse(input) {
      const { ctx } = this._processInputParams(input);
      const lazySchema = this._def.getter();
      return lazySchema._parse({ data: ctx.data, path: ctx.path, parent: ctx });
    }
  };
  ZodLazy.create = (getter, params) => {
    return new ZodLazy({
      getter,
      typeName: ZodFirstPartyTypeKind.ZodLazy,
      ...processCreateParams(params)
    });
  };
  ZodLiteral = class ZodLiteral extends ZodType {
    _parse(input) {
      if (input.data !== this._def.value) {
        const ctx = this._getOrReturnCtx(input);
        addIssueToContext(ctx, {
          received: ctx.data,
          code: ZodIssueCode.invalid_literal,
          expected: this._def.value
        });
        return INVALID;
      }
      return { status: "valid", value: input.data };
    }
    get value() {
      return this._def.value;
    }
  };
  ZodLiteral.create = (value, params) => {
    return new ZodLiteral({
      value,
      typeName: ZodFirstPartyTypeKind.ZodLiteral,
      ...processCreateParams(params)
    });
  };
  ZodEnum = class ZodEnum extends ZodType {
    constructor() {
      super(...arguments);
      _ZodEnum_cache.set(this, undefined);
    }
    _parse(input) {
      if (typeof input.data !== "string") {
        const ctx = this._getOrReturnCtx(input);
        const expectedValues = this._def.values;
        addIssueToContext(ctx, {
          expected: util.joinValues(expectedValues),
          received: ctx.parsedType,
          code: ZodIssueCode.invalid_type
        });
        return INVALID;
      }
      if (!__classPrivateFieldGet(this, _ZodEnum_cache, "f")) {
        __classPrivateFieldSet(this, _ZodEnum_cache, new Set(this._def.values), "f");
      }
      if (!__classPrivateFieldGet(this, _ZodEnum_cache, "f").has(input.data)) {
        const ctx = this._getOrReturnCtx(input);
        const expectedValues = this._def.values;
        addIssueToContext(ctx, {
          received: ctx.data,
          code: ZodIssueCode.invalid_enum_value,
          options: expectedValues
        });
        return INVALID;
      }
      return OK(input.data);
    }
    get options() {
      return this._def.values;
    }
    get enum() {
      const enumValues = {};
      for (const val of this._def.values) {
        enumValues[val] = val;
      }
      return enumValues;
    }
    get Values() {
      const enumValues = {};
      for (const val of this._def.values) {
        enumValues[val] = val;
      }
      return enumValues;
    }
    get Enum() {
      const enumValues = {};
      for (const val of this._def.values) {
        enumValues[val] = val;
      }
      return enumValues;
    }
    extract(values, newDef = this._def) {
      return ZodEnum.create(values, {
        ...this._def,
        ...newDef
      });
    }
    exclude(values, newDef = this._def) {
      return ZodEnum.create(this.options.filter((opt) => !values.includes(opt)), {
        ...this._def,
        ...newDef
      });
    }
  };
  _ZodEnum_cache = new WeakMap;
  ZodEnum.create = createZodEnum;
  ZodNativeEnum = class ZodNativeEnum extends ZodType {
    constructor() {
      super(...arguments);
      _ZodNativeEnum_cache.set(this, undefined);
    }
    _parse(input) {
      const nativeEnumValues = util.getValidEnumValues(this._def.values);
      const ctx = this._getOrReturnCtx(input);
      if (ctx.parsedType !== ZodParsedType.string && ctx.parsedType !== ZodParsedType.number) {
        const expectedValues = util.objectValues(nativeEnumValues);
        addIssueToContext(ctx, {
          expected: util.joinValues(expectedValues),
          received: ctx.parsedType,
          code: ZodIssueCode.invalid_type
        });
        return INVALID;
      }
      if (!__classPrivateFieldGet(this, _ZodNativeEnum_cache, "f")) {
        __classPrivateFieldSet(this, _ZodNativeEnum_cache, new Set(util.getValidEnumValues(this._def.values)), "f");
      }
      if (!__classPrivateFieldGet(this, _ZodNativeEnum_cache, "f").has(input.data)) {
        const expectedValues = util.objectValues(nativeEnumValues);
        addIssueToContext(ctx, {
          received: ctx.data,
          code: ZodIssueCode.invalid_enum_value,
          options: expectedValues
        });
        return INVALID;
      }
      return OK(input.data);
    }
    get enum() {
      return this._def.values;
    }
  };
  _ZodNativeEnum_cache = new WeakMap;
  ZodNativeEnum.create = (values, params) => {
    return new ZodNativeEnum({
      values,
      typeName: ZodFirstPartyTypeKind.ZodNativeEnum,
      ...processCreateParams(params)
    });
  };
  ZodPromise = class ZodPromise extends ZodType {
    unwrap() {
      return this._def.type;
    }
    _parse(input) {
      const { ctx } = this._processInputParams(input);
      if (ctx.parsedType !== ZodParsedType.promise && ctx.common.async === false) {
        addIssueToContext(ctx, {
          code: ZodIssueCode.invalid_type,
          expected: ZodParsedType.promise,
          received: ctx.parsedType
        });
        return INVALID;
      }
      const promisified = ctx.parsedType === ZodParsedType.promise ? ctx.data : Promise.resolve(ctx.data);
      return OK(promisified.then((data) => {
        return this._def.type.parseAsync(data, {
          path: ctx.path,
          errorMap: ctx.common.contextualErrorMap
        });
      }));
    }
  };
  ZodPromise.create = (schema, params) => {
    return new ZodPromise({
      type: schema,
      typeName: ZodFirstPartyTypeKind.ZodPromise,
      ...processCreateParams(params)
    });
  };
  ZodEffects = class ZodEffects extends ZodType {
    innerType() {
      return this._def.schema;
    }
    sourceType() {
      return this._def.schema._def.typeName === ZodFirstPartyTypeKind.ZodEffects ? this._def.schema.sourceType() : this._def.schema;
    }
    _parse(input) {
      const { status, ctx } = this._processInputParams(input);
      const effect = this._def.effect || null;
      const checkCtx = {
        addIssue: (arg) => {
          addIssueToContext(ctx, arg);
          if (arg.fatal) {
            status.abort();
          } else {
            status.dirty();
          }
        },
        get path() {
          return ctx.path;
        }
      };
      checkCtx.addIssue = checkCtx.addIssue.bind(checkCtx);
      if (effect.type === "preprocess") {
        const processed = effect.transform(ctx.data, checkCtx);
        if (ctx.common.async) {
          return Promise.resolve(processed).then(async (processed2) => {
            if (status.value === "aborted")
              return INVALID;
            const result = await this._def.schema._parseAsync({
              data: processed2,
              path: ctx.path,
              parent: ctx
            });
            if (result.status === "aborted")
              return INVALID;
            if (result.status === "dirty")
              return DIRTY(result.value);
            if (status.value === "dirty")
              return DIRTY(result.value);
            return result;
          });
        } else {
          if (status.value === "aborted")
            return INVALID;
          const result = this._def.schema._parseSync({
            data: processed,
            path: ctx.path,
            parent: ctx
          });
          if (result.status === "aborted")
            return INVALID;
          if (result.status === "dirty")
            return DIRTY(result.value);
          if (status.value === "dirty")
            return DIRTY(result.value);
          return result;
        }
      }
      if (effect.type === "refinement") {
        const executeRefinement = (acc) => {
          const result = effect.refinement(acc, checkCtx);
          if (ctx.common.async) {
            return Promise.resolve(result);
          }
          if (result instanceof Promise) {
            throw new Error("Async refinement encountered during synchronous parse operation. Use .parseAsync instead.");
          }
          return acc;
        };
        if (ctx.common.async === false) {
          const inner = this._def.schema._parseSync({
            data: ctx.data,
            path: ctx.path,
            parent: ctx
          });
          if (inner.status === "aborted")
            return INVALID;
          if (inner.status === "dirty")
            status.dirty();
          executeRefinement(inner.value);
          return { status: status.value, value: inner.value };
        } else {
          return this._def.schema._parseAsync({ data: ctx.data, path: ctx.path, parent: ctx }).then((inner) => {
            if (inner.status === "aborted")
              return INVALID;
            if (inner.status === "dirty")
              status.dirty();
            return executeRefinement(inner.value).then(() => {
              return { status: status.value, value: inner.value };
            });
          });
        }
      }
      if (effect.type === "transform") {
        if (ctx.common.async === false) {
          const base = this._def.schema._parseSync({
            data: ctx.data,
            path: ctx.path,
            parent: ctx
          });
          if (!isValid(base))
            return base;
          const result = effect.transform(base.value, checkCtx);
          if (result instanceof Promise) {
            throw new Error(`Asynchronous transform encountered during synchronous parse operation. Use .parseAsync instead.`);
          }
          return { status: status.value, value: result };
        } else {
          return this._def.schema._parseAsync({ data: ctx.data, path: ctx.path, parent: ctx }).then((base) => {
            if (!isValid(base))
              return base;
            return Promise.resolve(effect.transform(base.value, checkCtx)).then((result) => ({
              status: status.value,
              value: result
            }));
          });
        }
      }
      util.assertNever(effect);
    }
  };
  ZodEffects.create = (schema, effect, params) => {
    return new ZodEffects({
      schema,
      typeName: ZodFirstPartyTypeKind.ZodEffects,
      effect,
      ...processCreateParams(params)
    });
  };
  ZodEffects.createWithPreprocess = (preprocess, schema, params) => {
    return new ZodEffects({
      schema,
      effect: { type: "preprocess", transform: preprocess },
      typeName: ZodFirstPartyTypeKind.ZodEffects,
      ...processCreateParams(params)
    });
  };
  ZodOptional = class ZodOptional extends ZodType {
    _parse(input) {
      const parsedType = this._getType(input);
      if (parsedType === ZodParsedType.undefined) {
        return OK(undefined);
      }
      return this._def.innerType._parse(input);
    }
    unwrap() {
      return this._def.innerType;
    }
  };
  ZodOptional.create = (type, params) => {
    return new ZodOptional({
      innerType: type,
      typeName: ZodFirstPartyTypeKind.ZodOptional,
      ...processCreateParams(params)
    });
  };
  ZodNullable = class ZodNullable extends ZodType {
    _parse(input) {
      const parsedType = this._getType(input);
      if (parsedType === ZodParsedType.null) {
        return OK(null);
      }
      return this._def.innerType._parse(input);
    }
    unwrap() {
      return this._def.innerType;
    }
  };
  ZodNullable.create = (type, params) => {
    return new ZodNullable({
      innerType: type,
      typeName: ZodFirstPartyTypeKind.ZodNullable,
      ...processCreateParams(params)
    });
  };
  ZodDefault = class ZodDefault extends ZodType {
    _parse(input) {
      const { ctx } = this._processInputParams(input);
      let data = ctx.data;
      if (ctx.parsedType === ZodParsedType.undefined) {
        data = this._def.defaultValue();
      }
      return this._def.innerType._parse({
        data,
        path: ctx.path,
        parent: ctx
      });
    }
    removeDefault() {
      return this._def.innerType;
    }
  };
  ZodDefault.create = (type, params) => {
    return new ZodDefault({
      innerType: type,
      typeName: ZodFirstPartyTypeKind.ZodDefault,
      defaultValue: typeof params.default === "function" ? params.default : () => params.default,
      ...processCreateParams(params)
    });
  };
  ZodCatch = class ZodCatch extends ZodType {
    _parse(input) {
      const { ctx } = this._processInputParams(input);
      const newCtx = {
        ...ctx,
        common: {
          ...ctx.common,
          issues: []
        }
      };
      const result = this._def.innerType._parse({
        data: newCtx.data,
        path: newCtx.path,
        parent: {
          ...newCtx
        }
      });
      if (isAsync(result)) {
        return result.then((result2) => {
          return {
            status: "valid",
            value: result2.status === "valid" ? result2.value : this._def.catchValue({
              get error() {
                return new ZodError(newCtx.common.issues);
              },
              input: newCtx.data
            })
          };
        });
      } else {
        return {
          status: "valid",
          value: result.status === "valid" ? result.value : this._def.catchValue({
            get error() {
              return new ZodError(newCtx.common.issues);
            },
            input: newCtx.data
          })
        };
      }
    }
    removeCatch() {
      return this._def.innerType;
    }
  };
  ZodCatch.create = (type, params) => {
    return new ZodCatch({
      innerType: type,
      typeName: ZodFirstPartyTypeKind.ZodCatch,
      catchValue: typeof params.catch === "function" ? params.catch : () => params.catch,
      ...processCreateParams(params)
    });
  };
  ZodNaN = class ZodNaN extends ZodType {
    _parse(input) {
      const parsedType = this._getType(input);
      if (parsedType !== ZodParsedType.nan) {
        const ctx = this._getOrReturnCtx(input);
        addIssueToContext(ctx, {
          code: ZodIssueCode.invalid_type,
          expected: ZodParsedType.nan,
          received: ctx.parsedType
        });
        return INVALID;
      }
      return { status: "valid", value: input.data };
    }
  };
  ZodNaN.create = (params) => {
    return new ZodNaN({
      typeName: ZodFirstPartyTypeKind.ZodNaN,
      ...processCreateParams(params)
    });
  };
  BRAND = Symbol("zod_brand");
  ZodBranded = class ZodBranded extends ZodType {
    _parse(input) {
      const { ctx } = this._processInputParams(input);
      const data = ctx.data;
      return this._def.type._parse({
        data,
        path: ctx.path,
        parent: ctx
      });
    }
    unwrap() {
      return this._def.type;
    }
  };
  ZodPipeline = class ZodPipeline extends ZodType {
    _parse(input) {
      const { status, ctx } = this._processInputParams(input);
      if (ctx.common.async) {
        const handleAsync = async () => {
          const inResult = await this._def.in._parseAsync({
            data: ctx.data,
            path: ctx.path,
            parent: ctx
          });
          if (inResult.status === "aborted")
            return INVALID;
          if (inResult.status === "dirty") {
            status.dirty();
            return DIRTY(inResult.value);
          } else {
            return this._def.out._parseAsync({
              data: inResult.value,
              path: ctx.path,
              parent: ctx
            });
          }
        };
        return handleAsync();
      } else {
        const inResult = this._def.in._parseSync({
          data: ctx.data,
          path: ctx.path,
          parent: ctx
        });
        if (inResult.status === "aborted")
          return INVALID;
        if (inResult.status === "dirty") {
          status.dirty();
          return {
            status: "dirty",
            value: inResult.value
          };
        } else {
          return this._def.out._parseSync({
            data: inResult.value,
            path: ctx.path,
            parent: ctx
          });
        }
      }
    }
    static create(a, b2) {
      return new ZodPipeline({
        in: a,
        out: b2,
        typeName: ZodFirstPartyTypeKind.ZodPipeline
      });
    }
  };
  ZodReadonly = class ZodReadonly extends ZodType {
    _parse(input) {
      const result = this._def.innerType._parse(input);
      const freeze = (data) => {
        if (isValid(data)) {
          data.value = Object.freeze(data.value);
        }
        return data;
      };
      return isAsync(result) ? result.then((data) => freeze(data)) : freeze(result);
    }
    unwrap() {
      return this._def.innerType;
    }
  };
  ZodReadonly.create = (type, params) => {
    return new ZodReadonly({
      innerType: type,
      typeName: ZodFirstPartyTypeKind.ZodReadonly,
      ...processCreateParams(params)
    });
  };
  late = {
    object: ZodObject.lazycreate
  };
  (function(ZodFirstPartyTypeKind2) {
    ZodFirstPartyTypeKind2["ZodString"] = "ZodString";
    ZodFirstPartyTypeKind2["ZodNumber"] = "ZodNumber";
    ZodFirstPartyTypeKind2["ZodNaN"] = "ZodNaN";
    ZodFirstPartyTypeKind2["ZodBigInt"] = "ZodBigInt";
    ZodFirstPartyTypeKind2["ZodBoolean"] = "ZodBoolean";
    ZodFirstPartyTypeKind2["ZodDate"] = "ZodDate";
    ZodFirstPartyTypeKind2["ZodSymbol"] = "ZodSymbol";
    ZodFirstPartyTypeKind2["ZodUndefined"] = "ZodUndefined";
    ZodFirstPartyTypeKind2["ZodNull"] = "ZodNull";
    ZodFirstPartyTypeKind2["ZodAny"] = "ZodAny";
    ZodFirstPartyTypeKind2["ZodUnknown"] = "ZodUnknown";
    ZodFirstPartyTypeKind2["ZodNever"] = "ZodNever";
    ZodFirstPartyTypeKind2["ZodVoid"] = "ZodVoid";
    ZodFirstPartyTypeKind2["ZodArray"] = "ZodArray";
    ZodFirstPartyTypeKind2["ZodObject"] = "ZodObject";
    ZodFirstPartyTypeKind2["ZodUnion"] = "ZodUnion";
    ZodFirstPartyTypeKind2["ZodDiscriminatedUnion"] = "ZodDiscriminatedUnion";
    ZodFirstPartyTypeKind2["ZodIntersection"] = "ZodIntersection";
    ZodFirstPartyTypeKind2["ZodTuple"] = "ZodTuple";
    ZodFirstPartyTypeKind2["ZodRecord"] = "ZodRecord";
    ZodFirstPartyTypeKind2["ZodMap"] = "ZodMap";
    ZodFirstPartyTypeKind2["ZodSet"] = "ZodSet";
    ZodFirstPartyTypeKind2["ZodFunction"] = "ZodFunction";
    ZodFirstPartyTypeKind2["ZodLazy"] = "ZodLazy";
    ZodFirstPartyTypeKind2["ZodLiteral"] = "ZodLiteral";
    ZodFirstPartyTypeKind2["ZodEnum"] = "ZodEnum";
    ZodFirstPartyTypeKind2["ZodEffects"] = "ZodEffects";
    ZodFirstPartyTypeKind2["ZodNativeEnum"] = "ZodNativeEnum";
    ZodFirstPartyTypeKind2["ZodOptional"] = "ZodOptional";
    ZodFirstPartyTypeKind2["ZodNullable"] = "ZodNullable";
    ZodFirstPartyTypeKind2["ZodDefault"] = "ZodDefault";
    ZodFirstPartyTypeKind2["ZodCatch"] = "ZodCatch";
    ZodFirstPartyTypeKind2["ZodPromise"] = "ZodPromise";
    ZodFirstPartyTypeKind2["ZodBranded"] = "ZodBranded";
    ZodFirstPartyTypeKind2["ZodPipeline"] = "ZodPipeline";
    ZodFirstPartyTypeKind2["ZodReadonly"] = "ZodReadonly";
  })(ZodFirstPartyTypeKind || (ZodFirstPartyTypeKind = {}));
  stringType = ZodString.create;
  numberType = ZodNumber.create;
  nanType = ZodNaN.create;
  bigIntType = ZodBigInt.create;
  booleanType = ZodBoolean.create;
  dateType = ZodDate.create;
  symbolType = ZodSymbol.create;
  undefinedType = ZodUndefined.create;
  nullType = ZodNull.create;
  anyType = ZodAny.create;
  unknownType = ZodUnknown.create;
  neverType = ZodNever.create;
  voidType = ZodVoid.create;
  arrayType = ZodArray.create;
  objectType = ZodObject.create;
  strictObjectType = ZodObject.strictCreate;
  unionType = ZodUnion.create;
  discriminatedUnionType = ZodDiscriminatedUnion.create;
  intersectionType = ZodIntersection.create;
  tupleType = ZodTuple.create;
  recordType = ZodRecord.create;
  mapType = ZodMap.create;
  setType = ZodSet.create;
  functionType = ZodFunction.create;
  lazyType = ZodLazy.create;
  literalType = ZodLiteral.create;
  enumType = ZodEnum.create;
  nativeEnumType = ZodNativeEnum.create;
  promiseType = ZodPromise.create;
  effectsType = ZodEffects.create;
  optionalType = ZodOptional.create;
  nullableType = ZodNullable.create;
  preprocessType = ZodEffects.createWithPreprocess;
  pipelineType = ZodPipeline.create;
  coerce = {
    string: (arg) => ZodString.create({ ...arg, coerce: true }),
    number: (arg) => ZodNumber.create({ ...arg, coerce: true }),
    boolean: (arg) => ZodBoolean.create({
      ...arg,
      coerce: true
    }),
    bigint: (arg) => ZodBigInt.create({ ...arg, coerce: true }),
    date: (arg) => ZodDate.create({ ...arg, coerce: true })
  };
  NEVER = INVALID;
});

// node_modules/zod/dist/esm/v3/external.js
var exports_external = {};
__export(exports_external, {
  void: () => voidType,
  util: () => util,
  unknown: () => unknownType,
  union: () => unionType,
  undefined: () => undefinedType,
  tuple: () => tupleType,
  transformer: () => effectsType,
  symbol: () => symbolType,
  string: () => stringType,
  strictObject: () => strictObjectType,
  setErrorMap: () => setErrorMap,
  set: () => setType,
  record: () => recordType,
  quotelessJson: () => quotelessJson,
  promise: () => promiseType,
  preprocess: () => preprocessType,
  pipeline: () => pipelineType,
  ostring: () => ostring,
  optional: () => optionalType,
  onumber: () => onumber,
  oboolean: () => oboolean,
  objectUtil: () => objectUtil,
  object: () => objectType,
  number: () => numberType,
  nullable: () => nullableType,
  null: () => nullType,
  never: () => neverType,
  nativeEnum: () => nativeEnumType,
  nan: () => nanType,
  map: () => mapType,
  makeIssue: () => makeIssue,
  literal: () => literalType,
  lazy: () => lazyType,
  late: () => late,
  isValid: () => isValid,
  isDirty: () => isDirty,
  isAsync: () => isAsync,
  isAborted: () => isAborted,
  intersection: () => intersectionType,
  instanceof: () => instanceOfType,
  getParsedType: () => getParsedType,
  getErrorMap: () => getErrorMap,
  function: () => functionType,
  enum: () => enumType,
  effect: () => effectsType,
  discriminatedUnion: () => discriminatedUnionType,
  defaultErrorMap: () => en_default,
  datetimeRegex: () => datetimeRegex,
  date: () => dateType,
  custom: () => custom,
  coerce: () => coerce,
  boolean: () => booleanType,
  bigint: () => bigIntType,
  array: () => arrayType,
  any: () => anyType,
  addIssueToContext: () => addIssueToContext,
  ZodVoid: () => ZodVoid,
  ZodUnknown: () => ZodUnknown,
  ZodUnion: () => ZodUnion,
  ZodUndefined: () => ZodUndefined,
  ZodType: () => ZodType,
  ZodTuple: () => ZodTuple,
  ZodTransformer: () => ZodEffects,
  ZodSymbol: () => ZodSymbol,
  ZodString: () => ZodString,
  ZodSet: () => ZodSet,
  ZodSchema: () => ZodType,
  ZodRecord: () => ZodRecord,
  ZodReadonly: () => ZodReadonly,
  ZodPromise: () => ZodPromise,
  ZodPipeline: () => ZodPipeline,
  ZodParsedType: () => ZodParsedType,
  ZodOptional: () => ZodOptional,
  ZodObject: () => ZodObject,
  ZodNumber: () => ZodNumber,
  ZodNullable: () => ZodNullable,
  ZodNull: () => ZodNull,
  ZodNever: () => ZodNever,
  ZodNativeEnum: () => ZodNativeEnum,
  ZodNaN: () => ZodNaN,
  ZodMap: () => ZodMap,
  ZodLiteral: () => ZodLiteral,
  ZodLazy: () => ZodLazy,
  ZodIssueCode: () => ZodIssueCode,
  ZodIntersection: () => ZodIntersection,
  ZodFunction: () => ZodFunction,
  ZodFirstPartyTypeKind: () => ZodFirstPartyTypeKind,
  ZodError: () => ZodError,
  ZodEnum: () => ZodEnum,
  ZodEffects: () => ZodEffects,
  ZodDiscriminatedUnion: () => ZodDiscriminatedUnion,
  ZodDefault: () => ZodDefault,
  ZodDate: () => ZodDate,
  ZodCatch: () => ZodCatch,
  ZodBranded: () => ZodBranded,
  ZodBoolean: () => ZodBoolean,
  ZodBigInt: () => ZodBigInt,
  ZodArray: () => ZodArray,
  ZodAny: () => ZodAny,
  Schema: () => ZodType,
  ParseStatus: () => ParseStatus,
  OK: () => OK,
  NEVER: () => NEVER,
  INVALID: () => INVALID,
  EMPTY_PATH: () => EMPTY_PATH,
  DIRTY: () => DIRTY,
  BRAND: () => BRAND
});
var init_external = __esm(() => {
  init_errors();
  init_parseUtil();
  init_typeAliases();
  init_util();
  init_types();
  init_ZodError();
});

// node_modules/zod/dist/esm/v3/index.js
var init_v3 = __esm(() => {
  init_external();
  init_external();
});

// node_modules/zod/dist/esm/index.js
var init_esm = __esm(() => {
  init_v3();
});

// src/mcp-server/console-logger.ts
function createConsoleLogger(level) {
  const min = consoleLoggerLevels.indexOf(level);
  const noop = () => {};
  const logger = {
    debug: noop,
    warning: noop,
    info: noop,
    error: noop
  };
  return consoleLoggerLevels.reduce((logger2, level2, i) => {
    if (i < min) {
      return logger2;
    }
    logger2[level2] = log.bind(null, level2);
    return logger2;
  }, logger);
}
function log(level, message, data) {
  let line = "";
  const allData = [{ msg: message, l: level }, data];
  for (const ctx of allData) {
    for (const [key, value] of Object.entries(ctx || {})) {
      if (value == null) {
        line += ` ${key}=<${value}>`;
      } else if (typeof value === "function") {
        line += ` ${key}=<function>`;
      } else if (typeof value === "symbol") {
        line += ` ${key}=${value.toString()}`;
      } else if (typeof value === "string") {
        const v2 = value.search(/\s/g) >= 0 ? JSON.stringify(value) : value;
        line += ` ${key}=${v2}`;
      } else if (typeof value !== "object") {
        line += ` ${key}=${value}`;
      } else {
        line += ` ${key}="${JSON.stringify(value)}"`;
      }
    }
  }
  console.error(line);
}
var consoleLoggerLevels;
var init_console_logger = __esm(() => {
  consoleLoggerLevels = [
    "debug",
    "warning",
    "info",
    "error"
  ];
});

// node_modules/@modelcontextprotocol/sdk/dist/esm/types.js
var LATEST_PROTOCOL_VERSION = "2024-11-05", SUPPORTED_PROTOCOL_VERSIONS, JSONRPC_VERSION = "2.0", ProgressTokenSchema, CursorSchema, BaseRequestParamsSchema, RequestSchema, BaseNotificationParamsSchema, NotificationSchema, ResultSchema, RequestIdSchema, JSONRPCRequestSchema, JSONRPCNotificationSchema, JSONRPCResponseSchema, ErrorCode, JSONRPCErrorSchema, JSONRPCMessageSchema, EmptyResultSchema, CancelledNotificationSchema, ImplementationSchema, ClientCapabilitiesSchema, InitializeRequestSchema, ServerCapabilitiesSchema, InitializeResultSchema, InitializedNotificationSchema, PingRequestSchema, ProgressSchema, ProgressNotificationSchema, PaginatedRequestSchema, PaginatedResultSchema, ResourceContentsSchema, TextResourceContentsSchema, BlobResourceContentsSchema, ResourceSchema, ResourceTemplateSchema, ListResourcesRequestSchema, ListResourcesResultSchema, ListResourceTemplatesRequestSchema, ListResourceTemplatesResultSchema, ReadResourceRequestSchema, ReadResourceResultSchema, ResourceListChangedNotificationSchema, SubscribeRequestSchema, UnsubscribeRequestSchema, ResourceUpdatedNotificationSchema, PromptArgumentSchema, PromptSchema, ListPromptsRequestSchema, ListPromptsResultSchema, GetPromptRequestSchema, TextContentSchema, ImageContentSchema, AudioContentSchema, EmbeddedResourceSchema, PromptMessageSchema, GetPromptResultSchema, PromptListChangedNotificationSchema, ToolSchema, ListToolsRequestSchema, ListToolsResultSchema, CallToolResultSchema, CompatibilityCallToolResultSchema, CallToolRequestSchema, ToolListChangedNotificationSchema, LoggingLevelSchema, SetLevelRequestSchema, LoggingMessageNotificationSchema, ModelHintSchema, ModelPreferencesSchema, SamplingMessageSchema, CreateMessageRequestSchema, CreateMessageResultSchema, ResourceReferenceSchema, PromptReferenceSchema, CompleteRequestSchema, CompleteResultSchema, RootSchema, ListRootsRequestSchema, ListRootsResultSchema, RootsListChangedNotificationSchema, ClientRequestSchema, ClientNotificationSchema, ClientResultSchema, ServerRequestSchema, ServerNotificationSchema, ServerResultSchema, McpError;
var init_types2 = __esm(() => {
  init_esm();
  SUPPORTED_PROTOCOL_VERSIONS = [
    LATEST_PROTOCOL_VERSION,
    "2024-10-07"
  ];
  ProgressTokenSchema = exports_external.union([exports_external.string(), exports_external.number().int()]);
  CursorSchema = exports_external.string();
  BaseRequestParamsSchema = exports_external.object({
    _meta: exports_external.optional(exports_external.object({
      progressToken: exports_external.optional(ProgressTokenSchema)
    }).passthrough())
  }).passthrough();
  RequestSchema = exports_external.object({
    method: exports_external.string(),
    params: exports_external.optional(BaseRequestParamsSchema)
  });
  BaseNotificationParamsSchema = exports_external.object({
    _meta: exports_external.optional(exports_external.object({}).passthrough())
  }).passthrough();
  NotificationSchema = exports_external.object({
    method: exports_external.string(),
    params: exports_external.optional(BaseNotificationParamsSchema)
  });
  ResultSchema = exports_external.object({
    _meta: exports_external.optional(exports_external.object({}).passthrough())
  }).passthrough();
  RequestIdSchema = exports_external.union([exports_external.string(), exports_external.number().int()]);
  JSONRPCRequestSchema = exports_external.object({
    jsonrpc: exports_external.literal(JSONRPC_VERSION),
    id: RequestIdSchema
  }).merge(RequestSchema).strict();
  JSONRPCNotificationSchema = exports_external.object({
    jsonrpc: exports_external.literal(JSONRPC_VERSION)
  }).merge(NotificationSchema).strict();
  JSONRPCResponseSchema = exports_external.object({
    jsonrpc: exports_external.literal(JSONRPC_VERSION),
    id: RequestIdSchema,
    result: ResultSchema
  }).strict();
  (function(ErrorCode2) {
    ErrorCode2[ErrorCode2["ConnectionClosed"] = -32000] = "ConnectionClosed";
    ErrorCode2[ErrorCode2["RequestTimeout"] = -32001] = "RequestTimeout";
    ErrorCode2[ErrorCode2["ParseError"] = -32700] = "ParseError";
    ErrorCode2[ErrorCode2["InvalidRequest"] = -32600] = "InvalidRequest";
    ErrorCode2[ErrorCode2["MethodNotFound"] = -32601] = "MethodNotFound";
    ErrorCode2[ErrorCode2["InvalidParams"] = -32602] = "InvalidParams";
    ErrorCode2[ErrorCode2["InternalError"] = -32603] = "InternalError";
  })(ErrorCode || (ErrorCode = {}));
  JSONRPCErrorSchema = exports_external.object({
    jsonrpc: exports_external.literal(JSONRPC_VERSION),
    id: RequestIdSchema,
    error: exports_external.object({
      code: exports_external.number().int(),
      message: exports_external.string(),
      data: exports_external.optional(exports_external.unknown())
    })
  }).strict();
  JSONRPCMessageSchema = exports_external.union([
    JSONRPCRequestSchema,
    JSONRPCNotificationSchema,
    JSONRPCResponseSchema,
    JSONRPCErrorSchema
  ]);
  EmptyResultSchema = ResultSchema.strict();
  CancelledNotificationSchema = NotificationSchema.extend({
    method: exports_external.literal("notifications/cancelled"),
    params: BaseNotificationParamsSchema.extend({
      requestId: RequestIdSchema,
      reason: exports_external.string().optional()
    })
  });
  ImplementationSchema = exports_external.object({
    name: exports_external.string(),
    version: exports_external.string()
  }).passthrough();
  ClientCapabilitiesSchema = exports_external.object({
    experimental: exports_external.optional(exports_external.object({}).passthrough()),
    sampling: exports_external.optional(exports_external.object({}).passthrough()),
    roots: exports_external.optional(exports_external.object({
      listChanged: exports_external.optional(exports_external.boolean())
    }).passthrough())
  }).passthrough();
  InitializeRequestSchema = RequestSchema.extend({
    method: exports_external.literal("initialize"),
    params: BaseRequestParamsSchema.extend({
      protocolVersion: exports_external.string(),
      capabilities: ClientCapabilitiesSchema,
      clientInfo: ImplementationSchema
    })
  });
  ServerCapabilitiesSchema = exports_external.object({
    experimental: exports_external.optional(exports_external.object({}).passthrough()),
    logging: exports_external.optional(exports_external.object({}).passthrough()),
    completions: exports_external.optional(exports_external.object({}).passthrough()),
    prompts: exports_external.optional(exports_external.object({
      listChanged: exports_external.optional(exports_external.boolean())
    }).passthrough()),
    resources: exports_external.optional(exports_external.object({
      subscribe: exports_external.optional(exports_external.boolean()),
      listChanged: exports_external.optional(exports_external.boolean())
    }).passthrough()),
    tools: exports_external.optional(exports_external.object({
      listChanged: exports_external.optional(exports_external.boolean())
    }).passthrough())
  }).passthrough();
  InitializeResultSchema = ResultSchema.extend({
    protocolVersion: exports_external.string(),
    capabilities: ServerCapabilitiesSchema,
    serverInfo: ImplementationSchema,
    instructions: exports_external.optional(exports_external.string())
  });
  InitializedNotificationSchema = NotificationSchema.extend({
    method: exports_external.literal("notifications/initialized")
  });
  PingRequestSchema = RequestSchema.extend({
    method: exports_external.literal("ping")
  });
  ProgressSchema = exports_external.object({
    progress: exports_external.number(),
    total: exports_external.optional(exports_external.number())
  }).passthrough();
  ProgressNotificationSchema = NotificationSchema.extend({
    method: exports_external.literal("notifications/progress"),
    params: BaseNotificationParamsSchema.merge(ProgressSchema).extend({
      progressToken: ProgressTokenSchema
    })
  });
  PaginatedRequestSchema = RequestSchema.extend({
    params: BaseRequestParamsSchema.extend({
      cursor: exports_external.optional(CursorSchema)
    }).optional()
  });
  PaginatedResultSchema = ResultSchema.extend({
    nextCursor: exports_external.optional(CursorSchema)
  });
  ResourceContentsSchema = exports_external.object({
    uri: exports_external.string(),
    mimeType: exports_external.optional(exports_external.string())
  }).passthrough();
  TextResourceContentsSchema = ResourceContentsSchema.extend({
    text: exports_external.string()
  });
  BlobResourceContentsSchema = ResourceContentsSchema.extend({
    blob: exports_external.string().base64()
  });
  ResourceSchema = exports_external.object({
    uri: exports_external.string(),
    name: exports_external.string(),
    description: exports_external.optional(exports_external.string()),
    mimeType: exports_external.optional(exports_external.string())
  }).passthrough();
  ResourceTemplateSchema = exports_external.object({
    uriTemplate: exports_external.string(),
    name: exports_external.string(),
    description: exports_external.optional(exports_external.string()),
    mimeType: exports_external.optional(exports_external.string())
  }).passthrough();
  ListResourcesRequestSchema = PaginatedRequestSchema.extend({
    method: exports_external.literal("resources/list")
  });
  ListResourcesResultSchema = PaginatedResultSchema.extend({
    resources: exports_external.array(ResourceSchema)
  });
  ListResourceTemplatesRequestSchema = PaginatedRequestSchema.extend({
    method: exports_external.literal("resources/templates/list")
  });
  ListResourceTemplatesResultSchema = PaginatedResultSchema.extend({
    resourceTemplates: exports_external.array(ResourceTemplateSchema)
  });
  ReadResourceRequestSchema = RequestSchema.extend({
    method: exports_external.literal("resources/read"),
    params: BaseRequestParamsSchema.extend({
      uri: exports_external.string()
    })
  });
  ReadResourceResultSchema = ResultSchema.extend({
    contents: exports_external.array(exports_external.union([TextResourceContentsSchema, BlobResourceContentsSchema]))
  });
  ResourceListChangedNotificationSchema = NotificationSchema.extend({
    method: exports_external.literal("notifications/resources/list_changed")
  });
  SubscribeRequestSchema = RequestSchema.extend({
    method: exports_external.literal("resources/subscribe"),
    params: BaseRequestParamsSchema.extend({
      uri: exports_external.string()
    })
  });
  UnsubscribeRequestSchema = RequestSchema.extend({
    method: exports_external.literal("resources/unsubscribe"),
    params: BaseRequestParamsSchema.extend({
      uri: exports_external.string()
    })
  });
  ResourceUpdatedNotificationSchema = NotificationSchema.extend({
    method: exports_external.literal("notifications/resources/updated"),
    params: BaseNotificationParamsSchema.extend({
      uri: exports_external.string()
    })
  });
  PromptArgumentSchema = exports_external.object({
    name: exports_external.string(),
    description: exports_external.optional(exports_external.string()),
    required: exports_external.optional(exports_external.boolean())
  }).passthrough();
  PromptSchema = exports_external.object({
    name: exports_external.string(),
    description: exports_external.optional(exports_external.string()),
    arguments: exports_external.optional(exports_external.array(PromptArgumentSchema))
  }).passthrough();
  ListPromptsRequestSchema = PaginatedRequestSchema.extend({
    method: exports_external.literal("prompts/list")
  });
  ListPromptsResultSchema = PaginatedResultSchema.extend({
    prompts: exports_external.array(PromptSchema)
  });
  GetPromptRequestSchema = RequestSchema.extend({
    method: exports_external.literal("prompts/get"),
    params: BaseRequestParamsSchema.extend({
      name: exports_external.string(),
      arguments: exports_external.optional(exports_external.record(exports_external.string()))
    })
  });
  TextContentSchema = exports_external.object({
    type: exports_external.literal("text"),
    text: exports_external.string()
  }).passthrough();
  ImageContentSchema = exports_external.object({
    type: exports_external.literal("image"),
    data: exports_external.string().base64(),
    mimeType: exports_external.string()
  }).passthrough();
  AudioContentSchema = exports_external.object({
    type: exports_external.literal("audio"),
    data: exports_external.string().base64(),
    mimeType: exports_external.string()
  }).passthrough();
  EmbeddedResourceSchema = exports_external.object({
    type: exports_external.literal("resource"),
    resource: exports_external.union([TextResourceContentsSchema, BlobResourceContentsSchema])
  }).passthrough();
  PromptMessageSchema = exports_external.object({
    role: exports_external.enum(["user", "assistant"]),
    content: exports_external.union([
      TextContentSchema,
      ImageContentSchema,
      AudioContentSchema,
      EmbeddedResourceSchema
    ])
  }).passthrough();
  GetPromptResultSchema = ResultSchema.extend({
    description: exports_external.optional(exports_external.string()),
    messages: exports_external.array(PromptMessageSchema)
  });
  PromptListChangedNotificationSchema = NotificationSchema.extend({
    method: exports_external.literal("notifications/prompts/list_changed")
  });
  ToolSchema = exports_external.object({
    name: exports_external.string(),
    description: exports_external.optional(exports_external.string()),
    inputSchema: exports_external.object({
      type: exports_external.literal("object"),
      properties: exports_external.optional(exports_external.object({}).passthrough())
    }).passthrough()
  }).passthrough();
  ListToolsRequestSchema = PaginatedRequestSchema.extend({
    method: exports_external.literal("tools/list")
  });
  ListToolsResultSchema = PaginatedResultSchema.extend({
    tools: exports_external.array(ToolSchema)
  });
  CallToolResultSchema = ResultSchema.extend({
    content: exports_external.array(exports_external.union([TextContentSchema, ImageContentSchema, AudioContentSchema, EmbeddedResourceSchema])),
    isError: exports_external.boolean().default(false).optional()
  });
  CompatibilityCallToolResultSchema = CallToolResultSchema.or(ResultSchema.extend({
    toolResult: exports_external.unknown()
  }));
  CallToolRequestSchema = RequestSchema.extend({
    method: exports_external.literal("tools/call"),
    params: BaseRequestParamsSchema.extend({
      name: exports_external.string(),
      arguments: exports_external.optional(exports_external.record(exports_external.unknown()))
    })
  });
  ToolListChangedNotificationSchema = NotificationSchema.extend({
    method: exports_external.literal("notifications/tools/list_changed")
  });
  LoggingLevelSchema = exports_external.enum([
    "debug",
    "info",
    "notice",
    "warning",
    "error",
    "critical",
    "alert",
    "emergency"
  ]);
  SetLevelRequestSchema = RequestSchema.extend({
    method: exports_external.literal("logging/setLevel"),
    params: BaseRequestParamsSchema.extend({
      level: LoggingLevelSchema
    })
  });
  LoggingMessageNotificationSchema = NotificationSchema.extend({
    method: exports_external.literal("notifications/message"),
    params: BaseNotificationParamsSchema.extend({
      level: LoggingLevelSchema,
      logger: exports_external.optional(exports_external.string()),
      data: exports_external.unknown()
    })
  });
  ModelHintSchema = exports_external.object({
    name: exports_external.string().optional()
  }).passthrough();
  ModelPreferencesSchema = exports_external.object({
    hints: exports_external.optional(exports_external.array(ModelHintSchema)),
    costPriority: exports_external.optional(exports_external.number().min(0).max(1)),
    speedPriority: exports_external.optional(exports_external.number().min(0).max(1)),
    intelligencePriority: exports_external.optional(exports_external.number().min(0).max(1))
  }).passthrough();
  SamplingMessageSchema = exports_external.object({
    role: exports_external.enum(["user", "assistant"]),
    content: exports_external.union([TextContentSchema, ImageContentSchema, AudioContentSchema])
  }).passthrough();
  CreateMessageRequestSchema = RequestSchema.extend({
    method: exports_external.literal("sampling/createMessage"),
    params: BaseRequestParamsSchema.extend({
      messages: exports_external.array(SamplingMessageSchema),
      systemPrompt: exports_external.optional(exports_external.string()),
      includeContext: exports_external.optional(exports_external.enum(["none", "thisServer", "allServers"])),
      temperature: exports_external.optional(exports_external.number()),
      maxTokens: exports_external.number().int(),
      stopSequences: exports_external.optional(exports_external.array(exports_external.string())),
      metadata: exports_external.optional(exports_external.object({}).passthrough()),
      modelPreferences: exports_external.optional(ModelPreferencesSchema)
    })
  });
  CreateMessageResultSchema = ResultSchema.extend({
    model: exports_external.string(),
    stopReason: exports_external.optional(exports_external.enum(["endTurn", "stopSequence", "maxTokens"]).or(exports_external.string())),
    role: exports_external.enum(["user", "assistant"]),
    content: exports_external.discriminatedUnion("type", [
      TextContentSchema,
      ImageContentSchema,
      AudioContentSchema
    ])
  });
  ResourceReferenceSchema = exports_external.object({
    type: exports_external.literal("ref/resource"),
    uri: exports_external.string()
  }).passthrough();
  PromptReferenceSchema = exports_external.object({
    type: exports_external.literal("ref/prompt"),
    name: exports_external.string()
  }).passthrough();
  CompleteRequestSchema = RequestSchema.extend({
    method: exports_external.literal("completion/complete"),
    params: BaseRequestParamsSchema.extend({
      ref: exports_external.union([PromptReferenceSchema, ResourceReferenceSchema]),
      argument: exports_external.object({
        name: exports_external.string(),
        value: exports_external.string()
      }).passthrough()
    })
  });
  CompleteResultSchema = ResultSchema.extend({
    completion: exports_external.object({
      values: exports_external.array(exports_external.string()).max(100),
      total: exports_external.optional(exports_external.number().int()),
      hasMore: exports_external.optional(exports_external.boolean())
    }).passthrough()
  });
  RootSchema = exports_external.object({
    uri: exports_external.string().startsWith("file://"),
    name: exports_external.optional(exports_external.string())
  }).passthrough();
  ListRootsRequestSchema = RequestSchema.extend({
    method: exports_external.literal("roots/list")
  });
  ListRootsResultSchema = ResultSchema.extend({
    roots: exports_external.array(RootSchema)
  });
  RootsListChangedNotificationSchema = NotificationSchema.extend({
    method: exports_external.literal("notifications/roots/list_changed")
  });
  ClientRequestSchema = exports_external.union([
    PingRequestSchema,
    InitializeRequestSchema,
    CompleteRequestSchema,
    SetLevelRequestSchema,
    GetPromptRequestSchema,
    ListPromptsRequestSchema,
    ListResourcesRequestSchema,
    ListResourceTemplatesRequestSchema,
    ReadResourceRequestSchema,
    SubscribeRequestSchema,
    UnsubscribeRequestSchema,
    CallToolRequestSchema,
    ListToolsRequestSchema
  ]);
  ClientNotificationSchema = exports_external.union([
    CancelledNotificationSchema,
    ProgressNotificationSchema,
    InitializedNotificationSchema,
    RootsListChangedNotificationSchema
  ]);
  ClientResultSchema = exports_external.union([
    EmptyResultSchema,
    CreateMessageResultSchema,
    ListRootsResultSchema
  ]);
  ServerRequestSchema = exports_external.union([
    PingRequestSchema,
    CreateMessageRequestSchema,
    ListRootsRequestSchema
  ]);
  ServerNotificationSchema = exports_external.union([
    CancelledNotificationSchema,
    ProgressNotificationSchema,
    LoggingMessageNotificationSchema,
    ResourceUpdatedNotificationSchema,
    ResourceListChangedNotificationSchema,
    ToolListChangedNotificationSchema,
    PromptListChangedNotificationSchema
  ]);
  ServerResultSchema = exports_external.union([
    EmptyResultSchema,
    InitializeResultSchema,
    CompleteResultSchema,
    GetPromptResultSchema,
    ListPromptsResultSchema,
    ListResourcesResultSchema,
    ListResourceTemplatesResultSchema,
    ReadResourceResultSchema,
    CallToolResultSchema,
    ListToolsResultSchema
  ]);
  McpError = class McpError extends Error {
    constructor(code, message, data) {
      super(`MCP error ${code}: ${message}`);
      this.code = code;
      this.data = data;
      this.name = "McpError";
    }
  };
});

// node_modules/bytes/index.js
var require_bytes = __commonJS((exports, module) => {
  /*!
   * bytes
   * Copyright(c) 2012-2014 TJ Holowaychuk
   * Copyright(c) 2015 Jed Watson
   * MIT Licensed
   */
  module.exports = bytes;
  module.exports.format = format;
  module.exports.parse = parse;
  var formatThousandsRegExp = /\B(?=(\d{3})+(?!\d))/g;
  var formatDecimalsRegExp = /(?:\.0*|(\.[^0]+)0+)$/;
  var map = {
    b: 1,
    kb: 1 << 10,
    mb: 1 << 20,
    gb: 1 << 30,
    tb: Math.pow(1024, 4),
    pb: Math.pow(1024, 5)
  };
  var parseRegExp = /^((-|\+)?(\d+(?:\.\d+)?)) *(kb|mb|gb|tb|pb)$/i;
  function bytes(value, options) {
    if (typeof value === "string") {
      return parse(value);
    }
    if (typeof value === "number") {
      return format(value, options);
    }
    return null;
  }
  function format(value, options) {
    if (!Number.isFinite(value)) {
      return null;
    }
    var mag = Math.abs(value);
    var thousandsSeparator = options && options.thousandsSeparator || "";
    var unitSeparator = options && options.unitSeparator || "";
    var decimalPlaces = options && options.decimalPlaces !== undefined ? options.decimalPlaces : 2;
    var fixedDecimals = Boolean(options && options.fixedDecimals);
    var unit = options && options.unit || "";
    if (!unit || !map[unit.toLowerCase()]) {
      if (mag >= map.pb) {
        unit = "PB";
      } else if (mag >= map.tb) {
        unit = "TB";
      } else if (mag >= map.gb) {
        unit = "GB";
      } else if (mag >= map.mb) {
        unit = "MB";
      } else if (mag >= map.kb) {
        unit = "KB";
      } else {
        unit = "B";
      }
    }
    var val = value / map[unit.toLowerCase()];
    var str = val.toFixed(decimalPlaces);
    if (!fixedDecimals) {
      str = str.replace(formatDecimalsRegExp, "$1");
    }
    if (thousandsSeparator) {
      str = str.split(".").map(function(s, i) {
        return i === 0 ? s.replace(formatThousandsRegExp, thousandsSeparator) : s;
      }).join(".");
    }
    return str + unitSeparator + unit;
  }
  function parse(val) {
    if (typeof val === "number" && !isNaN(val)) {
      return val;
    }
    if (typeof val !== "string") {
      return null;
    }
    var results = parseRegExp.exec(val);
    var floatValue;
    var unit = "b";
    if (!results) {
      floatValue = parseInt(val, 10);
      unit = "b";
    } else {
      floatValue = parseFloat(results[1]);
      unit = results[4].toLowerCase();
    }
    if (isNaN(floatValue)) {
      return null;
    }
    return Math.floor(map[unit] * floatValue);
  }
});

// node_modules/depd/index.js
var require_depd = __commonJS((exports, module) => {
  /*!
   * depd
   * Copyright(c) 2014-2018 Douglas Christopher Wilson
   * MIT Licensed
   */
  var relative = __require("path").relative;
  module.exports = depd;
  var basePath = process.cwd();
  function containsNamespace(str, namespace) {
    var vals = str.split(/[ ,]+/);
    var ns = String(namespace).toLowerCase();
    for (var i = 0;i < vals.length; i++) {
      var val = vals[i];
      if (val && (val === "*" || val.toLowerCase() === ns)) {
        return true;
      }
    }
    return false;
  }
  function convertDataDescriptorToAccessor(obj, prop, message) {
    var descriptor = Object.getOwnPropertyDescriptor(obj, prop);
    var value = descriptor.value;
    descriptor.get = function getter() {
      return value;
    };
    if (descriptor.writable) {
      descriptor.set = function setter(val) {
        return value = val;
      };
    }
    delete descriptor.value;
    delete descriptor.writable;
    Object.defineProperty(obj, prop, descriptor);
    return descriptor;
  }
  function createArgumentsString(arity) {
    var str = "";
    for (var i = 0;i < arity; i++) {
      str += ", arg" + i;
    }
    return str.substr(2);
  }
  function createStackString(stack) {
    var str = this.name + ": " + this.namespace;
    if (this.message) {
      str += " deprecated " + this.message;
    }
    for (var i = 0;i < stack.length; i++) {
      str += `
    at ` + stack[i].toString();
    }
    return str;
  }
  function depd(namespace) {
    if (!namespace) {
      throw new TypeError("argument namespace is required");
    }
    var stack = getStack();
    var site = callSiteLocation(stack[1]);
    var file = site[0];
    function deprecate(message) {
      log2.call(deprecate, message);
    }
    deprecate._file = file;
    deprecate._ignored = isignored(namespace);
    deprecate._namespace = namespace;
    deprecate._traced = istraced(namespace);
    deprecate._warned = Object.create(null);
    deprecate.function = wrapfunction;
    deprecate.property = wrapproperty;
    return deprecate;
  }
  function eehaslisteners(emitter, type) {
    var count = typeof emitter.listenerCount !== "function" ? emitter.listeners(type).length : emitter.listenerCount(type);
    return count > 0;
  }
  function isignored(namespace) {
    if (process.noDeprecation) {
      return true;
    }
    var str = process.env.NO_DEPRECATION || "";
    return containsNamespace(str, namespace);
  }
  function istraced(namespace) {
    if (process.traceDeprecation) {
      return true;
    }
    var str = process.env.TRACE_DEPRECATION || "";
    return containsNamespace(str, namespace);
  }
  function log2(message, site) {
    var haslisteners = eehaslisteners(process, "deprecation");
    if (!haslisteners && this._ignored) {
      return;
    }
    var caller;
    var callFile;
    var callSite;
    var depSite;
    var i = 0;
    var seen = false;
    var stack = getStack();
    var file = this._file;
    if (site) {
      depSite = site;
      callSite = callSiteLocation(stack[1]);
      callSite.name = depSite.name;
      file = callSite[0];
    } else {
      i = 2;
      depSite = callSiteLocation(stack[i]);
      callSite = depSite;
    }
    for (;i < stack.length; i++) {
      caller = callSiteLocation(stack[i]);
      callFile = caller[0];
      if (callFile === file) {
        seen = true;
      } else if (callFile === this._file) {
        file = this._file;
      } else if (seen) {
        break;
      }
    }
    var key = caller ? depSite.join(":") + "__" + caller.join(":") : undefined;
    if (key !== undefined && key in this._warned) {
      return;
    }
    this._warned[key] = true;
    var msg = message;
    if (!msg) {
      msg = callSite === depSite || !callSite.name ? defaultMessage(depSite) : defaultMessage(callSite);
    }
    if (haslisteners) {
      var err = DeprecationError(this._namespace, msg, stack.slice(i));
      process.emit("deprecation", err);
      return;
    }
    var format = process.stderr.isTTY ? formatColor : formatPlain;
    var output = format.call(this, msg, caller, stack.slice(i));
    process.stderr.write(output + `
`, "utf8");
  }
  function callSiteLocation(callSite) {
    var file = callSite.getFileName() || "<anonymous>";
    var line = callSite.getLineNumber();
    var colm = callSite.getColumnNumber();
    if (callSite.isEval()) {
      file = callSite.getEvalOrigin() + ", " + file;
    }
    var site = [file, line, colm];
    site.callSite = callSite;
    site.name = callSite.getFunctionName();
    return site;
  }
  function defaultMessage(site) {
    var callSite = site.callSite;
    var funcName = site.name;
    if (!funcName) {
      funcName = "<anonymous@" + formatLocation(site) + ">";
    }
    var context = callSite.getThis();
    var typeName = context && callSite.getTypeName();
    if (typeName === "Object") {
      typeName = undefined;
    }
    if (typeName === "Function") {
      typeName = context.name || typeName;
    }
    return typeName && callSite.getMethodName() ? typeName + "." + funcName : funcName;
  }
  function formatPlain(msg, caller, stack) {
    var timestamp = new Date().toUTCString();
    var formatted = timestamp + " " + this._namespace + " deprecated " + msg;
    if (this._traced) {
      for (var i = 0;i < stack.length; i++) {
        formatted += `
    at ` + stack[i].toString();
      }
      return formatted;
    }
    if (caller) {
      formatted += " at " + formatLocation(caller);
    }
    return formatted;
  }
  function formatColor(msg, caller, stack) {
    var formatted = "\x1B[36;1m" + this._namespace + "\x1B[22;39m" + " \x1B[33;1mdeprecated\x1B[22;39m" + " \x1B[0m" + msg + "\x1B[39m";
    if (this._traced) {
      for (var i = 0;i < stack.length; i++) {
        formatted += `
    \x1B[36mat ` + stack[i].toString() + "\x1B[39m";
      }
      return formatted;
    }
    if (caller) {
      formatted += " \x1B[36m" + formatLocation(caller) + "\x1B[39m";
    }
    return formatted;
  }
  function formatLocation(callSite) {
    return relative(basePath, callSite[0]) + ":" + callSite[1] + ":" + callSite[2];
  }
  function getStack() {
    var limit = Error.stackTraceLimit;
    var obj = {};
    var prep = Error.prepareStackTrace;
    Error.prepareStackTrace = prepareObjectStackTrace;
    Error.stackTraceLimit = Math.max(10, limit);
    Error.captureStackTrace(obj);
    var stack = obj.stack.slice(1);
    Error.prepareStackTrace = prep;
    Error.stackTraceLimit = limit;
    return stack;
  }
  function prepareObjectStackTrace(obj, stack) {
    return stack;
  }
  function wrapfunction(fn, message) {
    if (typeof fn !== "function") {
      throw new TypeError("argument fn must be a function");
    }
    var args = createArgumentsString(fn.length);
    var stack = getStack();
    var site = callSiteLocation(stack[1]);
    site.name = fn.name;
    var deprecatedfn = new Function("fn", "log", "deprecate", "message", "site", `"use strict"
` + "return function (" + args + ") {" + `log.call(deprecate, message, site)
` + `return fn.apply(this, arguments)
` + "}")(fn, log2, this, message, site);
    return deprecatedfn;
  }
  function wrapproperty(obj, prop, message) {
    if (!obj || typeof obj !== "object" && typeof obj !== "function") {
      throw new TypeError("argument obj must be object");
    }
    var descriptor = Object.getOwnPropertyDescriptor(obj, prop);
    if (!descriptor) {
      throw new TypeError("must call property on owner object");
    }
    if (!descriptor.configurable) {
      throw new TypeError("property must be configurable");
    }
    var deprecate = this;
    var stack = getStack();
    var site = callSiteLocation(stack[1]);
    site.name = prop;
    if ("value" in descriptor) {
      descriptor = convertDataDescriptorToAccessor(obj, prop, message);
    }
    var get = descriptor.get;
    var set = descriptor.set;
    if (typeof get === "function") {
      descriptor.get = function getter() {
        log2.call(deprecate, message, site);
        return get.apply(this, arguments);
      };
    }
    if (typeof set === "function") {
      descriptor.set = function setter() {
        log2.call(deprecate, message, site);
        return set.apply(this, arguments);
      };
    }
    Object.defineProperty(obj, prop, descriptor);
  }
  function DeprecationError(namespace, message, stack) {
    var error = new Error;
    var stackString;
    Object.defineProperty(error, "constructor", {
      value: DeprecationError
    });
    Object.defineProperty(error, "message", {
      configurable: true,
      enumerable: false,
      value: message,
      writable: true
    });
    Object.defineProperty(error, "name", {
      enumerable: false,
      configurable: true,
      value: "DeprecationError",
      writable: true
    });
    Object.defineProperty(error, "namespace", {
      configurable: true,
      enumerable: false,
      value: namespace,
      writable: true
    });
    Object.defineProperty(error, "stack", {
      configurable: true,
      enumerable: false,
      get: function() {
        if (stackString !== undefined) {
          return stackString;
        }
        return stackString = createStackString.call(this, stack);
      },
      set: function setter(val) {
        stackString = val;
      }
    });
    return error;
  }
});

// node_modules/setprototypeof/index.js
var require_setprototypeof = __commonJS((exports, module) => {
  module.exports = Object.setPrototypeOf || ({ __proto__: [] } instanceof Array ? setProtoOf : mixinProperties);
  function setProtoOf(obj, proto) {
    obj.__proto__ = proto;
    return obj;
  }
  function mixinProperties(obj, proto) {
    for (var prop in proto) {
      if (!Object.prototype.hasOwnProperty.call(obj, prop)) {
        obj[prop] = proto[prop];
      }
    }
    return obj;
  }
});

// node_modules/statuses/codes.json
var require_codes = __commonJS((exports, module) => {
  module.exports = {
    "100": "Continue",
    "101": "Switching Protocols",
    "102": "Processing",
    "103": "Early Hints",
    "200": "OK",
    "201": "Created",
    "202": "Accepted",
    "203": "Non-Authoritative Information",
    "204": "No Content",
    "205": "Reset Content",
    "206": "Partial Content",
    "207": "Multi-Status",
    "208": "Already Reported",
    "226": "IM Used",
    "300": "Multiple Choices",
    "301": "Moved Permanently",
    "302": "Found",
    "303": "See Other",
    "304": "Not Modified",
    "305": "Use Proxy",
    "307": "Temporary Redirect",
    "308": "Permanent Redirect",
    "400": "Bad Request",
    "401": "Unauthorized",
    "402": "Payment Required",
    "403": "Forbidden",
    "404": "Not Found",
    "405": "Method Not Allowed",
    "406": "Not Acceptable",
    "407": "Proxy Authentication Required",
    "408": "Request Timeout",
    "409": "Conflict",
    "410": "Gone",
    "411": "Length Required",
    "412": "Precondition Failed",
    "413": "Payload Too Large",
    "414": "URI Too Long",
    "415": "Unsupported Media Type",
    "416": "Range Not Satisfiable",
    "417": "Expectation Failed",
    "418": "I'm a Teapot",
    "421": "Misdirected Request",
    "422": "Unprocessable Entity",
    "423": "Locked",
    "424": "Failed Dependency",
    "425": "Too Early",
    "426": "Upgrade Required",
    "428": "Precondition Required",
    "429": "Too Many Requests",
    "431": "Request Header Fields Too Large",
    "451": "Unavailable For Legal Reasons",
    "500": "Internal Server Error",
    "501": "Not Implemented",
    "502": "Bad Gateway",
    "503": "Service Unavailable",
    "504": "Gateway Timeout",
    "505": "HTTP Version Not Supported",
    "506": "Variant Also Negotiates",
    "507": "Insufficient Storage",
    "508": "Loop Detected",
    "509": "Bandwidth Limit Exceeded",
    "510": "Not Extended",
    "511": "Network Authentication Required"
  };
});

// node_modules/statuses/index.js
var require_statuses = __commonJS((exports, module) => {
  /*!
   * statuses
   * Copyright(c) 2014 Jonathan Ong
   * Copyright(c) 2016 Douglas Christopher Wilson
   * MIT Licensed
   */
  var codes = require_codes();
  module.exports = status;
  status.message = codes;
  status.code = createMessageToStatusCodeMap(codes);
  status.codes = createStatusCodeList(codes);
  status.redirect = {
    300: true,
    301: true,
    302: true,
    303: true,
    305: true,
    307: true,
    308: true
  };
  status.empty = {
    204: true,
    205: true,
    304: true
  };
  status.retry = {
    502: true,
    503: true,
    504: true
  };
  function createMessageToStatusCodeMap(codes2) {
    var map = {};
    Object.keys(codes2).forEach(function forEachCode(code) {
      var message = codes2[code];
      var status2 = Number(code);
      map[message.toLowerCase()] = status2;
    });
    return map;
  }
  function createStatusCodeList(codes2) {
    return Object.keys(codes2).map(function mapCode(code) {
      return Number(code);
    });
  }
  function getStatusCode(message) {
    var msg = message.toLowerCase();
    if (!Object.prototype.hasOwnProperty.call(status.code, msg)) {
      throw new Error('invalid status message: "' + message + '"');
    }
    return status.code[msg];
  }
  function getStatusMessage(code) {
    if (!Object.prototype.hasOwnProperty.call(status.message, code)) {
      throw new Error("invalid status code: " + code);
    }
    return status.message[code];
  }
  function status(code) {
    if (typeof code === "number") {
      return getStatusMessage(code);
    }
    if (typeof code !== "string") {
      throw new TypeError("code must be a number or string");
    }
    var n = parseInt(code, 10);
    if (!isNaN(n)) {
      return getStatusMessage(n);
    }
    return getStatusCode(code);
  }
});

// node_modules/inherits/inherits_browser.js
var require_inherits_browser = __commonJS((exports, module) => {
  if (typeof Object.create === "function") {
    module.exports = function inherits(ctor, superCtor) {
      if (superCtor) {
        ctor.super_ = superCtor;
        ctor.prototype = Object.create(superCtor.prototype, {
          constructor: {
            value: ctor,
            enumerable: false,
            writable: true,
            configurable: true
          }
        });
      }
    };
  } else {
    module.exports = function inherits(ctor, superCtor) {
      if (superCtor) {
        ctor.super_ = superCtor;
        var TempCtor = function() {};
        TempCtor.prototype = superCtor.prototype;
        ctor.prototype = new TempCtor;
        ctor.prototype.constructor = ctor;
      }
    };
  }
});

// node_modules/inherits/inherits.js
var require_inherits = __commonJS((exports, module) => {
  try {
    util3 = __require("util");
    if (typeof util3.inherits !== "function")
      throw "";
    module.exports = util3.inherits;
  } catch (e) {
    module.exports = require_inherits_browser();
  }
  var util3;
});

// node_modules/toidentifier/index.js
var require_toidentifier = __commonJS((exports, module) => {
  /*!
   * toidentifier
   * Copyright(c) 2016 Douglas Christopher Wilson
   * MIT Licensed
   */
  module.exports = toIdentifier;
  function toIdentifier(str) {
    return str.split(" ").map(function(token) {
      return token.slice(0, 1).toUpperCase() + token.slice(1);
    }).join("").replace(/[^ _0-9a-z]/gi, "");
  }
});

// node_modules/http-errors/index.js
var require_http_errors = __commonJS((exports, module) => {
  /*!
   * http-errors
   * Copyright(c) 2014 Jonathan Ong
   * Copyright(c) 2016 Douglas Christopher Wilson
   * MIT Licensed
   */
  var deprecate = require_depd()("http-errors");
  var setPrototypeOf = require_setprototypeof();
  var statuses = require_statuses();
  var inherits = require_inherits();
  var toIdentifier = require_toidentifier();
  module.exports = createError;
  module.exports.HttpError = createHttpErrorConstructor();
  module.exports.isHttpError = createIsHttpErrorFunction(module.exports.HttpError);
  populateConstructorExports(module.exports, statuses.codes, module.exports.HttpError);
  function codeClass(status) {
    return Number(String(status).charAt(0) + "00");
  }
  function createError() {
    var err;
    var msg;
    var status = 500;
    var props = {};
    for (var i = 0;i < arguments.length; i++) {
      var arg = arguments[i];
      var type = typeof arg;
      if (type === "object" && arg instanceof Error) {
        err = arg;
        status = err.status || err.statusCode || status;
      } else if (type === "number" && i === 0) {
        status = arg;
      } else if (type === "string") {
        msg = arg;
      } else if (type === "object") {
        props = arg;
      } else {
        throw new TypeError("argument #" + (i + 1) + " unsupported type " + type);
      }
    }
    if (typeof status === "number" && (status < 400 || status >= 600)) {
      deprecate("non-error status code; use only 4xx or 5xx status codes");
    }
    if (typeof status !== "number" || !statuses.message[status] && (status < 400 || status >= 600)) {
      status = 500;
    }
    var HttpError = createError[status] || createError[codeClass(status)];
    if (!err) {
      err = HttpError ? new HttpError(msg) : new Error(msg || statuses.message[status]);
      Error.captureStackTrace(err, createError);
    }
    if (!HttpError || !(err instanceof HttpError) || err.status !== status) {
      err.expose = status < 500;
      err.status = err.statusCode = status;
    }
    for (var key in props) {
      if (key !== "status" && key !== "statusCode") {
        err[key] = props[key];
      }
    }
    return err;
  }
  function createHttpErrorConstructor() {
    function HttpError() {
      throw new TypeError("cannot construct abstract class");
    }
    inherits(HttpError, Error);
    return HttpError;
  }
  function createClientErrorConstructor(HttpError, name, code) {
    var className = toClassName(name);
    function ClientError(message) {
      var msg = message != null ? message : statuses.message[code];
      var err = new Error(msg);
      Error.captureStackTrace(err, ClientError);
      setPrototypeOf(err, ClientError.prototype);
      Object.defineProperty(err, "message", {
        enumerable: true,
        configurable: true,
        value: msg,
        writable: true
      });
      Object.defineProperty(err, "name", {
        enumerable: false,
        configurable: true,
        value: className,
        writable: true
      });
      return err;
    }
    inherits(ClientError, HttpError);
    nameFunc(ClientError, className);
    ClientError.prototype.status = code;
    ClientError.prototype.statusCode = code;
    ClientError.prototype.expose = true;
    return ClientError;
  }
  function createIsHttpErrorFunction(HttpError) {
    return function isHttpError(val) {
      if (!val || typeof val !== "object") {
        return false;
      }
      if (val instanceof HttpError) {
        return true;
      }
      return val instanceof Error && typeof val.expose === "boolean" && typeof val.statusCode === "number" && val.status === val.statusCode;
    };
  }
  function createServerErrorConstructor(HttpError, name, code) {
    var className = toClassName(name);
    function ServerError(message) {
      var msg = message != null ? message : statuses.message[code];
      var err = new Error(msg);
      Error.captureStackTrace(err, ServerError);
      setPrototypeOf(err, ServerError.prototype);
      Object.defineProperty(err, "message", {
        enumerable: true,
        configurable: true,
        value: msg,
        writable: true
      });
      Object.defineProperty(err, "name", {
        enumerable: false,
        configurable: true,
        value: className,
        writable: true
      });
      return err;
    }
    inherits(ServerError, HttpError);
    nameFunc(ServerError, className);
    ServerError.prototype.status = code;
    ServerError.prototype.statusCode = code;
    ServerError.prototype.expose = false;
    return ServerError;
  }
  function nameFunc(func, name) {
    var desc = Object.getOwnPropertyDescriptor(func, "name");
    if (desc && desc.configurable) {
      desc.value = name;
      Object.defineProperty(func, "name", desc);
    }
  }
  function populateConstructorExports(exports2, codes, HttpError) {
    codes.forEach(function forEachCode(code) {
      var CodeError;
      var name = toIdentifier(statuses.message[code]);
      switch (codeClass(code)) {
        case 400:
          CodeError = createClientErrorConstructor(HttpError, name, code);
          break;
        case 500:
          CodeError = createServerErrorConstructor(HttpError, name, code);
          break;
      }
      if (CodeError) {
        exports2[code] = CodeError;
        exports2[name] = CodeError;
      }
    });
  }
  function toClassName(name) {
    return name.substr(-5) !== "Error" ? name + "Error" : name;
  }
});

// node_modules/safer-buffer/safer.js
var require_safer = __commonJS((exports, module) => {
  var buffer = __require("buffer");
  var Buffer2 = buffer.Buffer;
  var safer = {};
  var key;
  for (key in buffer) {
    if (!buffer.hasOwnProperty(key))
      continue;
    if (key === "SlowBuffer" || key === "Buffer")
      continue;
    safer[key] = buffer[key];
  }
  var Safer = safer.Buffer = {};
  for (key in Buffer2) {
    if (!Buffer2.hasOwnProperty(key))
      continue;
    if (key === "allocUnsafe" || key === "allocUnsafeSlow")
      continue;
    Safer[key] = Buffer2[key];
  }
  safer.Buffer.prototype = Buffer2.prototype;
  if (!Safer.from || Safer.from === Uint8Array.from) {
    Safer.from = function(value, encodingOrOffset, length) {
      if (typeof value === "number") {
        throw new TypeError('The "value" argument must not be of type number. Received type ' + typeof value);
      }
      if (value && typeof value.length === "undefined") {
        throw new TypeError("The first argument must be one of type string, Buffer, ArrayBuffer, Array, or Array-like Object. Received type " + typeof value);
      }
      return Buffer2(value, encodingOrOffset, length);
    };
  }
  if (!Safer.alloc) {
    Safer.alloc = function(size, fill, encoding) {
      if (typeof size !== "number") {
        throw new TypeError('The "size" argument must be of type number. Received type ' + typeof size);
      }
      if (size < 0 || size >= 2 * (1 << 30)) {
        throw new RangeError('The value "' + size + '" is invalid for option "size"');
      }
      var buf = Buffer2(size);
      if (!fill || fill.length === 0) {
        buf.fill(0);
      } else if (typeof encoding === "string") {
        buf.fill(fill, encoding);
      } else {
        buf.fill(fill);
      }
      return buf;
    };
  }
  if (!safer.kStringMaxLength) {
    try {
      safer.kStringMaxLength = process.binding("buffer").kStringMaxLength;
    } catch (e) {}
  }
  if (!safer.constants) {
    safer.constants = {
      MAX_LENGTH: safer.kMaxLength
    };
    if (safer.kStringMaxLength) {
      safer.constants.MAX_STRING_LENGTH = safer.kStringMaxLength;
    }
  }
  module.exports = safer;
});

// node_modules/raw-body/node_modules/iconv-lite/lib/bom-handling.js
var require_bom_handling = __commonJS((exports) => {
  var BOMChar = "\uFEFF";
  exports.PrependBOM = PrependBOMWrapper;
  function PrependBOMWrapper(encoder, options) {
    this.encoder = encoder;
    this.addBOM = true;
  }
  PrependBOMWrapper.prototype.write = function(str) {
    if (this.addBOM) {
      str = BOMChar + str;
      this.addBOM = false;
    }
    return this.encoder.write(str);
  };
  PrependBOMWrapper.prototype.end = function() {
    return this.encoder.end();
  };
  exports.StripBOM = StripBOMWrapper;
  function StripBOMWrapper(decoder, options) {
    this.decoder = decoder;
    this.pass = false;
    this.options = options || {};
  }
  StripBOMWrapper.prototype.write = function(buf) {
    var res = this.decoder.write(buf);
    if (this.pass || !res)
      return res;
    if (res[0] === BOMChar) {
      res = res.slice(1);
      if (typeof this.options.stripBOM === "function")
        this.options.stripBOM();
    }
    this.pass = true;
    return res;
  };
  StripBOMWrapper.prototype.end = function() {
    return this.decoder.end();
  };
});

// node_modules/raw-body/node_modules/iconv-lite/encodings/internal.js
var require_internal = __commonJS((exports, module) => {
  var Buffer2 = require_safer().Buffer;
  module.exports = {
    utf8: { type: "_internal", bomAware: true },
    cesu8: { type: "_internal", bomAware: true },
    unicode11utf8: "utf8",
    ucs2: { type: "_internal", bomAware: true },
    utf16le: "ucs2",
    binary: { type: "_internal" },
    base64: { type: "_internal" },
    hex: { type: "_internal" },
    _internal: InternalCodec
  };
  function InternalCodec(codecOptions, iconv) {
    this.enc = codecOptions.encodingName;
    this.bomAware = codecOptions.bomAware;
    if (this.enc === "base64")
      this.encoder = InternalEncoderBase64;
    else if (this.enc === "cesu8") {
      this.enc = "utf8";
      this.encoder = InternalEncoderCesu8;
      if (Buffer2.from("eda0bdedb2a9", "hex").toString() !== "\uD83D\uDCA9") {
        this.decoder = InternalDecoderCesu8;
        this.defaultCharUnicode = iconv.defaultCharUnicode;
      }
    }
  }
  InternalCodec.prototype.encoder = InternalEncoder;
  InternalCodec.prototype.decoder = InternalDecoder;
  var StringDecoder = __require("string_decoder").StringDecoder;
  if (!StringDecoder.prototype.end)
    StringDecoder.prototype.end = function() {};
  function InternalDecoder(options, codec) {
    this.decoder = new StringDecoder(codec.enc);
  }
  InternalDecoder.prototype.write = function(buf) {
    if (!Buffer2.isBuffer(buf)) {
      buf = Buffer2.from(buf);
    }
    return this.decoder.write(buf);
  };
  InternalDecoder.prototype.end = function() {
    return this.decoder.end();
  };
  function InternalEncoder(options, codec) {
    this.enc = codec.enc;
  }
  InternalEncoder.prototype.write = function(str) {
    return Buffer2.from(str, this.enc);
  };
  InternalEncoder.prototype.end = function() {};
  function InternalEncoderBase64(options, codec) {
    this.prevStr = "";
  }
  InternalEncoderBase64.prototype.write = function(str) {
    str = this.prevStr + str;
    var completeQuads = str.length - str.length % 4;
    this.prevStr = str.slice(completeQuads);
    str = str.slice(0, completeQuads);
    return Buffer2.from(str, "base64");
  };
  InternalEncoderBase64.prototype.end = function() {
    return Buffer2.from(this.prevStr, "base64");
  };
  function InternalEncoderCesu8(options, codec) {}
  InternalEncoderCesu8.prototype.write = function(str) {
    var buf = Buffer2.alloc(str.length * 3), bufIdx = 0;
    for (var i = 0;i < str.length; i++) {
      var charCode = str.charCodeAt(i);
      if (charCode < 128)
        buf[bufIdx++] = charCode;
      else if (charCode < 2048) {
        buf[bufIdx++] = 192 + (charCode >>> 6);
        buf[bufIdx++] = 128 + (charCode & 63);
      } else {
        buf[bufIdx++] = 224 + (charCode >>> 12);
        buf[bufIdx++] = 128 + (charCode >>> 6 & 63);
        buf[bufIdx++] = 128 + (charCode & 63);
      }
    }
    return buf.slice(0, bufIdx);
  };
  InternalEncoderCesu8.prototype.end = function() {};
  function InternalDecoderCesu8(options, codec) {
    this.acc = 0;
    this.contBytes = 0;
    this.accBytes = 0;
    this.defaultCharUnicode = codec.defaultCharUnicode;
  }
  InternalDecoderCesu8.prototype.write = function(buf) {
    var acc = this.acc, contBytes = this.contBytes, accBytes = this.accBytes, res = "";
    for (var i = 0;i < buf.length; i++) {
      var curByte = buf[i];
      if ((curByte & 192) !== 128) {
        if (contBytes > 0) {
          res += this.defaultCharUnicode;
          contBytes = 0;
        }
        if (curByte < 128) {
          res += String.fromCharCode(curByte);
        } else if (curByte < 224) {
          acc = curByte & 31;
          contBytes = 1;
          accBytes = 1;
        } else if (curByte < 240) {
          acc = curByte & 15;
          contBytes = 2;
          accBytes = 1;
        } else {
          res += this.defaultCharUnicode;
        }
      } else {
        if (contBytes > 0) {
          acc = acc << 6 | curByte & 63;
          contBytes--;
          accBytes++;
          if (contBytes === 0) {
            if (accBytes === 2 && acc < 128 && acc > 0)
              res += this.defaultCharUnicode;
            else if (accBytes === 3 && acc < 2048)
              res += this.defaultCharUnicode;
            else
              res += String.fromCharCode(acc);
          }
        } else {
          res += this.defaultCharUnicode;
        }
      }
    }
    this.acc = acc;
    this.contBytes = contBytes;
    this.accBytes = accBytes;
    return res;
  };
  InternalDecoderCesu8.prototype.end = function() {
    var res = 0;
    if (this.contBytes > 0)
      res += this.defaultCharUnicode;
    return res;
  };
});

// node_modules/raw-body/node_modules/iconv-lite/encodings/utf32.js
var require_utf32 = __commonJS((exports) => {
  var Buffer2 = require_safer().Buffer;
  exports._utf32 = Utf32Codec;
  function Utf32Codec(codecOptions, iconv) {
    this.iconv = iconv;
    this.bomAware = true;
    this.isLE = codecOptions.isLE;
  }
  exports.utf32le = { type: "_utf32", isLE: true };
  exports.utf32be = { type: "_utf32", isLE: false };
  exports.ucs4le = "utf32le";
  exports.ucs4be = "utf32be";
  Utf32Codec.prototype.encoder = Utf32Encoder;
  Utf32Codec.prototype.decoder = Utf32Decoder;
  function Utf32Encoder(options, codec) {
    this.isLE = codec.isLE;
    this.highSurrogate = 0;
  }
  Utf32Encoder.prototype.write = function(str) {
    var src = Buffer2.from(str, "ucs2");
    var dst = Buffer2.alloc(src.length * 2);
    var write32 = this.isLE ? dst.writeUInt32LE : dst.writeUInt32BE;
    var offset = 0;
    for (var i = 0;i < src.length; i += 2) {
      var code = src.readUInt16LE(i);
      var isHighSurrogate = 55296 <= code && code < 56320;
      var isLowSurrogate = 56320 <= code && code < 57344;
      if (this.highSurrogate) {
        if (isHighSurrogate || !isLowSurrogate) {
          write32.call(dst, this.highSurrogate, offset);
          offset += 4;
        } else {
          var codepoint = (this.highSurrogate - 55296 << 10 | code - 56320) + 65536;
          write32.call(dst, codepoint, offset);
          offset += 4;
          this.highSurrogate = 0;
          continue;
        }
      }
      if (isHighSurrogate)
        this.highSurrogate = code;
      else {
        write32.call(dst, code, offset);
        offset += 4;
        this.highSurrogate = 0;
      }
    }
    if (offset < dst.length)
      dst = dst.slice(0, offset);
    return dst;
  };
  Utf32Encoder.prototype.end = function() {
    if (!this.highSurrogate)
      return;
    var buf = Buffer2.alloc(4);
    if (this.isLE)
      buf.writeUInt32LE(this.highSurrogate, 0);
    else
      buf.writeUInt32BE(this.highSurrogate, 0);
    this.highSurrogate = 0;
    return buf;
  };
  function Utf32Decoder(options, codec) {
    this.isLE = codec.isLE;
    this.badChar = codec.iconv.defaultCharUnicode.charCodeAt(0);
    this.overflow = [];
  }
  Utf32Decoder.prototype.write = function(src) {
    if (src.length === 0)
      return "";
    var i = 0;
    var codepoint = 0;
    var dst = Buffer2.alloc(src.length + 4);
    var offset = 0;
    var isLE = this.isLE;
    var overflow = this.overflow;
    var badChar = this.badChar;
    if (overflow.length > 0) {
      for (;i < src.length && overflow.length < 4; i++)
        overflow.push(src[i]);
      if (overflow.length === 4) {
        if (isLE) {
          codepoint = overflow[i] | overflow[i + 1] << 8 | overflow[i + 2] << 16 | overflow[i + 3] << 24;
        } else {
          codepoint = overflow[i + 3] | overflow[i + 2] << 8 | overflow[i + 1] << 16 | overflow[i] << 24;
        }
        overflow.length = 0;
        offset = _writeCodepoint(dst, offset, codepoint, badChar);
      }
    }
    for (;i < src.length - 3; i += 4) {
      if (isLE) {
        codepoint = src[i] | src[i + 1] << 8 | src[i + 2] << 16 | src[i + 3] << 24;
      } else {
        codepoint = src[i + 3] | src[i + 2] << 8 | src[i + 1] << 16 | src[i] << 24;
      }
      offset = _writeCodepoint(dst, offset, codepoint, badChar);
    }
    for (;i < src.length; i++) {
      overflow.push(src[i]);
    }
    return dst.slice(0, offset).toString("ucs2");
  };
  function _writeCodepoint(dst, offset, codepoint, badChar) {
    if (codepoint < 0 || codepoint > 1114111) {
      codepoint = badChar;
    }
    if (codepoint >= 65536) {
      codepoint -= 65536;
      var high = 55296 | codepoint >> 10;
      dst[offset++] = high & 255;
      dst[offset++] = high >> 8;
      var codepoint = 56320 | codepoint & 1023;
    }
    dst[offset++] = codepoint & 255;
    dst[offset++] = codepoint >> 8;
    return offset;
  }
  Utf32Decoder.prototype.end = function() {
    this.overflow.length = 0;
  };
  exports.utf32 = Utf32AutoCodec;
  exports.ucs4 = "utf32";
  function Utf32AutoCodec(options, iconv) {
    this.iconv = iconv;
  }
  Utf32AutoCodec.prototype.encoder = Utf32AutoEncoder;
  Utf32AutoCodec.prototype.decoder = Utf32AutoDecoder;
  function Utf32AutoEncoder(options, codec) {
    options = options || {};
    if (options.addBOM === undefined)
      options.addBOM = true;
    this.encoder = codec.iconv.getEncoder(options.defaultEncoding || "utf-32le", options);
  }
  Utf32AutoEncoder.prototype.write = function(str) {
    return this.encoder.write(str);
  };
  Utf32AutoEncoder.prototype.end = function() {
    return this.encoder.end();
  };
  function Utf32AutoDecoder(options, codec) {
    this.decoder = null;
    this.initialBufs = [];
    this.initialBufsLen = 0;
    this.options = options || {};
    this.iconv = codec.iconv;
  }
  Utf32AutoDecoder.prototype.write = function(buf) {
    if (!this.decoder) {
      this.initialBufs.push(buf);
      this.initialBufsLen += buf.length;
      if (this.initialBufsLen < 32)
        return "";
      var encoding = detectEncoding(this.initialBufs, this.options.defaultEncoding);
      this.decoder = this.iconv.getDecoder(encoding, this.options);
      var resStr = "";
      for (var i = 0;i < this.initialBufs.length; i++)
        resStr += this.decoder.write(this.initialBufs[i]);
      this.initialBufs.length = this.initialBufsLen = 0;
      return resStr;
    }
    return this.decoder.write(buf);
  };
  Utf32AutoDecoder.prototype.end = function() {
    if (!this.decoder) {
      var encoding = detectEncoding(this.initialBufs, this.options.defaultEncoding);
      this.decoder = this.iconv.getDecoder(encoding, this.options);
      var resStr = "";
      for (var i = 0;i < this.initialBufs.length; i++)
        resStr += this.decoder.write(this.initialBufs[i]);
      var trail = this.decoder.end();
      if (trail)
        resStr += trail;
      this.initialBufs.length = this.initialBufsLen = 0;
      return resStr;
    }
    return this.decoder.end();
  };
  function detectEncoding(bufs, defaultEncoding) {
    var b2 = [];
    var charsProcessed = 0;
    var invalidLE = 0, invalidBE = 0;
    var bmpCharsLE = 0, bmpCharsBE = 0;
    outer_loop:
      for (var i = 0;i < bufs.length; i++) {
        var buf = bufs[i];
        for (var j2 = 0;j2 < buf.length; j2++) {
          b2.push(buf[j2]);
          if (b2.length === 4) {
            if (charsProcessed === 0) {
              if (b2[0] === 255 && b2[1] === 254 && b2[2] === 0 && b2[3] === 0) {
                return "utf-32le";
              }
              if (b2[0] === 0 && b2[1] === 0 && b2[2] === 254 && b2[3] === 255) {
                return "utf-32be";
              }
            }
            if (b2[0] !== 0 || b2[1] > 16)
              invalidBE++;
            if (b2[3] !== 0 || b2[2] > 16)
              invalidLE++;
            if (b2[0] === 0 && b2[1] === 0 && (b2[2] !== 0 || b2[3] !== 0))
              bmpCharsBE++;
            if ((b2[0] !== 0 || b2[1] !== 0) && b2[2] === 0 && b2[3] === 0)
              bmpCharsLE++;
            b2.length = 0;
            charsProcessed++;
            if (charsProcessed >= 100) {
              break outer_loop;
            }
          }
        }
      }
    if (bmpCharsBE - invalidBE > bmpCharsLE - invalidLE)
      return "utf-32be";
    if (bmpCharsBE - invalidBE < bmpCharsLE - invalidLE)
      return "utf-32le";
    return defaultEncoding || "utf-32le";
  }
});

// node_modules/raw-body/node_modules/iconv-lite/encodings/utf16.js
var require_utf16 = __commonJS((exports) => {
  var Buffer2 = require_safer().Buffer;
  exports.utf16be = Utf16BECodec;
  function Utf16BECodec() {}
  Utf16BECodec.prototype.encoder = Utf16BEEncoder;
  Utf16BECodec.prototype.decoder = Utf16BEDecoder;
  Utf16BECodec.prototype.bomAware = true;
  function Utf16BEEncoder() {}
  Utf16BEEncoder.prototype.write = function(str) {
    var buf = Buffer2.from(str, "ucs2");
    for (var i = 0;i < buf.length; i += 2) {
      var tmp = buf[i];
      buf[i] = buf[i + 1];
      buf[i + 1] = tmp;
    }
    return buf;
  };
  Utf16BEEncoder.prototype.end = function() {};
  function Utf16BEDecoder() {
    this.overflowByte = -1;
  }
  Utf16BEDecoder.prototype.write = function(buf) {
    if (buf.length == 0)
      return "";
    var buf2 = Buffer2.alloc(buf.length + 1), i = 0, j2 = 0;
    if (this.overflowByte !== -1) {
      buf2[0] = buf[0];
      buf2[1] = this.overflowByte;
      i = 1;
      j2 = 2;
    }
    for (;i < buf.length - 1; i += 2, j2 += 2) {
      buf2[j2] = buf[i + 1];
      buf2[j2 + 1] = buf[i];
    }
    this.overflowByte = i == buf.length - 1 ? buf[buf.length - 1] : -1;
    return buf2.slice(0, j2).toString("ucs2");
  };
  Utf16BEDecoder.prototype.end = function() {
    this.overflowByte = -1;
  };
  exports.utf16 = Utf16Codec;
  function Utf16Codec(codecOptions, iconv) {
    this.iconv = iconv;
  }
  Utf16Codec.prototype.encoder = Utf16Encoder;
  Utf16Codec.prototype.decoder = Utf16Decoder;
  function Utf16Encoder(options, codec) {
    options = options || {};
    if (options.addBOM === undefined)
      options.addBOM = true;
    this.encoder = codec.iconv.getEncoder("utf-16le", options);
  }
  Utf16Encoder.prototype.write = function(str) {
    return this.encoder.write(str);
  };
  Utf16Encoder.prototype.end = function() {
    return this.encoder.end();
  };
  function Utf16Decoder(options, codec) {
    this.decoder = null;
    this.initialBufs = [];
    this.initialBufsLen = 0;
    this.options = options || {};
    this.iconv = codec.iconv;
  }
  Utf16Decoder.prototype.write = function(buf) {
    if (!this.decoder) {
      this.initialBufs.push(buf);
      this.initialBufsLen += buf.length;
      if (this.initialBufsLen < 16)
        return "";
      var encoding = detectEncoding(this.initialBufs, this.options.defaultEncoding);
      this.decoder = this.iconv.getDecoder(encoding, this.options);
      var resStr = "";
      for (var i = 0;i < this.initialBufs.length; i++)
        resStr += this.decoder.write(this.initialBufs[i]);
      this.initialBufs.length = this.initialBufsLen = 0;
      return resStr;
    }
    return this.decoder.write(buf);
  };
  Utf16Decoder.prototype.end = function() {
    if (!this.decoder) {
      var encoding = detectEncoding(this.initialBufs, this.options.defaultEncoding);
      this.decoder = this.iconv.getDecoder(encoding, this.options);
      var resStr = "";
      for (var i = 0;i < this.initialBufs.length; i++)
        resStr += this.decoder.write(this.initialBufs[i]);
      var trail = this.decoder.end();
      if (trail)
        resStr += trail;
      this.initialBufs.length = this.initialBufsLen = 0;
      return resStr;
    }
    return this.decoder.end();
  };
  function detectEncoding(bufs, defaultEncoding) {
    var b2 = [];
    var charsProcessed = 0;
    var asciiCharsLE = 0, asciiCharsBE = 0;
    outer_loop:
      for (var i = 0;i < bufs.length; i++) {
        var buf = bufs[i];
        for (var j2 = 0;j2 < buf.length; j2++) {
          b2.push(buf[j2]);
          if (b2.length === 2) {
            if (charsProcessed === 0) {
              if (b2[0] === 255 && b2[1] === 254)
                return "utf-16le";
              if (b2[0] === 254 && b2[1] === 255)
                return "utf-16be";
            }
            if (b2[0] === 0 && b2[1] !== 0)
              asciiCharsBE++;
            if (b2[0] !== 0 && b2[1] === 0)
              asciiCharsLE++;
            b2.length = 0;
            charsProcessed++;
            if (charsProcessed >= 100) {
              break outer_loop;
            }
          }
        }
      }
    if (asciiCharsBE > asciiCharsLE)
      return "utf-16be";
    if (asciiCharsBE < asciiCharsLE)
      return "utf-16le";
    return defaultEncoding || "utf-16le";
  }
});

// node_modules/raw-body/node_modules/iconv-lite/encodings/utf7.js
var require_utf7 = __commonJS((exports) => {
  var Buffer2 = require_safer().Buffer;
  exports.utf7 = Utf7Codec;
  exports.unicode11utf7 = "utf7";
  function Utf7Codec(codecOptions, iconv) {
    this.iconv = iconv;
  }
  Utf7Codec.prototype.encoder = Utf7Encoder;
  Utf7Codec.prototype.decoder = Utf7Decoder;
  Utf7Codec.prototype.bomAware = true;
  var nonDirectChars = /[^A-Za-z0-9'\(\),-\.\/:\? \n\r\t]+/g;
  function Utf7Encoder(options, codec) {
    this.iconv = codec.iconv;
  }
  Utf7Encoder.prototype.write = function(str) {
    return Buffer2.from(str.replace(nonDirectChars, function(chunk) {
      return "+" + (chunk === "+" ? "" : this.iconv.encode(chunk, "utf16-be").toString("base64").replace(/=+$/, "")) + "-";
    }.bind(this)));
  };
  Utf7Encoder.prototype.end = function() {};
  function Utf7Decoder(options, codec) {
    this.iconv = codec.iconv;
    this.inBase64 = false;
    this.base64Accum = "";
  }
  var base64Regex2 = /[A-Za-z0-9\/+]/;
  var base64Chars = [];
  for (i = 0;i < 256; i++)
    base64Chars[i] = base64Regex2.test(String.fromCharCode(i));
  var i;
  var plusChar = 43;
  var minusChar = 45;
  var andChar = 38;
  Utf7Decoder.prototype.write = function(buf) {
    var res = "", lastI = 0, inBase64 = this.inBase64, base64Accum = this.base64Accum;
    for (var i2 = 0;i2 < buf.length; i2++) {
      if (!inBase64) {
        if (buf[i2] == plusChar) {
          res += this.iconv.decode(buf.slice(lastI, i2), "ascii");
          lastI = i2 + 1;
          inBase64 = true;
        }
      } else {
        if (!base64Chars[buf[i2]]) {
          if (i2 == lastI && buf[i2] == minusChar) {
            res += "+";
          } else {
            var b64str = base64Accum + this.iconv.decode(buf.slice(lastI, i2), "ascii");
            res += this.iconv.decode(Buffer2.from(b64str, "base64"), "utf16-be");
          }
          if (buf[i2] != minusChar)
            i2--;
          lastI = i2 + 1;
          inBase64 = false;
          base64Accum = "";
        }
      }
    }
    if (!inBase64) {
      res += this.iconv.decode(buf.slice(lastI), "ascii");
    } else {
      var b64str = base64Accum + this.iconv.decode(buf.slice(lastI), "ascii");
      var canBeDecoded = b64str.length - b64str.length % 8;
      base64Accum = b64str.slice(canBeDecoded);
      b64str = b64str.slice(0, canBeDecoded);
      res += this.iconv.decode(Buffer2.from(b64str, "base64"), "utf16-be");
    }
    this.inBase64 = inBase64;
    this.base64Accum = base64Accum;
    return res;
  };
  Utf7Decoder.prototype.end = function() {
    var res = "";
    if (this.inBase64 && this.base64Accum.length > 0)
      res = this.iconv.decode(Buffer2.from(this.base64Accum, "base64"), "utf16-be");
    this.inBase64 = false;
    this.base64Accum = "";
    return res;
  };
  exports.utf7imap = Utf7IMAPCodec;
  function Utf7IMAPCodec(codecOptions, iconv) {
    this.iconv = iconv;
  }
  Utf7IMAPCodec.prototype.encoder = Utf7IMAPEncoder;
  Utf7IMAPCodec.prototype.decoder = Utf7IMAPDecoder;
  Utf7IMAPCodec.prototype.bomAware = true;
  function Utf7IMAPEncoder(options, codec) {
    this.iconv = codec.iconv;
    this.inBase64 = false;
    this.base64Accum = Buffer2.alloc(6);
    this.base64AccumIdx = 0;
  }
  Utf7IMAPEncoder.prototype.write = function(str) {
    var inBase64 = this.inBase64, base64Accum = this.base64Accum, base64AccumIdx = this.base64AccumIdx, buf = Buffer2.alloc(str.length * 5 + 10), bufIdx = 0;
    for (var i2 = 0;i2 < str.length; i2++) {
      var uChar = str.charCodeAt(i2);
      if (32 <= uChar && uChar <= 126) {
        if (inBase64) {
          if (base64AccumIdx > 0) {
            bufIdx += buf.write(base64Accum.slice(0, base64AccumIdx).toString("base64").replace(/\//g, ",").replace(/=+$/, ""), bufIdx);
            base64AccumIdx = 0;
          }
          buf[bufIdx++] = minusChar;
          inBase64 = false;
        }
        if (!inBase64) {
          buf[bufIdx++] = uChar;
          if (uChar === andChar)
            buf[bufIdx++] = minusChar;
        }
      } else {
        if (!inBase64) {
          buf[bufIdx++] = andChar;
          inBase64 = true;
        }
        if (inBase64) {
          base64Accum[base64AccumIdx++] = uChar >> 8;
          base64Accum[base64AccumIdx++] = uChar & 255;
          if (base64AccumIdx == base64Accum.length) {
            bufIdx += buf.write(base64Accum.toString("base64").replace(/\//g, ","), bufIdx);
            base64AccumIdx = 0;
          }
        }
      }
    }
    this.inBase64 = inBase64;
    this.base64AccumIdx = base64AccumIdx;
    return buf.slice(0, bufIdx);
  };
  Utf7IMAPEncoder.prototype.end = function() {
    var buf = Buffer2.alloc(10), bufIdx = 0;
    if (this.inBase64) {
      if (this.base64AccumIdx > 0) {
        bufIdx += buf.write(this.base64Accum.slice(0, this.base64AccumIdx).toString("base64").replace(/\//g, ",").replace(/=+$/, ""), bufIdx);
        this.base64AccumIdx = 0;
      }
      buf[bufIdx++] = minusChar;
      this.inBase64 = false;
    }
    return buf.slice(0, bufIdx);
  };
  function Utf7IMAPDecoder(options, codec) {
    this.iconv = codec.iconv;
    this.inBase64 = false;
    this.base64Accum = "";
  }
  var base64IMAPChars = base64Chars.slice();
  base64IMAPChars[44] = true;
  Utf7IMAPDecoder.prototype.write = function(buf) {
    var res = "", lastI = 0, inBase64 = this.inBase64, base64Accum = this.base64Accum;
    for (var i2 = 0;i2 < buf.length; i2++) {
      if (!inBase64) {
        if (buf[i2] == andChar) {
          res += this.iconv.decode(buf.slice(lastI, i2), "ascii");
          lastI = i2 + 1;
          inBase64 = true;
        }
      } else {
        if (!base64IMAPChars[buf[i2]]) {
          if (i2 == lastI && buf[i2] == minusChar) {
            res += "&";
          } else {
            var b64str = base64Accum + this.iconv.decode(buf.slice(lastI, i2), "ascii").replace(/,/g, "/");
            res += this.iconv.decode(Buffer2.from(b64str, "base64"), "utf16-be");
          }
          if (buf[i2] != minusChar)
            i2--;
          lastI = i2 + 1;
          inBase64 = false;
          base64Accum = "";
        }
      }
    }
    if (!inBase64) {
      res += this.iconv.decode(buf.slice(lastI), "ascii");
    } else {
      var b64str = base64Accum + this.iconv.decode(buf.slice(lastI), "ascii").replace(/,/g, "/");
      var canBeDecoded = b64str.length - b64str.length % 8;
      base64Accum = b64str.slice(canBeDecoded);
      b64str = b64str.slice(0, canBeDecoded);
      res += this.iconv.decode(Buffer2.from(b64str, "base64"), "utf16-be");
    }
    this.inBase64 = inBase64;
    this.base64Accum = base64Accum;
    return res;
  };
  Utf7IMAPDecoder.prototype.end = function() {
    var res = "";
    if (this.inBase64 && this.base64Accum.length > 0)
      res = this.iconv.decode(Buffer2.from(this.base64Accum, "base64"), "utf16-be");
    this.inBase64 = false;
    this.base64Accum = "";
    return res;
  };
});

// node_modules/raw-body/node_modules/iconv-lite/encodings/sbcs-codec.js
var require_sbcs_codec = __commonJS((exports) => {
  var Buffer2 = require_safer().Buffer;
  exports._sbcs = SBCSCodec;
  function SBCSCodec(codecOptions, iconv) {
    if (!codecOptions)
      throw new Error("SBCS codec is called without the data.");
    if (!codecOptions.chars || codecOptions.chars.length !== 128 && codecOptions.chars.length !== 256)
      throw new Error("Encoding '" + codecOptions.type + "' has incorrect 'chars' (must be of len 128 or 256)");
    if (codecOptions.chars.length === 128) {
      var asciiString = "";
      for (var i = 0;i < 128; i++)
        asciiString += String.fromCharCode(i);
      codecOptions.chars = asciiString + codecOptions.chars;
    }
    this.decodeBuf = Buffer2.from(codecOptions.chars, "ucs2");
    var encodeBuf = Buffer2.alloc(65536, iconv.defaultCharSingleByte.charCodeAt(0));
    for (var i = 0;i < codecOptions.chars.length; i++)
      encodeBuf[codecOptions.chars.charCodeAt(i)] = i;
    this.encodeBuf = encodeBuf;
  }
  SBCSCodec.prototype.encoder = SBCSEncoder;
  SBCSCodec.prototype.decoder = SBCSDecoder;
  function SBCSEncoder(options, codec) {
    this.encodeBuf = codec.encodeBuf;
  }
  SBCSEncoder.prototype.write = function(str) {
    var buf = Buffer2.alloc(str.length);
    for (var i = 0;i < str.length; i++)
      buf[i] = this.encodeBuf[str.charCodeAt(i)];
    return buf;
  };
  SBCSEncoder.prototype.end = function() {};
  function SBCSDecoder(options, codec) {
    this.decodeBuf = codec.decodeBuf;
  }
  SBCSDecoder.prototype.write = function(buf) {
    var decodeBuf = this.decodeBuf;
    var newBuf = Buffer2.alloc(buf.length * 2);
    var idx1 = 0, idx2 = 0;
    for (var i = 0;i < buf.length; i++) {
      idx1 = buf[i] * 2;
      idx2 = i * 2;
      newBuf[idx2] = decodeBuf[idx1];
      newBuf[idx2 + 1] = decodeBuf[idx1 + 1];
    }
    return newBuf.toString("ucs2");
  };
  SBCSDecoder.prototype.end = function() {};
});

// node_modules/raw-body/node_modules/iconv-lite/encodings/sbcs-data.js
var require_sbcs_data = __commonJS((exports, module) => {
  module.exports = {
    "10029": "maccenteuro",
    maccenteuro: {
      type: "_sbcs",
      chars: "ÄĀāÉĄÖÜáąČäčĆćéŹźĎíďĒēĖóėôöõúĚěü†°Ę£§•¶ß®©™ę¨≠ģĮįĪ≤≥īĶ∂∑łĻļĽľĹĺŅņŃ¬√ńŇ∆«»… ňŐÕőŌ–—“”‘’÷◊ōŔŕŘ‹›řŖŗŠ‚„šŚśÁŤťÍŽžŪÓÔūŮÚůŰűŲųÝýķŻŁżĢˇ"
    },
    "808": "cp808",
    ibm808: "cp808",
    cp808: {
      type: "_sbcs",
      chars: "АБВГДЕЖЗИЙКЛМНОПРСТУФХЦЧШЩЪЫЬЭЮЯабвгдежзийклмноп░▒▓│┤╡╢╖╕╣║╗╝╜╛┐└┴┬├─┼╞╟╚╔╩╦╠═╬╧╨╤╥╙╘╒╓╫╪┘┌█▄▌▐▀рстуфхцчшщъыьэюяЁёЄєЇїЎў°∙·√№€■ "
    },
    mik: {
      type: "_sbcs",
      chars: "АБВГДЕЖЗИЙКЛМНОПРСТУФХЦЧШЩЪЫЬЭЮЯабвгдежзийклмнопрстуфхцчшщъыьэюя└┴┬├─┼╣║╚╔╩╦╠═╬┐░▒▓│┤№§╗╝┘┌█▄▌▐▀αßΓπΣσµτΦΘΩδ∞φε∩≡±≥≤⌠⌡÷≈°∙·√ⁿ²■ "
    },
    cp720: {
      type: "_sbcs",
      chars: "éâàçêëèïîّْô¤ـûùءآأؤ£إئابةتثجحخدذرزسشص«»░▒▓│┤╡╢╖╕╣║╗╝╜╛┐└┴┬├─┼╞╟╚╔╩╦╠═╬╧╨╤╥╙╘╒╓╫╪┘┌█▄▌▐▀ضطظعغفµقكلمنهوىي≡ًٌٍَُِ≈°∙·√ⁿ²■ "
    },
    ascii8bit: "ascii",
    usascii: "ascii",
    ansix34: "ascii",
    ansix341968: "ascii",
    ansix341986: "ascii",
    csascii: "ascii",
    cp367: "ascii",
    ibm367: "ascii",
    isoir6: "ascii",
    iso646us: "ascii",
    iso646irv: "ascii",
    us: "ascii",
    latin1: "iso88591",
    latin2: "iso88592",
    latin3: "iso88593",
    latin4: "iso88594",
    latin5: "iso88599",
    latin6: "iso885910",
    latin7: "iso885913",
    latin8: "iso885914",
    latin9: "iso885915",
    latin10: "iso885916",
    csisolatin1: "iso88591",
    csisolatin2: "iso88592",
    csisolatin3: "iso88593",
    csisolatin4: "iso88594",
    csisolatincyrillic: "iso88595",
    csisolatinarabic: "iso88596",
    csisolatingreek: "iso88597",
    csisolatinhebrew: "iso88598",
    csisolatin5: "iso88599",
    csisolatin6: "iso885910",
    l1: "iso88591",
    l2: "iso88592",
    l3: "iso88593",
    l4: "iso88594",
    l5: "iso88599",
    l6: "iso885910",
    l7: "iso885913",
    l8: "iso885914",
    l9: "iso885915",
    l10: "iso885916",
    isoir14: "iso646jp",
    isoir57: "iso646cn",
    isoir100: "iso88591",
    isoir101: "iso88592",
    isoir109: "iso88593",
    isoir110: "iso88594",
    isoir144: "iso88595",
    isoir127: "iso88596",
    isoir126: "iso88597",
    isoir138: "iso88598",
    isoir148: "iso88599",
    isoir157: "iso885910",
    isoir166: "tis620",
    isoir179: "iso885913",
    isoir199: "iso885914",
    isoir203: "iso885915",
    isoir226: "iso885916",
    cp819: "iso88591",
    ibm819: "iso88591",
    cyrillic: "iso88595",
    arabic: "iso88596",
    arabic8: "iso88596",
    ecma114: "iso88596",
    asmo708: "iso88596",
    greek: "iso88597",
    greek8: "iso88597",
    ecma118: "iso88597",
    elot928: "iso88597",
    hebrew: "iso88598",
    hebrew8: "iso88598",
    turkish: "iso88599",
    turkish8: "iso88599",
    thai: "iso885911",
    thai8: "iso885911",
    celtic: "iso885914",
    celtic8: "iso885914",
    isoceltic: "iso885914",
    tis6200: "tis620",
    tis62025291: "tis620",
    tis62025330: "tis620",
    "10000": "macroman",
    "10006": "macgreek",
    "10007": "maccyrillic",
    "10079": "maciceland",
    "10081": "macturkish",
    cspc8codepage437: "cp437",
    cspc775baltic: "cp775",
    cspc850multilingual: "cp850",
    cspcp852: "cp852",
    cspc862latinhebrew: "cp862",
    cpgr: "cp869",
    msee: "cp1250",
    mscyrl: "cp1251",
    msansi: "cp1252",
    msgreek: "cp1253",
    msturk: "cp1254",
    mshebr: "cp1255",
    msarab: "cp1256",
    winbaltrim: "cp1257",
    cp20866: "koi8r",
    "20866": "koi8r",
    ibm878: "koi8r",
    cskoi8r: "koi8r",
    cp21866: "koi8u",
    "21866": "koi8u",
    ibm1168: "koi8u",
    strk10482002: "rk1048",
    tcvn5712: "tcvn",
    tcvn57121: "tcvn",
    gb198880: "iso646cn",
    cn: "iso646cn",
    csiso14jisc6220ro: "iso646jp",
    jisc62201969ro: "iso646jp",
    jp: "iso646jp",
    cshproman8: "hproman8",
    r8: "hproman8",
    roman8: "hproman8",
    xroman8: "hproman8",
    ibm1051: "hproman8",
    mac: "macintosh",
    csmacintosh: "macintosh"
  };
});

// node_modules/raw-body/node_modules/iconv-lite/encodings/sbcs-data-generated.js
var require_sbcs_data_generated = __commonJS((exports, module) => {
  module.exports = {
    "437": "cp437",
    "737": "cp737",
    "775": "cp775",
    "850": "cp850",
    "852": "cp852",
    "855": "cp855",
    "856": "cp856",
    "857": "cp857",
    "858": "cp858",
    "860": "cp860",
    "861": "cp861",
    "862": "cp862",
    "863": "cp863",
    "864": "cp864",
    "865": "cp865",
    "866": "cp866",
    "869": "cp869",
    "874": "windows874",
    "922": "cp922",
    "1046": "cp1046",
    "1124": "cp1124",
    "1125": "cp1125",
    "1129": "cp1129",
    "1133": "cp1133",
    "1161": "cp1161",
    "1162": "cp1162",
    "1163": "cp1163",
    "1250": "windows1250",
    "1251": "windows1251",
    "1252": "windows1252",
    "1253": "windows1253",
    "1254": "windows1254",
    "1255": "windows1255",
    "1256": "windows1256",
    "1257": "windows1257",
    "1258": "windows1258",
    "28591": "iso88591",
    "28592": "iso88592",
    "28593": "iso88593",
    "28594": "iso88594",
    "28595": "iso88595",
    "28596": "iso88596",
    "28597": "iso88597",
    "28598": "iso88598",
    "28599": "iso88599",
    "28600": "iso885910",
    "28601": "iso885911",
    "28603": "iso885913",
    "28604": "iso885914",
    "28605": "iso885915",
    "28606": "iso885916",
    windows874: {
      type: "_sbcs",
      chars: "€����…�����������‘’“”•–—�������� กขฃคฅฆงจฉชซฌญฎฏฐฑฒณดตถทธนบปผฝพฟภมยรฤลฦวศษสหฬอฮฯะัาำิีึืฺุู����฿เแโใไๅๆ็่้๊๋์ํ๎๏๐๑๒๓๔๕๖๗๘๙๚๛����"
    },
    win874: "windows874",
    cp874: "windows874",
    windows1250: {
      type: "_sbcs",
      chars: "€�‚�„…†‡�‰Š‹ŚŤŽŹ�‘’“”•–—�™š›śťžź ˇ˘Ł¤Ą¦§¨©Ş«¬­®Ż°±˛ł´µ¶·¸ąş»Ľ˝ľżŔÁÂĂÄĹĆÇČÉĘËĚÍÎĎĐŃŇÓÔŐÖ×ŘŮÚŰÜÝŢßŕáâăäĺćçčéęëěíîďđńňóôőö÷řůúűüýţ˙"
    },
    win1250: "windows1250",
    cp1250: "windows1250",
    windows1251: {
      type: "_sbcs",
      chars: "ЂЃ‚ѓ„…†‡€‰Љ‹ЊЌЋЏђ‘’“”•–—�™љ›њќћџ ЎўЈ¤Ґ¦§Ё©Є«¬­®Ї°±Ііґµ¶·ё№є»јЅѕїАБВГДЕЖЗИЙКЛМНОПРСТУФХЦЧШЩЪЫЬЭЮЯабвгдежзийклмнопрстуфхцчшщъыьэюя"
    },
    win1251: "windows1251",
    cp1251: "windows1251",
    windows1252: {
      type: "_sbcs",
      chars: "€�‚ƒ„…†‡ˆ‰Š‹Œ�Ž��‘’“”•–—˜™š›œ�žŸ ¡¢£¤¥¦§¨©ª«¬­®¯°±²³´µ¶·¸¹º»¼½¾¿ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖ×ØÙÚÛÜÝÞßàáâãäåæçèéêëìíîïðñòóôõö÷øùúûüýþÿ"
    },
    win1252: "windows1252",
    cp1252: "windows1252",
    windows1253: {
      type: "_sbcs",
      chars: "€�‚ƒ„…†‡�‰�‹�����‘’“”•–—�™�›���� ΅Ά£¤¥¦§¨©�«¬­®―°±²³΄µ¶·ΈΉΊ»Ό½ΎΏΐΑΒΓΔΕΖΗΘΙΚΛΜΝΞΟΠΡ�ΣΤΥΦΧΨΩΪΫάέήίΰαβγδεζηθικλμνξοπρςστυφχψωϊϋόύώ�"
    },
    win1253: "windows1253",
    cp1253: "windows1253",
    windows1254: {
      type: "_sbcs",
      chars: "€�‚ƒ„…†‡ˆ‰Š‹Œ����‘’“”•–—˜™š›œ��Ÿ ¡¢£¤¥¦§¨©ª«¬­®¯°±²³´µ¶·¸¹º»¼½¾¿ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏĞÑÒÓÔÕÖ×ØÙÚÛÜİŞßàáâãäåæçèéêëìíîïğñòóôõö÷øùúûüışÿ"
    },
    win1254: "windows1254",
    cp1254: "windows1254",
    windows1255: {
      type: "_sbcs",
      chars: "€�‚ƒ„…†‡ˆ‰�‹�����‘’“”•–—˜™�›���� ¡¢£₪¥¦§¨©×«¬­®¯°±²³´µ¶·¸¹÷»¼½¾¿ְֱֲֳִֵֶַָֹֺֻּֽ־ֿ׀ׁׂ׃װױײ׳״�������אבגדהוזחטיךכלםמןנסעףפץצקרשת��‎‏�"
    },
    win1255: "windows1255",
    cp1255: "windows1255",
    windows1256: {
      type: "_sbcs",
      chars: "€پ‚ƒ„…†‡ˆ‰ٹ‹Œچژڈگ‘’“”•–—ک™ڑ›œ‌‍ں ،¢£¤¥¦§¨©ھ«¬­®¯°±²³´µ¶·¸¹؛»¼½¾؟ہءآأؤإئابةتثجحخدذرزسشصض×طظعغـفقكàلâمنهوçèéêëىيîïًٌٍَôُِ÷ّùْûü‎‏ے"
    },
    win1256: "windows1256",
    cp1256: "windows1256",
    windows1257: {
      type: "_sbcs",
      chars: "€�‚�„…†‡�‰�‹�¨ˇ¸�‘’“”•–—�™�›�¯˛� �¢£¤�¦§Ø©Ŗ«¬­®Æ°±²³´µ¶·ø¹ŗ»¼½¾æĄĮĀĆÄÅĘĒČÉŹĖĢĶĪĻŠŃŅÓŌÕÖ×ŲŁŚŪÜŻŽßąįāćäåęēčéźėģķīļšńņóōõö÷ųłśūüżž˙"
    },
    win1257: "windows1257",
    cp1257: "windows1257",
    windows1258: {
      type: "_sbcs",
      chars: "€�‚ƒ„…†‡ˆ‰�‹Œ����‘’“”•–—˜™�›œ��Ÿ ¡¢£¤¥¦§¨©ª«¬­®¯°±²³´µ¶·¸¹º»¼½¾¿ÀÁÂĂÄÅÆÇÈÉÊË̀ÍÎÏĐÑ̉ÓÔƠÖ×ØÙÚÛÜỮßàáâăäåæçèéêë́íîïđṇ̃óôơö÷øùúûüư₫ÿ"
    },
    win1258: "windows1258",
    cp1258: "windows1258",
    iso88591: {
      type: "_sbcs",
      chars: " ¡¢£¤¥¦§¨©ª«¬­®¯°±²³´µ¶·¸¹º»¼½¾¿ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖ×ØÙÚÛÜÝÞßàáâãäåæçèéêëìíîïðñòóôõö÷øùúûüýþÿ"
    },
    cp28591: "iso88591",
    iso88592: {
      type: "_sbcs",
      chars: " Ą˘Ł¤ĽŚ§¨ŠŞŤŹ­ŽŻ°ą˛ł´ľśˇ¸šşťź˝žżŔÁÂĂÄĹĆÇČÉĘËĚÍÎĎĐŃŇÓÔŐÖ×ŘŮÚŰÜÝŢßŕáâăäĺćçčéęëěíîďđńňóôőö÷řůúűüýţ˙"
    },
    cp28592: "iso88592",
    iso88593: {
      type: "_sbcs",
      chars: " Ħ˘£¤�Ĥ§¨İŞĞĴ­�Ż°ħ²³´µĥ·¸ışğĵ½�żÀÁÂ�ÄĊĈÇÈÉÊËÌÍÎÏ�ÑÒÓÔĠÖ×ĜÙÚÛÜŬŜßàáâ�äċĉçèéêëìíîï�ñòóôġö÷ĝùúûüŭŝ˙"
    },
    cp28593: "iso88593",
    iso88594: {
      type: "_sbcs",
      chars: " ĄĸŖ¤ĨĻ§¨ŠĒĢŦ­Ž¯°ą˛ŗ´ĩļˇ¸šēģŧŊžŋĀÁÂÃÄÅÆĮČÉĘËĖÍÎĪĐŅŌĶÔÕÖ×ØŲÚÛÜŨŪßāáâãäåæįčéęëėíîīđņōķôõö÷øųúûüũū˙"
    },
    cp28594: "iso88594",
    iso88595: {
      type: "_sbcs",
      chars: " ЁЂЃЄЅІЇЈЉЊЋЌ­ЎЏАБВГДЕЖЗИЙКЛМНОПРСТУФХЦЧШЩЪЫЬЭЮЯабвгдежзийклмнопрстуфхцчшщъыьэюя№ёђѓєѕіїјљњћќ§ўџ"
    },
    cp28595: "iso88595",
    iso88596: {
      type: "_sbcs",
      chars: " ���¤�������،­�������������؛���؟�ءآأؤإئابةتثجحخدذرزسشصضطظعغ�����ـفقكلمنهوىيًٌٍَُِّْ�������������"
    },
    cp28596: "iso88596",
    iso88597: {
      type: "_sbcs",
      chars: " ‘’£€₯¦§¨©ͺ«¬­�―°±²³΄΅Ά·ΈΉΊ»Ό½ΎΏΐΑΒΓΔΕΖΗΘΙΚΛΜΝΞΟΠΡ�ΣΤΥΦΧΨΩΪΫάέήίΰαβγδεζηθικλμνξοπρςστυφχψωϊϋόύώ�"
    },
    cp28597: "iso88597",
    iso88598: {
      type: "_sbcs",
      chars: " �¢£¤¥¦§¨©×«¬­®¯°±²³´µ¶·¸¹÷»¼½¾��������������������������������‗אבגדהוזחטיךכלםמןנסעףפץצקרשת��‎‏�"
    },
    cp28598: "iso88598",
    iso88599: {
      type: "_sbcs",
      chars: " ¡¢£¤¥¦§¨©ª«¬­®¯°±²³´µ¶·¸¹º»¼½¾¿ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏĞÑÒÓÔÕÖ×ØÙÚÛÜİŞßàáâãäåæçèéêëìíîïğñòóôõö÷øùúûüışÿ"
    },
    cp28599: "iso88599",
    iso885910: {
      type: "_sbcs",
      chars: " ĄĒĢĪĨĶ§ĻĐŠŦŽ­ŪŊ°ąēģīĩķ·ļđšŧž―ūŋĀÁÂÃÄÅÆĮČÉĘËĖÍÎÏÐŅŌÓÔÕÖŨØŲÚÛÜÝÞßāáâãäåæįčéęëėíîïðņōóôõöũøųúûüýþĸ"
    },
    cp28600: "iso885910",
    iso885911: {
      type: "_sbcs",
      chars: " กขฃคฅฆงจฉชซฌญฎฏฐฑฒณดตถทธนบปผฝพฟภมยรฤลฦวศษสหฬอฮฯะัาำิีึืฺุู����฿เแโใไๅๆ็่้๊๋์ํ๎๏๐๑๒๓๔๕๖๗๘๙๚๛����"
    },
    cp28601: "iso885911",
    iso885913: {
      type: "_sbcs",
      chars: " ”¢£¤„¦§Ø©Ŗ«¬­®Æ°±²³“µ¶·ø¹ŗ»¼½¾æĄĮĀĆÄÅĘĒČÉŹĖĢĶĪĻŠŃŅÓŌÕÖ×ŲŁŚŪÜŻŽßąįāćäåęēčéźėģķīļšńņóōõö÷ųłśūüżž’"
    },
    cp28603: "iso885913",
    iso885914: {
      type: "_sbcs",
      chars: " Ḃḃ£ĊċḊ§Ẁ©ẂḋỲ­®ŸḞḟĠġṀṁ¶ṖẁṗẃṠỳẄẅṡÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏŴÑÒÓÔÕÖṪØÙÚÛÜÝŶßàáâãäåæçèéêëìíîïŵñòóôõöṫøùúûüýŷÿ"
    },
    cp28604: "iso885914",
    iso885915: {
      type: "_sbcs",
      chars: " ¡¢£€¥Š§š©ª«¬­®¯°±²³Žµ¶·ž¹º»ŒœŸ¿ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖ×ØÙÚÛÜÝÞßàáâãäåæçèéêëìíîïðñòóôõö÷øùúûüýþÿ"
    },
    cp28605: "iso885915",
    iso885916: {
      type: "_sbcs",
      chars: " ĄąŁ€„Š§š©Ș«Ź­źŻ°±ČłŽ”¶·žčș»ŒœŸżÀÁÂĂÄĆÆÇÈÉÊËÌÍÎÏĐŃÒÓÔŐÖŚŰÙÚÛÜĘȚßàáâăäćæçèéêëìíîïđńòóôőöśűùúûüęțÿ"
    },
    cp28606: "iso885916",
    cp437: {
      type: "_sbcs",
      chars: "ÇüéâäàåçêëèïîìÄÅÉæÆôöòûùÿÖÜ¢£¥₧ƒáíóúñÑªº¿⌐¬½¼¡«»░▒▓│┤╡╢╖╕╣║╗╝╜╛┐└┴┬├─┼╞╟╚╔╩╦╠═╬╧╨╤╥╙╘╒╓╫╪┘┌█▄▌▐▀αßΓπΣσµτΦΘΩδ∞φε∩≡±≥≤⌠⌡÷≈°∙·√ⁿ²■ "
    },
    ibm437: "cp437",
    csibm437: "cp437",
    cp737: {
      type: "_sbcs",
      chars: "ΑΒΓΔΕΖΗΘΙΚΛΜΝΞΟΠΡΣΤΥΦΧΨΩαβγδεζηθικλμνξοπρσςτυφχψ░▒▓│┤╡╢╖╕╣║╗╝╜╛┐└┴┬├─┼╞╟╚╔╩╦╠═╬╧╨╤╥╙╘╒╓╫╪┘┌█▄▌▐▀ωάέήϊίόύϋώΆΈΉΊΌΎΏ±≥≤ΪΫ÷≈°∙·√ⁿ²■ "
    },
    ibm737: "cp737",
    csibm737: "cp737",
    cp775: {
      type: "_sbcs",
      chars: "ĆüéāäģåćłēŖŗīŹÄÅÉæÆōöĢ¢ŚśÖÜø£Ø×¤ĀĪóŻżź”¦©®¬½¼Ł«»░▒▓│┤ĄČĘĖ╣║╗╝ĮŠ┐└┴┬├─┼ŲŪ╚╔╩╦╠═╬Žąčęėįšųūž┘┌█▄▌▐▀ÓßŌŃõÕµńĶķĻļņĒŅ’­±“¾¶§÷„°∙·¹³²■ "
    },
    ibm775: "cp775",
    csibm775: "cp775",
    cp850: {
      type: "_sbcs",
      chars: "ÇüéâäàåçêëèïîìÄÅÉæÆôöòûùÿÖÜø£Ø×ƒáíóúñÑªº¿®¬½¼¡«»░▒▓│┤ÁÂÀ©╣║╗╝¢¥┐└┴┬├─┼ãÃ╚╔╩╦╠═╬¤ðÐÊËÈıÍÎÏ┘┌█▄¦Ì▀ÓßÔÒõÕµþÞÚÛÙýÝ¯´­±‗¾¶§÷¸°¨·¹³²■ "
    },
    ibm850: "cp850",
    csibm850: "cp850",
    cp852: {
      type: "_sbcs",
      chars: "ÇüéâäůćçłëŐőîŹÄĆÉĹĺôöĽľŚśÖÜŤťŁ×čáíóúĄąŽžĘę¬źČş«»░▒▓│┤ÁÂĚŞ╣║╗╝Żż┐└┴┬├─┼Ăă╚╔╩╦╠═╬¤đĐĎËďŇÍÎě┘┌█▄ŢŮ▀ÓßÔŃńňŠšŔÚŕŰýÝţ´­˝˛ˇ˘§÷¸°¨˙űŘř■ "
    },
    ibm852: "cp852",
    csibm852: "cp852",
    cp855: {
      type: "_sbcs",
      chars: "ђЂѓЃёЁєЄѕЅіІїЇјЈљЉњЊћЋќЌўЎџЏюЮъЪаАбБцЦдДеЕфФгГ«»░▒▓│┤хХиИ╣║╗╝йЙ┐└┴┬├─┼кК╚╔╩╦╠═╬¤лЛмМнНоОп┘┌█▄Пя▀ЯрРсСтТуУжЖвВьЬ№­ыЫзЗшШэЭщЩчЧ§■ "
    },
    ibm855: "cp855",
    csibm855: "cp855",
    cp856: {
      type: "_sbcs",
      chars: "אבגדהוזחטיךכלםמןנסעףפץצקרשת�£�×����������®¬½¼�«»░▒▓│┤���©╣║╗╝¢¥┐└┴┬├─┼��╚╔╩╦╠═╬¤���������┘┌█▄¦�▀������µ�������¯´­±‗¾¶§÷¸°¨·¹³²■ "
    },
    ibm856: "cp856",
    csibm856: "cp856",
    cp857: {
      type: "_sbcs",
      chars: "ÇüéâäàåçêëèïîıÄÅÉæÆôöòûùİÖÜø£ØŞşáíóúñÑĞğ¿®¬½¼¡«»░▒▓│┤ÁÂÀ©╣║╗╝¢¥┐└┴┬├─┼ãÃ╚╔╩╦╠═╬¤ºªÊËÈ�ÍÎÏ┘┌█▄¦Ì▀ÓßÔÒõÕµ�×ÚÛÙìÿ¯´­±�¾¶§÷¸°¨·¹³²■ "
    },
    ibm857: "cp857",
    csibm857: "cp857",
    cp858: {
      type: "_sbcs",
      chars: "ÇüéâäàåçêëèïîìÄÅÉæÆôöòûùÿÖÜø£Ø×ƒáíóúñÑªº¿®¬½¼¡«»░▒▓│┤ÁÂÀ©╣║╗╝¢¥┐└┴┬├─┼ãÃ╚╔╩╦╠═╬¤ðÐÊËÈ€ÍÎÏ┘┌█▄¦Ì▀ÓßÔÒõÕµþÞÚÛÙýÝ¯´­±‗¾¶§÷¸°¨·¹³²■ "
    },
    ibm858: "cp858",
    csibm858: "cp858",
    cp860: {
      type: "_sbcs",
      chars: "ÇüéâãàÁçêÊèÍÔìÃÂÉÀÈôõòÚùÌÕÜ¢£Ù₧ÓáíóúñÑªº¿Ò¬½¼¡«»░▒▓│┤╡╢╖╕╣║╗╝╜╛┐└┴┬├─┼╞╟╚╔╩╦╠═╬╧╨╤╥╙╘╒╓╫╪┘┌█▄▌▐▀αßΓπΣσµτΦΘΩδ∞φε∩≡±≥≤⌠⌡÷≈°∙·√ⁿ²■ "
    },
    ibm860: "cp860",
    csibm860: "cp860",
    cp861: {
      type: "_sbcs",
      chars: "ÇüéâäàåçêëèÐðÞÄÅÉæÆôöþûÝýÖÜø£Ø₧ƒáíóúÁÍÓÚ¿⌐¬½¼¡«»░▒▓│┤╡╢╖╕╣║╗╝╜╛┐└┴┬├─┼╞╟╚╔╩╦╠═╬╧╨╤╥╙╘╒╓╫╪┘┌█▄▌▐▀αßΓπΣσµτΦΘΩδ∞φε∩≡±≥≤⌠⌡÷≈°∙·√ⁿ²■ "
    },
    ibm861: "cp861",
    csibm861: "cp861",
    cp862: {
      type: "_sbcs",
      chars: "אבגדהוזחטיךכלםמןנסעףפץצקרשת¢£¥₧ƒáíóúñÑªº¿⌐¬½¼¡«»░▒▓│┤╡╢╖╕╣║╗╝╜╛┐└┴┬├─┼╞╟╚╔╩╦╠═╬╧╨╤╥╙╘╒╓╫╪┘┌█▄▌▐▀αßΓπΣσµτΦΘΩδ∞φε∩≡±≥≤⌠⌡÷≈°∙·√ⁿ²■ "
    },
    ibm862: "cp862",
    csibm862: "cp862",
    cp863: {
      type: "_sbcs",
      chars: "ÇüéâÂà¶çêëèïî‗À§ÉÈÊôËÏûù¤ÔÜ¢£ÙÛƒ¦´óú¨¸³¯Î⌐¬½¼¾«»░▒▓│┤╡╢╖╕╣║╗╝╜╛┐└┴┬├─┼╞╟╚╔╩╦╠═╬╧╨╤╥╙╘╒╓╫╪┘┌█▄▌▐▀αßΓπΣσµτΦΘΩδ∞φε∩≡±≥≤⌠⌡÷≈°∙·√ⁿ²■ "
    },
    ibm863: "cp863",
    csibm863: "cp863",
    cp864: {
      type: "_sbcs",
      chars: `\x00\x01\x02\x03\x04\x05\x06\x07\b	
\v\f\r\x0E\x0F\x10\x11\x12\x13\x14\x15\x16\x17\x18\x19\x1A\x1B\x1C\x1D\x1E\x1F !"#$٪&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_\`abcdefghijklmnopqrstuvwxyz{|}~°·∙√▒─│┼┤┬├┴┐┌└┘β∞φ±½¼≈«»ﻷﻸ��ﻻﻼ� ­ﺂ£¤ﺄ��ﺎﺏﺕﺙ،ﺝﺡﺥ٠١٢٣٤٥٦٧٨٩ﻑ؛ﺱﺵﺹ؟¢ﺀﺁﺃﺅﻊﺋﺍﺑﺓﺗﺛﺟﺣﺧﺩﺫﺭﺯﺳﺷﺻﺿﻁﻅﻋﻏ¦¬÷×ﻉـﻓﻗﻛﻟﻣﻧﻫﻭﻯﻳﺽﻌﻎﻍﻡﹽّﻥﻩﻬﻰﻲﻐﻕﻵﻶﻝﻙﻱ■�`
    },
    ibm864: "cp864",
    csibm864: "cp864",
    cp865: {
      type: "_sbcs",
      chars: "ÇüéâäàåçêëèïîìÄÅÉæÆôöòûùÿÖÜø£Ø₧ƒáíóúñÑªº¿⌐¬½¼¡«¤░▒▓│┤╡╢╖╕╣║╗╝╜╛┐└┴┬├─┼╞╟╚╔╩╦╠═╬╧╨╤╥╙╘╒╓╫╪┘┌█▄▌▐▀αßΓπΣσµτΦΘΩδ∞φε∩≡±≥≤⌠⌡÷≈°∙·√ⁿ²■ "
    },
    ibm865: "cp865",
    csibm865: "cp865",
    cp866: {
      type: "_sbcs",
      chars: "АБВГДЕЖЗИЙКЛМНОПРСТУФХЦЧШЩЪЫЬЭЮЯабвгдежзийклмноп░▒▓│┤╡╢╖╕╣║╗╝╜╛┐└┴┬├─┼╞╟╚╔╩╦╠═╬╧╨╤╥╙╘╒╓╫╪┘┌█▄▌▐▀рстуфхцчшщъыьэюяЁёЄєЇїЎў°∙·√№¤■ "
    },
    ibm866: "cp866",
    csibm866: "cp866",
    cp869: {
      type: "_sbcs",
      chars: "������Ά�·¬¦‘’Έ―ΉΊΪΌ��ΎΫ©Ώ²³ά£έήίϊΐόύΑΒΓΔΕΖΗ½ΘΙ«»░▒▓│┤ΚΛΜΝ╣║╗╝ΞΟ┐└┴┬├─┼ΠΡ╚╔╩╦╠═╬ΣΤΥΦΧΨΩαβγ┘┌█▄δε▀ζηθικλμνξοπρσςτ΄­±υφχ§ψ΅°¨ωϋΰώ■ "
    },
    ibm869: "cp869",
    csibm869: "cp869",
    cp922: {
      type: "_sbcs",
      chars: " ¡¢£¤¥¦§¨©ª«¬­®‾°±²³´µ¶·¸¹º»¼½¾¿ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏŠÑÒÓÔÕÖ×ØÙÚÛÜÝŽßàáâãäåæçèéêëìíîïšñòóôõö÷øùúûüýžÿ"
    },
    ibm922: "cp922",
    csibm922: "cp922",
    cp1046: {
      type: "_sbcs",
      chars: "ﺈ×÷ﹱ■│─┐┌└┘ﹹﹻﹽﹿﹷﺊﻰﻳﻲﻎﻏﻐﻶﻸﻺﻼ ¤ﺋﺑﺗﺛﺟﺣ،­ﺧﺳ٠١٢٣٤٥٦٧٨٩ﺷ؛ﺻﺿﻊ؟ﻋءآأؤإئابةتثجحخدذرزسشصضطﻇعغﻌﺂﺄﺎﻓـفقكلمنهوىيًٌٍَُِّْﻗﻛﻟﻵﻷﻹﻻﻣﻧﻬﻩ�"
    },
    ibm1046: "cp1046",
    csibm1046: "cp1046",
    cp1124: {
      type: "_sbcs",
      chars: " ЁЂҐЄЅІЇЈЉЊЋЌ­ЎЏАБВГДЕЖЗИЙКЛМНОПРСТУФХЦЧШЩЪЫЬЭЮЯабвгдежзийклмнопрстуфхцчшщъыьэюя№ёђґєѕіїјљњћќ§ўџ"
    },
    ibm1124: "cp1124",
    csibm1124: "cp1124",
    cp1125: {
      type: "_sbcs",
      chars: "АБВГДЕЖЗИЙКЛМНОПРСТУФХЦЧШЩЪЫЬЭЮЯабвгдежзийклмноп░▒▓│┤╡╢╖╕╣║╗╝╜╛┐└┴┬├─┼╞╟╚╔╩╦╠═╬╧╨╤╥╙╘╒╓╫╪┘┌█▄▌▐▀рстуфхцчшщъыьэюяЁёҐґЄєІіЇї·√№¤■ "
    },
    ibm1125: "cp1125",
    csibm1125: "cp1125",
    cp1129: {
      type: "_sbcs",
      chars: " ¡¢£¤¥¦§œ©ª«¬­®¯°±²³Ÿµ¶·Œ¹º»¼½¾¿ÀÁÂĂÄÅÆÇÈÉÊË̀ÍÎÏĐÑ̉ÓÔƠÖ×ØÙÚÛÜỮßàáâăäåæçèéêë́íîïđṇ̃óôơö÷øùúûüư₫ÿ"
    },
    ibm1129: "cp1129",
    csibm1129: "cp1129",
    cp1133: {
      type: "_sbcs",
      chars: " ກຂຄງຈສຊຍດຕຖທນບປຜຝພຟມຢຣລວຫອຮ���ຯະາຳິີຶືຸູຼັົຽ���ເແໂໃໄ່້໊໋໌ໍໆ�ໜໝ₭����������������໐໑໒໓໔໕໖໗໘໙��¢¬¦�"
    },
    ibm1133: "cp1133",
    csibm1133: "cp1133",
    cp1161: {
      type: "_sbcs",
      chars: "��������������������������������่กขฃคฅฆงจฉชซฌญฎฏฐฑฒณดตถทธนบปผฝพฟภมยรฤลฦวศษสหฬอฮฯะัาำิีึืฺุู้๊๋€฿เแโใไๅๆ็่้๊๋์ํ๎๏๐๑๒๓๔๕๖๗๘๙๚๛¢¬¦ "
    },
    ibm1161: "cp1161",
    csibm1161: "cp1161",
    cp1162: {
      type: "_sbcs",
      chars: "€…‘’“”•–— กขฃคฅฆงจฉชซฌญฎฏฐฑฒณดตถทธนบปผฝพฟภมยรฤลฦวศษสหฬอฮฯะัาำิีึืฺุู����฿เแโใไๅๆ็่้๊๋์ํ๎๏๐๑๒๓๔๕๖๗๘๙๚๛����"
    },
    ibm1162: "cp1162",
    csibm1162: "cp1162",
    cp1163: {
      type: "_sbcs",
      chars: " ¡¢£€¥¦§œ©ª«¬­®¯°±²³Ÿµ¶·Œ¹º»¼½¾¿ÀÁÂĂÄÅÆÇÈÉÊË̀ÍÎÏĐÑ̉ÓÔƠÖ×ØÙÚÛÜỮßàáâăäåæçèéêë́íîïđṇ̃óôơö÷øùúûüư₫ÿ"
    },
    ibm1163: "cp1163",
    csibm1163: "cp1163",
    maccroatian: {
      type: "_sbcs",
      chars: "ÄÅÇÉÑÖÜáàâäãåçéèêëíìîïñóòôöõúùûü†°¢£§•¶ß®Š™´¨≠ŽØ∞±≤≥∆µ∂∑∏š∫ªºΩžø¿¡¬√ƒ≈Ć«Č… ÀÃÕŒœĐ—“”‘’÷◊�©⁄¤‹›Æ»–·‚„‰ÂćÁčÈÍÎÏÌÓÔđÒÚÛÙıˆ˜¯πË˚¸Êæˇ"
    },
    maccyrillic: {
      type: "_sbcs",
      chars: "АБВГДЕЖЗИЙКЛМНОПРСТУФХЦЧШЩЪЫЬЭЮЯ†°¢£§•¶І®©™Ђђ≠Ѓѓ∞±≤≥іµ∂ЈЄєЇїЉљЊњјЅ¬√ƒ≈∆«»… ЋћЌќѕ–—“”‘’÷„ЎўЏџ№Ёёяабвгдежзийклмнопрстуфхцчшщъыьэю¤"
    },
    macgreek: {
      type: "_sbcs",
      chars: "Ä¹²É³ÖÜ΅àâä΄¨çéèêë£™îï•½‰ôö¦­ùûü†ΓΔΘΛΞΠß®©ΣΪ§≠°·Α±≤≥¥ΒΕΖΗΙΚΜΦΫΨΩάΝ¬ΟΡ≈Τ«»… ΥΧΆΈœ–―“”‘’÷ΉΊΌΎέήίόΏύαβψδεφγηιξκλμνοπώρστθωςχυζϊϋΐΰ�"
    },
    maciceland: {
      type: "_sbcs",
      chars: "ÄÅÇÉÑÖÜáàâäãåçéèêëíìîïñóòôöõúùûüÝ°¢£§•¶ß®©™´¨≠ÆØ∞±≤≥¥µ∂∑∏π∫ªºΩæø¿¡¬√ƒ≈∆«»… ÀÃÕŒœ–—“”‘’÷◊ÿŸ⁄¤ÐðÞþý·‚„‰ÂÊÁËÈÍÎÏÌÓÔ�ÒÚÛÙıˆ˜¯˘˙˚¸˝˛ˇ"
    },
    macroman: {
      type: "_sbcs",
      chars: "ÄÅÇÉÑÖÜáàâäãåçéèêëíìîïñóòôöõúùûü†°¢£§•¶ß®©™´¨≠ÆØ∞±≤≥¥µ∂∑∏π∫ªºΩæø¿¡¬√ƒ≈∆«»… ÀÃÕŒœ–—“”‘’÷◊ÿŸ⁄¤‹›ﬁﬂ‡·‚„‰ÂÊÁËÈÍÎÏÌÓÔ�ÒÚÛÙıˆ˜¯˘˙˚¸˝˛ˇ"
    },
    macromania: {
      type: "_sbcs",
      chars: "ÄÅÇÉÑÖÜáàâäãåçéèêëíìîïñóòôöõúùûü†°¢£§•¶ß®©™´¨≠ĂŞ∞±≤≥¥µ∂∑∏π∫ªºΩăş¿¡¬√ƒ≈∆«»… ÀÃÕŒœ–—“”‘’÷◊ÿŸ⁄¤‹›Ţţ‡·‚„‰ÂÊÁËÈÍÎÏÌÓÔ�ÒÚÛÙıˆ˜¯˘˙˚¸˝˛ˇ"
    },
    macthai: {
      type: "_sbcs",
      chars: "«»…“”�•‘’� กขฃคฅฆงจฉชซฌญฎฏฐฑฒณดตถทธนบปผฝพฟภมยรฤลฦวศษสหฬอฮฯะัาำิีึืฺุู\uFEFF​–—฿เแโใไๅๆ็่้๊๋์ํ™๏๐๑๒๓๔๕๖๗๘๙®©����"
    },
    macturkish: {
      type: "_sbcs",
      chars: "ÄÅÇÉÑÖÜáàâäãåçéèêëíìîïñóòôöõúùûü†°¢£§•¶ß®©™´¨≠ÆØ∞±≤≥¥µ∂∑∏π∫ªºΩæø¿¡¬√ƒ≈∆«»… ÀÃÕŒœ–—“”‘’÷◊ÿŸĞğİıŞş‡·‚„‰ÂÊÁËÈÍÎÏÌÓÔ�ÒÚÛÙ�ˆ˜¯˘˙˚¸˝˛ˇ"
    },
    macukraine: {
      type: "_sbcs",
      chars: "АБВГДЕЖЗИЙКЛМНОПРСТУФХЦЧШЩЪЫЬЭЮЯ†°Ґ£§•¶І®©™Ђђ≠Ѓѓ∞±≤≥іµґЈЄєЇїЉљЊњјЅ¬√ƒ≈∆«»… ЋћЌќѕ–—“”‘’÷„ЎўЏџ№Ёёяабвгдежзийклмнопрстуфхцчшщъыьэю¤"
    },
    koi8r: {
      type: "_sbcs",
      chars: "─│┌┐└┘├┤┬┴┼▀▄█▌▐░▒▓⌠■∙√≈≤≥ ⌡°²·÷═║╒ё╓╔╕╖╗╘╙╚╛╜╝╞╟╠╡Ё╢╣╤╥╦╧╨╩╪╫╬©юабцдефгхийклмнопярстужвьызшэщчъЮАБЦДЕФГХИЙКЛМНОПЯРСТУЖВЬЫЗШЭЩЧЪ"
    },
    koi8u: {
      type: "_sbcs",
      chars: "─│┌┐└┘├┤┬┴┼▀▄█▌▐░▒▓⌠■∙√≈≤≥ ⌡°²·÷═║╒ёє╔ії╗╘╙╚╛ґ╝╞╟╠╡ЁЄ╣ІЇ╦╧╨╩╪Ґ╬©юабцдефгхийклмнопярстужвьызшэщчъЮАБЦДЕФГХИЙКЛМНОПЯРСТУЖВЬЫЗШЭЩЧЪ"
    },
    koi8ru: {
      type: "_sbcs",
      chars: "─│┌┐└┘├┤┬┴┼▀▄█▌▐░▒▓⌠■∙√≈≤≥ ⌡°²·÷═║╒ёє╔ії╗╘╙╚╛ґў╞╟╠╡ЁЄ╣ІЇ╦╧╨╩╪ҐЎ©юабцдефгхийклмнопярстужвьызшэщчъЮАБЦДЕФГХИЙКЛМНОПЯРСТУЖВЬЫЗШЭЩЧЪ"
    },
    koi8t: {
      type: "_sbcs",
      chars: "қғ‚Ғ„…†‡�‰ҳ‹ҲҷҶ�Қ‘’“”•–—�™�›�����ӯӮё¤ӣ¦§���«¬­®�°±²Ё�Ӣ¶·�№�»���©юабцдефгхийклмнопярстужвьызшэщчъЮАБЦДЕФГХИЙКЛМНОПЯРСТУЖВЬЫЗШЭЩЧЪ"
    },
    armscii8: {
      type: "_sbcs",
      chars: " �և։)(»«—.՝,-֊…՜՛՞ԱաԲբԳգԴդԵեԶզԷէԸըԹթԺժԻիԼլԽխԾծԿկՀհՁձՂղՃճՄմՅյՆնՇշՈոՉչՊպՋջՌռՍսՎվՏտՐրՑցՒւՓփՔքՕօՖֆ՚�"
    },
    rk1048: {
      type: "_sbcs",
      chars: "ЂЃ‚ѓ„…†‡€‰Љ‹ЊҚҺЏђ‘’“”•–—�™љ›њқһџ ҰұӘ¤Ө¦§Ё©Ғ«¬­®Ү°±Ііөµ¶·ё№ғ»әҢңүАБВГДЕЖЗИЙКЛМНОПРСТУФХЦЧШЩЪЫЬЭЮЯабвгдежзийклмнопрстуфхцчшщъыьэюя"
    },
    tcvn: {
      type: "_sbcs",
      chars: `\x00ÚỤ\x03ỪỬỮ\x07\b	
\v\f\r\x0E\x0F\x10ỨỰỲỶỸÝỴ\x18\x19\x1A\x1B\x1C\x1D\x1E\x1F !"#$%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_\`abcdefghijklmnopqrstuvwxyz{|}~ÀẢÃÁẠẶẬÈẺẼÉẸỆÌỈĨÍỊÒỎÕÓỌỘỜỞỠỚỢÙỦŨ ĂÂÊÔƠƯĐăâêôơưđẶ̀̀̉̃́àảãáạẲằẳẵắẴẮẦẨẪẤỀặầẩẫấậèỂẻẽéẹềểễếệìỉỄẾỒĩíịòỔỏõóọồổỗốộờởỡớợùỖủũúụừửữứựỳỷỹýỵỐ`
    },
    georgianacademy: {
      type: "_sbcs",
      chars: "‚ƒ„…†‡ˆ‰Š‹Œ‘’“”•–—˜™š›œŸ ¡¢£¤¥¦§¨©ª«¬­®¯°±²³´µ¶·¸¹º»¼½¾¿აბგდევზთიკლმნოპჟრსტუფქღყშჩცძწჭხჯჰჱჲჳჴჵჶçèéêëìíîïðñòóôõö÷øùúûüýþÿ"
    },
    georgianps: {
      type: "_sbcs",
      chars: "‚ƒ„…†‡ˆ‰Š‹Œ‘’“”•–—˜™š›œŸ ¡¢£¤¥¦§¨©ª«¬­®¯°±²³´µ¶·¸¹º»¼½¾¿აბგდევზჱთიკლმნჲოპჟრსტჳუფქღყშჩცძწჭხჴჯჰჵæçèéêëìíîïðñòóôõö÷øùúûüýþÿ"
    },
    pt154: {
      type: "_sbcs",
      chars: "ҖҒӮғ„…ҶҮҲүҠӢҢҚҺҸҗ‘’“”•–—ҳҷҡӣңқһҹ ЎўЈӨҘҰ§Ё©Ә«¬ӯ®Ҝ°ұІіҙө¶·ё№ә»јҪҫҝАБВГДЕЖЗИЙКЛМНОПРСТУФХЦЧШЩЪЫЬЭЮЯабвгдежзийклмнопрстуфхцчшщъыьэюя"
    },
    viscii: {
      type: "_sbcs",
      chars: `\x00\x01Ẳ\x03\x04ẴẪ\x07\b	
\v\f\r\x0E\x0F\x10\x11\x12\x13Ỷ\x15\x16\x17\x18Ỹ\x1A\x1B\x1C\x1DỴ\x1F !"#$%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_\`abcdefghijklmnopqrstuvwxyz{|}~ẠẮẰẶẤẦẨẬẼẸẾỀỂỄỆỐỒỔỖỘỢỚỜỞỊỎỌỈỦŨỤỲÕắằặấầẩậẽẹếềểễệốồổỗỠƠộờởịỰỨỪỬơớƯÀÁÂÃẢĂẳẵÈÉÊẺÌÍĨỳĐứÒÓÔạỷừửÙÚỹỵÝỡưàáâãảăữẫèéêẻìíĩỉđựòóôõỏọụùúũủýợỮ`
    },
    iso646cn: {
      type: "_sbcs",
      chars: `\x00\x01\x02\x03\x04\x05\x06\x07\b	
\v\f\r\x0E\x0F\x10\x11\x12\x13\x14\x15\x16\x17\x18\x19\x1A\x1B\x1C\x1D\x1E\x1F !"#¥%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_\`abcdefghijklmnopqrstuvwxyz{|}‾��������������������������������������������������������������������������������������������������������������������������������`
    },
    iso646jp: {
      type: "_sbcs",
      chars: `\x00\x01\x02\x03\x04\x05\x06\x07\b	
\v\f\r\x0E\x0F\x10\x11\x12\x13\x14\x15\x16\x17\x18\x19\x1A\x1B\x1C\x1D\x1E\x1F !"#$%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[¥]^_\`abcdefghijklmnopqrstuvwxyz{|}‾��������������������������������������������������������������������������������������������������������������������������������`
    },
    hproman8: {
      type: "_sbcs",
      chars: " ÀÂÈÊËÎÏ´ˋˆ¨˜ÙÛ₤¯Ýý°ÇçÑñ¡¿¤£¥§ƒ¢âêôûáéóúàèòùäëöüÅîØÆåíøæÄìÖÜÉïßÔÁÃãÐðÍÌÓÒÕõŠšÚŸÿÞþ·µ¶¾—¼½ªº«■»±�"
    },
    macintosh: {
      type: "_sbcs",
      chars: "ÄÅÇÉÑÖÜáàâäãåçéèêëíìîïñóòôöõúùûü†°¢£§•¶ß®©™´¨≠ÆØ∞±≤≥¥µ∂∑∏π∫ªºΩæø¿¡¬√ƒ≈∆«»… ÀÃÕŒœ–—“”‘’÷◊ÿŸ⁄¤‹›ﬁﬂ‡·‚„‰ÂÊÁËÈÍÎÏÌÓÔ�ÒÚÛÙıˆ˜¯˘˙˚¸˝˛ˇ"
    },
    ascii: {
      type: "_sbcs",
      chars: "��������������������������������������������������������������������������������������������������������������������������������"
    },
    tis620: {
      type: "_sbcs",
      chars: "���������������������������������กขฃคฅฆงจฉชซฌญฎฏฐฑฒณดตถทธนบปผฝพฟภมยรฤลฦวศษสหฬอฮฯะัาำิีึืฺุู����฿เแโใไๅๆ็่้๊๋์ํ๎๏๐๑๒๓๔๕๖๗๘๙๚๛����"
    }
  };
});

// node_modules/raw-body/node_modules/iconv-lite/encodings/dbcs-codec.js
var require_dbcs_codec = __commonJS((exports) => {
  var Buffer2 = require_safer().Buffer;
  exports._dbcs = DBCSCodec;
  var UNASSIGNED = -1;
  var GB18030_CODE = -2;
  var SEQ_START = -10;
  var NODE_START = -1000;
  var UNASSIGNED_NODE = new Array(256);
  var DEF_CHAR = -1;
  for (i = 0;i < 256; i++)
    UNASSIGNED_NODE[i] = UNASSIGNED;
  var i;
  function DBCSCodec(codecOptions, iconv) {
    this.encodingName = codecOptions.encodingName;
    if (!codecOptions)
      throw new Error("DBCS codec is called without the data.");
    if (!codecOptions.table)
      throw new Error("Encoding '" + this.encodingName + "' has no data.");
    var mappingTable = codecOptions.table();
    this.decodeTables = [];
    this.decodeTables[0] = UNASSIGNED_NODE.slice(0);
    this.decodeTableSeq = [];
    for (var i2 = 0;i2 < mappingTable.length; i2++)
      this._addDecodeChunk(mappingTable[i2]);
    if (typeof codecOptions.gb18030 === "function") {
      this.gb18030 = codecOptions.gb18030();
      var commonThirdByteNodeIdx = this.decodeTables.length;
      this.decodeTables.push(UNASSIGNED_NODE.slice(0));
      var commonFourthByteNodeIdx = this.decodeTables.length;
      this.decodeTables.push(UNASSIGNED_NODE.slice(0));
      var firstByteNode = this.decodeTables[0];
      for (var i2 = 129;i2 <= 254; i2++) {
        var secondByteNode = this.decodeTables[NODE_START - firstByteNode[i2]];
        for (var j2 = 48;j2 <= 57; j2++) {
          if (secondByteNode[j2] === UNASSIGNED) {
            secondByteNode[j2] = NODE_START - commonThirdByteNodeIdx;
          } else if (secondByteNode[j2] > NODE_START) {
            throw new Error("gb18030 decode tables conflict at byte 2");
          }
          var thirdByteNode = this.decodeTables[NODE_START - secondByteNode[j2]];
          for (var k2 = 129;k2 <= 254; k2++) {
            if (thirdByteNode[k2] === UNASSIGNED) {
              thirdByteNode[k2] = NODE_START - commonFourthByteNodeIdx;
            } else if (thirdByteNode[k2] === NODE_START - commonFourthByteNodeIdx) {
              continue;
            } else if (thirdByteNode[k2] > NODE_START) {
              throw new Error("gb18030 decode tables conflict at byte 3");
            }
            var fourthByteNode = this.decodeTables[NODE_START - thirdByteNode[k2]];
            for (var l = 48;l <= 57; l++) {
              if (fourthByteNode[l] === UNASSIGNED)
                fourthByteNode[l] = GB18030_CODE;
            }
          }
        }
      }
    }
    this.defaultCharUnicode = iconv.defaultCharUnicode;
    this.encodeTable = [];
    this.encodeTableSeq = [];
    var skipEncodeChars = {};
    if (codecOptions.encodeSkipVals)
      for (var i2 = 0;i2 < codecOptions.encodeSkipVals.length; i2++) {
        var val = codecOptions.encodeSkipVals[i2];
        if (typeof val === "number")
          skipEncodeChars[val] = true;
        else
          for (var j2 = val.from;j2 <= val.to; j2++)
            skipEncodeChars[j2] = true;
      }
    this._fillEncodeTable(0, 0, skipEncodeChars);
    if (codecOptions.encodeAdd) {
      for (var uChar in codecOptions.encodeAdd)
        if (Object.prototype.hasOwnProperty.call(codecOptions.encodeAdd, uChar))
          this._setEncodeChar(uChar.charCodeAt(0), codecOptions.encodeAdd[uChar]);
    }
    this.defCharSB = this.encodeTable[0][iconv.defaultCharSingleByte.charCodeAt(0)];
    if (this.defCharSB === UNASSIGNED)
      this.defCharSB = this.encodeTable[0]["?"];
    if (this.defCharSB === UNASSIGNED)
      this.defCharSB = 63;
  }
  DBCSCodec.prototype.encoder = DBCSEncoder;
  DBCSCodec.prototype.decoder = DBCSDecoder;
  DBCSCodec.prototype._getDecodeTrieNode = function(addr) {
    var bytes = [];
    for (;addr > 0; addr >>>= 8)
      bytes.push(addr & 255);
    if (bytes.length == 0)
      bytes.push(0);
    var node = this.decodeTables[0];
    for (var i2 = bytes.length - 1;i2 > 0; i2--) {
      var val = node[bytes[i2]];
      if (val == UNASSIGNED) {
        node[bytes[i2]] = NODE_START - this.decodeTables.length;
        this.decodeTables.push(node = UNASSIGNED_NODE.slice(0));
      } else if (val <= NODE_START) {
        node = this.decodeTables[NODE_START - val];
      } else
        throw new Error("Overwrite byte in " + this.encodingName + ", addr: " + addr.toString(16));
    }
    return node;
  };
  DBCSCodec.prototype._addDecodeChunk = function(chunk) {
    var curAddr = parseInt(chunk[0], 16);
    var writeTable = this._getDecodeTrieNode(curAddr);
    curAddr = curAddr & 255;
    for (var k2 = 1;k2 < chunk.length; k2++) {
      var part = chunk[k2];
      if (typeof part === "string") {
        for (var l = 0;l < part.length; ) {
          var code = part.charCodeAt(l++);
          if (55296 <= code && code < 56320) {
            var codeTrail = part.charCodeAt(l++);
            if (56320 <= codeTrail && codeTrail < 57344)
              writeTable[curAddr++] = 65536 + (code - 55296) * 1024 + (codeTrail - 56320);
            else
              throw new Error("Incorrect surrogate pair in " + this.encodingName + " at chunk " + chunk[0]);
          } else if (4080 < code && code <= 4095) {
            var len = 4095 - code + 2;
            var seq = [];
            for (var m = 0;m < len; m++)
              seq.push(part.charCodeAt(l++));
            writeTable[curAddr++] = SEQ_START - this.decodeTableSeq.length;
            this.decodeTableSeq.push(seq);
          } else
            writeTable[curAddr++] = code;
        }
      } else if (typeof part === "number") {
        var charCode = writeTable[curAddr - 1] + 1;
        for (var l = 0;l < part; l++)
          writeTable[curAddr++] = charCode++;
      } else
        throw new Error("Incorrect type '" + typeof part + "' given in " + this.encodingName + " at chunk " + chunk[0]);
    }
    if (curAddr > 255)
      throw new Error("Incorrect chunk in " + this.encodingName + " at addr " + chunk[0] + ": too long" + curAddr);
  };
  DBCSCodec.prototype._getEncodeBucket = function(uCode) {
    var high = uCode >> 8;
    if (this.encodeTable[high] === undefined)
      this.encodeTable[high] = UNASSIGNED_NODE.slice(0);
    return this.encodeTable[high];
  };
  DBCSCodec.prototype._setEncodeChar = function(uCode, dbcsCode) {
    var bucket = this._getEncodeBucket(uCode);
    var low = uCode & 255;
    if (bucket[low] <= SEQ_START)
      this.encodeTableSeq[SEQ_START - bucket[low]][DEF_CHAR] = dbcsCode;
    else if (bucket[low] == UNASSIGNED)
      bucket[low] = dbcsCode;
  };
  DBCSCodec.prototype._setEncodeSequence = function(seq, dbcsCode) {
    var uCode = seq[0];
    var bucket = this._getEncodeBucket(uCode);
    var low = uCode & 255;
    var node;
    if (bucket[low] <= SEQ_START) {
      node = this.encodeTableSeq[SEQ_START - bucket[low]];
    } else {
      node = {};
      if (bucket[low] !== UNASSIGNED)
        node[DEF_CHAR] = bucket[low];
      bucket[low] = SEQ_START - this.encodeTableSeq.length;
      this.encodeTableSeq.push(node);
    }
    for (var j2 = 1;j2 < seq.length - 1; j2++) {
      var oldVal = node[uCode];
      if (typeof oldVal === "object")
        node = oldVal;
      else {
        node = node[uCode] = {};
        if (oldVal !== undefined)
          node[DEF_CHAR] = oldVal;
      }
    }
    uCode = seq[seq.length - 1];
    node[uCode] = dbcsCode;
  };
  DBCSCodec.prototype._fillEncodeTable = function(nodeIdx, prefix, skipEncodeChars) {
    var node = this.decodeTables[nodeIdx];
    var hasValues = false;
    var subNodeEmpty = {};
    for (var i2 = 0;i2 < 256; i2++) {
      var uCode = node[i2];
      var mbCode = prefix + i2;
      if (skipEncodeChars[mbCode])
        continue;
      if (uCode >= 0) {
        this._setEncodeChar(uCode, mbCode);
        hasValues = true;
      } else if (uCode <= NODE_START) {
        var subNodeIdx = NODE_START - uCode;
        if (!subNodeEmpty[subNodeIdx]) {
          var newPrefix = mbCode << 8 >>> 0;
          if (this._fillEncodeTable(subNodeIdx, newPrefix, skipEncodeChars))
            hasValues = true;
          else
            subNodeEmpty[subNodeIdx] = true;
        }
      } else if (uCode <= SEQ_START) {
        this._setEncodeSequence(this.decodeTableSeq[SEQ_START - uCode], mbCode);
        hasValues = true;
      }
    }
    return hasValues;
  };
  function DBCSEncoder(options, codec) {
    this.leadSurrogate = -1;
    this.seqObj = undefined;
    this.encodeTable = codec.encodeTable;
    this.encodeTableSeq = codec.encodeTableSeq;
    this.defaultCharSingleByte = codec.defCharSB;
    this.gb18030 = codec.gb18030;
  }
  DBCSEncoder.prototype.write = function(str) {
    var newBuf = Buffer2.alloc(str.length * (this.gb18030 ? 4 : 3)), leadSurrogate = this.leadSurrogate, seqObj = this.seqObj, nextChar = -1, i2 = 0, j2 = 0;
    while (true) {
      if (nextChar === -1) {
        if (i2 == str.length)
          break;
        var uCode = str.charCodeAt(i2++);
      } else {
        var uCode = nextChar;
        nextChar = -1;
      }
      if (55296 <= uCode && uCode < 57344) {
        if (uCode < 56320) {
          if (leadSurrogate === -1) {
            leadSurrogate = uCode;
            continue;
          } else {
            leadSurrogate = uCode;
            uCode = UNASSIGNED;
          }
        } else {
          if (leadSurrogate !== -1) {
            uCode = 65536 + (leadSurrogate - 55296) * 1024 + (uCode - 56320);
            leadSurrogate = -1;
          } else {
            uCode = UNASSIGNED;
          }
        }
      } else if (leadSurrogate !== -1) {
        nextChar = uCode;
        uCode = UNASSIGNED;
        leadSurrogate = -1;
      }
      var dbcsCode = UNASSIGNED;
      if (seqObj !== undefined && uCode != UNASSIGNED) {
        var resCode = seqObj[uCode];
        if (typeof resCode === "object") {
          seqObj = resCode;
          continue;
        } else if (typeof resCode == "number") {
          dbcsCode = resCode;
        } else if (resCode == undefined) {
          resCode = seqObj[DEF_CHAR];
          if (resCode !== undefined) {
            dbcsCode = resCode;
            nextChar = uCode;
          } else {}
        }
        seqObj = undefined;
      } else if (uCode >= 0) {
        var subtable = this.encodeTable[uCode >> 8];
        if (subtable !== undefined)
          dbcsCode = subtable[uCode & 255];
        if (dbcsCode <= SEQ_START) {
          seqObj = this.encodeTableSeq[SEQ_START - dbcsCode];
          continue;
        }
        if (dbcsCode == UNASSIGNED && this.gb18030) {
          var idx = findIdx(this.gb18030.uChars, uCode);
          if (idx != -1) {
            var dbcsCode = this.gb18030.gbChars[idx] + (uCode - this.gb18030.uChars[idx]);
            newBuf[j2++] = 129 + Math.floor(dbcsCode / 12600);
            dbcsCode = dbcsCode % 12600;
            newBuf[j2++] = 48 + Math.floor(dbcsCode / 1260);
            dbcsCode = dbcsCode % 1260;
            newBuf[j2++] = 129 + Math.floor(dbcsCode / 10);
            dbcsCode = dbcsCode % 10;
            newBuf[j2++] = 48 + dbcsCode;
            continue;
          }
        }
      }
      if (dbcsCode === UNASSIGNED)
        dbcsCode = this.defaultCharSingleByte;
      if (dbcsCode < 256) {
        newBuf[j2++] = dbcsCode;
      } else if (dbcsCode < 65536) {
        newBuf[j2++] = dbcsCode >> 8;
        newBuf[j2++] = dbcsCode & 255;
      } else if (dbcsCode < 16777216) {
        newBuf[j2++] = dbcsCode >> 16;
        newBuf[j2++] = dbcsCode >> 8 & 255;
        newBuf[j2++] = dbcsCode & 255;
      } else {
        newBuf[j2++] = dbcsCode >>> 24;
        newBuf[j2++] = dbcsCode >>> 16 & 255;
        newBuf[j2++] = dbcsCode >>> 8 & 255;
        newBuf[j2++] = dbcsCode & 255;
      }
    }
    this.seqObj = seqObj;
    this.leadSurrogate = leadSurrogate;
    return newBuf.slice(0, j2);
  };
  DBCSEncoder.prototype.end = function() {
    if (this.leadSurrogate === -1 && this.seqObj === undefined)
      return;
    var newBuf = Buffer2.alloc(10), j2 = 0;
    if (this.seqObj) {
      var dbcsCode = this.seqObj[DEF_CHAR];
      if (dbcsCode !== undefined) {
        if (dbcsCode < 256) {
          newBuf[j2++] = dbcsCode;
        } else {
          newBuf[j2++] = dbcsCode >> 8;
          newBuf[j2++] = dbcsCode & 255;
        }
      } else {}
      this.seqObj = undefined;
    }
    if (this.leadSurrogate !== -1) {
      newBuf[j2++] = this.defaultCharSingleByte;
      this.leadSurrogate = -1;
    }
    return newBuf.slice(0, j2);
  };
  DBCSEncoder.prototype.findIdx = findIdx;
  function DBCSDecoder(options, codec) {
    this.nodeIdx = 0;
    this.prevBytes = [];
    this.decodeTables = codec.decodeTables;
    this.decodeTableSeq = codec.decodeTableSeq;
    this.defaultCharUnicode = codec.defaultCharUnicode;
    this.gb18030 = codec.gb18030;
  }
  DBCSDecoder.prototype.write = function(buf) {
    var newBuf = Buffer2.alloc(buf.length * 2), nodeIdx = this.nodeIdx, prevBytes = this.prevBytes, prevOffset = this.prevBytes.length, seqStart = -this.prevBytes.length, uCode;
    for (var i2 = 0, j2 = 0;i2 < buf.length; i2++) {
      var curByte = i2 >= 0 ? buf[i2] : prevBytes[i2 + prevOffset];
      var uCode = this.decodeTables[nodeIdx][curByte];
      if (uCode >= 0) {} else if (uCode === UNASSIGNED) {
        uCode = this.defaultCharUnicode.charCodeAt(0);
        i2 = seqStart;
      } else if (uCode === GB18030_CODE) {
        if (i2 >= 3) {
          var ptr = (buf[i2 - 3] - 129) * 12600 + (buf[i2 - 2] - 48) * 1260 + (buf[i2 - 1] - 129) * 10 + (curByte - 48);
        } else {
          var ptr = (prevBytes[i2 - 3 + prevOffset] - 129) * 12600 + ((i2 - 2 >= 0 ? buf[i2 - 2] : prevBytes[i2 - 2 + prevOffset]) - 48) * 1260 + ((i2 - 1 >= 0 ? buf[i2 - 1] : prevBytes[i2 - 1 + prevOffset]) - 129) * 10 + (curByte - 48);
        }
        var idx = findIdx(this.gb18030.gbChars, ptr);
        uCode = this.gb18030.uChars[idx] + ptr - this.gb18030.gbChars[idx];
      } else if (uCode <= NODE_START) {
        nodeIdx = NODE_START - uCode;
        continue;
      } else if (uCode <= SEQ_START) {
        var seq = this.decodeTableSeq[SEQ_START - uCode];
        for (var k2 = 0;k2 < seq.length - 1; k2++) {
          uCode = seq[k2];
          newBuf[j2++] = uCode & 255;
          newBuf[j2++] = uCode >> 8;
        }
        uCode = seq[seq.length - 1];
      } else
        throw new Error("iconv-lite internal error: invalid decoding table value " + uCode + " at " + nodeIdx + "/" + curByte);
      if (uCode >= 65536) {
        uCode -= 65536;
        var uCodeLead = 55296 | uCode >> 10;
        newBuf[j2++] = uCodeLead & 255;
        newBuf[j2++] = uCodeLead >> 8;
        uCode = 56320 | uCode & 1023;
      }
      newBuf[j2++] = uCode & 255;
      newBuf[j2++] = uCode >> 8;
      nodeIdx = 0;
      seqStart = i2 + 1;
    }
    this.nodeIdx = nodeIdx;
    this.prevBytes = seqStart >= 0 ? Array.prototype.slice.call(buf, seqStart) : prevBytes.slice(seqStart + prevOffset).concat(Array.prototype.slice.call(buf));
    return newBuf.slice(0, j2).toString("ucs2");
  };
  DBCSDecoder.prototype.end = function() {
    var ret = "";
    while (this.prevBytes.length > 0) {
      ret += this.defaultCharUnicode;
      var bytesArr = this.prevBytes.slice(1);
      this.prevBytes = [];
      this.nodeIdx = 0;
      if (bytesArr.length > 0)
        ret += this.write(bytesArr);
    }
    this.prevBytes = [];
    this.nodeIdx = 0;
    return ret;
  };
  function findIdx(table, val) {
    if (table[0] > val)
      return -1;
    var l = 0, r = table.length;
    while (l < r - 1) {
      var mid = l + (r - l + 1 >> 1);
      if (table[mid] <= val)
        l = mid;
      else
        r = mid;
    }
    return l;
  }
});

// node_modules/raw-body/node_modules/iconv-lite/encodings/tables/shiftjis.json
var require_shiftjis = __commonJS((exports, module) => {
  module.exports = [
    ["0", "\x00", 128],
    ["a1", "｡", 62],
    ["8140", "　、。，．・：；？！゛゜´｀¨＾￣＿ヽヾゝゞ〃仝々〆〇ー―‐／＼～∥｜…‥‘’“”（）〔〕［］｛｝〈", 9, "＋－±×"],
    ["8180", "÷＝≠＜＞≦≧∞∴♂♀°′″℃￥＄￠￡％＃＆＊＠§☆★○●◎◇◆□■△▲▽▼※〒→←↑↓〓"],
    ["81b8", "∈∋⊆⊇⊂⊃∪∩"],
    ["81c8", "∧∨￢⇒⇔∀∃"],
    ["81da", "∠⊥⌒∂∇≡≒≪≫√∽∝∵∫∬"],
    ["81f0", "Å‰♯♭♪†‡¶"],
    ["81fc", "◯"],
    ["824f", "０", 9],
    ["8260", "Ａ", 25],
    ["8281", "ａ", 25],
    ["829f", "ぁ", 82],
    ["8340", "ァ", 62],
    ["8380", "ム", 22],
    ["839f", "Α", 16, "Σ", 6],
    ["83bf", "α", 16, "σ", 6],
    ["8440", "А", 5, "ЁЖ", 25],
    ["8470", "а", 5, "ёж", 7],
    ["8480", "о", 17],
    ["849f", "─│┌┐┘└├┬┤┴┼━┃┏┓┛┗┣┳┫┻╋┠┯┨┷┿┝┰┥┸╂"],
    ["8740", "①", 19, "Ⅰ", 9],
    ["875f", "㍉㌔㌢㍍㌘㌧㌃㌶㍑㍗㌍㌦㌣㌫㍊㌻㎜㎝㎞㎎㎏㏄㎡"],
    ["877e", "㍻"],
    ["8780", "〝〟№㏍℡㊤", 4, "㈱㈲㈹㍾㍽㍼≒≡∫∮∑√⊥∠∟⊿∵∩∪"],
    ["889f", "亜唖娃阿哀愛挨姶逢葵茜穐悪握渥旭葦芦鯵梓圧斡扱宛姐虻飴絢綾鮎或粟袷安庵按暗案闇鞍杏以伊位依偉囲夷委威尉惟意慰易椅為畏異移維緯胃萎衣謂違遺医井亥域育郁磯一壱溢逸稲茨芋鰯允印咽員因姻引飲淫胤蔭"],
    ["8940", "院陰隠韻吋右宇烏羽迂雨卯鵜窺丑碓臼渦嘘唄欝蔚鰻姥厩浦瓜閏噂云運雲荏餌叡営嬰影映曳栄永泳洩瑛盈穎頴英衛詠鋭液疫益駅悦謁越閲榎厭円"],
    ["8980", "園堰奄宴延怨掩援沿演炎焔煙燕猿縁艶苑薗遠鉛鴛塩於汚甥凹央奥往応押旺横欧殴王翁襖鴬鴎黄岡沖荻億屋憶臆桶牡乙俺卸恩温穏音下化仮何伽価佳加可嘉夏嫁家寡科暇果架歌河火珂禍禾稼箇花苛茄荷華菓蝦課嘩貨迦過霞蚊俄峨我牙画臥芽蛾賀雅餓駕介会解回塊壊廻快怪悔恢懐戒拐改"],
    ["8a40", "魁晦械海灰界皆絵芥蟹開階貝凱劾外咳害崖慨概涯碍蓋街該鎧骸浬馨蛙垣柿蛎鈎劃嚇各廓拡撹格核殻獲確穫覚角赫較郭閣隔革学岳楽額顎掛笠樫"],
    ["8a80", "橿梶鰍潟割喝恰括活渇滑葛褐轄且鰹叶椛樺鞄株兜竃蒲釜鎌噛鴨栢茅萱粥刈苅瓦乾侃冠寒刊勘勧巻喚堪姦完官寛干幹患感慣憾換敢柑桓棺款歓汗漢澗潅環甘監看竿管簡緩缶翰肝艦莞観諌貫還鑑間閑関陥韓館舘丸含岸巌玩癌眼岩翫贋雁頑顔願企伎危喜器基奇嬉寄岐希幾忌揮机旗既期棋棄"],
    ["8b40", "機帰毅気汽畿祈季稀紀徽規記貴起軌輝飢騎鬼亀偽儀妓宜戯技擬欺犠疑祇義蟻誼議掬菊鞠吉吃喫桔橘詰砧杵黍却客脚虐逆丘久仇休及吸宮弓急救"],
    ["8b80", "朽求汲泣灸球究窮笈級糾給旧牛去居巨拒拠挙渠虚許距鋸漁禦魚亨享京供侠僑兇競共凶協匡卿叫喬境峡強彊怯恐恭挟教橋況狂狭矯胸脅興蕎郷鏡響饗驚仰凝尭暁業局曲極玉桐粁僅勤均巾錦斤欣欽琴禁禽筋緊芹菌衿襟謹近金吟銀九倶句区狗玖矩苦躯駆駈駒具愚虞喰空偶寓遇隅串櫛釧屑屈"],
    ["8c40", "掘窟沓靴轡窪熊隈粂栗繰桑鍬勲君薫訓群軍郡卦袈祁係傾刑兄啓圭珪型契形径恵慶慧憩掲携敬景桂渓畦稽系経継繋罫茎荊蛍計詣警軽頚鶏芸迎鯨"],
    ["8c80", "劇戟撃激隙桁傑欠決潔穴結血訣月件倹倦健兼券剣喧圏堅嫌建憲懸拳捲検権牽犬献研硯絹県肩見謙賢軒遣鍵険顕験鹸元原厳幻弦減源玄現絃舷言諺限乎個古呼固姑孤己庫弧戸故枯湖狐糊袴股胡菰虎誇跨鈷雇顧鼓五互伍午呉吾娯後御悟梧檎瑚碁語誤護醐乞鯉交佼侯候倖光公功効勾厚口向"],
    ["8d40", "后喉坑垢好孔孝宏工巧巷幸広庚康弘恒慌抗拘控攻昂晃更杭校梗構江洪浩港溝甲皇硬稿糠紅紘絞綱耕考肯肱腔膏航荒行衡講貢購郊酵鉱砿鋼閤降"],
    ["8d80", "項香高鴻剛劫号合壕拷濠豪轟麹克刻告国穀酷鵠黒獄漉腰甑忽惚骨狛込此頃今困坤墾婚恨懇昏昆根梱混痕紺艮魂些佐叉唆嵯左差査沙瑳砂詐鎖裟坐座挫債催再最哉塞妻宰彩才採栽歳済災采犀砕砦祭斎細菜裁載際剤在材罪財冴坂阪堺榊肴咲崎埼碕鷺作削咋搾昨朔柵窄策索錯桜鮭笹匙冊刷"],
    ["8e40", "察拶撮擦札殺薩雑皐鯖捌錆鮫皿晒三傘参山惨撒散桟燦珊産算纂蚕讃賛酸餐斬暫残仕仔伺使刺司史嗣四士始姉姿子屍市師志思指支孜斯施旨枝止"],
    ["8e80", "死氏獅祉私糸紙紫肢脂至視詞詩試誌諮資賜雌飼歯事似侍児字寺慈持時次滋治爾璽痔磁示而耳自蒔辞汐鹿式識鴫竺軸宍雫七叱執失嫉室悉湿漆疾質実蔀篠偲柴芝屡蕊縞舎写射捨赦斜煮社紗者謝車遮蛇邪借勺尺杓灼爵酌釈錫若寂弱惹主取守手朱殊狩珠種腫趣酒首儒受呪寿授樹綬需囚収周"],
    ["8f40", "宗就州修愁拾洲秀秋終繍習臭舟蒐衆襲讐蹴輯週酋酬集醜什住充十従戎柔汁渋獣縦重銃叔夙宿淑祝縮粛塾熟出術述俊峻春瞬竣舜駿准循旬楯殉淳"],
    ["8f80", "準潤盾純巡遵醇順処初所暑曙渚庶緒署書薯藷諸助叙女序徐恕鋤除傷償勝匠升召哨商唱嘗奨妾娼宵将小少尚庄床廠彰承抄招掌捷昇昌昭晶松梢樟樵沼消渉湘焼焦照症省硝礁祥称章笑粧紹肖菖蒋蕉衝裳訟証詔詳象賞醤鉦鍾鐘障鞘上丈丞乗冗剰城場壌嬢常情擾条杖浄状畳穣蒸譲醸錠嘱埴飾"],
    ["9040", "拭植殖燭織職色触食蝕辱尻伸信侵唇娠寝審心慎振新晋森榛浸深申疹真神秦紳臣芯薪親診身辛進針震人仁刃塵壬尋甚尽腎訊迅陣靭笥諏須酢図厨"],
    ["9080", "逗吹垂帥推水炊睡粋翠衰遂酔錐錘随瑞髄崇嵩数枢趨雛据杉椙菅頗雀裾澄摺寸世瀬畝是凄制勢姓征性成政整星晴棲栖正清牲生盛精聖声製西誠誓請逝醒青静斉税脆隻席惜戚斥昔析石積籍績脊責赤跡蹟碩切拙接摂折設窃節説雪絶舌蝉仙先千占宣専尖川戦扇撰栓栴泉浅洗染潜煎煽旋穿箭線"],
    ["9140", "繊羨腺舛船薦詮賎践選遷銭銑閃鮮前善漸然全禅繕膳糎噌塑岨措曾曽楚狙疏疎礎祖租粗素組蘇訴阻遡鼠僧創双叢倉喪壮奏爽宋層匝惣想捜掃挿掻"],
    ["9180", "操早曹巣槍槽漕燥争痩相窓糟総綜聡草荘葬蒼藻装走送遭鎗霜騒像増憎臓蔵贈造促側則即息捉束測足速俗属賊族続卒袖其揃存孫尊損村遜他多太汰詑唾堕妥惰打柁舵楕陀駄騨体堆対耐岱帯待怠態戴替泰滞胎腿苔袋貸退逮隊黛鯛代台大第醍題鷹滝瀧卓啄宅托択拓沢濯琢託鐸濁諾茸凧蛸只"],
    ["9240", "叩但達辰奪脱巽竪辿棚谷狸鱈樽誰丹単嘆坦担探旦歎淡湛炭短端箪綻耽胆蛋誕鍛団壇弾断暖檀段男談値知地弛恥智池痴稚置致蜘遅馳築畜竹筑蓄"],
    ["9280", "逐秩窒茶嫡着中仲宙忠抽昼柱注虫衷註酎鋳駐樗瀦猪苧著貯丁兆凋喋寵帖帳庁弔張彫徴懲挑暢朝潮牒町眺聴脹腸蝶調諜超跳銚長頂鳥勅捗直朕沈珍賃鎮陳津墜椎槌追鎚痛通塚栂掴槻佃漬柘辻蔦綴鍔椿潰坪壷嬬紬爪吊釣鶴亭低停偵剃貞呈堤定帝底庭廷弟悌抵挺提梯汀碇禎程締艇訂諦蹄逓"],
    ["9340", "邸鄭釘鼎泥摘擢敵滴的笛適鏑溺哲徹撤轍迭鉄典填天展店添纏甜貼転顛点伝殿澱田電兎吐堵塗妬屠徒斗杜渡登菟賭途都鍍砥砺努度土奴怒倒党冬"],
    ["9380", "凍刀唐塔塘套宕島嶋悼投搭東桃梼棟盗淘湯涛灯燈当痘祷等答筒糖統到董蕩藤討謄豆踏逃透鐙陶頭騰闘働動同堂導憧撞洞瞳童胴萄道銅峠鴇匿得徳涜特督禿篤毒独読栃橡凸突椴届鳶苫寅酉瀞噸屯惇敦沌豚遁頓呑曇鈍奈那内乍凪薙謎灘捺鍋楢馴縄畷南楠軟難汝二尼弐迩匂賑肉虹廿日乳入"],
    ["9440", "如尿韮任妊忍認濡禰祢寧葱猫熱年念捻撚燃粘乃廼之埜嚢悩濃納能脳膿農覗蚤巴把播覇杷波派琶破婆罵芭馬俳廃拝排敗杯盃牌背肺輩配倍培媒梅"],
    ["9480", "楳煤狽買売賠陪這蝿秤矧萩伯剥博拍柏泊白箔粕舶薄迫曝漠爆縛莫駁麦函箱硲箸肇筈櫨幡肌畑畠八鉢溌発醗髪伐罰抜筏閥鳩噺塙蛤隼伴判半反叛帆搬斑板氾汎版犯班畔繁般藩販範釆煩頒飯挽晩番盤磐蕃蛮匪卑否妃庇彼悲扉批披斐比泌疲皮碑秘緋罷肥被誹費避非飛樋簸備尾微枇毘琵眉美"],
    ["9540", "鼻柊稗匹疋髭彦膝菱肘弼必畢筆逼桧姫媛紐百謬俵彪標氷漂瓢票表評豹廟描病秒苗錨鋲蒜蛭鰭品彬斌浜瀕貧賓頻敏瓶不付埠夫婦富冨布府怖扶敷"],
    ["9580", "斧普浮父符腐膚芙譜負賦赴阜附侮撫武舞葡蕪部封楓風葺蕗伏副復幅服福腹複覆淵弗払沸仏物鮒分吻噴墳憤扮焚奮粉糞紛雰文聞丙併兵塀幣平弊柄並蔽閉陛米頁僻壁癖碧別瞥蔑箆偏変片篇編辺返遍便勉娩弁鞭保舗鋪圃捕歩甫補輔穂募墓慕戊暮母簿菩倣俸包呆報奉宝峰峯崩庖抱捧放方朋"],
    ["9640", "法泡烹砲縫胞芳萌蓬蜂褒訪豊邦鋒飽鳳鵬乏亡傍剖坊妨帽忘忙房暴望某棒冒紡肪膨謀貌貿鉾防吠頬北僕卜墨撲朴牧睦穆釦勃没殆堀幌奔本翻凡盆"],
    ["9680", "摩磨魔麻埋妹昧枚毎哩槙幕膜枕鮪柾鱒桝亦俣又抹末沫迄侭繭麿万慢満漫蔓味未魅巳箕岬密蜜湊蓑稔脈妙粍民眠務夢無牟矛霧鵡椋婿娘冥名命明盟迷銘鳴姪牝滅免棉綿緬面麺摸模茂妄孟毛猛盲網耗蒙儲木黙目杢勿餅尤戻籾貰問悶紋門匁也冶夜爺耶野弥矢厄役約薬訳躍靖柳薮鑓愉愈油癒"],
    ["9740", "諭輸唯佑優勇友宥幽悠憂揖有柚湧涌猶猷由祐裕誘遊邑郵雄融夕予余与誉輿預傭幼妖容庸揚揺擁曜楊様洋溶熔用窯羊耀葉蓉要謡踊遥陽養慾抑欲"],
    ["9780", "沃浴翌翼淀羅螺裸来莱頼雷洛絡落酪乱卵嵐欄濫藍蘭覧利吏履李梨理璃痢裏裡里離陸律率立葎掠略劉流溜琉留硫粒隆竜龍侶慮旅虜了亮僚両凌寮料梁涼猟療瞭稜糧良諒遼量陵領力緑倫厘林淋燐琳臨輪隣鱗麟瑠塁涙累類令伶例冷励嶺怜玲礼苓鈴隷零霊麗齢暦歴列劣烈裂廉恋憐漣煉簾練聯"],
    ["9840", "蓮連錬呂魯櫓炉賂路露労婁廊弄朗楼榔浪漏牢狼篭老聾蝋郎六麓禄肋録論倭和話歪賄脇惑枠鷲亙亘鰐詫藁蕨椀湾碗腕"],
    ["989f", "弌丐丕个丱丶丼丿乂乖乘亂亅豫亊舒弍于亞亟亠亢亰亳亶从仍仄仆仂仗仞仭仟价伉佚估佛佝佗佇佶侈侏侘佻佩佰侑佯來侖儘俔俟俎俘俛俑俚俐俤俥倚倨倔倪倥倅伜俶倡倩倬俾俯們倆偃假會偕偐偈做偖偬偸傀傚傅傴傲"],
    ["9940", "僉僊傳僂僖僞僥僭僣僮價僵儉儁儂儖儕儔儚儡儺儷儼儻儿兀兒兌兔兢竸兩兪兮冀冂囘册冉冏冑冓冕冖冤冦冢冩冪冫决冱冲冰况冽凅凉凛几處凩凭"],
    ["9980", "凰凵凾刄刋刔刎刧刪刮刳刹剏剄剋剌剞剔剪剴剩剳剿剽劍劔劒剱劈劑辨辧劬劭劼劵勁勍勗勞勣勦飭勠勳勵勸勹匆匈甸匍匐匏匕匚匣匯匱匳匸區卆卅丗卉卍凖卞卩卮夘卻卷厂厖厠厦厥厮厰厶參簒雙叟曼燮叮叨叭叺吁吽呀听吭吼吮吶吩吝呎咏呵咎呟呱呷呰咒呻咀呶咄咐咆哇咢咸咥咬哄哈咨"],
    ["9a40", "咫哂咤咾咼哘哥哦唏唔哽哮哭哺哢唹啀啣啌售啜啅啖啗唸唳啝喙喀咯喊喟啻啾喘喞單啼喃喩喇喨嗚嗅嗟嗄嗜嗤嗔嘔嗷嘖嗾嗽嘛嗹噎噐營嘴嘶嘲嘸"],
    ["9a80", "噫噤嘯噬噪嚆嚀嚊嚠嚔嚏嚥嚮嚶嚴囂嚼囁囃囀囈囎囑囓囗囮囹圀囿圄圉圈國圍圓團圖嗇圜圦圷圸坎圻址坏坩埀垈坡坿垉垓垠垳垤垪垰埃埆埔埒埓堊埖埣堋堙堝塲堡塢塋塰毀塒堽塹墅墹墟墫墺壞墻墸墮壅壓壑壗壙壘壥壜壤壟壯壺壹壻壼壽夂夊夐夛梦夥夬夭夲夸夾竒奕奐奎奚奘奢奠奧奬奩"],
    ["9b40", "奸妁妝佞侫妣妲姆姨姜妍姙姚娥娟娑娜娉娚婀婬婉娵娶婢婪媚媼媾嫋嫂媽嫣嫗嫦嫩嫖嫺嫻嬌嬋嬖嬲嫐嬪嬶嬾孃孅孀孑孕孚孛孥孩孰孳孵學斈孺宀"],
    ["9b80", "它宦宸寃寇寉寔寐寤實寢寞寥寫寰寶寳尅將專對尓尠尢尨尸尹屁屆屎屓屐屏孱屬屮乢屶屹岌岑岔妛岫岻岶岼岷峅岾峇峙峩峽峺峭嶌峪崋崕崗嵜崟崛崑崔崢崚崙崘嵌嵒嵎嵋嵬嵳嵶嶇嶄嶂嶢嶝嶬嶮嶽嶐嶷嶼巉巍巓巒巖巛巫已巵帋帚帙帑帛帶帷幄幃幀幎幗幔幟幢幤幇幵并幺麼广庠廁廂廈廐廏"],
    ["9c40", "廖廣廝廚廛廢廡廨廩廬廱廳廰廴廸廾弃弉彝彜弋弑弖弩弭弸彁彈彌彎弯彑彖彗彙彡彭彳彷徃徂彿徊很徑徇從徙徘徠徨徭徼忖忻忤忸忱忝悳忿怡恠"],
    ["9c80", "怙怐怩怎怱怛怕怫怦怏怺恚恁恪恷恟恊恆恍恣恃恤恂恬恫恙悁悍惧悃悚悄悛悖悗悒悧悋惡悸惠惓悴忰悽惆悵惘慍愕愆惶惷愀惴惺愃愡惻惱愍愎慇愾愨愧慊愿愼愬愴愽慂慄慳慷慘慙慚慫慴慯慥慱慟慝慓慵憙憖憇憬憔憚憊憑憫憮懌懊應懷懈懃懆憺懋罹懍懦懣懶懺懴懿懽懼懾戀戈戉戍戌戔戛"],
    ["9d40", "戞戡截戮戰戲戳扁扎扞扣扛扠扨扼抂抉找抒抓抖拔抃抔拗拑抻拏拿拆擔拈拜拌拊拂拇抛拉挌拮拱挧挂挈拯拵捐挾捍搜捏掖掎掀掫捶掣掏掉掟掵捫"],
    ["9d80", "捩掾揩揀揆揣揉插揶揄搖搴搆搓搦搶攝搗搨搏摧摯摶摎攪撕撓撥撩撈撼據擒擅擇撻擘擂擱擧舉擠擡抬擣擯攬擶擴擲擺攀擽攘攜攅攤攣攫攴攵攷收攸畋效敖敕敍敘敞敝敲數斂斃變斛斟斫斷旃旆旁旄旌旒旛旙无旡旱杲昊昃旻杳昵昶昴昜晏晄晉晁晞晝晤晧晨晟晢晰暃暈暎暉暄暘暝曁暹曉暾暼"],
    ["9e40", "曄暸曖曚曠昿曦曩曰曵曷朏朖朞朦朧霸朮朿朶杁朸朷杆杞杠杙杣杤枉杰枩杼杪枌枋枦枡枅枷柯枴柬枳柩枸柤柞柝柢柮枹柎柆柧檜栞框栩桀桍栲桎"],
    ["9e80", "梳栫桙档桷桿梟梏梭梔條梛梃檮梹桴梵梠梺椏梍桾椁棊椈棘椢椦棡椌棍棔棧棕椶椒椄棗棣椥棹棠棯椨椪椚椣椡棆楹楷楜楸楫楔楾楮椹楴椽楙椰楡楞楝榁楪榲榮槐榿槁槓榾槎寨槊槝榻槃榧樮榑榠榜榕榴槞槨樂樛槿權槹槲槧樅榱樞槭樔槫樊樒櫁樣樓橄樌橲樶橸橇橢橙橦橈樸樢檐檍檠檄檢檣"],
    ["9f40", "檗蘗檻櫃櫂檸檳檬櫞櫑櫟檪櫚櫪櫻欅蘖櫺欒欖鬱欟欸欷盜欹飮歇歃歉歐歙歔歛歟歡歸歹歿殀殄殃殍殘殕殞殤殪殫殯殲殱殳殷殼毆毋毓毟毬毫毳毯"],
    ["9f80", "麾氈氓气氛氤氣汞汕汢汪沂沍沚沁沛汾汨汳沒沐泄泱泓沽泗泅泝沮沱沾沺泛泯泙泪洟衍洶洫洽洸洙洵洳洒洌浣涓浤浚浹浙涎涕濤涅淹渕渊涵淇淦涸淆淬淞淌淨淒淅淺淙淤淕淪淮渭湮渮渙湲湟渾渣湫渫湶湍渟湃渺湎渤滿渝游溂溪溘滉溷滓溽溯滄溲滔滕溏溥滂溟潁漑灌滬滸滾漿滲漱滯漲滌"],
    ["e040", "漾漓滷澆潺潸澁澀潯潛濳潭澂潼潘澎澑濂潦澳澣澡澤澹濆澪濟濕濬濔濘濱濮濛瀉瀋濺瀑瀁瀏濾瀛瀚潴瀝瀘瀟瀰瀾瀲灑灣炙炒炯烱炬炸炳炮烟烋烝"],
    ["e080", "烙焉烽焜焙煥煕熈煦煢煌煖煬熏燻熄熕熨熬燗熹熾燒燉燔燎燠燬燧燵燼燹燿爍爐爛爨爭爬爰爲爻爼爿牀牆牋牘牴牾犂犁犇犒犖犢犧犹犲狃狆狄狎狒狢狠狡狹狷倏猗猊猜猖猝猴猯猩猥猾獎獏默獗獪獨獰獸獵獻獺珈玳珎玻珀珥珮珞璢琅瑯琥珸琲琺瑕琿瑟瑙瑁瑜瑩瑰瑣瑪瑶瑾璋璞璧瓊瓏瓔珱"],
    ["e140", "瓠瓣瓧瓩瓮瓲瓰瓱瓸瓷甄甃甅甌甎甍甕甓甞甦甬甼畄畍畊畉畛畆畚畩畤畧畫畭畸當疆疇畴疊疉疂疔疚疝疥疣痂疳痃疵疽疸疼疱痍痊痒痙痣痞痾痿"],
    ["e180", "痼瘁痰痺痲痳瘋瘍瘉瘟瘧瘠瘡瘢瘤瘴瘰瘻癇癈癆癜癘癡癢癨癩癪癧癬癰癲癶癸發皀皃皈皋皎皖皓皙皚皰皴皸皹皺盂盍盖盒盞盡盥盧盪蘯盻眈眇眄眩眤眞眥眦眛眷眸睇睚睨睫睛睥睿睾睹瞎瞋瞑瞠瞞瞰瞶瞹瞿瞼瞽瞻矇矍矗矚矜矣矮矼砌砒礦砠礪硅碎硴碆硼碚碌碣碵碪碯磑磆磋磔碾碼磅磊磬"],
    ["e240", "磧磚磽磴礇礒礑礙礬礫祀祠祗祟祚祕祓祺祿禊禝禧齋禪禮禳禹禺秉秕秧秬秡秣稈稍稘稙稠稟禀稱稻稾稷穃穗穉穡穢穩龝穰穹穽窈窗窕窘窖窩竈窰"],
    ["e280", "窶竅竄窿邃竇竊竍竏竕竓站竚竝竡竢竦竭竰笂笏笊笆笳笘笙笞笵笨笶筐筺笄筍笋筌筅筵筥筴筧筰筱筬筮箝箘箟箍箜箚箋箒箏筝箙篋篁篌篏箴篆篝篩簑簔篦篥籠簀簇簓篳篷簗簍篶簣簧簪簟簷簫簽籌籃籔籏籀籐籘籟籤籖籥籬籵粃粐粤粭粢粫粡粨粳粲粱粮粹粽糀糅糂糘糒糜糢鬻糯糲糴糶糺紆"],
    ["e340", "紂紜紕紊絅絋紮紲紿紵絆絳絖絎絲絨絮絏絣經綉絛綏絽綛綺綮綣綵緇綽綫總綢綯緜綸綟綰緘緝緤緞緻緲緡縅縊縣縡縒縱縟縉縋縢繆繦縻縵縹繃縷"],
    ["e380", "縲縺繧繝繖繞繙繚繹繪繩繼繻纃緕繽辮繿纈纉續纒纐纓纔纖纎纛纜缸缺罅罌罍罎罐网罕罔罘罟罠罨罩罧罸羂羆羃羈羇羌羔羞羝羚羣羯羲羹羮羶羸譱翅翆翊翕翔翡翦翩翳翹飜耆耄耋耒耘耙耜耡耨耿耻聊聆聒聘聚聟聢聨聳聲聰聶聹聽聿肄肆肅肛肓肚肭冐肬胛胥胙胝胄胚胖脉胯胱脛脩脣脯腋"],
    ["e440", "隋腆脾腓腑胼腱腮腥腦腴膃膈膊膀膂膠膕膤膣腟膓膩膰膵膾膸膽臀臂膺臉臍臑臙臘臈臚臟臠臧臺臻臾舁舂舅與舊舍舐舖舩舫舸舳艀艙艘艝艚艟艤"],
    ["e480", "艢艨艪艫舮艱艷艸艾芍芒芫芟芻芬苡苣苟苒苴苳苺莓范苻苹苞茆苜茉苙茵茴茖茲茱荀茹荐荅茯茫茗茘莅莚莪莟莢莖茣莎莇莊荼莵荳荵莠莉莨菴萓菫菎菽萃菘萋菁菷萇菠菲萍萢萠莽萸蔆菻葭萪萼蕚蒄葷葫蒭葮蒂葩葆萬葯葹萵蓊葢蒹蒿蒟蓙蓍蒻蓚蓐蓁蓆蓖蒡蔡蓿蓴蔗蔘蔬蔟蔕蔔蓼蕀蕣蕘蕈"],
    ["e540", "蕁蘂蕋蕕薀薤薈薑薊薨蕭薔薛藪薇薜蕷蕾薐藉薺藏薹藐藕藝藥藜藹蘊蘓蘋藾藺蘆蘢蘚蘰蘿虍乕虔號虧虱蚓蚣蚩蚪蚋蚌蚶蚯蛄蛆蚰蛉蠣蚫蛔蛞蛩蛬"],
    ["e580", "蛟蛛蛯蜒蜆蜈蜀蜃蛻蜑蜉蜍蛹蜊蜴蜿蜷蜻蜥蜩蜚蝠蝟蝸蝌蝎蝴蝗蝨蝮蝙蝓蝣蝪蠅螢螟螂螯蟋螽蟀蟐雖螫蟄螳蟇蟆螻蟯蟲蟠蠏蠍蟾蟶蟷蠎蟒蠑蠖蠕蠢蠡蠱蠶蠹蠧蠻衄衂衒衙衞衢衫袁衾袞衵衽袵衲袂袗袒袮袙袢袍袤袰袿袱裃裄裔裘裙裝裹褂裼裴裨裲褄褌褊褓襃褞褥褪褫襁襄褻褶褸襌褝襠襞"],
    ["e640", "襦襤襭襪襯襴襷襾覃覈覊覓覘覡覩覦覬覯覲覺覽覿觀觚觜觝觧觴觸訃訖訐訌訛訝訥訶詁詛詒詆詈詼詭詬詢誅誂誄誨誡誑誥誦誚誣諄諍諂諚諫諳諧"],
    ["e680", "諤諱謔諠諢諷諞諛謌謇謚諡謖謐謗謠謳鞫謦謫謾謨譁譌譏譎證譖譛譚譫譟譬譯譴譽讀讌讎讒讓讖讙讚谺豁谿豈豌豎豐豕豢豬豸豺貂貉貅貊貍貎貔豼貘戝貭貪貽貲貳貮貶賈賁賤賣賚賽賺賻贄贅贊贇贏贍贐齎贓賍贔贖赧赭赱赳趁趙跂趾趺跏跚跖跌跛跋跪跫跟跣跼踈踉跿踝踞踐踟蹂踵踰踴蹊"],
    ["e740", "蹇蹉蹌蹐蹈蹙蹤蹠踪蹣蹕蹶蹲蹼躁躇躅躄躋躊躓躑躔躙躪躡躬躰軆躱躾軅軈軋軛軣軼軻軫軾輊輅輕輒輙輓輜輟輛輌輦輳輻輹轅轂輾轌轉轆轎轗轜"],
    ["e780", "轢轣轤辜辟辣辭辯辷迚迥迢迪迯邇迴逅迹迺逑逕逡逍逞逖逋逧逶逵逹迸遏遐遑遒逎遉逾遖遘遞遨遯遶隨遲邂遽邁邀邊邉邏邨邯邱邵郢郤扈郛鄂鄒鄙鄲鄰酊酖酘酣酥酩酳酲醋醉醂醢醫醯醪醵醴醺釀釁釉釋釐釖釟釡釛釼釵釶鈞釿鈔鈬鈕鈑鉞鉗鉅鉉鉤鉈銕鈿鉋鉐銜銖銓銛鉚鋏銹銷鋩錏鋺鍄錮"],
    ["e840", "錙錢錚錣錺錵錻鍜鍠鍼鍮鍖鎰鎬鎭鎔鎹鏖鏗鏨鏥鏘鏃鏝鏐鏈鏤鐚鐔鐓鐃鐇鐐鐶鐫鐵鐡鐺鑁鑒鑄鑛鑠鑢鑞鑪鈩鑰鑵鑷鑽鑚鑼鑾钁鑿閂閇閊閔閖閘閙"],
    ["e880", "閠閨閧閭閼閻閹閾闊濶闃闍闌闕闔闖關闡闥闢阡阨阮阯陂陌陏陋陷陜陞陝陟陦陲陬隍隘隕隗險隧隱隲隰隴隶隸隹雎雋雉雍襍雜霍雕雹霄霆霈霓霎霑霏霖霙霤霪霰霹霽霾靄靆靈靂靉靜靠靤靦靨勒靫靱靹鞅靼鞁靺鞆鞋鞏鞐鞜鞨鞦鞣鞳鞴韃韆韈韋韜韭齏韲竟韶韵頏頌頸頤頡頷頽顆顏顋顫顯顰"],
    ["e940", "顱顴顳颪颯颱颶飄飃飆飩飫餃餉餒餔餘餡餝餞餤餠餬餮餽餾饂饉饅饐饋饑饒饌饕馗馘馥馭馮馼駟駛駝駘駑駭駮駱駲駻駸騁騏騅駢騙騫騷驅驂驀驃"],
    ["e980", "騾驕驍驛驗驟驢驥驤驩驫驪骭骰骼髀髏髑髓體髞髟髢髣髦髯髫髮髴髱髷髻鬆鬘鬚鬟鬢鬣鬥鬧鬨鬩鬪鬮鬯鬲魄魃魏魍魎魑魘魴鮓鮃鮑鮖鮗鮟鮠鮨鮴鯀鯊鮹鯆鯏鯑鯒鯣鯢鯤鯔鯡鰺鯲鯱鯰鰕鰔鰉鰓鰌鰆鰈鰒鰊鰄鰮鰛鰥鰤鰡鰰鱇鰲鱆鰾鱚鱠鱧鱶鱸鳧鳬鳰鴉鴈鳫鴃鴆鴪鴦鶯鴣鴟鵄鴕鴒鵁鴿鴾鵆鵈"],
    ["ea40", "鵝鵞鵤鵑鵐鵙鵲鶉鶇鶫鵯鵺鶚鶤鶩鶲鷄鷁鶻鶸鶺鷆鷏鷂鷙鷓鷸鷦鷭鷯鷽鸚鸛鸞鹵鹹鹽麁麈麋麌麒麕麑麝麥麩麸麪麭靡黌黎黏黐黔黜點黝黠黥黨黯"],
    ["ea80", "黴黶黷黹黻黼黽鼇鼈皷鼕鼡鼬鼾齊齒齔齣齟齠齡齦齧齬齪齷齲齶龕龜龠堯槇遙瑤凜熙"],
    ["ed40", "纊褜鍈銈蓜俉炻昱棈鋹曻彅丨仡仼伀伃伹佖侒侊侚侔俍偀倢俿倞偆偰偂傔僴僘兊兤冝冾凬刕劜劦勀勛匀匇匤卲厓厲叝﨎咜咊咩哿喆坙坥垬埈埇﨏"],
    ["ed80", "塚增墲夋奓奛奝奣妤妺孖寀甯寘寬尞岦岺峵崧嵓﨑嵂嵭嶸嶹巐弡弴彧德忞恝悅悊惞惕愠惲愑愷愰憘戓抦揵摠撝擎敎昀昕昻昉昮昞昤晥晗晙晴晳暙暠暲暿曺朎朗杦枻桒柀栁桄棏﨓楨﨔榘槢樰橫橆橳橾櫢櫤毖氿汜沆汯泚洄涇浯涖涬淏淸淲淼渹湜渧渼溿澈澵濵瀅瀇瀨炅炫焏焄煜煆煇凞燁燾犱"],
    ["ee40", "犾猤猪獷玽珉珖珣珒琇珵琦琪琩琮瑢璉璟甁畯皂皜皞皛皦益睆劯砡硎硤硺礰礼神祥禔福禛竑竧靖竫箞精絈絜綷綠緖繒罇羡羽茁荢荿菇菶葈蒴蕓蕙"],
    ["ee80", "蕫﨟薰蘒﨡蠇裵訒訷詹誧誾諟諸諶譓譿賰賴贒赶﨣軏﨤逸遧郞都鄕鄧釚釗釞釭釮釤釥鈆鈐鈊鈺鉀鈼鉎鉙鉑鈹鉧銧鉷鉸鋧鋗鋙鋐﨧鋕鋠鋓錥錡鋻﨨錞鋿錝錂鍰鍗鎤鏆鏞鏸鐱鑅鑈閒隆﨩隝隯霳霻靃靍靏靑靕顗顥飯飼餧館馞驎髙髜魵魲鮏鮱鮻鰀鵰鵫鶴鸙黑"],
    ["eeef", "ⅰ", 9, "￢￤＇＂"],
    ["f040", "", 62],
    ["f080", "", 124],
    ["f140", "", 62],
    ["f180", "", 124],
    ["f240", "", 62],
    ["f280", "", 124],
    ["f340", "", 62],
    ["f380", "", 124],
    ["f440", "", 62],
    ["f480", "", 124],
    ["f540", "", 62],
    ["f580", "", 124],
    ["f640", "", 62],
    ["f680", "", 124],
    ["f740", "", 62],
    ["f780", "", 124],
    ["f840", "", 62],
    ["f880", "", 124],
    ["f940", ""],
    ["fa40", "ⅰ", 9, "Ⅰ", 9, "￢￤＇＂㈱№℡∵纊褜鍈銈蓜俉炻昱棈鋹曻彅丨仡仼伀伃伹佖侒侊侚侔俍偀倢俿倞偆偰偂傔僴僘兊"],
    ["fa80", "兤冝冾凬刕劜劦勀勛匀匇匤卲厓厲叝﨎咜咊咩哿喆坙坥垬埈埇﨏塚增墲夋奓奛奝奣妤妺孖寀甯寘寬尞岦岺峵崧嵓﨑嵂嵭嶸嶹巐弡弴彧德忞恝悅悊惞惕愠惲愑愷愰憘戓抦揵摠撝擎敎昀昕昻昉昮昞昤晥晗晙晴晳暙暠暲暿曺朎朗杦枻桒柀栁桄棏﨓楨﨔榘槢樰橫橆橳橾櫢櫤毖氿汜沆汯泚洄涇浯"],
    ["fb40", "涖涬淏淸淲淼渹湜渧渼溿澈澵濵瀅瀇瀨炅炫焏焄煜煆煇凞燁燾犱犾猤猪獷玽珉珖珣珒琇珵琦琪琩琮瑢璉璟甁畯皂皜皞皛皦益睆劯砡硎硤硺礰礼神"],
    ["fb80", "祥禔福禛竑竧靖竫箞精絈絜綷綠緖繒罇羡羽茁荢荿菇菶葈蒴蕓蕙蕫﨟薰蘒﨡蠇裵訒訷詹誧誾諟諸諶譓譿賰賴贒赶﨣軏﨤逸遧郞都鄕鄧釚釗釞釭釮釤釥鈆鈐鈊鈺鉀鈼鉎鉙鉑鈹鉧銧鉷鉸鋧鋗鋙鋐﨧鋕鋠鋓錥錡鋻﨨錞鋿錝錂鍰鍗鎤鏆鏞鏸鐱鑅鑈閒隆﨩隝隯霳霻靃靍靏靑靕顗顥飯飼餧館馞驎髙"],
    ["fc40", "髜魵魲鮏鮱鮻鰀鵰鵫鶴鸙黑"]
  ];
});

// node_modules/raw-body/node_modules/iconv-lite/encodings/tables/eucjp.json
var require_eucjp = __commonJS((exports, module) => {
  module.exports = [
    ["0", "\x00", 127],
    ["8ea1", "｡", 62],
    ["a1a1", "　、。，．・：；？！゛゜´｀¨＾￣＿ヽヾゝゞ〃仝々〆〇ー―‐／＼～∥｜…‥‘’“”（）〔〕［］｛｝〈", 9, "＋－±×÷＝≠＜＞≦≧∞∴♂♀°′″℃￥＄￠￡％＃＆＊＠§☆★○●◎◇"],
    ["a2a1", "◆□■△▲▽▼※〒→←↑↓〓"],
    ["a2ba", "∈∋⊆⊇⊂⊃∪∩"],
    ["a2ca", "∧∨￢⇒⇔∀∃"],
    ["a2dc", "∠⊥⌒∂∇≡≒≪≫√∽∝∵∫∬"],
    ["a2f2", "Å‰♯♭♪†‡¶"],
    ["a2fe", "◯"],
    ["a3b0", "０", 9],
    ["a3c1", "Ａ", 25],
    ["a3e1", "ａ", 25],
    ["a4a1", "ぁ", 82],
    ["a5a1", "ァ", 85],
    ["a6a1", "Α", 16, "Σ", 6],
    ["a6c1", "α", 16, "σ", 6],
    ["a7a1", "А", 5, "ЁЖ", 25],
    ["a7d1", "а", 5, "ёж", 25],
    ["a8a1", "─│┌┐┘└├┬┤┴┼━┃┏┓┛┗┣┳┫┻╋┠┯┨┷┿┝┰┥┸╂"],
    ["ada1", "①", 19, "Ⅰ", 9],
    ["adc0", "㍉㌔㌢㍍㌘㌧㌃㌶㍑㍗㌍㌦㌣㌫㍊㌻㎜㎝㎞㎎㎏㏄㎡"],
    ["addf", "㍻〝〟№㏍℡㊤", 4, "㈱㈲㈹㍾㍽㍼≒≡∫∮∑√⊥∠∟⊿∵∩∪"],
    ["b0a1", "亜唖娃阿哀愛挨姶逢葵茜穐悪握渥旭葦芦鯵梓圧斡扱宛姐虻飴絢綾鮎或粟袷安庵按暗案闇鞍杏以伊位依偉囲夷委威尉惟意慰易椅為畏異移維緯胃萎衣謂違遺医井亥域育郁磯一壱溢逸稲茨芋鰯允印咽員因姻引飲淫胤蔭"],
    ["b1a1", "院陰隠韻吋右宇烏羽迂雨卯鵜窺丑碓臼渦嘘唄欝蔚鰻姥厩浦瓜閏噂云運雲荏餌叡営嬰影映曳栄永泳洩瑛盈穎頴英衛詠鋭液疫益駅悦謁越閲榎厭円園堰奄宴延怨掩援沿演炎焔煙燕猿縁艶苑薗遠鉛鴛塩於汚甥凹央奥往応"],
    ["b2a1", "押旺横欧殴王翁襖鴬鴎黄岡沖荻億屋憶臆桶牡乙俺卸恩温穏音下化仮何伽価佳加可嘉夏嫁家寡科暇果架歌河火珂禍禾稼箇花苛茄荷華菓蝦課嘩貨迦過霞蚊俄峨我牙画臥芽蛾賀雅餓駕介会解回塊壊廻快怪悔恢懐戒拐改"],
    ["b3a1", "魁晦械海灰界皆絵芥蟹開階貝凱劾外咳害崖慨概涯碍蓋街該鎧骸浬馨蛙垣柿蛎鈎劃嚇各廓拡撹格核殻獲確穫覚角赫較郭閣隔革学岳楽額顎掛笠樫橿梶鰍潟割喝恰括活渇滑葛褐轄且鰹叶椛樺鞄株兜竃蒲釜鎌噛鴨栢茅萱"],
    ["b4a1", "粥刈苅瓦乾侃冠寒刊勘勧巻喚堪姦完官寛干幹患感慣憾換敢柑桓棺款歓汗漢澗潅環甘監看竿管簡緩缶翰肝艦莞観諌貫還鑑間閑関陥韓館舘丸含岸巌玩癌眼岩翫贋雁頑顔願企伎危喜器基奇嬉寄岐希幾忌揮机旗既期棋棄"],
    ["b5a1", "機帰毅気汽畿祈季稀紀徽規記貴起軌輝飢騎鬼亀偽儀妓宜戯技擬欺犠疑祇義蟻誼議掬菊鞠吉吃喫桔橘詰砧杵黍却客脚虐逆丘久仇休及吸宮弓急救朽求汲泣灸球究窮笈級糾給旧牛去居巨拒拠挙渠虚許距鋸漁禦魚亨享京"],
    ["b6a1", "供侠僑兇競共凶協匡卿叫喬境峡強彊怯恐恭挟教橋況狂狭矯胸脅興蕎郷鏡響饗驚仰凝尭暁業局曲極玉桐粁僅勤均巾錦斤欣欽琴禁禽筋緊芹菌衿襟謹近金吟銀九倶句区狗玖矩苦躯駆駈駒具愚虞喰空偶寓遇隅串櫛釧屑屈"],
    ["b7a1", "掘窟沓靴轡窪熊隈粂栗繰桑鍬勲君薫訓群軍郡卦袈祁係傾刑兄啓圭珪型契形径恵慶慧憩掲携敬景桂渓畦稽系経継繋罫茎荊蛍計詣警軽頚鶏芸迎鯨劇戟撃激隙桁傑欠決潔穴結血訣月件倹倦健兼券剣喧圏堅嫌建憲懸拳捲"],
    ["b8a1", "検権牽犬献研硯絹県肩見謙賢軒遣鍵険顕験鹸元原厳幻弦減源玄現絃舷言諺限乎個古呼固姑孤己庫弧戸故枯湖狐糊袴股胡菰虎誇跨鈷雇顧鼓五互伍午呉吾娯後御悟梧檎瑚碁語誤護醐乞鯉交佼侯候倖光公功効勾厚口向"],
    ["b9a1", "后喉坑垢好孔孝宏工巧巷幸広庚康弘恒慌抗拘控攻昂晃更杭校梗構江洪浩港溝甲皇硬稿糠紅紘絞綱耕考肯肱腔膏航荒行衡講貢購郊酵鉱砿鋼閤降項香高鴻剛劫号合壕拷濠豪轟麹克刻告国穀酷鵠黒獄漉腰甑忽惚骨狛込"],
    ["baa1", "此頃今困坤墾婚恨懇昏昆根梱混痕紺艮魂些佐叉唆嵯左差査沙瑳砂詐鎖裟坐座挫債催再最哉塞妻宰彩才採栽歳済災采犀砕砦祭斎細菜裁載際剤在材罪財冴坂阪堺榊肴咲崎埼碕鷺作削咋搾昨朔柵窄策索錯桜鮭笹匙冊刷"],
    ["bba1", "察拶撮擦札殺薩雑皐鯖捌錆鮫皿晒三傘参山惨撒散桟燦珊産算纂蚕讃賛酸餐斬暫残仕仔伺使刺司史嗣四士始姉姿子屍市師志思指支孜斯施旨枝止死氏獅祉私糸紙紫肢脂至視詞詩試誌諮資賜雌飼歯事似侍児字寺慈持時"],
    ["bca1", "次滋治爾璽痔磁示而耳自蒔辞汐鹿式識鴫竺軸宍雫七叱執失嫉室悉湿漆疾質実蔀篠偲柴芝屡蕊縞舎写射捨赦斜煮社紗者謝車遮蛇邪借勺尺杓灼爵酌釈錫若寂弱惹主取守手朱殊狩珠種腫趣酒首儒受呪寿授樹綬需囚収周"],
    ["bda1", "宗就州修愁拾洲秀秋終繍習臭舟蒐衆襲讐蹴輯週酋酬集醜什住充十従戎柔汁渋獣縦重銃叔夙宿淑祝縮粛塾熟出術述俊峻春瞬竣舜駿准循旬楯殉淳準潤盾純巡遵醇順処初所暑曙渚庶緒署書薯藷諸助叙女序徐恕鋤除傷償"],
    ["bea1", "勝匠升召哨商唱嘗奨妾娼宵将小少尚庄床廠彰承抄招掌捷昇昌昭晶松梢樟樵沼消渉湘焼焦照症省硝礁祥称章笑粧紹肖菖蒋蕉衝裳訟証詔詳象賞醤鉦鍾鐘障鞘上丈丞乗冗剰城場壌嬢常情擾条杖浄状畳穣蒸譲醸錠嘱埴飾"],
    ["bfa1", "拭植殖燭織職色触食蝕辱尻伸信侵唇娠寝審心慎振新晋森榛浸深申疹真神秦紳臣芯薪親診身辛進針震人仁刃塵壬尋甚尽腎訊迅陣靭笥諏須酢図厨逗吹垂帥推水炊睡粋翠衰遂酔錐錘随瑞髄崇嵩数枢趨雛据杉椙菅頗雀裾"],
    ["c0a1", "澄摺寸世瀬畝是凄制勢姓征性成政整星晴棲栖正清牲生盛精聖声製西誠誓請逝醒青静斉税脆隻席惜戚斥昔析石積籍績脊責赤跡蹟碩切拙接摂折設窃節説雪絶舌蝉仙先千占宣専尖川戦扇撰栓栴泉浅洗染潜煎煽旋穿箭線"],
    ["c1a1", "繊羨腺舛船薦詮賎践選遷銭銑閃鮮前善漸然全禅繕膳糎噌塑岨措曾曽楚狙疏疎礎祖租粗素組蘇訴阻遡鼠僧創双叢倉喪壮奏爽宋層匝惣想捜掃挿掻操早曹巣槍槽漕燥争痩相窓糟総綜聡草荘葬蒼藻装走送遭鎗霜騒像増憎"],
    ["c2a1", "臓蔵贈造促側則即息捉束測足速俗属賊族続卒袖其揃存孫尊損村遜他多太汰詑唾堕妥惰打柁舵楕陀駄騨体堆対耐岱帯待怠態戴替泰滞胎腿苔袋貸退逮隊黛鯛代台大第醍題鷹滝瀧卓啄宅托択拓沢濯琢託鐸濁諾茸凧蛸只"],
    ["c3a1", "叩但達辰奪脱巽竪辿棚谷狸鱈樽誰丹単嘆坦担探旦歎淡湛炭短端箪綻耽胆蛋誕鍛団壇弾断暖檀段男談値知地弛恥智池痴稚置致蜘遅馳築畜竹筑蓄逐秩窒茶嫡着中仲宙忠抽昼柱注虫衷註酎鋳駐樗瀦猪苧著貯丁兆凋喋寵"],
    ["c4a1", "帖帳庁弔張彫徴懲挑暢朝潮牒町眺聴脹腸蝶調諜超跳銚長頂鳥勅捗直朕沈珍賃鎮陳津墜椎槌追鎚痛通塚栂掴槻佃漬柘辻蔦綴鍔椿潰坪壷嬬紬爪吊釣鶴亭低停偵剃貞呈堤定帝底庭廷弟悌抵挺提梯汀碇禎程締艇訂諦蹄逓"],
    ["c5a1", "邸鄭釘鼎泥摘擢敵滴的笛適鏑溺哲徹撤轍迭鉄典填天展店添纏甜貼転顛点伝殿澱田電兎吐堵塗妬屠徒斗杜渡登菟賭途都鍍砥砺努度土奴怒倒党冬凍刀唐塔塘套宕島嶋悼投搭東桃梼棟盗淘湯涛灯燈当痘祷等答筒糖統到"],
    ["c6a1", "董蕩藤討謄豆踏逃透鐙陶頭騰闘働動同堂導憧撞洞瞳童胴萄道銅峠鴇匿得徳涜特督禿篤毒独読栃橡凸突椴届鳶苫寅酉瀞噸屯惇敦沌豚遁頓呑曇鈍奈那内乍凪薙謎灘捺鍋楢馴縄畷南楠軟難汝二尼弐迩匂賑肉虹廿日乳入"],
    ["c7a1", "如尿韮任妊忍認濡禰祢寧葱猫熱年念捻撚燃粘乃廼之埜嚢悩濃納能脳膿農覗蚤巴把播覇杷波派琶破婆罵芭馬俳廃拝排敗杯盃牌背肺輩配倍培媒梅楳煤狽買売賠陪這蝿秤矧萩伯剥博拍柏泊白箔粕舶薄迫曝漠爆縛莫駁麦"],
    ["c8a1", "函箱硲箸肇筈櫨幡肌畑畠八鉢溌発醗髪伐罰抜筏閥鳩噺塙蛤隼伴判半反叛帆搬斑板氾汎版犯班畔繁般藩販範釆煩頒飯挽晩番盤磐蕃蛮匪卑否妃庇彼悲扉批披斐比泌疲皮碑秘緋罷肥被誹費避非飛樋簸備尾微枇毘琵眉美"],
    ["c9a1", "鼻柊稗匹疋髭彦膝菱肘弼必畢筆逼桧姫媛紐百謬俵彪標氷漂瓢票表評豹廟描病秒苗錨鋲蒜蛭鰭品彬斌浜瀕貧賓頻敏瓶不付埠夫婦富冨布府怖扶敷斧普浮父符腐膚芙譜負賦赴阜附侮撫武舞葡蕪部封楓風葺蕗伏副復幅服"],
    ["caa1", "福腹複覆淵弗払沸仏物鮒分吻噴墳憤扮焚奮粉糞紛雰文聞丙併兵塀幣平弊柄並蔽閉陛米頁僻壁癖碧別瞥蔑箆偏変片篇編辺返遍便勉娩弁鞭保舗鋪圃捕歩甫補輔穂募墓慕戊暮母簿菩倣俸包呆報奉宝峰峯崩庖抱捧放方朋"],
    ["cba1", "法泡烹砲縫胞芳萌蓬蜂褒訪豊邦鋒飽鳳鵬乏亡傍剖坊妨帽忘忙房暴望某棒冒紡肪膨謀貌貿鉾防吠頬北僕卜墨撲朴牧睦穆釦勃没殆堀幌奔本翻凡盆摩磨魔麻埋妹昧枚毎哩槙幕膜枕鮪柾鱒桝亦俣又抹末沫迄侭繭麿万慢満"],
    ["cca1", "漫蔓味未魅巳箕岬密蜜湊蓑稔脈妙粍民眠務夢無牟矛霧鵡椋婿娘冥名命明盟迷銘鳴姪牝滅免棉綿緬面麺摸模茂妄孟毛猛盲網耗蒙儲木黙目杢勿餅尤戻籾貰問悶紋門匁也冶夜爺耶野弥矢厄役約薬訳躍靖柳薮鑓愉愈油癒"],
    ["cda1", "諭輸唯佑優勇友宥幽悠憂揖有柚湧涌猶猷由祐裕誘遊邑郵雄融夕予余与誉輿預傭幼妖容庸揚揺擁曜楊様洋溶熔用窯羊耀葉蓉要謡踊遥陽養慾抑欲沃浴翌翼淀羅螺裸来莱頼雷洛絡落酪乱卵嵐欄濫藍蘭覧利吏履李梨理璃"],
    ["cea1", "痢裏裡里離陸律率立葎掠略劉流溜琉留硫粒隆竜龍侶慮旅虜了亮僚両凌寮料梁涼猟療瞭稜糧良諒遼量陵領力緑倫厘林淋燐琳臨輪隣鱗麟瑠塁涙累類令伶例冷励嶺怜玲礼苓鈴隷零霊麗齢暦歴列劣烈裂廉恋憐漣煉簾練聯"],
    ["cfa1", "蓮連錬呂魯櫓炉賂路露労婁廊弄朗楼榔浪漏牢狼篭老聾蝋郎六麓禄肋録論倭和話歪賄脇惑枠鷲亙亘鰐詫藁蕨椀湾碗腕"],
    ["d0a1", "弌丐丕个丱丶丼丿乂乖乘亂亅豫亊舒弍于亞亟亠亢亰亳亶从仍仄仆仂仗仞仭仟价伉佚估佛佝佗佇佶侈侏侘佻佩佰侑佯來侖儘俔俟俎俘俛俑俚俐俤俥倚倨倔倪倥倅伜俶倡倩倬俾俯們倆偃假會偕偐偈做偖偬偸傀傚傅傴傲"],
    ["d1a1", "僉僊傳僂僖僞僥僭僣僮價僵儉儁儂儖儕儔儚儡儺儷儼儻儿兀兒兌兔兢竸兩兪兮冀冂囘册冉冏冑冓冕冖冤冦冢冩冪冫决冱冲冰况冽凅凉凛几處凩凭凰凵凾刄刋刔刎刧刪刮刳刹剏剄剋剌剞剔剪剴剩剳剿剽劍劔劒剱劈劑辨"],
    ["d2a1", "辧劬劭劼劵勁勍勗勞勣勦飭勠勳勵勸勹匆匈甸匍匐匏匕匚匣匯匱匳匸區卆卅丗卉卍凖卞卩卮夘卻卷厂厖厠厦厥厮厰厶參簒雙叟曼燮叮叨叭叺吁吽呀听吭吼吮吶吩吝呎咏呵咎呟呱呷呰咒呻咀呶咄咐咆哇咢咸咥咬哄哈咨"],
    ["d3a1", "咫哂咤咾咼哘哥哦唏唔哽哮哭哺哢唹啀啣啌售啜啅啖啗唸唳啝喙喀咯喊喟啻啾喘喞單啼喃喩喇喨嗚嗅嗟嗄嗜嗤嗔嘔嗷嘖嗾嗽嘛嗹噎噐營嘴嘶嘲嘸噫噤嘯噬噪嚆嚀嚊嚠嚔嚏嚥嚮嚶嚴囂嚼囁囃囀囈囎囑囓囗囮囹圀囿圄圉"],
    ["d4a1", "圈國圍圓團圖嗇圜圦圷圸坎圻址坏坩埀垈坡坿垉垓垠垳垤垪垰埃埆埔埒埓堊埖埣堋堙堝塲堡塢塋塰毀塒堽塹墅墹墟墫墺壞墻墸墮壅壓壑壗壙壘壥壜壤壟壯壺壹壻壼壽夂夊夐夛梦夥夬夭夲夸夾竒奕奐奎奚奘奢奠奧奬奩"],
    ["d5a1", "奸妁妝佞侫妣妲姆姨姜妍姙姚娥娟娑娜娉娚婀婬婉娵娶婢婪媚媼媾嫋嫂媽嫣嫗嫦嫩嫖嫺嫻嬌嬋嬖嬲嫐嬪嬶嬾孃孅孀孑孕孚孛孥孩孰孳孵學斈孺宀它宦宸寃寇寉寔寐寤實寢寞寥寫寰寶寳尅將專對尓尠尢尨尸尹屁屆屎屓"],
    ["d6a1", "屐屏孱屬屮乢屶屹岌岑岔妛岫岻岶岼岷峅岾峇峙峩峽峺峭嶌峪崋崕崗嵜崟崛崑崔崢崚崙崘嵌嵒嵎嵋嵬嵳嵶嶇嶄嶂嶢嶝嶬嶮嶽嶐嶷嶼巉巍巓巒巖巛巫已巵帋帚帙帑帛帶帷幄幃幀幎幗幔幟幢幤幇幵并幺麼广庠廁廂廈廐廏"],
    ["d7a1", "廖廣廝廚廛廢廡廨廩廬廱廳廰廴廸廾弃弉彝彜弋弑弖弩弭弸彁彈彌彎弯彑彖彗彙彡彭彳彷徃徂彿徊很徑徇從徙徘徠徨徭徼忖忻忤忸忱忝悳忿怡恠怙怐怩怎怱怛怕怫怦怏怺恚恁恪恷恟恊恆恍恣恃恤恂恬恫恙悁悍惧悃悚"],
    ["d8a1", "悄悛悖悗悒悧悋惡悸惠惓悴忰悽惆悵惘慍愕愆惶惷愀惴惺愃愡惻惱愍愎慇愾愨愧慊愿愼愬愴愽慂慄慳慷慘慙慚慫慴慯慥慱慟慝慓慵憙憖憇憬憔憚憊憑憫憮懌懊應懷懈懃懆憺懋罹懍懦懣懶懺懴懿懽懼懾戀戈戉戍戌戔戛"],
    ["d9a1", "戞戡截戮戰戲戳扁扎扞扣扛扠扨扼抂抉找抒抓抖拔抃抔拗拑抻拏拿拆擔拈拜拌拊拂拇抛拉挌拮拱挧挂挈拯拵捐挾捍搜捏掖掎掀掫捶掣掏掉掟掵捫捩掾揩揀揆揣揉插揶揄搖搴搆搓搦搶攝搗搨搏摧摯摶摎攪撕撓撥撩撈撼"],
    ["daa1", "據擒擅擇撻擘擂擱擧舉擠擡抬擣擯攬擶擴擲擺攀擽攘攜攅攤攣攫攴攵攷收攸畋效敖敕敍敘敞敝敲數斂斃變斛斟斫斷旃旆旁旄旌旒旛旙无旡旱杲昊昃旻杳昵昶昴昜晏晄晉晁晞晝晤晧晨晟晢晰暃暈暎暉暄暘暝曁暹曉暾暼"],
    ["dba1", "曄暸曖曚曠昿曦曩曰曵曷朏朖朞朦朧霸朮朿朶杁朸朷杆杞杠杙杣杤枉杰枩杼杪枌枋枦枡枅枷柯枴柬枳柩枸柤柞柝柢柮枹柎柆柧檜栞框栩桀桍栲桎梳栫桙档桷桿梟梏梭梔條梛梃檮梹桴梵梠梺椏梍桾椁棊椈棘椢椦棡椌棍"],
    ["dca1", "棔棧棕椶椒椄棗棣椥棹棠棯椨椪椚椣椡棆楹楷楜楸楫楔楾楮椹楴椽楙椰楡楞楝榁楪榲榮槐榿槁槓榾槎寨槊槝榻槃榧樮榑榠榜榕榴槞槨樂樛槿權槹槲槧樅榱樞槭樔槫樊樒櫁樣樓橄樌橲樶橸橇橢橙橦橈樸樢檐檍檠檄檢檣"],
    ["dda1", "檗蘗檻櫃櫂檸檳檬櫞櫑櫟檪櫚櫪櫻欅蘖櫺欒欖鬱欟欸欷盜欹飮歇歃歉歐歙歔歛歟歡歸歹歿殀殄殃殍殘殕殞殤殪殫殯殲殱殳殷殼毆毋毓毟毬毫毳毯麾氈氓气氛氤氣汞汕汢汪沂沍沚沁沛汾汨汳沒沐泄泱泓沽泗泅泝沮沱沾"],
    ["dea1", "沺泛泯泙泪洟衍洶洫洽洸洙洵洳洒洌浣涓浤浚浹浙涎涕濤涅淹渕渊涵淇淦涸淆淬淞淌淨淒淅淺淙淤淕淪淮渭湮渮渙湲湟渾渣湫渫湶湍渟湃渺湎渤滿渝游溂溪溘滉溷滓溽溯滄溲滔滕溏溥滂溟潁漑灌滬滸滾漿滲漱滯漲滌"],
    ["dfa1", "漾漓滷澆潺潸澁澀潯潛濳潭澂潼潘澎澑濂潦澳澣澡澤澹濆澪濟濕濬濔濘濱濮濛瀉瀋濺瀑瀁瀏濾瀛瀚潴瀝瀘瀟瀰瀾瀲灑灣炙炒炯烱炬炸炳炮烟烋烝烙焉烽焜焙煥煕熈煦煢煌煖煬熏燻熄熕熨熬燗熹熾燒燉燔燎燠燬燧燵燼"],
    ["e0a1", "燹燿爍爐爛爨爭爬爰爲爻爼爿牀牆牋牘牴牾犂犁犇犒犖犢犧犹犲狃狆狄狎狒狢狠狡狹狷倏猗猊猜猖猝猴猯猩猥猾獎獏默獗獪獨獰獸獵獻獺珈玳珎玻珀珥珮珞璢琅瑯琥珸琲琺瑕琿瑟瑙瑁瑜瑩瑰瑣瑪瑶瑾璋璞璧瓊瓏瓔珱"],
    ["e1a1", "瓠瓣瓧瓩瓮瓲瓰瓱瓸瓷甄甃甅甌甎甍甕甓甞甦甬甼畄畍畊畉畛畆畚畩畤畧畫畭畸當疆疇畴疊疉疂疔疚疝疥疣痂疳痃疵疽疸疼疱痍痊痒痙痣痞痾痿痼瘁痰痺痲痳瘋瘍瘉瘟瘧瘠瘡瘢瘤瘴瘰瘻癇癈癆癜癘癡癢癨癩癪癧癬癰"],
    ["e2a1", "癲癶癸發皀皃皈皋皎皖皓皙皚皰皴皸皹皺盂盍盖盒盞盡盥盧盪蘯盻眈眇眄眩眤眞眥眦眛眷眸睇睚睨睫睛睥睿睾睹瞎瞋瞑瞠瞞瞰瞶瞹瞿瞼瞽瞻矇矍矗矚矜矣矮矼砌砒礦砠礪硅碎硴碆硼碚碌碣碵碪碯磑磆磋磔碾碼磅磊磬"],
    ["e3a1", "磧磚磽磴礇礒礑礙礬礫祀祠祗祟祚祕祓祺祿禊禝禧齋禪禮禳禹禺秉秕秧秬秡秣稈稍稘稙稠稟禀稱稻稾稷穃穗穉穡穢穩龝穰穹穽窈窗窕窘窖窩竈窰窶竅竄窿邃竇竊竍竏竕竓站竚竝竡竢竦竭竰笂笏笊笆笳笘笙笞笵笨笶筐"],
    ["e4a1", "筺笄筍笋筌筅筵筥筴筧筰筱筬筮箝箘箟箍箜箚箋箒箏筝箙篋篁篌篏箴篆篝篩簑簔篦篥籠簀簇簓篳篷簗簍篶簣簧簪簟簷簫簽籌籃籔籏籀籐籘籟籤籖籥籬籵粃粐粤粭粢粫粡粨粳粲粱粮粹粽糀糅糂糘糒糜糢鬻糯糲糴糶糺紆"],
    ["e5a1", "紂紜紕紊絅絋紮紲紿紵絆絳絖絎絲絨絮絏絣經綉絛綏絽綛綺綮綣綵緇綽綫總綢綯緜綸綟綰緘緝緤緞緻緲緡縅縊縣縡縒縱縟縉縋縢繆繦縻縵縹繃縷縲縺繧繝繖繞繙繚繹繪繩繼繻纃緕繽辮繿纈纉續纒纐纓纔纖纎纛纜缸缺"],
    ["e6a1", "罅罌罍罎罐网罕罔罘罟罠罨罩罧罸羂羆羃羈羇羌羔羞羝羚羣羯羲羹羮羶羸譱翅翆翊翕翔翡翦翩翳翹飜耆耄耋耒耘耙耜耡耨耿耻聊聆聒聘聚聟聢聨聳聲聰聶聹聽聿肄肆肅肛肓肚肭冐肬胛胥胙胝胄胚胖脉胯胱脛脩脣脯腋"],
    ["e7a1", "隋腆脾腓腑胼腱腮腥腦腴膃膈膊膀膂膠膕膤膣腟膓膩膰膵膾膸膽臀臂膺臉臍臑臙臘臈臚臟臠臧臺臻臾舁舂舅與舊舍舐舖舩舫舸舳艀艙艘艝艚艟艤艢艨艪艫舮艱艷艸艾芍芒芫芟芻芬苡苣苟苒苴苳苺莓范苻苹苞茆苜茉苙"],
    ["e8a1", "茵茴茖茲茱荀茹荐荅茯茫茗茘莅莚莪莟莢莖茣莎莇莊荼莵荳荵莠莉莨菴萓菫菎菽萃菘萋菁菷萇菠菲萍萢萠莽萸蔆菻葭萪萼蕚蒄葷葫蒭葮蒂葩葆萬葯葹萵蓊葢蒹蒿蒟蓙蓍蒻蓚蓐蓁蓆蓖蒡蔡蓿蓴蔗蔘蔬蔟蔕蔔蓼蕀蕣蕘蕈"],
    ["e9a1", "蕁蘂蕋蕕薀薤薈薑薊薨蕭薔薛藪薇薜蕷蕾薐藉薺藏薹藐藕藝藥藜藹蘊蘓蘋藾藺蘆蘢蘚蘰蘿虍乕虔號虧虱蚓蚣蚩蚪蚋蚌蚶蚯蛄蛆蚰蛉蠣蚫蛔蛞蛩蛬蛟蛛蛯蜒蜆蜈蜀蜃蛻蜑蜉蜍蛹蜊蜴蜿蜷蜻蜥蜩蜚蝠蝟蝸蝌蝎蝴蝗蝨蝮蝙"],
    ["eaa1", "蝓蝣蝪蠅螢螟螂螯蟋螽蟀蟐雖螫蟄螳蟇蟆螻蟯蟲蟠蠏蠍蟾蟶蟷蠎蟒蠑蠖蠕蠢蠡蠱蠶蠹蠧蠻衄衂衒衙衞衢衫袁衾袞衵衽袵衲袂袗袒袮袙袢袍袤袰袿袱裃裄裔裘裙裝裹褂裼裴裨裲褄褌褊褓襃褞褥褪褫襁襄褻褶褸襌褝襠襞"],
    ["eba1", "襦襤襭襪襯襴襷襾覃覈覊覓覘覡覩覦覬覯覲覺覽覿觀觚觜觝觧觴觸訃訖訐訌訛訝訥訶詁詛詒詆詈詼詭詬詢誅誂誄誨誡誑誥誦誚誣諄諍諂諚諫諳諧諤諱謔諠諢諷諞諛謌謇謚諡謖謐謗謠謳鞫謦謫謾謨譁譌譏譎證譖譛譚譫"],
    ["eca1", "譟譬譯譴譽讀讌讎讒讓讖讙讚谺豁谿豈豌豎豐豕豢豬豸豺貂貉貅貊貍貎貔豼貘戝貭貪貽貲貳貮貶賈賁賤賣賚賽賺賻贄贅贊贇贏贍贐齎贓賍贔贖赧赭赱赳趁趙跂趾趺跏跚跖跌跛跋跪跫跟跣跼踈踉跿踝踞踐踟蹂踵踰踴蹊"],
    ["eda1", "蹇蹉蹌蹐蹈蹙蹤蹠踪蹣蹕蹶蹲蹼躁躇躅躄躋躊躓躑躔躙躪躡躬躰軆躱躾軅軈軋軛軣軼軻軫軾輊輅輕輒輙輓輜輟輛輌輦輳輻輹轅轂輾轌轉轆轎轗轜轢轣轤辜辟辣辭辯辷迚迥迢迪迯邇迴逅迹迺逑逕逡逍逞逖逋逧逶逵逹迸"],
    ["eea1", "遏遐遑遒逎遉逾遖遘遞遨遯遶隨遲邂遽邁邀邊邉邏邨邯邱邵郢郤扈郛鄂鄒鄙鄲鄰酊酖酘酣酥酩酳酲醋醉醂醢醫醯醪醵醴醺釀釁釉釋釐釖釟釡釛釼釵釶鈞釿鈔鈬鈕鈑鉞鉗鉅鉉鉤鉈銕鈿鉋鉐銜銖銓銛鉚鋏銹銷鋩錏鋺鍄錮"],
    ["efa1", "錙錢錚錣錺錵錻鍜鍠鍼鍮鍖鎰鎬鎭鎔鎹鏖鏗鏨鏥鏘鏃鏝鏐鏈鏤鐚鐔鐓鐃鐇鐐鐶鐫鐵鐡鐺鑁鑒鑄鑛鑠鑢鑞鑪鈩鑰鑵鑷鑽鑚鑼鑾钁鑿閂閇閊閔閖閘閙閠閨閧閭閼閻閹閾闊濶闃闍闌闕闔闖關闡闥闢阡阨阮阯陂陌陏陋陷陜陞"],
    ["f0a1", "陝陟陦陲陬隍隘隕隗險隧隱隲隰隴隶隸隹雎雋雉雍襍雜霍雕雹霄霆霈霓霎霑霏霖霙霤霪霰霹霽霾靄靆靈靂靉靜靠靤靦靨勒靫靱靹鞅靼鞁靺鞆鞋鞏鞐鞜鞨鞦鞣鞳鞴韃韆韈韋韜韭齏韲竟韶韵頏頌頸頤頡頷頽顆顏顋顫顯顰"],
    ["f1a1", "顱顴顳颪颯颱颶飄飃飆飩飫餃餉餒餔餘餡餝餞餤餠餬餮餽餾饂饉饅饐饋饑饒饌饕馗馘馥馭馮馼駟駛駝駘駑駭駮駱駲駻駸騁騏騅駢騙騫騷驅驂驀驃騾驕驍驛驗驟驢驥驤驩驫驪骭骰骼髀髏髑髓體髞髟髢髣髦髯髫髮髴髱髷"],
    ["f2a1", "髻鬆鬘鬚鬟鬢鬣鬥鬧鬨鬩鬪鬮鬯鬲魄魃魏魍魎魑魘魴鮓鮃鮑鮖鮗鮟鮠鮨鮴鯀鯊鮹鯆鯏鯑鯒鯣鯢鯤鯔鯡鰺鯲鯱鯰鰕鰔鰉鰓鰌鰆鰈鰒鰊鰄鰮鰛鰥鰤鰡鰰鱇鰲鱆鰾鱚鱠鱧鱶鱸鳧鳬鳰鴉鴈鳫鴃鴆鴪鴦鶯鴣鴟鵄鴕鴒鵁鴿鴾鵆鵈"],
    ["f3a1", "鵝鵞鵤鵑鵐鵙鵲鶉鶇鶫鵯鵺鶚鶤鶩鶲鷄鷁鶻鶸鶺鷆鷏鷂鷙鷓鷸鷦鷭鷯鷽鸚鸛鸞鹵鹹鹽麁麈麋麌麒麕麑麝麥麩麸麪麭靡黌黎黏黐黔黜點黝黠黥黨黯黴黶黷黹黻黼黽鼇鼈皷鼕鼡鼬鼾齊齒齔齣齟齠齡齦齧齬齪齷齲齶龕龜龠"],
    ["f4a1", "堯槇遙瑤凜熙"],
    ["f9a1", "纊褜鍈銈蓜俉炻昱棈鋹曻彅丨仡仼伀伃伹佖侒侊侚侔俍偀倢俿倞偆偰偂傔僴僘兊兤冝冾凬刕劜劦勀勛匀匇匤卲厓厲叝﨎咜咊咩哿喆坙坥垬埈埇﨏塚增墲夋奓奛奝奣妤妺孖寀甯寘寬尞岦岺峵崧嵓﨑嵂嵭嶸嶹巐弡弴彧德"],
    ["faa1", "忞恝悅悊惞惕愠惲愑愷愰憘戓抦揵摠撝擎敎昀昕昻昉昮昞昤晥晗晙晴晳暙暠暲暿曺朎朗杦枻桒柀栁桄棏﨓楨﨔榘槢樰橫橆橳橾櫢櫤毖氿汜沆汯泚洄涇浯涖涬淏淸淲淼渹湜渧渼溿澈澵濵瀅瀇瀨炅炫焏焄煜煆煇凞燁燾犱"],
    ["fba1", "犾猤猪獷玽珉珖珣珒琇珵琦琪琩琮瑢璉璟甁畯皂皜皞皛皦益睆劯砡硎硤硺礰礼神祥禔福禛竑竧靖竫箞精絈絜綷綠緖繒罇羡羽茁荢荿菇菶葈蒴蕓蕙蕫﨟薰蘒﨡蠇裵訒訷詹誧誾諟諸諶譓譿賰賴贒赶﨣軏﨤逸遧郞都鄕鄧釚"],
    ["fca1", "釗釞釭釮釤釥鈆鈐鈊鈺鉀鈼鉎鉙鉑鈹鉧銧鉷鉸鋧鋗鋙鋐﨧鋕鋠鋓錥錡鋻﨨錞鋿錝錂鍰鍗鎤鏆鏞鏸鐱鑅鑈閒隆﨩隝隯霳霻靃靍靏靑靕顗顥飯飼餧館馞驎髙髜魵魲鮏鮱鮻鰀鵰鵫鶴鸙黑"],
    ["fcf1", "ⅰ", 9, "￢￤＇＂"],
    ["8fa2af", "˘ˇ¸˙˝¯˛˚～΄΅"],
    ["8fa2c2", "¡¦¿"],
    ["8fa2eb", "ºª©®™¤№"],
    ["8fa6e1", "ΆΈΉΊΪ"],
    ["8fa6e7", "Ό"],
    ["8fa6e9", "ΎΫ"],
    ["8fa6ec", "Ώ"],
    ["8fa6f1", "άέήίϊΐόςύϋΰώ"],
    ["8fa7c2", "Ђ", 10, "ЎЏ"],
    ["8fa7f2", "ђ", 10, "ўџ"],
    ["8fa9a1", "ÆĐ"],
    ["8fa9a4", "Ħ"],
    ["8fa9a6", "Ĳ"],
    ["8fa9a8", "ŁĿ"],
    ["8fa9ab", "ŊØŒ"],
    ["8fa9af", "ŦÞ"],
    ["8fa9c1", "æđðħıĳĸłŀŉŋøœßŧþ"],
    ["8faaa1", "ÁÀÄÂĂǍĀĄÅÃĆĈČÇĊĎÉÈËÊĚĖĒĘ"],
    ["8faaba", "ĜĞĢĠĤÍÌÏÎǏİĪĮĨĴĶĹĽĻŃŇŅÑÓÒÖÔǑŐŌÕŔŘŖŚŜŠŞŤŢÚÙÜÛŬǓŰŪŲŮŨǗǛǙǕŴÝŸŶŹŽŻ"],
    ["8faba1", "áàäâăǎāąåãćĉčçċďéèëêěėēęǵĝğ"],
    ["8fabbd", "ġĥíìïîǐ"],
    ["8fabc5", "īįĩĵķĺľļńňņñóòöôǒőōõŕřŗśŝšşťţúùüûŭǔűūųůũǘǜǚǖŵýÿŷźžż"],
    ["8fb0a1", "丂丄丅丌丒丟丣两丨丫丮丯丰丵乀乁乄乇乑乚乜乣乨乩乴乵乹乿亍亖亗亝亯亹仃仐仚仛仠仡仢仨仯仱仳仵份仾仿伀伂伃伈伋伌伒伕伖众伙伮伱你伳伵伷伹伻伾佀佂佈佉佋佌佒佔佖佘佟佣佪佬佮佱佷佸佹佺佽佾侁侂侄"],
    ["8fb1a1", "侅侉侊侌侎侐侒侓侔侗侙侚侞侟侲侷侹侻侼侽侾俀俁俅俆俈俉俋俌俍俏俒俜俠俢俰俲俼俽俿倀倁倄倇倊倌倎倐倓倗倘倛倜倝倞倢倧倮倰倲倳倵偀偁偂偅偆偊偌偎偑偒偓偗偙偟偠偢偣偦偧偪偭偰偱倻傁傃傄傆傊傎傏傐"],
    ["8fb2a1", "傒傓傔傖傛傜傞", 4, "傪傯傰傹傺傽僀僃僄僇僌僎僐僓僔僘僜僝僟僢僤僦僨僩僯僱僶僺僾儃儆儇儈儋儌儍儎僲儐儗儙儛儜儝儞儣儧儨儬儭儯儱儳儴儵儸儹兂兊兏兓兕兗兘兟兤兦兾冃冄冋冎冘冝冡冣冭冸冺冼冾冿凂"],
    ["8fb3a1", "凈减凑凒凓凕凘凞凢凥凮凲凳凴凷刁刂刅划刓刕刖刘刢刨刱刲刵刼剅剉剕剗剘剚剜剟剠剡剦剮剷剸剹劀劂劅劊劌劓劕劖劗劘劚劜劤劥劦劧劯劰劶劷劸劺劻劽勀勄勆勈勌勏勑勔勖勛勜勡勥勨勩勪勬勰勱勴勶勷匀匃匊匋"],
    ["8fb4a1", "匌匑匓匘匛匜匞匟匥匧匨匩匫匬匭匰匲匵匼匽匾卂卌卋卙卛卡卣卥卬卭卲卹卾厃厇厈厎厓厔厙厝厡厤厪厫厯厲厴厵厷厸厺厽叀叅叏叒叓叕叚叝叞叠另叧叵吂吓吚吡吧吨吪启吱吴吵呃呄呇呍呏呞呢呤呦呧呩呫呭呮呴呿"],
    ["8fb5a1", "咁咃咅咈咉咍咑咕咖咜咟咡咦咧咩咪咭咮咱咷咹咺咻咿哆哊响哎哠哪哬哯哶哼哾哿唀唁唅唈唉唌唍唎唕唪唫唲唵唶唻唼唽啁啇啉啊啍啐啑啘啚啛啞啠啡啤啦啿喁喂喆喈喎喏喑喒喓喔喗喣喤喭喲喿嗁嗃嗆嗉嗋嗌嗎嗑嗒"],
    ["8fb6a1", "嗓嗗嗘嗛嗞嗢嗩嗶嗿嘅嘈嘊嘍", 5, "嘙嘬嘰嘳嘵嘷嘹嘻嘼嘽嘿噀噁噃噄噆噉噋噍噏噔噞噠噡噢噣噦噩噭噯噱噲噵嚄嚅嚈嚋嚌嚕嚙嚚嚝嚞嚟嚦嚧嚨嚩嚫嚬嚭嚱嚳嚷嚾囅囉囊囋囏囐囌囍囙囜囝囟囡囤", 4, "囱囫园"],
    ["8fb7a1", "囶囷圁圂圇圊圌圑圕圚圛圝圠圢圣圤圥圩圪圬圮圯圳圴圽圾圿坅坆坌坍坒坢坥坧坨坫坭", 4, "坳坴坵坷坹坺坻坼坾垁垃垌垔垗垙垚垜垝垞垟垡垕垧垨垩垬垸垽埇埈埌埏埕埝埞埤埦埧埩埭埰埵埶埸埽埾埿堃堄堈堉埡"],
    ["8fb8a1", "堌堍堛堞堟堠堦堧堭堲堹堿塉塌塍塏塐塕塟塡塤塧塨塸塼塿墀墁墇墈墉墊墌墍墏墐墔墖墝墠墡墢墦墩墱墲壄墼壂壈壍壎壐壒壔壖壚壝壡壢壩壳夅夆夋夌夒夓夔虁夝夡夣夤夨夯夰夳夵夶夿奃奆奒奓奙奛奝奞奟奡奣奫奭"],
    ["8fb9a1", "奯奲奵奶她奻奼妋妌妎妒妕妗妟妤妧妭妮妯妰妳妷妺妼姁姃姄姈姊姍姒姝姞姟姣姤姧姮姯姱姲姴姷娀娄娌娍娎娒娓娞娣娤娧娨娪娭娰婄婅婇婈婌婐婕婞婣婥婧婭婷婺婻婾媋媐媓媖媙媜媞媟媠媢媧媬媱媲媳媵媸媺媻媿"],
    ["8fbaa1", "嫄嫆嫈嫏嫚嫜嫠嫥嫪嫮嫵嫶嫽嬀嬁嬈嬗嬴嬙嬛嬝嬡嬥嬭嬸孁孋孌孒孖孞孨孮孯孼孽孾孿宁宄宆宊宎宐宑宓宔宖宨宩宬宭宯宱宲宷宺宼寀寁寍寏寖", 4, "寠寯寱寴寽尌尗尞尟尣尦尩尫尬尮尰尲尵尶屙屚屜屢屣屧屨屩"],
    ["8fbba1", "屭屰屴屵屺屻屼屽岇岈岊岏岒岝岟岠岢岣岦岪岲岴岵岺峉峋峒峝峗峮峱峲峴崁崆崍崒崫崣崤崦崧崱崴崹崽崿嵂嵃嵆嵈嵕嵑嵙嵊嵟嵠嵡嵢嵤嵪嵭嵰嵹嵺嵾嵿嶁嶃嶈嶊嶒嶓嶔嶕嶙嶛嶟嶠嶧嶫嶰嶴嶸嶹巃巇巋巐巎巘巙巠巤"],
    ["8fbca1", "巩巸巹帀帇帍帒帔帕帘帟帠帮帨帲帵帾幋幐幉幑幖幘幛幜幞幨幪", 4, "幰庀庋庎庢庤庥庨庪庬庱庳庽庾庿廆廌廋廎廑廒廔廕廜廞廥廫异弆弇弈弎弙弜弝弡弢弣弤弨弫弬弮弰弴弶弻弽弿彀彄彅彇彍彐彔彘彛彠彣彤彧"],
    ["8fbda1", "彯彲彴彵彸彺彽彾徉徍徏徖徜徝徢徧徫徤徬徯徰徱徸忄忇忈忉忋忐", 4, "忞忡忢忨忩忪忬忭忮忯忲忳忶忺忼怇怊怍怓怔怗怘怚怟怤怭怳怵恀恇恈恉恌恑恔恖恗恝恡恧恱恾恿悂悆悈悊悎悑悓悕悘悝悞悢悤悥您悰悱悷"],
    ["8fbea1", "悻悾惂惄惈惉惊惋惎惏惔惕惙惛惝惞惢惥惲惵惸惼惽愂愇愊愌愐", 4, "愖愗愙愜愞愢愪愫愰愱愵愶愷愹慁慅慆慉慞慠慬慲慸慻慼慿憀憁憃憄憋憍憒憓憗憘憜憝憟憠憥憨憪憭憸憹憼懀懁懂懎懏懕懜懝懞懟懡懢懧懩懥"],
    ["8fbfa1", "懬懭懯戁戃戄戇戓戕戜戠戢戣戧戩戫戹戽扂扃扄扆扌扐扑扒扔扖扚扜扤扭扯扳扺扽抍抎抏抐抦抨抳抶抷抺抾抿拄拎拕拖拚拪拲拴拼拽挃挄挊挋挍挐挓挖挘挩挪挭挵挶挹挼捁捂捃捄捆捊捋捎捒捓捔捘捛捥捦捬捭捱捴捵"],
    ["8fc0a1", "捸捼捽捿掂掄掇掊掐掔掕掙掚掞掤掦掭掮掯掽揁揅揈揎揑揓揔揕揜揠揥揪揬揲揳揵揸揹搉搊搐搒搔搘搞搠搢搤搥搩搪搯搰搵搽搿摋摏摑摒摓摔摚摛摜摝摟摠摡摣摭摳摴摻摽撅撇撏撐撑撘撙撛撝撟撡撣撦撨撬撳撽撾撿"],
    ["8fc1a1", "擄擉擊擋擌擎擐擑擕擗擤擥擩擪擭擰擵擷擻擿攁攄攈攉攊攏攓攔攖攙攛攞攟攢攦攩攮攱攺攼攽敃敇敉敐敒敔敟敠敧敫敺敽斁斅斊斒斕斘斝斠斣斦斮斲斳斴斿旂旈旉旎旐旔旖旘旟旰旲旴旵旹旾旿昀昄昈昉昍昑昒昕昖昝"],
    ["8fc2a1", "昞昡昢昣昤昦昩昪昫昬昮昰昱昳昹昷晀晅晆晊晌晑晎晗晘晙晛晜晠晡曻晪晫晬晾晳晵晿晷晸晹晻暀晼暋暌暍暐暒暙暚暛暜暟暠暤暭暱暲暵暻暿曀曂曃曈曌曎曏曔曛曟曨曫曬曮曺朅朇朎朓朙朜朠朢朳朾杅杇杈杌杔杕杝"],
    ["8fc3a1", "杦杬杮杴杶杻极构枎枏枑枓枖枘枙枛枰枱枲枵枻枼枽柹柀柂柃柅柈柉柒柗柙柜柡柦柰柲柶柷桒栔栙栝栟栨栧栬栭栯栰栱栳栻栿桄桅桊桌桕桗桘桛桫桮", 4, "桵桹桺桻桼梂梄梆梈梖梘梚梜梡梣梥梩梪梮梲梻棅棈棌棏"],
    ["8fc4a1", "棐棑棓棖棙棜棝棥棨棪棫棬棭棰棱棵棶棻棼棽椆椉椊椐椑椓椖椗椱椳椵椸椻楂楅楉楎楗楛楣楤楥楦楨楩楬楰楱楲楺楻楿榀榍榒榖榘榡榥榦榨榫榭榯榷榸榺榼槅槈槑槖槗槢槥槮槯槱槳槵槾樀樁樃樏樑樕樚樝樠樤樨樰樲"],
    ["8fc5a1", "樴樷樻樾樿橅橆橉橊橎橐橑橒橕橖橛橤橧橪橱橳橾檁檃檆檇檉檋檑檛檝檞檟檥檫檯檰檱檴檽檾檿櫆櫉櫈櫌櫐櫔櫕櫖櫜櫝櫤櫧櫬櫰櫱櫲櫼櫽欂欃欆欇欉欏欐欑欗欛欞欤欨欫欬欯欵欶欻欿歆歊歍歒歖歘歝歠歧歫歮歰歵歽"],
    ["8fc6a1", "歾殂殅殗殛殟殠殢殣殨殩殬殭殮殰殸殹殽殾毃毄毉毌毖毚毡毣毦毧毮毱毷毹毿氂氄氅氉氍氎氐氒氙氟氦氧氨氬氮氳氵氶氺氻氿汊汋汍汏汒汔汙汛汜汫汭汯汴汶汸汹汻沅沆沇沉沔沕沗沘沜沟沰沲沴泂泆泍泏泐泑泒泔泖"],
    ["8fc7a1", "泚泜泠泧泩泫泬泮泲泴洄洇洊洎洏洑洓洚洦洧洨汧洮洯洱洹洼洿浗浞浟浡浥浧浯浰浼涂涇涑涒涔涖涗涘涪涬涴涷涹涽涿淄淈淊淎淏淖淛淝淟淠淢淥淩淯淰淴淶淼渀渄渞渢渧渲渶渹渻渼湄湅湈湉湋湏湑湒湓湔湗湜湝湞"],
    ["8fc8a1", "湢湣湨湳湻湽溍溓溙溠溧溭溮溱溳溻溿滀滁滃滇滈滊滍滎滏滫滭滮滹滻滽漄漈漊漌漍漖漘漚漛漦漩漪漯漰漳漶漻漼漭潏潑潒潓潗潙潚潝潞潡潢潨潬潽潾澃澇澈澋澌澍澐澒澓澔澖澚澟澠澥澦澧澨澮澯澰澵澶澼濅濇濈濊"],
    ["8fc9a1", "濚濞濨濩濰濵濹濼濽瀀瀅瀆瀇瀍瀗瀠瀣瀯瀴瀷瀹瀼灃灄灈灉灊灋灔灕灝灞灎灤灥灬灮灵灶灾炁炅炆炔", 4, "炛炤炫炰炱炴炷烊烑烓烔烕烖烘烜烤烺焃", 4, "焋焌焏焞焠焫焭焯焰焱焸煁煅煆煇煊煋煐煒煗煚煜煞煠"],
    ["8fcaa1", "煨煹熀熅熇熌熒熚熛熠熢熯熰熲熳熺熿燀燁燄燋燌燓燖燙燚燜燸燾爀爇爈爉爓爗爚爝爟爤爫爯爴爸爹牁牂牃牅牎牏牐牓牕牖牚牜牞牠牣牨牫牮牯牱牷牸牻牼牿犄犉犍犎犓犛犨犭犮犱犴犾狁狇狉狌狕狖狘狟狥狳狴狺狻"],
    ["8fcba1", "狾猂猄猅猇猋猍猒猓猘猙猞猢猤猧猨猬猱猲猵猺猻猽獃獍獐獒獖獘獝獞獟獠獦獧獩獫獬獮獯獱獷獹獼玀玁玃玅玆玎玐玓玕玗玘玜玞玟玠玢玥玦玪玫玭玵玷玹玼玽玿珅珆珉珋珌珏珒珓珖珙珝珡珣珦珧珩珴珵珷珹珺珻珽"],
    ["8fcca1", "珿琀琁琄琇琊琑琚琛琤琦琨", 9, "琹瑀瑃瑄瑆瑇瑋瑍瑑瑒瑗瑝瑢瑦瑧瑨瑫瑭瑮瑱瑲璀璁璅璆璇璉璏璐璑璒璘璙璚璜璟璠璡璣璦璨璩璪璫璮璯璱璲璵璹璻璿瓈瓉瓌瓐瓓瓘瓚瓛瓞瓟瓤瓨瓪瓫瓯瓴瓺瓻瓼瓿甆"],
    ["8fcda1", "甒甖甗甠甡甤甧甩甪甯甶甹甽甾甿畀畃畇畈畎畐畒畗畞畟畡畯畱畹", 5, "疁疅疐疒疓疕疙疜疢疤疴疺疿痀痁痄痆痌痎痏痗痜痟痠痡痤痧痬痮痯痱痹瘀瘂瘃瘄瘇瘈瘊瘌瘏瘒瘓瘕瘖瘙瘛瘜瘝瘞瘣瘥瘦瘩瘭瘲瘳瘵瘸瘹"],
    ["8fcea1", "瘺瘼癊癀癁癃癄癅癉癋癕癙癟癤癥癭癮癯癱癴皁皅皌皍皕皛皜皝皟皠皢", 6, "皪皭皽盁盅盉盋盌盎盔盙盠盦盨盬盰盱盶盹盼眀眆眊眎眒眔眕眗眙眚眜眢眨眭眮眯眴眵眶眹眽眾睂睅睆睊睍睎睏睒睖睗睜睞睟睠睢"],
    ["8fcfa1", "睤睧睪睬睰睲睳睴睺睽瞀瞄瞌瞍瞔瞕瞖瞚瞟瞢瞧瞪瞮瞯瞱瞵瞾矃矉矑矒矕矙矞矟矠矤矦矪矬矰矱矴矸矻砅砆砉砍砎砑砝砡砢砣砭砮砰砵砷硃硄硇硈硌硎硒硜硞硠硡硣硤硨硪确硺硾碊碏碔碘碡碝碞碟碤碨碬碭碰碱碲碳"],
    ["8fd0a1", "碻碽碿磇磈磉磌磎磒磓磕磖磤磛磟磠磡磦磪磲磳礀磶磷磺磻磿礆礌礐礚礜礞礟礠礥礧礩礭礱礴礵礻礽礿祄祅祆祊祋祏祑祔祘祛祜祧祩祫祲祹祻祼祾禋禌禑禓禔禕禖禘禛禜禡禨禩禫禯禱禴禸离秂秄秇秈秊秏秔秖秚秝秞"],
    ["8fd1a1", "秠秢秥秪秫秭秱秸秼稂稃稇稉稊稌稑稕稛稞稡稧稫稭稯稰稴稵稸稹稺穄穅穇穈穌穕穖穙穜穝穟穠穥穧穪穭穵穸穾窀窂窅窆窊窋窐窑窔窞窠窣窬窳窵窹窻窼竆竉竌竎竑竛竨竩竫竬竱竴竻竽竾笇笔笟笣笧笩笪笫笭笮笯笰"],
    ["8fd2a1", "笱笴笽笿筀筁筇筎筕筠筤筦筩筪筭筯筲筳筷箄箉箎箐箑箖箛箞箠箥箬箯箰箲箵箶箺箻箼箽篂篅篈篊篔篖篗篙篚篛篨篪篲篴篵篸篹篺篼篾簁簂簃簄簆簉簋簌簎簏簙簛簠簥簦簨簬簱簳簴簶簹簺籆籊籕籑籒籓籙", 5],
    ["8fd3a1", "籡籣籧籩籭籮籰籲籹籼籽粆粇粏粔粞粠粦粰粶粷粺粻粼粿糄糇糈糉糍糏糓糔糕糗糙糚糝糦糩糫糵紃紇紈紉紏紑紒紓紖紝紞紣紦紪紭紱紼紽紾絀絁絇絈絍絑絓絗絙絚絜絝絥絧絪絰絸絺絻絿綁綂綃綅綆綈綋綌綍綑綖綗綝"],
    ["8fd4a1", "綞綦綧綪綳綶綷綹緂", 4, "緌緍緎緗緙縀緢緥緦緪緫緭緱緵緶緹緺縈縐縑縕縗縜縝縠縧縨縬縭縯縳縶縿繄繅繇繎繐繒繘繟繡繢繥繫繮繯繳繸繾纁纆纇纊纍纑纕纘纚纝纞缼缻缽缾缿罃罄罇罏罒罓罛罜罝罡罣罤罥罦罭"],
    ["8fd5a1", "罱罽罾罿羀羋羍羏羐羑羖羗羜羡羢羦羪羭羴羼羿翀翃翈翎翏翛翟翣翥翨翬翮翯翲翺翽翾翿耇耈耊耍耎耏耑耓耔耖耝耞耟耠耤耦耬耮耰耴耵耷耹耺耼耾聀聄聠聤聦聭聱聵肁肈肎肜肞肦肧肫肸肹胈胍胏胒胔胕胗胘胠胭胮"],
    ["8fd6a1", "胰胲胳胶胹胺胾脃脋脖脗脘脜脞脠脤脧脬脰脵脺脼腅腇腊腌腒腗腠腡腧腨腩腭腯腷膁膐膄膅膆膋膎膖膘膛膞膢膮膲膴膻臋臃臅臊臎臏臕臗臛臝臞臡臤臫臬臰臱臲臵臶臸臹臽臿舀舃舏舓舔舙舚舝舡舢舨舲舴舺艃艄艅艆"],
    ["8fd7a1", "艋艎艏艑艖艜艠艣艧艭艴艻艽艿芀芁芃芄芇芉芊芎芑芔芖芘芚芛芠芡芣芤芧芨芩芪芮芰芲芴芷芺芼芾芿苆苐苕苚苠苢苤苨苪苭苯苶苷苽苾茀茁茇茈茊茋荔茛茝茞茟茡茢茬茭茮茰茳茷茺茼茽荂荃荄荇荍荎荑荕荖荗荰荸"],
    ["8fd8a1", "荽荿莀莂莄莆莍莒莔莕莘莙莛莜莝莦莧莩莬莾莿菀菇菉菏菐菑菔菝荓菨菪菶菸菹菼萁萆萊萏萑萕萙莭萯萹葅葇葈葊葍葏葑葒葖葘葙葚葜葠葤葥葧葪葰葳葴葶葸葼葽蒁蒅蒒蒓蒕蒞蒦蒨蒩蒪蒯蒱蒴蒺蒽蒾蓀蓂蓇蓈蓌蓏蓓"],
    ["8fd9a1", "蓜蓧蓪蓯蓰蓱蓲蓷蔲蓺蓻蓽蔂蔃蔇蔌蔎蔐蔜蔞蔢蔣蔤蔥蔧蔪蔫蔯蔳蔴蔶蔿蕆蕏", 4, "蕖蕙蕜", 6, "蕤蕫蕯蕹蕺蕻蕽蕿薁薅薆薉薋薌薏薓薘薝薟薠薢薥薧薴薶薷薸薼薽薾薿藂藇藊藋藎薭藘藚藟藠藦藨藭藳藶藼"],
    ["8fdaa1", "藿蘀蘄蘅蘍蘎蘐蘑蘒蘘蘙蘛蘞蘡蘧蘩蘶蘸蘺蘼蘽虀虂虆虒虓虖虗虘虙虝虠", 4, "虩虬虯虵虶虷虺蚍蚑蚖蚘蚚蚜蚡蚦蚧蚨蚭蚱蚳蚴蚵蚷蚸蚹蚿蛀蛁蛃蛅蛑蛒蛕蛗蛚蛜蛠蛣蛥蛧蚈蛺蛼蛽蜄蜅蜇蜋蜎蜏蜐蜓蜔蜙蜞蜟蜡蜣"],
    ["8fdba1", "蜨蜮蜯蜱蜲蜹蜺蜼蜽蜾蝀蝃蝅蝍蝘蝝蝡蝤蝥蝯蝱蝲蝻螃", 6, "螋螌螐螓螕螗螘螙螞螠螣螧螬螭螮螱螵螾螿蟁蟈蟉蟊蟎蟕蟖蟙蟚蟜蟟蟢蟣蟤蟪蟫蟭蟱蟳蟸蟺蟿蠁蠃蠆蠉蠊蠋蠐蠙蠒蠓蠔蠘蠚蠛蠜蠞蠟蠨蠭蠮蠰蠲蠵"],
    ["8fdca1", "蠺蠼衁衃衅衈衉衊衋衎衑衕衖衘衚衜衟衠衤衩衱衹衻袀袘袚袛袜袟袠袨袪袺袽袾裀裊", 4, "裑裒裓裛裞裧裯裰裱裵裷褁褆褍褎褏褕褖褘褙褚褜褠褦褧褨褰褱褲褵褹褺褾襀襂襅襆襉襏襒襗襚襛襜襡襢襣襫襮襰襳襵襺"],
    ["8fdda1", "襻襼襽覉覍覐覔覕覛覜覟覠覥覰覴覵覶覷覼觔", 4, "觥觩觫觭觱觳觶觹觽觿訄訅訇訏訑訒訔訕訞訠訢訤訦訫訬訯訵訷訽訾詀詃詅詇詉詍詎詓詖詗詘詜詝詡詥詧詵詶詷詹詺詻詾詿誀誃誆誋誏誐誒誖誗誙誟誧誩誮誯誳"],
    ["8fdea1", "誶誷誻誾諃諆諈諉諊諑諓諔諕諗諝諟諬諰諴諵諶諼諿謅謆謋謑謜謞謟謊謭謰謷謼譂", 4, "譈譒譓譔譙譍譞譣譭譶譸譹譼譾讁讄讅讋讍讏讔讕讜讞讟谸谹谽谾豅豇豉豋豏豑豓豔豗豘豛豝豙豣豤豦豨豩豭豳豵豶豻豾貆"],
    ["8fdfa1", "貇貋貐貒貓貙貛貜貤貹貺賅賆賉賋賏賖賕賙賝賡賨賬賯賰賲賵賷賸賾賿贁贃贉贒贗贛赥赩赬赮赿趂趄趈趍趐趑趕趞趟趠趦趫趬趯趲趵趷趹趻跀跅跆跇跈跊跎跑跔跕跗跙跤跥跧跬跰趼跱跲跴跽踁踄踅踆踋踑踔踖踠踡踢"],
    ["8fe0a1", "踣踦踧踱踳踶踷踸踹踽蹀蹁蹋蹍蹎蹏蹔蹛蹜蹝蹞蹡蹢蹩蹬蹭蹯蹰蹱蹹蹺蹻躂躃躉躐躒躕躚躛躝躞躢躧躩躭躮躳躵躺躻軀軁軃軄軇軏軑軔軜軨軮軰軱軷軹軺軭輀輂輇輈輏輐輖輗輘輞輠輡輣輥輧輨輬輭輮輴輵輶輷輺轀轁"],
    ["8fe1a1", "轃轇轏轑", 4, "轘轝轞轥辝辠辡辤辥辦辵辶辸达迀迁迆迊迋迍运迒迓迕迠迣迤迨迮迱迵迶迻迾适逄逈逌逘逛逨逩逯逪逬逭逳逴逷逿遃遄遌遛遝遢遦遧遬遰遴遹邅邈邋邌邎邐邕邗邘邙邛邠邡邢邥邰邲邳邴邶邽郌邾郃"],
    ["8fe2a1", "郄郅郇郈郕郗郘郙郜郝郟郥郒郶郫郯郰郴郾郿鄀鄄鄅鄆鄈鄍鄐鄔鄖鄗鄘鄚鄜鄞鄠鄥鄢鄣鄧鄩鄮鄯鄱鄴鄶鄷鄹鄺鄼鄽酃酇酈酏酓酗酙酚酛酡酤酧酭酴酹酺酻醁醃醅醆醊醎醑醓醔醕醘醞醡醦醨醬醭醮醰醱醲醳醶醻醼醽醿"],
    ["8fe3a1", "釂釃釅釓釔釗釙釚釞釤釥釩釪釬", 5, "釷釹釻釽鈀鈁鈄鈅鈆鈇鈉鈊鈌鈐鈒鈓鈖鈘鈜鈝鈣鈤鈥鈦鈨鈮鈯鈰鈳鈵鈶鈸鈹鈺鈼鈾鉀鉂鉃鉆鉇鉊鉍鉎鉏鉑鉘鉙鉜鉝鉠鉡鉥鉧鉨鉩鉮鉯鉰鉵", 4, "鉻鉼鉽鉿銈銉銊銍銎銒銗"],
    ["8fe4a1", "銙銟銠銤銥銧銨銫銯銲銶銸銺銻銼銽銿", 4, "鋅鋆鋇鋈鋋鋌鋍鋎鋐鋓鋕鋗鋘鋙鋜鋝鋟鋠鋡鋣鋥鋧鋨鋬鋮鋰鋹鋻鋿錀錂錈錍錑錔錕錜錝錞錟錡錤錥錧錩錪錳錴錶錷鍇鍈鍉鍐鍑鍒鍕鍗鍘鍚鍞鍤鍥鍧鍩鍪鍭鍯鍰鍱鍳鍴鍶"],
    ["8fe5a1", "鍺鍽鍿鎀鎁鎂鎈鎊鎋鎍鎏鎒鎕鎘鎛鎞鎡鎣鎤鎦鎨鎫鎴鎵鎶鎺鎩鏁鏄鏅鏆鏇鏉", 4, "鏓鏙鏜鏞鏟鏢鏦鏧鏹鏷鏸鏺鏻鏽鐁鐂鐄鐈鐉鐍鐎鐏鐕鐖鐗鐟鐮鐯鐱鐲鐳鐴鐻鐿鐽鑃鑅鑈鑊鑌鑕鑙鑜鑟鑡鑣鑨鑫鑭鑮鑯鑱鑲钄钃镸镹"],
    ["8fe6a1", "镾閄閈閌閍閎閝閞閟閡閦閩閫閬閴閶閺閽閿闆闈闉闋闐闑闒闓闙闚闝闞闟闠闤闦阝阞阢阤阥阦阬阱阳阷阸阹阺阼阽陁陒陔陖陗陘陡陮陴陻陼陾陿隁隂隃隄隉隑隖隚隝隟隤隥隦隩隮隯隳隺雊雒嶲雘雚雝雞雟雩雯雱雺霂"],
    ["8fe7a1", "霃霅霉霚霛霝霡霢霣霨霱霳靁靃靊靎靏靕靗靘靚靛靣靧靪靮靳靶靷靸靻靽靿鞀鞉鞕鞖鞗鞙鞚鞞鞟鞢鞬鞮鞱鞲鞵鞶鞸鞹鞺鞼鞾鞿韁韄韅韇韉韊韌韍韎韐韑韔韗韘韙韝韞韠韛韡韤韯韱韴韷韸韺頇頊頙頍頎頔頖頜頞頠頣頦"],
    ["8fe8a1", "頫頮頯頰頲頳頵頥頾顄顇顊顑顒顓顖顗顙顚顢顣顥顦顪顬颫颭颮颰颴颷颸颺颻颿飂飅飈飌飡飣飥飦飧飪飳飶餂餇餈餑餕餖餗餚餛餜餟餢餦餧餫餱", 4, "餹餺餻餼饀饁饆饇饈饍饎饔饘饙饛饜饞饟饠馛馝馟馦馰馱馲馵"],
    ["8fe9a1", "馹馺馽馿駃駉駓駔駙駚駜駞駧駪駫駬駰駴駵駹駽駾騂騃騄騋騌騐騑騖騞騠騢騣騤騧騭騮騳騵騶騸驇驁驄驊驋驌驎驑驔驖驝骪骬骮骯骲骴骵骶骹骻骾骿髁髃髆髈髎髐髒髕髖髗髛髜髠髤髥髧髩髬髲髳髵髹髺髽髿", 4],
    ["8feaa1", "鬄鬅鬈鬉鬋鬌鬍鬎鬐鬒鬖鬙鬛鬜鬠鬦鬫鬭鬳鬴鬵鬷鬹鬺鬽魈魋魌魕魖魗魛魞魡魣魥魦魨魪", 4, "魳魵魷魸魹魿鮀鮄鮅鮆鮇鮉鮊鮋鮍鮏鮐鮔鮚鮝鮞鮦鮧鮩鮬鮰鮱鮲鮷鮸鮻鮼鮾鮿鯁鯇鯈鯎鯐鯗鯘鯝鯟鯥鯧鯪鯫鯯鯳鯷鯸"],
    ["8feba1", "鯹鯺鯽鯿鰀鰂鰋鰏鰑鰖鰘鰙鰚鰜鰞鰢鰣鰦", 4, "鰱鰵鰶鰷鰽鱁鱃鱄鱅鱉鱊鱎鱏鱐鱓鱔鱖鱘鱛鱝鱞鱟鱣鱩鱪鱜鱫鱨鱮鱰鱲鱵鱷鱻鳦鳲鳷鳹鴋鴂鴑鴗鴘鴜鴝鴞鴯鴰鴲鴳鴴鴺鴼鵅鴽鵂鵃鵇鵊鵓鵔鵟鵣鵢鵥鵩鵪鵫鵰鵶鵷鵻"],
    ["8feca1", "鵼鵾鶃鶄鶆鶊鶍鶎鶒鶓鶕鶖鶗鶘鶡鶪鶬鶮鶱鶵鶹鶼鶿鷃鷇鷉鷊鷔鷕鷖鷗鷚鷞鷟鷠鷥鷧鷩鷫鷮鷰鷳鷴鷾鸊鸂鸇鸎鸐鸑鸒鸕鸖鸙鸜鸝鹺鹻鹼麀麂麃麄麅麇麎麏麖麘麛麞麤麨麬麮麯麰麳麴麵黆黈黋黕黟黤黧黬黭黮黰黱黲黵"],
    ["8feda1", "黸黿鼂鼃鼉鼏鼐鼑鼒鼔鼖鼗鼙鼚鼛鼟鼢鼦鼪鼫鼯鼱鼲鼴鼷鼹鼺鼼鼽鼿齁齃", 4, "齓齕齖齗齘齚齝齞齨齩齭", 4, "齳齵齺齽龏龐龑龒龔龖龗龞龡龢龣龥"]
  ];
});

// node_modules/raw-body/node_modules/iconv-lite/encodings/tables/cp936.json
var require_cp936 = __commonJS((exports, module) => {
  module.exports = [
    ["0", "\x00", 127, "€"],
    ["8140", "丂丄丅丆丏丒丗丟丠両丣並丩丮丯丱丳丵丷丼乀乁乂乄乆乊乑乕乗乚乛乢乣乤乥乧乨乪", 5, "乲乴", 9, "乿", 6, "亇亊"],
    ["8180", "亐亖亗亙亜亝亞亣亪亯亰亱亴亶亷亸亹亼亽亾仈仌仏仐仒仚仛仜仠仢仦仧仩仭仮仯仱仴仸仹仺仼仾伀伂", 6, "伋伌伒", 4, "伜伝伡伣伨伩伬伭伮伱伳伵伷伹伻伾", 4, "佄佅佇", 5, "佒佔佖佡佢佦佨佪佫佭佮佱佲併佷佸佹佺佽侀侁侂侅來侇侊侌侎侐侒侓侕侖侘侙侚侜侞侟価侢"],
    ["8240", "侤侫侭侰", 4, "侶", 8, "俀俁係俆俇俈俉俋俌俍俒", 4, "俙俛俠俢俤俥俧俫俬俰俲俴俵俶俷俹俻俼俽俿", 11],
    ["8280", "個倎倐們倓倕倖倗倛倝倞倠倢倣値倧倫倯", 10, "倻倽倿偀偁偂偄偅偆偉偊偋偍偐", 4, "偖偗偘偙偛偝", 7, "偦", 5, "偭", 8, "偸偹偺偼偽傁傂傃傄傆傇傉傊傋傌傎", 20, "傤傦傪傫傭", 4, "傳", 6, "傼"],
    ["8340", "傽", 17, "僐", 5, "僗僘僙僛", 10, "僨僩僪僫僯僰僱僲僴僶", 4, "僼", 9, "儈"],
    ["8380", "儉儊儌", 5, "儓", 13, "儢", 28, "兂兇兊兌兎兏児兒兓兗兘兙兛兝", 4, "兣兤兦內兩兪兯兲兺兾兿冃冄円冇冊冋冎冏冐冑冓冔冘冚冝冞冟冡冣冦", 4, "冭冮冴冸冹冺冾冿凁凂凃凅凈凊凍凎凐凒", 5],
    ["8440", "凘凙凚凜凞凟凢凣凥", 5, "凬凮凱凲凴凷凾刄刅刉刋刌刏刐刓刔刕刜刞刟刡刢刣別刦刧刪刬刯刱刲刴刵刼刾剄", 5, "剋剎剏剒剓剕剗剘"],
    ["8480", "剙剚剛剝剟剠剢剣剤剦剨剫剬剭剮剰剱剳", 9, "剾劀劃", 4, "劉", 6, "劑劒劔", 6, "劜劤劥劦劧劮劯劰労", 9, "勀勁勂勄勅勆勈勊勌勍勎勏勑勓勔動勗務", 5, "勠勡勢勣勥", 10, "勱", 7, "勻勼勽匁匂匃匄匇匉匊匋匌匎"],
    ["8540", "匑匒匓匔匘匛匜匞匟匢匤匥匧匨匩匫匬匭匯", 9, "匼匽區卂卄卆卋卌卍卐協単卙卛卝卥卨卪卬卭卲卶卹卻卼卽卾厀厁厃厇厈厊厎厏"],
    ["8580", "厐", 4, "厖厗厙厛厜厞厠厡厤厧厪厫厬厭厯", 6, "厷厸厹厺厼厽厾叀參", 4, "収叏叐叒叓叕叚叜叝叞叡叢叧叴叺叾叿吀吂吅吇吋吔吘吙吚吜吢吤吥吪吰吳吶吷吺吽吿呁呂呄呅呇呉呌呍呎呏呑呚呝", 4, "呣呥呧呩", 7, "呴呹呺呾呿咁咃咅咇咈咉咊咍咑咓咗咘咜咞咟咠咡"],
    ["8640", "咢咥咮咰咲咵咶咷咹咺咼咾哃哅哊哋哖哘哛哠", 4, "哫哬哯哰哱哴", 5, "哻哾唀唂唃唄唅唈唊", 4, "唒唓唕", 5, "唜唝唞唟唡唥唦"],
    ["8680", "唨唩唫唭唲唴唵唶唸唹唺唻唽啀啂啅啇啈啋", 4, "啑啒啓啔啗", 4, "啝啞啟啠啢啣啨啩啫啯", 5, "啹啺啽啿喅喆喌喍喎喐喒喓喕喖喗喚喛喞喠", 6, "喨", 8, "喲喴営喸喺喼喿", 4, "嗆嗇嗈嗊嗋嗎嗏嗐嗕嗗", 4, "嗞嗠嗢嗧嗩嗭嗮嗰嗱嗴嗶嗸", 4, "嗿嘂嘃嘄嘅"],
    ["8740", "嘆嘇嘊嘋嘍嘐", 7, "嘙嘚嘜嘝嘠嘡嘢嘥嘦嘨嘩嘪嘫嘮嘯嘰嘳嘵嘷嘸嘺嘼嘽嘾噀", 11, "噏", 4, "噕噖噚噛噝", 4],
    ["8780", "噣噥噦噧噭噮噯噰噲噳噴噵噷噸噹噺噽", 7, "嚇", 6, "嚐嚑嚒嚔", 14, "嚤", 10, "嚰", 6, "嚸嚹嚺嚻嚽", 12, "囋", 8, "囕囖囘囙囜団囥", 5, "囬囮囯囲図囶囷囸囻囼圀圁圂圅圇國", 6],
    ["8840", "園", 9, "圝圞圠圡圢圤圥圦圧圫圱圲圴", 4, "圼圽圿坁坃坄坅坆坈坉坋坒", 4, "坘坙坢坣坥坧坬坮坰坱坲坴坵坸坹坺坽坾坿垀"],
    ["8880", "垁垇垈垉垊垍", 4, "垔", 6, "垜垝垞垟垥垨垪垬垯垰垱垳垵垶垷垹", 8, "埄", 6, "埌埍埐埑埓埖埗埛埜埞埡埢埣埥", 7, "埮埰埱埲埳埵埶執埻埼埾埿堁堃堄堅堈堉堊堌堎堏堐堒堓堔堖堗堘堚堛堜堝堟堢堣堥", 4, "堫", 4, "報堲堳場堶", 7],
    ["8940", "堾", 5, "塅", 6, "塎塏塐塒塓塕塖塗塙", 4, "塟", 5, "塦", 4, "塭", 16, "塿墂墄墆墇墈墊墋墌"],
    ["8980", "墍", 4, "墔", 4, "墛墜墝墠", 7, "墪", 17, "墽墾墿壀壂壃壄壆", 10, "壒壓壔壖", 13, "壥", 5, "壭壯壱売壴壵壷壸壺", 7, "夃夅夆夈", 4, "夎夐夑夒夓夗夘夛夝夞夠夡夢夣夦夨夬夰夲夳夵夶夻"],
    ["8a40", "夽夾夿奀奃奅奆奊奌奍奐奒奓奙奛", 4, "奡奣奤奦", 12, "奵奷奺奻奼奾奿妀妅妉妋妌妎妏妐妑妔妕妘妚妛妜妝妟妠妡妢妦"],
    ["8a80", "妧妬妭妰妱妳", 5, "妺妼妽妿", 6, "姇姈姉姌姍姎姏姕姖姙姛姞", 4, "姤姦姧姩姪姫姭", 11, "姺姼姽姾娀娂娊娋娍娎娏娐娒娔娕娖娗娙娚娛娝娞娡娢娤娦娧娨娪", 6, "娳娵娷", 4, "娽娾娿婁", 4, "婇婈婋", 9, "婖婗婘婙婛", 5],
    ["8b40", "婡婣婤婥婦婨婩婫", 8, "婸婹婻婼婽婾媀", 17, "媓", 6, "媜", 13, "媫媬"],
    ["8b80", "媭", 4, "媴媶媷媹", 4, "媿嫀嫃", 5, "嫊嫋嫍", 4, "嫓嫕嫗嫙嫚嫛嫝嫞嫟嫢嫤嫥嫧嫨嫪嫬", 4, "嫲", 22, "嬊", 11, "嬘", 25, "嬳嬵嬶嬸", 7, "孁", 6],
    ["8c40", "孈", 7, "孒孖孞孠孡孧孨孫孭孮孯孲孴孶孷學孹孻孼孾孿宂宆宊宍宎宐宑宒宔宖実宧宨宩宬宭宮宯宱宲宷宺宻宼寀寁寃寈寉寊寋寍寎寏"],
    ["8c80", "寑寔", 8, "寠寢寣實寧審", 4, "寯寱", 6, "寽対尀専尃尅將專尋尌對導尐尒尓尗尙尛尞尟尠尡尣尦尨尩尪尫尭尮尯尰尲尳尵尶尷屃屄屆屇屌屍屒屓屔屖屗屘屚屛屜屝屟屢層屧", 6, "屰屲", 6, "屻屼屽屾岀岃", 4, "岉岊岋岎岏岒岓岕岝", 4, "岤", 4],
    ["8d40", "岪岮岯岰岲岴岶岹岺岻岼岾峀峂峃峅", 5, "峌", 5, "峓", 5, "峚", 6, "峢峣峧峩峫峬峮峯峱", 9, "峼", 4],
    ["8d80", "崁崄崅崈", 5, "崏", 4, "崕崗崘崙崚崜崝崟", 4, "崥崨崪崫崬崯", 4, "崵", 7, "崿", 7, "嵈嵉嵍", 10, "嵙嵚嵜嵞", 10, "嵪嵭嵮嵰嵱嵲嵳嵵", 12, "嶃", 21, "嶚嶛嶜嶞嶟嶠"],
    ["8e40", "嶡", 21, "嶸", 12, "巆", 6, "巎", 12, "巜巟巠巣巤巪巬巭"],
    ["8e80", "巰巵巶巸", 4, "巿帀帄帇帉帊帋帍帎帒帓帗帞", 7, "帨", 4, "帯帰帲", 4, "帹帺帾帿幀幁幃幆", 5, "幍", 6, "幖", 4, "幜幝幟幠幣", 14, "幵幷幹幾庁庂広庅庈庉庌庍庎庒庘庛庝庡庢庣庤庨", 4, "庮", 4, "庴庺庻庼庽庿", 6],
    ["8f40", "廆廇廈廋", 5, "廔廕廗廘廙廚廜", 11, "廩廫", 8, "廵廸廹廻廼廽弅弆弇弉弌弍弎弐弒弔弖弙弚弜弝弞弡弢弣弤"],
    ["8f80", "弨弫弬弮弰弲", 6, "弻弽弾弿彁", 14, "彑彔彙彚彛彜彞彟彠彣彥彧彨彫彮彯彲彴彵彶彸彺彽彾彿徃徆徍徎徏徑従徔徖徚徛徝從徟徠徢", 5, "復徫徬徯", 5, "徶徸徹徺徻徾", 4, "忇忈忊忋忎忓忔忕忚忛応忞忟忢忣忥忦忨忩忬忯忰忲忳忴忶忷忹忺忼怇"],
    ["9040", "怈怉怋怌怐怑怓怗怘怚怞怟怢怣怤怬怭怮怰", 4, "怶", 4, "怽怾恀恄", 6, "恌恎恏恑恓恔恖恗恘恛恜恞恟恠恡恥恦恮恱恲恴恵恷恾悀"],
    ["9080", "悁悂悅悆悇悈悊悋悎悏悐悑悓悕悗悘悙悜悞悡悢悤悥悧悩悪悮悰悳悵悶悷悹悺悽", 7, "惇惈惉惌", 4, "惒惓惔惖惗惙惛惞惡", 4, "惪惱惲惵惷惸惻", 4, "愂愃愄愅愇愊愋愌愐", 4, "愖愗愘愙愛愜愝愞愡愢愥愨愩愪愬", 18, "慀", 6],
    ["9140", "慇慉態慍慏慐慒慓慔慖", 6, "慞慟慠慡慣慤慥慦慩", 6, "慱慲慳慴慶慸", 18, "憌憍憏", 4, "憕"],
    ["9180", "憖", 6, "憞", 8, "憪憫憭", 9, "憸", 5, "憿懀懁懃", 4, "應懌", 4, "懓懕", 16, "懧", 13, "懶", 8, "戀", 5, "戇戉戓戔戙戜戝戞戠戣戦戧戨戩戫戭戯戰戱戲戵戶戸", 4, "扂扄扅扆扊"],
    ["9240", "扏扐払扖扗扙扚扜", 6, "扤扥扨扱扲扴扵扷扸扺扻扽抁抂抃抅抆抇抈抋", 5, "抔抙抜抝択抣抦抧抩抪抭抮抯抰抲抳抴抶抷抸抺抾拀拁"],
    ["9280", "拃拋拏拑拕拝拞拠拡拤拪拫拰拲拵拸拹拺拻挀挃挄挅挆挊挋挌挍挏挐挒挓挔挕挗挘挙挜挦挧挩挬挭挮挰挱挳", 5, "挻挼挾挿捀捁捄捇捈捊捑捒捓捔捖", 7, "捠捤捥捦捨捪捫捬捯捰捲捳捴捵捸捹捼捽捾捿掁掃掄掅掆掋掍掑掓掔掕掗掙", 6, "採掤掦掫掯掱掲掵掶掹掻掽掿揀"],
    ["9340", "揁揂揃揅揇揈揊揋揌揑揓揔揕揗", 6, "揟揢揤", 4, "揫揬揮揯揰揱揳揵揷揹揺揻揼揾搃搄搆", 4, "損搎搑搒搕", 5, "搝搟搢搣搤"],
    ["9380", "搥搧搨搩搫搮", 5, "搵", 4, "搻搼搾摀摂摃摉摋", 6, "摓摕摖摗摙", 4, "摟", 7, "摨摪摫摬摮", 9, "摻", 6, "撃撆撈", 8, "撓撔撗撘撚撛撜撝撟", 4, "撥撦撧撨撪撫撯撱撲撳撴撶撹撻撽撾撿擁擃擄擆", 6, "擏擑擓擔擕擖擙據"],
    ["9440", "擛擜擝擟擠擡擣擥擧", 24, "攁", 7, "攊", 7, "攓", 4, "攙", 8],
    ["9480", "攢攣攤攦", 4, "攬攭攰攱攲攳攷攺攼攽敀", 4, "敆敇敊敋敍敎敐敒敓敔敗敘敚敜敟敠敡敤敥敧敨敩敪敭敮敯敱敳敵敶數", 14, "斈斉斊斍斎斏斒斔斕斖斘斚斝斞斠斢斣斦斨斪斬斮斱", 7, "斺斻斾斿旀旂旇旈旉旊旍旐旑旓旔旕旘", 7, "旡旣旤旪旫"],
    ["9540", "旲旳旴旵旸旹旻", 4, "昁昄昅昇昈昉昋昍昐昑昒昖昗昘昚昛昜昞昡昢昣昤昦昩昪昫昬昮昰昲昳昷", 4, "昽昿晀時晄", 6, "晍晎晐晑晘"],
    ["9580", "晙晛晜晝晞晠晢晣晥晧晩", 4, "晱晲晳晵晸晹晻晼晽晿暀暁暃暅暆暈暉暊暋暍暎暏暐暒暓暔暕暘", 4, "暞", 8, "暩", 4, "暯", 4, "暵暶暷暸暺暻暼暽暿", 25, "曚曞", 7, "曧曨曪", 5, "曱曵曶書曺曻曽朁朂會"],
    ["9640", "朄朅朆朇朌朎朏朑朒朓朖朘朙朚朜朞朠", 5, "朧朩朮朰朲朳朶朷朸朹朻朼朾朿杁杄杅杇杊杋杍杒杔杕杗", 4, "杝杢杣杤杦杧杫杬杮東杴杶"],
    ["9680", "杸杹杺杻杽枀枂枃枅枆枈枊枌枍枎枏枑枒枓枔枖枙枛枟枠枡枤枦枩枬枮枱枲枴枹", 7, "柂柅", 9, "柕柖柗柛柟柡柣柤柦柧柨柪柫柭柮柲柵", 7, "柾栁栂栃栄栆栍栐栒栔栕栘", 4, "栞栟栠栢", 6, "栫", 6, "栴栵栶栺栻栿桇桋桍桏桒桖", 5],
    ["9740", "桜桝桞桟桪桬", 7, "桵桸", 8, "梂梄梇", 7, "梐梑梒梔梕梖梘", 9, "梣梤梥梩梪梫梬梮梱梲梴梶梷梸"],
    ["9780", "梹", 6, "棁棃", 5, "棊棌棎棏棐棑棓棔棖棗棙棛", 4, "棡棢棤", 9, "棯棲棳棴棶棷棸棻棽棾棿椀椂椃椄椆", 4, "椌椏椑椓", 11, "椡椢椣椥", 7, "椮椯椱椲椳椵椶椷椸椺椻椼椾楀楁楃", 16, "楕楖楘楙楛楜楟"],
    ["9840", "楡楢楤楥楧楨楩楪楬業楯楰楲", 4, "楺楻楽楾楿榁榃榅榊榋榌榎", 5, "榖榗榙榚榝", 9, "榩榪榬榮榯榰榲榳榵榶榸榹榺榼榽"],
    ["9880", "榾榿槀槂", 7, "構槍槏槑槒槓槕", 5, "槜槝槞槡", 11, "槮槯槰槱槳", 9, "槾樀", 9, "樋", 11, "標", 5, "樠樢", 5, "権樫樬樭樮樰樲樳樴樶", 6, "樿", 4, "橅橆橈", 7, "橑", 6, "橚"],
    ["9940", "橜", 4, "橢橣橤橦", 10, "橲", 6, "橺橻橽橾橿檁檂檃檅", 8, "檏檒", 4, "檘", 7, "檡", 5],
    ["9980", "檧檨檪檭", 114, "欥欦欨", 6],
    ["9a40", "欯欰欱欳欴欵欶欸欻欼欽欿歀歁歂歄歅歈歊歋歍", 11, "歚", 7, "歨歩歫", 13, "歺歽歾歿殀殅殈"],
    ["9a80", "殌殎殏殐殑殔殕殗殘殙殜", 4, "殢", 7, "殫", 7, "殶殸", 6, "毀毃毄毆", 4, "毌毎毐毑毘毚毜", 4, "毢", 7, "毬毭毮毰毱毲毴毶毷毸毺毻毼毾", 6, "氈", 4, "氎氒気氜氝氞氠氣氥氫氬氭氱氳氶氷氹氺氻氼氾氿汃汄汅汈汋", 4, "汑汒汓汖汘"],
    ["9b40", "汙汚汢汣汥汦汧汫", 4, "汱汳汵汷汸決汻汼汿沀沄沇沊沋沍沎沑沒沕沖沗沘沚沜沝沞沠沢沨沬沯沰沴沵沶沷沺泀況泂泃泆泇泈泋泍泎泏泑泒泘"],
    ["9b80", "泙泚泜泝泟泤泦泧泩泬泭泲泴泹泿洀洂洃洅洆洈洉洊洍洏洐洑洓洔洕洖洘洜洝洟", 5, "洦洨洩洬洭洯洰洴洶洷洸洺洿浀浂浄浉浌浐浕浖浗浘浛浝浟浡浢浤浥浧浨浫浬浭浰浱浲浳浵浶浹浺浻浽", 4, "涃涄涆涇涊涋涍涏涐涒涖", 4, "涜涢涥涬涭涰涱涳涴涶涷涹", 5, "淁淂淃淈淉淊"],
    ["9c40", "淍淎淏淐淒淓淔淕淗淚淛淜淟淢淣淥淧淨淩淪淭淯淰淲淴淵淶淸淺淽", 7, "渆渇済渉渋渏渒渓渕渘渙減渜渞渟渢渦渧渨渪測渮渰渱渳渵"],
    ["9c80", "渶渷渹渻", 7, "湅", 7, "湏湐湑湒湕湗湙湚湜湝湞湠", 10, "湬湭湯", 14, "満溁溂溄溇溈溊", 4, "溑", 6, "溙溚溛溝溞溠溡溣溤溦溨溩溫溬溭溮溰溳溵溸溹溼溾溿滀滃滄滅滆滈滉滊滌滍滎滐滒滖滘滙滛滜滝滣滧滪", 5],
    ["9d40", "滰滱滲滳滵滶滷滸滺", 7, "漃漄漅漇漈漊", 4, "漐漑漒漖", 9, "漡漢漣漥漦漧漨漬漮漰漲漴漵漷", 6, "漿潀潁潂"],
    ["9d80", "潃潄潅潈潉潊潌潎", 9, "潙潚潛潝潟潠潡潣潤潥潧", 5, "潯潰潱潳潵潶潷潹潻潽", 6, "澅澆澇澊澋澏", 12, "澝澞澟澠澢", 4, "澨", 10, "澴澵澷澸澺", 5, "濁濃", 5, "濊", 6, "濓", 10, "濟濢濣濤濥"],
    ["9e40", "濦", 7, "濰", 32, "瀒", 7, "瀜", 6, "瀤", 6],
    ["9e80", "瀫", 9, "瀶瀷瀸瀺", 17, "灍灎灐", 13, "灟", 11, "灮灱灲灳灴灷灹灺灻災炁炂炃炄炆炇炈炋炌炍炏炐炑炓炗炘炚炛炞", 12, "炰炲炴炵炶為炾炿烄烅烆烇烉烋", 12, "烚"],
    ["9f40", "烜烝烞烠烡烢烣烥烪烮烰", 6, "烸烺烻烼烾", 10, "焋", 4, "焑焒焔焗焛", 10, "焧", 7, "焲焳焴"],
    ["9f80", "焵焷", 13, "煆煇煈煉煋煍煏", 12, "煝煟", 4, "煥煩", 4, "煯煰煱煴煵煶煷煹煻煼煾", 5, "熅", 4, "熋熌熍熎熐熑熒熓熕熖熗熚", 4, "熡", 6, "熩熪熫熭", 5, "熴熶熷熸熺", 8, "燄", 9, "燏", 4],
    ["a040", "燖", 9, "燡燢燣燤燦燨", 5, "燯", 9, "燺", 11, "爇", 19],
    ["a080", "爛爜爞", 9, "爩爫爭爮爯爲爳爴爺爼爾牀", 6, "牉牊牋牎牏牐牑牓牔牕牗牘牚牜牞牠牣牤牥牨牪牫牬牭牰牱牳牴牶牷牸牻牼牽犂犃犅", 4, "犌犎犐犑犓", 11, "犠", 11, "犮犱犲犳犵犺", 6, "狅狆狇狉狊狋狌狏狑狓狔狕狖狘狚狛"],
    ["a1a1", "　、。·ˉˇ¨〃々—～‖…‘’“”〔〕〈", 7, "〖〗【】±×÷∶∧∨∑∏∪∩∈∷√⊥∥∠⌒⊙∫∮≡≌≈∽∝≠≮≯≤≥∞∵∴♂♀°′″℃＄¤￠￡‰§№☆★○●◎◇◆□■△▲※→←↑↓〓"],
    ["a2a1", "ⅰ", 9],
    ["a2b1", "⒈", 19, "⑴", 19, "①", 9],
    ["a2e5", "㈠", 9],
    ["a2f1", "Ⅰ", 11],
    ["a3a1", "！＂＃￥％", 88, "￣"],
    ["a4a1", "ぁ", 82],
    ["a5a1", "ァ", 85],
    ["a6a1", "Α", 16, "Σ", 6],
    ["a6c1", "α", 16, "σ", 6],
    ["a6e0", "︵︶︹︺︿﹀︽︾﹁﹂﹃﹄"],
    ["a6ee", "︻︼︷︸︱"],
    ["a6f4", "︳︴"],
    ["a7a1", "А", 5, "ЁЖ", 25],
    ["a7d1", "а", 5, "ёж", 25],
    ["a840", "ˊˋ˙–―‥‵℅℉↖↗↘↙∕∟∣≒≦≧⊿═", 35, "▁", 6],
    ["a880", "█", 7, "▓▔▕▼▽◢◣◤◥☉⊕〒〝〞"],
    ["a8a1", "āáǎàēéěèīíǐìōóǒòūúǔùǖǘǚǜüêɑ"],
    ["a8bd", "ńň"],
    ["a8c0", "ɡ"],
    ["a8c5", "ㄅ", 36],
    ["a940", "〡", 8, "㊣㎎㎏㎜㎝㎞㎡㏄㏎㏑㏒㏕︰￢￤"],
    ["a959", "℡㈱"],
    ["a95c", "‐"],
    ["a960", "ー゛゜ヽヾ〆ゝゞ﹉", 9, "﹔﹕﹖﹗﹙", 8],
    ["a980", "﹢", 4, "﹨﹩﹪﹫"],
    ["a996", "〇"],
    ["a9a4", "─", 75],
    ["aa40", "狜狝狟狢", 5, "狪狫狵狶狹狽狾狿猀猂猄", 5, "猋猌猍猏猐猑猒猔猘猙猚猟猠猣猤猦猧猨猭猯猰猲猳猵猶猺猻猼猽獀", 8],
    ["aa80", "獉獊獋獌獎獏獑獓獔獕獖獘", 7, "獡", 10, "獮獰獱"],
    ["ab40", "獲", 11, "獿", 4, "玅玆玈玊玌玍玏玐玒玓玔玕玗玘玙玚玜玝玞玠玡玣", 5, "玪玬玭玱玴玵玶玸玹玼玽玾玿珁珃", 4],
    ["ab80", "珋珌珎珒", 6, "珚珛珜珝珟珡珢珣珤珦珨珪珫珬珮珯珰珱珳", 4],
    ["ac40", "珸", 10, "琄琇琈琋琌琍琎琑", 8, "琜", 5, "琣琤琧琩琫琭琯琱琲琷", 4, "琽琾琿瑀瑂", 11],
    ["ac80", "瑎", 6, "瑖瑘瑝瑠", 12, "瑮瑯瑱", 4, "瑸瑹瑺"],
    ["ad40", "瑻瑼瑽瑿璂璄璅璆璈璉璊璌璍璏璑", 10, "璝璟", 7, "璪", 15, "璻", 12],
    ["ad80", "瓈", 9, "瓓", 8, "瓝瓟瓡瓥瓧", 6, "瓰瓱瓲"],
    ["ae40", "瓳瓵瓸", 6, "甀甁甂甃甅", 7, "甎甐甒甔甕甖甗甛甝甞甠", 4, "甦甧甪甮甴甶甹甼甽甿畁畂畃畄畆畇畉畊畍畐畑畒畓畕畖畗畘"],
    ["ae80", "畝", 7, "畧畨畩畫", 6, "畳畵當畷畺", 4, "疀疁疂疄疅疇"],
    ["af40", "疈疉疊疌疍疎疐疓疕疘疛疜疞疢疦", 4, "疭疶疷疺疻疿痀痁痆痋痌痎痏痐痑痓痗痙痚痜痝痟痠痡痥痩痬痭痮痯痲痳痵痶痷痸痺痻痽痾瘂瘄瘆瘇"],
    ["af80", "瘈瘉瘋瘍瘎瘏瘑瘒瘓瘔瘖瘚瘜瘝瘞瘡瘣瘧瘨瘬瘮瘯瘱瘲瘶瘷瘹瘺瘻瘽癁療癄"],
    ["b040", "癅", 6, "癎", 5, "癕癗", 4, "癝癟癠癡癢癤", 6, "癬癭癮癰", 7, "癹発發癿皀皁皃皅皉皊皌皍皏皐皒皔皕皗皘皚皛"],
    ["b080", "皜", 7, "皥", 8, "皯皰皳皵", 9, "盀盁盃啊阿埃挨哎唉哀皑癌蔼矮艾碍爱隘鞍氨安俺按暗岸胺案肮昂盎凹敖熬翱袄傲奥懊澳芭捌扒叭吧笆八疤巴拔跋靶把耙坝霸罢爸白柏百摆佰败拜稗斑班搬扳般颁板版扮拌伴瓣半办绊邦帮梆榜膀绑棒磅蚌镑傍谤苞胞包褒剥"],
    ["b140", "盄盇盉盋盌盓盕盙盚盜盝盞盠", 4, "盦", 7, "盰盳盵盶盷盺盻盽盿眀眂眃眅眆眊県眎", 10, "眛眜眝眞眡眣眤眥眧眪眫"],
    ["b180", "眬眮眰", 4, "眹眻眽眾眿睂睄睅睆睈", 7, "睒", 7, "睜薄雹保堡饱宝抱报暴豹鲍爆杯碑悲卑北辈背贝钡倍狈备惫焙被奔苯本笨崩绷甭泵蹦迸逼鼻比鄙笔彼碧蓖蔽毕毙毖币庇痹闭敝弊必辟壁臂避陛鞭边编贬扁便变卞辨辩辫遍标彪膘表鳖憋别瘪彬斌濒滨宾摈兵冰柄丙秉饼炳"],
    ["b240", "睝睞睟睠睤睧睩睪睭", 11, "睺睻睼瞁瞂瞃瞆", 5, "瞏瞐瞓", 11, "瞡瞣瞤瞦瞨瞫瞭瞮瞯瞱瞲瞴瞶", 4],
    ["b280", "瞼瞾矀", 12, "矎", 8, "矘矙矚矝", 4, "矤病并玻菠播拨钵波博勃搏铂箔伯帛舶脖膊渤泊驳捕卜哺补埠不布步簿部怖擦猜裁材才财睬踩采彩菜蔡餐参蚕残惭惨灿苍舱仓沧藏操糙槽曹草厕策侧册测层蹭插叉茬茶查碴搽察岔差诧拆柴豺搀掺蝉馋谗缠铲产阐颤昌猖"],
    ["b340", "矦矨矪矯矰矱矲矴矵矷矹矺矻矼砃", 5, "砊砋砎砏砐砓砕砙砛砞砠砡砢砤砨砪砫砮砯砱砲砳砵砶砽砿硁硂硃硄硆硈硉硊硋硍硏硑硓硔硘硙硚"],
    ["b380", "硛硜硞", 11, "硯", 7, "硸硹硺硻硽", 6, "场尝常长偿肠厂敞畅唱倡超抄钞朝嘲潮巢吵炒车扯撤掣彻澈郴臣辰尘晨忱沉陈趁衬撑称城橙成呈乘程惩澄诚承逞骋秤吃痴持匙池迟弛驰耻齿侈尺赤翅斥炽充冲虫崇宠抽酬畴踌稠愁筹仇绸瞅丑臭初出橱厨躇锄雏滁除楚"],
    ["b440", "碄碅碆碈碊碋碏碐碒碔碕碖碙碝碞碠碢碤碦碨", 7, "碵碶碷碸確碻碼碽碿磀磂磃磄磆磇磈磌磍磎磏磑磒磓磖磗磘磚", 9],
    ["b480", "磤磥磦磧磩磪磫磭", 4, "磳磵磶磸磹磻", 5, "礂礃礄礆", 6, "础储矗搐触处揣川穿椽传船喘串疮窗幢床闯创吹炊捶锤垂春椿醇唇淳纯蠢戳绰疵茨磁雌辞慈瓷词此刺赐次聪葱囱匆从丛凑粗醋簇促蹿篡窜摧崔催脆瘁粹淬翠村存寸磋撮搓措挫错搭达答瘩打大呆歹傣戴带殆代贷袋待逮"],
    ["b540", "礍", 5, "礔", 9, "礟", 4, "礥", 14, "礵", 4, "礽礿祂祃祄祅祇祊", 8, "祔祕祘祙祡祣"],
    ["b580", "祤祦祩祪祫祬祮祰", 6, "祹祻", 4, "禂禃禆禇禈禉禋禌禍禎禐禑禒怠耽担丹单郸掸胆旦氮但惮淡诞弹蛋当挡党荡档刀捣蹈倒岛祷导到稻悼道盗德得的蹬灯登等瞪凳邓堤低滴迪敌笛狄涤翟嫡抵底地蒂第帝弟递缔颠掂滇碘点典靛垫电佃甸店惦奠淀殿碉叼雕凋刁掉吊钓调跌爹碟蝶迭谍叠"],
    ["b640", "禓", 6, "禛", 11, "禨", 10, "禴", 4, "禼禿秂秄秅秇秈秊秌秎秏秐秓秔秖秗秙", 5, "秠秡秢秥秨秪"],
    ["b680", "秬秮秱", 6, "秹秺秼秾秿稁稄稅稇稈稉稊稌稏", 4, "稕稖稘稙稛稜丁盯叮钉顶鼎锭定订丢东冬董懂动栋侗恫冻洞兜抖斗陡豆逗痘都督毒犊独读堵睹赌杜镀肚度渡妒端短锻段断缎堆兑队对墩吨蹲敦顿囤钝盾遁掇哆多夺垛躲朵跺舵剁惰堕蛾峨鹅俄额讹娥恶厄扼遏鄂饿恩而儿耳尔饵洱二"],
    ["b740", "稝稟稡稢稤", 14, "稴稵稶稸稺稾穀", 5, "穇", 9, "穒", 4, "穘", 16],
    ["b780", "穩", 6, "穱穲穳穵穻穼穽穾窂窅窇窉窊窋窌窎窏窐窓窔窙窚窛窞窡窢贰发罚筏伐乏阀法珐藩帆番翻樊矾钒繁凡烦反返范贩犯饭泛坊芳方肪房防妨仿访纺放菲非啡飞肥匪诽吠肺废沸费芬酚吩氛分纷坟焚汾粉奋份忿愤粪丰封枫蜂峰锋风疯烽逢冯缝讽奉凤佛否夫敷肤孵扶拂辐幅氟符伏俘服"],
    ["b840", "窣窤窧窩窪窫窮", 4, "窴", 10, "竀", 10, "竌", 9, "竗竘竚竛竜竝竡竢竤竧", 5, "竮竰竱竲竳"],
    ["b880", "竴", 4, "竻竼竾笀笁笂笅笇笉笌笍笎笐笒笓笖笗笘笚笜笝笟笡笢笣笧笩笭浮涪福袱弗甫抚辅俯釜斧脯腑府腐赴副覆赋复傅付阜父腹负富讣附妇缚咐噶嘎该改概钙盖溉干甘杆柑竿肝赶感秆敢赣冈刚钢缸肛纲岗港杠篙皋高膏羔糕搞镐稿告哥歌搁戈鸽胳疙割革葛格蛤阁隔铬个各给根跟耕更庚羹"],
    ["b940", "笯笰笲笴笵笶笷笹笻笽笿", 5, "筆筈筊筍筎筓筕筗筙筜筞筟筡筣", 10, "筯筰筳筴筶筸筺筼筽筿箁箂箃箄箆", 6, "箎箏"],
    ["b980", "箑箒箓箖箘箙箚箛箞箟箠箣箤箥箮箯箰箲箳箵箶箷箹", 7, "篂篃範埂耿梗工攻功恭龚供躬公宫弓巩汞拱贡共钩勾沟苟狗垢构购够辜菇咕箍估沽孤姑鼓古蛊骨谷股故顾固雇刮瓜剐寡挂褂乖拐怪棺关官冠观管馆罐惯灌贯光广逛瑰规圭硅归龟闺轨鬼诡癸桂柜跪贵刽辊滚棍锅郭国果裹过哈"],
    ["ba40", "篅篈築篊篋篍篎篏篐篒篔", 4, "篛篜篞篟篠篢篣篤篧篨篩篫篬篭篯篰篲", 4, "篸篹篺篻篽篿", 7, "簈簉簊簍簎簐", 5, "簗簘簙"],
    ["ba80", "簚", 4, "簠", 5, "簨簩簫", 12, "簹", 5, "籂骸孩海氦亥害骇酣憨邯韩含涵寒函喊罕翰撼捍旱憾悍焊汗汉夯杭航壕嚎豪毫郝好耗号浩呵喝荷菏核禾和何合盒貉阂河涸赫褐鹤贺嘿黑痕很狠恨哼亨横衡恒轰哄烘虹鸿洪宏弘红喉侯猴吼厚候后呼乎忽瑚壶葫胡蝴狐糊湖"],
    ["bb40", "籃", 9, "籎", 36, "籵", 5, "籾", 9],
    ["bb80", "粈粊", 6, "粓粔粖粙粚粛粠粡粣粦粧粨粩粫粬粭粯粰粴", 4, "粺粻弧虎唬护互沪户花哗华猾滑画划化话槐徊怀淮坏欢环桓还缓换患唤痪豢焕涣宦幻荒慌黄磺蝗簧皇凰惶煌晃幌恍谎灰挥辉徽恢蛔回毁悔慧卉惠晦贿秽会烩汇讳诲绘荤昏婚魂浑混豁活伙火获或惑霍货祸击圾基机畸稽积箕"],
    ["bc40", "粿糀糂糃糄糆糉糋糎", 6, "糘糚糛糝糞糡", 6, "糩", 5, "糰", 7, "糹糺糼", 13, "紋", 5],
    ["bc80", "紑", 14, "紡紣紤紥紦紨紩紪紬紭紮細", 6, "肌饥迹激讥鸡姬绩缉吉极棘辑籍集及急疾汲即嫉级挤几脊己蓟技冀季伎祭剂悸济寄寂计记既忌际妓继纪嘉枷夹佳家加荚颊贾甲钾假稼价架驾嫁歼监坚尖笺间煎兼肩艰奸缄茧检柬碱硷拣捡简俭剪减荐槛鉴践贱见键箭件"],
    ["bd40", "紷", 54, "絯", 7],
    ["bd80", "絸", 32, "健舰剑饯渐溅涧建僵姜将浆江疆蒋桨奖讲匠酱降蕉椒礁焦胶交郊浇骄娇嚼搅铰矫侥脚狡角饺缴绞剿教酵轿较叫窖揭接皆秸街阶截劫节桔杰捷睫竭洁结解姐戒藉芥界借介疥诫届巾筋斤金今津襟紧锦仅谨进靳晋禁近烬浸"],
    ["be40", "継", 12, "綧", 6, "綯", 42],
    ["be80", "線", 32, "尽劲荆兢茎睛晶鲸京惊精粳经井警景颈静境敬镜径痉靖竟竞净炯窘揪究纠玖韭久灸九酒厩救旧臼舅咎就疚鞠拘狙疽居驹菊局咀矩举沮聚拒据巨具距踞锯俱句惧炬剧捐鹃娟倦眷卷绢撅攫抉掘倔爵觉决诀绝均菌钧军君峻"],
    ["bf40", "緻", 62],
    ["bf80", "縺縼", 4, "繂", 4, "繈", 21, "俊竣浚郡骏喀咖卡咯开揩楷凯慨刊堪勘坎砍看康慷糠扛抗亢炕考拷烤靠坷苛柯棵磕颗科壳咳可渴克刻客课肯啃垦恳坑吭空恐孔控抠口扣寇枯哭窟苦酷库裤夸垮挎跨胯块筷侩快宽款匡筐狂框矿眶旷况亏盔岿窥葵奎魁傀"],
    ["c040", "繞", 35, "纃", 23, "纜纝纞"],
    ["c080", "纮纴纻纼绖绤绬绹缊缐缞缷缹缻", 6, "罃罆", 9, "罒罓馈愧溃坤昆捆困括扩廓阔垃拉喇蜡腊辣啦莱来赖蓝婪栏拦篮阑兰澜谰揽览懒缆烂滥琅榔狼廊郎朗浪捞劳牢老佬姥酪烙涝勒乐雷镭蕾磊累儡垒擂肋类泪棱楞冷厘梨犁黎篱狸离漓理李里鲤礼莉荔吏栗丽厉励砾历利傈例俐"],
    ["c140", "罖罙罛罜罝罞罠罣", 4, "罫罬罭罯罰罳罵罶罷罸罺罻罼罽罿羀羂", 7, "羋羍羏", 4, "羕", 4, "羛羜羠羢羣羥羦羨", 6, "羱"],
    ["c180", "羳", 4, "羺羻羾翀翂翃翄翆翇翈翉翋翍翏", 4, "翖翗翙", 5, "翢翣痢立粒沥隶力璃哩俩联莲连镰廉怜涟帘敛脸链恋炼练粮凉梁粱良两辆量晾亮谅撩聊僚疗燎寥辽潦了撂镣廖料列裂烈劣猎琳林磷霖临邻鳞淋凛赁吝拎玲菱零龄铃伶羚凌灵陵岭领另令溜琉榴硫馏留刘瘤流柳六龙聋咙笼窿"],
    ["c240", "翤翧翨翪翫翬翭翯翲翴", 6, "翽翾翿耂耇耈耉耊耎耏耑耓耚耛耝耞耟耡耣耤耫", 5, "耲耴耹耺耼耾聀聁聄聅聇聈聉聎聏聐聑聓聕聖聗"],
    ["c280", "聙聛", 13, "聫", 5, "聲", 11, "隆垄拢陇楼娄搂篓漏陋芦卢颅庐炉掳卤虏鲁麓碌露路赂鹿潞禄录陆戮驴吕铝侣旅履屡缕虑氯律率滤绿峦挛孪滦卵乱掠略抡轮伦仑沦纶论萝螺罗逻锣箩骡裸落洛骆络妈麻玛码蚂马骂嘛吗埋买麦卖迈脉瞒馒蛮满蔓曼慢漫"],
    ["c340", "聾肁肂肅肈肊肍", 5, "肔肕肗肙肞肣肦肧肨肬肰肳肵肶肸肹肻胅胇", 4, "胏", 6, "胘胟胠胢胣胦胮胵胷胹胻胾胿脀脁脃脄脅脇脈脋"],
    ["c380", "脌脕脗脙脛脜脝脟", 12, "脭脮脰脳脴脵脷脹", 4, "脿谩芒茫盲氓忙莽猫茅锚毛矛铆卯茂冒帽貌贸么玫枚梅酶霉煤没眉媒镁每美昧寐妹媚门闷们萌蒙檬盟锰猛梦孟眯醚靡糜迷谜弥米秘觅泌蜜密幂棉眠绵冕免勉娩缅面苗描瞄藐秒渺庙妙蔑灭民抿皿敏悯闽明螟鸣铭名命谬摸"],
    ["c440", "腀", 5, "腇腉腍腎腏腒腖腗腘腛", 4, "腡腢腣腤腦腨腪腫腬腯腲腳腵腶腷腸膁膃", 4, "膉膋膌膍膎膐膒", 5, "膙膚膞", 4, "膤膥"],
    ["c480", "膧膩膫", 7, "膴", 5, "膼膽膾膿臄臅臇臈臉臋臍", 6, "摹蘑模膜磨摩魔抹末莫墨默沫漠寞陌谋牟某拇牡亩姆母墓暮幕募慕木目睦牧穆拿哪呐钠那娜纳氖乃奶耐奈南男难囊挠脑恼闹淖呢馁内嫩能妮霓倪泥尼拟你匿腻逆溺蔫拈年碾撵捻念娘酿鸟尿捏聂孽啮镊镍涅您柠狞凝宁"],
    ["c540", "臔", 14, "臤臥臦臨臩臫臮", 4, "臵", 5, "臽臿舃與", 4, "舎舏舑舓舕", 5, "舝舠舤舥舦舧舩舮舲舺舼舽舿"],
    ["c580", "艀艁艂艃艅艆艈艊艌艍艎艐", 7, "艙艛艜艝艞艠", 7, "艩拧泞牛扭钮纽脓浓农弄奴努怒女暖虐疟挪懦糯诺哦欧鸥殴藕呕偶沤啪趴爬帕怕琶拍排牌徘湃派攀潘盘磐盼畔判叛乓庞旁耪胖抛咆刨炮袍跑泡呸胚培裴赔陪配佩沛喷盆砰抨烹澎彭蓬棚硼篷膨朋鹏捧碰坯砒霹批披劈琵毗"],
    ["c640", "艪艫艬艭艱艵艶艷艸艻艼芀芁芃芅芆芇芉芌芐芓芔芕芖芚芛芞芠芢芣芧芲芵芶芺芻芼芿苀苂苃苅苆苉苐苖苙苚苝苢苧苨苩苪苬苭苮苰苲苳苵苶苸"],
    ["c680", "苺苼", 4, "茊茋茍茐茒茓茖茘茙茝", 9, "茩茪茮茰茲茷茻茽啤脾疲皮匹痞僻屁譬篇偏片骗飘漂瓢票撇瞥拼频贫品聘乒坪苹萍平凭瓶评屏坡泼颇婆破魄迫粕剖扑铺仆莆葡菩蒲埔朴圃普浦谱曝瀑期欺栖戚妻七凄漆柒沏其棋奇歧畦崎脐齐旗祈祁骑起岂乞企启契砌器气迄弃汽泣讫掐"],
    ["c740", "茾茿荁荂荄荅荈荊", 4, "荓荕", 4, "荝荢荰", 6, "荹荺荾", 6, "莇莈莊莋莌莍莏莐莑莔莕莖莗莙莚莝莟莡", 6, "莬莭莮"],
    ["c780", "莯莵莻莾莿菂菃菄菆菈菉菋菍菎菐菑菒菓菕菗菙菚菛菞菢菣菤菦菧菨菫菬菭恰洽牵扦钎铅千迁签仟谦乾黔钱钳前潜遣浅谴堑嵌欠歉枪呛腔羌墙蔷强抢橇锹敲悄桥瞧乔侨巧鞘撬翘峭俏窍切茄且怯窃钦侵亲秦琴勤芹擒禽寝沁青轻氢倾卿清擎晴氰情顷请庆琼穷秋丘邱球求囚酋泅趋区蛆曲躯屈驱渠"],
    ["c840", "菮華菳", 4, "菺菻菼菾菿萀萂萅萇萈萉萊萐萒", 5, "萙萚萛萞", 5, "萩", 7, "萲", 5, "萹萺萻萾", 7, "葇葈葉"],
    ["c880", "葊", 6, "葒", 4, "葘葝葞葟葠葢葤", 4, "葪葮葯葰葲葴葷葹葻葼取娶龋趣去圈颧权醛泉全痊拳犬券劝缺炔瘸却鹊榷确雀裙群然燃冉染瓤壤攘嚷让饶扰绕惹热壬仁人忍韧任认刃妊纫扔仍日戎茸蓉荣融熔溶容绒冗揉柔肉茹蠕儒孺如辱乳汝入褥软阮蕊瑞锐闰润若弱撒洒萨腮鳃塞赛三叁"],
    ["c940", "葽", 4, "蒃蒄蒅蒆蒊蒍蒏", 7, "蒘蒚蒛蒝蒞蒟蒠蒢", 12, "蒰蒱蒳蒵蒶蒷蒻蒼蒾蓀蓂蓃蓅蓆蓇蓈蓋蓌蓎蓏蓒蓔蓕蓗"],
    ["c980", "蓘", 4, "蓞蓡蓢蓤蓧", 4, "蓭蓮蓯蓱", 10, "蓽蓾蔀蔁蔂伞散桑嗓丧搔骚扫嫂瑟色涩森僧莎砂杀刹沙纱傻啥煞筛晒珊苫杉山删煽衫闪陕擅赡膳善汕扇缮墒伤商赏晌上尚裳梢捎稍烧芍勺韶少哨邵绍奢赊蛇舌舍赦摄射慑涉社设砷申呻伸身深娠绅神沈审婶甚肾慎渗声生甥牲升绳"],
    ["ca40", "蔃", 8, "蔍蔎蔏蔐蔒蔔蔕蔖蔘蔙蔛蔜蔝蔞蔠蔢", 8, "蔭", 9, "蔾", 4, "蕄蕅蕆蕇蕋", 10],
    ["ca80", "蕗蕘蕚蕛蕜蕝蕟", 4, "蕥蕦蕧蕩", 8, "蕳蕵蕶蕷蕸蕼蕽蕿薀薁省盛剩胜圣师失狮施湿诗尸虱十石拾时什食蚀实识史矢使屎驶始式示士世柿事拭誓逝势是嗜噬适仕侍释饰氏市恃室视试收手首守寿授售受瘦兽蔬枢梳殊抒输叔舒淑疏书赎孰熟薯暑曙署蜀黍鼠属术述树束戍竖墅庶数漱"],
    ["cb40", "薂薃薆薈", 6, "薐", 10, "薝", 6, "薥薦薧薩薫薬薭薱", 5, "薸薺", 6, "藂", 6, "藊", 4, "藑藒"],
    ["cb80", "藔藖", 5, "藝", 6, "藥藦藧藨藪", 14, "恕刷耍摔衰甩帅栓拴霜双爽谁水睡税吮瞬顺舜说硕朔烁斯撕嘶思私司丝死肆寺嗣四伺似饲巳松耸怂颂送宋讼诵搜艘擞嗽苏酥俗素速粟僳塑溯宿诉肃酸蒜算虽隋随绥髓碎岁穗遂隧祟孙损笋蓑梭唆缩琐索锁所塌他它她塔"],
    ["cc40", "藹藺藼藽藾蘀", 4, "蘆", 10, "蘒蘓蘔蘕蘗", 15, "蘨蘪", 13, "蘹蘺蘻蘽蘾蘿虀"],
    ["cc80", "虁", 11, "虒虓處", 4, "虛虜虝號虠虡虣", 7, "獭挞蹋踏胎苔抬台泰酞太态汰坍摊贪瘫滩坛檀痰潭谭谈坦毯袒碳探叹炭汤塘搪堂棠膛唐糖倘躺淌趟烫掏涛滔绦萄桃逃淘陶讨套特藤腾疼誊梯剔踢锑提题蹄啼体替嚏惕涕剃屉天添填田甜恬舔腆挑条迢眺跳贴铁帖厅听烃"],
    ["cd40", "虭虯虰虲", 6, "蚃", 6, "蚎", 4, "蚔蚖", 5, "蚞", 4, "蚥蚦蚫蚭蚮蚲蚳蚷蚸蚹蚻", 4, "蛁蛂蛃蛅蛈蛌蛍蛒蛓蛕蛖蛗蛚蛜"],
    ["cd80", "蛝蛠蛡蛢蛣蛥蛦蛧蛨蛪蛫蛬蛯蛵蛶蛷蛺蛻蛼蛽蛿蜁蜄蜅蜆蜋蜌蜎蜏蜐蜑蜔蜖汀廷停亭庭挺艇通桐酮瞳同铜彤童桶捅筒统痛偷投头透凸秃突图徒途涂屠土吐兔湍团推颓腿蜕褪退吞屯臀拖托脱鸵陀驮驼椭妥拓唾挖哇蛙洼娃瓦袜歪外豌弯湾玩顽丸烷完碗挽晚皖惋宛婉万腕汪王亡枉网往旺望忘妄威"],
    ["ce40", "蜙蜛蜝蜟蜠蜤蜦蜧蜨蜪蜫蜬蜭蜯蜰蜲蜳蜵蜶蜸蜹蜺蜼蜽蝀", 6, "蝊蝋蝍蝏蝐蝑蝒蝔蝕蝖蝘蝚", 5, "蝡蝢蝦", 7, "蝯蝱蝲蝳蝵"],
    ["ce80", "蝷蝸蝹蝺蝿螀螁螄螆螇螉螊螌螎", 4, "螔螕螖螘", 6, "螠", 4, "巍微危韦违桅围唯惟为潍维苇萎委伟伪尾纬未蔚味畏胃喂魏位渭谓尉慰卫瘟温蚊文闻纹吻稳紊问嗡翁瓮挝蜗涡窝我斡卧握沃巫呜钨乌污诬屋无芜梧吾吴毋武五捂午舞伍侮坞戊雾晤物勿务悟误昔熙析西硒矽晰嘻吸锡牺"],
    ["cf40", "螥螦螧螩螪螮螰螱螲螴螶螷螸螹螻螼螾螿蟁", 4, "蟇蟈蟉蟌", 4, "蟔", 6, "蟜蟝蟞蟟蟡蟢蟣蟤蟦蟧蟨蟩蟫蟬蟭蟯", 9],
    ["cf80", "蟺蟻蟼蟽蟿蠀蠁蠂蠄", 5, "蠋", 7, "蠔蠗蠘蠙蠚蠜", 4, "蠣稀息希悉膝夕惜熄烯溪汐犀檄袭席习媳喜铣洗系隙戏细瞎虾匣霞辖暇峡侠狭下厦夏吓掀锨先仙鲜纤咸贤衔舷闲涎弦嫌显险现献县腺馅羡宪陷限线相厢镶香箱襄湘乡翔祥详想响享项巷橡像向象萧硝霄削哮嚣销消宵淆晓"],
    ["d040", "蠤", 13, "蠳", 5, "蠺蠻蠽蠾蠿衁衂衃衆", 5, "衎", 5, "衕衖衘衚", 6, "衦衧衪衭衯衱衳衴衵衶衸衹衺"],
    ["d080", "衻衼袀袃袆袇袉袊袌袎袏袐袑袓袔袕袗", 4, "袝", 4, "袣袥", 5, "小孝校肖啸笑效楔些歇蝎鞋协挟携邪斜胁谐写械卸蟹懈泄泻谢屑薪芯锌欣辛新忻心信衅星腥猩惺兴刑型形邢行醒幸杏性姓兄凶胸匈汹雄熊休修羞朽嗅锈秀袖绣墟戌需虚嘘须徐许蓄酗叙旭序畜恤絮婿绪续轩喧宣悬旋玄"],
    ["d140", "袬袮袯袰袲", 4, "袸袹袺袻袽袾袿裀裃裄裇裈裊裋裌裍裏裐裑裓裖裗裚", 4, "裠裡裦裧裩", 6, "裲裵裶裷裺裻製裿褀褁褃", 5],
    ["d180", "褉褋", 4, "褑褔", 4, "褜", 4, "褢褣褤褦褧褨褩褬褭褮褯褱褲褳褵褷选癣眩绚靴薛学穴雪血勋熏循旬询寻驯巡殉汛训讯逊迅压押鸦鸭呀丫芽牙蚜崖衙涯雅哑亚讶焉咽阉烟淹盐严研蜒岩延言颜阎炎沿奄掩眼衍演艳堰燕厌砚雁唁彦焰宴谚验殃央鸯秧杨扬佯疡羊洋阳氧仰痒养样漾邀腰妖瑶"],
    ["d240", "褸", 8, "襂襃襅", 24, "襠", 5, "襧", 19, "襼"],
    ["d280", "襽襾覀覂覄覅覇", 26, "摇尧遥窑谣姚咬舀药要耀椰噎耶爷野冶也页掖业叶曳腋夜液一壹医揖铱依伊衣颐夷遗移仪胰疑沂宜姨彝椅蚁倚已乙矣以艺抑易邑屹亿役臆逸肄疫亦裔意毅忆义益溢诣议谊译异翼翌绎茵荫因殷音阴姻吟银淫寅饮尹引隐"],
    ["d340", "覢", 30, "觃觍觓觔觕觗觘觙觛觝觟觠觡觢觤觧觨觩觪觬觭觮觰觱觲觴", 6],
    ["d380", "觻", 4, "訁", 5, "計", 21, "印英樱婴鹰应缨莹萤营荧蝇迎赢盈影颖硬映哟拥佣臃痈庸雍踊蛹咏泳涌永恿勇用幽优悠忧尤由邮铀犹油游酉有友右佑釉诱又幼迂淤于盂榆虞愚舆余俞逾鱼愉渝渔隅予娱雨与屿禹宇语羽玉域芋郁吁遇喻峪御愈欲狱育誉"],
    ["d440", "訞", 31, "訿", 8, "詉", 21],
    ["d480", "詟", 25, "詺", 6, "浴寓裕预豫驭鸳渊冤元垣袁原援辕园员圆猿源缘远苑愿怨院曰约越跃钥岳粤月悦阅耘云郧匀陨允运蕴酝晕韵孕匝砸杂栽哉灾宰载再在咱攒暂赞赃脏葬遭糟凿藻枣早澡蚤躁噪造皂灶燥责择则泽贼怎增憎曾赠扎喳渣札轧"],
    ["d540", "誁", 7, "誋", 7, "誔", 46],
    ["d580", "諃", 32, "铡闸眨栅榨咋乍炸诈摘斋宅窄债寨瞻毡詹粘沾盏斩辗崭展蘸栈占战站湛绽樟章彰漳张掌涨杖丈帐账仗胀瘴障招昭找沼赵照罩兆肇召遮折哲蛰辙者锗蔗这浙珍斟真甄砧臻贞针侦枕疹诊震振镇阵蒸挣睁征狰争怔整拯正政"],
    ["d640", "諤", 34, "謈", 27],
    ["d680", "謤謥謧", 30, "帧症郑证芝枝支吱蜘知肢脂汁之织职直植殖执值侄址指止趾只旨纸志挚掷至致置帜峙制智秩稚质炙痔滞治窒中盅忠钟衷终种肿重仲众舟周州洲诌粥轴肘帚咒皱宙昼骤珠株蛛朱猪诸诛逐竹烛煮拄瞩嘱主著柱助蛀贮铸筑"],
    ["d740", "譆", 31, "譧", 4, "譭", 25],
    ["d780", "讇", 24, "讬讱讻诇诐诪谉谞住注祝驻抓爪拽专砖转撰赚篆桩庄装妆撞壮状椎锥追赘坠缀谆准捉拙卓桌琢茁酌啄着灼浊兹咨资姿滋淄孜紫仔籽滓子自渍字鬃棕踪宗综总纵邹走奏揍租足卒族祖诅阻组钻纂嘴醉最罪尊遵昨左佐柞做作坐座"],
    ["d840", "谸", 8, "豂豃豄豅豈豊豋豍", 7, "豖豗豘豙豛", 5, "豣", 6, "豬", 6, "豴豵豶豷豻", 6, "貃貄貆貇"],
    ["d880", "貈貋貍", 6, "貕貖貗貙", 20, "亍丌兀丐廿卅丕亘丞鬲孬噩丨禺丿匕乇夭爻卮氐囟胤馗毓睾鼗丶亟鼐乜乩亓芈孛啬嘏仄厍厝厣厥厮靥赝匚叵匦匮匾赜卦卣刂刈刎刭刳刿剀剌剞剡剜蒯剽劂劁劐劓冂罔亻仃仉仂仨仡仫仞伛仳伢佤仵伥伧伉伫佞佧攸佚佝"],
    ["d940", "貮", 62],
    ["d980", "賭", 32, "佟佗伲伽佶佴侑侉侃侏佾佻侪佼侬侔俦俨俪俅俚俣俜俑俟俸倩偌俳倬倏倮倭俾倜倌倥倨偾偃偕偈偎偬偻傥傧傩傺僖儆僭僬僦僮儇儋仝氽佘佥俎龠汆籴兮巽黉馘冁夔勹匍訇匐凫夙兕亠兖亳衮袤亵脔裒禀嬴蠃羸冫冱冽冼"],
    ["da40", "贎", 14, "贠赑赒赗赟赥赨赩赪赬赮赯赱赲赸", 8, "趂趃趆趇趈趉趌", 4, "趒趓趕", 9, "趠趡"],
    ["da80", "趢趤", 12, "趲趶趷趹趻趽跀跁跂跅跇跈跉跊跍跐跒跓跔凇冖冢冥讠讦讧讪讴讵讷诂诃诋诏诎诒诓诔诖诘诙诜诟诠诤诨诩诮诰诳诶诹诼诿谀谂谄谇谌谏谑谒谔谕谖谙谛谘谝谟谠谡谥谧谪谫谮谯谲谳谵谶卩卺阝阢阡阱阪阽阼陂陉陔陟陧陬陲陴隈隍隗隰邗邛邝邙邬邡邴邳邶邺"],
    ["db40", "跕跘跙跜跠跡跢跥跦跧跩跭跮跰跱跲跴跶跼跾", 6, "踆踇踈踋踍踎踐踑踒踓踕", 7, "踠踡踤", 4, "踫踭踰踲踳踴踶踷踸踻踼踾"],
    ["db80", "踿蹃蹅蹆蹌", 4, "蹓", 5, "蹚", 11, "蹧蹨蹪蹫蹮蹱邸邰郏郅邾郐郄郇郓郦郢郜郗郛郫郯郾鄄鄢鄞鄣鄱鄯鄹酃酆刍奂劢劬劭劾哿勐勖勰叟燮矍廴凵凼鬯厶弁畚巯坌垩垡塾墼壅壑圩圬圪圳圹圮圯坜圻坂坩垅坫垆坼坻坨坭坶坳垭垤垌垲埏垧垴垓垠埕埘埚埙埒垸埴埯埸埤埝"],
    ["dc40", "蹳蹵蹷", 4, "蹽蹾躀躂躃躄躆躈", 6, "躑躒躓躕", 6, "躝躟", 11, "躭躮躰躱躳", 6, "躻", 7],
    ["dc80", "軃", 10, "軏", 21, "堋堍埽埭堀堞堙塄堠塥塬墁墉墚墀馨鼙懿艹艽艿芏芊芨芄芎芑芗芙芫芸芾芰苈苊苣芘芷芮苋苌苁芩芴芡芪芟苄苎芤苡茉苷苤茏茇苜苴苒苘茌苻苓茑茚茆茔茕苠苕茜荑荛荜茈莒茼茴茱莛荞茯荏荇荃荟荀茗荠茭茺茳荦荥"],
    ["dd40", "軥", 62],
    ["dd80", "輤", 32, "荨茛荩荬荪荭荮莰荸莳莴莠莪莓莜莅荼莶莩荽莸荻莘莞莨莺莼菁萁菥菘堇萘萋菝菽菖萜萸萑萆菔菟萏萃菸菹菪菅菀萦菰菡葜葑葚葙葳蒇蒈葺蒉葸萼葆葩葶蒌蒎萱葭蓁蓍蓐蓦蒽蓓蓊蒿蒺蓠蒡蒹蒴蒗蓥蓣蔌甍蔸蓰蔹蔟蔺"],
    ["de40", "轅", 32, "轪辀辌辒辝辠辡辢辤辥辦辧辪辬辭辮辯農辳辴辵辷辸辺辻込辿迀迃迆"],
    ["de80", "迉", 4, "迏迒迖迗迚迠迡迣迧迬迯迱迲迴迵迶迺迻迼迾迿逇逈逌逎逓逕逘蕖蔻蓿蓼蕙蕈蕨蕤蕞蕺瞢蕃蕲蕻薤薨薇薏蕹薮薜薅薹薷薰藓藁藜藿蘧蘅蘩蘖蘼廾弈夼奁耷奕奚奘匏尢尥尬尴扌扪抟抻拊拚拗拮挢拶挹捋捃掭揶捱捺掎掴捭掬掊捩掮掼揲揸揠揿揄揞揎摒揆掾摅摁搋搛搠搌搦搡摞撄摭撖"],
    ["df40", "這逜連逤逥逧", 5, "逰", 4, "逷逹逺逽逿遀遃遅遆遈", 4, "過達違遖遙遚遜", 5, "遤遦遧適遪遫遬遯", 4, "遶", 6, "遾邁"],
    ["df80", "還邅邆邇邉邊邌", 4, "邒邔邖邘邚邜邞邟邠邤邥邧邨邩邫邭邲邷邼邽邿郀摺撷撸撙撺擀擐擗擤擢攉攥攮弋忒甙弑卟叱叽叩叨叻吒吖吆呋呒呓呔呖呃吡呗呙吣吲咂咔呷呱呤咚咛咄呶呦咝哐咭哂咴哒咧咦哓哔呲咣哕咻咿哌哙哚哜咩咪咤哝哏哞唛哧唠哽唔哳唢唣唏唑唧唪啧喏喵啉啭啁啕唿啐唼"],
    ["e040", "郂郃郆郈郉郋郌郍郒郔郕郖郘郙郚郞郟郠郣郤郥郩郪郬郮郰郱郲郳郵郶郷郹郺郻郼郿鄀鄁鄃鄅", 19, "鄚鄛鄜"],
    ["e080", "鄝鄟鄠鄡鄤", 10, "鄰鄲", 6, "鄺", 8, "酄唷啖啵啶啷唳唰啜喋嗒喃喱喹喈喁喟啾嗖喑啻嗟喽喾喔喙嗪嗷嗉嘟嗑嗫嗬嗔嗦嗝嗄嗯嗥嗲嗳嗌嗍嗨嗵嗤辔嘞嘈嘌嘁嘤嘣嗾嘀嘧嘭噘嘹噗嘬噍噢噙噜噌噔嚆噤噱噫噻噼嚅嚓嚯囔囗囝囡囵囫囹囿圄圊圉圜帏帙帔帑帱帻帼"],
    ["e140", "酅酇酈酑酓酔酕酖酘酙酛酜酟酠酦酧酨酫酭酳酺酻酼醀", 4, "醆醈醊醎醏醓", 6, "醜", 5, "醤", 5, "醫醬醰醱醲醳醶醷醸醹醻"],
    ["e180", "醼", 10, "釈釋釐釒", 9, "針", 8, "帷幄幔幛幞幡岌屺岍岐岖岈岘岙岑岚岜岵岢岽岬岫岱岣峁岷峄峒峤峋峥崂崃崧崦崮崤崞崆崛嵘崾崴崽嵬嵛嵯嵝嵫嵋嵊嵩嵴嶂嶙嶝豳嶷巅彳彷徂徇徉後徕徙徜徨徭徵徼衢彡犭犰犴犷犸狃狁狎狍狒狨狯狩狲狴狷猁狳猃狺"],
    ["e240", "釦", 62],
    ["e280", "鈥", 32, "狻猗猓猡猊猞猝猕猢猹猥猬猸猱獐獍獗獠獬獯獾舛夥飧夤夂饣饧", 5, "饴饷饽馀馄馇馊馍馐馑馓馔馕庀庑庋庖庥庠庹庵庾庳赓廒廑廛廨廪膺忄忉忖忏怃忮怄忡忤忾怅怆忪忭忸怙怵怦怛怏怍怩怫怊怿怡恸恹恻恺恂"],
    ["e340", "鉆", 45, "鉵", 16],
    ["e380", "銆", 7, "銏", 24, "恪恽悖悚悭悝悃悒悌悛惬悻悱惝惘惆惚悴愠愦愕愣惴愀愎愫慊慵憬憔憧憷懔懵忝隳闩闫闱闳闵闶闼闾阃阄阆阈阊阋阌阍阏阒阕阖阗阙阚丬爿戕氵汔汜汊沣沅沐沔沌汨汩汴汶沆沩泐泔沭泷泸泱泗沲泠泖泺泫泮沱泓泯泾"],
    ["e440", "銨", 5, "銯", 24, "鋉", 31],
    ["e480", "鋩", 32, "洹洧洌浃浈洇洄洙洎洫浍洮洵洚浏浒浔洳涑浯涞涠浞涓涔浜浠浼浣渚淇淅淞渎涿淠渑淦淝淙渖涫渌涮渫湮湎湫溲湟溆湓湔渲渥湄滟溱溘滠漭滢溥溧溽溻溷滗溴滏溏滂溟潢潆潇漤漕滹漯漶潋潴漪漉漩澉澍澌潸潲潼潺濑"],
    ["e540", "錊", 51, "錿", 10],
    ["e580", "鍊", 31, "鍫濉澧澹澶濂濡濮濞濠濯瀚瀣瀛瀹瀵灏灞宀宄宕宓宥宸甯骞搴寤寮褰寰蹇謇辶迓迕迥迮迤迩迦迳迨逅逄逋逦逑逍逖逡逵逶逭逯遄遑遒遐遨遘遢遛暹遴遽邂邈邃邋彐彗彖彘尻咫屐屙孱屣屦羼弪弩弭艴弼鬻屮妁妃妍妩妪妣"],
    ["e640", "鍬", 34, "鎐", 27],
    ["e680", "鎬", 29, "鏋鏌鏍妗姊妫妞妤姒妲妯姗妾娅娆姝娈姣姘姹娌娉娲娴娑娣娓婀婧婊婕娼婢婵胬媪媛婷婺媾嫫媲嫒嫔媸嫠嫣嫱嫖嫦嫘嫜嬉嬗嬖嬲嬷孀尕尜孚孥孳孑孓孢驵驷驸驺驿驽骀骁骅骈骊骐骒骓骖骘骛骜骝骟骠骢骣骥骧纟纡纣纥纨纩"],
    ["e740", "鏎", 7, "鏗", 54],
    ["e780", "鐎", 32, "纭纰纾绀绁绂绉绋绌绐绔绗绛绠绡绨绫绮绯绱绲缍绶绺绻绾缁缂缃缇缈缋缌缏缑缒缗缙缜缛缟缡", 6, "缪缫缬缭缯", 4, "缵幺畿巛甾邕玎玑玮玢玟珏珂珑玷玳珀珉珈珥珙顼琊珩珧珞玺珲琏琪瑛琦琥琨琰琮琬"],
    ["e840", "鐯", 14, "鐿", 43, "鑬鑭鑮鑯"],
    ["e880", "鑰", 20, "钑钖钘铇铏铓铔铚铦铻锜锠琛琚瑁瑜瑗瑕瑙瑷瑭瑾璜璎璀璁璇璋璞璨璩璐璧瓒璺韪韫韬杌杓杞杈杩枥枇杪杳枘枧杵枨枞枭枋杷杼柰栉柘栊柩枰栌柙枵柚枳柝栀柃枸柢栎柁柽栲栳桠桡桎桢桄桤梃栝桕桦桁桧桀栾桊桉栩梵梏桴桷梓桫棂楮棼椟椠棹"],
    ["e940", "锧锳锽镃镈镋镕镚镠镮镴镵長", 7, "門", 42],
    ["e980", "閫", 32, "椤棰椋椁楗棣椐楱椹楠楂楝榄楫榀榘楸椴槌榇榈槎榉楦楣楹榛榧榻榫榭槔榱槁槊槟榕槠榍槿樯槭樗樘橥槲橄樾檠橐橛樵檎橹樽樨橘橼檑檐檩檗檫猷獒殁殂殇殄殒殓殍殚殛殡殪轫轭轱轲轳轵轶轸轷轹轺轼轾辁辂辄辇辋"],
    ["ea40", "闌", 27, "闬闿阇阓阘阛阞阠阣", 6, "阫阬阭阯阰阷阸阹阺阾陁陃陊陎陏陑陒陓陖陗"],
    ["ea80", "陘陙陚陜陝陞陠陣陥陦陫陭", 4, "陳陸", 12, "隇隉隊辍辎辏辘辚軎戋戗戛戟戢戡戥戤戬臧瓯瓴瓿甏甑甓攴旮旯旰昊昙杲昃昕昀炅曷昝昴昱昶昵耆晟晔晁晏晖晡晗晷暄暌暧暝暾曛曜曦曩贲贳贶贻贽赀赅赆赈赉赇赍赕赙觇觊觋觌觎觏觐觑牮犟牝牦牯牾牿犄犋犍犏犒挈挲掰"],
    ["eb40", "隌階隑隒隓隕隖隚際隝", 9, "隨", 7, "隱隲隴隵隷隸隺隻隿雂雃雈雊雋雐雑雓雔雖", 9, "雡", 6, "雫"],
    ["eb80", "雬雭雮雰雱雲雴雵雸雺電雼雽雿霂霃霅霊霋霌霐霑霒霔霕霗", 4, "霝霟霠搿擘耄毪毳毽毵毹氅氇氆氍氕氘氙氚氡氩氤氪氲攵敕敫牍牒牖爰虢刖肟肜肓肼朊肽肱肫肭肴肷胧胨胩胪胛胂胄胙胍胗朐胝胫胱胴胭脍脎胲胼朕脒豚脶脞脬脘脲腈腌腓腴腙腚腱腠腩腼腽腭腧塍媵膈膂膑滕膣膪臌朦臊膻"],
    ["ec40", "霡", 8, "霫霬霮霯霱霳", 4, "霺霻霼霽霿", 18, "靔靕靗靘靚靜靝靟靣靤靦靧靨靪", 7],
    ["ec80", "靲靵靷", 4, "靽", 7, "鞆", 4, "鞌鞎鞏鞐鞓鞕鞖鞗鞙", 4, "臁膦欤欷欹歃歆歙飑飒飓飕飙飚殳彀毂觳斐齑斓於旆旄旃旌旎旒旖炀炜炖炝炻烀炷炫炱烨烊焐焓焖焯焱煳煜煨煅煲煊煸煺熘熳熵熨熠燠燔燧燹爝爨灬焘煦熹戾戽扃扈扉礻祀祆祉祛祜祓祚祢祗祠祯祧祺禅禊禚禧禳忑忐"],
    ["ed40", "鞞鞟鞡鞢鞤", 6, "鞬鞮鞰鞱鞳鞵", 46],
    ["ed80", "韤韥韨韮", 4, "韴韷", 23, "怼恝恚恧恁恙恣悫愆愍慝憩憝懋懑戆肀聿沓泶淼矶矸砀砉砗砘砑斫砭砜砝砹砺砻砟砼砥砬砣砩硎硭硖硗砦硐硇硌硪碛碓碚碇碜碡碣碲碹碥磔磙磉磬磲礅磴礓礤礞礴龛黹黻黼盱眄眍盹眇眈眚眢眙眭眦眵眸睐睑睇睃睚睨"],
    ["ee40", "頏", 62],
    ["ee80", "顎", 32, "睢睥睿瞍睽瞀瞌瞑瞟瞠瞰瞵瞽町畀畎畋畈畛畲畹疃罘罡罟詈罨罴罱罹羁罾盍盥蠲钅钆钇钋钊钌钍钏钐钔钗钕钚钛钜钣钤钫钪钭钬钯钰钲钴钶", 4, "钼钽钿铄铈", 6, "铐铑铒铕铖铗铙铘铛铞铟铠铢铤铥铧铨铪"],
    ["ef40", "顯", 5, "颋颎颒颕颙颣風", 37, "飏飐飔飖飗飛飜飝飠", 4],
    ["ef80", "飥飦飩", 30, "铩铫铮铯铳铴铵铷铹铼铽铿锃锂锆锇锉锊锍锎锏锒", 4, "锘锛锝锞锟锢锪锫锩锬锱锲锴锶锷锸锼锾锿镂锵镄镅镆镉镌镎镏镒镓镔镖镗镘镙镛镞镟镝镡镢镤", 8, "镯镱镲镳锺矧矬雉秕秭秣秫稆嵇稃稂稞稔"],
    ["f040", "餈", 4, "餎餏餑", 28, "餯", 26],
    ["f080", "饊", 9, "饖", 12, "饤饦饳饸饹饻饾馂馃馉稹稷穑黏馥穰皈皎皓皙皤瓞瓠甬鸠鸢鸨", 4, "鸲鸱鸶鸸鸷鸹鸺鸾鹁鹂鹄鹆鹇鹈鹉鹋鹌鹎鹑鹕鹗鹚鹛鹜鹞鹣鹦", 6, "鹱鹭鹳疒疔疖疠疝疬疣疳疴疸痄疱疰痃痂痖痍痣痨痦痤痫痧瘃痱痼痿瘐瘀瘅瘌瘗瘊瘥瘘瘕瘙"],
    ["f140", "馌馎馚", 10, "馦馧馩", 47],
    ["f180", "駙", 32, "瘛瘼瘢瘠癀瘭瘰瘿瘵癃瘾瘳癍癞癔癜癖癫癯翊竦穸穹窀窆窈窕窦窠窬窨窭窳衤衩衲衽衿袂袢裆袷袼裉裢裎裣裥裱褚裼裨裾裰褡褙褓褛褊褴褫褶襁襦襻疋胥皲皴矜耒耔耖耜耠耢耥耦耧耩耨耱耋耵聃聆聍聒聩聱覃顸颀颃"],
    ["f240", "駺", 62],
    ["f280", "騹", 32, "颉颌颍颏颔颚颛颞颟颡颢颥颦虍虔虬虮虿虺虼虻蚨蚍蚋蚬蚝蚧蚣蚪蚓蚩蚶蛄蚵蛎蚰蚺蚱蚯蛉蛏蚴蛩蛱蛲蛭蛳蛐蜓蛞蛴蛟蛘蛑蜃蜇蛸蜈蜊蜍蜉蜣蜻蜞蜥蜮蜚蜾蝈蜴蜱蜩蜷蜿螂蜢蝽蝾蝻蝠蝰蝌蝮螋蝓蝣蝼蝤蝙蝥螓螯螨蟒"],
    ["f340", "驚", 17, "驲骃骉骍骎骔骕骙骦骩", 6, "骲骳骴骵骹骻骽骾骿髃髄髆", 4, "髍髎髏髐髒體髕髖髗髙髚髛髜"],
    ["f380", "髝髞髠髢髣髤髥髧髨髩髪髬髮髰", 8, "髺髼", 6, "鬄鬅鬆蟆螈螅螭螗螃螫蟥螬螵螳蟋蟓螽蟑蟀蟊蟛蟪蟠蟮蠖蠓蟾蠊蠛蠡蠹蠼缶罂罄罅舐竺竽笈笃笄笕笊笫笏筇笸笪笙笮笱笠笥笤笳笾笞筘筚筅筵筌筝筠筮筻筢筲筱箐箦箧箸箬箝箨箅箪箜箢箫箴篑篁篌篝篚篥篦篪簌篾篼簏簖簋"],
    ["f440", "鬇鬉", 5, "鬐鬑鬒鬔", 10, "鬠鬡鬢鬤", 10, "鬰鬱鬳", 7, "鬽鬾鬿魀魆魊魋魌魎魐魒魓魕", 5],
    ["f480", "魛", 32, "簟簪簦簸籁籀臾舁舂舄臬衄舡舢舣舭舯舨舫舸舻舳舴舾艄艉艋艏艚艟艨衾袅袈裘裟襞羝羟羧羯羰羲籼敉粑粝粜粞粢粲粼粽糁糇糌糍糈糅糗糨艮暨羿翎翕翥翡翦翩翮翳糸絷綦綮繇纛麸麴赳趄趔趑趱赧赭豇豉酊酐酎酏酤"],
    ["f540", "魼", 62],
    ["f580", "鮻", 32, "酢酡酰酩酯酽酾酲酴酹醌醅醐醍醑醢醣醪醭醮醯醵醴醺豕鹾趸跫踅蹙蹩趵趿趼趺跄跖跗跚跞跎跏跛跆跬跷跸跣跹跻跤踉跽踔踝踟踬踮踣踯踺蹀踹踵踽踱蹉蹁蹂蹑蹒蹊蹰蹶蹼蹯蹴躅躏躔躐躜躞豸貂貊貅貘貔斛觖觞觚觜"],
    ["f640", "鯜", 62],
    ["f680", "鰛", 32, "觥觫觯訾謦靓雩雳雯霆霁霈霏霎霪霭霰霾龀龃龅", 5, "龌黾鼋鼍隹隼隽雎雒瞿雠銎銮鋈錾鍪鏊鎏鐾鑫鱿鲂鲅鲆鲇鲈稣鲋鲎鲐鲑鲒鲔鲕鲚鲛鲞", 5, "鲥", 4, "鲫鲭鲮鲰", 7, "鲺鲻鲼鲽鳄鳅鳆鳇鳊鳋"],
    ["f740", "鰼", 62],
    ["f780", "鱻鱽鱾鲀鲃鲄鲉鲊鲌鲏鲓鲖鲗鲘鲙鲝鲪鲬鲯鲹鲾", 4, "鳈鳉鳑鳒鳚鳛鳠鳡鳌", 4, "鳓鳔鳕鳗鳘鳙鳜鳝鳟鳢靼鞅鞑鞒鞔鞯鞫鞣鞲鞴骱骰骷鹘骶骺骼髁髀髅髂髋髌髑魅魃魇魉魈魍魑飨餍餮饕饔髟髡髦髯髫髻髭髹鬈鬏鬓鬟鬣麽麾縻麂麇麈麋麒鏖麝麟黛黜黝黠黟黢黩黧黥黪黯鼢鼬鼯鼹鼷鼽鼾齄"],
    ["f840", "鳣", 62],
    ["f880", "鴢", 32],
    ["f940", "鵃", 62],
    ["f980", "鶂", 32],
    ["fa40", "鶣", 62],
    ["fa80", "鷢", 32],
    ["fb40", "鸃", 27, "鸤鸧鸮鸰鸴鸻鸼鹀鹍鹐鹒鹓鹔鹖鹙鹝鹟鹠鹡鹢鹥鹮鹯鹲鹴", 9, "麀"],
    ["fb80", "麁麃麄麅麆麉麊麌", 5, "麔", 8, "麞麠", 5, "麧麨麩麪"],
    ["fc40", "麫", 8, "麵麶麷麹麺麼麿", 4, "黅黆黇黈黊黋黌黐黒黓黕黖黗黙黚點黡黣黤黦黨黫黬黭黮黰", 8, "黺黽黿", 6],
    ["fc80", "鼆", 4, "鼌鼏鼑鼒鼔鼕鼖鼘鼚", 5, "鼡鼣", 8, "鼭鼮鼰鼱"],
    ["fd40", "鼲", 4, "鼸鼺鼼鼿", 4, "齅", 10, "齒", 38],
    ["fd80", "齹", 5, "龁龂龍", 11, "龜龝龞龡", 4, "郎凉秊裏隣"],
    ["fe40", "兀嗀﨎﨏﨑﨓﨔礼﨟蘒﨡﨣﨤﨧﨨﨩"]
  ];
});

// node_modules/raw-body/node_modules/iconv-lite/encodings/tables/gbk-added.json
var require_gbk_added = __commonJS((exports, module) => {
  module.exports = [
    ["a140", "", 62],
    ["a180", "", 32],
    ["a240", "", 62],
    ["a280", "", 32],
    ["a2ab", "", 5],
    ["a2e3", "€"],
    ["a2ef", ""],
    ["a2fd", ""],
    ["a340", "", 62],
    ["a380", "", 31, "　"],
    ["a440", "", 62],
    ["a480", "", 32],
    ["a4f4", "", 10],
    ["a540", "", 62],
    ["a580", "", 32],
    ["a5f7", "", 7],
    ["a640", "", 62],
    ["a680", "", 32],
    ["a6b9", "", 7],
    ["a6d9", "", 6],
    ["a6ec", ""],
    ["a6f3", ""],
    ["a6f6", "", 8],
    ["a740", "", 62],
    ["a780", "", 32],
    ["a7c2", "", 14],
    ["a7f2", "", 12],
    ["a896", "", 10],
    ["a8bc", "ḿ"],
    ["a8bf", "ǹ"],
    ["a8c1", ""],
    ["a8ea", "", 20],
    ["a958", ""],
    ["a95b", ""],
    ["a95d", ""],
    ["a989", "〾⿰", 11],
    ["a997", "", 12],
    ["a9f0", "", 14],
    ["aaa1", "", 93],
    ["aba1", "", 93],
    ["aca1", "", 93],
    ["ada1", "", 93],
    ["aea1", "", 93],
    ["afa1", "", 93],
    ["d7fa", "", 4],
    ["f8a1", "", 93],
    ["f9a1", "", 93],
    ["faa1", "", 93],
    ["fba1", "", 93],
    ["fca1", "", 93],
    ["fda1", "", 93],
    ["fe50", "⺁⺄㑳㑇⺈⺋㖞㘚㘎⺌⺗㥮㤘㧏㧟㩳㧐㭎㱮㳠⺧⺪䁖䅟⺮䌷⺳⺶⺷䎱䎬⺻䏝䓖䙡䙌"],
    ["fe80", "䜣䜩䝼䞍⻊䥇䥺䥽䦂䦃䦅䦆䦟䦛䦷䦶䲣䲟䲠䲡䱷䲢䴓", 6, "䶮", 93],
    ["8135f437", ""]
  ];
});

// node_modules/raw-body/node_modules/iconv-lite/encodings/tables/gb18030-ranges.json
var require_gb18030_ranges = __commonJS((exports, module) => {
  module.exports = { uChars: [128, 165, 169, 178, 184, 216, 226, 235, 238, 244, 248, 251, 253, 258, 276, 284, 300, 325, 329, 334, 364, 463, 465, 467, 469, 471, 473, 475, 477, 506, 594, 610, 712, 716, 730, 930, 938, 962, 970, 1026, 1104, 1106, 8209, 8215, 8218, 8222, 8231, 8241, 8244, 8246, 8252, 8365, 8452, 8454, 8458, 8471, 8482, 8556, 8570, 8596, 8602, 8713, 8720, 8722, 8726, 8731, 8737, 8740, 8742, 8748, 8751, 8760, 8766, 8777, 8781, 8787, 8802, 8808, 8816, 8854, 8858, 8870, 8896, 8979, 9322, 9372, 9548, 9588, 9616, 9622, 9634, 9652, 9662, 9672, 9676, 9680, 9702, 9735, 9738, 9793, 9795, 11906, 11909, 11913, 11917, 11928, 11944, 11947, 11951, 11956, 11960, 11964, 11979, 12284, 12292, 12312, 12319, 12330, 12351, 12436, 12447, 12535, 12543, 12586, 12842, 12850, 12964, 13200, 13215, 13218, 13253, 13263, 13267, 13270, 13384, 13428, 13727, 13839, 13851, 14617, 14703, 14801, 14816, 14964, 15183, 15471, 15585, 16471, 16736, 17208, 17325, 17330, 17374, 17623, 17997, 18018, 18212, 18218, 18301, 18318, 18760, 18811, 18814, 18820, 18823, 18844, 18848, 18872, 19576, 19620, 19738, 19887, 40870, 59244, 59336, 59367, 59413, 59417, 59423, 59431, 59437, 59443, 59452, 59460, 59478, 59493, 63789, 63866, 63894, 63976, 63986, 64016, 64018, 64021, 64025, 64034, 64037, 64042, 65074, 65093, 65107, 65112, 65127, 65132, 65375, 65510, 65536], gbChars: [0, 36, 38, 45, 50, 81, 89, 95, 96, 100, 103, 104, 105, 109, 126, 133, 148, 172, 175, 179, 208, 306, 307, 308, 309, 310, 311, 312, 313, 341, 428, 443, 544, 545, 558, 741, 742, 749, 750, 805, 819, 820, 7922, 7924, 7925, 7927, 7934, 7943, 7944, 7945, 7950, 8062, 8148, 8149, 8152, 8164, 8174, 8236, 8240, 8262, 8264, 8374, 8380, 8381, 8384, 8388, 8390, 8392, 8393, 8394, 8396, 8401, 8406, 8416, 8419, 8424, 8437, 8439, 8445, 8482, 8485, 8496, 8521, 8603, 8936, 8946, 9046, 9050, 9063, 9066, 9076, 9092, 9100, 9108, 9111, 9113, 9131, 9162, 9164, 9218, 9219, 11329, 11331, 11334, 11336, 11346, 11361, 11363, 11366, 11370, 11372, 11375, 11389, 11682, 11686, 11687, 11692, 11694, 11714, 11716, 11723, 11725, 11730, 11736, 11982, 11989, 12102, 12336, 12348, 12350, 12384, 12393, 12395, 12397, 12510, 12553, 12851, 12962, 12973, 13738, 13823, 13919, 13933, 14080, 14298, 14585, 14698, 15583, 15847, 16318, 16434, 16438, 16481, 16729, 17102, 17122, 17315, 17320, 17402, 17418, 17859, 17909, 17911, 17915, 17916, 17936, 17939, 17961, 18664, 18703, 18814, 18962, 19043, 33469, 33470, 33471, 33484, 33485, 33490, 33497, 33501, 33505, 33513, 33520, 33536, 33550, 37845, 37921, 37948, 38029, 38038, 38064, 38065, 38066, 38069, 38075, 38076, 38078, 39108, 39109, 39113, 39114, 39115, 39116, 39265, 39394, 189000] };
});

// node_modules/raw-body/node_modules/iconv-lite/encodings/tables/cp949.json
var require_cp949 = __commonJS((exports, module) => {
  module.exports = [
    ["0", "\x00", 127],
    ["8141", "갂갃갅갆갋", 4, "갘갞갟갡갢갣갥", 6, "갮갲갳갴"],
    ["8161", "갵갶갷갺갻갽갾갿걁", 9, "걌걎", 5, "걕"],
    ["8181", "걖걗걙걚걛걝", 18, "걲걳걵걶걹걻", 4, "겂겇겈겍겎겏겑겒겓겕", 6, "겞겢", 5, "겫겭겮겱", 6, "겺겾겿곀곂곃곅곆곇곉곊곋곍", 7, "곖곘", 7, "곢곣곥곦곩곫곭곮곲곴곷", 4, "곾곿괁괂괃괅괇", 4, "괎괐괒괓"],
    ["8241", "괔괕괖괗괙괚괛괝괞괟괡", 7, "괪괫괮", 5],
    ["8261", "괶괷괹괺괻괽", 6, "굆굈굊", 5, "굑굒굓굕굖굗"],
    ["8281", "굙", 7, "굢굤", 7, "굮굯굱굲굷굸굹굺굾궀궃", 4, "궊궋궍궎궏궑", 10, "궞", 5, "궥", 17, "궸", 7, "귂귃귅귆귇귉", 6, "귒귔", 7, "귝귞귟귡귢귣귥", 18],
    ["8341", "귺귻귽귾긂", 5, "긊긌긎", 5, "긕", 7],
    ["8361", "긝", 18, "긲긳긵긶긹긻긼"],
    ["8381", "긽긾긿깂깄깇깈깉깋깏깑깒깓깕깗", 4, "깞깢깣깤깦깧깪깫깭깮깯깱", 6, "깺깾", 5, "꺆", 5, "꺍", 46, "꺿껁껂껃껅", 6, "껎껒", 5, "껚껛껝", 8],
    ["8441", "껦껧껩껪껬껮", 5, "껵껶껷껹껺껻껽", 8],
    ["8461", "꼆꼉꼊꼋꼌꼎꼏꼑", 18],
    ["8481", "꼤", 7, "꼮꼯꼱꼳꼵", 6, "꼾꽀꽄꽅꽆꽇꽊", 5, "꽑", 10, "꽞", 5, "꽦", 18, "꽺", 5, "꾁꾂꾃꾅꾆꾇꾉", 6, "꾒꾓꾔꾖", 5, "꾝", 26, "꾺꾻꾽꾾"],
    ["8541", "꾿꿁", 5, "꿊꿌꿏", 4, "꿕", 6, "꿝", 4],
    ["8561", "꿢", 5, "꿪", 5, "꿲꿳꿵꿶꿷꿹", 6, "뀂뀃"],
    ["8581", "뀅", 6, "뀍뀎뀏뀑뀒뀓뀕", 6, "뀞", 9, "뀩", 26, "끆끇끉끋끍끏끐끑끒끖끘끚끛끜끞", 29, "끾끿낁낂낃낅", 6, "낎낐낒", 5, "낛낝낞낣낤"],
    ["8641", "낥낦낧낪낰낲낶낷낹낺낻낽", 6, "냆냊", 5, "냒"],
    ["8661", "냓냕냖냗냙", 6, "냡냢냣냤냦", 10],
    ["8681", "냱", 22, "넊넍넎넏넑넔넕넖넗넚넞", 4, "넦넧넩넪넫넭", 6, "넶넺", 5, "녂녃녅녆녇녉", 6, "녒녓녖녗녙녚녛녝녞녟녡", 22, "녺녻녽녾녿놁놃", 4, "놊놌놎놏놐놑놕놖놗놙놚놛놝"],
    ["8741", "놞", 9, "놩", 15],
    ["8761", "놹", 18, "뇍뇎뇏뇑뇒뇓뇕"],
    ["8781", "뇖", 5, "뇞뇠", 7, "뇪뇫뇭뇮뇯뇱", 7, "뇺뇼뇾", 5, "눆눇눉눊눍", 6, "눖눘눚", 5, "눡", 18, "눵", 6, "눽", 26, "뉙뉚뉛뉝뉞뉟뉡", 6, "뉪", 4],
    ["8841", "뉯", 4, "뉶", 5, "뉽", 6, "늆늇늈늊", 4],
    ["8861", "늏늒늓늕늖늗늛", 4, "늢늤늧늨늩늫늭늮늯늱늲늳늵늶늷"],
    ["8881", "늸", 15, "닊닋닍닎닏닑닓", 4, "닚닜닞닟닠닡닣닧닩닪닰닱닲닶닼닽닾댂댃댅댆댇댉", 6, "댒댖", 5, "댝", 54, "덗덙덚덝덠덡덢덣"],
    ["8941", "덦덨덪덬덭덯덲덳덵덶덷덹", 6, "뎂뎆", 5, "뎍"],
    ["8961", "뎎뎏뎑뎒뎓뎕", 10, "뎢", 5, "뎩뎪뎫뎭"],
    ["8981", "뎮", 21, "돆돇돉돊돍돏돑돒돓돖돘돚돜돞돟돡돢돣돥돦돧돩", 18, "돽", 18, "됑", 6, "됙됚됛됝됞됟됡", 6, "됪됬", 7, "됵", 15],
    ["8a41", "둅", 10, "둒둓둕둖둗둙", 6, "둢둤둦"],
    ["8a61", "둧", 4, "둭", 18, "뒁뒂"],
    ["8a81", "뒃", 4, "뒉", 19, "뒞", 5, "뒥뒦뒧뒩뒪뒫뒭", 7, "뒶뒸뒺", 5, "듁듂듃듅듆듇듉", 6, "듑듒듓듔듖", 5, "듞듟듡듢듥듧", 4, "듮듰듲", 5, "듹", 26, "딖딗딙딚딝"],
    ["8b41", "딞", 5, "딦딫", 4, "딲딳딵딶딷딹", 6, "땂땆"],
    ["8b61", "땇땈땉땊땎땏땑땒땓땕", 6, "땞땢", 8],
    ["8b81", "땫", 52, "떢떣떥떦떧떩떬떭떮떯떲떶", 4, "떾떿뗁뗂뗃뗅", 6, "뗎뗒", 5, "뗙", 18, "뗭", 18],
    ["8c41", "똀", 15, "똒똓똕똖똗똙", 4],
    ["8c61", "똞", 6, "똦", 5, "똭", 6, "똵", 5],
    ["8c81", "똻", 12, "뙉", 26, "뙥뙦뙧뙩", 50, "뚞뚟뚡뚢뚣뚥", 5, "뚭뚮뚯뚰뚲", 16],
    ["8d41", "뛃", 16, "뛕", 8],
    ["8d61", "뛞", 17, "뛱뛲뛳뛵뛶뛷뛹뛺"],
    ["8d81", "뛻", 4, "뜂뜃뜄뜆", 33, "뜪뜫뜭뜮뜱", 6, "뜺뜼", 7, "띅띆띇띉띊띋띍", 6, "띖", 9, "띡띢띣띥띦띧띩", 6, "띲띴띶", 5, "띾띿랁랂랃랅", 6, "랎랓랔랕랚랛랝랞"],
    ["8e41", "랟랡", 6, "랪랮", 5, "랶랷랹", 8],
    ["8e61", "럂", 4, "럈럊", 19],
    ["8e81", "럞", 13, "럮럯럱럲럳럵", 6, "럾렂", 4, "렊렋렍렎렏렑", 6, "렚렜렞", 5, "렦렧렩렪렫렭", 6, "렶렺", 5, "롁롂롃롅", 11, "롒롔", 7, "롞롟롡롢롣롥", 6, "롮롰롲", 5, "롹롺롻롽", 7],
    ["8f41", "뢅", 7, "뢎", 17],
    ["8f61", "뢠", 7, "뢩", 6, "뢱뢲뢳뢵뢶뢷뢹", 4],
    ["8f81", "뢾뢿룂룄룆", 5, "룍룎룏룑룒룓룕", 7, "룞룠룢", 5, "룪룫룭룮룯룱", 6, "룺룼룾", 5, "뤅", 18, "뤙", 6, "뤡", 26, "뤾뤿륁륂륃륅", 6, "륍륎륐륒", 5],
    ["9041", "륚륛륝륞륟륡", 6, "륪륬륮", 5, "륶륷륹륺륻륽"],
    ["9061", "륾", 5, "릆릈릋릌릏", 15],
    ["9081", "릟", 12, "릮릯릱릲릳릵", 6, "릾맀맂", 5, "맊맋맍맓", 4, "맚맜맟맠맢맦맧맩맪맫맭", 6, "맶맻", 4, "먂", 5, "먉", 11, "먖", 33, "먺먻먽먾먿멁멃멄멅멆"],
    ["9141", "멇멊멌멏멐멑멒멖멗멙멚멛멝", 6, "멦멪", 5],
    ["9161", "멲멳멵멶멷멹", 9, "몆몈몉몊몋몍", 5],
    ["9181", "몓", 20, "몪몭몮몯몱몳", 4, "몺몼몾", 5, "뫅뫆뫇뫉", 14, "뫚", 33, "뫽뫾뫿묁묂묃묅", 7, "묎묐묒", 5, "묙묚묛묝묞묟묡", 6],
    ["9241", "묨묪묬", 7, "묷묹묺묿", 4, "뭆뭈뭊뭋뭌뭎뭑뭒"],
    ["9261", "뭓뭕뭖뭗뭙", 7, "뭢뭤", 7, "뭭", 4],
    ["9281", "뭲", 21, "뮉뮊뮋뮍뮎뮏뮑", 18, "뮥뮦뮧뮩뮪뮫뮭", 6, "뮵뮶뮸", 7, "믁믂믃믅믆믇믉", 6, "믑믒믔", 35, "믺믻믽믾밁"],
    ["9341", "밃", 4, "밊밎밐밒밓밙밚밠밡밢밣밦밨밪밫밬밮밯밲밳밵"],
    ["9361", "밶밷밹", 6, "뱂뱆뱇뱈뱊뱋뱎뱏뱑", 8],
    ["9381", "뱚뱛뱜뱞", 37, "벆벇벉벊벍벏", 4, "벖벘벛", 4, "벢벣벥벦벩", 6, "벲벶", 5, "벾벿볁볂볃볅", 7, "볎볒볓볔볖볗볙볚볛볝", 22, "볷볹볺볻볽"],
    ["9441", "볾", 5, "봆봈봊", 5, "봑봒봓봕", 8],
    ["9461", "봞", 5, "봥", 6, "봭", 12],
    ["9481", "봺", 5, "뵁", 6, "뵊뵋뵍뵎뵏뵑", 6, "뵚", 9, "뵥뵦뵧뵩", 22, "붂붃붅붆붋", 4, "붒붔붖붗붘붛붝", 6, "붥", 10, "붱", 6, "붹", 24],
    ["9541", "뷒뷓뷖뷗뷙뷚뷛뷝", 11, "뷪", 5, "뷱"],
    ["9561", "뷲뷳뷵뷶뷷뷹", 6, "븁븂븄븆", 5, "븎븏븑븒븓"],
    ["9581", "븕", 6, "븞븠", 35, "빆빇빉빊빋빍빏", 4, "빖빘빜빝빞빟빢빣빥빦빧빩빫", 4, "빲빶", 4, "빾빿뺁뺂뺃뺅", 6, "뺎뺒", 5, "뺚", 13, "뺩", 14],
    ["9641", "뺸", 23, "뻒뻓"],
    ["9661", "뻕뻖뻙", 6, "뻡뻢뻦", 5, "뻭", 8],
    ["9681", "뻶", 10, "뼂", 5, "뼊", 13, "뼚뼞", 33, "뽂뽃뽅뽆뽇뽉", 6, "뽒뽓뽔뽖", 44],
    ["9741", "뾃", 16, "뾕", 8],
    ["9761", "뾞", 17, "뾱", 7],
    ["9781", "뾹", 11, "뿆", 5, "뿎뿏뿑뿒뿓뿕", 6, "뿝뿞뿠뿢", 89, "쀽쀾쀿"],
    ["9841", "쁀", 16, "쁒", 5, "쁙쁚쁛"],
    ["9861", "쁝쁞쁟쁡", 6, "쁪", 15],
    ["9881", "쁺", 21, "삒삓삕삖삗삙", 6, "삢삤삦", 5, "삮삱삲삷", 4, "삾샂샃샄샆샇샊샋샍샎샏샑", 6, "샚샞", 5, "샦샧샩샪샫샭", 6, "샶샸샺", 5, "섁섂섃섅섆섇섉", 6, "섑섒섓섔섖", 5, "섡섢섥섨섩섪섫섮"],
    ["9941", "섲섳섴섵섷섺섻섽섾섿셁", 6, "셊셎", 5, "셖셗"],
    ["9961", "셙셚셛셝", 6, "셦셪", 5, "셱셲셳셵셶셷셹셺셻"],
    ["9981", "셼", 8, "솆", 5, "솏솑솒솓솕솗", 4, "솞솠솢솣솤솦솧솪솫솭솮솯솱", 11, "솾", 5, "쇅쇆쇇쇉쇊쇋쇍", 6, "쇕쇖쇙", 6, "쇡쇢쇣쇥쇦쇧쇩", 6, "쇲쇴", 7, "쇾쇿숁숂숃숅", 6, "숎숐숒", 5, "숚숛숝숞숡숢숣"],
    ["9a41", "숤숥숦숧숪숬숮숰숳숵", 16],
    ["9a61", "쉆쉇쉉", 6, "쉒쉓쉕쉖쉗쉙", 6, "쉡쉢쉣쉤쉦"],
    ["9a81", "쉧", 4, "쉮쉯쉱쉲쉳쉵", 6, "쉾슀슂", 5, "슊", 5, "슑", 6, "슙슚슜슞", 5, "슦슧슩슪슫슮", 5, "슶슸슺", 33, "싞싟싡싢싥", 5, "싮싰싲싳싴싵싷싺싽싾싿쌁", 6, "쌊쌋쌎쌏"],
    ["9b41", "쌐쌑쌒쌖쌗쌙쌚쌛쌝", 6, "쌦쌧쌪", 8],
    ["9b61", "쌳", 17, "썆", 7],
    ["9b81", "썎", 25, "썪썫썭썮썯썱썳", 4, "썺썻썾", 5, "쎅쎆쎇쎉쎊쎋쎍", 50, "쏁", 22, "쏚"],
    ["9c41", "쏛쏝쏞쏡쏣", 4, "쏪쏫쏬쏮", 5, "쏶쏷쏹", 5],
    ["9c61", "쏿", 8, "쐉", 6, "쐑", 9],
    ["9c81", "쐛", 8, "쐥", 6, "쐭쐮쐯쐱쐲쐳쐵", 6, "쐾", 9, "쑉", 26, "쑦쑧쑩쑪쑫쑭", 6, "쑶쑷쑸쑺", 5, "쒁", 18, "쒕", 6, "쒝", 12],
    ["9d41", "쒪", 13, "쒹쒺쒻쒽", 8],
    ["9d61", "쓆", 25],
    ["9d81", "쓠", 8, "쓪", 5, "쓲쓳쓵쓶쓷쓹쓻쓼쓽쓾씂", 9, "씍씎씏씑씒씓씕", 6, "씝", 10, "씪씫씭씮씯씱", 6, "씺씼씾", 5, "앆앇앋앏앐앑앒앖앚앛앜앟앢앣앥앦앧앩", 6, "앲앶", 5, "앾앿얁얂얃얅얆얈얉얊얋얎얐얒얓얔"],
    ["9e41", "얖얙얚얛얝얞얟얡", 7, "얪", 9, "얶"],
    ["9e61", "얷얺얿", 4, "엋엍엏엒엓엕엖엗엙", 6, "엢엤엦엧"],
    ["9e81", "엨엩엪엫엯엱엲엳엵엸엹엺엻옂옃옄옉옊옋옍옎옏옑", 6, "옚옝", 6, "옦옧옩옪옫옯옱옲옶옸옺옼옽옾옿왂왃왅왆왇왉", 6, "왒왖", 5, "왞왟왡", 10, "왭왮왰왲", 5, "왺왻왽왾왿욁", 6, "욊욌욎", 5, "욖욗욙욚욛욝", 6, "욦"],
    ["9f41", "욨욪", 5, "욲욳욵욶욷욻", 4, "웂웄웆", 5, "웎"],
    ["9f61", "웏웑웒웓웕", 6, "웞웟웢", 5, "웪웫웭웮웯웱웲"],
    ["9f81", "웳", 4, "웺웻웼웾", 5, "윆윇윉윊윋윍", 6, "윖윘윚", 5, "윢윣윥윦윧윩", 6, "윲윴윶윸윹윺윻윾윿읁읂읃읅", 4, "읋읎읐읙읚읛읝읞읟읡", 6, "읩읪읬", 7, "읶읷읹읺읻읿잀잁잂잆잋잌잍잏잒잓잕잙잛", 4, "잢잧", 4, "잮잯잱잲잳잵잶잷"],
    ["a041", "잸잹잺잻잾쟂", 5, "쟊쟋쟍쟏쟑", 6, "쟙쟚쟛쟜"],
    ["a061", "쟞", 5, "쟥쟦쟧쟩쟪쟫쟭", 13],
    ["a081", "쟻", 4, "젂젃젅젆젇젉젋", 4, "젒젔젗", 4, "젞젟젡젢젣젥", 6, "젮젰젲", 5, "젹젺젻젽젾젿졁", 6, "졊졋졎", 5, "졕", 26, "졲졳졵졶졷졹졻", 4, "좂좄좈좉좊좎", 5, "좕", 7, "좞좠좢좣좤"],
    ["a141", "좥좦좧좩", 18, "좾좿죀죁"],
    ["a161", "죂죃죅죆죇죉죊죋죍", 6, "죖죘죚", 5, "죢죣죥"],
    ["a181", "죦", 14, "죶", 5, "죾죿줁줂줃줇", 4, "줎　、。·‥…¨〃­―∥＼∼‘’“”〔〕〈", 9, "±×÷≠≤≥∞∴°′″℃Å￠￡￥♂♀∠⊥⌒∂∇≡≒§※☆★○●◎◇◆□■△▲▽▼→←↑↓↔〓≪≫√∽∝∵∫∬∈∋⊆⊇⊂⊃∪∩∧∨￢"],
    ["a241", "줐줒", 5, "줙", 18],
    ["a261", "줭", 6, "줵", 18],
    ["a281", "쥈", 7, "쥒쥓쥕쥖쥗쥙", 6, "쥢쥤", 7, "쥭쥮쥯⇒⇔∀∃´～ˇ˘˝˚˙¸˛¡¿ː∮∑∏¤℉‰◁◀▷▶♤♠♡♥♧♣⊙◈▣◐◑▒▤▥▨▧▦▩♨☏☎☜☞¶†‡↕↗↙↖↘♭♩♪♬㉿㈜№㏇™㏂㏘℡€®"],
    ["a341", "쥱쥲쥳쥵", 6, "쥽", 10, "즊즋즍즎즏"],
    ["a361", "즑", 6, "즚즜즞", 16],
    ["a381", "즯", 16, "짂짃짅짆짉짋", 4, "짒짔짗짘짛！", 58, "￦］", 32, "￣"],
    ["a441", "짞짟짡짣짥짦짨짩짪짫짮짲", 5, "짺짻짽짾짿쨁쨂쨃쨄"],
    ["a461", "쨅쨆쨇쨊쨎", 5, "쨕쨖쨗쨙", 12],
    ["a481", "쨦쨧쨨쨪", 28, "ㄱ", 93],
    ["a541", "쩇", 4, "쩎쩏쩑쩒쩓쩕", 6, "쩞쩢", 5, "쩩쩪"],
    ["a561", "쩫", 17, "쩾", 5, "쪅쪆"],
    ["a581", "쪇", 16, "쪙", 14, "ⅰ", 9],
    ["a5b0", "Ⅰ", 9],
    ["a5c1", "Α", 16, "Σ", 6],
    ["a5e1", "α", 16, "σ", 6],
    ["a641", "쪨", 19, "쪾쪿쫁쫂쫃쫅"],
    ["a661", "쫆", 5, "쫎쫐쫒쫔쫕쫖쫗쫚", 5, "쫡", 6],
    ["a681", "쫨쫩쫪쫫쫭", 6, "쫵", 18, "쬉쬊─│┌┐┘└├┬┤┴┼━┃┏┓┛┗┣┳┫┻╋┠┯┨┷┿┝┰┥┸╂┒┑┚┙┖┕┎┍┞┟┡┢┦┧┩┪┭┮┱┲┵┶┹┺┽┾╀╁╃", 7],
    ["a741", "쬋", 4, "쬑쬒쬓쬕쬖쬗쬙", 6, "쬢", 7],
    ["a761", "쬪", 22, "쭂쭃쭄"],
    ["a781", "쭅쭆쭇쭊쭋쭍쭎쭏쭑", 6, "쭚쭛쭜쭞", 5, "쭥", 7, "㎕㎖㎗ℓ㎘㏄㎣㎤㎥㎦㎙", 9, "㏊㎍㎎㎏㏏㎈㎉㏈㎧㎨㎰", 9, "㎀", 4, "㎺", 5, "㎐", 4, "Ω㏀㏁㎊㎋㎌㏖㏅㎭㎮㎯㏛㎩㎪㎫㎬㏝㏐㏓㏃㏉㏜㏆"],
    ["a841", "쭭", 10, "쭺", 14],
    ["a861", "쮉", 18, "쮝", 6],
    ["a881", "쮤", 19, "쮹", 11, "ÆÐªĦ"],
    ["a8a6", "Ĳ"],
    ["a8a8", "ĿŁØŒºÞŦŊ"],
    ["a8b1", "㉠", 27, "ⓐ", 25, "①", 14, "½⅓⅔¼¾⅛⅜⅝⅞"],
    ["a941", "쯅", 14, "쯕", 10],
    ["a961", "쯠쯡쯢쯣쯥쯦쯨쯪", 18],
    ["a981", "쯽", 14, "찎찏찑찒찓찕", 6, "찞찟찠찣찤æđðħıĳĸŀłøœßþŧŋŉ㈀", 27, "⒜", 25, "⑴", 14, "¹²³⁴ⁿ₁₂₃₄"],
    ["aa41", "찥찦찪찫찭찯찱", 6, "찺찿", 4, "챆챇챉챊챋챍챎"],
    ["aa61", "챏", 4, "챖챚", 5, "챡챢챣챥챧챩", 6, "챱챲"],
    ["aa81", "챳챴챶", 29, "ぁ", 82],
    ["ab41", "첔첕첖첗첚첛첝첞첟첡", 6, "첪첮", 5, "첶첷첹"],
    ["ab61", "첺첻첽", 6, "쳆쳈쳊", 5, "쳑쳒쳓쳕", 5],
    ["ab81", "쳛", 8, "쳥", 6, "쳭쳮쳯쳱", 12, "ァ", 85],
    ["ac41", "쳾쳿촀촂", 5, "촊촋촍촎촏촑", 6, "촚촜촞촟촠"],
    ["ac61", "촡촢촣촥촦촧촩촪촫촭", 11, "촺", 4],
    ["ac81", "촿", 28, "쵝쵞쵟А", 5, "ЁЖ", 25],
    ["acd1", "а", 5, "ёж", 25],
    ["ad41", "쵡쵢쵣쵥", 6, "쵮쵰쵲", 5, "쵹", 7],
    ["ad61", "춁", 6, "춉", 10, "춖춗춙춚춛춝춞춟"],
    ["ad81", "춠춡춢춣춦춨춪", 5, "춱", 18, "췅"],
    ["ae41", "췆", 5, "췍췎췏췑", 16],
    ["ae61", "췢", 5, "췩췪췫췭췮췯췱", 6, "췺췼췾", 4],
    ["ae81", "츃츅츆츇츉츊츋츍", 6, "츕츖츗츘츚", 5, "츢츣츥츦츧츩츪츫"],
    ["af41", "츬츭츮츯츲츴츶", 19],
    ["af61", "칊", 13, "칚칛칝칞칢", 5, "칪칬"],
    ["af81", "칮", 5, "칶칷칹칺칻칽", 6, "캆캈캊", 5, "캒캓캕캖캗캙"],
    ["b041", "캚", 5, "캢캦", 5, "캮", 12],
    ["b061", "캻", 5, "컂", 19],
    ["b081", "컖", 13, "컦컧컩컪컭", 6, "컶컺", 5, "가각간갇갈갉갊감", 7, "같", 4, "갠갤갬갭갯갰갱갸갹갼걀걋걍걔걘걜거걱건걷걸걺검겁것겄겅겆겉겊겋게겐겔겜겝겟겠겡겨격겪견겯결겸겹겻겼경곁계곈곌곕곗고곡곤곧골곪곬곯곰곱곳공곶과곽관괄괆"],
    ["b141", "켂켃켅켆켇켉", 6, "켒켔켖", 5, "켝켞켟켡켢켣"],
    ["b161", "켥", 6, "켮켲", 5, "켹", 11],
    ["b181", "콅", 14, "콖콗콙콚콛콝", 6, "콦콨콪콫콬괌괍괏광괘괜괠괩괬괭괴괵괸괼굄굅굇굉교굔굘굡굣구국군굳굴굵굶굻굼굽굿궁궂궈궉권궐궜궝궤궷귀귁귄귈귐귑귓규균귤그극근귿글긁금급긋긍긔기긱긴긷길긺김깁깃깅깆깊까깍깎깐깔깖깜깝깟깠깡깥깨깩깬깰깸"],
    ["b241", "콭콮콯콲콳콵콶콷콹", 6, "쾁쾂쾃쾄쾆", 5, "쾍"],
    ["b261", "쾎", 18, "쾢", 5, "쾩"],
    ["b281", "쾪", 5, "쾱", 18, "쿅", 6, "깹깻깼깽꺄꺅꺌꺼꺽꺾껀껄껌껍껏껐껑께껙껜껨껫껭껴껸껼꼇꼈꼍꼐꼬꼭꼰꼲꼴꼼꼽꼿꽁꽂꽃꽈꽉꽐꽜꽝꽤꽥꽹꾀꾄꾈꾐꾑꾕꾜꾸꾹꾼꿀꿇꿈꿉꿋꿍꿎꿔꿜꿨꿩꿰꿱꿴꿸뀀뀁뀄뀌뀐뀔뀜뀝뀨끄끅끈끊끌끎끓끔끕끗끙"],
    ["b341", "쿌", 19, "쿢쿣쿥쿦쿧쿩"],
    ["b361", "쿪", 5, "쿲쿴쿶", 5, "쿽쿾쿿퀁퀂퀃퀅", 5],
    ["b381", "퀋", 5, "퀒", 5, "퀙", 19, "끝끼끽낀낄낌낍낏낑나낙낚난낟날낡낢남납낫", 4, "낱낳내낵낸낼냄냅냇냈냉냐냑냔냘냠냥너넉넋넌널넒넓넘넙넛넜넝넣네넥넨넬넴넵넷넸넹녀녁년녈념녑녔녕녘녜녠노녹논놀놂놈놉놋농높놓놔놘놜놨뇌뇐뇔뇜뇝"],
    ["b441", "퀮", 5, "퀶퀷퀹퀺퀻퀽", 6, "큆큈큊", 5],
    ["b461", "큑큒큓큕큖큗큙", 6, "큡", 10, "큮큯"],
    ["b481", "큱큲큳큵", 6, "큾큿킀킂", 18, "뇟뇨뇩뇬뇰뇹뇻뇽누눅눈눋눌눔눕눗눙눠눴눼뉘뉜뉠뉨뉩뉴뉵뉼늄늅늉느늑는늘늙늚늠늡늣능늦늪늬늰늴니닉닌닐닒님닙닛닝닢다닥닦단닫", 4, "닳담답닷", 4, "닿대댁댄댈댐댑댓댔댕댜더덕덖던덛덜덞덟덤덥"],
    ["b541", "킕", 14, "킦킧킩킪킫킭", 5],
    ["b561", "킳킶킸킺", 5, "탂탃탅탆탇탊", 5, "탒탖", 4],
    ["b581", "탛탞탟탡탢탣탥", 6, "탮탲", 5, "탹", 11, "덧덩덫덮데덱덴델뎀뎁뎃뎄뎅뎌뎐뎔뎠뎡뎨뎬도독돈돋돌돎돐돔돕돗동돛돝돠돤돨돼됐되된될됨됩됫됴두둑둔둘둠둡둣둥둬뒀뒈뒝뒤뒨뒬뒵뒷뒹듀듄듈듐듕드득든듣들듦듬듭듯등듸디딕딘딛딜딤딥딧딨딩딪따딱딴딸"],
    ["b641", "턅", 7, "턎", 17],
    ["b661", "턠", 15, "턲턳턵턶턷턹턻턼턽턾"],
    ["b681", "턿텂텆", 5, "텎텏텑텒텓텕", 6, "텞텠텢", 5, "텩텪텫텭땀땁땃땄땅땋때땍땐땔땜땝땟땠땡떠떡떤떨떪떫떰떱떳떴떵떻떼떽뗀뗄뗌뗍뗏뗐뗑뗘뗬또똑똔똘똥똬똴뙈뙤뙨뚜뚝뚠뚤뚫뚬뚱뛔뛰뛴뛸뜀뜁뜅뜨뜩뜬뜯뜰뜸뜹뜻띄띈띌띔띕띠띤띨띰띱띳띵라락란랄람랍랏랐랑랒랖랗"],
    ["b741", "텮", 13, "텽", 6, "톅톆톇톉톊"],
    ["b761", "톋", 20, "톢톣톥톦톧"],
    ["b781", "톩", 6, "톲톴톶톷톸톹톻톽톾톿퇁", 14, "래랙랜랠램랩랫랬랭랴략랸럇량러럭런럴럼럽럿렀렁렇레렉렌렐렘렙렛렝려력련렬렴렵렷렸령례롄롑롓로록론롤롬롭롯롱롸롼뢍뢨뢰뢴뢸룀룁룃룅료룐룔룝룟룡루룩룬룰룸룹룻룽뤄뤘뤠뤼뤽륀륄륌륏륑류륙륜률륨륩"],
    ["b841", "퇐", 7, "퇙", 17],
    ["b861", "퇫", 8, "퇵퇶퇷퇹", 13],
    ["b881", "툈툊", 5, "툑", 24, "륫륭르륵른를름릅릇릉릊릍릎리릭린릴림립릿링마막만많", 4, "맘맙맛망맞맡맣매맥맨맬맴맵맷맸맹맺먀먁먈먕머먹먼멀멂멈멉멋멍멎멓메멕멘멜멤멥멧멨멩며멱면멸몃몄명몇몌모목몫몬몰몲몸몹못몽뫄뫈뫘뫙뫼"],
    ["b941", "툪툫툮툯툱툲툳툵", 6, "툾퉀퉂", 5, "퉉퉊퉋퉌"],
    ["b961", "퉍", 14, "퉝", 6, "퉥퉦퉧퉨"],
    ["b981", "퉩", 22, "튂튃튅튆튇튉튊튋튌묀묄묍묏묑묘묜묠묩묫무묵묶문묻물묽묾뭄뭅뭇뭉뭍뭏뭐뭔뭘뭡뭣뭬뮈뮌뮐뮤뮨뮬뮴뮷므믄믈믐믓미믹민믿밀밂밈밉밋밌밍및밑바", 4, "받", 4, "밤밥밧방밭배백밴밸뱀뱁뱃뱄뱅뱉뱌뱍뱐뱝버벅번벋벌벎범법벗"],
    ["ba41", "튍튎튏튒튓튔튖", 5, "튝튞튟튡튢튣튥", 6, "튭"],
    ["ba61", "튮튯튰튲", 5, "튺튻튽튾틁틃", 4, "틊틌", 5],
    ["ba81", "틒틓틕틖틗틙틚틛틝", 6, "틦", 9, "틲틳틵틶틷틹틺벙벚베벡벤벧벨벰벱벳벴벵벼벽변별볍볏볐병볕볘볜보복볶본볼봄봅봇봉봐봔봤봬뵀뵈뵉뵌뵐뵘뵙뵤뵨부북분붇불붉붊붐붑붓붕붙붚붜붤붰붸뷔뷕뷘뷜뷩뷰뷴뷸븀븃븅브븍븐블븜븝븟비빅빈빌빎빔빕빗빙빚빛빠빡빤"],
    ["bb41", "틻", 4, "팂팄팆", 5, "팏팑팒팓팕팗", 4, "팞팢팣"],
    ["bb61", "팤팦팧팪팫팭팮팯팱", 6, "팺팾", 5, "퍆퍇퍈퍉"],
    ["bb81", "퍊", 31, "빨빪빰빱빳빴빵빻빼빽뺀뺄뺌뺍뺏뺐뺑뺘뺙뺨뻐뻑뻔뻗뻘뻠뻣뻤뻥뻬뼁뼈뼉뼘뼙뼛뼜뼝뽀뽁뽄뽈뽐뽑뽕뾔뾰뿅뿌뿍뿐뿔뿜뿟뿡쀼쁑쁘쁜쁠쁨쁩삐삑삔삘삠삡삣삥사삭삯산삳살삵삶삼삽삿샀상샅새색샌샐샘샙샛샜생샤"],
    ["bc41", "퍪", 17, "퍾퍿펁펂펃펅펆펇"],
    ["bc61", "펈펉펊펋펎펒", 5, "펚펛펝펞펟펡", 6, "펪펬펮"],
    ["bc81", "펯", 4, "펵펶펷펹펺펻펽", 6, "폆폇폊", 5, "폑", 5, "샥샨샬샴샵샷샹섀섄섈섐섕서", 4, "섣설섦섧섬섭섯섰성섶세섹센셀셈셉셋셌셍셔셕션셜셤셥셧셨셩셰셴셸솅소속솎손솔솖솜솝솟송솥솨솩솬솰솽쇄쇈쇌쇔쇗쇘쇠쇤쇨쇰쇱쇳쇼쇽숀숄숌숍숏숑수숙순숟술숨숩숫숭"],
    ["bd41", "폗폙", 7, "폢폤", 7, "폮폯폱폲폳폵폶폷"],
    ["bd61", "폸폹폺폻폾퐀퐂", 5, "퐉", 13],
    ["bd81", "퐗", 5, "퐞", 25, "숯숱숲숴쉈쉐쉑쉔쉘쉠쉥쉬쉭쉰쉴쉼쉽쉿슁슈슉슐슘슛슝스슥슨슬슭슴습슷승시식신싣실싫심십싯싱싶싸싹싻싼쌀쌈쌉쌌쌍쌓쌔쌕쌘쌜쌤쌥쌨쌩썅써썩썬썰썲썸썹썼썽쎄쎈쎌쏀쏘쏙쏜쏟쏠쏢쏨쏩쏭쏴쏵쏸쐈쐐쐤쐬쐰"],
    ["be41", "퐸", 7, "푁푂푃푅", 14],
    ["be61", "푔", 7, "푝푞푟푡푢푣푥", 7, "푮푰푱푲"],
    ["be81", "푳", 4, "푺푻푽푾풁풃", 4, "풊풌풎", 5, "풕", 8, "쐴쐼쐽쑈쑤쑥쑨쑬쑴쑵쑹쒀쒔쒜쒸쒼쓩쓰쓱쓴쓸쓺쓿씀씁씌씐씔씜씨씩씬씰씸씹씻씽아악안앉않알앍앎앓암압앗았앙앝앞애액앤앨앰앱앳앴앵야약얀얄얇얌얍얏양얕얗얘얜얠얩어억언얹얻얼얽얾엄", 6, "엌엎"],
    ["bf41", "풞", 10, "풪", 14],
    ["bf61", "풹", 18, "퓍퓎퓏퓑퓒퓓퓕"],
    ["bf81", "퓖", 5, "퓝퓞퓠", 7, "퓩퓪퓫퓭퓮퓯퓱", 6, "퓹퓺퓼에엑엔엘엠엡엣엥여역엮연열엶엷염", 5, "옅옆옇예옌옐옘옙옛옜오옥온올옭옮옰옳옴옵옷옹옻와왁완왈왐왑왓왔왕왜왝왠왬왯왱외왹왼욀욈욉욋욍요욕욘욜욤욥욧용우욱운울욹욺움웁웃웅워웍원월웜웝웠웡웨"],
    ["c041", "퓾", 5, "픅픆픇픉픊픋픍", 6, "픖픘", 5],
    ["c061", "픞", 25],
    ["c081", "픸픹픺픻픾픿핁핂핃핅", 6, "핎핐핒", 5, "핚핛핝핞핟핡핢핣웩웬웰웸웹웽위윅윈윌윔윕윗윙유육윤율윰윱윳융윷으윽은을읊음읍읏응", 7, "읜읠읨읫이익인일읽읾잃임입잇있잉잊잎자작잔잖잗잘잚잠잡잣잤장잦재잭잰잴잼잽잿쟀쟁쟈쟉쟌쟎쟐쟘쟝쟤쟨쟬저적전절젊"],
    ["c141", "핤핦핧핪핬핮", 5, "핶핷핹핺핻핽", 6, "햆햊햋"],
    ["c161", "햌햍햎햏햑", 19, "햦햧"],
    ["c181", "햨", 31, "점접젓정젖제젝젠젤젬젭젯젱져젼졀졈졉졌졍졔조족존졸졺좀좁좃종좆좇좋좌좍좔좝좟좡좨좼좽죄죈죌죔죕죗죙죠죡죤죵주죽준줄줅줆줌줍줏중줘줬줴쥐쥑쥔쥘쥠쥡쥣쥬쥰쥴쥼즈즉즌즐즘즙즛증지직진짇질짊짐집짓"],
    ["c241", "헊헋헍헎헏헑헓", 4, "헚헜헞", 5, "헦헧헩헪헫헭헮"],
    ["c261", "헯", 4, "헶헸헺", 5, "혂혃혅혆혇혉", 6, "혒"],
    ["c281", "혖", 5, "혝혞혟혡혢혣혥", 7, "혮", 9, "혺혻징짖짙짚짜짝짠짢짤짧짬짭짯짰짱째짹짼쨀쨈쨉쨋쨌쨍쨔쨘쨩쩌쩍쩐쩔쩜쩝쩟쩠쩡쩨쩽쪄쪘쪼쪽쫀쫄쫌쫍쫏쫑쫓쫘쫙쫠쫬쫴쬈쬐쬔쬘쬠쬡쭁쭈쭉쭌쭐쭘쭙쭝쭤쭸쭹쮜쮸쯔쯤쯧쯩찌찍찐찔찜찝찡찢찧차착찬찮찰참찹찻"],
    ["c341", "혽혾혿홁홂홃홄홆홇홊홌홎홏홐홒홓홖홗홙홚홛홝", 4],
    ["c361", "홢", 4, "홨홪", 5, "홲홳홵", 11],
    ["c381", "횁횂횄횆", 5, "횎횏횑횒횓횕", 7, "횞횠횢", 5, "횩횪찼창찾채책챈챌챔챕챗챘챙챠챤챦챨챰챵처척천철첨첩첫첬청체첵첸첼쳄쳅쳇쳉쳐쳔쳤쳬쳰촁초촉촌촐촘촙촛총촤촨촬촹최쵠쵤쵬쵭쵯쵱쵸춈추축춘출춤춥춧충춰췄췌췐취췬췰췸췹췻췽츄츈츌츔츙츠측츤츨츰츱츳층"],
    ["c441", "횫횭횮횯횱", 7, "횺횼", 7, "훆훇훉훊훋"],
    ["c461", "훍훎훏훐훒훓훕훖훘훚", 5, "훡훢훣훥훦훧훩", 4],
    ["c481", "훮훯훱훲훳훴훶", 5, "훾훿휁휂휃휅", 11, "휒휓휔치칙친칟칠칡침칩칫칭카칵칸칼캄캅캇캉캐캑캔캘캠캡캣캤캥캬캭컁커컥컨컫컬컴컵컷컸컹케켁켄켈켐켑켓켕켜켠켤켬켭켯켰켱켸코콕콘콜콤콥콧콩콰콱콴콸쾀쾅쾌쾡쾨쾰쿄쿠쿡쿤쿨쿰쿱쿳쿵쿼퀀퀄퀑퀘퀭퀴퀵퀸퀼"],
    ["c541", "휕휖휗휚휛휝휞휟휡", 6, "휪휬휮", 5, "휶휷휹"],
    ["c561", "휺휻휽", 6, "흅흆흈흊", 5, "흒흓흕흚", 4],
    ["c581", "흟흢흤흦흧흨흪흫흭흮흯흱흲흳흵", 6, "흾흿힀힂", 5, "힊힋큄큅큇큉큐큔큘큠크큭큰클큼큽킁키킥킨킬킴킵킷킹타탁탄탈탉탐탑탓탔탕태택탠탤탬탭탯탰탱탸턍터턱턴털턺텀텁텃텄텅테텍텐텔템텝텟텡텨텬텼톄톈토톡톤톨톰톱톳통톺톼퇀퇘퇴퇸툇툉툐투툭툰툴툼툽툿퉁퉈퉜"],
    ["c641", "힍힎힏힑", 6, "힚힜힞", 5],
    ["c6a1", "퉤튀튁튄튈튐튑튕튜튠튤튬튱트특튼튿틀틂틈틉틋틔틘틜틤틥티틱틴틸팀팁팃팅파팍팎판팔팖팜팝팟팠팡팥패팩팬팰팸팹팻팼팽퍄퍅퍼퍽펀펄펌펍펏펐펑페펙펜펠펨펩펫펭펴편펼폄폅폈평폐폘폡폣포폭폰폴폼폽폿퐁"],
    ["c7a1", "퐈퐝푀푄표푠푤푭푯푸푹푼푿풀풂품풉풋풍풔풩퓌퓐퓔퓜퓟퓨퓬퓰퓸퓻퓽프픈플픔픕픗피픽핀필핌핍핏핑하학한할핥함합핫항해핵핸핼햄햅햇했행햐향허헉헌헐헒험헙헛헝헤헥헨헬헴헵헷헹혀혁현혈혐협혓혔형혜혠"],
    ["c8a1", "혤혭호혹혼홀홅홈홉홋홍홑화확환활홧황홰홱홴횃횅회획횐횔횝횟횡효횬횰횹횻후훅훈훌훑훔훗훙훠훤훨훰훵훼훽휀휄휑휘휙휜휠휨휩휫휭휴휵휸휼흄흇흉흐흑흔흖흗흘흙흠흡흣흥흩희흰흴흼흽힁히힉힌힐힘힙힛힝"],
    ["caa1", "伽佳假價加可呵哥嘉嫁家暇架枷柯歌珂痂稼苛茄街袈訶賈跏軻迦駕刻却各恪慤殼珏脚覺角閣侃刊墾奸姦干幹懇揀杆柬桿澗癎看磵稈竿簡肝艮艱諫間乫喝曷渴碣竭葛褐蝎鞨勘坎堪嵌感憾戡敢柑橄減甘疳監瞰紺邯鑑鑒龕"],
    ["cba1", "匣岬甲胛鉀閘剛堈姜岡崗康强彊慷江畺疆糠絳綱羌腔舡薑襁講鋼降鱇介价個凱塏愷愾慨改槪漑疥皆盖箇芥蓋豈鎧開喀客坑更粳羹醵倨去居巨拒据據擧渠炬祛距踞車遽鉅鋸乾件健巾建愆楗腱虔蹇鍵騫乞傑杰桀儉劍劒檢"],
    ["cca1", "瞼鈐黔劫怯迲偈憩揭擊格檄激膈覡隔堅牽犬甄絹繭肩見譴遣鵑抉決潔結缺訣兼慊箝謙鉗鎌京俓倞傾儆勁勍卿坰境庚徑慶憬擎敬景暻更梗涇炅烱璟璥瓊痙硬磬竟競絅經耕耿脛莖警輕逕鏡頃頸驚鯨係啓堺契季屆悸戒桂械"],
    ["cda1", "棨溪界癸磎稽系繫繼計誡谿階鷄古叩告呱固姑孤尻庫拷攷故敲暠枯槁沽痼皐睾稿羔考股膏苦苽菰藁蠱袴誥賈辜錮雇顧高鼓哭斛曲梏穀谷鵠困坤崑昆梱棍滾琨袞鯤汨滑骨供公共功孔工恐恭拱控攻珙空蚣貢鞏串寡戈果瓜"],
    ["cea1", "科菓誇課跨過鍋顆廓槨藿郭串冠官寬慣棺款灌琯瓘管罐菅觀貫關館刮恝括适侊光匡壙廣曠洸炚狂珖筐胱鑛卦掛罫乖傀塊壞怪愧拐槐魁宏紘肱轟交僑咬喬嬌嶠巧攪敎校橋狡皎矯絞翹膠蕎蛟較轎郊餃驕鮫丘久九仇俱具勾"],
    ["cfa1", "區口句咎嘔坵垢寇嶇廐懼拘救枸柩構歐毆毬求溝灸狗玖球瞿矩究絿耉臼舅舊苟衢謳購軀逑邱鉤銶駒驅鳩鷗龜國局菊鞠鞫麴君窘群裙軍郡堀屈掘窟宮弓穹窮芎躬倦券勸卷圈拳捲權淃眷厥獗蕨蹶闕机櫃潰詭軌饋句晷歸貴"],
    ["d0a1", "鬼龜叫圭奎揆槻珪硅窺竅糾葵規赳逵閨勻均畇筠菌鈞龜橘克剋劇戟棘極隙僅劤勤懃斤根槿瑾筋芹菫覲謹近饉契今妗擒昑檎琴禁禽芩衾衿襟金錦伋及急扱汲級給亘兢矜肯企伎其冀嗜器圻基埼夔奇妓寄岐崎己幾忌技旗旣"],
    ["d1a1", "朞期杞棋棄機欺氣汽沂淇玘琦琪璂璣畸畿碁磯祁祇祈祺箕紀綺羈耆耭肌記譏豈起錡錤飢饑騎騏驥麒緊佶吉拮桔金喫儺喇奈娜懦懶拏拿癩", 5, "那樂", 4, "諾酪駱亂卵暖欄煖爛蘭難鸞捏捺南嵐枏楠湳濫男藍襤拉"],
    ["d2a1", "納臘蠟衲囊娘廊", 4, "乃來內奈柰耐冷女年撚秊念恬拈捻寧寗努勞奴弩怒擄櫓爐瑙盧", 5, "駑魯", 10, "濃籠聾膿農惱牢磊腦賂雷尿壘", 7, "嫩訥杻紐勒", 5, "能菱陵尼泥匿溺多茶"],
    ["d3a1", "丹亶但單團壇彖斷旦檀段湍短端簞緞蛋袒鄲鍛撻澾獺疸達啖坍憺擔曇淡湛潭澹痰聃膽蕁覃談譚錟沓畓答踏遝唐堂塘幢戇撞棠當糖螳黨代垈坮大對岱帶待戴擡玳臺袋貸隊黛宅德悳倒刀到圖堵塗導屠島嶋度徒悼挑掉搗桃"],
    ["d4a1", "棹櫂淘渡滔濤燾盜睹禱稻萄覩賭跳蹈逃途道都鍍陶韜毒瀆牘犢獨督禿篤纛讀墩惇敦旽暾沌焞燉豚頓乭突仝冬凍動同憧東桐棟洞潼疼瞳童胴董銅兜斗杜枓痘竇荳讀豆逗頭屯臀芚遁遯鈍得嶝橙燈登等藤謄鄧騰喇懶拏癩羅"],
    ["d5a1", "蘿螺裸邏樂洛烙珞絡落諾酪駱丹亂卵欄欒瀾爛蘭鸞剌辣嵐擥攬欖濫籃纜藍襤覽拉臘蠟廊朗浪狼琅瑯螂郞來崍徠萊冷掠略亮倆兩凉梁樑粮粱糧良諒輛量侶儷勵呂廬慮戾旅櫚濾礪藜蠣閭驢驪麗黎力曆歷瀝礫轢靂憐戀攣漣"],
    ["d6a1", "煉璉練聯蓮輦連鍊冽列劣洌烈裂廉斂殮濂簾獵令伶囹寧岺嶺怜玲笭羚翎聆逞鈴零靈領齡例澧禮醴隷勞怒撈擄櫓潞瀘爐盧老蘆虜路輅露魯鷺鹵碌祿綠菉錄鹿麓論壟弄朧瀧瓏籠聾儡瀨牢磊賂賚賴雷了僚寮廖料燎療瞭聊蓼"],
    ["d7a1", "遼鬧龍壘婁屢樓淚漏瘻累縷蔞褸鏤陋劉旒柳榴流溜瀏琉瑠留瘤硫謬類六戮陸侖倫崙淪綸輪律慄栗率隆勒肋凜凌楞稜綾菱陵俚利厘吏唎履悧李梨浬犁狸理璃異痢籬罹羸莉裏裡里釐離鯉吝潾燐璘藺躪隣鱗麟林淋琳臨霖砬"],
    ["d8a1", "立笠粒摩瑪痲碼磨馬魔麻寞幕漠膜莫邈万卍娩巒彎慢挽晩曼滿漫灣瞞萬蔓蠻輓饅鰻唜抹末沫茉襪靺亡妄忘忙望網罔芒茫莽輞邙埋妹媒寐昧枚梅每煤罵買賣邁魅脈貊陌驀麥孟氓猛盲盟萌冪覓免冕勉棉沔眄眠綿緬面麵滅"],
    ["d9a1", "蔑冥名命明暝椧溟皿瞑茗蓂螟酩銘鳴袂侮冒募姆帽慕摸摹暮某模母毛牟牡瑁眸矛耗芼茅謀謨貌木沐牧目睦穆鶩歿沒夢朦蒙卯墓妙廟描昴杳渺猫竗苗錨務巫憮懋戊拇撫无楙武毋無珷畝繆舞茂蕪誣貿霧鵡墨默們刎吻問文"],
    ["daa1", "汶紊紋聞蚊門雯勿沕物味媚尾嵋彌微未梶楣渼湄眉米美薇謎迷靡黴岷悶愍憫敏旻旼民泯玟珉緡閔密蜜謐剝博拍搏撲朴樸泊珀璞箔粕縛膊舶薄迫雹駁伴半反叛拌搬攀斑槃泮潘班畔瘢盤盼磐磻礬絆般蟠返頒飯勃拔撥渤潑"],
    ["dba1", "發跋醱鉢髮魃倣傍坊妨尨幇彷房放方旁昉枋榜滂磅紡肪膀舫芳蒡蚌訪謗邦防龐倍俳北培徘拜排杯湃焙盃背胚裴裵褙賠輩配陪伯佰帛柏栢白百魄幡樊煩燔番磻繁蕃藩飜伐筏罰閥凡帆梵氾汎泛犯範范法琺僻劈壁擘檗璧癖"],
    ["dca1", "碧蘗闢霹便卞弁變辨辯邊別瞥鱉鼈丙倂兵屛幷昞昺柄棅炳甁病秉竝輧餠騈保堡報寶普步洑湺潽珤甫菩補褓譜輔伏僕匐卜宓復服福腹茯蔔複覆輹輻馥鰒本乶俸奉封峯峰捧棒烽熢琫縫蓬蜂逢鋒鳳不付俯傅剖副否咐埠夫婦"],
    ["dda1", "孚孵富府復扶敷斧浮溥父符簿缶腐腑膚艀芙莩訃負賦賻赴趺部釜阜附駙鳧北分吩噴墳奔奮忿憤扮昐汾焚盆粉糞紛芬賁雰不佛弗彿拂崩朋棚硼繃鵬丕備匕匪卑妃婢庇悲憊扉批斐枇榧比毖毗毘沸泌琵痺砒碑秕秘粃緋翡肥"],
    ["dea1", "脾臂菲蜚裨誹譬費鄙非飛鼻嚬嬪彬斌檳殯浜濱瀕牝玭貧賓頻憑氷聘騁乍事些仕伺似使俟僿史司唆嗣四士奢娑寫寺射巳師徙思捨斜斯柶査梭死沙泗渣瀉獅砂社祀祠私篩紗絲肆舍莎蓑蛇裟詐詞謝賜赦辭邪飼駟麝削數朔索"],
    ["dfa1", "傘刪山散汕珊産疝算蒜酸霰乷撒殺煞薩三參杉森渗芟蔘衫揷澁鈒颯上傷像償商喪嘗孀尙峠常床庠廂想桑橡湘爽牀狀相祥箱翔裳觴詳象賞霜塞璽賽嗇塞穡索色牲生甥省笙墅壻嶼序庶徐恕抒捿敍暑曙書栖棲犀瑞筮絮緖署"],
    ["e0a1", "胥舒薯西誓逝鋤黍鼠夕奭席惜昔晳析汐淅潟石碩蓆釋錫仙僊先善嬋宣扇敾旋渲煽琁瑄璇璿癬禪線繕羨腺膳船蘚蟬詵跣選銑鐥饍鮮卨屑楔泄洩渫舌薛褻設說雪齧剡暹殲纖蟾贍閃陝攝涉燮葉城姓宬性惺成星晟猩珹盛省筬"],
    ["e1a1", "聖聲腥誠醒世勢歲洗稅笹細說貰召嘯塑宵小少巢所掃搔昭梳沼消溯瀟炤燒甦疏疎瘙笑篠簫素紹蔬蕭蘇訴逍遡邵銷韶騷俗屬束涑粟續謖贖速孫巽損蓀遜飡率宋悚松淞訟誦送頌刷殺灑碎鎖衰釗修受嗽囚垂壽嫂守岫峀帥愁"],
    ["e2a1", "戍手授搜收數樹殊水洙漱燧狩獸琇璲瘦睡秀穗竪粹綏綬繡羞脩茱蒐蓚藪袖誰讐輸遂邃酬銖銹隋隧隨雖需須首髓鬚叔塾夙孰宿淑潚熟琡璹肅菽巡徇循恂旬栒楯橓殉洵淳珣盾瞬筍純脣舜荀蓴蕣詢諄醇錞順馴戌術述鉥崇崧"],
    ["e3a1", "嵩瑟膝蝨濕拾習褶襲丞乘僧勝升承昇繩蠅陞侍匙嘶始媤尸屎屍市弑恃施是時枾柴猜矢示翅蒔蓍視試詩諡豕豺埴寔式息拭植殖湜熄篒蝕識軾食飾伸侁信呻娠宸愼新晨燼申神紳腎臣莘薪藎蜃訊身辛辰迅失室實悉審尋心沁"],
    ["e4a1", "沈深瀋甚芯諶什十拾雙氏亞俄兒啞娥峨我牙芽莪蛾衙訝阿雅餓鴉鵝堊岳嶽幄惡愕握樂渥鄂鍔顎鰐齷安岸按晏案眼雁鞍顔鮟斡謁軋閼唵岩巖庵暗癌菴闇壓押狎鴨仰央怏昻殃秧鴦厓哀埃崖愛曖涯碍艾隘靄厄扼掖液縊腋額"],
    ["e5a1", "櫻罌鶯鸚也倻冶夜惹揶椰爺耶若野弱掠略約若葯蒻藥躍亮佯兩凉壤孃恙揚攘敭暘梁楊樣洋瀁煬痒瘍禳穰糧羊良襄諒讓釀陽量養圄御於漁瘀禦語馭魚齬億憶抑檍臆偃堰彦焉言諺孼蘖俺儼嚴奄掩淹嶪業円予余勵呂女如廬"],
    ["e6a1", "旅歟汝濾璵礖礪與艅茹輿轝閭餘驪麗黎亦力域役易曆歷疫繹譯轢逆驛嚥堧姸娟宴年延憐戀捐挻撚椽沇沿涎涓淵演漣烟然煙煉燃燕璉硏硯秊筵緣練縯聯衍軟輦蓮連鉛鍊鳶列劣咽悅涅烈熱裂說閱厭廉念捻染殮炎焰琰艶苒"],
    ["e7a1", "簾閻髥鹽曄獵燁葉令囹塋寧嶺嶸影怜映暎楹榮永泳渶潁濚瀛瀯煐營獰玲瑛瑩瓔盈穎纓羚聆英詠迎鈴鍈零霙靈領乂倪例刈叡曳汭濊猊睿穢芮藝蘂禮裔詣譽豫醴銳隸霓預五伍俉傲午吾吳嗚塢墺奧娛寤悟惡懊敖旿晤梧汚澳"],
    ["e8a1", "烏熬獒筽蜈誤鰲鼇屋沃獄玉鈺溫瑥瘟穩縕蘊兀壅擁瓮甕癰翁邕雍饔渦瓦窩窪臥蛙蝸訛婉完宛梡椀浣玩琓琬碗緩翫脘腕莞豌阮頑曰往旺枉汪王倭娃歪矮外嵬巍猥畏了僚僥凹堯夭妖姚寥寮尿嶢拗搖撓擾料曜樂橈燎燿瑤療"],
    ["e9a1", "窈窯繇繞耀腰蓼蟯要謠遙遼邀饒慾欲浴縟褥辱俑傭冗勇埇墉容庸慂榕涌湧溶熔瑢用甬聳茸蓉踊鎔鏞龍于佑偶優又友右宇寓尤愚憂旴牛玗瑀盂祐禑禹紆羽芋藕虞迂遇郵釪隅雨雩勖彧旭昱栯煜稶郁頊云暈橒殞澐熉耘芸蕓"],
    ["eaa1", "運隕雲韻蔚鬱亐熊雄元原員圓園垣媛嫄寃怨愿援沅洹湲源爰猿瑗苑袁轅遠阮院願鴛月越鉞位偉僞危圍委威尉慰暐渭爲瑋緯胃萎葦蔿蝟衛褘謂違韋魏乳侑儒兪劉唯喩孺宥幼幽庾悠惟愈愉揄攸有杻柔柚柳楡楢油洧流游溜"],
    ["eba1", "濡猶猷琉瑜由留癒硫紐維臾萸裕誘諛諭踰蹂遊逾遺酉釉鍮類六堉戮毓肉育陸倫允奫尹崙淪潤玧胤贇輪鈗閏律慄栗率聿戎瀜絨融隆垠恩慇殷誾銀隱乙吟淫蔭陰音飮揖泣邑凝應膺鷹依倚儀宜意懿擬椅毅疑矣義艤薏蟻衣誼"],
    ["eca1", "議醫二以伊利吏夷姨履已弛彛怡易李梨泥爾珥理異痍痢移罹而耳肄苡荑裏裡貽貳邇里離飴餌匿溺瀷益翊翌翼謚人仁刃印吝咽因姻寅引忍湮燐璘絪茵藺蚓認隣靭靷鱗麟一佚佾壹日溢逸鎰馹任壬妊姙恁林淋稔臨荏賃入卄"],
    ["eda1", "立笠粒仍剩孕芿仔刺咨姉姿子字孜恣慈滋炙煮玆瓷疵磁紫者自茨蔗藉諮資雌作勺嚼斫昨灼炸爵綽芍酌雀鵲孱棧殘潺盞岑暫潛箴簪蠶雜丈仗匠場墻壯奬將帳庄張掌暲杖樟檣欌漿牆狀獐璋章粧腸臟臧莊葬蔣薔藏裝贓醬長"],
    ["eea1", "障再哉在宰才材栽梓渽滓災縡裁財載齋齎爭箏諍錚佇低儲咀姐底抵杵楮樗沮渚狙猪疽箸紵苧菹著藷詛貯躇這邸雎齟勣吊嫡寂摘敵滴狄炙的積笛籍績翟荻謫賊赤跡蹟迪迹適鏑佃佺傳全典前剪塡塼奠專展廛悛戰栓殿氈澱"],
    ["efa1", "煎琠田甸畑癲筌箋箭篆纏詮輾轉鈿銓錢鐫電顚顫餞切截折浙癤竊節絶占岾店漸点粘霑鮎點接摺蝶丁井亭停偵呈姃定幀庭廷征情挺政整旌晶晸柾楨檉正汀淀淨渟湞瀞炡玎珽町睛碇禎程穽精綎艇訂諪貞鄭酊釘鉦鋌錠霆靖"],
    ["f0a1", "靜頂鼎制劑啼堤帝弟悌提梯濟祭第臍薺製諸蹄醍除際霽題齊俎兆凋助嘲弔彫措操早晁曺曹朝條棗槽漕潮照燥爪璪眺祖祚租稠窕粗糟組繰肇藻蚤詔調趙躁造遭釣阻雕鳥族簇足鏃存尊卒拙猝倧宗從悰慫棕淙琮種終綜縱腫"],
    ["f1a1", "踪踵鍾鐘佐坐左座挫罪主住侏做姝胄呪周嗾奏宙州廚晝朱柱株注洲湊澍炷珠疇籌紂紬綢舟蛛註誅走躊輳週酎酒鑄駐竹粥俊儁准埈寯峻晙樽浚準濬焌畯竣蠢逡遵雋駿茁中仲衆重卽櫛楫汁葺增憎曾拯烝甑症繒蒸證贈之只"],
    ["f2a1", "咫地址志持指摯支旨智枝枳止池沚漬知砥祉祗紙肢脂至芝芷蜘誌識贄趾遲直稙稷織職唇嗔塵振搢晉晋桭榛殄津溱珍瑨璡畛疹盡眞瞋秦縉縝臻蔯袗診賑軫辰進鎭陣陳震侄叱姪嫉帙桎瓆疾秩窒膣蛭質跌迭斟朕什執潗緝輯"],
    ["f3a1", "鏶集徵懲澄且侘借叉嗟嵯差次此磋箚茶蹉車遮捉搾着窄錯鑿齪撰澯燦璨瓚竄簒纂粲纘讚贊鑽餐饌刹察擦札紮僭參塹慘慙懺斬站讒讖倉倡創唱娼廠彰愴敞昌昶暢槍滄漲猖瘡窓脹艙菖蒼債埰寀寨彩採砦綵菜蔡采釵冊柵策"],
    ["f4a1", "責凄妻悽處倜刺剔尺慽戚拓擲斥滌瘠脊蹠陟隻仟千喘天川擅泉淺玔穿舛薦賤踐遷釧闡阡韆凸哲喆徹撤澈綴輟轍鐵僉尖沾添甛瞻簽籤詹諂堞妾帖捷牒疊睫諜貼輒廳晴淸聽菁請靑鯖切剃替涕滯締諦逮遞體初剿哨憔抄招梢"],
    ["f5a1", "椒楚樵炒焦硝礁礎秒稍肖艸苕草蕉貂超酢醋醮促囑燭矗蜀觸寸忖村邨叢塚寵悤憁摠總聰蔥銃撮催崔最墜抽推椎楸樞湫皺秋芻萩諏趨追鄒酋醜錐錘鎚雛騶鰍丑畜祝竺筑築縮蓄蹙蹴軸逐春椿瑃出朮黜充忠沖蟲衝衷悴膵萃"],
    ["f6a1", "贅取吹嘴娶就炊翠聚脆臭趣醉驟鷲側仄厠惻測層侈値嗤峙幟恥梔治淄熾痔痴癡稚穉緇緻置致蚩輜雉馳齒則勅飭親七柒漆侵寢枕沈浸琛砧針鍼蟄秤稱快他咤唾墮妥惰打拖朶楕舵陀馱駝倬卓啄坼度托拓擢晫柝濁濯琢琸託"],
    ["f7a1", "鐸呑嘆坦彈憚歎灘炭綻誕奪脫探眈耽貪塔搭榻宕帑湯糖蕩兌台太怠態殆汰泰笞胎苔跆邰颱宅擇澤撑攄兎吐土討慟桶洞痛筒統通堆槌腿褪退頹偸套妬投透鬪慝特闖坡婆巴把播擺杷波派爬琶破罷芭跛頗判坂板版瓣販辦鈑"],
    ["f8a1", "阪八叭捌佩唄悖敗沛浿牌狽稗覇貝彭澎烹膨愎便偏扁片篇編翩遍鞭騙貶坪平枰萍評吠嬖幣廢弊斃肺蔽閉陛佈包匍匏咆哺圃布怖抛抱捕暴泡浦疱砲胞脯苞葡蒲袍褒逋鋪飽鮑幅暴曝瀑爆輻俵剽彪慓杓標漂瓢票表豹飇飄驃"],
    ["f9a1", "品稟楓諷豊風馮彼披疲皮被避陂匹弼必泌珌畢疋筆苾馝乏逼下何厦夏廈昰河瑕荷蝦賀遐霞鰕壑學虐謔鶴寒恨悍旱汗漢澣瀚罕翰閑閒限韓割轄函含咸啣喊檻涵緘艦銜陷鹹合哈盒蛤閤闔陜亢伉姮嫦巷恒抗杭桁沆港缸肛航"],
    ["faa1", "行降項亥偕咳垓奚孩害懈楷海瀣蟹解該諧邂駭骸劾核倖幸杏荇行享向嚮珦鄕響餉饗香噓墟虛許憲櫶獻軒歇險驗奕爀赫革俔峴弦懸晛泫炫玄玹現眩睍絃絢縣舷衒見賢鉉顯孑穴血頁嫌俠協夾峽挾浹狹脅脇莢鋏頰亨兄刑型"],
    ["fba1", "形泂滎瀅灐炯熒珩瑩荊螢衡逈邢鎣馨兮彗惠慧暳蕙蹊醯鞋乎互呼壕壺好岵弧戶扈昊晧毫浩淏湖滸澔濠濩灝狐琥瑚瓠皓祜糊縞胡芦葫蒿虎號蝴護豪鎬頀顥惑或酷婚昏混渾琿魂忽惚笏哄弘汞泓洪烘紅虹訌鴻化和嬅樺火畵"],
    ["fca1", "禍禾花華話譁貨靴廓擴攫確碻穫丸喚奐宦幻患換歡晥桓渙煥環紈還驩鰥活滑猾豁闊凰幌徨恍惶愰慌晃晄榥況湟滉潢煌璜皇篁簧荒蝗遑隍黃匯回廻徊恢悔懷晦會檜淮澮灰獪繪膾茴蛔誨賄劃獲宖橫鐄哮嚆孝效斅曉梟涍淆"],
    ["fda1", "爻肴酵驍侯候厚后吼喉嗅帿後朽煦珝逅勛勳塤壎焄熏燻薰訓暈薨喧暄煊萱卉喙毁彙徽揮暉煇諱輝麾休携烋畦虧恤譎鷸兇凶匈洶胸黑昕欣炘痕吃屹紇訖欠欽歆吸恰洽翕興僖凞喜噫囍姬嬉希憙憘戱晞曦熙熹熺犧禧稀羲詰"]
  ];
});

// node_modules/raw-body/node_modules/iconv-lite/encodings/tables/cp950.json
var require_cp950 = __commonJS((exports, module) => {
  module.exports = [
    ["0", "\x00", 127],
    ["a140", "　，、。．‧；：？！︰…‥﹐﹑﹒·﹔﹕﹖﹗｜–︱—︳╴︴﹏（）︵︶｛｝︷︸〔〕︹︺【】︻︼《》︽︾〈〉︿﹀「」﹁﹂『』﹃﹄﹙﹚"],
    ["a1a1", "﹛﹜﹝﹞‘’“”〝〞‵′＃＆＊※§〃○●△▲◎☆★◇◆□■▽▼㊣℅¯￣＿ˍ﹉﹊﹍﹎﹋﹌﹟﹠﹡＋－×÷±√＜＞＝≦≧≠∞≒≡﹢", 4, "～∩∪⊥∠∟⊿㏒㏑∫∮∵∴♀♂⊕⊙↑↓←→↖↗↙↘∥∣／"],
    ["a240", "＼∕﹨＄￥〒￠￡％＠℃℉﹩﹪﹫㏕㎜㎝㎞㏎㎡㎎㎏㏄°兙兛兞兝兡兣嗧瓩糎▁", 7, "▏▎▍▌▋▊▉┼┴┬┤├▔─│▕┌┐└┘╭"],
    ["a2a1", "╮╰╯═╞╪╡◢◣◥◤╱╲╳０", 9, "Ⅰ", 9, "〡", 8, "十卄卅Ａ", 25, "ａ", 21],
    ["a340", "ｗｘｙｚΑ", 16, "Σ", 6, "α", 16, "σ", 6, "ㄅ", 10],
    ["a3a1", "ㄐ", 25, "˙ˉˊˇˋ"],
    ["a3e1", "€"],
    ["a440", "一乙丁七乃九了二人儿入八几刀刁力匕十卜又三下丈上丫丸凡久么也乞于亡兀刃勺千叉口土士夕大女子孑孓寸小尢尸山川工己已巳巾干廾弋弓才"],
    ["a4a1", "丑丐不中丰丹之尹予云井互五亢仁什仃仆仇仍今介仄元允內六兮公冗凶分切刈勻勾勿化匹午升卅卞厄友及反壬天夫太夭孔少尤尺屯巴幻廿弔引心戈戶手扎支文斗斤方日曰月木欠止歹毋比毛氏水火爪父爻片牙牛犬王丙"],
    ["a540", "世丕且丘主乍乏乎以付仔仕他仗代令仙仞充兄冉冊冬凹出凸刊加功包匆北匝仟半卉卡占卯卮去可古右召叮叩叨叼司叵叫另只史叱台句叭叻四囚外"],
    ["a5a1", "央失奴奶孕它尼巨巧左市布平幼弁弘弗必戊打扔扒扑斥旦朮本未末札正母民氐永汁汀氾犯玄玉瓜瓦甘生用甩田由甲申疋白皮皿目矛矢石示禾穴立丞丟乒乓乩亙交亦亥仿伉伙伊伕伍伐休伏仲件任仰仳份企伋光兇兆先全"],
    ["a640", "共再冰列刑划刎刖劣匈匡匠印危吉吏同吊吐吁吋各向名合吃后吆吒因回囝圳地在圭圬圯圩夙多夷夸妄奸妃好她如妁字存宇守宅安寺尖屹州帆并年"],
    ["a6a1", "式弛忙忖戎戌戍成扣扛托收早旨旬旭曲曳有朽朴朱朵次此死氖汝汗汙江池汐汕污汛汍汎灰牟牝百竹米糸缶羊羽老考而耒耳聿肉肋肌臣自至臼舌舛舟艮色艾虫血行衣西阡串亨位住佇佗佞伴佛何估佐佑伽伺伸佃佔似但佣"],
    ["a740", "作你伯低伶余佝佈佚兌克免兵冶冷別判利刪刨劫助努劬匣即卵吝吭吞吾否呎吧呆呃吳呈呂君吩告吹吻吸吮吵吶吠吼呀吱含吟听囪困囤囫坊坑址坍"],
    ["a7a1", "均坎圾坐坏圻壯夾妝妒妨妞妣妙妖妍妤妓妊妥孝孜孚孛完宋宏尬局屁尿尾岐岑岔岌巫希序庇床廷弄弟彤形彷役忘忌志忍忱快忸忪戒我抄抗抖技扶抉扭把扼找批扳抒扯折扮投抓抑抆改攻攸旱更束李杏材村杜杖杞杉杆杠"],
    ["a840", "杓杗步每求汞沙沁沈沉沅沛汪決沐汰沌汨沖沒汽沃汲汾汴沆汶沍沔沘沂灶灼災灸牢牡牠狄狂玖甬甫男甸皂盯矣私秀禿究系罕肖肓肝肘肛肚育良芒"],
    ["a8a1", "芋芍見角言谷豆豕貝赤走足身車辛辰迂迆迅迄巡邑邢邪邦那酉釆里防阮阱阪阬並乖乳事些亞享京佯依侍佳使佬供例來侃佰併侈佩佻侖佾侏侑佺兔兒兕兩具其典冽函刻券刷刺到刮制剁劾劻卒協卓卑卦卷卸卹取叔受味呵"],
    ["a940", "咖呸咕咀呻呷咄咒咆呼咐呱呶和咚呢周咋命咎固垃坷坪坩坡坦坤坼夜奉奇奈奄奔妾妻委妹妮姑姆姐姍始姓姊妯妳姒姅孟孤季宗定官宜宙宛尚屈居"],
    ["a9a1", "屆岷岡岸岩岫岱岳帘帚帖帕帛帑幸庚店府底庖延弦弧弩往征彿彼忝忠忽念忿怏怔怯怵怖怪怕怡性怩怫怛或戕房戾所承拉拌拄抿拂抹拒招披拓拔拋拈抨抽押拐拙拇拍抵拚抱拘拖拗拆抬拎放斧於旺昔易昌昆昂明昀昏昕昊"],
    ["aa40", "昇服朋杭枋枕東果杳杷枇枝林杯杰板枉松析杵枚枓杼杪杲欣武歧歿氓氛泣注泳沱泌泥河沽沾沼波沫法泓沸泄油況沮泗泅泱沿治泡泛泊沬泯泜泖泠"],
    ["aaa1", "炕炎炒炊炙爬爭爸版牧物狀狎狙狗狐玩玨玟玫玥甽疝疙疚的盂盲直知矽社祀祁秉秈空穹竺糾罔羌羋者肺肥肢肱股肫肩肴肪肯臥臾舍芳芝芙芭芽芟芹花芬芥芯芸芣芰芾芷虎虱初表軋迎返近邵邸邱邶采金長門阜陀阿阻附"],
    ["ab40", "陂隹雨青非亟亭亮信侵侯便俠俑俏保促侶俘俟俊俗侮俐俄係俚俎俞侷兗冒冑冠剎剃削前剌剋則勇勉勃勁匍南卻厚叛咬哀咨哎哉咸咦咳哇哂咽咪品"],
    ["aba1", "哄哈咯咫咱咻咩咧咿囿垂型垠垣垢城垮垓奕契奏奎奐姜姘姿姣姨娃姥姪姚姦威姻孩宣宦室客宥封屎屏屍屋峙峒巷帝帥帟幽庠度建弈弭彥很待徊律徇後徉怒思怠急怎怨恍恰恨恢恆恃恬恫恪恤扁拜挖按拼拭持拮拽指拱拷"],
    ["ac40", "拯括拾拴挑挂政故斫施既春昭映昧是星昨昱昤曷柿染柱柔某柬架枯柵柩柯柄柑枴柚查枸柏柞柳枰柙柢柝柒歪殃殆段毒毗氟泉洋洲洪流津洌洱洞洗"],
    ["aca1", "活洽派洶洛泵洹洧洸洩洮洵洎洫炫為炳炬炯炭炸炮炤爰牲牯牴狩狠狡玷珊玻玲珍珀玳甚甭畏界畎畋疫疤疥疢疣癸皆皇皈盈盆盃盅省盹相眉看盾盼眇矜砂研砌砍祆祉祈祇禹禺科秒秋穿突竿竽籽紂紅紀紉紇約紆缸美羿耄"],
    ["ad40", "耐耍耑耶胖胥胚胃胄背胡胛胎胞胤胝致舢苧范茅苣苛苦茄若茂茉苒苗英茁苜苔苑苞苓苟苯茆虐虹虻虺衍衫要觔計訂訃貞負赴赳趴軍軌述迦迢迪迥"],
    ["ada1", "迭迫迤迨郊郎郁郃酋酊重閂限陋陌降面革韋韭音頁風飛食首香乘亳倌倍倣俯倦倥俸倩倖倆值借倚倒們俺倀倔倨俱倡個候倘俳修倭倪俾倫倉兼冤冥冢凍凌准凋剖剜剔剛剝匪卿原厝叟哨唐唁唷哼哥哲唆哺唔哩哭員唉哮哪"],
    ["ae40", "哦唧唇哽唏圃圄埂埔埋埃堉夏套奘奚娑娘娜娟娛娓姬娠娣娩娥娌娉孫屘宰害家宴宮宵容宸射屑展屐峭峽峻峪峨峰島崁峴差席師庫庭座弱徒徑徐恙"],
    ["aea1", "恣恥恐恕恭恩息悄悟悚悍悔悌悅悖扇拳挈拿捎挾振捕捂捆捏捉挺捐挽挪挫挨捍捌效敉料旁旅時晉晏晃晒晌晅晁書朔朕朗校核案框桓根桂桔栩梳栗桌桑栽柴桐桀格桃株桅栓栘桁殊殉殷氣氧氨氦氤泰浪涕消涇浦浸海浙涓"],
    ["af40", "浬涉浮浚浴浩涌涊浹涅浥涔烊烘烤烙烈烏爹特狼狹狽狸狷玆班琉珮珠珪珞畔畝畜畚留疾病症疲疳疽疼疹痂疸皋皰益盍盎眩真眠眨矩砰砧砸砝破砷"],
    ["afa1", "砥砭砠砟砲祕祐祠祟祖神祝祗祚秤秣秧租秦秩秘窄窈站笆笑粉紡紗紋紊素索純紐紕級紜納紙紛缺罟羔翅翁耆耘耕耙耗耽耿胱脂胰脅胭胴脆胸胳脈能脊胼胯臭臬舀舐航舫舨般芻茫荒荔荊茸荐草茵茴荏茲茹茶茗荀茱茨荃"],
    ["b040", "虔蚊蚪蚓蚤蚩蚌蚣蚜衰衷袁袂衽衹記訐討訌訕訊託訓訖訏訑豈豺豹財貢起躬軒軔軏辱送逆迷退迺迴逃追逅迸邕郡郝郢酒配酌釘針釗釜釙閃院陣陡"],
    ["b0a1", "陛陝除陘陞隻飢馬骨高鬥鬲鬼乾偺偽停假偃偌做偉健偶偎偕偵側偷偏倏偯偭兜冕凰剪副勒務勘動匐匏匙匿區匾參曼商啪啦啄啞啡啃啊唱啖問啕唯啤唸售啜唬啣唳啁啗圈國圉域堅堊堆埠埤基堂堵執培夠奢娶婁婉婦婪婀"],
    ["b140", "娼婢婚婆婊孰寇寅寄寂宿密尉專將屠屜屝崇崆崎崛崖崢崑崩崔崙崤崧崗巢常帶帳帷康庸庶庵庾張強彗彬彩彫得徙從徘御徠徜恿患悉悠您惋悴惦悽"],
    ["b1a1", "情悻悵惜悼惘惕惆惟悸惚惇戚戛扈掠控捲掖探接捷捧掘措捱掩掉掃掛捫推掄授掙採掬排掏掀捻捩捨捺敝敖救教敗啟敏敘敕敔斜斛斬族旋旌旎晝晚晤晨晦晞曹勗望梁梯梢梓梵桿桶梱梧梗械梃棄梭梆梅梔條梨梟梡梂欲殺"],
    ["b240", "毫毬氫涎涼淳淙液淡淌淤添淺清淇淋涯淑涮淞淹涸混淵淅淒渚涵淚淫淘淪深淮淨淆淄涪淬涿淦烹焉焊烽烯爽牽犁猜猛猖猓猙率琅琊球理現琍瓠瓶"],
    ["b2a1", "瓷甜產略畦畢異疏痔痕疵痊痍皎盔盒盛眷眾眼眶眸眺硫硃硎祥票祭移窒窕笠笨笛第符笙笞笮粒粗粕絆絃統紮紹紼絀細紳組累終紲紱缽羞羚翌翎習耜聊聆脯脖脣脫脩脰脤舂舵舷舶船莎莞莘荸莢莖莽莫莒莊莓莉莠荷荻荼"],
    ["b340", "莆莧處彪蛇蛀蚶蛄蚵蛆蛋蚱蚯蛉術袞袈被袒袖袍袋覓規訪訝訣訥許設訟訛訢豉豚販責貫貨貪貧赧赦趾趺軛軟這逍通逗連速逝逐逕逞造透逢逖逛途"],
    ["b3a1", "部郭都酗野釵釦釣釧釭釩閉陪陵陳陸陰陴陶陷陬雀雪雩章竟頂頃魚鳥鹵鹿麥麻傢傍傅備傑傀傖傘傚最凱割剴創剩勞勝勛博厥啻喀喧啼喊喝喘喂喜喪喔喇喋喃喳單喟唾喲喚喻喬喱啾喉喫喙圍堯堪場堤堰報堡堝堠壹壺奠"],
    ["b440", "婷媚婿媒媛媧孳孱寒富寓寐尊尋就嵌嵐崴嵇巽幅帽幀幃幾廊廁廂廄弼彭復循徨惑惡悲悶惠愜愣惺愕惰惻惴慨惱愎惶愉愀愒戟扉掣掌描揀揩揉揆揍"],
    ["b4a1", "插揣提握揖揭揮捶援揪換摒揚揹敞敦敢散斑斐斯普晰晴晶景暑智晾晷曾替期朝棺棕棠棘棗椅棟棵森棧棹棒棲棣棋棍植椒椎棉棚楮棻款欺欽殘殖殼毯氮氯氬港游湔渡渲湧湊渠渥渣減湛湘渤湖湮渭渦湯渴湍渺測湃渝渾滋"],
    ["b540", "溉渙湎湣湄湲湩湟焙焚焦焰無然煮焜牌犄犀猶猥猴猩琺琪琳琢琥琵琶琴琯琛琦琨甥甦畫番痢痛痣痙痘痞痠登發皖皓皴盜睏短硝硬硯稍稈程稅稀窘"],
    ["b5a1", "窗窖童竣等策筆筐筒答筍筋筏筑粟粥絞結絨絕紫絮絲絡給絢絰絳善翔翕耋聒肅腕腔腋腑腎脹腆脾腌腓腴舒舜菩萃菸萍菠菅萋菁華菱菴著萊菰萌菌菽菲菊萸萎萄菜萇菔菟虛蛟蛙蛭蛔蛛蛤蛐蛞街裁裂袱覃視註詠評詞証詁"],
    ["b640", "詔詛詐詆訴診訶詖象貂貯貼貳貽賁費賀貴買貶貿貸越超趁跎距跋跚跑跌跛跆軻軸軼辜逮逵週逸進逶鄂郵鄉郾酣酥量鈔鈕鈣鈉鈞鈍鈐鈇鈑閔閏開閑"],
    ["b6a1", "間閒閎隊階隋陽隅隆隍陲隄雁雅雄集雇雯雲韌項順須飧飪飯飩飲飭馮馭黃黍黑亂傭債傲傳僅傾催傷傻傯僇剿剷剽募勦勤勢勣匯嗟嗨嗓嗦嗎嗜嗇嗑嗣嗤嗯嗚嗡嗅嗆嗥嗉園圓塞塑塘塗塚塔填塌塭塊塢塒塋奧嫁嫉嫌媾媽媼"],
    ["b740", "媳嫂媲嵩嵯幌幹廉廈弒彙徬微愚意慈感想愛惹愁愈慎慌慄慍愾愴愧愍愆愷戡戢搓搾搞搪搭搽搬搏搜搔損搶搖搗搆敬斟新暗暉暇暈暖暄暘暍會榔業"],
    ["b7a1", "楚楷楠楔極椰概楊楨楫楞楓楹榆楝楣楛歇歲毀殿毓毽溢溯滓溶滂源溝滇滅溥溘溼溺溫滑準溜滄滔溪溧溴煎煙煩煤煉照煜煬煦煌煥煞煆煨煖爺牒猷獅猿猾瑯瑚瑕瑟瑞瑁琿瑙瑛瑜當畸瘀痰瘁痲痱痺痿痴痳盞盟睛睫睦睞督"],
    ["b840", "睹睪睬睜睥睨睢矮碎碰碗碘碌碉硼碑碓硿祺祿禁萬禽稜稚稠稔稟稞窟窠筷節筠筮筧粱粳粵經絹綑綁綏絛置罩罪署義羨群聖聘肆肄腱腰腸腥腮腳腫"],
    ["b8a1", "腹腺腦舅艇蒂葷落萱葵葦葫葉葬葛萼萵葡董葩葭葆虞虜號蛹蜓蜈蜇蜀蛾蛻蜂蜃蜆蜊衙裟裔裙補裘裝裡裊裕裒覜解詫該詳試詩詰誇詼詣誠話誅詭詢詮詬詹詻訾詨豢貊貉賊資賈賄貲賃賂賅跡跟跨路跳跺跪跤跦躲較載軾輊"],
    ["b940", "辟農運遊道遂達逼違遐遇遏過遍遑逾遁鄒鄗酬酪酩釉鈷鉗鈸鈽鉀鈾鉛鉋鉤鉑鈴鉉鉍鉅鈹鈿鉚閘隘隔隕雍雋雉雊雷電雹零靖靴靶預頑頓頊頒頌飼飴"],
    ["b9a1", "飽飾馳馱馴髡鳩麂鼎鼓鼠僧僮僥僖僭僚僕像僑僱僎僩兢凳劃劂匱厭嗾嘀嘛嘗嗽嘔嘆嘉嘍嘎嗷嘖嘟嘈嘐嗶團圖塵塾境墓墊塹墅塽壽夥夢夤奪奩嫡嫦嫩嫗嫖嫘嫣孵寞寧寡寥實寨寢寤察對屢嶄嶇幛幣幕幗幔廓廖弊彆彰徹慇"],
    ["ba40", "愿態慷慢慣慟慚慘慵截撇摘摔撤摸摟摺摑摧搴摭摻敲斡旗旖暢暨暝榜榨榕槁榮槓構榛榷榻榫榴槐槍榭槌榦槃榣歉歌氳漳演滾漓滴漩漾漠漬漏漂漢"],
    ["baa1", "滿滯漆漱漸漲漣漕漫漯澈漪滬漁滲滌滷熔熙煽熊熄熒爾犒犖獄獐瑤瑣瑪瑰瑭甄疑瘧瘍瘋瘉瘓盡監瞄睽睿睡磁碟碧碳碩碣禎福禍種稱窪窩竭端管箕箋筵算箝箔箏箸箇箄粹粽精綻綰綜綽綾綠緊綴網綱綺綢綿綵綸維緒緇綬"],
    ["bb40", "罰翠翡翟聞聚肇腐膀膏膈膊腿膂臧臺與舔舞艋蓉蒿蓆蓄蒙蒞蒲蒜蓋蒸蓀蓓蒐蒼蓑蓊蜿蜜蜻蜢蜥蜴蜘蝕蜷蜩裳褂裴裹裸製裨褚裯誦誌語誣認誡誓誤"],
    ["bba1", "說誥誨誘誑誚誧豪貍貌賓賑賒赫趙趕跼輔輒輕輓辣遠遘遜遣遙遞遢遝遛鄙鄘鄞酵酸酷酴鉸銀銅銘銖鉻銓銜銨鉼銑閡閨閩閣閥閤隙障際雌雒需靼鞅韶頗領颯颱餃餅餌餉駁骯骰髦魁魂鳴鳶鳳麼鼻齊億儀僻僵價儂儈儉儅凜"],
    ["bc40", "劇劈劉劍劊勰厲嘮嘻嘹嘲嘿嘴嘩噓噎噗噴嘶嘯嘰墀墟增墳墜墮墩墦奭嬉嫻嬋嫵嬌嬈寮寬審寫層履嶝嶔幢幟幡廢廚廟廝廣廠彈影德徵慶慧慮慝慕憂"],
    ["bca1", "慼慰慫慾憧憐憫憎憬憚憤憔憮戮摩摯摹撞撲撈撐撰撥撓撕撩撒撮播撫撚撬撙撢撳敵敷數暮暫暴暱樣樟槨樁樞標槽模樓樊槳樂樅槭樑歐歎殤毅毆漿潼澄潑潦潔澆潭潛潸潮澎潺潰潤澗潘滕潯潠潟熟熬熱熨牖犛獎獗瑩璋璃"],
    ["bd40", "瑾璀畿瘠瘩瘟瘤瘦瘡瘢皚皺盤瞎瞇瞌瞑瞋磋磅確磊碾磕碼磐稿稼穀稽稷稻窯窮箭箱範箴篆篇篁箠篌糊締練緯緻緘緬緝編緣線緞緩綞緙緲緹罵罷羯"],
    ["bda1", "翩耦膛膜膝膠膚膘蔗蔽蔚蓮蔬蔭蔓蔑蔣蔡蔔蓬蔥蓿蔆螂蝴蝶蝠蝦蝸蝨蝙蝗蝌蝓衛衝褐複褒褓褕褊誼諒談諄誕請諸課諉諂調誰論諍誶誹諛豌豎豬賠賞賦賤賬賭賢賣賜質賡赭趟趣踫踐踝踢踏踩踟踡踞躺輝輛輟輩輦輪輜輞"],
    ["be40", "輥適遮遨遭遷鄰鄭鄧鄱醇醉醋醃鋅銻銷鋪銬鋤鋁銳銼鋒鋇鋰銲閭閱霄霆震霉靠鞍鞋鞏頡頫頜颳養餓餒餘駝駐駟駛駑駕駒駙骷髮髯鬧魅魄魷魯鴆鴉"],
    ["bea1", "鴃麩麾黎墨齒儒儘儔儐儕冀冪凝劑劓勳噙噫噹噩噤噸噪器噥噱噯噬噢噶壁墾壇壅奮嬝嬴學寰導彊憲憑憩憊懍憶憾懊懈戰擅擁擋撻撼據擄擇擂操撿擒擔撾整曆曉暹曄曇暸樽樸樺橙橫橘樹橄橢橡橋橇樵機橈歙歷氅濂澱澡"],
    ["bf40", "濃澤濁澧澳激澹澶澦澠澴熾燉燐燒燈燕熹燎燙燜燃燄獨璜璣璘璟璞瓢甌甍瘴瘸瘺盧盥瞠瞞瞟瞥磨磚磬磧禦積穎穆穌穋窺篙簑築篤篛篡篩篦糕糖縊"],
    ["bfa1", "縑縈縛縣縞縝縉縐罹羲翰翱翮耨膳膩膨臻興艘艙蕊蕙蕈蕨蕩蕃蕉蕭蕪蕞螃螟螞螢融衡褪褲褥褫褡親覦諦諺諫諱謀諜諧諮諾謁謂諷諭諳諶諼豫豭貓賴蹄踱踴蹂踹踵輻輯輸輳辨辦遵遴選遲遼遺鄴醒錠錶鋸錳錯錢鋼錫錄錚"],
    ["c040", "錐錦錡錕錮錙閻隧隨險雕霎霑霖霍霓霏靛靜靦鞘頰頸頻頷頭頹頤餐館餞餛餡餚駭駢駱骸骼髻髭鬨鮑鴕鴣鴦鴨鴒鴛默黔龍龜優償儡儲勵嚎嚀嚐嚅嚇"],
    ["c0a1", "嚏壕壓壑壎嬰嬪嬤孺尷屨嶼嶺嶽嶸幫彌徽應懂懇懦懋戲戴擎擊擘擠擰擦擬擱擢擭斂斃曙曖檀檔檄檢檜櫛檣橾檗檐檠歜殮毚氈濘濱濟濠濛濤濫濯澀濬濡濩濕濮濰燧營燮燦燥燭燬燴燠爵牆獰獲璩環璦璨癆療癌盪瞳瞪瞰瞬"],
    ["c140", "瞧瞭矯磷磺磴磯礁禧禪穗窿簇簍篾篷簌篠糠糜糞糢糟糙糝縮績繆縷縲繃縫總縱繅繁縴縹繈縵縿縯罄翳翼聱聲聰聯聳臆臃膺臂臀膿膽臉膾臨舉艱薪"],
    ["c1a1", "薄蕾薜薑薔薯薛薇薨薊虧蟀蟑螳蟒蟆螫螻螺蟈蟋褻褶襄褸褽覬謎謗謙講謊謠謝謄謐豁谿豳賺賽購賸賻趨蹉蹋蹈蹊轄輾轂轅輿避遽還邁邂邀鄹醣醞醜鍍鎂錨鍵鍊鍥鍋錘鍾鍬鍛鍰鍚鍔闊闋闌闈闆隱隸雖霜霞鞠韓顆颶餵騁"],
    ["c240", "駿鮮鮫鮪鮭鴻鴿麋黏點黜黝黛鼾齋叢嚕嚮壙壘嬸彝懣戳擴擲擾攆擺擻擷斷曜朦檳檬櫃檻檸櫂檮檯歟歸殯瀉瀋濾瀆濺瀑瀏燻燼燾燸獷獵璧璿甕癖癘"],
    ["c2a1", "癒瞽瞿瞻瞼礎禮穡穢穠竄竅簫簧簪簞簣簡糧織繕繞繚繡繒繙罈翹翻職聶臍臏舊藏薩藍藐藉薰薺薹薦蟯蟬蟲蟠覆覲觴謨謹謬謫豐贅蹙蹣蹦蹤蹟蹕軀轉轍邇邃邈醫醬釐鎔鎊鎖鎢鎳鎮鎬鎰鎘鎚鎗闔闖闐闕離雜雙雛雞霤鞣鞦"],
    ["c340", "鞭韹額顏題顎顓颺餾餿餽餮馥騎髁鬃鬆魏魎魍鯊鯉鯽鯈鯀鵑鵝鵠黠鼕鼬儳嚥壞壟壢寵龐廬懲懷懶懵攀攏曠曝櫥櫝櫚櫓瀛瀟瀨瀚瀝瀕瀘爆爍牘犢獸"],
    ["c3a1", "獺璽瓊瓣疇疆癟癡矇礙禱穫穩簾簿簸簽簷籀繫繭繹繩繪羅繳羶羹羸臘藩藝藪藕藤藥藷蟻蠅蠍蟹蟾襠襟襖襞譁譜識證譚譎譏譆譙贈贊蹼蹲躇蹶蹬蹺蹴轔轎辭邊邋醱醮鏡鏑鏟鏃鏈鏜鏝鏖鏢鏍鏘鏤鏗鏨關隴難霪霧靡韜韻類"],
    ["c440", "願顛颼饅饉騖騙鬍鯨鯧鯖鯛鶉鵡鵲鵪鵬麒麗麓麴勸嚨嚷嚶嚴嚼壤孀孃孽寶巉懸懺攘攔攙曦朧櫬瀾瀰瀲爐獻瓏癢癥礦礪礬礫竇競籌籃籍糯糰辮繽繼"],
    ["c4a1", "纂罌耀臚艦藻藹蘑藺蘆蘋蘇蘊蠔蠕襤覺觸議譬警譯譟譫贏贍躉躁躅躂醴釋鐘鐃鏽闡霰飄饒饑馨騫騰騷騵鰓鰍鹹麵黨鼯齟齣齡儷儸囁囀囂夔屬巍懼懾攝攜斕曩櫻欄櫺殲灌爛犧瓖瓔癩矓籐纏續羼蘗蘭蘚蠣蠢蠡蠟襪襬覽譴"],
    ["c540", "護譽贓躊躍躋轟辯醺鐮鐳鐵鐺鐸鐲鐫闢霸霹露響顧顥饗驅驃驀騾髏魔魑鰭鰥鶯鶴鷂鶸麝黯鼙齜齦齧儼儻囈囊囉孿巔巒彎懿攤權歡灑灘玀瓤疊癮癬"],
    ["c5a1", "禳籠籟聾聽臟襲襯觼讀贖贗躑躓轡酈鑄鑑鑒霽霾韃韁顫饕驕驍髒鬚鱉鰱鰾鰻鷓鷗鼴齬齪龔囌巖戀攣攫攪曬欐瓚竊籤籣籥纓纖纔臢蘸蘿蠱變邐邏鑣鑠鑤靨顯饜驚驛驗髓體髑鱔鱗鱖鷥麟黴囑壩攬灞癱癲矗罐羈蠶蠹衢讓讒"],
    ["c640", "讖艷贛釀鑪靂靈靄韆顰驟鬢魘鱟鷹鷺鹼鹽鼇齷齲廳欖灣籬籮蠻觀躡釁鑲鑰顱饞髖鬣黌灤矚讚鑷韉驢驥纜讜躪釅鑽鑾鑼鱷鱸黷豔鑿鸚爨驪鬱鸛鸞籲"],
    ["c940", "乂乜凵匚厂万丌乇亍囗兀屮彳丏冇与丮亓仂仉仈冘勼卬厹圠夃夬尐巿旡殳毌气爿丱丼仨仜仩仡仝仚刌匜卌圢圣夗夯宁宄尒尻屴屳帄庀庂忉戉扐氕"],
    ["c9a1", "氶汃氿氻犮犰玊禸肊阞伎优伬仵伔仱伀价伈伝伂伅伢伓伄仴伒冱刓刉刐劦匢匟卍厊吇囡囟圮圪圴夼妀奼妅奻奾奷奿孖尕尥屼屺屻屾巟幵庄异弚彴忕忔忏扜扞扤扡扦扢扙扠扚扥旯旮朾朹朸朻机朿朼朳氘汆汒汜汏汊汔汋"],
    ["ca40", "汌灱牞犴犵玎甪癿穵网艸艼芀艽艿虍襾邙邗邘邛邔阢阤阠阣佖伻佢佉体佤伾佧佒佟佁佘伭伳伿佡冏冹刜刞刡劭劮匉卣卲厎厏吰吷吪呔呅吙吜吥吘"],
    ["caa1", "吽呏呁吨吤呇囮囧囥坁坅坌坉坋坒夆奀妦妘妠妗妎妢妐妏妧妡宎宒尨尪岍岏岈岋岉岒岊岆岓岕巠帊帎庋庉庌庈庍弅弝彸彶忒忑忐忭忨忮忳忡忤忣忺忯忷忻怀忴戺抃抌抎抏抔抇扱扻扺扰抁抈扷扽扲扴攷旰旴旳旲旵杅杇"],
    ["cb40", "杙杕杌杈杝杍杚杋毐氙氚汸汧汫沄沋沏汱汯汩沚汭沇沕沜汦汳汥汻沎灴灺牣犿犽狃狆狁犺狅玕玗玓玔玒町甹疔疕皁礽耴肕肙肐肒肜芐芏芅芎芑芓"],
    ["cba1", "芊芃芄豸迉辿邟邡邥邞邧邠阰阨阯阭丳侘佼侅佽侀侇佶佴侉侄佷佌侗佪侚佹侁佸侐侜侔侞侒侂侕佫佮冞冼冾刵刲刳剆刱劼匊匋匼厒厔咇呿咁咑咂咈呫呺呾呥呬呴呦咍呯呡呠咘呣呧呤囷囹坯坲坭坫坱坰坶垀坵坻坳坴坢"],
    ["cc40", "坨坽夌奅妵妺姏姎妲姌姁妶妼姃姖妱妽姀姈妴姇孢孥宓宕屄屇岮岤岠岵岯岨岬岟岣岭岢岪岧岝岥岶岰岦帗帔帙弨弢弣弤彔徂彾彽忞忥怭怦怙怲怋"],
    ["cca1", "怴怊怗怳怚怞怬怢怍怐怮怓怑怌怉怜戔戽抭抴拑抾抪抶拊抮抳抯抻抩抰抸攽斨斻昉旼昄昒昈旻昃昋昍昅旽昑昐曶朊枅杬枎枒杶杻枘枆构杴枍枌杺枟枑枙枃杽极杸杹枔欥殀歾毞氝沓泬泫泮泙沶泔沭泧沷泐泂沺泃泆泭泲"],
    ["cd40", "泒泝沴沊沝沀泞泀洰泍泇沰泹泏泩泑炔炘炅炓炆炄炑炖炂炚炃牪狖狋狘狉狜狒狔狚狌狑玤玡玭玦玢玠玬玝瓝瓨甿畀甾疌疘皯盳盱盰盵矸矼矹矻矺"],
    ["cda1", "矷祂礿秅穸穻竻籵糽耵肏肮肣肸肵肭舠芠苀芫芚芘芛芵芧芮芼芞芺芴芨芡芩苂芤苃芶芢虰虯虭虮豖迒迋迓迍迖迕迗邲邴邯邳邰阹阽阼阺陃俍俅俓侲俉俋俁俔俜俙侻侳俛俇俖侺俀侹俬剄剉勀勂匽卼厗厖厙厘咺咡咭咥哏"],
    ["ce40", "哃茍咷咮哖咶哅哆咠呰咼咢咾呲哞咰垵垞垟垤垌垗垝垛垔垘垏垙垥垚垕壴复奓姡姞姮娀姱姝姺姽姼姶姤姲姷姛姩姳姵姠姾姴姭宨屌峐峘峌峗峋峛"],
    ["cea1", "峞峚峉峇峊峖峓峔峏峈峆峎峟峸巹帡帢帣帠帤庰庤庢庛庣庥弇弮彖徆怷怹恔恲恞恅恓恇恉恛恌恀恂恟怤恄恘恦恮扂扃拏挍挋拵挎挃拫拹挏挌拸拶挀挓挔拺挕拻拰敁敃斪斿昶昡昲昵昜昦昢昳昫昺昝昴昹昮朏朐柁柲柈枺"],
    ["cf40", "柜枻柸柘柀枷柅柫柤柟枵柍枳柷柶柮柣柂枹柎柧柰枲柼柆柭柌枮柦柛柺柉柊柃柪柋欨殂殄殶毖毘毠氠氡洨洴洭洟洼洿洒洊泚洳洄洙洺洚洑洀洝浂"],
    ["cfa1", "洁洘洷洃洏浀洇洠洬洈洢洉洐炷炟炾炱炰炡炴炵炩牁牉牊牬牰牳牮狊狤狨狫狟狪狦狣玅珌珂珈珅玹玶玵玴珫玿珇玾珃珆玸珋瓬瓮甮畇畈疧疪癹盄眈眃眄眅眊盷盻盺矧矨砆砑砒砅砐砏砎砉砃砓祊祌祋祅祄秕种秏秖秎窀"],
    ["d040", "穾竑笀笁籺籸籹籿粀粁紃紈紁罘羑羍羾耇耎耏耔耷胘胇胠胑胈胂胐胅胣胙胜胊胕胉胏胗胦胍臿舡芔苙苾苹茇苨茀苕茺苫苖苴苬苡苲苵茌苻苶苰苪"],
    ["d0a1", "苤苠苺苳苭虷虴虼虳衁衎衧衪衩觓訄訇赲迣迡迮迠郱邽邿郕郅邾郇郋郈釔釓陔陏陑陓陊陎倞倅倇倓倢倰倛俵俴倳倷倬俶俷倗倜倠倧倵倯倱倎党冔冓凊凄凅凈凎剡剚剒剞剟剕剢勍匎厞唦哢唗唒哧哳哤唚哿唄唈哫唑唅哱"],
    ["d140", "唊哻哷哸哠唎唃唋圁圂埌堲埕埒垺埆垽垼垸垶垿埇埐垹埁夎奊娙娖娭娮娕娏娗娊娞娳孬宧宭宬尃屖屔峬峿峮峱峷崀峹帩帨庨庮庪庬弳弰彧恝恚恧"],
    ["d1a1", "恁悢悈悀悒悁悝悃悕悛悗悇悜悎戙扆拲挐捖挬捄捅挶捃揤挹捋捊挼挩捁挴捘捔捙挭捇挳捚捑挸捗捀捈敊敆旆旃旄旂晊晟晇晑朒朓栟栚桉栲栳栻桋桏栖栱栜栵栫栭栯桎桄栴栝栒栔栦栨栮桍栺栥栠欬欯欭欱欴歭肂殈毦毤"],
    ["d240", "毨毣毢毧氥浺浣浤浶洍浡涒浘浢浭浯涑涍淯浿涆浞浧浠涗浰浼浟涂涘洯浨涋浾涀涄洖涃浻浽浵涐烜烓烑烝烋缹烢烗烒烞烠烔烍烅烆烇烚烎烡牂牸"],
    ["d2a1", "牷牶猀狺狴狾狶狳狻猁珓珙珥珖玼珧珣珩珜珒珛珔珝珚珗珘珨瓞瓟瓴瓵甡畛畟疰痁疻痄痀疿疶疺皊盉眝眛眐眓眒眣眑眕眙眚眢眧砣砬砢砵砯砨砮砫砡砩砳砪砱祔祛祏祜祓祒祑秫秬秠秮秭秪秜秞秝窆窉窅窋窌窊窇竘笐"],
    ["d340", "笄笓笅笏笈笊笎笉笒粄粑粊粌粈粍粅紞紝紑紎紘紖紓紟紒紏紌罜罡罞罠罝罛羖羒翃翂翀耖耾耹胺胲胹胵脁胻脀舁舯舥茳茭荄茙荑茥荖茿荁茦茜茢"],
    ["d3a1", "荂荎茛茪茈茼荍茖茤茠茷茯茩荇荅荌荓茞茬荋茧荈虓虒蚢蚨蚖蚍蚑蚞蚇蚗蚆蚋蚚蚅蚥蚙蚡蚧蚕蚘蚎蚝蚐蚔衃衄衭衵衶衲袀衱衿衯袃衾衴衼訒豇豗豻貤貣赶赸趵趷趶軑軓迾迵适迿迻逄迼迶郖郠郙郚郣郟郥郘郛郗郜郤酐"],
    ["d440", "酎酏釕釢釚陜陟隼飣髟鬯乿偰偪偡偞偠偓偋偝偲偈偍偁偛偊偢倕偅偟偩偫偣偤偆偀偮偳偗偑凐剫剭剬剮勖勓匭厜啵啶唼啍啐唴唪啑啢唶唵唰啒啅"],
    ["d4a1", "唌唲啥啎唹啈唭唻啀啋圊圇埻堔埢埶埜埴堀埭埽堈埸堋埳埏堇埮埣埲埥埬埡堎埼堐埧堁堌埱埩埰堍堄奜婠婘婕婧婞娸娵婭婐婟婥婬婓婤婗婃婝婒婄婛婈媎娾婍娹婌婰婩婇婑婖婂婜孲孮寁寀屙崞崋崝崚崠崌崨崍崦崥崏"],
    ["d540", "崰崒崣崟崮帾帴庱庴庹庲庳弶弸徛徖徟悊悐悆悾悰悺惓惔惏惤惙惝惈悱惛悷惊悿惃惍惀挲捥掊掂捽掽掞掭掝掗掫掎捯掇掐据掯捵掜捭掮捼掤挻掟"],
    ["d5a1", "捸掅掁掑掍捰敓旍晥晡晛晙晜晢朘桹梇梐梜桭桮梮梫楖桯梣梬梩桵桴梲梏桷梒桼桫桲梪梀桱桾梛梖梋梠梉梤桸桻梑梌梊桽欶欳欷欸殑殏殍殎殌氪淀涫涴涳湴涬淩淢涷淶淔渀淈淠淟淖涾淥淜淝淛淴淊涽淭淰涺淕淂淏淉"],
    ["d640", "淐淲淓淽淗淍淣涻烺焍烷焗烴焌烰焄烳焐烼烿焆焓焀烸烶焋焂焎牾牻牼牿猝猗猇猑猘猊猈狿猏猞玈珶珸珵琄琁珽琇琀珺珼珿琌琋珴琈畤畣痎痒痏"],
    ["d6a1", "痋痌痑痐皏皉盓眹眯眭眱眲眴眳眽眥眻眵硈硒硉硍硊硌砦硅硐祤祧祩祪祣祫祡离秺秸秶秷窏窔窐笵筇笴笥笰笢笤笳笘笪笝笱笫笭笯笲笸笚笣粔粘粖粣紵紽紸紶紺絅紬紩絁絇紾紿絊紻紨罣羕羜羝羛翊翋翍翐翑翇翏翉耟"],
    ["d740", "耞耛聇聃聈脘脥脙脛脭脟脬脞脡脕脧脝脢舑舸舳舺舴舲艴莐莣莨莍荺荳莤荴莏莁莕莙荵莔莩荽莃莌莝莛莪莋荾莥莯莈莗莰荿莦莇莮荶莚虙虖蚿蚷"],
    ["d7a1", "蛂蛁蛅蚺蚰蛈蚹蚳蚸蛌蚴蚻蚼蛃蚽蚾衒袉袕袨袢袪袚袑袡袟袘袧袙袛袗袤袬袌袓袎覂觖觙觕訰訧訬訞谹谻豜豝豽貥赽赻赹趼跂趹趿跁軘軞軝軜軗軠軡逤逋逑逜逌逡郯郪郰郴郲郳郔郫郬郩酖酘酚酓酕釬釴釱釳釸釤釹釪"],
    ["d840", "釫釷釨釮镺閆閈陼陭陫陱陯隿靪頄飥馗傛傕傔傞傋傣傃傌傎傝偨傜傒傂傇兟凔匒匑厤厧喑喨喥喭啷噅喢喓喈喏喵喁喣喒喤啽喌喦啿喕喡喎圌堩堷"],
    ["d8a1", "堙堞堧堣堨埵塈堥堜堛堳堿堶堮堹堸堭堬堻奡媯媔媟婺媢媞婸媦婼媥媬媕媮娷媄媊媗媃媋媩婻婽媌媜媏媓媝寪寍寋寔寑寊寎尌尰崷嵃嵫嵁嵋崿崵嵑嵎嵕崳崺嵒崽崱嵙嵂崹嵉崸崼崲崶嵀嵅幄幁彘徦徥徫惉悹惌惢惎惄愔"],
    ["d940", "惲愊愖愅惵愓惸惼惾惁愃愘愝愐惿愄愋扊掔掱掰揎揥揨揯揃撝揳揊揠揶揕揲揵摡揟掾揝揜揄揘揓揂揇揌揋揈揰揗揙攲敧敪敤敜敨敥斌斝斞斮旐旒"],
    ["d9a1", "晼晬晻暀晱晹晪晲朁椌棓椄棜椪棬棪棱椏棖棷棫棤棶椓椐棳棡椇棌椈楰梴椑棯棆椔棸棐棽棼棨椋椊椗棎棈棝棞棦棴棑椆棔棩椕椥棇欹欻欿欼殔殗殙殕殽毰毲毳氰淼湆湇渟湉溈渼渽湅湢渫渿湁湝湳渜渳湋湀湑渻渃渮湞"],
    ["da40", "湨湜湡渱渨湠湱湫渹渢渰湓湥渧湸湤湷湕湹湒湦渵渶湚焠焞焯烻焮焱焣焥焢焲焟焨焺焛牋牚犈犉犆犅犋猒猋猰猢猱猳猧猲猭猦猣猵猌琮琬琰琫琖"],
    ["daa1", "琚琡琭琱琤琣琝琩琠琲瓻甯畯畬痧痚痡痦痝痟痤痗皕皒盚睆睇睄睍睅睊睎睋睌矞矬硠硤硥硜硭硱硪确硰硩硨硞硢祴祳祲祰稂稊稃稌稄窙竦竤筊笻筄筈筌筎筀筘筅粢粞粨粡絘絯絣絓絖絧絪絏絭絜絫絒絔絩絑絟絎缾缿罥"],
    ["db40", "罦羢羠羡翗聑聏聐胾胔腃腊腒腏腇脽腍脺臦臮臷臸臹舄舼舽舿艵茻菏菹萣菀菨萒菧菤菼菶萐菆菈菫菣莿萁菝菥菘菿菡菋菎菖菵菉萉萏菞萑萆菂菳"],
    ["dba1", "菕菺菇菑菪萓菃菬菮菄菻菗菢萛菛菾蛘蛢蛦蛓蛣蛚蛪蛝蛫蛜蛬蛩蛗蛨蛑衈衖衕袺裗袹袸裀袾袶袼袷袽袲褁裉覕覘覗觝觚觛詎詍訹詙詀詗詘詄詅詒詈詑詊詌詏豟貁貀貺貾貰貹貵趄趀趉跘跓跍跇跖跜跏跕跙跈跗跅軯軷軺"],
    ["dc40", "軹軦軮軥軵軧軨軶軫軱軬軴軩逭逴逯鄆鄬鄄郿郼鄈郹郻鄁鄀鄇鄅鄃酡酤酟酢酠鈁鈊鈥鈃鈚鈦鈏鈌鈀鈒釿釽鈆鈄鈧鈂鈜鈤鈙鈗鈅鈖镻閍閌閐隇陾隈"],
    ["dca1", "隉隃隀雂雈雃雱雰靬靰靮頇颩飫鳦黹亃亄亶傽傿僆傮僄僊傴僈僂傰僁傺傱僋僉傶傸凗剺剸剻剼嗃嗛嗌嗐嗋嗊嗝嗀嗔嗄嗩喿嗒喍嗏嗕嗢嗖嗈嗲嗍嗙嗂圔塓塨塤塏塍塉塯塕塎塝塙塥塛堽塣塱壼嫇嫄嫋媺媸媱媵媰媿嫈媻嫆"],
    ["dd40", "媷嫀嫊媴媶嫍媹媐寖寘寙尟尳嵱嵣嵊嵥嵲嵬嵞嵨嵧嵢巰幏幎幊幍幋廅廌廆廋廇彀徯徭惷慉慊愫慅愶愲愮慆愯慏愩慀戠酨戣戥戤揅揱揫搐搒搉搠搤"],
    ["dda1", "搳摃搟搕搘搹搷搢搣搌搦搰搨摁搵搯搊搚摀搥搧搋揧搛搮搡搎敯斒旓暆暌暕暐暋暊暙暔晸朠楦楟椸楎楢楱椿楅楪椹楂楗楙楺楈楉椵楬椳椽楥棰楸椴楩楀楯楄楶楘楁楴楌椻楋椷楜楏楑椲楒椯楻椼歆歅歃歂歈歁殛嗀毻毼"],
    ["de40", "毹毷毸溛滖滈溏滀溟溓溔溠溱溹滆滒溽滁溞滉溷溰滍溦滏溲溾滃滜滘溙溒溎溍溤溡溿溳滐滊溗溮溣煇煔煒煣煠煁煝煢煲煸煪煡煂煘煃煋煰煟煐煓"],
    ["dea1", "煄煍煚牏犍犌犑犐犎猼獂猻猺獀獊獉瑄瑊瑋瑒瑑瑗瑀瑏瑐瑎瑂瑆瑍瑔瓡瓿瓾瓽甝畹畷榃痯瘏瘃痷痾痼痹痸瘐痻痶痭痵痽皙皵盝睕睟睠睒睖睚睩睧睔睙睭矠碇碚碔碏碄碕碅碆碡碃硹碙碀碖硻祼禂祽祹稑稘稙稒稗稕稢稓"],
    ["df40", "稛稐窣窢窞竫筦筤筭筴筩筲筥筳筱筰筡筸筶筣粲粴粯綈綆綀綍絿綅絺綎絻綃絼綌綔綄絽綒罭罫罧罨罬羦羥羧翛翜耡腤腠腷腜腩腛腢腲朡腞腶腧腯"],
    ["dfa1", "腄腡舝艉艄艀艂艅蓱萿葖葶葹蒏蒍葥葑葀蒆葧萰葍葽葚葙葴葳葝蔇葞萷萺萴葺葃葸萲葅萩菙葋萯葂萭葟葰萹葎葌葒葯蓅蒎萻葇萶萳葨葾葄萫葠葔葮葐蜋蜄蛷蜌蛺蛖蛵蝍蛸蜎蜉蜁蛶蜍蜅裖裋裍裎裞裛裚裌裐覅覛觟觥觤"],
    ["e040", "觡觠觢觜触詶誆詿詡訿詷誂誄詵誃誁詴詺谼豋豊豥豤豦貆貄貅賌赨赩趑趌趎趏趍趓趔趐趒跰跠跬跱跮跐跩跣跢跧跲跫跴輆軿輁輀輅輇輈輂輋遒逿"],
    ["e0a1", "遄遉逽鄐鄍鄏鄑鄖鄔鄋鄎酮酯鉈鉒鈰鈺鉦鈳鉥鉞銃鈮鉊鉆鉭鉬鉏鉠鉧鉯鈶鉡鉰鈱鉔鉣鉐鉲鉎鉓鉌鉖鈲閟閜閞閛隒隓隑隗雎雺雽雸雵靳靷靸靲頏頍頎颬飶飹馯馲馰馵骭骫魛鳪鳭鳧麀黽僦僔僗僨僳僛僪僝僤僓僬僰僯僣僠"],
    ["e140", "凘劀劁勩勫匰厬嘧嘕嘌嘒嗼嘏嘜嘁嘓嘂嗺嘝嘄嗿嗹墉塼墐墘墆墁塿塴墋塺墇墑墎塶墂墈塻墔墏壾奫嫜嫮嫥嫕嫪嫚嫭嫫嫳嫢嫠嫛嫬嫞嫝嫙嫨嫟孷寠"],
    ["e1a1", "寣屣嶂嶀嵽嶆嵺嶁嵷嶊嶉嶈嵾嵼嶍嵹嵿幘幙幓廘廑廗廎廜廕廙廒廔彄彃彯徶愬愨慁慞慱慳慒慓慲慬憀慴慔慺慛慥愻慪慡慖戩戧戫搫摍摛摝摴摶摲摳摽摵摦撦摎撂摞摜摋摓摠摐摿搿摬摫摙摥摷敳斠暡暠暟朅朄朢榱榶槉"],
    ["e240", "榠槎榖榰榬榼榑榙榎榧榍榩榾榯榿槄榽榤槔榹槊榚槏榳榓榪榡榞槙榗榐槂榵榥槆歊歍歋殞殟殠毃毄毾滎滵滱漃漥滸漷滻漮漉潎漙漚漧漘漻漒滭漊"],
    ["e2a1", "漶潳滹滮漭潀漰漼漵滫漇漎潃漅滽滶漹漜滼漺漟漍漞漈漡熇熐熉熀熅熂熏煻熆熁熗牄牓犗犕犓獃獍獑獌瑢瑳瑱瑵瑲瑧瑮甀甂甃畽疐瘖瘈瘌瘕瘑瘊瘔皸瞁睼瞅瞂睮瞀睯睾瞃碲碪碴碭碨硾碫碞碥碠碬碢碤禘禊禋禖禕禔禓"],
    ["e340", "禗禈禒禐稫穊稰稯稨稦窨窫窬竮箈箜箊箑箐箖箍箌箛箎箅箘劄箙箤箂粻粿粼粺綧綷緂綣綪緁緀緅綝緎緄緆緋緌綯綹綖綼綟綦綮綩綡緉罳翢翣翥翞"],
    ["e3a1", "耤聝聜膉膆膃膇膍膌膋舕蒗蒤蒡蒟蒺蓎蓂蒬蒮蒫蒹蒴蓁蓍蒪蒚蒱蓐蒝蒧蒻蒢蒔蓇蓌蒛蒩蒯蒨蓖蒘蒶蓏蒠蓗蓔蓒蓛蒰蒑虡蜳蜣蜨蝫蝀蜮蜞蜡蜙蜛蝃蜬蝁蜾蝆蜠蜲蜪蜭蜼蜒蜺蜱蜵蝂蜦蜧蜸蜤蜚蜰蜑裷裧裱裲裺裾裮裼裶裻"],
    ["e440", "裰裬裫覝覡覟覞觩觫觨誫誙誋誒誏誖谽豨豩賕賏賗趖踉踂跿踍跽踊踃踇踆踅跾踀踄輐輑輎輍鄣鄜鄠鄢鄟鄝鄚鄤鄡鄛酺酲酹酳銥銤鉶銛鉺銠銔銪銍"],
    ["e4a1", "銦銚銫鉹銗鉿銣鋮銎銂銕銢鉽銈銡銊銆銌銙銧鉾銇銩銝銋鈭隞隡雿靘靽靺靾鞃鞀鞂靻鞄鞁靿韎韍頖颭颮餂餀餇馝馜駃馹馻馺駂馽駇骱髣髧鬾鬿魠魡魟鳱鳲鳵麧僿儃儰僸儆儇僶僾儋儌僽儊劋劌勱勯噈噂噌嘵噁噊噉噆噘"],
    ["e540", "噚噀嘳嘽嘬嘾嘸嘪嘺圚墫墝墱墠墣墯墬墥墡壿嫿嫴嫽嫷嫶嬃嫸嬂嫹嬁嬇嬅嬏屧嶙嶗嶟嶒嶢嶓嶕嶠嶜嶡嶚嶞幩幝幠幜緳廛廞廡彉徲憋憃慹憱憰憢憉"],
    ["e5a1", "憛憓憯憭憟憒憪憡憍慦憳戭摮摰撖撠撅撗撜撏撋撊撌撣撟摨撱撘敶敺敹敻斲斳暵暰暩暲暷暪暯樀樆樗槥槸樕槱槤樠槿槬槢樛樝槾樧槲槮樔槷槧橀樈槦槻樍槼槫樉樄樘樥樏槶樦樇槴樖歑殥殣殢殦氁氀毿氂潁漦潾澇濆澒"],
    ["e640", "澍澉澌潢潏澅潚澖潶潬澂潕潲潒潐潗澔澓潝漀潡潫潽潧澐潓澋潩潿澕潣潷潪潻熲熯熛熰熠熚熩熵熝熥熞熤熡熪熜熧熳犘犚獘獒獞獟獠獝獛獡獚獙"],
    ["e6a1", "獢璇璉璊璆璁瑽璅璈瑼瑹甈甇畾瘥瘞瘙瘝瘜瘣瘚瘨瘛皜皝皞皛瞍瞏瞉瞈磍碻磏磌磑磎磔磈磃磄磉禚禡禠禜禢禛歶稹窲窴窳箷篋箾箬篎箯箹篊箵糅糈糌糋緷緛緪緧緗緡縃緺緦緶緱緰緮緟罶羬羰羭翭翫翪翬翦翨聤聧膣膟"],
    ["e740", "膞膕膢膙膗舖艏艓艒艐艎艑蔤蔻蔏蔀蔩蔎蔉蔍蔟蔊蔧蔜蓻蔫蓺蔈蔌蓴蔪蓲蔕蓷蓫蓳蓼蔒蓪蓩蔖蓾蔨蔝蔮蔂蓽蔞蓶蔱蔦蓧蓨蓰蓯蓹蔘蔠蔰蔋蔙蔯虢"],
    ["e7a1", "蝖蝣蝤蝷蟡蝳蝘蝔蝛蝒蝡蝚蝑蝞蝭蝪蝐蝎蝟蝝蝯蝬蝺蝮蝜蝥蝏蝻蝵蝢蝧蝩衚褅褌褔褋褗褘褙褆褖褑褎褉覢覤覣觭觰觬諏諆誸諓諑諔諕誻諗誾諀諅諘諃誺誽諙谾豍貏賥賟賙賨賚賝賧趠趜趡趛踠踣踥踤踮踕踛踖踑踙踦踧"],
    ["e840", "踔踒踘踓踜踗踚輬輤輘輚輠輣輖輗遳遰遯遧遫鄯鄫鄩鄪鄲鄦鄮醅醆醊醁醂醄醀鋐鋃鋄鋀鋙銶鋏鋱鋟鋘鋩鋗鋝鋌鋯鋂鋨鋊鋈鋎鋦鋍鋕鋉鋠鋞鋧鋑鋓"],
    ["e8a1", "銵鋡鋆銴镼閬閫閮閰隤隢雓霅霈霂靚鞊鞎鞈韐韏頞頝頦頩頨頠頛頧颲餈飺餑餔餖餗餕駜駍駏駓駔駎駉駖駘駋駗駌骳髬髫髳髲髱魆魃魧魴魱魦魶魵魰魨魤魬鳼鳺鳽鳿鳷鴇鴀鳹鳻鴈鴅鴄麃黓鼏鼐儜儓儗儚儑凞匴叡噰噠噮"],
    ["e940", "噳噦噣噭噲噞噷圜圛壈墽壉墿墺壂墼壆嬗嬙嬛嬡嬔嬓嬐嬖嬨嬚嬠嬞寯嶬嶱嶩嶧嶵嶰嶮嶪嶨嶲嶭嶯嶴幧幨幦幯廩廧廦廨廥彋徼憝憨憖懅憴懆懁懌憺"],
    ["e9a1", "憿憸憌擗擖擐擏擉撽撉擃擛擳擙攳敿敼斢曈暾曀曊曋曏暽暻暺曌朣樴橦橉橧樲橨樾橝橭橶橛橑樨橚樻樿橁橪橤橐橏橔橯橩橠樼橞橖橕橍橎橆歕歔歖殧殪殫毈毇氄氃氆澭濋澣濇澼濎濈潞濄澽澞濊澨瀄澥澮澺澬澪濏澿澸"],
    ["ea40", "澢濉澫濍澯澲澰燅燂熿熸燖燀燁燋燔燊燇燏熽燘熼燆燚燛犝犞獩獦獧獬獥獫獪瑿璚璠璔璒璕璡甋疀瘯瘭瘱瘽瘳瘼瘵瘲瘰皻盦瞚瞝瞡瞜瞛瞢瞣瞕瞙"],
    ["eaa1", "瞗磝磩磥磪磞磣磛磡磢磭磟磠禤穄穈穇窶窸窵窱窷篞篣篧篝篕篥篚篨篹篔篪篢篜篫篘篟糒糔糗糐糑縒縡縗縌縟縠縓縎縜縕縚縢縋縏縖縍縔縥縤罃罻罼罺羱翯耪耩聬膱膦膮膹膵膫膰膬膴膲膷膧臲艕艖艗蕖蕅蕫蕍蕓蕡蕘"],
    ["eb40", "蕀蕆蕤蕁蕢蕄蕑蕇蕣蔾蕛蕱蕎蕮蕵蕕蕧蕠薌蕦蕝蕔蕥蕬虣虥虤螛螏螗螓螒螈螁螖螘蝹螇螣螅螐螑螝螄螔螜螚螉褞褦褰褭褮褧褱褢褩褣褯褬褟觱諠"],
    ["eba1", "諢諲諴諵諝謔諤諟諰諈諞諡諨諿諯諻貑貒貐賵賮賱賰賳赬赮趥趧踳踾踸蹀蹅踶踼踽蹁踰踿躽輶輮輵輲輹輷輴遶遹遻邆郺鄳鄵鄶醓醐醑醍醏錧錞錈錟錆錏鍺錸錼錛錣錒錁鍆錭錎錍鋋錝鋺錥錓鋹鋷錴錂錤鋿錩錹錵錪錔錌"],
    ["ec40", "錋鋾錉錀鋻錖閼闍閾閹閺閶閿閵閽隩雔霋霒霐鞙鞗鞔韰韸頵頯頲餤餟餧餩馞駮駬駥駤駰駣駪駩駧骹骿骴骻髶髺髹髷鬳鮀鮅鮇魼魾魻鮂鮓鮒鮐魺鮕"],
    ["eca1", "魽鮈鴥鴗鴠鴞鴔鴩鴝鴘鴢鴐鴙鴟麈麆麇麮麭黕黖黺鼒鼽儦儥儢儤儠儩勴嚓嚌嚍嚆嚄嚃噾嚂噿嚁壖壔壏壒嬭嬥嬲嬣嬬嬧嬦嬯嬮孻寱寲嶷幬幪徾徻懃憵憼懧懠懥懤懨懞擯擩擣擫擤擨斁斀斶旚曒檍檖檁檥檉檟檛檡檞檇檓檎"],
    ["ed40", "檕檃檨檤檑橿檦檚檅檌檒歛殭氉濌澩濴濔濣濜濭濧濦濞濲濝濢濨燡燱燨燲燤燰燢獳獮獯璗璲璫璐璪璭璱璥璯甐甑甒甏疄癃癈癉癇皤盩瞵瞫瞲瞷瞶"],
    ["eda1", "瞴瞱瞨矰磳磽礂磻磼磲礅磹磾礄禫禨穜穛穖穘穔穚窾竀竁簅簏篲簀篿篻簎篴簋篳簂簉簃簁篸篽簆篰篱簐簊糨縭縼繂縳顈縸縪繉繀繇縩繌縰縻縶繄縺罅罿罾罽翴翲耬膻臄臌臊臅臇膼臩艛艚艜薃薀薏薧薕薠薋薣蕻薤薚薞"],
    ["ee40", "蕷蕼薉薡蕺蕸蕗薎薖薆薍薙薝薁薢薂薈薅蕹蕶薘薐薟虨螾螪螭蟅螰螬螹螵螼螮蟉蟃蟂蟌螷螯蟄蟊螴螶螿螸螽蟞螲褵褳褼褾襁襒褷襂覭覯覮觲觳謞"],
    ["eea1", "謘謖謑謅謋謢謏謒謕謇謍謈謆謜謓謚豏豰豲豱豯貕貔賹赯蹎蹍蹓蹐蹌蹇轃轀邅遾鄸醚醢醛醙醟醡醝醠鎡鎃鎯鍤鍖鍇鍼鍘鍜鍶鍉鍐鍑鍠鍭鎏鍌鍪鍹鍗鍕鍒鍏鍱鍷鍻鍡鍞鍣鍧鎀鍎鍙闇闀闉闃闅閷隮隰隬霠霟霘霝霙鞚鞡鞜"],
    ["ef40", "鞞鞝韕韔韱顁顄顊顉顅顃餥餫餬餪餳餲餯餭餱餰馘馣馡騂駺駴駷駹駸駶駻駽駾駼騃骾髾髽鬁髼魈鮚鮨鮞鮛鮦鮡鮥鮤鮆鮢鮠鮯鴳鵁鵧鴶鴮鴯鴱鴸鴰"],
    ["efa1", "鵅鵂鵃鴾鴷鵀鴽翵鴭麊麉麍麰黈黚黻黿鼤鼣鼢齔龠儱儭儮嚘嚜嚗嚚嚝嚙奰嬼屩屪巀幭幮懘懟懭懮懱懪懰懫懖懩擿攄擽擸攁攃擼斔旛曚曛曘櫅檹檽櫡櫆檺檶檷櫇檴檭歞毉氋瀇瀌瀍瀁瀅瀔瀎濿瀀濻瀦濼濷瀊爁燿燹爃燽獶"],
    ["f040", "璸瓀璵瓁璾璶璻瓂甔甓癜癤癙癐癓癗癚皦皽盬矂瞺磿礌礓礔礉礐礒礑禭禬穟簜簩簙簠簟簭簝簦簨簢簥簰繜繐繖繣繘繢繟繑繠繗繓羵羳翷翸聵臑臒"],
    ["f0a1", "臐艟艞薴藆藀藃藂薳薵薽藇藄薿藋藎藈藅薱薶藒蘤薸薷薾虩蟧蟦蟢蟛蟫蟪蟥蟟蟳蟤蟔蟜蟓蟭蟘蟣螤蟗蟙蠁蟴蟨蟝襓襋襏襌襆襐襑襉謪謧謣謳謰謵譇謯謼謾謱謥謷謦謶謮謤謻謽謺豂豵貙貘貗賾贄贂贀蹜蹢蹠蹗蹖蹞蹥蹧"],
    ["f140", "蹛蹚蹡蹝蹩蹔轆轇轈轋鄨鄺鄻鄾醨醥醧醯醪鎵鎌鎒鎷鎛鎝鎉鎧鎎鎪鎞鎦鎕鎈鎙鎟鎍鎱鎑鎲鎤鎨鎴鎣鎥闒闓闑隳雗雚巂雟雘雝霣霢霥鞬鞮鞨鞫鞤鞪"],
    ["f1a1", "鞢鞥韗韙韖韘韺顐顑顒颸饁餼餺騏騋騉騍騄騑騊騅騇騆髀髜鬈鬄鬅鬩鬵魊魌魋鯇鯆鯃鮿鯁鮵鮸鯓鮶鯄鮹鮽鵜鵓鵏鵊鵛鵋鵙鵖鵌鵗鵒鵔鵟鵘鵚麎麌黟鼁鼀鼖鼥鼫鼪鼩鼨齌齕儴儵劖勷厴嚫嚭嚦嚧嚪嚬壚壝壛夒嬽嬾嬿巃幰"],
    ["f240", "徿懻攇攐攍攉攌攎斄旞旝曞櫧櫠櫌櫑櫙櫋櫟櫜櫐櫫櫏櫍櫞歠殰氌瀙瀧瀠瀖瀫瀡瀢瀣瀩瀗瀤瀜瀪爌爊爇爂爅犥犦犤犣犡瓋瓅璷瓃甖癠矉矊矄矱礝礛"],
    ["f2a1", "礡礜礗礞禰穧穨簳簼簹簬簻糬糪繶繵繸繰繷繯繺繲繴繨罋罊羃羆羷翽翾聸臗臕艤艡艣藫藱藭藙藡藨藚藗藬藲藸藘藟藣藜藑藰藦藯藞藢蠀蟺蠃蟶蟷蠉蠌蠋蠆蟼蠈蟿蠊蠂襢襚襛襗襡襜襘襝襙覈覷覶觶譐譈譊譀譓譖譔譋譕"],
    ["f340", "譑譂譒譗豃豷豶貚贆贇贉趬趪趭趫蹭蹸蹳蹪蹯蹻軂轒轑轏轐轓辴酀鄿醰醭鏞鏇鏏鏂鏚鏐鏹鏬鏌鏙鎩鏦鏊鏔鏮鏣鏕鏄鏎鏀鏒鏧镽闚闛雡霩霫霬霨霦"],
    ["f3a1", "鞳鞷鞶韝韞韟顜顙顝顗颿颽颻颾饈饇饃馦馧騚騕騥騝騤騛騢騠騧騣騞騜騔髂鬋鬊鬎鬌鬷鯪鯫鯠鯞鯤鯦鯢鯰鯔鯗鯬鯜鯙鯥鯕鯡鯚鵷鶁鶊鶄鶈鵱鶀鵸鶆鶋鶌鵽鵫鵴鵵鵰鵩鶅鵳鵻鶂鵯鵹鵿鶇鵨麔麑黀黼鼭齀齁齍齖齗齘匷嚲"],
    ["f440", "嚵嚳壣孅巆巇廮廯忀忁懹攗攖攕攓旟曨曣曤櫳櫰櫪櫨櫹櫱櫮櫯瀼瀵瀯瀷瀴瀱灂瀸瀿瀺瀹灀瀻瀳灁爓爔犨獽獼璺皫皪皾盭矌矎矏矍矲礥礣礧礨礤礩"],
    ["f4a1", "禲穮穬穭竷籉籈籊籇籅糮繻繾纁纀羺翿聹臛臙舋艨艩蘢藿蘁藾蘛蘀藶蘄蘉蘅蘌藽蠙蠐蠑蠗蠓蠖襣襦覹觷譠譪譝譨譣譥譧譭趮躆躈躄轙轖轗轕轘轚邍酃酁醷醵醲醳鐋鐓鏻鐠鐏鐔鏾鐕鐐鐨鐙鐍鏵鐀鏷鐇鐎鐖鐒鏺鐉鏸鐊鏿"],
    ["f540", "鏼鐌鏶鐑鐆闞闠闟霮霯鞹鞻韽韾顠顢顣顟飁飂饐饎饙饌饋饓騲騴騱騬騪騶騩騮騸騭髇髊髆鬐鬒鬑鰋鰈鯷鰅鰒鯸鱀鰇鰎鰆鰗鰔鰉鶟鶙鶤鶝鶒鶘鶐鶛"],
    ["f5a1", "鶠鶔鶜鶪鶗鶡鶚鶢鶨鶞鶣鶿鶩鶖鶦鶧麙麛麚黥黤黧黦鼰鼮齛齠齞齝齙龑儺儹劘劗囃嚽嚾孈孇巋巏廱懽攛欂櫼欃櫸欀灃灄灊灈灉灅灆爝爚爙獾甗癪矐礭礱礯籔籓糲纊纇纈纋纆纍罍羻耰臝蘘蘪蘦蘟蘣蘜蘙蘧蘮蘡蘠蘩蘞蘥"],
    ["f640", "蠩蠝蠛蠠蠤蠜蠫衊襭襩襮襫觺譹譸譅譺譻贐贔趯躎躌轞轛轝酆酄酅醹鐿鐻鐶鐩鐽鐼鐰鐹鐪鐷鐬鑀鐱闥闤闣霵霺鞿韡顤飉飆飀饘饖騹騽驆驄驂驁騺"],
    ["f6a1", "騿髍鬕鬗鬘鬖鬺魒鰫鰝鰜鰬鰣鰨鰩鰤鰡鶷鶶鶼鷁鷇鷊鷏鶾鷅鷃鶻鶵鷎鶹鶺鶬鷈鶱鶭鷌鶳鷍鶲鹺麜黫黮黭鼛鼘鼚鼱齎齥齤龒亹囆囅囋奱孋孌巕巑廲攡攠攦攢欋欈欉氍灕灖灗灒爞爟犩獿瓘瓕瓙瓗癭皭礵禴穰穱籗籜籙籛籚"],
    ["f740", "糴糱纑罏羇臞艫蘴蘵蘳蘬蘲蘶蠬蠨蠦蠪蠥襱覿覾觻譾讄讂讆讅譿贕躕躔躚躒躐躖躗轠轢酇鑌鑐鑊鑋鑏鑇鑅鑈鑉鑆霿韣顪顩飋饔饛驎驓驔驌驏驈驊"],
    ["f7a1", "驉驒驐髐鬙鬫鬻魖魕鱆鱈鰿鱄鰹鰳鱁鰼鰷鰴鰲鰽鰶鷛鷒鷞鷚鷋鷐鷜鷑鷟鷩鷙鷘鷖鷵鷕鷝麶黰鼵鼳鼲齂齫龕龢儽劙壨壧奲孍巘蠯彏戁戃戄攩攥斖曫欑欒欏毊灛灚爢玂玁玃癰矔籧籦纕艬蘺虀蘹蘼蘱蘻蘾蠰蠲蠮蠳襶襴襳觾"],
    ["f840", "讌讎讋讈豅贙躘轤轣醼鑢鑕鑝鑗鑞韄韅頀驖驙鬞鬟鬠鱒鱘鱐鱊鱍鱋鱕鱙鱌鱎鷻鷷鷯鷣鷫鷸鷤鷶鷡鷮鷦鷲鷰鷢鷬鷴鷳鷨鷭黂黐黲黳鼆鼜鼸鼷鼶齃齏"],
    ["f8a1", "齱齰齮齯囓囍孎屭攭曭曮欓灟灡灝灠爣瓛瓥矕礸禷禶籪纗羉艭虃蠸蠷蠵衋讔讕躞躟躠躝醾醽釂鑫鑨鑩雥靆靃靇韇韥驞髕魙鱣鱧鱦鱢鱞鱠鸂鷾鸇鸃鸆鸅鸀鸁鸉鷿鷽鸄麠鼞齆齴齵齶囔攮斸欘欙欗欚灢爦犪矘矙礹籩籫糶纚"],
    ["f940", "纘纛纙臠臡虆虇虈襹襺襼襻觿讘讙躥躤躣鑮鑭鑯鑱鑳靉顲饟鱨鱮鱭鸋鸍鸐鸏鸒鸑麡黵鼉齇齸齻齺齹圞灦籯蠼趲躦釃鑴鑸鑶鑵驠鱴鱳鱱鱵鸔鸓黶鼊"],
    ["f9a1", "龤灨灥糷虪蠾蠽蠿讞貜躩軉靋顳顴飌饡馫驤驦驧鬤鸕鸗齈戇欞爧虌躨钂钀钁驩驨鬮鸙爩虋讟钃鱹麷癵驫鱺鸝灩灪麤齾齉龘碁銹裏墻恒粧嫺╔╦╗╠╬╣╚╩╝╒╤╕╞╪╡╘╧╛╓╥╖╟╫╢╙╨╜║═╭╮╰╯▓"]
  ];
});

// node_modules/raw-body/node_modules/iconv-lite/encodings/tables/big5-added.json
var require_big5_added = __commonJS((exports, module) => {
  module.exports = [
    ["8740", "䏰䰲䘃䖦䕸𧉧䵷䖳𧲱䳢𧳅㮕䜶䝄䱇䱀𤊿𣘗𧍒𦺋𧃒䱗𪍑䝏䗚䲅𧱬䴇䪤䚡𦬣爥𥩔𡩣𣸆𣽡晍囻"],
    ["8767", "綕夝𨮹㷴霴𧯯寛𡵞媤㘥𩺰嫑宷峼杮薓𩥅瑡璝㡵𡵓𣚞𦀡㻬"],
    ["87a1", "𥣞㫵竼龗𤅡𨤍𣇪𠪊𣉞䌊蒄龖鐯䤰蘓墖靊鈘秐稲晠権袝瑌篅枂稬剏遆㓦珄𥶹瓆鿇垳䤯呌䄱𣚎堘穲𧭥讏䚮𦺈䆁𥶙箮𢒼鿈𢓁𢓉𢓌鿉蔄𣖻䂴鿊䓡𪷿拁灮鿋"],
    ["8840", "㇀", 4, "𠄌㇅𠃑𠃍㇆㇇𠃋𡿨㇈𠃊㇉㇊㇋㇌𠄎㇍㇎ĀÁǍÀĒÉĚÈŌÓǑÒ࿿Ê̄Ế࿿Ê̌ỀÊāáǎàɑēéěèīíǐìōóǒòūúǔùǖǘǚ"],
    ["88a1", "ǜü࿿ê̄ế࿿ê̌ềêɡ⏚⏛"],
    ["8940", "𪎩𡅅"],
    ["8943", "攊"],
    ["8946", "丽滝鵎釟"],
    ["894c", "𧜵撑会伨侨兖兴农凤务动医华发变团声处备夲头学实実岚庆总斉柾栄桥济炼电纤纬纺织经统缆缷艺苏药视设询车轧轮"],
    ["89a1", "琑糼緍楆竉刧"],
    ["89ab", "醌碸酞肼"],
    ["89b0", "贋胶𠧧"],
    ["89b5", "肟黇䳍鷉鸌䰾𩷶𧀎鸊𪄳㗁"],
    ["89c1", "溚舾甙"],
    ["89c5", "䤑马骏龙禇𨑬𡷊𠗐𢫦两亁亀亇亿仫伷㑌侽㹈倃傈㑽㒓㒥円夅凛凼刅争剹劐匧㗇厩㕑厰㕓参吣㕭㕲㚁咓咣咴咹哐哯唘唣唨㖘唿㖥㖿嗗㗅"],
    ["8a40", "𧶄唥"],
    ["8a43", "𠱂𠴕𥄫喐𢳆㧬𠍁蹆𤶸𩓥䁓𨂾睺𢰸㨴䟕𨅝𦧲𤷪擝𠵼𠾴𠳕𡃴撍蹾𠺖𠰋𠽤𢲩𨉖𤓓"],
    ["8a64", "𠵆𩩍𨃩䟴𤺧𢳂骲㩧𩗴㿭㔆𥋇𩟔𧣈𢵄鵮頕"],
    ["8a76", "䏙𦂥撴哣𢵌𢯊𡁷㧻𡁯"],
    ["8aa1", "𦛚𦜖𧦠擪𥁒𠱃蹨𢆡𨭌𠜱"],
    ["8aac", "䠋𠆩㿺塳𢶍"],
    ["8ab2", "𤗈𠓼𦂗𠽌𠶖啹䂻䎺"],
    ["8abb", "䪴𢩦𡂝膪飵𠶜捹㧾𢝵跀嚡摼㹃"],
    ["8ac9", "𪘁𠸉𢫏𢳉"],
    ["8ace", "𡃈𣧂㦒㨆𨊛㕸𥹉𢃇噒𠼱𢲲𩜠㒼氽𤸻"],
    ["8adf", "𧕴𢺋𢈈𪙛𨳍𠹺𠰴𦠜羓𡃏𢠃𢤹㗻𥇣𠺌𠾍𠺪㾓𠼰𠵇𡅏𠹌"],
    ["8af6", "𠺫𠮩𠵈𡃀𡄽㿹𢚖搲𠾭"],
    ["8b40", "𣏴𧘹𢯎𠵾𠵿𢱑𢱕㨘𠺘𡃇𠼮𪘲𦭐𨳒𨶙𨳊閪哌苄喹"],
    ["8b55", "𩻃鰦骶𧝞𢷮煀腭胬尜𦕲脴㞗卟𨂽醶𠻺𠸏𠹷𠻻㗝𤷫㘉𠳖嚯𢞵𡃉𠸐𠹸𡁸𡅈𨈇𡑕𠹹𤹐𢶤婔𡀝𡀞𡃵𡃶垜𠸑"],
    ["8ba1", "𧚔𨋍𠾵𠹻𥅾㜃𠾶𡆀𥋘𪊽𤧚𡠺𤅷𨉼墙剨㘚𥜽箲孨䠀䬬鼧䧧鰟鮍𥭴𣄽嗻㗲嚉丨夂𡯁屮靑𠂆乛亻㔾尣彑忄㣺扌攵歺氵氺灬爫丬犭𤣩罒礻糹罓𦉪㓁"],
    ["8bde", "𦍋耂肀𦘒𦥑卝衤见𧢲讠贝钅镸长门𨸏韦页风飞饣𩠐鱼鸟黄歯龜丷𠂇阝户钢"],
    ["8c40", "倻淾𩱳龦㷉袏𤅎灷峵䬠𥇍㕙𥴰愢𨨲辧釶熑朙玺𣊁𪄇㲋𡦀䬐磤琂冮𨜏䀉橣𪊺䈣蘏𠩯稪𩥇𨫪靕灍匤𢁾鏴盙𨧣龧矝亣俰傼丯众龨吴綋墒壐𡶶庒庙忂𢜒斋"],
    ["8ca1", "𣏹椙橃𣱣泿"],
    ["8ca7", "爀𤔅玌㻛𤨓嬕璹讃𥲤𥚕窓篬糃繬苸薗龩袐龪躹龫迏蕟駠鈡龬𨶹𡐿䁱䊢娚"],
    ["8cc9", "顨杫䉶圽"],
    ["8cce", "藖𤥻芿𧄍䲁𦵴嵻𦬕𦾾龭龮宖龯曧繛湗秊㶈䓃𣉖𢞖䎚䔶"],
    ["8ce6", "峕𣬚諹屸㴒𣕑嵸龲煗䕘𤃬𡸣䱷㥸㑊𠆤𦱁諌侴𠈹妿腬顖𩣺弻"],
    ["8d40", "𠮟"],
    ["8d42", "𢇁𨥭䄂䚻𩁹㼇龳𪆵䃸㟖䛷𦱆䅼𨚲𧏿䕭㣔𥒚䕡䔛䶉䱻䵶䗪㿈𤬏㙡䓞䒽䇭崾嵈嵖㷼㠏嶤嶹㠠㠸幂庽弥徃㤈㤔㤿㥍惗愽峥㦉憷憹懏㦸戬抐拥挘㧸嚱"],
    ["8da1", "㨃揢揻搇摚㩋擀崕嘡龟㪗斆㪽旿晓㫲暒㬢朖㭂枤栀㭘桊梄㭲㭱㭻椉楃牜楤榟榅㮼槖㯝橥橴橱檂㯬檙㯲檫檵櫔櫶殁毁毪汵沪㳋洂洆洦涁㳯涤涱渕渘温溆𨧀溻滢滚齿滨滩漤漴㵆𣽁澁澾㵪㵵熷岙㶊瀬㶑灐灔灯灿炉𠌥䏁㗱𠻘"],
    ["8e40", "𣻗垾𦻓焾𥟠㙎榢𨯩孴穉𥣡𩓙穥穽𥦬窻窰竂竃燑𦒍䇊竚竝竪䇯咲𥰁笋筕笩𥌎𥳾箢筯莜𥮴𦱿篐萡箒箸𥴠㶭𥱥蒒篺簆簵𥳁籄粃𤢂粦晽𤕸糉糇糦籴糳糵糎"],
    ["8ea1", "繧䔝𦹄絝𦻖璍綉綫焵綳緒𤁗𦀩緤㴓緵𡟹緥𨍭縝𦄡𦅚繮纒䌫鑬縧罀罁罇礶𦋐駡羗𦍑羣𡙡𠁨䕜𣝦䔃𨌺翺𦒉者耈耝耨耯𪂇𦳃耻耼聡𢜔䦉𦘦𣷣𦛨朥肧𨩈脇脚墰𢛶汿𦒘𤾸擧𡒊舘𡡞橓𤩥𤪕䑺舩𠬍𦩒𣵾俹𡓽蓢荢𦬊𤦧𣔰𡝳𣷸芪椛芳䇛"],
    ["8f40", "蕋苐茚𠸖𡞴㛁𣅽𣕚艻苢茘𣺋𦶣𦬅𦮗𣗎㶿茝嗬莅䔋𦶥莬菁菓㑾𦻔橗蕚㒖𦹂𢻯葘𥯤葱㷓䓤檧葊𣲵祘蒨𦮖𦹷𦹃蓞萏莑䒠蒓蓤𥲑䉀𥳀䕃蔴嫲𦺙䔧蕳䔖枿蘖"],
    ["8fa1", "𨘥𨘻藁𧂈蘂𡖂𧃍䕫䕪蘨㙈𡢢号𧎚虾蝱𪃸蟮𢰧螱蟚蠏噡虬桖䘏衅衆𧗠𣶹𧗤衞袜䙛袴袵揁装睷𧜏覇覊覦覩覧覼𨨥觧𧤤𧪽誜瞓釾誐𧩙竩𧬺𣾏䜓𧬸煼謌謟𥐰𥕥謿譌譍誩𤩺讐讛誯𡛟䘕衏貛𧵔𧶏貫㜥𧵓賖𧶘𧶽贒贃𡤐賛灜贑𤳉㻐起"],
    ["9040", "趩𨀂𡀔𤦊㭼𨆼𧄌竧躭躶軃鋔輙輭𨍥𨐒辥錃𪊟𠩐辳䤪𨧞𨔽𣶻廸𣉢迹𪀔𨚼𨔁𢌥㦀𦻗逷𨔼𧪾遡𨕬𨘋邨𨜓郄𨛦邮都酧㫰醩釄粬𨤳𡺉鈎沟鉁鉢𥖹銹𨫆𣲛𨬌𥗛"],
    ["90a1", "𠴱錬鍫𨫡𨯫炏嫃𨫢𨫥䥥鉄𨯬𨰹𨯿鍳鑛躼閅閦鐦閠濶䊹𢙺𨛘𡉼𣸮䧟氜陻隖䅬隣𦻕懚隶磵𨫠隽双䦡𦲸𠉴𦐐𩂯𩃥𤫑𡤕𣌊霱虂霶䨏䔽䖅𤫩灵孁霛靜𩇕靗孊𩇫靟鐥僐𣂷𣂼鞉鞟鞱鞾韀韒韠𥑬韮琜𩐳響韵𩐝𧥺䫑頴頳顋顦㬎𧅵㵑𠘰𤅜"],
    ["9140", "𥜆飊颷飈飇䫿𦴧𡛓喰飡飦飬鍸餹𤨩䭲𩡗𩤅駵騌騻騐驘𥜥㛄𩂱𩯕髠髢𩬅髴䰎鬔鬭𨘀倴鬴𦦨㣃𣁽魐魀𩴾婅𡡣鮎𤉋鰂鯿鰌𩹨鷔𩾷𪆒𪆫𪃡𪄣𪇟鵾鶃𪄴鸎梈"],
    ["91a1", "鷄𢅛𪆓𪈠𡤻𪈳鴹𪂹𪊴麐麕麞麢䴴麪麯𤍤黁㭠㧥㴝伲㞾𨰫鼂鼈䮖鐤𦶢鼗鼖鼹嚟嚊齅馸𩂋韲葿齢齩竜龎爖䮾𤥵𤦻煷𤧸𤍈𤩑玞𨯚𡣺禟𨥾𨸶鍩鏳𨩄鋬鎁鏋𨥬𤒹爗㻫睲穃烐𤑳𤏸煾𡟯炣𡢾𣖙㻇𡢅𥐯𡟸㜢𡛻𡠹㛡𡝴𡣑𥽋㜣𡛀坛𤨥𡏾𡊨"],
    ["9240", "𡏆𡒶蔃𣚦蔃葕𤦔𧅥𣸱𥕜𣻻𧁒䓴𣛮𩦝𦼦柹㜳㰕㷧塬𡤢栐䁗𣜿𤃡𤂋𤄏𦰡哋嚞𦚱嚒𠿟𠮨𠸍鏆𨬓鎜仸儫㠙𤐶亼𠑥𠍿佋侊𥙑婨𠆫𠏋㦙𠌊𠐔㐵伩𠋀𨺳𠉵諚𠈌亘"],
    ["92a1", "働儍侢伃𤨎𣺊佂倮偬傁俌俥偘僼兙兛兝兞湶𣖕𣸹𣺿浲𡢄𣺉冨凃𠗠䓝𠒣𠒒𠒑赺𨪜𠜎剙劤𠡳勡鍮䙺熌𤎌𠰠𤦬𡃤槑𠸝瑹㻞璙琔瑖玘䮎𤪼𤂍叐㖄爏𤃉喴𠍅响𠯆圝鉝雴鍦埝垍坿㘾壋媙𨩆𡛺𡝯𡜐娬妸銏婾嫏娒𥥆𡧳𡡡𤊕㛵洅瑃娡𥺃"],
    ["9340", "媁𨯗𠐓鏠璌𡌃焅䥲鐈𨧻鎽㞠尞岞幞幈𡦖𡥼𣫮廍孏𡤃𡤄㜁𡢠㛝𡛾㛓脪𨩇𡶺𣑲𨦨弌弎𡤧𡞫婫𡜻孄蘔𧗽衠恾𢡠𢘫忛㺸𢖯𢖾𩂈𦽳懀𠀾𠁆𢘛憙憘恵𢲛𢴇𤛔𩅍"],
    ["93a1", "摱𤙥𢭪㨩𢬢𣑐𩣪𢹸挷𪑛撶挱揑𤧣𢵧护𢲡搻敫楲㯴𣂎𣊭𤦉𣊫唍𣋠𡣙𩐿曎𣊉𣆳㫠䆐𥖄𨬢𥖏𡛼𥕛𥐥磮𣄃𡠪𣈴㑤𣈏𣆂𤋉暎𦴤晫䮓昰𧡰𡷫晣𣋒𣋡昞𥡲㣑𣠺𣞼㮙𣞢𣏾瓐㮖枏𤘪梶栞㯄檾㡣𣟕𤒇樳橒櫉欅𡤒攑梘橌㯗橺歗𣿀𣲚鎠鋲𨯪𨫋"],
    ["9440", "銉𨀞𨧜鑧涥漋𤧬浧𣽿㶏渄𤀼娽渊塇洤硂焻𤌚𤉶烱牐犇犔𤞏𤜥兹𤪤𠗫瑺𣻸𣙟𤩊𤤗𥿡㼆㺱𤫟𨰣𣼵悧㻳瓌琼鎇琷䒟𦷪䕑疃㽣𤳙𤴆㽘畕癳𪗆㬙瑨𨫌𤦫𤦎㫻"],
    ["94a1", "㷍𤩎㻿𤧅𤣳釺圲鍂𨫣𡡤僟𥈡𥇧睸𣈲眎眏睻𤚗𣞁㩞𤣰琸璛㺿𤪺𤫇䃈𤪖𦆮錇𥖁砞碍碈磒珐祙𧝁𥛣䄎禛蒖禥樭𣻺稺秴䅮𡛦䄲鈵秱𠵌𤦌𠊙𣶺𡝮㖗啫㕰㚪𠇔𠰍竢婙𢛵𥪯𥪜娍𠉛磰娪𥯆竾䇹籝籭䈑𥮳𥺼𥺦糍𤧹𡞰粎籼粮檲緜縇緓罎𦉡"],
    ["9540", "𦅜𧭈綗𥺂䉪𦭵𠤖柖𠁎𣗏埄𦐒𦏸𤥢翝笧𠠬𥫩𥵃笌𥸎駦虅驣樜𣐿㧢𤧷𦖭騟𦖠蒀𧄧𦳑䓪脷䐂胆脉腂𦞴飃𦩂艢艥𦩑葓𦶧蘐𧈛媆䅿𡡀嬫𡢡嫤𡣘蚠蜨𣶏蠭𧐢娂"],
    ["95a1", "衮佅袇袿裦襥襍𥚃襔𧞅𧞄𨯵𨯙𨮜𨧹㺭蒣䛵䛏㟲訽訜𩑈彍鈫𤊄旔焩烄𡡅鵭貟賩𧷜妚矃姰䍮㛔踪躧𤰉輰轊䋴汘澻𢌡䢛潹溋𡟚鯩㚵𤤯邻邗啱䤆醻鐄𨩋䁢𨫼鐧𨰝𨰻蓥訫閙閧閗閖𨴴瑅㻂𤣿𤩂𤏪㻧𣈥随𨻧𨹦𨹥㻌𤧭𤩸𣿮琒瑫㻼靁𩂰"],
    ["9640", "桇䨝𩂓𥟟靝鍨𨦉𨰦𨬯𦎾銺嬑譩䤼珹𤈛鞛靱餸𠼦巁𨯅𤪲頟𩓚鋶𩗗釥䓀𨭐𤩧𨭤飜𨩅㼀鈪䤥萔餻饍𧬆㷽馛䭯馪驜𨭥𥣈檏騡嫾騯𩣱䮐𩥈馼䮽䮗鍽塲𡌂堢𤦸"],
    ["96a1", "𡓨硄𢜟𣶸棅㵽鑘㤧慐𢞁𢥫愇鱏鱓鱻鰵鰐魿鯏𩸭鮟𪇵𪃾鴡䲮𤄄鸘䲰鴌𪆴𪃭𪃳𩤯鶥蒽𦸒𦿟𦮂藼䔳𦶤𦺄𦷰萠藮𦸀𣟗𦁤秢𣖜𣙀䤭𤧞㵢鏛銾鍈𠊿碹鉷鑍俤㑀遤𥕝砽硔碶硋𡝗𣇉𤥁㚚佲濚濙瀞瀞吔𤆵垻壳垊鴖埗焴㒯𤆬燫𦱀𤾗嬨𡞵𨩉"],
    ["9740", "愌嫎娋䊼𤒈㜬䭻𨧼鎻鎸𡣖𠼝葲𦳀𡐓𤋺𢰦𤏁妔𣶷𦝁綨𦅛𦂤𤦹𤦋𨧺鋥珢㻩璴𨭣𡢟㻡𤪳櫘珳珻㻖𤨾𤪔𡟙𤩦𠎧𡐤𤧥瑈𤤖炥𤥶銄珦鍟𠓾錱𨫎𨨖鎆𨯧𥗕䤵𨪂煫"],
    ["97a1", "𤥃𠳿嚤𠘚𠯫𠲸唂秄𡟺緾𡛂𤩐𡡒䔮鐁㜊𨫀𤦭妰𡢿𡢃𧒄媡㛢𣵛㚰鉟婹𨪁𡡢鍴㳍𠪴䪖㦊僴㵩㵌𡎜煵䋻𨈘渏𩃤䓫浗𧹏灧沯㳖𣿭𣸭渂漌㵯𠏵畑㚼㓈䚀㻚䡱姄鉮䤾轁𨰜𦯀堒埈㛖𡑒烾𤍢𤩱𢿣𡊰𢎽梹楧𡎘𣓥𧯴𣛟𨪃𣟖𣏺𤲟樚𣚭𦲷萾䓟䓎"],
    ["9840", "𦴦𦵑𦲂𦿞漗𧄉茽𡜺菭𦲀𧁓𡟛妉媂𡞳婡婱𡤅𤇼㜭姯𡜼㛇熎鎐暚𤊥婮娫𤊓樫𣻹𧜶𤑛𤋊焝𤉙𨧡侰𦴨峂𤓎𧹍𤎽樌𤉖𡌄炦焳𤏩㶥泟勇𤩏繥姫崯㷳彜𤩝𡟟綤萦"],
    ["98a1", "咅𣫺𣌀𠈔坾𠣕𠘙㿥𡾞𪊶瀃𩅛嵰玏糓𨩙𩐠俈翧狍猐𧫴猸猹𥛶獁獈㺩𧬘遬燵𤣲珡臶㻊県㻑沢国琙琞琟㻢㻰㻴㻺瓓㼎㽓畂畭畲疍㽼痈痜㿀癍㿗癴㿜発𤽜熈嘣覀塩䀝睃䀹条䁅㗛瞘䁪䁯属瞾矋売砘点砜䂨砹硇硑硦葈𥔵礳栃礲䄃"],
    ["9940", "䄉禑禙辻稆込䅧窑䆲窼艹䇄竏竛䇏両筢筬筻簒簛䉠䉺类粜䊌粸䊔糭输烀𠳏総緔緐緽羮羴犟䎗耠耥笹耮耱联㷌垴炠肷胩䏭脌猪脎脒畠脔䐁㬹腖腙腚"],
    ["99a1", "䐓堺腼膄䐥膓䐭膥埯臁臤艔䒏芦艶苊苘苿䒰荗险榊萅烵葤惣蒈䔄蒾蓡蓸蔐蔸蕒䔻蕯蕰藠䕷虲蚒蚲蛯际螋䘆䘗袮裿褤襇覑𧥧訩訸誔誴豑賔賲贜䞘塟跃䟭仮踺嗘坔蹱嗵躰䠷軎転軤軭軲辷迁迊迌逳駄䢭飠鈓䤞鈨鉘鉫銱銮銿"],
    ["9a40", "鋣鋫鋳鋴鋽鍃鎄鎭䥅䥑麿鐗匁鐝鐭鐾䥪鑔鑹锭関䦧间阳䧥枠䨤靀䨵鞲韂噔䫤惨颹䬙飱塄餎餙冴餜餷饂饝饢䭰駅䮝騼鬏窃魩鮁鯝鯱鯴䱭鰠㝯𡯂鵉鰺"],
    ["9aa1", "黾噐鶓鶽鷀鷼银辶鹻麬麱麽黆铜黢黱黸竈齄𠂔𠊷𠎠椚铃妬𠓗塀铁㞹𠗕𠘕𠙶𡚺块煳𠫂𠫍𠮿呪吆𠯋咞𠯻𠰻𠱓𠱥𠱼惧𠲍噺𠲵𠳝𠳭𠵯𠶲𠷈楕鰯螥𠸄𠸎𠻗𠾐𠼭𠹳尠𠾼帋𡁜𡁏𡁶朞𡁻𡂈𡂖㙇𡂿𡃓𡄯𡄻卤蒭𡋣𡍵𡌶讁𡕷𡘙𡟃𡟇乸炻𡠭𡥪"],
    ["9b40", "𡨭𡩅𡰪𡱰𡲬𡻈拃𡻕𡼕熘桕𢁅槩㛈𢉼𢏗𢏺𢜪𢡱𢥏苽𢥧𢦓𢫕覥𢫨辠𢬎鞸𢬿顇骽𢱌"],
    ["9b62", "𢲈𢲷𥯨𢴈𢴒𢶷𢶕𢹂𢽴𢿌𣀳𣁦𣌟𣏞徱晈暿𧩹𣕧𣗳爁𤦺矗𣘚𣜖纇𠍆墵朎"],
    ["9ba1", "椘𣪧𧙗𥿢𣸑𣺹𧗾𢂚䣐䪸𤄙𨪚𤋮𤌍𤀻𤌴𤎖𤩅𠗊凒𠘑妟𡺨㮾𣳿𤐄𤓖垈𤙴㦛𤜯𨗨𩧉㝢𢇃譞𨭎駖𤠒𤣻𤨕爉𤫀𠱸奥𤺥𤾆𠝹軚𥀬劏圿煱𥊙𥐙𣽊𤪧喼𥑆𥑮𦭒釔㑳𥔿𧘲𥕞䜘𥕢𥕦𥟇𤤿𥡝偦㓻𣏌惞𥤃䝼𨥈𥪮𥮉𥰆𡶐垡煑澶𦄂𧰒遖𦆲𤾚譢𦐂𦑊"],
    ["9c40", "嵛𦯷輶𦒄𡤜諪𤧶𦒈𣿯𦔒䯀𦖿𦚵𢜛鑥𥟡憕娧晉侻嚹𤔡𦛼乪𤤴陖涏𦲽㘘襷𦞙𦡮𦐑𦡞營𦣇筂𩃀𠨑𦤦鄄𦤹穅鷰𦧺騦𦨭㙟𦑩𠀡禃𦨴𦭛崬𣔙菏𦮝䛐𦲤画补𦶮墶"],
    ["9ca1", "㜜𢖍𧁋𧇍㱔𧊀𧊅銁𢅺𧊋錰𧋦𤧐氹钟𧑐𠻸蠧裵𢤦𨑳𡞱溸𤨪𡠠㦤㚹尐秣䔿暶𩲭𩢤襃𧟌𧡘囖䃟𡘊㦡𣜯𨃨𡏅熭荦𧧝𩆨婧䲷𧂯𨦫𧧽𧨊𧬋𧵦𤅺筃祾𨀉澵𪋟樃𨌘厢𦸇鎿栶靝𨅯𨀣𦦵𡏭𣈯𨁈嶅𨰰𨂃圕頣𨥉嶫𤦈斾槕叒𤪥𣾁㰑朶𨂐𨃴𨄮𡾡𨅏"],
    ["9d40", "𨆉𨆯𨈚𨌆𨌯𨎊㗊𨑨𨚪䣺揦𨥖砈鉕𨦸䏲𨧧䏟𨧨𨭆𨯔姸𨰉輋𨿅𩃬筑𩄐𩄼㷷𩅞𤫊运犏嚋𩓧𩗩𩖰𩖸𩜲𩣑𩥉𩥪𩧃𩨨𩬎𩵚𩶛纟𩻸𩼣䲤镇𪊓熢𪋿䶑递𪗋䶜𠲜达嗁"],
    ["9da1", "辺𢒰边𤪓䔉繿潖檱仪㓤𨬬𧢝㜺躀𡟵𨀤𨭬𨮙𧨾𦚯㷫𧙕𣲷𥘵𥥖亚𥺁𦉘嚿𠹭踎孭𣺈𤲞揞拐𡟶𡡻攰嘭𥱊吚𥌑㷆𩶘䱽嘢嘞罉𥻘奵𣵀蝰东𠿪𠵉𣚺脗鵞贘瘻鱅癎瞹鍅吲腈苷嘥脲萘肽嗪祢噃吖𠺝㗎嘅嗱曱𨋢㘭甴嗰喺咗啲𠱁𠲖廐𥅈𠹶𢱢"],
    ["9e40", "𠺢麫絚嗞𡁵抝靭咔賍燶酶揼掹揾啩𢭃鱲𢺳冚㓟𠶧冧呍唞唓癦踭𦢊疱肶蠄螆裇膶萜𡃁䓬猄𤜆宐茋𦢓噻𢛴𧴯𤆣𧵳𦻐𧊶酰𡇙鈈𣳼𪚩𠺬𠻹牦𡲢䝎𤿂𧿹𠿫䃺"],
    ["9ea1", "鱝攟𢶠䣳𤟠𩵼𠿬𠸊恢𧖣𠿭"],
    ["9ead", "𦁈𡆇熣纎鵐业丄㕷嬍沲卧㚬㧜卽㚥𤘘墚𤭮舭呋垪𥪕𠥹"],
    ["9ec5", "㩒𢑥獴𩺬䴉鯭𣳾𩼰䱛𤾩𩖞𩿞葜𣶶𧊲𦞳𣜠挮紥𣻷𣸬㨪逈勌㹴㙺䗩𠒎癀嫰𠺶硺𧼮墧䂿噼鮋嵴癔𪐴麅䳡痹㟻愙𣃚𤏲"],
    ["9ef5", "噝𡊩垧𤥣𩸆刴𧂮㖭汊鵼"],
    ["9f40", "籖鬹埞𡝬屓擓𩓐𦌵𧅤蚭𠴨𦴢𤫢𠵱"],
    ["9f4f", "凾𡼏嶎霃𡷑麁遌笟鬂峑箣扨挵髿篏鬪籾鬮籂粆鰕篼鬉鼗鰛𤤾齚啳寃俽麘俲剠㸆勑坧偖妷帒韈鶫轜呩鞴饀鞺匬愰"],
    ["9fa1", "椬叚鰊鴂䰻陁榀傦畆𡝭駚剳"],
    ["9fae", "酙隁酜"],
    ["9fb2", "酑𨺗捿𦴣櫊嘑醎畺抅𠏼獏籰𥰡𣳽"],
    ["9fc1", "𤤙盖鮝个𠳔莾衂"],
    ["9fc9", "届槀僭坺刟巵从氱𠇲伹咜哚劚趂㗾弌㗳"],
    ["9fdb", "歒酼龥鮗頮颴骺麨麄煺笔"],
    ["9fe7", "毺蠘罸"],
    ["9feb", "嘠𪙊蹷齓"],
    ["9ff0", "跔蹏鸜踁抂𨍽踨蹵竓𤩷稾磘泪詧瘇"],
    ["a040", "𨩚鼦泎蟖痃𪊲硓咢贌狢獱謭猂瓱賫𤪻蘯徺袠䒷"],
    ["a055", "𡠻𦸅"],
    ["a058", "詾𢔛"],
    ["a05b", "惽癧髗鵄鍮鮏蟵"],
    ["a063", "蠏賷猬霡鮰㗖犲䰇籑饊𦅙慙䰄麖慽"],
    ["a073", "坟慯抦戹拎㩜懢厪𣏵捤栂㗒"],
    ["a0a1", "嵗𨯂迚𨸹"],
    ["a0a6", "僙𡵆礆匲阸𠼻䁥"],
    ["a0ae", "矾"],
    ["a0b0", "糂𥼚糚稭聦聣絍甅瓲覔舚朌聢𧒆聛瓰脃眤覉𦟌畓𦻑螩蟎臈螌詉貭譃眫瓸蓚㘵榲趦"],
    ["a0d4", "覩瑨涹蟁𤀑瓧㷛煶悤憜㳑煢恷"],
    ["a0e2", "罱𨬭牐惩䭾删㰘𣳇𥻗𧙖𥔱𡥄𡋾𩤃𦷜𧂭峁𦆭𨨏𣙷𠃮𦡆𤼎䕢嬟𦍌齐麦𦉫"],
    ["a3c0", "␀", 31, "␡"],
    ["c6a1", "①", 9, "⑴", 9, "ⅰ", 9, "丶丿亅亠冂冖冫勹匸卩厶夊宀巛⼳广廴彐彡攴无疒癶辵隶¨ˆヽヾゝゞ〃仝々〆〇ー［］✽ぁ", 23],
    ["c740", "す", 58, "ァアィイ"],
    ["c7a1", "ゥ", 81, "А", 5, "ЁЖ", 4],
    ["c840", "Л", 26, "ёж", 25, "⇧↸↹㇏𠃌乚𠂊刂䒑"],
    ["c8a1", "龰冈龱𧘇"],
    ["c8cd", "￢￤＇＂㈱№℡゛゜⺀⺄⺆⺇⺈⺊⺌⺍⺕⺜⺝⺥⺧⺪⺬⺮⺶⺼⺾⻆⻊⻌⻍⻏⻖⻗⻞⻣"],
    ["c8f5", "ʃɐɛɔɵœøŋʊɪ"],
    ["f9fe", "￭"],
    ["fa40", "𠕇鋛𠗟𣿅蕌䊵珯况㙉𤥂𨧤鍄𡧛苮𣳈砼杄拟𤤳𨦪𠊠𦮳𡌅侫𢓭倈𦴩𧪄𣘀𤪱𢔓倩𠍾徤𠎀𠍇滛𠐟偽儁㑺儎顬㝃萖𤦤𠒇兠𣎴兪𠯿𢃼𠋥𢔰𠖎𣈳𡦃宂蝽𠖳𣲙冲冸"],
    ["faa1", "鴴凉减凑㳜凓𤪦决凢卂凭菍椾𣜭彻刋刦刼劵剗劔効勅簕蕂勠蘍𦬓包𨫞啉滙𣾀𠥔𣿬匳卄𠯢泋𡜦栛珕恊㺪㣌𡛨燝䒢卭却𨚫卾卿𡖖𡘓矦厓𨪛厠厫厮玧𥝲㽙玜叁叅汉义埾叙㪫𠮏叠𣿫𢶣叶𠱷吓灹唫晗浛呭𦭓𠵴啝咏咤䞦𡜍𠻝㶴𠵍"],
    ["fb40", "𨦼𢚘啇䳭启琗喆喩嘅𡣗𤀺䕒𤐵暳𡂴嘷曍𣊊暤暭噍噏磱囱鞇叾圀囯园𨭦㘣𡉏坆𤆥汮炋坂㚱𦱾埦𡐖堃𡑔𤍣堦𤯵塜墪㕡壠壜𡈼壻寿坃𪅐𤉸鏓㖡够梦㛃湙"],
    ["fba1", "𡘾娤啓𡚒蔅姉𠵎𦲁𦴪𡟜姙𡟻𡞲𦶦浱𡠨𡛕姹𦹅媫婣㛦𤦩婷㜈媖瑥嫓𦾡𢕔㶅𡤑㜲𡚸広勐孶斈孼𧨎䀄䡝𠈄寕慠𡨴𥧌𠖥寳宝䴐尅𡭄尓珎尔𡲥𦬨屉䣝岅峩峯嶋𡷹𡸷崐崘嵆𡺤岺巗苼㠭𤤁𢁉𢅳芇㠶㯂帮檊幵幺𤒼𠳓厦亷廐厨𡝱帉廴𨒂"],
    ["fc40", "廹廻㢠廼栾鐛弍𠇁弢㫞䢮𡌺强𦢈𢏐彘𢑱彣鞽𦹮彲鍀𨨶徧嶶㵟𥉐𡽪𧃸𢙨釖𠊞𨨩怱暅𡡷㥣㷇㘹垐𢞴祱㹀悞悤悳𤦂𤦏𧩓璤僡媠慤萤慂慈𦻒憁凴𠙖憇宪𣾷"],
    ["fca1", "𢡟懓𨮝𩥝懐㤲𢦀𢣁怣慜攞掋𠄘担𡝰拕𢸍捬𤧟㨗搸揸𡎎𡟼撐澊𢸶頔𤂌𥜝擡擥鑻㩦携㩗敍漖𤨨𤨣斅敭敟𣁾斵𤥀䬷旑䃘𡠩无旣忟𣐀昘𣇷𣇸晄𣆤𣆥晋𠹵晧𥇦晳晴𡸽𣈱𨗴𣇈𥌓矅𢣷馤朂𤎜𤨡㬫槺𣟂杞杧杢𤇍𩃭柗䓩栢湐鈼栁𣏦𦶠桝"],
    ["fd40", "𣑯槡樋𨫟楳棃𣗍椁椀㴲㨁𣘼㮀枬楡𨩊䋼椶榘㮡𠏉荣傐槹𣙙𢄪橅𣜃檝㯳枱櫈𩆜㰍欝𠤣惞欵歴𢟍溵𣫛𠎵𡥘㝀吡𣭚毡𣻼毜氷𢒋𤣱𦭑汚舦汹𣶼䓅𣶽𤆤𤤌𤤀"],
    ["fda1", "𣳉㛥㳫𠴲鮃𣇹𢒑羏样𦴥𦶡𦷫涖浜湼漄𤥿𤂅𦹲蔳𦽴凇沜渝萮𨬡港𣸯瑓𣾂秌湏媑𣁋濸㜍澝𣸰滺𡒗𤀽䕕鏰潄潜㵎潴𩅰㴻澟𤅄濓𤂑𤅕𤀹𣿰𣾴𤄿凟𤅖𤅗𤅀𦇝灋灾炧炁烌烕烖烟䄄㷨熴熖𤉷焫煅媈煊煮岜𤍥煏鍢𤋁焬𤑚𤨧𤨢熺𨯨炽爎"],
    ["fe40", "鑂爕夑鑃爤鍁𥘅爮牀𤥴梽牕牗㹕𣁄栍漽犂猪猫𤠣𨠫䣭𨠄猨献珏玪𠰺𦨮珉瑉𤇢𡛧𤨤昣㛅𤦷𤦍𤧻珷琕椃𤨦琹𠗃㻗瑜𢢭瑠𨺲瑇珤瑶莹瑬㜰瑴鏱樬璂䥓𤪌"],
    ["fea1", "𤅟𤩹𨮏孆𨰃𡢞瓈𡦈甎瓩甞𨻙𡩋寗𨺬鎅畍畊畧畮𤾂㼄𤴓疎瑝疞疴瘂瘬癑癏癯癶𦏵皐臯㟸𦤑𦤎皡皥皷盌𦾟葢𥂝𥅽𡸜眞眦着撯𥈠睘𣊬瞯𨥤𨥨𡛁矴砉𡍶𤨒棊碯磇磓隥礮𥗠磗礴碱𧘌辸袄𨬫𦂃𢘜禆褀椂禀𥡗禝𧬹礼禩渪𧄦㺨秆𩄍秔"]
  ];
});

// node_modules/raw-body/node_modules/iconv-lite/encodings/dbcs-data.js
var require_dbcs_data = __commonJS((exports, module) => {
  module.exports = {
    shiftjis: {
      type: "_dbcs",
      table: function() {
        return require_shiftjis();
      },
      encodeAdd: { "¥": 92, "‾": 126 },
      encodeSkipVals: [{ from: 60736, to: 63808 }]
    },
    csshiftjis: "shiftjis",
    mskanji: "shiftjis",
    sjis: "shiftjis",
    windows31j: "shiftjis",
    ms31j: "shiftjis",
    xsjis: "shiftjis",
    windows932: "shiftjis",
    ms932: "shiftjis",
    "932": "shiftjis",
    cp932: "shiftjis",
    eucjp: {
      type: "_dbcs",
      table: function() {
        return require_eucjp();
      },
      encodeAdd: { "¥": 92, "‾": 126 }
    },
    gb2312: "cp936",
    gb231280: "cp936",
    gb23121980: "cp936",
    csgb2312: "cp936",
    csiso58gb231280: "cp936",
    euccn: "cp936",
    windows936: "cp936",
    ms936: "cp936",
    "936": "cp936",
    cp936: {
      type: "_dbcs",
      table: function() {
        return require_cp936();
      }
    },
    gbk: {
      type: "_dbcs",
      table: function() {
        return require_cp936().concat(require_gbk_added());
      }
    },
    xgbk: "gbk",
    isoir58: "gbk",
    gb18030: {
      type: "_dbcs",
      table: function() {
        return require_cp936().concat(require_gbk_added());
      },
      gb18030: function() {
        return require_gb18030_ranges();
      },
      encodeSkipVals: [128],
      encodeAdd: { "€": 41699 }
    },
    chinese: "gb18030",
    windows949: "cp949",
    ms949: "cp949",
    "949": "cp949",
    cp949: {
      type: "_dbcs",
      table: function() {
        return require_cp949();
      }
    },
    cseuckr: "cp949",
    csksc56011987: "cp949",
    euckr: "cp949",
    isoir149: "cp949",
    korean: "cp949",
    ksc56011987: "cp949",
    ksc56011989: "cp949",
    ksc5601: "cp949",
    windows950: "cp950",
    ms950: "cp950",
    "950": "cp950",
    cp950: {
      type: "_dbcs",
      table: function() {
        return require_cp950();
      }
    },
    big5: "big5hkscs",
    big5hkscs: {
      type: "_dbcs",
      table: function() {
        return require_cp950().concat(require_big5_added());
      },
      encodeSkipVals: [
        36457,
        36463,
        36478,
        36523,
        36532,
        36557,
        36560,
        36695,
        36713,
        36718,
        36811,
        36862,
        36973,
        36986,
        37060,
        37084,
        37105,
        37311,
        37551,
        37552,
        37553,
        37554,
        37585,
        37959,
        38090,
        38361,
        38652,
        39285,
        39798,
        39800,
        39803,
        39878,
        39902,
        39916,
        39926,
        40002,
        40019,
        40034,
        40040,
        40043,
        40055,
        40124,
        40125,
        40144,
        40279,
        40282,
        40388,
        40431,
        40443,
        40617,
        40687,
        40701,
        40800,
        40907,
        41079,
        41180,
        41183,
        36812,
        37576,
        38468,
        38637,
        41636,
        41637,
        41639,
        41638,
        41676,
        41678
      ]
    },
    cnbig5: "big5hkscs",
    csbig5: "big5hkscs",
    xxbig5: "big5hkscs"
  };
});

// node_modules/raw-body/node_modules/iconv-lite/encodings/index.js
var require_encodings = __commonJS((exports, module) => {
  var modules = [
    require_internal(),
    require_utf32(),
    require_utf16(),
    require_utf7(),
    require_sbcs_codec(),
    require_sbcs_data(),
    require_sbcs_data_generated(),
    require_dbcs_codec(),
    require_dbcs_data()
  ];
  for (i = 0;i < modules.length; i++) {
    module = modules[i];
    for (enc in module)
      if (Object.prototype.hasOwnProperty.call(module, enc))
        exports[enc] = module[enc];
  }
  var module;
  var enc;
  var i;
});

// node_modules/raw-body/node_modules/iconv-lite/lib/streams.js
var require_streams = __commonJS((exports, module) => {
  var Buffer2 = require_safer().Buffer;
  module.exports = function(stream_module) {
    var Transform = stream_module.Transform;
    function IconvLiteEncoderStream(conv, options) {
      this.conv = conv;
      options = options || {};
      options.decodeStrings = false;
      Transform.call(this, options);
    }
    IconvLiteEncoderStream.prototype = Object.create(Transform.prototype, {
      constructor: { value: IconvLiteEncoderStream }
    });
    IconvLiteEncoderStream.prototype._transform = function(chunk, encoding, done) {
      if (typeof chunk != "string")
        return done(new Error("Iconv encoding stream needs strings as its input."));
      try {
        var res = this.conv.write(chunk);
        if (res && res.length)
          this.push(res);
        done();
      } catch (e) {
        done(e);
      }
    };
    IconvLiteEncoderStream.prototype._flush = function(done) {
      try {
        var res = this.conv.end();
        if (res && res.length)
          this.push(res);
        done();
      } catch (e) {
        done(e);
      }
    };
    IconvLiteEncoderStream.prototype.collect = function(cb) {
      var chunks = [];
      this.on("error", cb);
      this.on("data", function(chunk) {
        chunks.push(chunk);
      });
      this.on("end", function() {
        cb(null, Buffer2.concat(chunks));
      });
      return this;
    };
    function IconvLiteDecoderStream(conv, options) {
      this.conv = conv;
      options = options || {};
      options.encoding = this.encoding = "utf8";
      Transform.call(this, options);
    }
    IconvLiteDecoderStream.prototype = Object.create(Transform.prototype, {
      constructor: { value: IconvLiteDecoderStream }
    });
    IconvLiteDecoderStream.prototype._transform = function(chunk, encoding, done) {
      if (!Buffer2.isBuffer(chunk) && !(chunk instanceof Uint8Array))
        return done(new Error("Iconv decoding stream needs buffers as its input."));
      try {
        var res = this.conv.write(chunk);
        if (res && res.length)
          this.push(res, this.encoding);
        done();
      } catch (e) {
        done(e);
      }
    };
    IconvLiteDecoderStream.prototype._flush = function(done) {
      try {
        var res = this.conv.end();
        if (res && res.length)
          this.push(res, this.encoding);
        done();
      } catch (e) {
        done(e);
      }
    };
    IconvLiteDecoderStream.prototype.collect = function(cb) {
      var res = "";
      this.on("error", cb);
      this.on("data", function(chunk) {
        res += chunk;
      });
      this.on("end", function() {
        cb(null, res);
      });
      return this;
    };
    return {
      IconvLiteEncoderStream,
      IconvLiteDecoderStream
    };
  };
});

// node_modules/raw-body/node_modules/iconv-lite/lib/index.js
var require_lib = __commonJS((exports, module) => {
  var Buffer2 = require_safer().Buffer;
  var bomHandling = require_bom_handling();
  var iconv = exports;
  iconv.encodings = null;
  iconv.defaultCharUnicode = "�";
  iconv.defaultCharSingleByte = "?";
  iconv.encode = function encode(str, encoding, options) {
    str = "" + (str || "");
    var encoder = iconv.getEncoder(encoding, options);
    var res = encoder.write(str);
    var trail = encoder.end();
    return trail && trail.length > 0 ? Buffer2.concat([res, trail]) : res;
  };
  iconv.decode = function decode(buf, encoding, options) {
    if (typeof buf === "string") {
      if (!iconv.skipDecodeWarning) {
        console.error("Iconv-lite warning: decode()-ing strings is deprecated. Refer to https://github.com/ashtuchkin/iconv-lite/wiki/Use-Buffers-when-decoding");
        iconv.skipDecodeWarning = true;
      }
      buf = Buffer2.from("" + (buf || ""), "binary");
    }
    var decoder = iconv.getDecoder(encoding, options);
    var res = decoder.write(buf);
    var trail = decoder.end();
    return trail ? res + trail : res;
  };
  iconv.encodingExists = function encodingExists(enc) {
    try {
      iconv.getCodec(enc);
      return true;
    } catch (e) {
      return false;
    }
  };
  iconv.toEncoding = iconv.encode;
  iconv.fromEncoding = iconv.decode;
  iconv._codecDataCache = {};
  iconv.getCodec = function getCodec(encoding) {
    if (!iconv.encodings)
      iconv.encodings = require_encodings();
    var enc = iconv._canonicalizeEncoding(encoding);
    var codecOptions = {};
    while (true) {
      var codec = iconv._codecDataCache[enc];
      if (codec)
        return codec;
      var codecDef = iconv.encodings[enc];
      switch (typeof codecDef) {
        case "string":
          enc = codecDef;
          break;
        case "object":
          for (var key in codecDef)
            codecOptions[key] = codecDef[key];
          if (!codecOptions.encodingName)
            codecOptions.encodingName = enc;
          enc = codecDef.type;
          break;
        case "function":
          if (!codecOptions.encodingName)
            codecOptions.encodingName = enc;
          codec = new codecDef(codecOptions, iconv);
          iconv._codecDataCache[codecOptions.encodingName] = codec;
          return codec;
        default:
          throw new Error("Encoding not recognized: '" + encoding + "' (searched as: '" + enc + "')");
      }
    }
  };
  iconv._canonicalizeEncoding = function(encoding) {
    return ("" + encoding).toLowerCase().replace(/:\d{4}$|[^0-9a-z]/g, "");
  };
  iconv.getEncoder = function getEncoder(encoding, options) {
    var codec = iconv.getCodec(encoding), encoder = new codec.encoder(options, codec);
    if (codec.bomAware && options && options.addBOM)
      encoder = new bomHandling.PrependBOM(encoder, options);
    return encoder;
  };
  iconv.getDecoder = function getDecoder(encoding, options) {
    var codec = iconv.getCodec(encoding), decoder = new codec.decoder(options, codec);
    if (codec.bomAware && !(options && options.stripBOM === false))
      decoder = new bomHandling.StripBOM(decoder, options);
    return decoder;
  };
  iconv.enableStreamingAPI = function enableStreamingAPI(stream_module2) {
    if (iconv.supportsStreams)
      return;
    var streams = require_streams()(stream_module2);
    iconv.IconvLiteEncoderStream = streams.IconvLiteEncoderStream;
    iconv.IconvLiteDecoderStream = streams.IconvLiteDecoderStream;
    iconv.encodeStream = function encodeStream(encoding, options) {
      return new iconv.IconvLiteEncoderStream(iconv.getEncoder(encoding, options), options);
    };
    iconv.decodeStream = function decodeStream(encoding, options) {
      return new iconv.IconvLiteDecoderStream(iconv.getDecoder(encoding, options), options);
    };
    iconv.supportsStreams = true;
  };
  var stream_module;
  try {
    stream_module = __require("stream");
  } catch (e) {}
  if (stream_module && stream_module.Transform) {
    iconv.enableStreamingAPI(stream_module);
  } else {
    iconv.encodeStream = iconv.decodeStream = function() {
      throw new Error("iconv-lite Streaming API is not enabled. Use iconv.enableStreamingAPI(require('stream')); to enable it.");
    };
  }
  if (false) {}
});

// node_modules/unpipe/index.js
var require_unpipe = __commonJS((exports, module) => {
  /*!
   * unpipe
   * Copyright(c) 2015 Douglas Christopher Wilson
   * MIT Licensed
   */
  module.exports = unpipe;
  function hasPipeDataListeners(stream) {
    var listeners = stream.listeners("data");
    for (var i = 0;i < listeners.length; i++) {
      if (listeners[i].name === "ondata") {
        return true;
      }
    }
    return false;
  }
  function unpipe(stream) {
    if (!stream) {
      throw new TypeError("argument stream is required");
    }
    if (typeof stream.unpipe === "function") {
      stream.unpipe();
      return;
    }
    if (!hasPipeDataListeners(stream)) {
      return;
    }
    var listener;
    var listeners = stream.listeners("close");
    for (var i = 0;i < listeners.length; i++) {
      listener = listeners[i];
      if (listener.name !== "cleanup" && listener.name !== "onclose") {
        continue;
      }
      listener.call(stream);
    }
  }
});

// node_modules/raw-body/index.js
var require_raw_body = __commonJS((exports, module) => {
  /*!
   * raw-body
   * Copyright(c) 2013-2014 Jonathan Ong
   * Copyright(c) 2014-2022 Douglas Christopher Wilson
   * MIT Licensed
   */
  var asyncHooks = tryRequireAsyncHooks();
  var bytes = require_bytes();
  var createError = require_http_errors();
  var iconv = require_lib();
  var unpipe = require_unpipe();
  module.exports = getRawBody;
  var ICONV_ENCODING_MESSAGE_REGEXP = /^Encoding not recognized: /;
  function getDecoder(encoding) {
    if (!encoding)
      return null;
    try {
      return iconv.getDecoder(encoding);
    } catch (e) {
      if (!ICONV_ENCODING_MESSAGE_REGEXP.test(e.message))
        throw e;
      throw createError(415, "specified encoding unsupported", {
        encoding,
        type: "encoding.unsupported"
      });
    }
  }
  function getRawBody(stream, options, callback) {
    var done = callback;
    var opts = options || {};
    if (stream === undefined) {
      throw new TypeError("argument stream is required");
    } else if (typeof stream !== "object" || stream === null || typeof stream.on !== "function") {
      throw new TypeError("argument stream must be a stream");
    }
    if (options === true || typeof options === "string") {
      opts = {
        encoding: options
      };
    }
    if (typeof options === "function") {
      done = options;
      opts = {};
    }
    if (done !== undefined && typeof done !== "function") {
      throw new TypeError("argument callback must be a function");
    }
    if (!done && !global.Promise) {
      throw new TypeError("argument callback is required");
    }
    var encoding = opts.encoding !== true ? opts.encoding : "utf-8";
    var limit = bytes.parse(opts.limit);
    var length = opts.length != null && !isNaN(opts.length) ? parseInt(opts.length, 10) : null;
    if (done) {
      return readStream(stream, encoding, length, limit, wrap(done));
    }
    return new Promise(function executor(resolve, reject) {
      readStream(stream, encoding, length, limit, function onRead(err, buf) {
        if (err)
          return reject(err);
        resolve(buf);
      });
    });
  }
  function halt(stream) {
    unpipe(stream);
    if (typeof stream.pause === "function") {
      stream.pause();
    }
  }
  function readStream(stream, encoding, length, limit, callback) {
    var complete = false;
    var sync = true;
    if (limit !== null && length !== null && length > limit) {
      return done(createError(413, "request entity too large", {
        expected: length,
        length,
        limit,
        type: "entity.too.large"
      }));
    }
    var state = stream._readableState;
    if (stream._decoder || state && (state.encoding || state.decoder)) {
      return done(createError(500, "stream encoding should not be set", {
        type: "stream.encoding.set"
      }));
    }
    if (typeof stream.readable !== "undefined" && !stream.readable) {
      return done(createError(500, "stream is not readable", {
        type: "stream.not.readable"
      }));
    }
    var received = 0;
    var decoder;
    try {
      decoder = getDecoder(encoding);
    } catch (err) {
      return done(err);
    }
    var buffer = decoder ? "" : [];
    stream.on("aborted", onAborted);
    stream.on("close", cleanup);
    stream.on("data", onData);
    stream.on("end", onEnd);
    stream.on("error", onEnd);
    sync = false;
    function done() {
      var args = new Array(arguments.length);
      for (var i = 0;i < args.length; i++) {
        args[i] = arguments[i];
      }
      complete = true;
      if (sync) {
        process.nextTick(invokeCallback);
      } else {
        invokeCallback();
      }
      function invokeCallback() {
        cleanup();
        if (args[0]) {
          halt(stream);
        }
        callback.apply(null, args);
      }
    }
    function onAborted() {
      if (complete)
        return;
      done(createError(400, "request aborted", {
        code: "ECONNABORTED",
        expected: length,
        length,
        received,
        type: "request.aborted"
      }));
    }
    function onData(chunk) {
      if (complete)
        return;
      received += chunk.length;
      if (limit !== null && received > limit) {
        done(createError(413, "request entity too large", {
          limit,
          received,
          type: "entity.too.large"
        }));
      } else if (decoder) {
        buffer += decoder.write(chunk);
      } else {
        buffer.push(chunk);
      }
    }
    function onEnd(err) {
      if (complete)
        return;
      if (err)
        return done(err);
      if (length !== null && received !== length) {
        done(createError(400, "request size did not match content length", {
          expected: length,
          length,
          received,
          type: "request.size.invalid"
        }));
      } else {
        var string = decoder ? buffer + (decoder.end() || "") : Buffer.concat(buffer);
        done(null, string);
      }
    }
    function cleanup() {
      buffer = null;
      stream.removeListener("aborted", onAborted);
      stream.removeListener("data", onData);
      stream.removeListener("end", onEnd);
      stream.removeListener("error", onEnd);
      stream.removeListener("close", cleanup);
    }
  }
  function tryRequireAsyncHooks() {
    try {
      return __require("async_hooks");
    } catch (e) {
      return {};
    }
  }
  function wrap(fn) {
    var res;
    if (asyncHooks.AsyncResource) {
      res = new asyncHooks.AsyncResource(fn.name || "bound-anonymous-fn");
    }
    if (!res || !res.runInAsyncScope) {
      return fn;
    }
    return res.runInAsyncScope.bind(res, fn, null);
  }
});

// node_modules/content-type/index.js
var require_content_type = __commonJS((exports) => {
  /*!
   * content-type
   * Copyright(c) 2015 Douglas Christopher Wilson
   * MIT Licensed
   */
  var PARAM_REGEXP = /; *([!#$%&'*+.^_`|~0-9A-Za-z-]+) *= *("(?:[\u000b\u0020\u0021\u0023-\u005b\u005d-\u007e\u0080-\u00ff]|\\[\u000b\u0020-\u00ff])*"|[!#$%&'*+.^_`|~0-9A-Za-z-]+) */g;
  var TEXT_REGEXP = /^[\u000b\u0020-\u007e\u0080-\u00ff]+$/;
  var TOKEN_REGEXP = /^[!#$%&'*+.^_`|~0-9A-Za-z-]+$/;
  var QESC_REGEXP = /\\([\u000b\u0020-\u00ff])/g;
  var QUOTE_REGEXP = /([\\"])/g;
  var TYPE_REGEXP = /^[!#$%&'*+.^_`|~0-9A-Za-z-]+\/[!#$%&'*+.^_`|~0-9A-Za-z-]+$/;
  exports.format = format;
  exports.parse = parse;
  function format(obj) {
    if (!obj || typeof obj !== "object") {
      throw new TypeError("argument obj is required");
    }
    var parameters = obj.parameters;
    var type = obj.type;
    if (!type || !TYPE_REGEXP.test(type)) {
      throw new TypeError("invalid type");
    }
    var string = type;
    if (parameters && typeof parameters === "object") {
      var param;
      var params = Object.keys(parameters).sort();
      for (var i = 0;i < params.length; i++) {
        param = params[i];
        if (!TOKEN_REGEXP.test(param)) {
          throw new TypeError("invalid parameter name");
        }
        string += "; " + param + "=" + qstring(parameters[param]);
      }
    }
    return string;
  }
  function parse(string) {
    if (!string) {
      throw new TypeError("argument string is required");
    }
    var header = typeof string === "object" ? getcontenttype(string) : string;
    if (typeof header !== "string") {
      throw new TypeError("argument string is required to be a string");
    }
    var index = header.indexOf(";");
    var type = index !== -1 ? header.slice(0, index).trim() : header.trim();
    if (!TYPE_REGEXP.test(type)) {
      throw new TypeError("invalid media type");
    }
    var obj = new ContentType(type.toLowerCase());
    if (index !== -1) {
      var key;
      var match;
      var value;
      PARAM_REGEXP.lastIndex = index;
      while (match = PARAM_REGEXP.exec(header)) {
        if (match.index !== index) {
          throw new TypeError("invalid parameter format");
        }
        index += match[0].length;
        key = match[1].toLowerCase();
        value = match[2];
        if (value.charCodeAt(0) === 34) {
          value = value.slice(1, -1);
          if (value.indexOf("\\") !== -1) {
            value = value.replace(QESC_REGEXP, "$1");
          }
        }
        obj.parameters[key] = value;
      }
      if (index !== header.length) {
        throw new TypeError("invalid parameter format");
      }
    }
    return obj;
  }
  function getcontenttype(obj) {
    var header;
    if (typeof obj.getHeader === "function") {
      header = obj.getHeader("content-type");
    } else if (typeof obj.headers === "object") {
      header = obj.headers && obj.headers["content-type"];
    }
    if (typeof header !== "string") {
      throw new TypeError("content-type header is missing from object");
    }
    return header;
  }
  function qstring(val) {
    var str = String(val);
    if (TOKEN_REGEXP.test(str)) {
      return str;
    }
    if (str.length > 0 && !TEXT_REGEXP.test(str)) {
      throw new TypeError("invalid parameter value");
    }
    return '"' + str.replace(QUOTE_REGEXP, "\\$1") + '"';
  }
  function ContentType(type) {
    this.parameters = Object.create(null);
    this.type = type;
  }
});

// node_modules/@modelcontextprotocol/sdk/dist/esm/server/sse.js
import { randomUUID } from "node:crypto";

class SSEServerTransport {
  constructor(_endpoint, res) {
    this._endpoint = _endpoint;
    this.res = res;
    this._sessionId = randomUUID();
  }
  async start() {
    if (this._sseResponse) {
      throw new Error("SSEServerTransport already started! If using Server class, note that connect() calls start() automatically.");
    }
    this.res.writeHead(200, {
      "Content-Type": "text/event-stream",
      "Cache-Control": "no-cache, no-transform",
      Connection: "keep-alive"
    });
    this.res.write(`event: endpoint
data: ${encodeURI(this._endpoint)}?sessionId=${this._sessionId}

`);
    this._sseResponse = this.res;
    this.res.on("close", () => {
      var _a;
      this._sseResponse = undefined;
      (_a = this.onclose) === null || _a === undefined || _a.call(this);
    });
  }
  async handlePostMessage(req, res, parsedBody) {
    var _a, _b, _c;
    if (!this._sseResponse) {
      const message = "SSE connection not established";
      res.writeHead(500).end(message);
      throw new Error(message);
    }
    let body;
    try {
      const ct = import_content_type.default.parse((_a = req.headers["content-type"]) !== null && _a !== undefined ? _a : "");
      if (ct.type !== "application/json") {
        throw new Error(`Unsupported content-type: ${ct}`);
      }
      body = parsedBody !== null && parsedBody !== undefined ? parsedBody : await import_raw_body.default(req, {
        limit: MAXIMUM_MESSAGE_SIZE,
        encoding: (_b = ct.parameters.charset) !== null && _b !== undefined ? _b : "utf-8"
      });
    } catch (error) {
      res.writeHead(400).end(String(error));
      (_c = this.onerror) === null || _c === undefined || _c.call(this, error);
      return;
    }
    try {
      await this.handleMessage(typeof body === "string" ? JSON.parse(body) : body);
    } catch (_d) {
      res.writeHead(400).end(`Invalid message: ${body}`);
      return;
    }
    res.writeHead(202).end("Accepted");
  }
  async handleMessage(message) {
    var _a, _b;
    let parsedMessage;
    try {
      parsedMessage = JSONRPCMessageSchema.parse(message);
    } catch (error) {
      (_a = this.onerror) === null || _a === undefined || _a.call(this, error);
      throw error;
    }
    (_b = this.onmessage) === null || _b === undefined || _b.call(this, parsedMessage);
  }
  async close() {
    var _a, _b;
    (_a = this._sseResponse) === null || _a === undefined || _a.end();
    this._sseResponse = undefined;
    (_b = this.onclose) === null || _b === undefined || _b.call(this);
  }
  async send(message) {
    if (!this._sseResponse) {
      throw new Error("Not connected");
    }
    this._sseResponse.write(`event: message
data: ${JSON.stringify(message)}

`);
  }
  get sessionId() {
    return this._sessionId;
  }
}
var import_raw_body, import_content_type, MAXIMUM_MESSAGE_SIZE = "4mb";
var init_sse = __esm(() => {
  init_types2();
  import_raw_body = __toESM(require_raw_body(), 1);
  import_content_type = __toESM(require_content_type(), 1);
});

// node_modules/@modelcontextprotocol/sdk/dist/esm/shared/stdio.js
class ReadBuffer {
  append(chunk) {
    this._buffer = this._buffer ? Buffer.concat([this._buffer, chunk]) : chunk;
  }
  readMessage() {
    if (!this._buffer) {
      return null;
    }
    const index = this._buffer.indexOf(`
`);
    if (index === -1) {
      return null;
    }
    const line = this._buffer.toString("utf8", 0, index).replace(/\r$/, "");
    this._buffer = this._buffer.subarray(index + 1);
    return deserializeMessage(line);
  }
  clear() {
    this._buffer = undefined;
  }
}
function deserializeMessage(line) {
  return JSONRPCMessageSchema.parse(JSON.parse(line));
}
function serializeMessage(message) {
  return JSON.stringify(message) + `
`;
}
var init_stdio = __esm(() => {
  init_types2();
});

// node_modules/@modelcontextprotocol/sdk/dist/esm/server/stdio.js
import process2 from "node:process";

class StdioServerTransport {
  constructor(_stdin = process2.stdin, _stdout = process2.stdout) {
    this._stdin = _stdin;
    this._stdout = _stdout;
    this._readBuffer = new ReadBuffer;
    this._started = false;
    this._ondata = (chunk) => {
      this._readBuffer.append(chunk);
      this.processReadBuffer();
    };
    this._onerror = (error) => {
      var _a;
      (_a = this.onerror) === null || _a === undefined || _a.call(this, error);
    };
  }
  async start() {
    if (this._started) {
      throw new Error("StdioServerTransport already started! If using Server class, note that connect() calls start() automatically.");
    }
    this._started = true;
    this._stdin.on("data", this._ondata);
    this._stdin.on("error", this._onerror);
  }
  processReadBuffer() {
    var _a, _b;
    while (true) {
      try {
        const message = this._readBuffer.readMessage();
        if (message === null) {
          break;
        }
        (_a = this.onmessage) === null || _a === undefined || _a.call(this, message);
      } catch (error) {
        (_b = this.onerror) === null || _b === undefined || _b.call(this, error);
      }
    }
  }
  async close() {
    var _a;
    this._stdin.off("data", this._ondata);
    this._stdin.off("error", this._onerror);
    const remainingDataListeners = this._stdin.listenerCount("data");
    if (remainingDataListeners === 0) {
      this._stdin.pause();
    }
    this._readBuffer.clear();
    (_a = this.onclose) === null || _a === undefined || _a.call(this);
  }
  send(message) {
    return new Promise((resolve) => {
      const json = serializeMessage(message);
      if (this._stdout.write(json)) {
        resolve();
      } else {
        this._stdout.once("drain", resolve);
      }
    });
  }
}
var init_stdio2 = __esm(() => {
  init_stdio();
});

// node_modules/body-parser/node_modules/ms/index.js
var require_ms = __commonJS((exports, module) => {
  var s = 1000;
  var m = s * 60;
  var h2 = m * 60;
  var d = h2 * 24;
  var y = d * 365.25;
  module.exports = function(val, options) {
    options = options || {};
    var type = typeof val;
    if (type === "string" && val.length > 0) {
      return parse(val);
    } else if (type === "number" && isNaN(val) === false) {
      return options.long ? fmtLong(val) : fmtShort(val);
    }
    throw new Error("val is not a non-empty string or a valid number. val=" + JSON.stringify(val));
  };
  function parse(str) {
    str = String(str);
    if (str.length > 100) {
      return;
    }
    var match = /^((?:\d+)?\.?\d+) *(milliseconds?|msecs?|ms|seconds?|secs?|s|minutes?|mins?|m|hours?|hrs?|h|days?|d|years?|yrs?|y)?$/i.exec(str);
    if (!match) {
      return;
    }
    var n = parseFloat(match[1]);
    var type = (match[2] || "ms").toLowerCase();
    switch (type) {
      case "years":
      case "year":
      case "yrs":
      case "yr":
      case "y":
        return n * y;
      case "days":
      case "day":
      case "d":
        return n * d;
      case "hours":
      case "hour":
      case "hrs":
      case "hr":
      case "h":
        return n * h2;
      case "minutes":
      case "minute":
      case "mins":
      case "min":
      case "m":
        return n * m;
      case "seconds":
      case "second":
      case "secs":
      case "sec":
      case "s":
        return n * s;
      case "milliseconds":
      case "millisecond":
      case "msecs":
      case "msec":
      case "ms":
        return n;
      default:
        return;
    }
  }
  function fmtShort(ms) {
    if (ms >= d) {
      return Math.round(ms / d) + "d";
    }
    if (ms >= h2) {
      return Math.round(ms / h2) + "h";
    }
    if (ms >= m) {
      return Math.round(ms / m) + "m";
    }
    if (ms >= s) {
      return Math.round(ms / s) + "s";
    }
    return ms + "ms";
  }
  function fmtLong(ms) {
    return plural(ms, d, "day") || plural(ms, h2, "hour") || plural(ms, m, "minute") || plural(ms, s, "second") || ms + " ms";
  }
  function plural(ms, n, name) {
    if (ms < n) {
      return;
    }
    if (ms < n * 1.5) {
      return Math.floor(ms / n) + " " + name;
    }
    return Math.ceil(ms / n) + " " + name + "s";
  }
});

// node_modules/body-parser/node_modules/debug/src/debug.js
var require_debug = __commonJS((exports, module) => {
  exports = module.exports = createDebug.debug = createDebug["default"] = createDebug;
  exports.coerce = coerce2;
  exports.disable = disable;
  exports.enable = enable;
  exports.enabled = enabled;
  exports.humanize = require_ms();
  exports.names = [];
  exports.skips = [];
  exports.formatters = {};
  var prevTime;
  function selectColor(namespace) {
    var hash = 0, i;
    for (i in namespace) {
      hash = (hash << 5) - hash + namespace.charCodeAt(i);
      hash |= 0;
    }
    return exports.colors[Math.abs(hash) % exports.colors.length];
  }
  function createDebug(namespace) {
    function debug() {
      if (!debug.enabled)
        return;
      var self = debug;
      var curr = +new Date;
      var ms = curr - (prevTime || curr);
      self.diff = ms;
      self.prev = prevTime;
      self.curr = curr;
      prevTime = curr;
      var args = new Array(arguments.length);
      for (var i = 0;i < args.length; i++) {
        args[i] = arguments[i];
      }
      args[0] = exports.coerce(args[0]);
      if (typeof args[0] !== "string") {
        args.unshift("%O");
      }
      var index = 0;
      args[0] = args[0].replace(/%([a-zA-Z%])/g, function(match, format) {
        if (match === "%%")
          return match;
        index++;
        var formatter = exports.formatters[format];
        if (typeof formatter === "function") {
          var val = args[index];
          match = formatter.call(self, val);
          args.splice(index, 1);
          index--;
        }
        return match;
      });
      exports.formatArgs.call(self, args);
      var logFn = debug.log || exports.log || console.log.bind(console);
      logFn.apply(self, args);
    }
    debug.namespace = namespace;
    debug.enabled = exports.enabled(namespace);
    debug.useColors = exports.useColors();
    debug.color = selectColor(namespace);
    if (typeof exports.init === "function") {
      exports.init(debug);
    }
    return debug;
  }
  function enable(namespaces) {
    exports.save(namespaces);
    exports.names = [];
    exports.skips = [];
    var split = (typeof namespaces === "string" ? namespaces : "").split(/[\s,]+/);
    var len = split.length;
    for (var i = 0;i < len; i++) {
      if (!split[i])
        continue;
      namespaces = split[i].replace(/\*/g, ".*?");
      if (namespaces[0] === "-") {
        exports.skips.push(new RegExp("^" + namespaces.substr(1) + "$"));
      } else {
        exports.names.push(new RegExp("^" + namespaces + "$"));
      }
    }
  }
  function disable() {
    exports.enable("");
  }
  function enabled(name) {
    var i, len;
    for (i = 0, len = exports.skips.length;i < len; i++) {
      if (exports.skips[i].test(name)) {
        return false;
      }
    }
    for (i = 0, len = exports.names.length;i < len; i++) {
      if (exports.names[i].test(name)) {
        return true;
      }
    }
    return false;
  }
  function coerce2(val) {
    if (val instanceof Error)
      return val.stack || val.message;
    return val;
  }
});

// node_modules/body-parser/node_modules/debug/src/browser.js
var require_browser = __commonJS((exports, module) => {
  exports = module.exports = require_debug();
  exports.log = log2;
  exports.formatArgs = formatArgs;
  exports.save = save;
  exports.load = load;
  exports.useColors = useColors;
  exports.storage = typeof chrome != "undefined" && typeof chrome.storage != "undefined" ? chrome.storage.local : localstorage();
  exports.colors = [
    "lightseagreen",
    "forestgreen",
    "goldenrod",
    "dodgerblue",
    "darkorchid",
    "crimson"
  ];
  function useColors() {
    if (typeof window !== "undefined" && window.process && window.process.type === "renderer") {
      return true;
    }
    return typeof document !== "undefined" && document.documentElement && document.documentElement.style && document.documentElement.style.WebkitAppearance || typeof window !== "undefined" && window.console && (window.console.firebug || window.console.exception && window.console.table) || typeof navigator !== "undefined" && navigator.userAgent && navigator.userAgent.toLowerCase().match(/firefox\/(\d+)/) && parseInt(RegExp.$1, 10) >= 31 || typeof navigator !== "undefined" && navigator.userAgent && navigator.userAgent.toLowerCase().match(/applewebkit\/(\d+)/);
  }
  exports.formatters.j = function(v2) {
    try {
      return JSON.stringify(v2);
    } catch (err) {
      return "[UnexpectedJSONParseError]: " + err.message;
    }
  };
  function formatArgs(args) {
    var useColors2 = this.useColors;
    args[0] = (useColors2 ? "%c" : "") + this.namespace + (useColors2 ? " %c" : " ") + args[0] + (useColors2 ? "%c " : " ") + "+" + exports.humanize(this.diff);
    if (!useColors2)
      return;
    var c = "color: " + this.color;
    args.splice(1, 0, c, "color: inherit");
    var index = 0;
    var lastC = 0;
    args[0].replace(/%[a-zA-Z%]/g, function(match) {
      if (match === "%%")
        return;
      index++;
      if (match === "%c") {
        lastC = index;
      }
    });
    args.splice(lastC, 0, c);
  }
  function log2() {
    return typeof console === "object" && console.log && Function.prototype.apply.call(console.log, console, arguments);
  }
  function save(namespaces) {
    try {
      if (namespaces == null) {
        exports.storage.removeItem("debug");
      } else {
        exports.storage.debug = namespaces;
      }
    } catch (e) {}
  }
  function load() {
    var r;
    try {
      r = exports.storage.debug;
    } catch (e) {}
    if (!r && typeof process !== "undefined" && "env" in process) {
      r = process.env.DEBUG;
    }
    return r;
  }
  exports.enable(load());
  function localstorage() {
    try {
      return window.localStorage;
    } catch (e) {}
  }
});

// node_modules/body-parser/node_modules/debug/src/node.js
var require_node = __commonJS((exports, module) => {
  var tty = __require("tty");
  var util3 = __require("util");
  exports = module.exports = require_debug();
  exports.init = init;
  exports.log = log2;
  exports.formatArgs = formatArgs;
  exports.save = save;
  exports.load = load;
  exports.useColors = useColors;
  exports.colors = [6, 2, 3, 4, 5, 1];
  exports.inspectOpts = Object.keys(process.env).filter(function(key) {
    return /^debug_/i.test(key);
  }).reduce(function(obj, key) {
    var prop = key.substring(6).toLowerCase().replace(/_([a-z])/g, function(_2, k2) {
      return k2.toUpperCase();
    });
    var val = process.env[key];
    if (/^(yes|on|true|enabled)$/i.test(val))
      val = true;
    else if (/^(no|off|false|disabled)$/i.test(val))
      val = false;
    else if (val === "null")
      val = null;
    else
      val = Number(val);
    obj[prop] = val;
    return obj;
  }, {});
  var fd = parseInt(process.env.DEBUG_FD, 10) || 2;
  if (fd !== 1 && fd !== 2) {
    util3.deprecate(function() {}, "except for stderr(2) and stdout(1), any other usage of DEBUG_FD is deprecated. Override debug.log if you want to use a different log function (https://git.io/debug_fd)")();
  }
  var stream = fd === 1 ? process.stdout : fd === 2 ? process.stderr : createWritableStdioStream(fd);
  function useColors() {
    return "colors" in exports.inspectOpts ? Boolean(exports.inspectOpts.colors) : tty.isatty(fd);
  }
  exports.formatters.o = function(v2) {
    this.inspectOpts.colors = this.useColors;
    return util3.inspect(v2, this.inspectOpts).split(`
`).map(function(str) {
      return str.trim();
    }).join(" ");
  };
  exports.formatters.O = function(v2) {
    this.inspectOpts.colors = this.useColors;
    return util3.inspect(v2, this.inspectOpts);
  };
  function formatArgs(args) {
    var name = this.namespace;
    var useColors2 = this.useColors;
    if (useColors2) {
      var c = this.color;
      var prefix = "  \x1B[3" + c + ";1m" + name + " " + "\x1B[0m";
      args[0] = prefix + args[0].split(`
`).join(`
` + prefix);
      args.push("\x1B[3" + c + "m+" + exports.humanize(this.diff) + "\x1B[0m");
    } else {
      args[0] = new Date().toUTCString() + " " + name + " " + args[0];
    }
  }
  function log2() {
    return stream.write(util3.format.apply(util3, arguments) + `
`);
  }
  function save(namespaces) {
    if (namespaces == null) {
      delete process.env.DEBUG;
    } else {
      process.env.DEBUG = namespaces;
    }
  }
  function load() {
    return process.env.DEBUG;
  }
  function createWritableStdioStream(fd2) {
    var stream2;
    var tty_wrap = process.binding("tty_wrap");
    switch (tty_wrap.guessHandleType(fd2)) {
      case "TTY":
        stream2 = new tty.WriteStream(fd2);
        stream2._type = "tty";
        if (stream2._handle && stream2._handle.unref) {
          stream2._handle.unref();
        }
        break;
      case "FILE":
        var fs = __require("fs");
        stream2 = new fs.SyncWriteStream(fd2, { autoClose: false });
        stream2._type = "fs";
        break;
      case "PIPE":
      case "TCP":
        var net = __require("net");
        stream2 = new net.Socket({
          fd: fd2,
          readable: false,
          writable: true
        });
        stream2.readable = false;
        stream2.read = null;
        stream2._type = "pipe";
        if (stream2._handle && stream2._handle.unref) {
          stream2._handle.unref();
        }
        break;
      default:
        throw new Error("Implement me. Unknown stream file type!");
    }
    stream2.fd = fd2;
    stream2._isStdio = true;
    return stream2;
  }
  function init(debug) {
    debug.inspectOpts = {};
    var keys = Object.keys(exports.inspectOpts);
    for (var i = 0;i < keys.length; i++) {
      debug.inspectOpts[keys[i]] = exports.inspectOpts[keys[i]];
    }
  }
  exports.enable(load());
});

// node_modules/body-parser/node_modules/debug/src/index.js
var require_src = __commonJS((exports, module) => {
  if (typeof process !== "undefined" && process.type === "renderer") {
    module.exports = require_browser();
  } else {
    module.exports = require_node();
  }
});

// node_modules/destroy/index.js
var require_destroy = __commonJS((exports, module) => {
  /*!
   * destroy
   * Copyright(c) 2014 Jonathan Ong
   * Copyright(c) 2015-2022 Douglas Christopher Wilson
   * MIT Licensed
   */
  var EventEmitter = __require("events").EventEmitter;
  var ReadStream = __require("fs").ReadStream;
  var Stream = __require("stream");
  var Zlib = __require("zlib");
  module.exports = destroy;
  function destroy(stream, suppress) {
    if (isFsReadStream(stream)) {
      destroyReadStream(stream);
    } else if (isZlibStream(stream)) {
      destroyZlibStream(stream);
    } else if (hasDestroy(stream)) {
      stream.destroy();
    }
    if (isEventEmitter(stream) && suppress) {
      stream.removeAllListeners("error");
      stream.addListener("error", noop);
    }
    return stream;
  }
  function destroyReadStream(stream) {
    stream.destroy();
    if (typeof stream.close === "function") {
      stream.on("open", onOpenClose);
    }
  }
  function closeZlibStream(stream) {
    if (stream._hadError === true) {
      var prop = stream._binding === null ? "_binding" : "_handle";
      stream[prop] = {
        close: function() {
          this[prop] = null;
        }
      };
    }
    stream.close();
  }
  function destroyZlibStream(stream) {
    if (typeof stream.destroy === "function") {
      if (stream._binding) {
        stream.destroy();
        if (stream._processing) {
          stream._needDrain = true;
          stream.once("drain", onDrainClearBinding);
        } else {
          stream._binding.clear();
        }
      } else if (stream._destroy && stream._destroy !== Stream.Transform.prototype._destroy) {
        stream.destroy();
      } else if (stream._destroy && typeof stream.close === "function") {
        stream.destroyed = true;
        stream.close();
      } else {
        stream.destroy();
      }
    } else if (typeof stream.close === "function") {
      closeZlibStream(stream);
    }
  }
  function hasDestroy(stream) {
    return stream instanceof Stream && typeof stream.destroy === "function";
  }
  function isEventEmitter(val) {
    return val instanceof EventEmitter;
  }
  function isFsReadStream(stream) {
    return stream instanceof ReadStream;
  }
  function isZlibStream(stream) {
    return stream instanceof Zlib.Gzip || stream instanceof Zlib.Gunzip || stream instanceof Zlib.Deflate || stream instanceof Zlib.DeflateRaw || stream instanceof Zlib.Inflate || stream instanceof Zlib.InflateRaw || stream instanceof Zlib.Unzip;
  }
  function noop() {}
  function onDrainClearBinding() {
    this._binding.clear();
  }
  function onOpenClose() {
    if (typeof this.fd === "number") {
      this.close();
    }
  }
});

// node_modules/iconv-lite/lib/bom-handling.js
var require_bom_handling2 = __commonJS((exports) => {
  var BOMChar = "\uFEFF";
  exports.PrependBOM = PrependBOMWrapper;
  function PrependBOMWrapper(encoder, options) {
    this.encoder = encoder;
    this.addBOM = true;
  }
  PrependBOMWrapper.prototype.write = function(str) {
    if (this.addBOM) {
      str = BOMChar + str;
      this.addBOM = false;
    }
    return this.encoder.write(str);
  };
  PrependBOMWrapper.prototype.end = function() {
    return this.encoder.end();
  };
  exports.StripBOM = StripBOMWrapper;
  function StripBOMWrapper(decoder, options) {
    this.decoder = decoder;
    this.pass = false;
    this.options = options || {};
  }
  StripBOMWrapper.prototype.write = function(buf) {
    var res = this.decoder.write(buf);
    if (this.pass || !res)
      return res;
    if (res[0] === BOMChar) {
      res = res.slice(1);
      if (typeof this.options.stripBOM === "function")
        this.options.stripBOM();
    }
    this.pass = true;
    return res;
  };
  StripBOMWrapper.prototype.end = function() {
    return this.decoder.end();
  };
});

// node_modules/iconv-lite/encodings/internal.js
var require_internal2 = __commonJS((exports, module) => {
  var Buffer2 = require_safer().Buffer;
  module.exports = {
    utf8: { type: "_internal", bomAware: true },
    cesu8: { type: "_internal", bomAware: true },
    unicode11utf8: "utf8",
    ucs2: { type: "_internal", bomAware: true },
    utf16le: "ucs2",
    binary: { type: "_internal" },
    base64: { type: "_internal" },
    hex: { type: "_internal" },
    _internal: InternalCodec
  };
  function InternalCodec(codecOptions, iconv) {
    this.enc = codecOptions.encodingName;
    this.bomAware = codecOptions.bomAware;
    if (this.enc === "base64")
      this.encoder = InternalEncoderBase64;
    else if (this.enc === "cesu8") {
      this.enc = "utf8";
      this.encoder = InternalEncoderCesu8;
      if (Buffer2.from("eda0bdedb2a9", "hex").toString() !== "\uD83D\uDCA9") {
        this.decoder = InternalDecoderCesu8;
        this.defaultCharUnicode = iconv.defaultCharUnicode;
      }
    }
  }
  InternalCodec.prototype.encoder = InternalEncoder;
  InternalCodec.prototype.decoder = InternalDecoder;
  var StringDecoder = __require("string_decoder").StringDecoder;
  if (!StringDecoder.prototype.end)
    StringDecoder.prototype.end = function() {};
  function InternalDecoder(options, codec) {
    StringDecoder.call(this, codec.enc);
  }
  InternalDecoder.prototype = StringDecoder.prototype;
  function InternalEncoder(options, codec) {
    this.enc = codec.enc;
  }
  InternalEncoder.prototype.write = function(str) {
    return Buffer2.from(str, this.enc);
  };
  InternalEncoder.prototype.end = function() {};
  function InternalEncoderBase64(options, codec) {
    this.prevStr = "";
  }
  InternalEncoderBase64.prototype.write = function(str) {
    str = this.prevStr + str;
    var completeQuads = str.length - str.length % 4;
    this.prevStr = str.slice(completeQuads);
    str = str.slice(0, completeQuads);
    return Buffer2.from(str, "base64");
  };
  InternalEncoderBase64.prototype.end = function() {
    return Buffer2.from(this.prevStr, "base64");
  };
  function InternalEncoderCesu8(options, codec) {}
  InternalEncoderCesu8.prototype.write = function(str) {
    var buf = Buffer2.alloc(str.length * 3), bufIdx = 0;
    for (var i = 0;i < str.length; i++) {
      var charCode = str.charCodeAt(i);
      if (charCode < 128)
        buf[bufIdx++] = charCode;
      else if (charCode < 2048) {
        buf[bufIdx++] = 192 + (charCode >>> 6);
        buf[bufIdx++] = 128 + (charCode & 63);
      } else {
        buf[bufIdx++] = 224 + (charCode >>> 12);
        buf[bufIdx++] = 128 + (charCode >>> 6 & 63);
        buf[bufIdx++] = 128 + (charCode & 63);
      }
    }
    return buf.slice(0, bufIdx);
  };
  InternalEncoderCesu8.prototype.end = function() {};
  function InternalDecoderCesu8(options, codec) {
    this.acc = 0;
    this.contBytes = 0;
    this.accBytes = 0;
    this.defaultCharUnicode = codec.defaultCharUnicode;
  }
  InternalDecoderCesu8.prototype.write = function(buf) {
    var acc = this.acc, contBytes = this.contBytes, accBytes = this.accBytes, res = "";
    for (var i = 0;i < buf.length; i++) {
      var curByte = buf[i];
      if ((curByte & 192) !== 128) {
        if (contBytes > 0) {
          res += this.defaultCharUnicode;
          contBytes = 0;
        }
        if (curByte < 128) {
          res += String.fromCharCode(curByte);
        } else if (curByte < 224) {
          acc = curByte & 31;
          contBytes = 1;
          accBytes = 1;
        } else if (curByte < 240) {
          acc = curByte & 15;
          contBytes = 2;
          accBytes = 1;
        } else {
          res += this.defaultCharUnicode;
        }
      } else {
        if (contBytes > 0) {
          acc = acc << 6 | curByte & 63;
          contBytes--;
          accBytes++;
          if (contBytes === 0) {
            if (accBytes === 2 && acc < 128 && acc > 0)
              res += this.defaultCharUnicode;
            else if (accBytes === 3 && acc < 2048)
              res += this.defaultCharUnicode;
            else
              res += String.fromCharCode(acc);
          }
        } else {
          res += this.defaultCharUnicode;
        }
      }
    }
    this.acc = acc;
    this.contBytes = contBytes;
    this.accBytes = accBytes;
    return res;
  };
  InternalDecoderCesu8.prototype.end = function() {
    var res = 0;
    if (this.contBytes > 0)
      res += this.defaultCharUnicode;
    return res;
  };
});

// node_modules/iconv-lite/encodings/utf16.js
var require_utf162 = __commonJS((exports) => {
  var Buffer2 = require_safer().Buffer;
  exports.utf16be = Utf16BECodec;
  function Utf16BECodec() {}
  Utf16BECodec.prototype.encoder = Utf16BEEncoder;
  Utf16BECodec.prototype.decoder = Utf16BEDecoder;
  Utf16BECodec.prototype.bomAware = true;
  function Utf16BEEncoder() {}
  Utf16BEEncoder.prototype.write = function(str) {
    var buf = Buffer2.from(str, "ucs2");
    for (var i = 0;i < buf.length; i += 2) {
      var tmp = buf[i];
      buf[i] = buf[i + 1];
      buf[i + 1] = tmp;
    }
    return buf;
  };
  Utf16BEEncoder.prototype.end = function() {};
  function Utf16BEDecoder() {
    this.overflowByte = -1;
  }
  Utf16BEDecoder.prototype.write = function(buf) {
    if (buf.length == 0)
      return "";
    var buf2 = Buffer2.alloc(buf.length + 1), i = 0, j2 = 0;
    if (this.overflowByte !== -1) {
      buf2[0] = buf[0];
      buf2[1] = this.overflowByte;
      i = 1;
      j2 = 2;
    }
    for (;i < buf.length - 1; i += 2, j2 += 2) {
      buf2[j2] = buf[i + 1];
      buf2[j2 + 1] = buf[i];
    }
    this.overflowByte = i == buf.length - 1 ? buf[buf.length - 1] : -1;
    return buf2.slice(0, j2).toString("ucs2");
  };
  Utf16BEDecoder.prototype.end = function() {};
  exports.utf16 = Utf16Codec;
  function Utf16Codec(codecOptions, iconv) {
    this.iconv = iconv;
  }
  Utf16Codec.prototype.encoder = Utf16Encoder;
  Utf16Codec.prototype.decoder = Utf16Decoder;
  function Utf16Encoder(options, codec) {
    options = options || {};
    if (options.addBOM === undefined)
      options.addBOM = true;
    this.encoder = codec.iconv.getEncoder("utf-16le", options);
  }
  Utf16Encoder.prototype.write = function(str) {
    return this.encoder.write(str);
  };
  Utf16Encoder.prototype.end = function() {
    return this.encoder.end();
  };
  function Utf16Decoder(options, codec) {
    this.decoder = null;
    this.initialBytes = [];
    this.initialBytesLen = 0;
    this.options = options || {};
    this.iconv = codec.iconv;
  }
  Utf16Decoder.prototype.write = function(buf) {
    if (!this.decoder) {
      this.initialBytes.push(buf);
      this.initialBytesLen += buf.length;
      if (this.initialBytesLen < 16)
        return "";
      var buf = Buffer2.concat(this.initialBytes), encoding = detectEncoding(buf, this.options.defaultEncoding);
      this.decoder = this.iconv.getDecoder(encoding, this.options);
      this.initialBytes.length = this.initialBytesLen = 0;
    }
    return this.decoder.write(buf);
  };
  Utf16Decoder.prototype.end = function() {
    if (!this.decoder) {
      var buf = Buffer2.concat(this.initialBytes), encoding = detectEncoding(buf, this.options.defaultEncoding);
      this.decoder = this.iconv.getDecoder(encoding, this.options);
      var res = this.decoder.write(buf), trail = this.decoder.end();
      return trail ? res + trail : res;
    }
    return this.decoder.end();
  };
  function detectEncoding(buf, defaultEncoding) {
    var enc = defaultEncoding || "utf-16le";
    if (buf.length >= 2) {
      if (buf[0] == 254 && buf[1] == 255)
        enc = "utf-16be";
      else if (buf[0] == 255 && buf[1] == 254)
        enc = "utf-16le";
      else {
        var asciiCharsLE = 0, asciiCharsBE = 0, _len = Math.min(buf.length - buf.length % 2, 64);
        for (var i = 0;i < _len; i += 2) {
          if (buf[i] === 0 && buf[i + 1] !== 0)
            asciiCharsBE++;
          if (buf[i] !== 0 && buf[i + 1] === 0)
            asciiCharsLE++;
        }
        if (asciiCharsBE > asciiCharsLE)
          enc = "utf-16be";
        else if (asciiCharsBE < asciiCharsLE)
          enc = "utf-16le";
      }
    }
    return enc;
  }
});

// node_modules/iconv-lite/encodings/utf7.js
var require_utf72 = __commonJS((exports) => {
  var Buffer2 = require_safer().Buffer;
  exports.utf7 = Utf7Codec;
  exports.unicode11utf7 = "utf7";
  function Utf7Codec(codecOptions, iconv) {
    this.iconv = iconv;
  }
  Utf7Codec.prototype.encoder = Utf7Encoder;
  Utf7Codec.prototype.decoder = Utf7Decoder;
  Utf7Codec.prototype.bomAware = true;
  var nonDirectChars = /[^A-Za-z0-9'\(\),-\.\/:\? \n\r\t]+/g;
  function Utf7Encoder(options, codec) {
    this.iconv = codec.iconv;
  }
  Utf7Encoder.prototype.write = function(str) {
    return Buffer2.from(str.replace(nonDirectChars, function(chunk) {
      return "+" + (chunk === "+" ? "" : this.iconv.encode(chunk, "utf16-be").toString("base64").replace(/=+$/, "")) + "-";
    }.bind(this)));
  };
  Utf7Encoder.prototype.end = function() {};
  function Utf7Decoder(options, codec) {
    this.iconv = codec.iconv;
    this.inBase64 = false;
    this.base64Accum = "";
  }
  var base64Regex2 = /[A-Za-z0-9\/+]/;
  var base64Chars = [];
  for (i = 0;i < 256; i++)
    base64Chars[i] = base64Regex2.test(String.fromCharCode(i));
  var i;
  var plusChar = 43;
  var minusChar = 45;
  var andChar = 38;
  Utf7Decoder.prototype.write = function(buf) {
    var res = "", lastI = 0, inBase64 = this.inBase64, base64Accum = this.base64Accum;
    for (var i2 = 0;i2 < buf.length; i2++) {
      if (!inBase64) {
        if (buf[i2] == plusChar) {
          res += this.iconv.decode(buf.slice(lastI, i2), "ascii");
          lastI = i2 + 1;
          inBase64 = true;
        }
      } else {
        if (!base64Chars[buf[i2]]) {
          if (i2 == lastI && buf[i2] == minusChar) {
            res += "+";
          } else {
            var b64str = base64Accum + buf.slice(lastI, i2).toString();
            res += this.iconv.decode(Buffer2.from(b64str, "base64"), "utf16-be");
          }
          if (buf[i2] != minusChar)
            i2--;
          lastI = i2 + 1;
          inBase64 = false;
          base64Accum = "";
        }
      }
    }
    if (!inBase64) {
      res += this.iconv.decode(buf.slice(lastI), "ascii");
    } else {
      var b64str = base64Accum + buf.slice(lastI).toString();
      var canBeDecoded = b64str.length - b64str.length % 8;
      base64Accum = b64str.slice(canBeDecoded);
      b64str = b64str.slice(0, canBeDecoded);
      res += this.iconv.decode(Buffer2.from(b64str, "base64"), "utf16-be");
    }
    this.inBase64 = inBase64;
    this.base64Accum = base64Accum;
    return res;
  };
  Utf7Decoder.prototype.end = function() {
    var res = "";
    if (this.inBase64 && this.base64Accum.length > 0)
      res = this.iconv.decode(Buffer2.from(this.base64Accum, "base64"), "utf16-be");
    this.inBase64 = false;
    this.base64Accum = "";
    return res;
  };
  exports.utf7imap = Utf7IMAPCodec;
  function Utf7IMAPCodec(codecOptions, iconv) {
    this.iconv = iconv;
  }
  Utf7IMAPCodec.prototype.encoder = Utf7IMAPEncoder;
  Utf7IMAPCodec.prototype.decoder = Utf7IMAPDecoder;
  Utf7IMAPCodec.prototype.bomAware = true;
  function Utf7IMAPEncoder(options, codec) {
    this.iconv = codec.iconv;
    this.inBase64 = false;
    this.base64Accum = Buffer2.alloc(6);
    this.base64AccumIdx = 0;
  }
  Utf7IMAPEncoder.prototype.write = function(str) {
    var inBase64 = this.inBase64, base64Accum = this.base64Accum, base64AccumIdx = this.base64AccumIdx, buf = Buffer2.alloc(str.length * 5 + 10), bufIdx = 0;
    for (var i2 = 0;i2 < str.length; i2++) {
      var uChar = str.charCodeAt(i2);
      if (32 <= uChar && uChar <= 126) {
        if (inBase64) {
          if (base64AccumIdx > 0) {
            bufIdx += buf.write(base64Accum.slice(0, base64AccumIdx).toString("base64").replace(/\//g, ",").replace(/=+$/, ""), bufIdx);
            base64AccumIdx = 0;
          }
          buf[bufIdx++] = minusChar;
          inBase64 = false;
        }
        if (!inBase64) {
          buf[bufIdx++] = uChar;
          if (uChar === andChar)
            buf[bufIdx++] = minusChar;
        }
      } else {
        if (!inBase64) {
          buf[bufIdx++] = andChar;
          inBase64 = true;
        }
        if (inBase64) {
          base64Accum[base64AccumIdx++] = uChar >> 8;
          base64Accum[base64AccumIdx++] = uChar & 255;
          if (base64AccumIdx == base64Accum.length) {
            bufIdx += buf.write(base64Accum.toString("base64").replace(/\//g, ","), bufIdx);
            base64AccumIdx = 0;
          }
        }
      }
    }
    this.inBase64 = inBase64;
    this.base64AccumIdx = base64AccumIdx;
    return buf.slice(0, bufIdx);
  };
  Utf7IMAPEncoder.prototype.end = function() {
    var buf = Buffer2.alloc(10), bufIdx = 0;
    if (this.inBase64) {
      if (this.base64AccumIdx > 0) {
        bufIdx += buf.write(this.base64Accum.slice(0, this.base64AccumIdx).toString("base64").replace(/\//g, ",").replace(/=+$/, ""), bufIdx);
        this.base64AccumIdx = 0;
      }
      buf[bufIdx++] = minusChar;
      this.inBase64 = false;
    }
    return buf.slice(0, bufIdx);
  };
  function Utf7IMAPDecoder(options, codec) {
    this.iconv = codec.iconv;
    this.inBase64 = false;
    this.base64Accum = "";
  }
  var base64IMAPChars = base64Chars.slice();
  base64IMAPChars[44] = true;
  Utf7IMAPDecoder.prototype.write = function(buf) {
    var res = "", lastI = 0, inBase64 = this.inBase64, base64Accum = this.base64Accum;
    for (var i2 = 0;i2 < buf.length; i2++) {
      if (!inBase64) {
        if (buf[i2] == andChar) {
          res += this.iconv.decode(buf.slice(lastI, i2), "ascii");
          lastI = i2 + 1;
          inBase64 = true;
        }
      } else {
        if (!base64IMAPChars[buf[i2]]) {
          if (i2 == lastI && buf[i2] == minusChar) {
            res += "&";
          } else {
            var b64str = base64Accum + buf.slice(lastI, i2).toString().replace(/,/g, "/");
            res += this.iconv.decode(Buffer2.from(b64str, "base64"), "utf16-be");
          }
          if (buf[i2] != minusChar)
            i2--;
          lastI = i2 + 1;
          inBase64 = false;
          base64Accum = "";
        }
      }
    }
    if (!inBase64) {
      res += this.iconv.decode(buf.slice(lastI), "ascii");
    } else {
      var b64str = base64Accum + buf.slice(lastI).toString().replace(/,/g, "/");
      var canBeDecoded = b64str.length - b64str.length % 8;
      base64Accum = b64str.slice(canBeDecoded);
      b64str = b64str.slice(0, canBeDecoded);
      res += this.iconv.decode(Buffer2.from(b64str, "base64"), "utf16-be");
    }
    this.inBase64 = inBase64;
    this.base64Accum = base64Accum;
    return res;
  };
  Utf7IMAPDecoder.prototype.end = function() {
    var res = "";
    if (this.inBase64 && this.base64Accum.length > 0)
      res = this.iconv.decode(Buffer2.from(this.base64Accum, "base64"), "utf16-be");
    this.inBase64 = false;
    this.base64Accum = "";
    return res;
  };
});

// node_modules/iconv-lite/encodings/sbcs-codec.js
var require_sbcs_codec2 = __commonJS((exports) => {
  var Buffer2 = require_safer().Buffer;
  exports._sbcs = SBCSCodec;
  function SBCSCodec(codecOptions, iconv) {
    if (!codecOptions)
      throw new Error("SBCS codec is called without the data.");
    if (!codecOptions.chars || codecOptions.chars.length !== 128 && codecOptions.chars.length !== 256)
      throw new Error("Encoding '" + codecOptions.type + "' has incorrect 'chars' (must be of len 128 or 256)");
    if (codecOptions.chars.length === 128) {
      var asciiString = "";
      for (var i = 0;i < 128; i++)
        asciiString += String.fromCharCode(i);
      codecOptions.chars = asciiString + codecOptions.chars;
    }
    this.decodeBuf = Buffer2.from(codecOptions.chars, "ucs2");
    var encodeBuf = Buffer2.alloc(65536, iconv.defaultCharSingleByte.charCodeAt(0));
    for (var i = 0;i < codecOptions.chars.length; i++)
      encodeBuf[codecOptions.chars.charCodeAt(i)] = i;
    this.encodeBuf = encodeBuf;
  }
  SBCSCodec.prototype.encoder = SBCSEncoder;
  SBCSCodec.prototype.decoder = SBCSDecoder;
  function SBCSEncoder(options, codec) {
    this.encodeBuf = codec.encodeBuf;
  }
  SBCSEncoder.prototype.write = function(str) {
    var buf = Buffer2.alloc(str.length);
    for (var i = 0;i < str.length; i++)
      buf[i] = this.encodeBuf[str.charCodeAt(i)];
    return buf;
  };
  SBCSEncoder.prototype.end = function() {};
  function SBCSDecoder(options, codec) {
    this.decodeBuf = codec.decodeBuf;
  }
  SBCSDecoder.prototype.write = function(buf) {
    var decodeBuf = this.decodeBuf;
    var newBuf = Buffer2.alloc(buf.length * 2);
    var idx1 = 0, idx2 = 0;
    for (var i = 0;i < buf.length; i++) {
      idx1 = buf[i] * 2;
      idx2 = i * 2;
      newBuf[idx2] = decodeBuf[idx1];
      newBuf[idx2 + 1] = decodeBuf[idx1 + 1];
    }
    return newBuf.toString("ucs2");
  };
  SBCSDecoder.prototype.end = function() {};
});

// node_modules/iconv-lite/encodings/sbcs-data.js
var require_sbcs_data2 = __commonJS((exports, module) => {
  module.exports = {
    "10029": "maccenteuro",
    maccenteuro: {
      type: "_sbcs",
      chars: "ÄĀāÉĄÖÜáąČäčĆćéŹźĎíďĒēĖóėôöõúĚěü†°Ę£§•¶ß®©™ę¨≠ģĮįĪ≤≥īĶ∂∑łĻļĽľĹĺŅņŃ¬√ńŇ∆«»… ňŐÕőŌ–—“”‘’÷◊ōŔŕŘ‹›řŖŗŠ‚„šŚśÁŤťÍŽžŪÓÔūŮÚůŰűŲųÝýķŻŁżĢˇ"
    },
    "808": "cp808",
    ibm808: "cp808",
    cp808: {
      type: "_sbcs",
      chars: "АБВГДЕЖЗИЙКЛМНОПРСТУФХЦЧШЩЪЫЬЭЮЯабвгдежзийклмноп░▒▓│┤╡╢╖╕╣║╗╝╜╛┐└┴┬├─┼╞╟╚╔╩╦╠═╬╧╨╤╥╙╘╒╓╫╪┘┌█▄▌▐▀рстуфхцчшщъыьэюяЁёЄєЇїЎў°∙·√№€■ "
    },
    mik: {
      type: "_sbcs",
      chars: "АБВГДЕЖЗИЙКЛМНОПРСТУФХЦЧШЩЪЫЬЭЮЯабвгдежзийклмнопрстуфхцчшщъыьэюя└┴┬├─┼╣║╚╔╩╦╠═╬┐░▒▓│┤№§╗╝┘┌█▄▌▐▀αßΓπΣσµτΦΘΩδ∞φε∩≡±≥≤⌠⌡÷≈°∙·√ⁿ²■ "
    },
    ascii8bit: "ascii",
    usascii: "ascii",
    ansix34: "ascii",
    ansix341968: "ascii",
    ansix341986: "ascii",
    csascii: "ascii",
    cp367: "ascii",
    ibm367: "ascii",
    isoir6: "ascii",
    iso646us: "ascii",
    iso646irv: "ascii",
    us: "ascii",
    latin1: "iso88591",
    latin2: "iso88592",
    latin3: "iso88593",
    latin4: "iso88594",
    latin5: "iso88599",
    latin6: "iso885910",
    latin7: "iso885913",
    latin8: "iso885914",
    latin9: "iso885915",
    latin10: "iso885916",
    csisolatin1: "iso88591",
    csisolatin2: "iso88592",
    csisolatin3: "iso88593",
    csisolatin4: "iso88594",
    csisolatincyrillic: "iso88595",
    csisolatinarabic: "iso88596",
    csisolatingreek: "iso88597",
    csisolatinhebrew: "iso88598",
    csisolatin5: "iso88599",
    csisolatin6: "iso885910",
    l1: "iso88591",
    l2: "iso88592",
    l3: "iso88593",
    l4: "iso88594",
    l5: "iso88599",
    l6: "iso885910",
    l7: "iso885913",
    l8: "iso885914",
    l9: "iso885915",
    l10: "iso885916",
    isoir14: "iso646jp",
    isoir57: "iso646cn",
    isoir100: "iso88591",
    isoir101: "iso88592",
    isoir109: "iso88593",
    isoir110: "iso88594",
    isoir144: "iso88595",
    isoir127: "iso88596",
    isoir126: "iso88597",
    isoir138: "iso88598",
    isoir148: "iso88599",
    isoir157: "iso885910",
    isoir166: "tis620",
    isoir179: "iso885913",
    isoir199: "iso885914",
    isoir203: "iso885915",
    isoir226: "iso885916",
    cp819: "iso88591",
    ibm819: "iso88591",
    cyrillic: "iso88595",
    arabic: "iso88596",
    arabic8: "iso88596",
    ecma114: "iso88596",
    asmo708: "iso88596",
    greek: "iso88597",
    greek8: "iso88597",
    ecma118: "iso88597",
    elot928: "iso88597",
    hebrew: "iso88598",
    hebrew8: "iso88598",
    turkish: "iso88599",
    turkish8: "iso88599",
    thai: "iso885911",
    thai8: "iso885911",
    celtic: "iso885914",
    celtic8: "iso885914",
    isoceltic: "iso885914",
    tis6200: "tis620",
    tis62025291: "tis620",
    tis62025330: "tis620",
    "10000": "macroman",
    "10006": "macgreek",
    "10007": "maccyrillic",
    "10079": "maciceland",
    "10081": "macturkish",
    cspc8codepage437: "cp437",
    cspc775baltic: "cp775",
    cspc850multilingual: "cp850",
    cspcp852: "cp852",
    cspc862latinhebrew: "cp862",
    cpgr: "cp869",
    msee: "cp1250",
    mscyrl: "cp1251",
    msansi: "cp1252",
    msgreek: "cp1253",
    msturk: "cp1254",
    mshebr: "cp1255",
    msarab: "cp1256",
    winbaltrim: "cp1257",
    cp20866: "koi8r",
    "20866": "koi8r",
    ibm878: "koi8r",
    cskoi8r: "koi8r",
    cp21866: "koi8u",
    "21866": "koi8u",
    ibm1168: "koi8u",
    strk10482002: "rk1048",
    tcvn5712: "tcvn",
    tcvn57121: "tcvn",
    gb198880: "iso646cn",
    cn: "iso646cn",
    csiso14jisc6220ro: "iso646jp",
    jisc62201969ro: "iso646jp",
    jp: "iso646jp",
    cshproman8: "hproman8",
    r8: "hproman8",
    roman8: "hproman8",
    xroman8: "hproman8",
    ibm1051: "hproman8",
    mac: "macintosh",
    csmacintosh: "macintosh"
  };
});

// node_modules/iconv-lite/encodings/sbcs-data-generated.js
var require_sbcs_data_generated2 = __commonJS((exports, module) => {
  module.exports = {
    "437": "cp437",
    "737": "cp737",
    "775": "cp775",
    "850": "cp850",
    "852": "cp852",
    "855": "cp855",
    "856": "cp856",
    "857": "cp857",
    "858": "cp858",
    "860": "cp860",
    "861": "cp861",
    "862": "cp862",
    "863": "cp863",
    "864": "cp864",
    "865": "cp865",
    "866": "cp866",
    "869": "cp869",
    "874": "windows874",
    "922": "cp922",
    "1046": "cp1046",
    "1124": "cp1124",
    "1125": "cp1125",
    "1129": "cp1129",
    "1133": "cp1133",
    "1161": "cp1161",
    "1162": "cp1162",
    "1163": "cp1163",
    "1250": "windows1250",
    "1251": "windows1251",
    "1252": "windows1252",
    "1253": "windows1253",
    "1254": "windows1254",
    "1255": "windows1255",
    "1256": "windows1256",
    "1257": "windows1257",
    "1258": "windows1258",
    "28591": "iso88591",
    "28592": "iso88592",
    "28593": "iso88593",
    "28594": "iso88594",
    "28595": "iso88595",
    "28596": "iso88596",
    "28597": "iso88597",
    "28598": "iso88598",
    "28599": "iso88599",
    "28600": "iso885910",
    "28601": "iso885911",
    "28603": "iso885913",
    "28604": "iso885914",
    "28605": "iso885915",
    "28606": "iso885916",
    windows874: {
      type: "_sbcs",
      chars: "€����…�����������‘’“”•–—�������� กขฃคฅฆงจฉชซฌญฎฏฐฑฒณดตถทธนบปผฝพฟภมยรฤลฦวศษสหฬอฮฯะัาำิีึืฺุู����฿เแโใไๅๆ็่้๊๋์ํ๎๏๐๑๒๓๔๕๖๗๘๙๚๛����"
    },
    win874: "windows874",
    cp874: "windows874",
    windows1250: {
      type: "_sbcs",
      chars: "€�‚�„…†‡�‰Š‹ŚŤŽŹ�‘’“”•–—�™š›śťžź ˇ˘Ł¤Ą¦§¨©Ş«¬­®Ż°±˛ł´µ¶·¸ąş»Ľ˝ľżŔÁÂĂÄĹĆÇČÉĘËĚÍÎĎĐŃŇÓÔŐÖ×ŘŮÚŰÜÝŢßŕáâăäĺćçčéęëěíîďđńňóôőö÷řůúűüýţ˙"
    },
    win1250: "windows1250",
    cp1250: "windows1250",
    windows1251: {
      type: "_sbcs",
      chars: "ЂЃ‚ѓ„…†‡€‰Љ‹ЊЌЋЏђ‘’“”•–—�™љ›њќћџ ЎўЈ¤Ґ¦§Ё©Є«¬­®Ї°±Ііґµ¶·ё№є»јЅѕїАБВГДЕЖЗИЙКЛМНОПРСТУФХЦЧШЩЪЫЬЭЮЯабвгдежзийклмнопрстуфхцчшщъыьэюя"
    },
    win1251: "windows1251",
    cp1251: "windows1251",
    windows1252: {
      type: "_sbcs",
      chars: "€�‚ƒ„…†‡ˆ‰Š‹Œ�Ž��‘’“”•–—˜™š›œ�žŸ ¡¢£¤¥¦§¨©ª«¬­®¯°±²³´µ¶·¸¹º»¼½¾¿ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖ×ØÙÚÛÜÝÞßàáâãäåæçèéêëìíîïðñòóôõö÷øùúûüýþÿ"
    },
    win1252: "windows1252",
    cp1252: "windows1252",
    windows1253: {
      type: "_sbcs",
      chars: "€�‚ƒ„…†‡�‰�‹�����‘’“”•–—�™�›���� ΅Ά£¤¥¦§¨©�«¬­®―°±²³΄µ¶·ΈΉΊ»Ό½ΎΏΐΑΒΓΔΕΖΗΘΙΚΛΜΝΞΟΠΡ�ΣΤΥΦΧΨΩΪΫάέήίΰαβγδεζηθικλμνξοπρςστυφχψωϊϋόύώ�"
    },
    win1253: "windows1253",
    cp1253: "windows1253",
    windows1254: {
      type: "_sbcs",
      chars: "€�‚ƒ„…†‡ˆ‰Š‹Œ����‘’“”•–—˜™š›œ��Ÿ ¡¢£¤¥¦§¨©ª«¬­®¯°±²³´µ¶·¸¹º»¼½¾¿ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏĞÑÒÓÔÕÖ×ØÙÚÛÜİŞßàáâãäåæçèéêëìíîïğñòóôõö÷øùúûüışÿ"
    },
    win1254: "windows1254",
    cp1254: "windows1254",
    windows1255: {
      type: "_sbcs",
      chars: "€�‚ƒ„…†‡ˆ‰�‹�����‘’“”•–—˜™�›���� ¡¢£₪¥¦§¨©×«¬­®¯°±²³´µ¶·¸¹÷»¼½¾¿ְֱֲֳִֵֶַָֹֺֻּֽ־ֿ׀ׁׂ׃װױײ׳״�������אבגדהוזחטיךכלםמןנסעףפץצקרשת��‎‏�"
    },
    win1255: "windows1255",
    cp1255: "windows1255",
    windows1256: {
      type: "_sbcs",
      chars: "€پ‚ƒ„…†‡ˆ‰ٹ‹Œچژڈگ‘’“”•–—ک™ڑ›œ‌‍ں ،¢£¤¥¦§¨©ھ«¬­®¯°±²³´µ¶·¸¹؛»¼½¾؟ہءآأؤإئابةتثجحخدذرزسشصض×طظعغـفقكàلâمنهوçèéêëىيîïًٌٍَôُِ÷ّùْûü‎‏ے"
    },
    win1256: "windows1256",
    cp1256: "windows1256",
    windows1257: {
      type: "_sbcs",
      chars: "€�‚�„…†‡�‰�‹�¨ˇ¸�‘’“”•–—�™�›�¯˛� �¢£¤�¦§Ø©Ŗ«¬­®Æ°±²³´µ¶·ø¹ŗ»¼½¾æĄĮĀĆÄÅĘĒČÉŹĖĢĶĪĻŠŃŅÓŌÕÖ×ŲŁŚŪÜŻŽßąįāćäåęēčéźėģķīļšńņóōõö÷ųłśūüżž˙"
    },
    win1257: "windows1257",
    cp1257: "windows1257",
    windows1258: {
      type: "_sbcs",
      chars: "€�‚ƒ„…†‡ˆ‰�‹Œ����‘’“”•–—˜™�›œ��Ÿ ¡¢£¤¥¦§¨©ª«¬­®¯°±²³´µ¶·¸¹º»¼½¾¿ÀÁÂĂÄÅÆÇÈÉÊË̀ÍÎÏĐÑ̉ÓÔƠÖ×ØÙÚÛÜỮßàáâăäåæçèéêë́íîïđṇ̃óôơö÷øùúûüư₫ÿ"
    },
    win1258: "windows1258",
    cp1258: "windows1258",
    iso88591: {
      type: "_sbcs",
      chars: " ¡¢£¤¥¦§¨©ª«¬­®¯°±²³´µ¶·¸¹º»¼½¾¿ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖ×ØÙÚÛÜÝÞßàáâãäåæçèéêëìíîïðñòóôõö÷øùúûüýþÿ"
    },
    cp28591: "iso88591",
    iso88592: {
      type: "_sbcs",
      chars: " Ą˘Ł¤ĽŚ§¨ŠŞŤŹ­ŽŻ°ą˛ł´ľśˇ¸šşťź˝žżŔÁÂĂÄĹĆÇČÉĘËĚÍÎĎĐŃŇÓÔŐÖ×ŘŮÚŰÜÝŢßŕáâăäĺćçčéęëěíîďđńňóôőö÷řůúűüýţ˙"
    },
    cp28592: "iso88592",
    iso88593: {
      type: "_sbcs",
      chars: " Ħ˘£¤�Ĥ§¨İŞĞĴ­�Ż°ħ²³´µĥ·¸ışğĵ½�żÀÁÂ�ÄĊĈÇÈÉÊËÌÍÎÏ�ÑÒÓÔĠÖ×ĜÙÚÛÜŬŜßàáâ�äċĉçèéêëìíîï�ñòóôġö÷ĝùúûüŭŝ˙"
    },
    cp28593: "iso88593",
    iso88594: {
      type: "_sbcs",
      chars: " ĄĸŖ¤ĨĻ§¨ŠĒĢŦ­Ž¯°ą˛ŗ´ĩļˇ¸šēģŧŊžŋĀÁÂÃÄÅÆĮČÉĘËĖÍÎĪĐŅŌĶÔÕÖ×ØŲÚÛÜŨŪßāáâãäåæįčéęëėíîīđņōķôõö÷øųúûüũū˙"
    },
    cp28594: "iso88594",
    iso88595: {
      type: "_sbcs",
      chars: " ЁЂЃЄЅІЇЈЉЊЋЌ­ЎЏАБВГДЕЖЗИЙКЛМНОПРСТУФХЦЧШЩЪЫЬЭЮЯабвгдежзийклмнопрстуфхцчшщъыьэюя№ёђѓєѕіїјљњћќ§ўџ"
    },
    cp28595: "iso88595",
    iso88596: {
      type: "_sbcs",
      chars: " ���¤�������،­�������������؛���؟�ءآأؤإئابةتثجحخدذرزسشصضطظعغ�����ـفقكلمنهوىيًٌٍَُِّْ�������������"
    },
    cp28596: "iso88596",
    iso88597: {
      type: "_sbcs",
      chars: " ‘’£€₯¦§¨©ͺ«¬­�―°±²³΄΅Ά·ΈΉΊ»Ό½ΎΏΐΑΒΓΔΕΖΗΘΙΚΛΜΝΞΟΠΡ�ΣΤΥΦΧΨΩΪΫάέήίΰαβγδεζηθικλμνξοπρςστυφχψωϊϋόύώ�"
    },
    cp28597: "iso88597",
    iso88598: {
      type: "_sbcs",
      chars: " �¢£¤¥¦§¨©×«¬­®¯°±²³´µ¶·¸¹÷»¼½¾��������������������������������‗אבגדהוזחטיךכלםמןנסעףפץצקרשת��‎‏�"
    },
    cp28598: "iso88598",
    iso88599: {
      type: "_sbcs",
      chars: " ¡¢£¤¥¦§¨©ª«¬­®¯°±²³´µ¶·¸¹º»¼½¾¿ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏĞÑÒÓÔÕÖ×ØÙÚÛÜİŞßàáâãäåæçèéêëìíîïğñòóôõö÷øùúûüışÿ"
    },
    cp28599: "iso88599",
    iso885910: {
      type: "_sbcs",
      chars: " ĄĒĢĪĨĶ§ĻĐŠŦŽ­ŪŊ°ąēģīĩķ·ļđšŧž―ūŋĀÁÂÃÄÅÆĮČÉĘËĖÍÎÏÐŅŌÓÔÕÖŨØŲÚÛÜÝÞßāáâãäåæįčéęëėíîïðņōóôõöũøųúûüýþĸ"
    },
    cp28600: "iso885910",
    iso885911: {
      type: "_sbcs",
      chars: " กขฃคฅฆงจฉชซฌญฎฏฐฑฒณดตถทธนบปผฝพฟภมยรฤลฦวศษสหฬอฮฯะัาำิีึืฺุู����฿เแโใไๅๆ็่้๊๋์ํ๎๏๐๑๒๓๔๕๖๗๘๙๚๛����"
    },
    cp28601: "iso885911",
    iso885913: {
      type: "_sbcs",
      chars: " ”¢£¤„¦§Ø©Ŗ«¬­®Æ°±²³“µ¶·ø¹ŗ»¼½¾æĄĮĀĆÄÅĘĒČÉŹĖĢĶĪĻŠŃŅÓŌÕÖ×ŲŁŚŪÜŻŽßąįāćäåęēčéźėģķīļšńņóōõö÷ųłśūüżž’"
    },
    cp28603: "iso885913",
    iso885914: {
      type: "_sbcs",
      chars: " Ḃḃ£ĊċḊ§Ẁ©ẂḋỲ­®ŸḞḟĠġṀṁ¶ṖẁṗẃṠỳẄẅṡÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏŴÑÒÓÔÕÖṪØÙÚÛÜÝŶßàáâãäåæçèéêëìíîïŵñòóôõöṫøùúûüýŷÿ"
    },
    cp28604: "iso885914",
    iso885915: {
      type: "_sbcs",
      chars: " ¡¢£€¥Š§š©ª«¬­®¯°±²³Žµ¶·ž¹º»ŒœŸ¿ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖ×ØÙÚÛÜÝÞßàáâãäåæçèéêëìíîïðñòóôõö÷øùúûüýþÿ"
    },
    cp28605: "iso885915",
    iso885916: {
      type: "_sbcs",
      chars: " ĄąŁ€„Š§š©Ș«Ź­źŻ°±ČłŽ”¶·žčș»ŒœŸżÀÁÂĂÄĆÆÇÈÉÊËÌÍÎÏĐŃÒÓÔŐÖŚŰÙÚÛÜĘȚßàáâăäćæçèéêëìíîïđńòóôőöśűùúûüęțÿ"
    },
    cp28606: "iso885916",
    cp437: {
      type: "_sbcs",
      chars: "ÇüéâäàåçêëèïîìÄÅÉæÆôöòûùÿÖÜ¢£¥₧ƒáíóúñÑªº¿⌐¬½¼¡«»░▒▓│┤╡╢╖╕╣║╗╝╜╛┐└┴┬├─┼╞╟╚╔╩╦╠═╬╧╨╤╥╙╘╒╓╫╪┘┌█▄▌▐▀αßΓπΣσµτΦΘΩδ∞φε∩≡±≥≤⌠⌡÷≈°∙·√ⁿ²■ "
    },
    ibm437: "cp437",
    csibm437: "cp437",
    cp737: {
      type: "_sbcs",
      chars: "ΑΒΓΔΕΖΗΘΙΚΛΜΝΞΟΠΡΣΤΥΦΧΨΩαβγδεζηθικλμνξοπρσςτυφχψ░▒▓│┤╡╢╖╕╣║╗╝╜╛┐└┴┬├─┼╞╟╚╔╩╦╠═╬╧╨╤╥╙╘╒╓╫╪┘┌█▄▌▐▀ωάέήϊίόύϋώΆΈΉΊΌΎΏ±≥≤ΪΫ÷≈°∙·√ⁿ²■ "
    },
    ibm737: "cp737",
    csibm737: "cp737",
    cp775: {
      type: "_sbcs",
      chars: "ĆüéāäģåćłēŖŗīŹÄÅÉæÆōöĢ¢ŚśÖÜø£Ø×¤ĀĪóŻżź”¦©®¬½¼Ł«»░▒▓│┤ĄČĘĖ╣║╗╝ĮŠ┐└┴┬├─┼ŲŪ╚╔╩╦╠═╬Žąčęėįšųūž┘┌█▄▌▐▀ÓßŌŃõÕµńĶķĻļņĒŅ’­±“¾¶§÷„°∙·¹³²■ "
    },
    ibm775: "cp775",
    csibm775: "cp775",
    cp850: {
      type: "_sbcs",
      chars: "ÇüéâäàåçêëèïîìÄÅÉæÆôöòûùÿÖÜø£Ø×ƒáíóúñÑªº¿®¬½¼¡«»░▒▓│┤ÁÂÀ©╣║╗╝¢¥┐└┴┬├─┼ãÃ╚╔╩╦╠═╬¤ðÐÊËÈıÍÎÏ┘┌█▄¦Ì▀ÓßÔÒõÕµþÞÚÛÙýÝ¯´­±‗¾¶§÷¸°¨·¹³²■ "
    },
    ibm850: "cp850",
    csibm850: "cp850",
    cp852: {
      type: "_sbcs",
      chars: "ÇüéâäůćçłëŐőîŹÄĆÉĹĺôöĽľŚśÖÜŤťŁ×čáíóúĄąŽžĘę¬źČş«»░▒▓│┤ÁÂĚŞ╣║╗╝Żż┐└┴┬├─┼Ăă╚╔╩╦╠═╬¤đĐĎËďŇÍÎě┘┌█▄ŢŮ▀ÓßÔŃńňŠšŔÚŕŰýÝţ´­˝˛ˇ˘§÷¸°¨˙űŘř■ "
    },
    ibm852: "cp852",
    csibm852: "cp852",
    cp855: {
      type: "_sbcs",
      chars: "ђЂѓЃёЁєЄѕЅіІїЇјЈљЉњЊћЋќЌўЎџЏюЮъЪаАбБцЦдДеЕфФгГ«»░▒▓│┤хХиИ╣║╗╝йЙ┐└┴┬├─┼кК╚╔╩╦╠═╬¤лЛмМнНоОп┘┌█▄Пя▀ЯрРсСтТуУжЖвВьЬ№­ыЫзЗшШэЭщЩчЧ§■ "
    },
    ibm855: "cp855",
    csibm855: "cp855",
    cp856: {
      type: "_sbcs",
      chars: "אבגדהוזחטיךכלםמןנסעףפץצקרשת�£�×����������®¬½¼�«»░▒▓│┤���©╣║╗╝¢¥┐└┴┬├─┼��╚╔╩╦╠═╬¤���������┘┌█▄¦�▀������µ�������¯´­±‗¾¶§÷¸°¨·¹³²■ "
    },
    ibm856: "cp856",
    csibm856: "cp856",
    cp857: {
      type: "_sbcs",
      chars: "ÇüéâäàåçêëèïîıÄÅÉæÆôöòûùİÖÜø£ØŞşáíóúñÑĞğ¿®¬½¼¡«»░▒▓│┤ÁÂÀ©╣║╗╝¢¥┐└┴┬├─┼ãÃ╚╔╩╦╠═╬¤ºªÊËÈ�ÍÎÏ┘┌█▄¦Ì▀ÓßÔÒõÕµ�×ÚÛÙìÿ¯´­±�¾¶§÷¸°¨·¹³²■ "
    },
    ibm857: "cp857",
    csibm857: "cp857",
    cp858: {
      type: "_sbcs",
      chars: "ÇüéâäàåçêëèïîìÄÅÉæÆôöòûùÿÖÜø£Ø×ƒáíóúñÑªº¿®¬½¼¡«»░▒▓│┤ÁÂÀ©╣║╗╝¢¥┐└┴┬├─┼ãÃ╚╔╩╦╠═╬¤ðÐÊËÈ€ÍÎÏ┘┌█▄¦Ì▀ÓßÔÒõÕµþÞÚÛÙýÝ¯´­±‗¾¶§÷¸°¨·¹³²■ "
    },
    ibm858: "cp858",
    csibm858: "cp858",
    cp860: {
      type: "_sbcs",
      chars: "ÇüéâãàÁçêÊèÍÔìÃÂÉÀÈôõòÚùÌÕÜ¢£Ù₧ÓáíóúñÑªº¿Ò¬½¼¡«»░▒▓│┤╡╢╖╕╣║╗╝╜╛┐└┴┬├─┼╞╟╚╔╩╦╠═╬╧╨╤╥╙╘╒╓╫╪┘┌█▄▌▐▀αßΓπΣσµτΦΘΩδ∞φε∩≡±≥≤⌠⌡÷≈°∙·√ⁿ²■ "
    },
    ibm860: "cp860",
    csibm860: "cp860",
    cp861: {
      type: "_sbcs",
      chars: "ÇüéâäàåçêëèÐðÞÄÅÉæÆôöþûÝýÖÜø£Ø₧ƒáíóúÁÍÓÚ¿⌐¬½¼¡«»░▒▓│┤╡╢╖╕╣║╗╝╜╛┐└┴┬├─┼╞╟╚╔╩╦╠═╬╧╨╤╥╙╘╒╓╫╪┘┌█▄▌▐▀αßΓπΣσµτΦΘΩδ∞φε∩≡±≥≤⌠⌡÷≈°∙·√ⁿ²■ "
    },
    ibm861: "cp861",
    csibm861: "cp861",
    cp862: {
      type: "_sbcs",
      chars: "אבגדהוזחטיךכלםמןנסעףפץצקרשת¢£¥₧ƒáíóúñÑªº¿⌐¬½¼¡«»░▒▓│┤╡╢╖╕╣║╗╝╜╛┐└┴┬├─┼╞╟╚╔╩╦╠═╬╧╨╤╥╙╘╒╓╫╪┘┌█▄▌▐▀αßΓπΣσµτΦΘΩδ∞φε∩≡±≥≤⌠⌡÷≈°∙·√ⁿ²■ "
    },
    ibm862: "cp862",
    csibm862: "cp862",
    cp863: {
      type: "_sbcs",
      chars: "ÇüéâÂà¶çêëèïî‗À§ÉÈÊôËÏûù¤ÔÜ¢£ÙÛƒ¦´óú¨¸³¯Î⌐¬½¼¾«»░▒▓│┤╡╢╖╕╣║╗╝╜╛┐└┴┬├─┼╞╟╚╔╩╦╠═╬╧╨╤╥╙╘╒╓╫╪┘┌█▄▌▐▀αßΓπΣσµτΦΘΩδ∞φε∩≡±≥≤⌠⌡÷≈°∙·√ⁿ²■ "
    },
    ibm863: "cp863",
    csibm863: "cp863",
    cp864: {
      type: "_sbcs",
      chars: `\x00\x01\x02\x03\x04\x05\x06\x07\b	
\v\f\r\x0E\x0F\x10\x11\x12\x13\x14\x15\x16\x17\x18\x19\x1A\x1B\x1C\x1D\x1E\x1F !"#$٪&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_\`abcdefghijklmnopqrstuvwxyz{|}~°·∙√▒─│┼┤┬├┴┐┌└┘β∞φ±½¼≈«»ﻷﻸ��ﻻﻼ� ­ﺂ£¤ﺄ��ﺎﺏﺕﺙ،ﺝﺡﺥ٠١٢٣٤٥٦٧٨٩ﻑ؛ﺱﺵﺹ؟¢ﺀﺁﺃﺅﻊﺋﺍﺑﺓﺗﺛﺟﺣﺧﺩﺫﺭﺯﺳﺷﺻﺿﻁﻅﻋﻏ¦¬÷×ﻉـﻓﻗﻛﻟﻣﻧﻫﻭﻯﻳﺽﻌﻎﻍﻡﹽّﻥﻩﻬﻰﻲﻐﻕﻵﻶﻝﻙﻱ■�`
    },
    ibm864: "cp864",
    csibm864: "cp864",
    cp865: {
      type: "_sbcs",
      chars: "ÇüéâäàåçêëèïîìÄÅÉæÆôöòûùÿÖÜø£Ø₧ƒáíóúñÑªº¿⌐¬½¼¡«¤░▒▓│┤╡╢╖╕╣║╗╝╜╛┐└┴┬├─┼╞╟╚╔╩╦╠═╬╧╨╤╥╙╘╒╓╫╪┘┌█▄▌▐▀αßΓπΣσµτΦΘΩδ∞φε∩≡±≥≤⌠⌡÷≈°∙·√ⁿ²■ "
    },
    ibm865: "cp865",
    csibm865: "cp865",
    cp866: {
      type: "_sbcs",
      chars: "АБВГДЕЖЗИЙКЛМНОПРСТУФХЦЧШЩЪЫЬЭЮЯабвгдежзийклмноп░▒▓│┤╡╢╖╕╣║╗╝╜╛┐└┴┬├─┼╞╟╚╔╩╦╠═╬╧╨╤╥╙╘╒╓╫╪┘┌█▄▌▐▀рстуфхцчшщъыьэюяЁёЄєЇїЎў°∙·√№¤■ "
    },
    ibm866: "cp866",
    csibm866: "cp866",
    cp869: {
      type: "_sbcs",
      chars: "������Ά�·¬¦‘’Έ―ΉΊΪΌ��ΎΫ©Ώ²³ά£έήίϊΐόύΑΒΓΔΕΖΗ½ΘΙ«»░▒▓│┤ΚΛΜΝ╣║╗╝ΞΟ┐└┴┬├─┼ΠΡ╚╔╩╦╠═╬ΣΤΥΦΧΨΩαβγ┘┌█▄δε▀ζηθικλμνξοπρσςτ΄­±υφχ§ψ΅°¨ωϋΰώ■ "
    },
    ibm869: "cp869",
    csibm869: "cp869",
    cp922: {
      type: "_sbcs",
      chars: " ¡¢£¤¥¦§¨©ª«¬­®‾°±²³´µ¶·¸¹º»¼½¾¿ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏŠÑÒÓÔÕÖ×ØÙÚÛÜÝŽßàáâãäåæçèéêëìíîïšñòóôõö÷øùúûüýžÿ"
    },
    ibm922: "cp922",
    csibm922: "cp922",
    cp1046: {
      type: "_sbcs",
      chars: "ﺈ×÷ﹱ■│─┐┌└┘ﹹﹻﹽﹿﹷﺊﻰﻳﻲﻎﻏﻐﻶﻸﻺﻼ ¤ﺋﺑﺗﺛﺟﺣ،­ﺧﺳ٠١٢٣٤٥٦٧٨٩ﺷ؛ﺻﺿﻊ؟ﻋءآأؤإئابةتثجحخدذرزسشصضطﻇعغﻌﺂﺄﺎﻓـفقكلمنهوىيًٌٍَُِّْﻗﻛﻟﻵﻷﻹﻻﻣﻧﻬﻩ�"
    },
    ibm1046: "cp1046",
    csibm1046: "cp1046",
    cp1124: {
      type: "_sbcs",
      chars: " ЁЂҐЄЅІЇЈЉЊЋЌ­ЎЏАБВГДЕЖЗИЙКЛМНОПРСТУФХЦЧШЩЪЫЬЭЮЯабвгдежзийклмнопрстуфхцчшщъыьэюя№ёђґєѕіїјљњћќ§ўџ"
    },
    ibm1124: "cp1124",
    csibm1124: "cp1124",
    cp1125: {
      type: "_sbcs",
      chars: "АБВГДЕЖЗИЙКЛМНОПРСТУФХЦЧШЩЪЫЬЭЮЯабвгдежзийклмноп░▒▓│┤╡╢╖╕╣║╗╝╜╛┐└┴┬├─┼╞╟╚╔╩╦╠═╬╧╨╤╥╙╘╒╓╫╪┘┌█▄▌▐▀рстуфхцчшщъыьэюяЁёҐґЄєІіЇї·√№¤■ "
    },
    ibm1125: "cp1125",
    csibm1125: "cp1125",
    cp1129: {
      type: "_sbcs",
      chars: " ¡¢£¤¥¦§œ©ª«¬­®¯°±²³Ÿµ¶·Œ¹º»¼½¾¿ÀÁÂĂÄÅÆÇÈÉÊË̀ÍÎÏĐÑ̉ÓÔƠÖ×ØÙÚÛÜỮßàáâăäåæçèéêë́íîïđṇ̃óôơö÷øùúûüư₫ÿ"
    },
    ibm1129: "cp1129",
    csibm1129: "cp1129",
    cp1133: {
      type: "_sbcs",
      chars: " ກຂຄງຈສຊຍດຕຖທນບປຜຝພຟມຢຣລວຫອຮ���ຯະາຳິີຶືຸູຼັົຽ���ເແໂໃໄ່້໊໋໌ໍໆ�ໜໝ₭����������������໐໑໒໓໔໕໖໗໘໙��¢¬¦�"
    },
    ibm1133: "cp1133",
    csibm1133: "cp1133",
    cp1161: {
      type: "_sbcs",
      chars: "��������������������������������่กขฃคฅฆงจฉชซฌญฎฏฐฑฒณดตถทธนบปผฝพฟภมยรฤลฦวศษสหฬอฮฯะัาำิีึืฺุู้๊๋€฿เแโใไๅๆ็่้๊๋์ํ๎๏๐๑๒๓๔๕๖๗๘๙๚๛¢¬¦ "
    },
    ibm1161: "cp1161",
    csibm1161: "cp1161",
    cp1162: {
      type: "_sbcs",
      chars: "€…‘’“”•–— กขฃคฅฆงจฉชซฌญฎฏฐฑฒณดตถทธนบปผฝพฟภมยรฤลฦวศษสหฬอฮฯะัาำิีึืฺุู����฿เแโใไๅๆ็่้๊๋์ํ๎๏๐๑๒๓๔๕๖๗๘๙๚๛����"
    },
    ibm1162: "cp1162",
    csibm1162: "cp1162",
    cp1163: {
      type: "_sbcs",
      chars: " ¡¢£€¥¦§œ©ª«¬­®¯°±²³Ÿµ¶·Œ¹º»¼½¾¿ÀÁÂĂÄÅÆÇÈÉÊË̀ÍÎÏĐÑ̉ÓÔƠÖ×ØÙÚÛÜỮßàáâăäåæçèéêë́íîïđṇ̃óôơö÷øùúûüư₫ÿ"
    },
    ibm1163: "cp1163",
    csibm1163: "cp1163",
    maccroatian: {
      type: "_sbcs",
      chars: "ÄÅÇÉÑÖÜáàâäãåçéèêëíìîïñóòôöõúùûü†°¢£§•¶ß®Š™´¨≠ŽØ∞±≤≥∆µ∂∑∏š∫ªºΩžø¿¡¬√ƒ≈Ć«Č… ÀÃÕŒœĐ—“”‘’÷◊�©⁄¤‹›Æ»–·‚„‰ÂćÁčÈÍÎÏÌÓÔđÒÚÛÙıˆ˜¯πË˚¸Êæˇ"
    },
    maccyrillic: {
      type: "_sbcs",
      chars: "АБВГДЕЖЗИЙКЛМНОПРСТУФХЦЧШЩЪЫЬЭЮЯ†°¢£§•¶І®©™Ђђ≠Ѓѓ∞±≤≥іµ∂ЈЄєЇїЉљЊњјЅ¬√ƒ≈∆«»… ЋћЌќѕ–—“”‘’÷„ЎўЏџ№Ёёяабвгдежзийклмнопрстуфхцчшщъыьэю¤"
    },
    macgreek: {
      type: "_sbcs",
      chars: "Ä¹²É³ÖÜ΅àâä΄¨çéèêë£™îï•½‰ôö¦­ùûü†ΓΔΘΛΞΠß®©ΣΪ§≠°·Α±≤≥¥ΒΕΖΗΙΚΜΦΫΨΩάΝ¬ΟΡ≈Τ«»… ΥΧΆΈœ–―“”‘’÷ΉΊΌΎέήίόΏύαβψδεφγηιξκλμνοπώρστθωςχυζϊϋΐΰ�"
    },
    maciceland: {
      type: "_sbcs",
      chars: "ÄÅÇÉÑÖÜáàâäãåçéèêëíìîïñóòôöõúùûüÝ°¢£§•¶ß®©™´¨≠ÆØ∞±≤≥¥µ∂∑∏π∫ªºΩæø¿¡¬√ƒ≈∆«»… ÀÃÕŒœ–—“”‘’÷◊ÿŸ⁄¤ÐðÞþý·‚„‰ÂÊÁËÈÍÎÏÌÓÔ�ÒÚÛÙıˆ˜¯˘˙˚¸˝˛ˇ"
    },
    macroman: {
      type: "_sbcs",
      chars: "ÄÅÇÉÑÖÜáàâäãåçéèêëíìîïñóòôöõúùûü†°¢£§•¶ß®©™´¨≠ÆØ∞±≤≥¥µ∂∑∏π∫ªºΩæø¿¡¬√ƒ≈∆«»… ÀÃÕŒœ–—“”‘’÷◊ÿŸ⁄¤‹›ﬁﬂ‡·‚„‰ÂÊÁËÈÍÎÏÌÓÔ�ÒÚÛÙıˆ˜¯˘˙˚¸˝˛ˇ"
    },
    macromania: {
      type: "_sbcs",
      chars: "ÄÅÇÉÑÖÜáàâäãåçéèêëíìîïñóòôöõúùûü†°¢£§•¶ß®©™´¨≠ĂŞ∞±≤≥¥µ∂∑∏π∫ªºΩăş¿¡¬√ƒ≈∆«»… ÀÃÕŒœ–—“”‘’÷◊ÿŸ⁄¤‹›Ţţ‡·‚„‰ÂÊÁËÈÍÎÏÌÓÔ�ÒÚÛÙıˆ˜¯˘˙˚¸˝˛ˇ"
    },
    macthai: {
      type: "_sbcs",
      chars: "«»…“”�•‘’� กขฃคฅฆงจฉชซฌญฎฏฐฑฒณดตถทธนบปผฝพฟภมยรฤลฦวศษสหฬอฮฯะัาำิีึืฺุู\uFEFF​–—฿เแโใไๅๆ็่้๊๋์ํ™๏๐๑๒๓๔๕๖๗๘๙®©����"
    },
    macturkish: {
      type: "_sbcs",
      chars: "ÄÅÇÉÑÖÜáàâäãåçéèêëíìîïñóòôöõúùûü†°¢£§•¶ß®©™´¨≠ÆØ∞±≤≥¥µ∂∑∏π∫ªºΩæø¿¡¬√ƒ≈∆«»… ÀÃÕŒœ–—“”‘’÷◊ÿŸĞğİıŞş‡·‚„‰ÂÊÁËÈÍÎÏÌÓÔ�ÒÚÛÙ�ˆ˜¯˘˙˚¸˝˛ˇ"
    },
    macukraine: {
      type: "_sbcs",
      chars: "АБВГДЕЖЗИЙКЛМНОПРСТУФХЦЧШЩЪЫЬЭЮЯ†°Ґ£§•¶І®©™Ђђ≠Ѓѓ∞±≤≥іµґЈЄєЇїЉљЊњјЅ¬√ƒ≈∆«»… ЋћЌќѕ–—“”‘’÷„ЎўЏџ№Ёёяабвгдежзийклмнопрстуфхцчшщъыьэю¤"
    },
    koi8r: {
      type: "_sbcs",
      chars: "─│┌┐└┘├┤┬┴┼▀▄█▌▐░▒▓⌠■∙√≈≤≥ ⌡°²·÷═║╒ё╓╔╕╖╗╘╙╚╛╜╝╞╟╠╡Ё╢╣╤╥╦╧╨╩╪╫╬©юабцдефгхийклмнопярстужвьызшэщчъЮАБЦДЕФГХИЙКЛМНОПЯРСТУЖВЬЫЗШЭЩЧЪ"
    },
    koi8u: {
      type: "_sbcs",
      chars: "─│┌┐└┘├┤┬┴┼▀▄█▌▐░▒▓⌠■∙√≈≤≥ ⌡°²·÷═║╒ёє╔ії╗╘╙╚╛ґ╝╞╟╠╡ЁЄ╣ІЇ╦╧╨╩╪Ґ╬©юабцдефгхийклмнопярстужвьызшэщчъЮАБЦДЕФГХИЙКЛМНОПЯРСТУЖВЬЫЗШЭЩЧЪ"
    },
    koi8ru: {
      type: "_sbcs",
      chars: "─│┌┐└┘├┤┬┴┼▀▄█▌▐░▒▓⌠■∙√≈≤≥ ⌡°²·÷═║╒ёє╔ії╗╘╙╚╛ґў╞╟╠╡ЁЄ╣ІЇ╦╧╨╩╪ҐЎ©юабцдефгхийклмнопярстужвьызшэщчъЮАБЦДЕФГХИЙКЛМНОПЯРСТУЖВЬЫЗШЭЩЧЪ"
    },
    koi8t: {
      type: "_sbcs",
      chars: "қғ‚Ғ„…†‡�‰ҳ‹ҲҷҶ�Қ‘’“”•–—�™�›�����ӯӮё¤ӣ¦§���«¬­®�°±²Ё�Ӣ¶·�№�»���©юабцдефгхийклмнопярстужвьызшэщчъЮАБЦДЕФГХИЙКЛМНОПЯРСТУЖВЬЫЗШЭЩЧЪ"
    },
    armscii8: {
      type: "_sbcs",
      chars: " �և։)(»«—.՝,-֊…՜՛՞ԱաԲբԳգԴդԵեԶզԷէԸըԹթԺժԻիԼլԽխԾծԿկՀհՁձՂղՃճՄմՅյՆնՇշՈոՉչՊպՋջՌռՍսՎվՏտՐրՑցՒւՓփՔքՕօՖֆ՚�"
    },
    rk1048: {
      type: "_sbcs",
      chars: "ЂЃ‚ѓ„…†‡€‰Љ‹ЊҚҺЏђ‘’“”•–—�™љ›њқһџ ҰұӘ¤Ө¦§Ё©Ғ«¬­®Ү°±Ііөµ¶·ё№ғ»әҢңүАБВГДЕЖЗИЙКЛМНОПРСТУФХЦЧШЩЪЫЬЭЮЯабвгдежзийклмнопрстуфхцчшщъыьэюя"
    },
    tcvn: {
      type: "_sbcs",
      chars: `\x00ÚỤ\x03ỪỬỮ\x07\b	
\v\f\r\x0E\x0F\x10ỨỰỲỶỸÝỴ\x18\x19\x1A\x1B\x1C\x1D\x1E\x1F !"#$%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_\`abcdefghijklmnopqrstuvwxyz{|}~ÀẢÃÁẠẶẬÈẺẼÉẸỆÌỈĨÍỊÒỎÕÓỌỘỜỞỠỚỢÙỦŨ ĂÂÊÔƠƯĐăâêôơưđẶ̀̀̉̃́àảãáạẲằẳẵắẴẮẦẨẪẤỀặầẩẫấậèỂẻẽéẹềểễếệìỉỄẾỒĩíịòỔỏõóọồổỗốộờởỡớợùỖủũúụừửữứựỳỷỹýỵỐ`
    },
    georgianacademy: {
      type: "_sbcs",
      chars: "‚ƒ„…†‡ˆ‰Š‹Œ‘’“”•–—˜™š›œŸ ¡¢£¤¥¦§¨©ª«¬­®¯°±²³´µ¶·¸¹º»¼½¾¿აბგდევზთიკლმნოპჟრსტუფქღყშჩცძწჭხჯჰჱჲჳჴჵჶçèéêëìíîïðñòóôõö÷øùúûüýþÿ"
    },
    georgianps: {
      type: "_sbcs",
      chars: "‚ƒ„…†‡ˆ‰Š‹Œ‘’“”•–—˜™š›œŸ ¡¢£¤¥¦§¨©ª«¬­®¯°±²³´µ¶·¸¹º»¼½¾¿აბგდევზჱთიკლმნჲოპჟრსტჳუფქღყშჩცძწჭხჴჯჰჵæçèéêëìíîïðñòóôõö÷øùúûüýþÿ"
    },
    pt154: {
      type: "_sbcs",
      chars: "ҖҒӮғ„…ҶҮҲүҠӢҢҚҺҸҗ‘’“”•–—ҳҷҡӣңқһҹ ЎўЈӨҘҰ§Ё©Ә«¬ӯ®Ҝ°ұІіҙө¶·ё№ә»јҪҫҝАБВГДЕЖЗИЙКЛМНОПРСТУФХЦЧШЩЪЫЬЭЮЯабвгдежзийклмнопрстуфхцчшщъыьэюя"
    },
    viscii: {
      type: "_sbcs",
      chars: `\x00\x01Ẳ\x03\x04ẴẪ\x07\b	
\v\f\r\x0E\x0F\x10\x11\x12\x13Ỷ\x15\x16\x17\x18Ỹ\x1A\x1B\x1C\x1DỴ\x1F !"#$%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_\`abcdefghijklmnopqrstuvwxyz{|}~ẠẮẰẶẤẦẨẬẼẸẾỀỂỄỆỐỒỔỖỘỢỚỜỞỊỎỌỈỦŨỤỲÕắằặấầẩậẽẹếềểễệốồổỗỠƠộờởịỰỨỪỬơớƯÀÁÂÃẢĂẳẵÈÉÊẺÌÍĨỳĐứÒÓÔạỷừửÙÚỹỵÝỡưàáâãảăữẫèéêẻìíĩỉđựòóôõỏọụùúũủýợỮ`
    },
    iso646cn: {
      type: "_sbcs",
      chars: `\x00\x01\x02\x03\x04\x05\x06\x07\b	
\v\f\r\x0E\x0F\x10\x11\x12\x13\x14\x15\x16\x17\x18\x19\x1A\x1B\x1C\x1D\x1E\x1F !"#¥%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_\`abcdefghijklmnopqrstuvwxyz{|}‾��������������������������������������������������������������������������������������������������������������������������������`
    },
    iso646jp: {
      type: "_sbcs",
      chars: `\x00\x01\x02\x03\x04\x05\x06\x07\b	
\v\f\r\x0E\x0F\x10\x11\x12\x13\x14\x15\x16\x17\x18\x19\x1A\x1B\x1C\x1D\x1E\x1F !"#$%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[¥]^_\`abcdefghijklmnopqrstuvwxyz{|}‾��������������������������������������������������������������������������������������������������������������������������������`
    },
    hproman8: {
      type: "_sbcs",
      chars: " ÀÂÈÊËÎÏ´ˋˆ¨˜ÙÛ₤¯Ýý°ÇçÑñ¡¿¤£¥§ƒ¢âêôûáéóúàèòùäëöüÅîØÆåíøæÄìÖÜÉïßÔÁÃãÐðÍÌÓÒÕõŠšÚŸÿÞþ·µ¶¾—¼½ªº«■»±�"
    },
    macintosh: {
      type: "_sbcs",
      chars: "ÄÅÇÉÑÖÜáàâäãåçéèêëíìîïñóòôöõúùûü†°¢£§•¶ß®©™´¨≠ÆØ∞±≤≥¥µ∂∑∏π∫ªºΩæø¿¡¬√ƒ≈∆«»… ÀÃÕŒœ–—“”‘’÷◊ÿŸ⁄¤‹›ﬁﬂ‡·‚„‰ÂÊÁËÈÍÎÏÌÓÔ�ÒÚÛÙıˆ˜¯˘˙˚¸˝˛ˇ"
    },
    ascii: {
      type: "_sbcs",
      chars: "��������������������������������������������������������������������������������������������������������������������������������"
    },
    tis620: {
      type: "_sbcs",
      chars: "���������������������������������กขฃคฅฆงจฉชซฌญฎฏฐฑฒณดตถทธนบปผฝพฟภมยรฤลฦวศษสหฬอฮฯะัาำิีึืฺุู����฿เแโใไๅๆ็่้๊๋์ํ๎๏๐๑๒๓๔๕๖๗๘๙๚๛����"
    }
  };
});

// node_modules/iconv-lite/encodings/dbcs-codec.js
var require_dbcs_codec2 = __commonJS((exports) => {
  var Buffer2 = require_safer().Buffer;
  exports._dbcs = DBCSCodec;
  var UNASSIGNED = -1;
  var GB18030_CODE = -2;
  var SEQ_START = -10;
  var NODE_START = -1000;
  var UNASSIGNED_NODE = new Array(256);
  var DEF_CHAR = -1;
  for (i = 0;i < 256; i++)
    UNASSIGNED_NODE[i] = UNASSIGNED;
  var i;
  function DBCSCodec(codecOptions, iconv) {
    this.encodingName = codecOptions.encodingName;
    if (!codecOptions)
      throw new Error("DBCS codec is called without the data.");
    if (!codecOptions.table)
      throw new Error("Encoding '" + this.encodingName + "' has no data.");
    var mappingTable = codecOptions.table();
    this.decodeTables = [];
    this.decodeTables[0] = UNASSIGNED_NODE.slice(0);
    this.decodeTableSeq = [];
    for (var i2 = 0;i2 < mappingTable.length; i2++)
      this._addDecodeChunk(mappingTable[i2]);
    this.defaultCharUnicode = iconv.defaultCharUnicode;
    this.encodeTable = [];
    this.encodeTableSeq = [];
    var skipEncodeChars = {};
    if (codecOptions.encodeSkipVals)
      for (var i2 = 0;i2 < codecOptions.encodeSkipVals.length; i2++) {
        var val = codecOptions.encodeSkipVals[i2];
        if (typeof val === "number")
          skipEncodeChars[val] = true;
        else
          for (var j2 = val.from;j2 <= val.to; j2++)
            skipEncodeChars[j2] = true;
      }
    this._fillEncodeTable(0, 0, skipEncodeChars);
    if (codecOptions.encodeAdd) {
      for (var uChar in codecOptions.encodeAdd)
        if (Object.prototype.hasOwnProperty.call(codecOptions.encodeAdd, uChar))
          this._setEncodeChar(uChar.charCodeAt(0), codecOptions.encodeAdd[uChar]);
    }
    this.defCharSB = this.encodeTable[0][iconv.defaultCharSingleByte.charCodeAt(0)];
    if (this.defCharSB === UNASSIGNED)
      this.defCharSB = this.encodeTable[0]["?"];
    if (this.defCharSB === UNASSIGNED)
      this.defCharSB = 63;
    if (typeof codecOptions.gb18030 === "function") {
      this.gb18030 = codecOptions.gb18030();
      var thirdByteNodeIdx = this.decodeTables.length;
      var thirdByteNode = this.decodeTables[thirdByteNodeIdx] = UNASSIGNED_NODE.slice(0);
      var fourthByteNodeIdx = this.decodeTables.length;
      var fourthByteNode = this.decodeTables[fourthByteNodeIdx] = UNASSIGNED_NODE.slice(0);
      for (var i2 = 129;i2 <= 254; i2++) {
        var secondByteNodeIdx = NODE_START - this.decodeTables[0][i2];
        var secondByteNode = this.decodeTables[secondByteNodeIdx];
        for (var j2 = 48;j2 <= 57; j2++)
          secondByteNode[j2] = NODE_START - thirdByteNodeIdx;
      }
      for (var i2 = 129;i2 <= 254; i2++)
        thirdByteNode[i2] = NODE_START - fourthByteNodeIdx;
      for (var i2 = 48;i2 <= 57; i2++)
        fourthByteNode[i2] = GB18030_CODE;
    }
  }
  DBCSCodec.prototype.encoder = DBCSEncoder;
  DBCSCodec.prototype.decoder = DBCSDecoder;
  DBCSCodec.prototype._getDecodeTrieNode = function(addr) {
    var bytes = [];
    for (;addr > 0; addr >>= 8)
      bytes.push(addr & 255);
    if (bytes.length == 0)
      bytes.push(0);
    var node = this.decodeTables[0];
    for (var i2 = bytes.length - 1;i2 > 0; i2--) {
      var val = node[bytes[i2]];
      if (val == UNASSIGNED) {
        node[bytes[i2]] = NODE_START - this.decodeTables.length;
        this.decodeTables.push(node = UNASSIGNED_NODE.slice(0));
      } else if (val <= NODE_START) {
        node = this.decodeTables[NODE_START - val];
      } else
        throw new Error("Overwrite byte in " + this.encodingName + ", addr: " + addr.toString(16));
    }
    return node;
  };
  DBCSCodec.prototype._addDecodeChunk = function(chunk) {
    var curAddr = parseInt(chunk[0], 16);
    var writeTable = this._getDecodeTrieNode(curAddr);
    curAddr = curAddr & 255;
    for (var k2 = 1;k2 < chunk.length; k2++) {
      var part = chunk[k2];
      if (typeof part === "string") {
        for (var l = 0;l < part.length; ) {
          var code = part.charCodeAt(l++);
          if (55296 <= code && code < 56320) {
            var codeTrail = part.charCodeAt(l++);
            if (56320 <= codeTrail && codeTrail < 57344)
              writeTable[curAddr++] = 65536 + (code - 55296) * 1024 + (codeTrail - 56320);
            else
              throw new Error("Incorrect surrogate pair in " + this.encodingName + " at chunk " + chunk[0]);
          } else if (4080 < code && code <= 4095) {
            var len = 4095 - code + 2;
            var seq = [];
            for (var m = 0;m < len; m++)
              seq.push(part.charCodeAt(l++));
            writeTable[curAddr++] = SEQ_START - this.decodeTableSeq.length;
            this.decodeTableSeq.push(seq);
          } else
            writeTable[curAddr++] = code;
        }
      } else if (typeof part === "number") {
        var charCode = writeTable[curAddr - 1] + 1;
        for (var l = 0;l < part; l++)
          writeTable[curAddr++] = charCode++;
      } else
        throw new Error("Incorrect type '" + typeof part + "' given in " + this.encodingName + " at chunk " + chunk[0]);
    }
    if (curAddr > 255)
      throw new Error("Incorrect chunk in " + this.encodingName + " at addr " + chunk[0] + ": too long" + curAddr);
  };
  DBCSCodec.prototype._getEncodeBucket = function(uCode) {
    var high = uCode >> 8;
    if (this.encodeTable[high] === undefined)
      this.encodeTable[high] = UNASSIGNED_NODE.slice(0);
    return this.encodeTable[high];
  };
  DBCSCodec.prototype._setEncodeChar = function(uCode, dbcsCode) {
    var bucket = this._getEncodeBucket(uCode);
    var low = uCode & 255;
    if (bucket[low] <= SEQ_START)
      this.encodeTableSeq[SEQ_START - bucket[low]][DEF_CHAR] = dbcsCode;
    else if (bucket[low] == UNASSIGNED)
      bucket[low] = dbcsCode;
  };
  DBCSCodec.prototype._setEncodeSequence = function(seq, dbcsCode) {
    var uCode = seq[0];
    var bucket = this._getEncodeBucket(uCode);
    var low = uCode & 255;
    var node;
    if (bucket[low] <= SEQ_START) {
      node = this.encodeTableSeq[SEQ_START - bucket[low]];
    } else {
      node = {};
      if (bucket[low] !== UNASSIGNED)
        node[DEF_CHAR] = bucket[low];
      bucket[low] = SEQ_START - this.encodeTableSeq.length;
      this.encodeTableSeq.push(node);
    }
    for (var j2 = 1;j2 < seq.length - 1; j2++) {
      var oldVal = node[uCode];
      if (typeof oldVal === "object")
        node = oldVal;
      else {
        node = node[uCode] = {};
        if (oldVal !== undefined)
          node[DEF_CHAR] = oldVal;
      }
    }
    uCode = seq[seq.length - 1];
    node[uCode] = dbcsCode;
  };
  DBCSCodec.prototype._fillEncodeTable = function(nodeIdx, prefix, skipEncodeChars) {
    var node = this.decodeTables[nodeIdx];
    for (var i2 = 0;i2 < 256; i2++) {
      var uCode = node[i2];
      var mbCode = prefix + i2;
      if (skipEncodeChars[mbCode])
        continue;
      if (uCode >= 0)
        this._setEncodeChar(uCode, mbCode);
      else if (uCode <= NODE_START)
        this._fillEncodeTable(NODE_START - uCode, mbCode << 8, skipEncodeChars);
      else if (uCode <= SEQ_START)
        this._setEncodeSequence(this.decodeTableSeq[SEQ_START - uCode], mbCode);
    }
  };
  function DBCSEncoder(options, codec) {
    this.leadSurrogate = -1;
    this.seqObj = undefined;
    this.encodeTable = codec.encodeTable;
    this.encodeTableSeq = codec.encodeTableSeq;
    this.defaultCharSingleByte = codec.defCharSB;
    this.gb18030 = codec.gb18030;
  }
  DBCSEncoder.prototype.write = function(str) {
    var newBuf = Buffer2.alloc(str.length * (this.gb18030 ? 4 : 3)), leadSurrogate = this.leadSurrogate, seqObj = this.seqObj, nextChar = -1, i2 = 0, j2 = 0;
    while (true) {
      if (nextChar === -1) {
        if (i2 == str.length)
          break;
        var uCode = str.charCodeAt(i2++);
      } else {
        var uCode = nextChar;
        nextChar = -1;
      }
      if (55296 <= uCode && uCode < 57344) {
        if (uCode < 56320) {
          if (leadSurrogate === -1) {
            leadSurrogate = uCode;
            continue;
          } else {
            leadSurrogate = uCode;
            uCode = UNASSIGNED;
          }
        } else {
          if (leadSurrogate !== -1) {
            uCode = 65536 + (leadSurrogate - 55296) * 1024 + (uCode - 56320);
            leadSurrogate = -1;
          } else {
            uCode = UNASSIGNED;
          }
        }
      } else if (leadSurrogate !== -1) {
        nextChar = uCode;
        uCode = UNASSIGNED;
        leadSurrogate = -1;
      }
      var dbcsCode = UNASSIGNED;
      if (seqObj !== undefined && uCode != UNASSIGNED) {
        var resCode = seqObj[uCode];
        if (typeof resCode === "object") {
          seqObj = resCode;
          continue;
        } else if (typeof resCode == "number") {
          dbcsCode = resCode;
        } else if (resCode == undefined) {
          resCode = seqObj[DEF_CHAR];
          if (resCode !== undefined) {
            dbcsCode = resCode;
            nextChar = uCode;
          } else {}
        }
        seqObj = undefined;
      } else if (uCode >= 0) {
        var subtable = this.encodeTable[uCode >> 8];
        if (subtable !== undefined)
          dbcsCode = subtable[uCode & 255];
        if (dbcsCode <= SEQ_START) {
          seqObj = this.encodeTableSeq[SEQ_START - dbcsCode];
          continue;
        }
        if (dbcsCode == UNASSIGNED && this.gb18030) {
          var idx = findIdx(this.gb18030.uChars, uCode);
          if (idx != -1) {
            var dbcsCode = this.gb18030.gbChars[idx] + (uCode - this.gb18030.uChars[idx]);
            newBuf[j2++] = 129 + Math.floor(dbcsCode / 12600);
            dbcsCode = dbcsCode % 12600;
            newBuf[j2++] = 48 + Math.floor(dbcsCode / 1260);
            dbcsCode = dbcsCode % 1260;
            newBuf[j2++] = 129 + Math.floor(dbcsCode / 10);
            dbcsCode = dbcsCode % 10;
            newBuf[j2++] = 48 + dbcsCode;
            continue;
          }
        }
      }
      if (dbcsCode === UNASSIGNED)
        dbcsCode = this.defaultCharSingleByte;
      if (dbcsCode < 256) {
        newBuf[j2++] = dbcsCode;
      } else if (dbcsCode < 65536) {
        newBuf[j2++] = dbcsCode >> 8;
        newBuf[j2++] = dbcsCode & 255;
      } else {
        newBuf[j2++] = dbcsCode >> 16;
        newBuf[j2++] = dbcsCode >> 8 & 255;
        newBuf[j2++] = dbcsCode & 255;
      }
    }
    this.seqObj = seqObj;
    this.leadSurrogate = leadSurrogate;
    return newBuf.slice(0, j2);
  };
  DBCSEncoder.prototype.end = function() {
    if (this.leadSurrogate === -1 && this.seqObj === undefined)
      return;
    var newBuf = Buffer2.alloc(10), j2 = 0;
    if (this.seqObj) {
      var dbcsCode = this.seqObj[DEF_CHAR];
      if (dbcsCode !== undefined) {
        if (dbcsCode < 256) {
          newBuf[j2++] = dbcsCode;
        } else {
          newBuf[j2++] = dbcsCode >> 8;
          newBuf[j2++] = dbcsCode & 255;
        }
      } else {}
      this.seqObj = undefined;
    }
    if (this.leadSurrogate !== -1) {
      newBuf[j2++] = this.defaultCharSingleByte;
      this.leadSurrogate = -1;
    }
    return newBuf.slice(0, j2);
  };
  DBCSEncoder.prototype.findIdx = findIdx;
  function DBCSDecoder(options, codec) {
    this.nodeIdx = 0;
    this.prevBuf = Buffer2.alloc(0);
    this.decodeTables = codec.decodeTables;
    this.decodeTableSeq = codec.decodeTableSeq;
    this.defaultCharUnicode = codec.defaultCharUnicode;
    this.gb18030 = codec.gb18030;
  }
  DBCSDecoder.prototype.write = function(buf) {
    var newBuf = Buffer2.alloc(buf.length * 2), nodeIdx = this.nodeIdx, prevBuf = this.prevBuf, prevBufOffset = this.prevBuf.length, seqStart = -this.prevBuf.length, uCode;
    if (prevBufOffset > 0)
      prevBuf = Buffer2.concat([prevBuf, buf.slice(0, 10)]);
    for (var i2 = 0, j2 = 0;i2 < buf.length; i2++) {
      var curByte = i2 >= 0 ? buf[i2] : prevBuf[i2 + prevBufOffset];
      var uCode = this.decodeTables[nodeIdx][curByte];
      if (uCode >= 0) {} else if (uCode === UNASSIGNED) {
        i2 = seqStart;
        uCode = this.defaultCharUnicode.charCodeAt(0);
      } else if (uCode === GB18030_CODE) {
        var curSeq = seqStart >= 0 ? buf.slice(seqStart, i2 + 1) : prevBuf.slice(seqStart + prevBufOffset, i2 + 1 + prevBufOffset);
        var ptr = (curSeq[0] - 129) * 12600 + (curSeq[1] - 48) * 1260 + (curSeq[2] - 129) * 10 + (curSeq[3] - 48);
        var idx = findIdx(this.gb18030.gbChars, ptr);
        uCode = this.gb18030.uChars[idx] + ptr - this.gb18030.gbChars[idx];
      } else if (uCode <= NODE_START) {
        nodeIdx = NODE_START - uCode;
        continue;
      } else if (uCode <= SEQ_START) {
        var seq = this.decodeTableSeq[SEQ_START - uCode];
        for (var k2 = 0;k2 < seq.length - 1; k2++) {
          uCode = seq[k2];
          newBuf[j2++] = uCode & 255;
          newBuf[j2++] = uCode >> 8;
        }
        uCode = seq[seq.length - 1];
      } else
        throw new Error("iconv-lite internal error: invalid decoding table value " + uCode + " at " + nodeIdx + "/" + curByte);
      if (uCode > 65535) {
        uCode -= 65536;
        var uCodeLead = 55296 + Math.floor(uCode / 1024);
        newBuf[j2++] = uCodeLead & 255;
        newBuf[j2++] = uCodeLead >> 8;
        uCode = 56320 + uCode % 1024;
      }
      newBuf[j2++] = uCode & 255;
      newBuf[j2++] = uCode >> 8;
      nodeIdx = 0;
      seqStart = i2 + 1;
    }
    this.nodeIdx = nodeIdx;
    this.prevBuf = seqStart >= 0 ? buf.slice(seqStart) : prevBuf.slice(seqStart + prevBufOffset);
    return newBuf.slice(0, j2).toString("ucs2");
  };
  DBCSDecoder.prototype.end = function() {
    var ret = "";
    while (this.prevBuf.length > 0) {
      ret += this.defaultCharUnicode;
      var buf = this.prevBuf.slice(1);
      this.prevBuf = Buffer2.alloc(0);
      this.nodeIdx = 0;
      if (buf.length > 0)
        ret += this.write(buf);
    }
    this.nodeIdx = 0;
    return ret;
  };
  function findIdx(table, val) {
    if (table[0] > val)
      return -1;
    var l = 0, r = table.length;
    while (l < r - 1) {
      var mid = l + Math.floor((r - l + 1) / 2);
      if (table[mid] <= val)
        l = mid;
      else
        r = mid;
    }
    return l;
  }
});

// node_modules/iconv-lite/encodings/tables/shiftjis.json
var require_shiftjis2 = __commonJS((exports, module) => {
  module.exports = [
    ["0", "\x00", 128],
    ["a1", "｡", 62],
    ["8140", "　、。，．・：；？！゛゜´｀¨＾￣＿ヽヾゝゞ〃仝々〆〇ー―‐／＼～∥｜…‥‘’“”（）〔〕［］｛｝〈", 9, "＋－±×"],
    ["8180", "÷＝≠＜＞≦≧∞∴♂♀°′″℃￥＄￠￡％＃＆＊＠§☆★○●◎◇◆□■△▲▽▼※〒→←↑↓〓"],
    ["81b8", "∈∋⊆⊇⊂⊃∪∩"],
    ["81c8", "∧∨￢⇒⇔∀∃"],
    ["81da", "∠⊥⌒∂∇≡≒≪≫√∽∝∵∫∬"],
    ["81f0", "Å‰♯♭♪†‡¶"],
    ["81fc", "◯"],
    ["824f", "０", 9],
    ["8260", "Ａ", 25],
    ["8281", "ａ", 25],
    ["829f", "ぁ", 82],
    ["8340", "ァ", 62],
    ["8380", "ム", 22],
    ["839f", "Α", 16, "Σ", 6],
    ["83bf", "α", 16, "σ", 6],
    ["8440", "А", 5, "ЁЖ", 25],
    ["8470", "а", 5, "ёж", 7],
    ["8480", "о", 17],
    ["849f", "─│┌┐┘└├┬┤┴┼━┃┏┓┛┗┣┳┫┻╋┠┯┨┷┿┝┰┥┸╂"],
    ["8740", "①", 19, "Ⅰ", 9],
    ["875f", "㍉㌔㌢㍍㌘㌧㌃㌶㍑㍗㌍㌦㌣㌫㍊㌻㎜㎝㎞㎎㎏㏄㎡"],
    ["877e", "㍻"],
    ["8780", "〝〟№㏍℡㊤", 4, "㈱㈲㈹㍾㍽㍼≒≡∫∮∑√⊥∠∟⊿∵∩∪"],
    ["889f", "亜唖娃阿哀愛挨姶逢葵茜穐悪握渥旭葦芦鯵梓圧斡扱宛姐虻飴絢綾鮎或粟袷安庵按暗案闇鞍杏以伊位依偉囲夷委威尉惟意慰易椅為畏異移維緯胃萎衣謂違遺医井亥域育郁磯一壱溢逸稲茨芋鰯允印咽員因姻引飲淫胤蔭"],
    ["8940", "院陰隠韻吋右宇烏羽迂雨卯鵜窺丑碓臼渦嘘唄欝蔚鰻姥厩浦瓜閏噂云運雲荏餌叡営嬰影映曳栄永泳洩瑛盈穎頴英衛詠鋭液疫益駅悦謁越閲榎厭円"],
    ["8980", "園堰奄宴延怨掩援沿演炎焔煙燕猿縁艶苑薗遠鉛鴛塩於汚甥凹央奥往応押旺横欧殴王翁襖鴬鴎黄岡沖荻億屋憶臆桶牡乙俺卸恩温穏音下化仮何伽価佳加可嘉夏嫁家寡科暇果架歌河火珂禍禾稼箇花苛茄荷華菓蝦課嘩貨迦過霞蚊俄峨我牙画臥芽蛾賀雅餓駕介会解回塊壊廻快怪悔恢懐戒拐改"],
    ["8a40", "魁晦械海灰界皆絵芥蟹開階貝凱劾外咳害崖慨概涯碍蓋街該鎧骸浬馨蛙垣柿蛎鈎劃嚇各廓拡撹格核殻獲確穫覚角赫較郭閣隔革学岳楽額顎掛笠樫"],
    ["8a80", "橿梶鰍潟割喝恰括活渇滑葛褐轄且鰹叶椛樺鞄株兜竃蒲釜鎌噛鴨栢茅萱粥刈苅瓦乾侃冠寒刊勘勧巻喚堪姦完官寛干幹患感慣憾換敢柑桓棺款歓汗漢澗潅環甘監看竿管簡緩缶翰肝艦莞観諌貫還鑑間閑関陥韓館舘丸含岸巌玩癌眼岩翫贋雁頑顔願企伎危喜器基奇嬉寄岐希幾忌揮机旗既期棋棄"],
    ["8b40", "機帰毅気汽畿祈季稀紀徽規記貴起軌輝飢騎鬼亀偽儀妓宜戯技擬欺犠疑祇義蟻誼議掬菊鞠吉吃喫桔橘詰砧杵黍却客脚虐逆丘久仇休及吸宮弓急救"],
    ["8b80", "朽求汲泣灸球究窮笈級糾給旧牛去居巨拒拠挙渠虚許距鋸漁禦魚亨享京供侠僑兇競共凶協匡卿叫喬境峡強彊怯恐恭挟教橋況狂狭矯胸脅興蕎郷鏡響饗驚仰凝尭暁業局曲極玉桐粁僅勤均巾錦斤欣欽琴禁禽筋緊芹菌衿襟謹近金吟銀九倶句区狗玖矩苦躯駆駈駒具愚虞喰空偶寓遇隅串櫛釧屑屈"],
    ["8c40", "掘窟沓靴轡窪熊隈粂栗繰桑鍬勲君薫訓群軍郡卦袈祁係傾刑兄啓圭珪型契形径恵慶慧憩掲携敬景桂渓畦稽系経継繋罫茎荊蛍計詣警軽頚鶏芸迎鯨"],
    ["8c80", "劇戟撃激隙桁傑欠決潔穴結血訣月件倹倦健兼券剣喧圏堅嫌建憲懸拳捲検権牽犬献研硯絹県肩見謙賢軒遣鍵険顕験鹸元原厳幻弦減源玄現絃舷言諺限乎個古呼固姑孤己庫弧戸故枯湖狐糊袴股胡菰虎誇跨鈷雇顧鼓五互伍午呉吾娯後御悟梧檎瑚碁語誤護醐乞鯉交佼侯候倖光公功効勾厚口向"],
    ["8d40", "后喉坑垢好孔孝宏工巧巷幸広庚康弘恒慌抗拘控攻昂晃更杭校梗構江洪浩港溝甲皇硬稿糠紅紘絞綱耕考肯肱腔膏航荒行衡講貢購郊酵鉱砿鋼閤降"],
    ["8d80", "項香高鴻剛劫号合壕拷濠豪轟麹克刻告国穀酷鵠黒獄漉腰甑忽惚骨狛込此頃今困坤墾婚恨懇昏昆根梱混痕紺艮魂些佐叉唆嵯左差査沙瑳砂詐鎖裟坐座挫債催再最哉塞妻宰彩才採栽歳済災采犀砕砦祭斎細菜裁載際剤在材罪財冴坂阪堺榊肴咲崎埼碕鷺作削咋搾昨朔柵窄策索錯桜鮭笹匙冊刷"],
    ["8e40", "察拶撮擦札殺薩雑皐鯖捌錆鮫皿晒三傘参山惨撒散桟燦珊産算纂蚕讃賛酸餐斬暫残仕仔伺使刺司史嗣四士始姉姿子屍市師志思指支孜斯施旨枝止"],
    ["8e80", "死氏獅祉私糸紙紫肢脂至視詞詩試誌諮資賜雌飼歯事似侍児字寺慈持時次滋治爾璽痔磁示而耳自蒔辞汐鹿式識鴫竺軸宍雫七叱執失嫉室悉湿漆疾質実蔀篠偲柴芝屡蕊縞舎写射捨赦斜煮社紗者謝車遮蛇邪借勺尺杓灼爵酌釈錫若寂弱惹主取守手朱殊狩珠種腫趣酒首儒受呪寿授樹綬需囚収周"],
    ["8f40", "宗就州修愁拾洲秀秋終繍習臭舟蒐衆襲讐蹴輯週酋酬集醜什住充十従戎柔汁渋獣縦重銃叔夙宿淑祝縮粛塾熟出術述俊峻春瞬竣舜駿准循旬楯殉淳"],
    ["8f80", "準潤盾純巡遵醇順処初所暑曙渚庶緒署書薯藷諸助叙女序徐恕鋤除傷償勝匠升召哨商唱嘗奨妾娼宵将小少尚庄床廠彰承抄招掌捷昇昌昭晶松梢樟樵沼消渉湘焼焦照症省硝礁祥称章笑粧紹肖菖蒋蕉衝裳訟証詔詳象賞醤鉦鍾鐘障鞘上丈丞乗冗剰城場壌嬢常情擾条杖浄状畳穣蒸譲醸錠嘱埴飾"],
    ["9040", "拭植殖燭織職色触食蝕辱尻伸信侵唇娠寝審心慎振新晋森榛浸深申疹真神秦紳臣芯薪親診身辛進針震人仁刃塵壬尋甚尽腎訊迅陣靭笥諏須酢図厨"],
    ["9080", "逗吹垂帥推水炊睡粋翠衰遂酔錐錘随瑞髄崇嵩数枢趨雛据杉椙菅頗雀裾澄摺寸世瀬畝是凄制勢姓征性成政整星晴棲栖正清牲生盛精聖声製西誠誓請逝醒青静斉税脆隻席惜戚斥昔析石積籍績脊責赤跡蹟碩切拙接摂折設窃節説雪絶舌蝉仙先千占宣専尖川戦扇撰栓栴泉浅洗染潜煎煽旋穿箭線"],
    ["9140", "繊羨腺舛船薦詮賎践選遷銭銑閃鮮前善漸然全禅繕膳糎噌塑岨措曾曽楚狙疏疎礎祖租粗素組蘇訴阻遡鼠僧創双叢倉喪壮奏爽宋層匝惣想捜掃挿掻"],
    ["9180", "操早曹巣槍槽漕燥争痩相窓糟総綜聡草荘葬蒼藻装走送遭鎗霜騒像増憎臓蔵贈造促側則即息捉束測足速俗属賊族続卒袖其揃存孫尊損村遜他多太汰詑唾堕妥惰打柁舵楕陀駄騨体堆対耐岱帯待怠態戴替泰滞胎腿苔袋貸退逮隊黛鯛代台大第醍題鷹滝瀧卓啄宅托択拓沢濯琢託鐸濁諾茸凧蛸只"],
    ["9240", "叩但達辰奪脱巽竪辿棚谷狸鱈樽誰丹単嘆坦担探旦歎淡湛炭短端箪綻耽胆蛋誕鍛団壇弾断暖檀段男談値知地弛恥智池痴稚置致蜘遅馳築畜竹筑蓄"],
    ["9280", "逐秩窒茶嫡着中仲宙忠抽昼柱注虫衷註酎鋳駐樗瀦猪苧著貯丁兆凋喋寵帖帳庁弔張彫徴懲挑暢朝潮牒町眺聴脹腸蝶調諜超跳銚長頂鳥勅捗直朕沈珍賃鎮陳津墜椎槌追鎚痛通塚栂掴槻佃漬柘辻蔦綴鍔椿潰坪壷嬬紬爪吊釣鶴亭低停偵剃貞呈堤定帝底庭廷弟悌抵挺提梯汀碇禎程締艇訂諦蹄逓"],
    ["9340", "邸鄭釘鼎泥摘擢敵滴的笛適鏑溺哲徹撤轍迭鉄典填天展店添纏甜貼転顛点伝殿澱田電兎吐堵塗妬屠徒斗杜渡登菟賭途都鍍砥砺努度土奴怒倒党冬"],
    ["9380", "凍刀唐塔塘套宕島嶋悼投搭東桃梼棟盗淘湯涛灯燈当痘祷等答筒糖統到董蕩藤討謄豆踏逃透鐙陶頭騰闘働動同堂導憧撞洞瞳童胴萄道銅峠鴇匿得徳涜特督禿篤毒独読栃橡凸突椴届鳶苫寅酉瀞噸屯惇敦沌豚遁頓呑曇鈍奈那内乍凪薙謎灘捺鍋楢馴縄畷南楠軟難汝二尼弐迩匂賑肉虹廿日乳入"],
    ["9440", "如尿韮任妊忍認濡禰祢寧葱猫熱年念捻撚燃粘乃廼之埜嚢悩濃納能脳膿農覗蚤巴把播覇杷波派琶破婆罵芭馬俳廃拝排敗杯盃牌背肺輩配倍培媒梅"],
    ["9480", "楳煤狽買売賠陪這蝿秤矧萩伯剥博拍柏泊白箔粕舶薄迫曝漠爆縛莫駁麦函箱硲箸肇筈櫨幡肌畑畠八鉢溌発醗髪伐罰抜筏閥鳩噺塙蛤隼伴判半反叛帆搬斑板氾汎版犯班畔繁般藩販範釆煩頒飯挽晩番盤磐蕃蛮匪卑否妃庇彼悲扉批披斐比泌疲皮碑秘緋罷肥被誹費避非飛樋簸備尾微枇毘琵眉美"],
    ["9540", "鼻柊稗匹疋髭彦膝菱肘弼必畢筆逼桧姫媛紐百謬俵彪標氷漂瓢票表評豹廟描病秒苗錨鋲蒜蛭鰭品彬斌浜瀕貧賓頻敏瓶不付埠夫婦富冨布府怖扶敷"],
    ["9580", "斧普浮父符腐膚芙譜負賦赴阜附侮撫武舞葡蕪部封楓風葺蕗伏副復幅服福腹複覆淵弗払沸仏物鮒分吻噴墳憤扮焚奮粉糞紛雰文聞丙併兵塀幣平弊柄並蔽閉陛米頁僻壁癖碧別瞥蔑箆偏変片篇編辺返遍便勉娩弁鞭保舗鋪圃捕歩甫補輔穂募墓慕戊暮母簿菩倣俸包呆報奉宝峰峯崩庖抱捧放方朋"],
    ["9640", "法泡烹砲縫胞芳萌蓬蜂褒訪豊邦鋒飽鳳鵬乏亡傍剖坊妨帽忘忙房暴望某棒冒紡肪膨謀貌貿鉾防吠頬北僕卜墨撲朴牧睦穆釦勃没殆堀幌奔本翻凡盆"],
    ["9680", "摩磨魔麻埋妹昧枚毎哩槙幕膜枕鮪柾鱒桝亦俣又抹末沫迄侭繭麿万慢満漫蔓味未魅巳箕岬密蜜湊蓑稔脈妙粍民眠務夢無牟矛霧鵡椋婿娘冥名命明盟迷銘鳴姪牝滅免棉綿緬面麺摸模茂妄孟毛猛盲網耗蒙儲木黙目杢勿餅尤戻籾貰問悶紋門匁也冶夜爺耶野弥矢厄役約薬訳躍靖柳薮鑓愉愈油癒"],
    ["9740", "諭輸唯佑優勇友宥幽悠憂揖有柚湧涌猶猷由祐裕誘遊邑郵雄融夕予余与誉輿預傭幼妖容庸揚揺擁曜楊様洋溶熔用窯羊耀葉蓉要謡踊遥陽養慾抑欲"],
    ["9780", "沃浴翌翼淀羅螺裸来莱頼雷洛絡落酪乱卵嵐欄濫藍蘭覧利吏履李梨理璃痢裏裡里離陸律率立葎掠略劉流溜琉留硫粒隆竜龍侶慮旅虜了亮僚両凌寮料梁涼猟療瞭稜糧良諒遼量陵領力緑倫厘林淋燐琳臨輪隣鱗麟瑠塁涙累類令伶例冷励嶺怜玲礼苓鈴隷零霊麗齢暦歴列劣烈裂廉恋憐漣煉簾練聯"],
    ["9840", "蓮連錬呂魯櫓炉賂路露労婁廊弄朗楼榔浪漏牢狼篭老聾蝋郎六麓禄肋録論倭和話歪賄脇惑枠鷲亙亘鰐詫藁蕨椀湾碗腕"],
    ["989f", "弌丐丕个丱丶丼丿乂乖乘亂亅豫亊舒弍于亞亟亠亢亰亳亶从仍仄仆仂仗仞仭仟价伉佚估佛佝佗佇佶侈侏侘佻佩佰侑佯來侖儘俔俟俎俘俛俑俚俐俤俥倚倨倔倪倥倅伜俶倡倩倬俾俯們倆偃假會偕偐偈做偖偬偸傀傚傅傴傲"],
    ["9940", "僉僊傳僂僖僞僥僭僣僮價僵儉儁儂儖儕儔儚儡儺儷儼儻儿兀兒兌兔兢竸兩兪兮冀冂囘册冉冏冑冓冕冖冤冦冢冩冪冫决冱冲冰况冽凅凉凛几處凩凭"],
    ["9980", "凰凵凾刄刋刔刎刧刪刮刳刹剏剄剋剌剞剔剪剴剩剳剿剽劍劔劒剱劈劑辨辧劬劭劼劵勁勍勗勞勣勦飭勠勳勵勸勹匆匈甸匍匐匏匕匚匣匯匱匳匸區卆卅丗卉卍凖卞卩卮夘卻卷厂厖厠厦厥厮厰厶參簒雙叟曼燮叮叨叭叺吁吽呀听吭吼吮吶吩吝呎咏呵咎呟呱呷呰咒呻咀呶咄咐咆哇咢咸咥咬哄哈咨"],
    ["9a40", "咫哂咤咾咼哘哥哦唏唔哽哮哭哺哢唹啀啣啌售啜啅啖啗唸唳啝喙喀咯喊喟啻啾喘喞單啼喃喩喇喨嗚嗅嗟嗄嗜嗤嗔嘔嗷嘖嗾嗽嘛嗹噎噐營嘴嘶嘲嘸"],
    ["9a80", "噫噤嘯噬噪嚆嚀嚊嚠嚔嚏嚥嚮嚶嚴囂嚼囁囃囀囈囎囑囓囗囮囹圀囿圄圉圈國圍圓團圖嗇圜圦圷圸坎圻址坏坩埀垈坡坿垉垓垠垳垤垪垰埃埆埔埒埓堊埖埣堋堙堝塲堡塢塋塰毀塒堽塹墅墹墟墫墺壞墻墸墮壅壓壑壗壙壘壥壜壤壟壯壺壹壻壼壽夂夊夐夛梦夥夬夭夲夸夾竒奕奐奎奚奘奢奠奧奬奩"],
    ["9b40", "奸妁妝佞侫妣妲姆姨姜妍姙姚娥娟娑娜娉娚婀婬婉娵娶婢婪媚媼媾嫋嫂媽嫣嫗嫦嫩嫖嫺嫻嬌嬋嬖嬲嫐嬪嬶嬾孃孅孀孑孕孚孛孥孩孰孳孵學斈孺宀"],
    ["9b80", "它宦宸寃寇寉寔寐寤實寢寞寥寫寰寶寳尅將專對尓尠尢尨尸尹屁屆屎屓屐屏孱屬屮乢屶屹岌岑岔妛岫岻岶岼岷峅岾峇峙峩峽峺峭嶌峪崋崕崗嵜崟崛崑崔崢崚崙崘嵌嵒嵎嵋嵬嵳嵶嶇嶄嶂嶢嶝嶬嶮嶽嶐嶷嶼巉巍巓巒巖巛巫已巵帋帚帙帑帛帶帷幄幃幀幎幗幔幟幢幤幇幵并幺麼广庠廁廂廈廐廏"],
    ["9c40", "廖廣廝廚廛廢廡廨廩廬廱廳廰廴廸廾弃弉彝彜弋弑弖弩弭弸彁彈彌彎弯彑彖彗彙彡彭彳彷徃徂彿徊很徑徇從徙徘徠徨徭徼忖忻忤忸忱忝悳忿怡恠"],
    ["9c80", "怙怐怩怎怱怛怕怫怦怏怺恚恁恪恷恟恊恆恍恣恃恤恂恬恫恙悁悍惧悃悚悄悛悖悗悒悧悋惡悸惠惓悴忰悽惆悵惘慍愕愆惶惷愀惴惺愃愡惻惱愍愎慇愾愨愧慊愿愼愬愴愽慂慄慳慷慘慙慚慫慴慯慥慱慟慝慓慵憙憖憇憬憔憚憊憑憫憮懌懊應懷懈懃懆憺懋罹懍懦懣懶懺懴懿懽懼懾戀戈戉戍戌戔戛"],
    ["9d40", "戞戡截戮戰戲戳扁扎扞扣扛扠扨扼抂抉找抒抓抖拔抃抔拗拑抻拏拿拆擔拈拜拌拊拂拇抛拉挌拮拱挧挂挈拯拵捐挾捍搜捏掖掎掀掫捶掣掏掉掟掵捫"],
    ["9d80", "捩掾揩揀揆揣揉插揶揄搖搴搆搓搦搶攝搗搨搏摧摯摶摎攪撕撓撥撩撈撼據擒擅擇撻擘擂擱擧舉擠擡抬擣擯攬擶擴擲擺攀擽攘攜攅攤攣攫攴攵攷收攸畋效敖敕敍敘敞敝敲數斂斃變斛斟斫斷旃旆旁旄旌旒旛旙无旡旱杲昊昃旻杳昵昶昴昜晏晄晉晁晞晝晤晧晨晟晢晰暃暈暎暉暄暘暝曁暹曉暾暼"],
    ["9e40", "曄暸曖曚曠昿曦曩曰曵曷朏朖朞朦朧霸朮朿朶杁朸朷杆杞杠杙杣杤枉杰枩杼杪枌枋枦枡枅枷柯枴柬枳柩枸柤柞柝柢柮枹柎柆柧檜栞框栩桀桍栲桎"],
    ["9e80", "梳栫桙档桷桿梟梏梭梔條梛梃檮梹桴梵梠梺椏梍桾椁棊椈棘椢椦棡椌棍棔棧棕椶椒椄棗棣椥棹棠棯椨椪椚椣椡棆楹楷楜楸楫楔楾楮椹楴椽楙椰楡楞楝榁楪榲榮槐榿槁槓榾槎寨槊槝榻槃榧樮榑榠榜榕榴槞槨樂樛槿權槹槲槧樅榱樞槭樔槫樊樒櫁樣樓橄樌橲樶橸橇橢橙橦橈樸樢檐檍檠檄檢檣"],
    ["9f40", "檗蘗檻櫃櫂檸檳檬櫞櫑櫟檪櫚櫪櫻欅蘖櫺欒欖鬱欟欸欷盜欹飮歇歃歉歐歙歔歛歟歡歸歹歿殀殄殃殍殘殕殞殤殪殫殯殲殱殳殷殼毆毋毓毟毬毫毳毯"],
    ["9f80", "麾氈氓气氛氤氣汞汕汢汪沂沍沚沁沛汾汨汳沒沐泄泱泓沽泗泅泝沮沱沾沺泛泯泙泪洟衍洶洫洽洸洙洵洳洒洌浣涓浤浚浹浙涎涕濤涅淹渕渊涵淇淦涸淆淬淞淌淨淒淅淺淙淤淕淪淮渭湮渮渙湲湟渾渣湫渫湶湍渟湃渺湎渤滿渝游溂溪溘滉溷滓溽溯滄溲滔滕溏溥滂溟潁漑灌滬滸滾漿滲漱滯漲滌"],
    ["e040", "漾漓滷澆潺潸澁澀潯潛濳潭澂潼潘澎澑濂潦澳澣澡澤澹濆澪濟濕濬濔濘濱濮濛瀉瀋濺瀑瀁瀏濾瀛瀚潴瀝瀘瀟瀰瀾瀲灑灣炙炒炯烱炬炸炳炮烟烋烝"],
    ["e080", "烙焉烽焜焙煥煕熈煦煢煌煖煬熏燻熄熕熨熬燗熹熾燒燉燔燎燠燬燧燵燼燹燿爍爐爛爨爭爬爰爲爻爼爿牀牆牋牘牴牾犂犁犇犒犖犢犧犹犲狃狆狄狎狒狢狠狡狹狷倏猗猊猜猖猝猴猯猩猥猾獎獏默獗獪獨獰獸獵獻獺珈玳珎玻珀珥珮珞璢琅瑯琥珸琲琺瑕琿瑟瑙瑁瑜瑩瑰瑣瑪瑶瑾璋璞璧瓊瓏瓔珱"],
    ["e140", "瓠瓣瓧瓩瓮瓲瓰瓱瓸瓷甄甃甅甌甎甍甕甓甞甦甬甼畄畍畊畉畛畆畚畩畤畧畫畭畸當疆疇畴疊疉疂疔疚疝疥疣痂疳痃疵疽疸疼疱痍痊痒痙痣痞痾痿"],
    ["e180", "痼瘁痰痺痲痳瘋瘍瘉瘟瘧瘠瘡瘢瘤瘴瘰瘻癇癈癆癜癘癡癢癨癩癪癧癬癰癲癶癸發皀皃皈皋皎皖皓皙皚皰皴皸皹皺盂盍盖盒盞盡盥盧盪蘯盻眈眇眄眩眤眞眥眦眛眷眸睇睚睨睫睛睥睿睾睹瞎瞋瞑瞠瞞瞰瞶瞹瞿瞼瞽瞻矇矍矗矚矜矣矮矼砌砒礦砠礪硅碎硴碆硼碚碌碣碵碪碯磑磆磋磔碾碼磅磊磬"],
    ["e240", "磧磚磽磴礇礒礑礙礬礫祀祠祗祟祚祕祓祺祿禊禝禧齋禪禮禳禹禺秉秕秧秬秡秣稈稍稘稙稠稟禀稱稻稾稷穃穗穉穡穢穩龝穰穹穽窈窗窕窘窖窩竈窰"],
    ["e280", "窶竅竄窿邃竇竊竍竏竕竓站竚竝竡竢竦竭竰笂笏笊笆笳笘笙笞笵笨笶筐筺笄筍笋筌筅筵筥筴筧筰筱筬筮箝箘箟箍箜箚箋箒箏筝箙篋篁篌篏箴篆篝篩簑簔篦篥籠簀簇簓篳篷簗簍篶簣簧簪簟簷簫簽籌籃籔籏籀籐籘籟籤籖籥籬籵粃粐粤粭粢粫粡粨粳粲粱粮粹粽糀糅糂糘糒糜糢鬻糯糲糴糶糺紆"],
    ["e340", "紂紜紕紊絅絋紮紲紿紵絆絳絖絎絲絨絮絏絣經綉絛綏絽綛綺綮綣綵緇綽綫總綢綯緜綸綟綰緘緝緤緞緻緲緡縅縊縣縡縒縱縟縉縋縢繆繦縻縵縹繃縷"],
    ["e380", "縲縺繧繝繖繞繙繚繹繪繩繼繻纃緕繽辮繿纈纉續纒纐纓纔纖纎纛纜缸缺罅罌罍罎罐网罕罔罘罟罠罨罩罧罸羂羆羃羈羇羌羔羞羝羚羣羯羲羹羮羶羸譱翅翆翊翕翔翡翦翩翳翹飜耆耄耋耒耘耙耜耡耨耿耻聊聆聒聘聚聟聢聨聳聲聰聶聹聽聿肄肆肅肛肓肚肭冐肬胛胥胙胝胄胚胖脉胯胱脛脩脣脯腋"],
    ["e440", "隋腆脾腓腑胼腱腮腥腦腴膃膈膊膀膂膠膕膤膣腟膓膩膰膵膾膸膽臀臂膺臉臍臑臙臘臈臚臟臠臧臺臻臾舁舂舅與舊舍舐舖舩舫舸舳艀艙艘艝艚艟艤"],
    ["e480", "艢艨艪艫舮艱艷艸艾芍芒芫芟芻芬苡苣苟苒苴苳苺莓范苻苹苞茆苜茉苙茵茴茖茲茱荀茹荐荅茯茫茗茘莅莚莪莟莢莖茣莎莇莊荼莵荳荵莠莉莨菴萓菫菎菽萃菘萋菁菷萇菠菲萍萢萠莽萸蔆菻葭萪萼蕚蒄葷葫蒭葮蒂葩葆萬葯葹萵蓊葢蒹蒿蒟蓙蓍蒻蓚蓐蓁蓆蓖蒡蔡蓿蓴蔗蔘蔬蔟蔕蔔蓼蕀蕣蕘蕈"],
    ["e540", "蕁蘂蕋蕕薀薤薈薑薊薨蕭薔薛藪薇薜蕷蕾薐藉薺藏薹藐藕藝藥藜藹蘊蘓蘋藾藺蘆蘢蘚蘰蘿虍乕虔號虧虱蚓蚣蚩蚪蚋蚌蚶蚯蛄蛆蚰蛉蠣蚫蛔蛞蛩蛬"],
    ["e580", "蛟蛛蛯蜒蜆蜈蜀蜃蛻蜑蜉蜍蛹蜊蜴蜿蜷蜻蜥蜩蜚蝠蝟蝸蝌蝎蝴蝗蝨蝮蝙蝓蝣蝪蠅螢螟螂螯蟋螽蟀蟐雖螫蟄螳蟇蟆螻蟯蟲蟠蠏蠍蟾蟶蟷蠎蟒蠑蠖蠕蠢蠡蠱蠶蠹蠧蠻衄衂衒衙衞衢衫袁衾袞衵衽袵衲袂袗袒袮袙袢袍袤袰袿袱裃裄裔裘裙裝裹褂裼裴裨裲褄褌褊褓襃褞褥褪褫襁襄褻褶褸襌褝襠襞"],
    ["e640", "襦襤襭襪襯襴襷襾覃覈覊覓覘覡覩覦覬覯覲覺覽覿觀觚觜觝觧觴觸訃訖訐訌訛訝訥訶詁詛詒詆詈詼詭詬詢誅誂誄誨誡誑誥誦誚誣諄諍諂諚諫諳諧"],
    ["e680", "諤諱謔諠諢諷諞諛謌謇謚諡謖謐謗謠謳鞫謦謫謾謨譁譌譏譎證譖譛譚譫譟譬譯譴譽讀讌讎讒讓讖讙讚谺豁谿豈豌豎豐豕豢豬豸豺貂貉貅貊貍貎貔豼貘戝貭貪貽貲貳貮貶賈賁賤賣賚賽賺賻贄贅贊贇贏贍贐齎贓賍贔贖赧赭赱赳趁趙跂趾趺跏跚跖跌跛跋跪跫跟跣跼踈踉跿踝踞踐踟蹂踵踰踴蹊"],
    ["e740", "蹇蹉蹌蹐蹈蹙蹤蹠踪蹣蹕蹶蹲蹼躁躇躅躄躋躊躓躑躔躙躪躡躬躰軆躱躾軅軈軋軛軣軼軻軫軾輊輅輕輒輙輓輜輟輛輌輦輳輻輹轅轂輾轌轉轆轎轗轜"],
    ["e780", "轢轣轤辜辟辣辭辯辷迚迥迢迪迯邇迴逅迹迺逑逕逡逍逞逖逋逧逶逵逹迸遏遐遑遒逎遉逾遖遘遞遨遯遶隨遲邂遽邁邀邊邉邏邨邯邱邵郢郤扈郛鄂鄒鄙鄲鄰酊酖酘酣酥酩酳酲醋醉醂醢醫醯醪醵醴醺釀釁釉釋釐釖釟釡釛釼釵釶鈞釿鈔鈬鈕鈑鉞鉗鉅鉉鉤鉈銕鈿鉋鉐銜銖銓銛鉚鋏銹銷鋩錏鋺鍄錮"],
    ["e840", "錙錢錚錣錺錵錻鍜鍠鍼鍮鍖鎰鎬鎭鎔鎹鏖鏗鏨鏥鏘鏃鏝鏐鏈鏤鐚鐔鐓鐃鐇鐐鐶鐫鐵鐡鐺鑁鑒鑄鑛鑠鑢鑞鑪鈩鑰鑵鑷鑽鑚鑼鑾钁鑿閂閇閊閔閖閘閙"],
    ["e880", "閠閨閧閭閼閻閹閾闊濶闃闍闌闕闔闖關闡闥闢阡阨阮阯陂陌陏陋陷陜陞陝陟陦陲陬隍隘隕隗險隧隱隲隰隴隶隸隹雎雋雉雍襍雜霍雕雹霄霆霈霓霎霑霏霖霙霤霪霰霹霽霾靄靆靈靂靉靜靠靤靦靨勒靫靱靹鞅靼鞁靺鞆鞋鞏鞐鞜鞨鞦鞣鞳鞴韃韆韈韋韜韭齏韲竟韶韵頏頌頸頤頡頷頽顆顏顋顫顯顰"],
    ["e940", "顱顴顳颪颯颱颶飄飃飆飩飫餃餉餒餔餘餡餝餞餤餠餬餮餽餾饂饉饅饐饋饑饒饌饕馗馘馥馭馮馼駟駛駝駘駑駭駮駱駲駻駸騁騏騅駢騙騫騷驅驂驀驃"],
    ["e980", "騾驕驍驛驗驟驢驥驤驩驫驪骭骰骼髀髏髑髓體髞髟髢髣髦髯髫髮髴髱髷髻鬆鬘鬚鬟鬢鬣鬥鬧鬨鬩鬪鬮鬯鬲魄魃魏魍魎魑魘魴鮓鮃鮑鮖鮗鮟鮠鮨鮴鯀鯊鮹鯆鯏鯑鯒鯣鯢鯤鯔鯡鰺鯲鯱鯰鰕鰔鰉鰓鰌鰆鰈鰒鰊鰄鰮鰛鰥鰤鰡鰰鱇鰲鱆鰾鱚鱠鱧鱶鱸鳧鳬鳰鴉鴈鳫鴃鴆鴪鴦鶯鴣鴟鵄鴕鴒鵁鴿鴾鵆鵈"],
    ["ea40", "鵝鵞鵤鵑鵐鵙鵲鶉鶇鶫鵯鵺鶚鶤鶩鶲鷄鷁鶻鶸鶺鷆鷏鷂鷙鷓鷸鷦鷭鷯鷽鸚鸛鸞鹵鹹鹽麁麈麋麌麒麕麑麝麥麩麸麪麭靡黌黎黏黐黔黜點黝黠黥黨黯"],
    ["ea80", "黴黶黷黹黻黼黽鼇鼈皷鼕鼡鼬鼾齊齒齔齣齟齠齡齦齧齬齪齷齲齶龕龜龠堯槇遙瑤凜熙"],
    ["ed40", "纊褜鍈銈蓜俉炻昱棈鋹曻彅丨仡仼伀伃伹佖侒侊侚侔俍偀倢俿倞偆偰偂傔僴僘兊兤冝冾凬刕劜劦勀勛匀匇匤卲厓厲叝﨎咜咊咩哿喆坙坥垬埈埇﨏"],
    ["ed80", "塚增墲夋奓奛奝奣妤妺孖寀甯寘寬尞岦岺峵崧嵓﨑嵂嵭嶸嶹巐弡弴彧德忞恝悅悊惞惕愠惲愑愷愰憘戓抦揵摠撝擎敎昀昕昻昉昮昞昤晥晗晙晴晳暙暠暲暿曺朎朗杦枻桒柀栁桄棏﨓楨﨔榘槢樰橫橆橳橾櫢櫤毖氿汜沆汯泚洄涇浯涖涬淏淸淲淼渹湜渧渼溿澈澵濵瀅瀇瀨炅炫焏焄煜煆煇凞燁燾犱"],
    ["ee40", "犾猤猪獷玽珉珖珣珒琇珵琦琪琩琮瑢璉璟甁畯皂皜皞皛皦益睆劯砡硎硤硺礰礼神祥禔福禛竑竧靖竫箞精絈絜綷綠緖繒罇羡羽茁荢荿菇菶葈蒴蕓蕙"],
    ["ee80", "蕫﨟薰蘒﨡蠇裵訒訷詹誧誾諟諸諶譓譿賰賴贒赶﨣軏﨤逸遧郞都鄕鄧釚釗釞釭釮釤釥鈆鈐鈊鈺鉀鈼鉎鉙鉑鈹鉧銧鉷鉸鋧鋗鋙鋐﨧鋕鋠鋓錥錡鋻﨨錞鋿錝錂鍰鍗鎤鏆鏞鏸鐱鑅鑈閒隆﨩隝隯霳霻靃靍靏靑靕顗顥飯飼餧館馞驎髙髜魵魲鮏鮱鮻鰀鵰鵫鶴鸙黑"],
    ["eeef", "ⅰ", 9, "￢￤＇＂"],
    ["f040", "", 62],
    ["f080", "", 124],
    ["f140", "", 62],
    ["f180", "", 124],
    ["f240", "", 62],
    ["f280", "", 124],
    ["f340", "", 62],
    ["f380", "", 124],
    ["f440", "", 62],
    ["f480", "", 124],
    ["f540", "", 62],
    ["f580", "", 124],
    ["f640", "", 62],
    ["f680", "", 124],
    ["f740", "", 62],
    ["f780", "", 124],
    ["f840", "", 62],
    ["f880", "", 124],
    ["f940", ""],
    ["fa40", "ⅰ", 9, "Ⅰ", 9, "￢￤＇＂㈱№℡∵纊褜鍈銈蓜俉炻昱棈鋹曻彅丨仡仼伀伃伹佖侒侊侚侔俍偀倢俿倞偆偰偂傔僴僘兊"],
    ["fa80", "兤冝冾凬刕劜劦勀勛匀匇匤卲厓厲叝﨎咜咊咩哿喆坙坥垬埈埇﨏塚增墲夋奓奛奝奣妤妺孖寀甯寘寬尞岦岺峵崧嵓﨑嵂嵭嶸嶹巐弡弴彧德忞恝悅悊惞惕愠惲愑愷愰憘戓抦揵摠撝擎敎昀昕昻昉昮昞昤晥晗晙晴晳暙暠暲暿曺朎朗杦枻桒柀栁桄棏﨓楨﨔榘槢樰橫橆橳橾櫢櫤毖氿汜沆汯泚洄涇浯"],
    ["fb40", "涖涬淏淸淲淼渹湜渧渼溿澈澵濵瀅瀇瀨炅炫焏焄煜煆煇凞燁燾犱犾猤猪獷玽珉珖珣珒琇珵琦琪琩琮瑢璉璟甁畯皂皜皞皛皦益睆劯砡硎硤硺礰礼神"],
    ["fb80", "祥禔福禛竑竧靖竫箞精絈絜綷綠緖繒罇羡羽茁荢荿菇菶葈蒴蕓蕙蕫﨟薰蘒﨡蠇裵訒訷詹誧誾諟諸諶譓譿賰賴贒赶﨣軏﨤逸遧郞都鄕鄧釚釗釞釭釮釤釥鈆鈐鈊鈺鉀鈼鉎鉙鉑鈹鉧銧鉷鉸鋧鋗鋙鋐﨧鋕鋠鋓錥錡鋻﨨錞鋿錝錂鍰鍗鎤鏆鏞鏸鐱鑅鑈閒隆﨩隝隯霳霻靃靍靏靑靕顗顥飯飼餧館馞驎髙"],
    ["fc40", "髜魵魲鮏鮱鮻鰀鵰鵫鶴鸙黑"]
  ];
});

// node_modules/iconv-lite/encodings/tables/eucjp.json
var require_eucjp2 = __commonJS((exports, module) => {
  module.exports = [
    ["0", "\x00", 127],
    ["8ea1", "｡", 62],
    ["a1a1", "　、。，．・：；？！゛゜´｀¨＾￣＿ヽヾゝゞ〃仝々〆〇ー―‐／＼～∥｜…‥‘’“”（）〔〕［］｛｝〈", 9, "＋－±×÷＝≠＜＞≦≧∞∴♂♀°′″℃￥＄￠￡％＃＆＊＠§☆★○●◎◇"],
    ["a2a1", "◆□■△▲▽▼※〒→←↑↓〓"],
    ["a2ba", "∈∋⊆⊇⊂⊃∪∩"],
    ["a2ca", "∧∨￢⇒⇔∀∃"],
    ["a2dc", "∠⊥⌒∂∇≡≒≪≫√∽∝∵∫∬"],
    ["a2f2", "Å‰♯♭♪†‡¶"],
    ["a2fe", "◯"],
    ["a3b0", "０", 9],
    ["a3c1", "Ａ", 25],
    ["a3e1", "ａ", 25],
    ["a4a1", "ぁ", 82],
    ["a5a1", "ァ", 85],
    ["a6a1", "Α", 16, "Σ", 6],
    ["a6c1", "α", 16, "σ", 6],
    ["a7a1", "А", 5, "ЁЖ", 25],
    ["a7d1", "а", 5, "ёж", 25],
    ["a8a1", "─│┌┐┘└├┬┤┴┼━┃┏┓┛┗┣┳┫┻╋┠┯┨┷┿┝┰┥┸╂"],
    ["ada1", "①", 19, "Ⅰ", 9],
    ["adc0", "㍉㌔㌢㍍㌘㌧㌃㌶㍑㍗㌍㌦㌣㌫㍊㌻㎜㎝㎞㎎㎏㏄㎡"],
    ["addf", "㍻〝〟№㏍℡㊤", 4, "㈱㈲㈹㍾㍽㍼≒≡∫∮∑√⊥∠∟⊿∵∩∪"],
    ["b0a1", "亜唖娃阿哀愛挨姶逢葵茜穐悪握渥旭葦芦鯵梓圧斡扱宛姐虻飴絢綾鮎或粟袷安庵按暗案闇鞍杏以伊位依偉囲夷委威尉惟意慰易椅為畏異移維緯胃萎衣謂違遺医井亥域育郁磯一壱溢逸稲茨芋鰯允印咽員因姻引飲淫胤蔭"],
    ["b1a1", "院陰隠韻吋右宇烏羽迂雨卯鵜窺丑碓臼渦嘘唄欝蔚鰻姥厩浦瓜閏噂云運雲荏餌叡営嬰影映曳栄永泳洩瑛盈穎頴英衛詠鋭液疫益駅悦謁越閲榎厭円園堰奄宴延怨掩援沿演炎焔煙燕猿縁艶苑薗遠鉛鴛塩於汚甥凹央奥往応"],
    ["b2a1", "押旺横欧殴王翁襖鴬鴎黄岡沖荻億屋憶臆桶牡乙俺卸恩温穏音下化仮何伽価佳加可嘉夏嫁家寡科暇果架歌河火珂禍禾稼箇花苛茄荷華菓蝦課嘩貨迦過霞蚊俄峨我牙画臥芽蛾賀雅餓駕介会解回塊壊廻快怪悔恢懐戒拐改"],
    ["b3a1", "魁晦械海灰界皆絵芥蟹開階貝凱劾外咳害崖慨概涯碍蓋街該鎧骸浬馨蛙垣柿蛎鈎劃嚇各廓拡撹格核殻獲確穫覚角赫較郭閣隔革学岳楽額顎掛笠樫橿梶鰍潟割喝恰括活渇滑葛褐轄且鰹叶椛樺鞄株兜竃蒲釜鎌噛鴨栢茅萱"],
    ["b4a1", "粥刈苅瓦乾侃冠寒刊勘勧巻喚堪姦完官寛干幹患感慣憾換敢柑桓棺款歓汗漢澗潅環甘監看竿管簡緩缶翰肝艦莞観諌貫還鑑間閑関陥韓館舘丸含岸巌玩癌眼岩翫贋雁頑顔願企伎危喜器基奇嬉寄岐希幾忌揮机旗既期棋棄"],
    ["b5a1", "機帰毅気汽畿祈季稀紀徽規記貴起軌輝飢騎鬼亀偽儀妓宜戯技擬欺犠疑祇義蟻誼議掬菊鞠吉吃喫桔橘詰砧杵黍却客脚虐逆丘久仇休及吸宮弓急救朽求汲泣灸球究窮笈級糾給旧牛去居巨拒拠挙渠虚許距鋸漁禦魚亨享京"],
    ["b6a1", "供侠僑兇競共凶協匡卿叫喬境峡強彊怯恐恭挟教橋況狂狭矯胸脅興蕎郷鏡響饗驚仰凝尭暁業局曲極玉桐粁僅勤均巾錦斤欣欽琴禁禽筋緊芹菌衿襟謹近金吟銀九倶句区狗玖矩苦躯駆駈駒具愚虞喰空偶寓遇隅串櫛釧屑屈"],
    ["b7a1", "掘窟沓靴轡窪熊隈粂栗繰桑鍬勲君薫訓群軍郡卦袈祁係傾刑兄啓圭珪型契形径恵慶慧憩掲携敬景桂渓畦稽系経継繋罫茎荊蛍計詣警軽頚鶏芸迎鯨劇戟撃激隙桁傑欠決潔穴結血訣月件倹倦健兼券剣喧圏堅嫌建憲懸拳捲"],
    ["b8a1", "検権牽犬献研硯絹県肩見謙賢軒遣鍵険顕験鹸元原厳幻弦減源玄現絃舷言諺限乎個古呼固姑孤己庫弧戸故枯湖狐糊袴股胡菰虎誇跨鈷雇顧鼓五互伍午呉吾娯後御悟梧檎瑚碁語誤護醐乞鯉交佼侯候倖光公功効勾厚口向"],
    ["b9a1", "后喉坑垢好孔孝宏工巧巷幸広庚康弘恒慌抗拘控攻昂晃更杭校梗構江洪浩港溝甲皇硬稿糠紅紘絞綱耕考肯肱腔膏航荒行衡講貢購郊酵鉱砿鋼閤降項香高鴻剛劫号合壕拷濠豪轟麹克刻告国穀酷鵠黒獄漉腰甑忽惚骨狛込"],
    ["baa1", "此頃今困坤墾婚恨懇昏昆根梱混痕紺艮魂些佐叉唆嵯左差査沙瑳砂詐鎖裟坐座挫債催再最哉塞妻宰彩才採栽歳済災采犀砕砦祭斎細菜裁載際剤在材罪財冴坂阪堺榊肴咲崎埼碕鷺作削咋搾昨朔柵窄策索錯桜鮭笹匙冊刷"],
    ["bba1", "察拶撮擦札殺薩雑皐鯖捌錆鮫皿晒三傘参山惨撒散桟燦珊産算纂蚕讃賛酸餐斬暫残仕仔伺使刺司史嗣四士始姉姿子屍市師志思指支孜斯施旨枝止死氏獅祉私糸紙紫肢脂至視詞詩試誌諮資賜雌飼歯事似侍児字寺慈持時"],
    ["bca1", "次滋治爾璽痔磁示而耳自蒔辞汐鹿式識鴫竺軸宍雫七叱執失嫉室悉湿漆疾質実蔀篠偲柴芝屡蕊縞舎写射捨赦斜煮社紗者謝車遮蛇邪借勺尺杓灼爵酌釈錫若寂弱惹主取守手朱殊狩珠種腫趣酒首儒受呪寿授樹綬需囚収周"],
    ["bda1", "宗就州修愁拾洲秀秋終繍習臭舟蒐衆襲讐蹴輯週酋酬集醜什住充十従戎柔汁渋獣縦重銃叔夙宿淑祝縮粛塾熟出術述俊峻春瞬竣舜駿准循旬楯殉淳準潤盾純巡遵醇順処初所暑曙渚庶緒署書薯藷諸助叙女序徐恕鋤除傷償"],
    ["bea1", "勝匠升召哨商唱嘗奨妾娼宵将小少尚庄床廠彰承抄招掌捷昇昌昭晶松梢樟樵沼消渉湘焼焦照症省硝礁祥称章笑粧紹肖菖蒋蕉衝裳訟証詔詳象賞醤鉦鍾鐘障鞘上丈丞乗冗剰城場壌嬢常情擾条杖浄状畳穣蒸譲醸錠嘱埴飾"],
    ["bfa1", "拭植殖燭織職色触食蝕辱尻伸信侵唇娠寝審心慎振新晋森榛浸深申疹真神秦紳臣芯薪親診身辛進針震人仁刃塵壬尋甚尽腎訊迅陣靭笥諏須酢図厨逗吹垂帥推水炊睡粋翠衰遂酔錐錘随瑞髄崇嵩数枢趨雛据杉椙菅頗雀裾"],
    ["c0a1", "澄摺寸世瀬畝是凄制勢姓征性成政整星晴棲栖正清牲生盛精聖声製西誠誓請逝醒青静斉税脆隻席惜戚斥昔析石積籍績脊責赤跡蹟碩切拙接摂折設窃節説雪絶舌蝉仙先千占宣専尖川戦扇撰栓栴泉浅洗染潜煎煽旋穿箭線"],
    ["c1a1", "繊羨腺舛船薦詮賎践選遷銭銑閃鮮前善漸然全禅繕膳糎噌塑岨措曾曽楚狙疏疎礎祖租粗素組蘇訴阻遡鼠僧創双叢倉喪壮奏爽宋層匝惣想捜掃挿掻操早曹巣槍槽漕燥争痩相窓糟総綜聡草荘葬蒼藻装走送遭鎗霜騒像増憎"],
    ["c2a1", "臓蔵贈造促側則即息捉束測足速俗属賊族続卒袖其揃存孫尊損村遜他多太汰詑唾堕妥惰打柁舵楕陀駄騨体堆対耐岱帯待怠態戴替泰滞胎腿苔袋貸退逮隊黛鯛代台大第醍題鷹滝瀧卓啄宅托択拓沢濯琢託鐸濁諾茸凧蛸只"],
    ["c3a1", "叩但達辰奪脱巽竪辿棚谷狸鱈樽誰丹単嘆坦担探旦歎淡湛炭短端箪綻耽胆蛋誕鍛団壇弾断暖檀段男談値知地弛恥智池痴稚置致蜘遅馳築畜竹筑蓄逐秩窒茶嫡着中仲宙忠抽昼柱注虫衷註酎鋳駐樗瀦猪苧著貯丁兆凋喋寵"],
    ["c4a1", "帖帳庁弔張彫徴懲挑暢朝潮牒町眺聴脹腸蝶調諜超跳銚長頂鳥勅捗直朕沈珍賃鎮陳津墜椎槌追鎚痛通塚栂掴槻佃漬柘辻蔦綴鍔椿潰坪壷嬬紬爪吊釣鶴亭低停偵剃貞呈堤定帝底庭廷弟悌抵挺提梯汀碇禎程締艇訂諦蹄逓"],
    ["c5a1", "邸鄭釘鼎泥摘擢敵滴的笛適鏑溺哲徹撤轍迭鉄典填天展店添纏甜貼転顛点伝殿澱田電兎吐堵塗妬屠徒斗杜渡登菟賭途都鍍砥砺努度土奴怒倒党冬凍刀唐塔塘套宕島嶋悼投搭東桃梼棟盗淘湯涛灯燈当痘祷等答筒糖統到"],
    ["c6a1", "董蕩藤討謄豆踏逃透鐙陶頭騰闘働動同堂導憧撞洞瞳童胴萄道銅峠鴇匿得徳涜特督禿篤毒独読栃橡凸突椴届鳶苫寅酉瀞噸屯惇敦沌豚遁頓呑曇鈍奈那内乍凪薙謎灘捺鍋楢馴縄畷南楠軟難汝二尼弐迩匂賑肉虹廿日乳入"],
    ["c7a1", "如尿韮任妊忍認濡禰祢寧葱猫熱年念捻撚燃粘乃廼之埜嚢悩濃納能脳膿農覗蚤巴把播覇杷波派琶破婆罵芭馬俳廃拝排敗杯盃牌背肺輩配倍培媒梅楳煤狽買売賠陪這蝿秤矧萩伯剥博拍柏泊白箔粕舶薄迫曝漠爆縛莫駁麦"],
    ["c8a1", "函箱硲箸肇筈櫨幡肌畑畠八鉢溌発醗髪伐罰抜筏閥鳩噺塙蛤隼伴判半反叛帆搬斑板氾汎版犯班畔繁般藩販範釆煩頒飯挽晩番盤磐蕃蛮匪卑否妃庇彼悲扉批披斐比泌疲皮碑秘緋罷肥被誹費避非飛樋簸備尾微枇毘琵眉美"],
    ["c9a1", "鼻柊稗匹疋髭彦膝菱肘弼必畢筆逼桧姫媛紐百謬俵彪標氷漂瓢票表評豹廟描病秒苗錨鋲蒜蛭鰭品彬斌浜瀕貧賓頻敏瓶不付埠夫婦富冨布府怖扶敷斧普浮父符腐膚芙譜負賦赴阜附侮撫武舞葡蕪部封楓風葺蕗伏副復幅服"],
    ["caa1", "福腹複覆淵弗払沸仏物鮒分吻噴墳憤扮焚奮粉糞紛雰文聞丙併兵塀幣平弊柄並蔽閉陛米頁僻壁癖碧別瞥蔑箆偏変片篇編辺返遍便勉娩弁鞭保舗鋪圃捕歩甫補輔穂募墓慕戊暮母簿菩倣俸包呆報奉宝峰峯崩庖抱捧放方朋"],
    ["cba1", "法泡烹砲縫胞芳萌蓬蜂褒訪豊邦鋒飽鳳鵬乏亡傍剖坊妨帽忘忙房暴望某棒冒紡肪膨謀貌貿鉾防吠頬北僕卜墨撲朴牧睦穆釦勃没殆堀幌奔本翻凡盆摩磨魔麻埋妹昧枚毎哩槙幕膜枕鮪柾鱒桝亦俣又抹末沫迄侭繭麿万慢満"],
    ["cca1", "漫蔓味未魅巳箕岬密蜜湊蓑稔脈妙粍民眠務夢無牟矛霧鵡椋婿娘冥名命明盟迷銘鳴姪牝滅免棉綿緬面麺摸模茂妄孟毛猛盲網耗蒙儲木黙目杢勿餅尤戻籾貰問悶紋門匁也冶夜爺耶野弥矢厄役約薬訳躍靖柳薮鑓愉愈油癒"],
    ["cda1", "諭輸唯佑優勇友宥幽悠憂揖有柚湧涌猶猷由祐裕誘遊邑郵雄融夕予余与誉輿預傭幼妖容庸揚揺擁曜楊様洋溶熔用窯羊耀葉蓉要謡踊遥陽養慾抑欲沃浴翌翼淀羅螺裸来莱頼雷洛絡落酪乱卵嵐欄濫藍蘭覧利吏履李梨理璃"],
    ["cea1", "痢裏裡里離陸律率立葎掠略劉流溜琉留硫粒隆竜龍侶慮旅虜了亮僚両凌寮料梁涼猟療瞭稜糧良諒遼量陵領力緑倫厘林淋燐琳臨輪隣鱗麟瑠塁涙累類令伶例冷励嶺怜玲礼苓鈴隷零霊麗齢暦歴列劣烈裂廉恋憐漣煉簾練聯"],
    ["cfa1", "蓮連錬呂魯櫓炉賂路露労婁廊弄朗楼榔浪漏牢狼篭老聾蝋郎六麓禄肋録論倭和話歪賄脇惑枠鷲亙亘鰐詫藁蕨椀湾碗腕"],
    ["d0a1", "弌丐丕个丱丶丼丿乂乖乘亂亅豫亊舒弍于亞亟亠亢亰亳亶从仍仄仆仂仗仞仭仟价伉佚估佛佝佗佇佶侈侏侘佻佩佰侑佯來侖儘俔俟俎俘俛俑俚俐俤俥倚倨倔倪倥倅伜俶倡倩倬俾俯們倆偃假會偕偐偈做偖偬偸傀傚傅傴傲"],
    ["d1a1", "僉僊傳僂僖僞僥僭僣僮價僵儉儁儂儖儕儔儚儡儺儷儼儻儿兀兒兌兔兢竸兩兪兮冀冂囘册冉冏冑冓冕冖冤冦冢冩冪冫决冱冲冰况冽凅凉凛几處凩凭凰凵凾刄刋刔刎刧刪刮刳刹剏剄剋剌剞剔剪剴剩剳剿剽劍劔劒剱劈劑辨"],
    ["d2a1", "辧劬劭劼劵勁勍勗勞勣勦飭勠勳勵勸勹匆匈甸匍匐匏匕匚匣匯匱匳匸區卆卅丗卉卍凖卞卩卮夘卻卷厂厖厠厦厥厮厰厶參簒雙叟曼燮叮叨叭叺吁吽呀听吭吼吮吶吩吝呎咏呵咎呟呱呷呰咒呻咀呶咄咐咆哇咢咸咥咬哄哈咨"],
    ["d3a1", "咫哂咤咾咼哘哥哦唏唔哽哮哭哺哢唹啀啣啌售啜啅啖啗唸唳啝喙喀咯喊喟啻啾喘喞單啼喃喩喇喨嗚嗅嗟嗄嗜嗤嗔嘔嗷嘖嗾嗽嘛嗹噎噐營嘴嘶嘲嘸噫噤嘯噬噪嚆嚀嚊嚠嚔嚏嚥嚮嚶嚴囂嚼囁囃囀囈囎囑囓囗囮囹圀囿圄圉"],
    ["d4a1", "圈國圍圓團圖嗇圜圦圷圸坎圻址坏坩埀垈坡坿垉垓垠垳垤垪垰埃埆埔埒埓堊埖埣堋堙堝塲堡塢塋塰毀塒堽塹墅墹墟墫墺壞墻墸墮壅壓壑壗壙壘壥壜壤壟壯壺壹壻壼壽夂夊夐夛梦夥夬夭夲夸夾竒奕奐奎奚奘奢奠奧奬奩"],
    ["d5a1", "奸妁妝佞侫妣妲姆姨姜妍姙姚娥娟娑娜娉娚婀婬婉娵娶婢婪媚媼媾嫋嫂媽嫣嫗嫦嫩嫖嫺嫻嬌嬋嬖嬲嫐嬪嬶嬾孃孅孀孑孕孚孛孥孩孰孳孵學斈孺宀它宦宸寃寇寉寔寐寤實寢寞寥寫寰寶寳尅將專對尓尠尢尨尸尹屁屆屎屓"],
    ["d6a1", "屐屏孱屬屮乢屶屹岌岑岔妛岫岻岶岼岷峅岾峇峙峩峽峺峭嶌峪崋崕崗嵜崟崛崑崔崢崚崙崘嵌嵒嵎嵋嵬嵳嵶嶇嶄嶂嶢嶝嶬嶮嶽嶐嶷嶼巉巍巓巒巖巛巫已巵帋帚帙帑帛帶帷幄幃幀幎幗幔幟幢幤幇幵并幺麼广庠廁廂廈廐廏"],
    ["d7a1", "廖廣廝廚廛廢廡廨廩廬廱廳廰廴廸廾弃弉彝彜弋弑弖弩弭弸彁彈彌彎弯彑彖彗彙彡彭彳彷徃徂彿徊很徑徇從徙徘徠徨徭徼忖忻忤忸忱忝悳忿怡恠怙怐怩怎怱怛怕怫怦怏怺恚恁恪恷恟恊恆恍恣恃恤恂恬恫恙悁悍惧悃悚"],
    ["d8a1", "悄悛悖悗悒悧悋惡悸惠惓悴忰悽惆悵惘慍愕愆惶惷愀惴惺愃愡惻惱愍愎慇愾愨愧慊愿愼愬愴愽慂慄慳慷慘慙慚慫慴慯慥慱慟慝慓慵憙憖憇憬憔憚憊憑憫憮懌懊應懷懈懃懆憺懋罹懍懦懣懶懺懴懿懽懼懾戀戈戉戍戌戔戛"],
    ["d9a1", "戞戡截戮戰戲戳扁扎扞扣扛扠扨扼抂抉找抒抓抖拔抃抔拗拑抻拏拿拆擔拈拜拌拊拂拇抛拉挌拮拱挧挂挈拯拵捐挾捍搜捏掖掎掀掫捶掣掏掉掟掵捫捩掾揩揀揆揣揉插揶揄搖搴搆搓搦搶攝搗搨搏摧摯摶摎攪撕撓撥撩撈撼"],
    ["daa1", "據擒擅擇撻擘擂擱擧舉擠擡抬擣擯攬擶擴擲擺攀擽攘攜攅攤攣攫攴攵攷收攸畋效敖敕敍敘敞敝敲數斂斃變斛斟斫斷旃旆旁旄旌旒旛旙无旡旱杲昊昃旻杳昵昶昴昜晏晄晉晁晞晝晤晧晨晟晢晰暃暈暎暉暄暘暝曁暹曉暾暼"],
    ["dba1", "曄暸曖曚曠昿曦曩曰曵曷朏朖朞朦朧霸朮朿朶杁朸朷杆杞杠杙杣杤枉杰枩杼杪枌枋枦枡枅枷柯枴柬枳柩枸柤柞柝柢柮枹柎柆柧檜栞框栩桀桍栲桎梳栫桙档桷桿梟梏梭梔條梛梃檮梹桴梵梠梺椏梍桾椁棊椈棘椢椦棡椌棍"],
    ["dca1", "棔棧棕椶椒椄棗棣椥棹棠棯椨椪椚椣椡棆楹楷楜楸楫楔楾楮椹楴椽楙椰楡楞楝榁楪榲榮槐榿槁槓榾槎寨槊槝榻槃榧樮榑榠榜榕榴槞槨樂樛槿權槹槲槧樅榱樞槭樔槫樊樒櫁樣樓橄樌橲樶橸橇橢橙橦橈樸樢檐檍檠檄檢檣"],
    ["dda1", "檗蘗檻櫃櫂檸檳檬櫞櫑櫟檪櫚櫪櫻欅蘖櫺欒欖鬱欟欸欷盜欹飮歇歃歉歐歙歔歛歟歡歸歹歿殀殄殃殍殘殕殞殤殪殫殯殲殱殳殷殼毆毋毓毟毬毫毳毯麾氈氓气氛氤氣汞汕汢汪沂沍沚沁沛汾汨汳沒沐泄泱泓沽泗泅泝沮沱沾"],
    ["dea1", "沺泛泯泙泪洟衍洶洫洽洸洙洵洳洒洌浣涓浤浚浹浙涎涕濤涅淹渕渊涵淇淦涸淆淬淞淌淨淒淅淺淙淤淕淪淮渭湮渮渙湲湟渾渣湫渫湶湍渟湃渺湎渤滿渝游溂溪溘滉溷滓溽溯滄溲滔滕溏溥滂溟潁漑灌滬滸滾漿滲漱滯漲滌"],
    ["dfa1", "漾漓滷澆潺潸澁澀潯潛濳潭澂潼潘澎澑濂潦澳澣澡澤澹濆澪濟濕濬濔濘濱濮濛瀉瀋濺瀑瀁瀏濾瀛瀚潴瀝瀘瀟瀰瀾瀲灑灣炙炒炯烱炬炸炳炮烟烋烝烙焉烽焜焙煥煕熈煦煢煌煖煬熏燻熄熕熨熬燗熹熾燒燉燔燎燠燬燧燵燼"],
    ["e0a1", "燹燿爍爐爛爨爭爬爰爲爻爼爿牀牆牋牘牴牾犂犁犇犒犖犢犧犹犲狃狆狄狎狒狢狠狡狹狷倏猗猊猜猖猝猴猯猩猥猾獎獏默獗獪獨獰獸獵獻獺珈玳珎玻珀珥珮珞璢琅瑯琥珸琲琺瑕琿瑟瑙瑁瑜瑩瑰瑣瑪瑶瑾璋璞璧瓊瓏瓔珱"],
    ["e1a1", "瓠瓣瓧瓩瓮瓲瓰瓱瓸瓷甄甃甅甌甎甍甕甓甞甦甬甼畄畍畊畉畛畆畚畩畤畧畫畭畸當疆疇畴疊疉疂疔疚疝疥疣痂疳痃疵疽疸疼疱痍痊痒痙痣痞痾痿痼瘁痰痺痲痳瘋瘍瘉瘟瘧瘠瘡瘢瘤瘴瘰瘻癇癈癆癜癘癡癢癨癩癪癧癬癰"],
    ["e2a1", "癲癶癸發皀皃皈皋皎皖皓皙皚皰皴皸皹皺盂盍盖盒盞盡盥盧盪蘯盻眈眇眄眩眤眞眥眦眛眷眸睇睚睨睫睛睥睿睾睹瞎瞋瞑瞠瞞瞰瞶瞹瞿瞼瞽瞻矇矍矗矚矜矣矮矼砌砒礦砠礪硅碎硴碆硼碚碌碣碵碪碯磑磆磋磔碾碼磅磊磬"],
    ["e3a1", "磧磚磽磴礇礒礑礙礬礫祀祠祗祟祚祕祓祺祿禊禝禧齋禪禮禳禹禺秉秕秧秬秡秣稈稍稘稙稠稟禀稱稻稾稷穃穗穉穡穢穩龝穰穹穽窈窗窕窘窖窩竈窰窶竅竄窿邃竇竊竍竏竕竓站竚竝竡竢竦竭竰笂笏笊笆笳笘笙笞笵笨笶筐"],
    ["e4a1", "筺笄筍笋筌筅筵筥筴筧筰筱筬筮箝箘箟箍箜箚箋箒箏筝箙篋篁篌篏箴篆篝篩簑簔篦篥籠簀簇簓篳篷簗簍篶簣簧簪簟簷簫簽籌籃籔籏籀籐籘籟籤籖籥籬籵粃粐粤粭粢粫粡粨粳粲粱粮粹粽糀糅糂糘糒糜糢鬻糯糲糴糶糺紆"],
    ["e5a1", "紂紜紕紊絅絋紮紲紿紵絆絳絖絎絲絨絮絏絣經綉絛綏絽綛綺綮綣綵緇綽綫總綢綯緜綸綟綰緘緝緤緞緻緲緡縅縊縣縡縒縱縟縉縋縢繆繦縻縵縹繃縷縲縺繧繝繖繞繙繚繹繪繩繼繻纃緕繽辮繿纈纉續纒纐纓纔纖纎纛纜缸缺"],
    ["e6a1", "罅罌罍罎罐网罕罔罘罟罠罨罩罧罸羂羆羃羈羇羌羔羞羝羚羣羯羲羹羮羶羸譱翅翆翊翕翔翡翦翩翳翹飜耆耄耋耒耘耙耜耡耨耿耻聊聆聒聘聚聟聢聨聳聲聰聶聹聽聿肄肆肅肛肓肚肭冐肬胛胥胙胝胄胚胖脉胯胱脛脩脣脯腋"],
    ["e7a1", "隋腆脾腓腑胼腱腮腥腦腴膃膈膊膀膂膠膕膤膣腟膓膩膰膵膾膸膽臀臂膺臉臍臑臙臘臈臚臟臠臧臺臻臾舁舂舅與舊舍舐舖舩舫舸舳艀艙艘艝艚艟艤艢艨艪艫舮艱艷艸艾芍芒芫芟芻芬苡苣苟苒苴苳苺莓范苻苹苞茆苜茉苙"],
    ["e8a1", "茵茴茖茲茱荀茹荐荅茯茫茗茘莅莚莪莟莢莖茣莎莇莊荼莵荳荵莠莉莨菴萓菫菎菽萃菘萋菁菷萇菠菲萍萢萠莽萸蔆菻葭萪萼蕚蒄葷葫蒭葮蒂葩葆萬葯葹萵蓊葢蒹蒿蒟蓙蓍蒻蓚蓐蓁蓆蓖蒡蔡蓿蓴蔗蔘蔬蔟蔕蔔蓼蕀蕣蕘蕈"],
    ["e9a1", "蕁蘂蕋蕕薀薤薈薑薊薨蕭薔薛藪薇薜蕷蕾薐藉薺藏薹藐藕藝藥藜藹蘊蘓蘋藾藺蘆蘢蘚蘰蘿虍乕虔號虧虱蚓蚣蚩蚪蚋蚌蚶蚯蛄蛆蚰蛉蠣蚫蛔蛞蛩蛬蛟蛛蛯蜒蜆蜈蜀蜃蛻蜑蜉蜍蛹蜊蜴蜿蜷蜻蜥蜩蜚蝠蝟蝸蝌蝎蝴蝗蝨蝮蝙"],
    ["eaa1", "蝓蝣蝪蠅螢螟螂螯蟋螽蟀蟐雖螫蟄螳蟇蟆螻蟯蟲蟠蠏蠍蟾蟶蟷蠎蟒蠑蠖蠕蠢蠡蠱蠶蠹蠧蠻衄衂衒衙衞衢衫袁衾袞衵衽袵衲袂袗袒袮袙袢袍袤袰袿袱裃裄裔裘裙裝裹褂裼裴裨裲褄褌褊褓襃褞褥褪褫襁襄褻褶褸襌褝襠襞"],
    ["eba1", "襦襤襭襪襯襴襷襾覃覈覊覓覘覡覩覦覬覯覲覺覽覿觀觚觜觝觧觴觸訃訖訐訌訛訝訥訶詁詛詒詆詈詼詭詬詢誅誂誄誨誡誑誥誦誚誣諄諍諂諚諫諳諧諤諱謔諠諢諷諞諛謌謇謚諡謖謐謗謠謳鞫謦謫謾謨譁譌譏譎證譖譛譚譫"],
    ["eca1", "譟譬譯譴譽讀讌讎讒讓讖讙讚谺豁谿豈豌豎豐豕豢豬豸豺貂貉貅貊貍貎貔豼貘戝貭貪貽貲貳貮貶賈賁賤賣賚賽賺賻贄贅贊贇贏贍贐齎贓賍贔贖赧赭赱赳趁趙跂趾趺跏跚跖跌跛跋跪跫跟跣跼踈踉跿踝踞踐踟蹂踵踰踴蹊"],
    ["eda1", "蹇蹉蹌蹐蹈蹙蹤蹠踪蹣蹕蹶蹲蹼躁躇躅躄躋躊躓躑躔躙躪躡躬躰軆躱躾軅軈軋軛軣軼軻軫軾輊輅輕輒輙輓輜輟輛輌輦輳輻輹轅轂輾轌轉轆轎轗轜轢轣轤辜辟辣辭辯辷迚迥迢迪迯邇迴逅迹迺逑逕逡逍逞逖逋逧逶逵逹迸"],
    ["eea1", "遏遐遑遒逎遉逾遖遘遞遨遯遶隨遲邂遽邁邀邊邉邏邨邯邱邵郢郤扈郛鄂鄒鄙鄲鄰酊酖酘酣酥酩酳酲醋醉醂醢醫醯醪醵醴醺釀釁釉釋釐釖釟釡釛釼釵釶鈞釿鈔鈬鈕鈑鉞鉗鉅鉉鉤鉈銕鈿鉋鉐銜銖銓銛鉚鋏銹銷鋩錏鋺鍄錮"],
    ["efa1", "錙錢錚錣錺錵錻鍜鍠鍼鍮鍖鎰鎬鎭鎔鎹鏖鏗鏨鏥鏘鏃鏝鏐鏈鏤鐚鐔鐓鐃鐇鐐鐶鐫鐵鐡鐺鑁鑒鑄鑛鑠鑢鑞鑪鈩鑰鑵鑷鑽鑚鑼鑾钁鑿閂閇閊閔閖閘閙閠閨閧閭閼閻閹閾闊濶闃闍闌闕闔闖關闡闥闢阡阨阮阯陂陌陏陋陷陜陞"],
    ["f0a1", "陝陟陦陲陬隍隘隕隗險隧隱隲隰隴隶隸隹雎雋雉雍襍雜霍雕雹霄霆霈霓霎霑霏霖霙霤霪霰霹霽霾靄靆靈靂靉靜靠靤靦靨勒靫靱靹鞅靼鞁靺鞆鞋鞏鞐鞜鞨鞦鞣鞳鞴韃韆韈韋韜韭齏韲竟韶韵頏頌頸頤頡頷頽顆顏顋顫顯顰"],
    ["f1a1", "顱顴顳颪颯颱颶飄飃飆飩飫餃餉餒餔餘餡餝餞餤餠餬餮餽餾饂饉饅饐饋饑饒饌饕馗馘馥馭馮馼駟駛駝駘駑駭駮駱駲駻駸騁騏騅駢騙騫騷驅驂驀驃騾驕驍驛驗驟驢驥驤驩驫驪骭骰骼髀髏髑髓體髞髟髢髣髦髯髫髮髴髱髷"],
    ["f2a1", "髻鬆鬘鬚鬟鬢鬣鬥鬧鬨鬩鬪鬮鬯鬲魄魃魏魍魎魑魘魴鮓鮃鮑鮖鮗鮟鮠鮨鮴鯀鯊鮹鯆鯏鯑鯒鯣鯢鯤鯔鯡鰺鯲鯱鯰鰕鰔鰉鰓鰌鰆鰈鰒鰊鰄鰮鰛鰥鰤鰡鰰鱇鰲鱆鰾鱚鱠鱧鱶鱸鳧鳬鳰鴉鴈鳫鴃鴆鴪鴦鶯鴣鴟鵄鴕鴒鵁鴿鴾鵆鵈"],
    ["f3a1", "鵝鵞鵤鵑鵐鵙鵲鶉鶇鶫鵯鵺鶚鶤鶩鶲鷄鷁鶻鶸鶺鷆鷏鷂鷙鷓鷸鷦鷭鷯鷽鸚鸛鸞鹵鹹鹽麁麈麋麌麒麕麑麝麥麩麸麪麭靡黌黎黏黐黔黜點黝黠黥黨黯黴黶黷黹黻黼黽鼇鼈皷鼕鼡鼬鼾齊齒齔齣齟齠齡齦齧齬齪齷齲齶龕龜龠"],
    ["f4a1", "堯槇遙瑤凜熙"],
    ["f9a1", "纊褜鍈銈蓜俉炻昱棈鋹曻彅丨仡仼伀伃伹佖侒侊侚侔俍偀倢俿倞偆偰偂傔僴僘兊兤冝冾凬刕劜劦勀勛匀匇匤卲厓厲叝﨎咜咊咩哿喆坙坥垬埈埇﨏塚增墲夋奓奛奝奣妤妺孖寀甯寘寬尞岦岺峵崧嵓﨑嵂嵭嶸嶹巐弡弴彧德"],
    ["faa1", "忞恝悅悊惞惕愠惲愑愷愰憘戓抦揵摠撝擎敎昀昕昻昉昮昞昤晥晗晙晴晳暙暠暲暿曺朎朗杦枻桒柀栁桄棏﨓楨﨔榘槢樰橫橆橳橾櫢櫤毖氿汜沆汯泚洄涇浯涖涬淏淸淲淼渹湜渧渼溿澈澵濵瀅瀇瀨炅炫焏焄煜煆煇凞燁燾犱"],
    ["fba1", "犾猤猪獷玽珉珖珣珒琇珵琦琪琩琮瑢璉璟甁畯皂皜皞皛皦益睆劯砡硎硤硺礰礼神祥禔福禛竑竧靖竫箞精絈絜綷綠緖繒罇羡羽茁荢荿菇菶葈蒴蕓蕙蕫﨟薰蘒﨡蠇裵訒訷詹誧誾諟諸諶譓譿賰賴贒赶﨣軏﨤逸遧郞都鄕鄧釚"],
    ["fca1", "釗釞釭釮釤釥鈆鈐鈊鈺鉀鈼鉎鉙鉑鈹鉧銧鉷鉸鋧鋗鋙鋐﨧鋕鋠鋓錥錡鋻﨨錞鋿錝錂鍰鍗鎤鏆鏞鏸鐱鑅鑈閒隆﨩隝隯霳霻靃靍靏靑靕顗顥飯飼餧館馞驎髙髜魵魲鮏鮱鮻鰀鵰鵫鶴鸙黑"],
    ["fcf1", "ⅰ", 9, "￢￤＇＂"],
    ["8fa2af", "˘ˇ¸˙˝¯˛˚～΄΅"],
    ["8fa2c2", "¡¦¿"],
    ["8fa2eb", "ºª©®™¤№"],
    ["8fa6e1", "ΆΈΉΊΪ"],
    ["8fa6e7", "Ό"],
    ["8fa6e9", "ΎΫ"],
    ["8fa6ec", "Ώ"],
    ["8fa6f1", "άέήίϊΐόςύϋΰώ"],
    ["8fa7c2", "Ђ", 10, "ЎЏ"],
    ["8fa7f2", "ђ", 10, "ўџ"],
    ["8fa9a1", "ÆĐ"],
    ["8fa9a4", "Ħ"],
    ["8fa9a6", "Ĳ"],
    ["8fa9a8", "ŁĿ"],
    ["8fa9ab", "ŊØŒ"],
    ["8fa9af", "ŦÞ"],
    ["8fa9c1", "æđðħıĳĸłŀŉŋøœßŧþ"],
    ["8faaa1", "ÁÀÄÂĂǍĀĄÅÃĆĈČÇĊĎÉÈËÊĚĖĒĘ"],
    ["8faaba", "ĜĞĢĠĤÍÌÏÎǏİĪĮĨĴĶĹĽĻŃŇŅÑÓÒÖÔǑŐŌÕŔŘŖŚŜŠŞŤŢÚÙÜÛŬǓŰŪŲŮŨǗǛǙǕŴÝŸŶŹŽŻ"],
    ["8faba1", "áàäâăǎāąåãćĉčçċďéèëêěėēęǵĝğ"],
    ["8fabbd", "ġĥíìïîǐ"],
    ["8fabc5", "īįĩĵķĺľļńňņñóòöôǒőōõŕřŗśŝšşťţúùüûŭǔűūųůũǘǜǚǖŵýÿŷźžż"],
    ["8fb0a1", "丂丄丅丌丒丟丣两丨丫丮丯丰丵乀乁乄乇乑乚乜乣乨乩乴乵乹乿亍亖亗亝亯亹仃仐仚仛仠仡仢仨仯仱仳仵份仾仿伀伂伃伈伋伌伒伕伖众伙伮伱你伳伵伷伹伻伾佀佂佈佉佋佌佒佔佖佘佟佣佪佬佮佱佷佸佹佺佽佾侁侂侄"],
    ["8fb1a1", "侅侉侊侌侎侐侒侓侔侗侙侚侞侟侲侷侹侻侼侽侾俀俁俅俆俈俉俋俌俍俏俒俜俠俢俰俲俼俽俿倀倁倄倇倊倌倎倐倓倗倘倛倜倝倞倢倧倮倰倲倳倵偀偁偂偅偆偊偌偎偑偒偓偗偙偟偠偢偣偦偧偪偭偰偱倻傁傃傄傆傊傎傏傐"],
    ["8fb2a1", "傒傓傔傖傛傜傞", 4, "傪傯傰傹傺傽僀僃僄僇僌僎僐僓僔僘僜僝僟僢僤僦僨僩僯僱僶僺僾儃儆儇儈儋儌儍儎僲儐儗儙儛儜儝儞儣儧儨儬儭儯儱儳儴儵儸儹兂兊兏兓兕兗兘兟兤兦兾冃冄冋冎冘冝冡冣冭冸冺冼冾冿凂"],
    ["8fb3a1", "凈减凑凒凓凕凘凞凢凥凮凲凳凴凷刁刂刅划刓刕刖刘刢刨刱刲刵刼剅剉剕剗剘剚剜剟剠剡剦剮剷剸剹劀劂劅劊劌劓劕劖劗劘劚劜劤劥劦劧劯劰劶劷劸劺劻劽勀勄勆勈勌勏勑勔勖勛勜勡勥勨勩勪勬勰勱勴勶勷匀匃匊匋"],
    ["8fb4a1", "匌匑匓匘匛匜匞匟匥匧匨匩匫匬匭匰匲匵匼匽匾卂卌卋卙卛卡卣卥卬卭卲卹卾厃厇厈厎厓厔厙厝厡厤厪厫厯厲厴厵厷厸厺厽叀叅叏叒叓叕叚叝叞叠另叧叵吂吓吚吡吧吨吪启吱吴吵呃呄呇呍呏呞呢呤呦呧呩呫呭呮呴呿"],
    ["8fb5a1", "咁咃咅咈咉咍咑咕咖咜咟咡咦咧咩咪咭咮咱咷咹咺咻咿哆哊响哎哠哪哬哯哶哼哾哿唀唁唅唈唉唌唍唎唕唪唫唲唵唶唻唼唽啁啇啉啊啍啐啑啘啚啛啞啠啡啤啦啿喁喂喆喈喎喏喑喒喓喔喗喣喤喭喲喿嗁嗃嗆嗉嗋嗌嗎嗑嗒"],
    ["8fb6a1", "嗓嗗嗘嗛嗞嗢嗩嗶嗿嘅嘈嘊嘍", 5, "嘙嘬嘰嘳嘵嘷嘹嘻嘼嘽嘿噀噁噃噄噆噉噋噍噏噔噞噠噡噢噣噦噩噭噯噱噲噵嚄嚅嚈嚋嚌嚕嚙嚚嚝嚞嚟嚦嚧嚨嚩嚫嚬嚭嚱嚳嚷嚾囅囉囊囋囏囐囌囍囙囜囝囟囡囤", 4, "囱囫园"],
    ["8fb7a1", "囶囷圁圂圇圊圌圑圕圚圛圝圠圢圣圤圥圩圪圬圮圯圳圴圽圾圿坅坆坌坍坒坢坥坧坨坫坭", 4, "坳坴坵坷坹坺坻坼坾垁垃垌垔垗垙垚垜垝垞垟垡垕垧垨垩垬垸垽埇埈埌埏埕埝埞埤埦埧埩埭埰埵埶埸埽埾埿堃堄堈堉埡"],
    ["8fb8a1", "堌堍堛堞堟堠堦堧堭堲堹堿塉塌塍塏塐塕塟塡塤塧塨塸塼塿墀墁墇墈墉墊墌墍墏墐墔墖墝墠墡墢墦墩墱墲壄墼壂壈壍壎壐壒壔壖壚壝壡壢壩壳夅夆夋夌夒夓夔虁夝夡夣夤夨夯夰夳夵夶夿奃奆奒奓奙奛奝奞奟奡奣奫奭"],
    ["8fb9a1", "奯奲奵奶她奻奼妋妌妎妒妕妗妟妤妧妭妮妯妰妳妷妺妼姁姃姄姈姊姍姒姝姞姟姣姤姧姮姯姱姲姴姷娀娄娌娍娎娒娓娞娣娤娧娨娪娭娰婄婅婇婈婌婐婕婞婣婥婧婭婷婺婻婾媋媐媓媖媙媜媞媟媠媢媧媬媱媲媳媵媸媺媻媿"],
    ["8fbaa1", "嫄嫆嫈嫏嫚嫜嫠嫥嫪嫮嫵嫶嫽嬀嬁嬈嬗嬴嬙嬛嬝嬡嬥嬭嬸孁孋孌孒孖孞孨孮孯孼孽孾孿宁宄宆宊宎宐宑宓宔宖宨宩宬宭宯宱宲宷宺宼寀寁寍寏寖", 4, "寠寯寱寴寽尌尗尞尟尣尦尩尫尬尮尰尲尵尶屙屚屜屢屣屧屨屩"],
    ["8fbba1", "屭屰屴屵屺屻屼屽岇岈岊岏岒岝岟岠岢岣岦岪岲岴岵岺峉峋峒峝峗峮峱峲峴崁崆崍崒崫崣崤崦崧崱崴崹崽崿嵂嵃嵆嵈嵕嵑嵙嵊嵟嵠嵡嵢嵤嵪嵭嵰嵹嵺嵾嵿嶁嶃嶈嶊嶒嶓嶔嶕嶙嶛嶟嶠嶧嶫嶰嶴嶸嶹巃巇巋巐巎巘巙巠巤"],
    ["8fbca1", "巩巸巹帀帇帍帒帔帕帘帟帠帮帨帲帵帾幋幐幉幑幖幘幛幜幞幨幪", 4, "幰庀庋庎庢庤庥庨庪庬庱庳庽庾庿廆廌廋廎廑廒廔廕廜廞廥廫异弆弇弈弎弙弜弝弡弢弣弤弨弫弬弮弰弴弶弻弽弿彀彄彅彇彍彐彔彘彛彠彣彤彧"],
    ["8fbda1", "彯彲彴彵彸彺彽彾徉徍徏徖徜徝徢徧徫徤徬徯徰徱徸忄忇忈忉忋忐", 4, "忞忡忢忨忩忪忬忭忮忯忲忳忶忺忼怇怊怍怓怔怗怘怚怟怤怭怳怵恀恇恈恉恌恑恔恖恗恝恡恧恱恾恿悂悆悈悊悎悑悓悕悘悝悞悢悤悥您悰悱悷"],
    ["8fbea1", "悻悾惂惄惈惉惊惋惎惏惔惕惙惛惝惞惢惥惲惵惸惼惽愂愇愊愌愐", 4, "愖愗愙愜愞愢愪愫愰愱愵愶愷愹慁慅慆慉慞慠慬慲慸慻慼慿憀憁憃憄憋憍憒憓憗憘憜憝憟憠憥憨憪憭憸憹憼懀懁懂懎懏懕懜懝懞懟懡懢懧懩懥"],
    ["8fbfa1", "懬懭懯戁戃戄戇戓戕戜戠戢戣戧戩戫戹戽扂扃扄扆扌扐扑扒扔扖扚扜扤扭扯扳扺扽抍抎抏抐抦抨抳抶抷抺抾抿拄拎拕拖拚拪拲拴拼拽挃挄挊挋挍挐挓挖挘挩挪挭挵挶挹挼捁捂捃捄捆捊捋捎捒捓捔捘捛捥捦捬捭捱捴捵"],
    ["8fc0a1", "捸捼捽捿掂掄掇掊掐掔掕掙掚掞掤掦掭掮掯掽揁揅揈揎揑揓揔揕揜揠揥揪揬揲揳揵揸揹搉搊搐搒搔搘搞搠搢搤搥搩搪搯搰搵搽搿摋摏摑摒摓摔摚摛摜摝摟摠摡摣摭摳摴摻摽撅撇撏撐撑撘撙撛撝撟撡撣撦撨撬撳撽撾撿"],
    ["8fc1a1", "擄擉擊擋擌擎擐擑擕擗擤擥擩擪擭擰擵擷擻擿攁攄攈攉攊攏攓攔攖攙攛攞攟攢攦攩攮攱攺攼攽敃敇敉敐敒敔敟敠敧敫敺敽斁斅斊斒斕斘斝斠斣斦斮斲斳斴斿旂旈旉旎旐旔旖旘旟旰旲旴旵旹旾旿昀昄昈昉昍昑昒昕昖昝"],
    ["8fc2a1", "昞昡昢昣昤昦昩昪昫昬昮昰昱昳昹昷晀晅晆晊晌晑晎晗晘晙晛晜晠晡曻晪晫晬晾晳晵晿晷晸晹晻暀晼暋暌暍暐暒暙暚暛暜暟暠暤暭暱暲暵暻暿曀曂曃曈曌曎曏曔曛曟曨曫曬曮曺朅朇朎朓朙朜朠朢朳朾杅杇杈杌杔杕杝"],
    ["8fc3a1", "杦杬杮杴杶杻极构枎枏枑枓枖枘枙枛枰枱枲枵枻枼枽柹柀柂柃柅柈柉柒柗柙柜柡柦柰柲柶柷桒栔栙栝栟栨栧栬栭栯栰栱栳栻栿桄桅桊桌桕桗桘桛桫桮", 4, "桵桹桺桻桼梂梄梆梈梖梘梚梜梡梣梥梩梪梮梲梻棅棈棌棏"],
    ["8fc4a1", "棐棑棓棖棙棜棝棥棨棪棫棬棭棰棱棵棶棻棼棽椆椉椊椐椑椓椖椗椱椳椵椸椻楂楅楉楎楗楛楣楤楥楦楨楩楬楰楱楲楺楻楿榀榍榒榖榘榡榥榦榨榫榭榯榷榸榺榼槅槈槑槖槗槢槥槮槯槱槳槵槾樀樁樃樏樑樕樚樝樠樤樨樰樲"],
    ["8fc5a1", "樴樷樻樾樿橅橆橉橊橎橐橑橒橕橖橛橤橧橪橱橳橾檁檃檆檇檉檋檑檛檝檞檟檥檫檯檰檱檴檽檾檿櫆櫉櫈櫌櫐櫔櫕櫖櫜櫝櫤櫧櫬櫰櫱櫲櫼櫽欂欃欆欇欉欏欐欑欗欛欞欤欨欫欬欯欵欶欻欿歆歊歍歒歖歘歝歠歧歫歮歰歵歽"],
    ["8fc6a1", "歾殂殅殗殛殟殠殢殣殨殩殬殭殮殰殸殹殽殾毃毄毉毌毖毚毡毣毦毧毮毱毷毹毿氂氄氅氉氍氎氐氒氙氟氦氧氨氬氮氳氵氶氺氻氿汊汋汍汏汒汔汙汛汜汫汭汯汴汶汸汹汻沅沆沇沉沔沕沗沘沜沟沰沲沴泂泆泍泏泐泑泒泔泖"],
    ["8fc7a1", "泚泜泠泧泩泫泬泮泲泴洄洇洊洎洏洑洓洚洦洧洨汧洮洯洱洹洼洿浗浞浟浡浥浧浯浰浼涂涇涑涒涔涖涗涘涪涬涴涷涹涽涿淄淈淊淎淏淖淛淝淟淠淢淥淩淯淰淴淶淼渀渄渞渢渧渲渶渹渻渼湄湅湈湉湋湏湑湒湓湔湗湜湝湞"],
    ["8fc8a1", "湢湣湨湳湻湽溍溓溙溠溧溭溮溱溳溻溿滀滁滃滇滈滊滍滎滏滫滭滮滹滻滽漄漈漊漌漍漖漘漚漛漦漩漪漯漰漳漶漻漼漭潏潑潒潓潗潙潚潝潞潡潢潨潬潽潾澃澇澈澋澌澍澐澒澓澔澖澚澟澠澥澦澧澨澮澯澰澵澶澼濅濇濈濊"],
    ["8fc9a1", "濚濞濨濩濰濵濹濼濽瀀瀅瀆瀇瀍瀗瀠瀣瀯瀴瀷瀹瀼灃灄灈灉灊灋灔灕灝灞灎灤灥灬灮灵灶灾炁炅炆炔", 4, "炛炤炫炰炱炴炷烊烑烓烔烕烖烘烜烤烺焃", 4, "焋焌焏焞焠焫焭焯焰焱焸煁煅煆煇煊煋煐煒煗煚煜煞煠"],
    ["8fcaa1", "煨煹熀熅熇熌熒熚熛熠熢熯熰熲熳熺熿燀燁燄燋燌燓燖燙燚燜燸燾爀爇爈爉爓爗爚爝爟爤爫爯爴爸爹牁牂牃牅牎牏牐牓牕牖牚牜牞牠牣牨牫牮牯牱牷牸牻牼牿犄犉犍犎犓犛犨犭犮犱犴犾狁狇狉狌狕狖狘狟狥狳狴狺狻"],
    ["8fcba1", "狾猂猄猅猇猋猍猒猓猘猙猞猢猤猧猨猬猱猲猵猺猻猽獃獍獐獒獖獘獝獞獟獠獦獧獩獫獬獮獯獱獷獹獼玀玁玃玅玆玎玐玓玕玗玘玜玞玟玠玢玥玦玪玫玭玵玷玹玼玽玿珅珆珉珋珌珏珒珓珖珙珝珡珣珦珧珩珴珵珷珹珺珻珽"],
    ["8fcca1", "珿琀琁琄琇琊琑琚琛琤琦琨", 9, "琹瑀瑃瑄瑆瑇瑋瑍瑑瑒瑗瑝瑢瑦瑧瑨瑫瑭瑮瑱瑲璀璁璅璆璇璉璏璐璑璒璘璙璚璜璟璠璡璣璦璨璩璪璫璮璯璱璲璵璹璻璿瓈瓉瓌瓐瓓瓘瓚瓛瓞瓟瓤瓨瓪瓫瓯瓴瓺瓻瓼瓿甆"],
    ["8fcda1", "甒甖甗甠甡甤甧甩甪甯甶甹甽甾甿畀畃畇畈畎畐畒畗畞畟畡畯畱畹", 5, "疁疅疐疒疓疕疙疜疢疤疴疺疿痀痁痄痆痌痎痏痗痜痟痠痡痤痧痬痮痯痱痹瘀瘂瘃瘄瘇瘈瘊瘌瘏瘒瘓瘕瘖瘙瘛瘜瘝瘞瘣瘥瘦瘩瘭瘲瘳瘵瘸瘹"],
    ["8fcea1", "瘺瘼癊癀癁癃癄癅癉癋癕癙癟癤癥癭癮癯癱癴皁皅皌皍皕皛皜皝皟皠皢", 6, "皪皭皽盁盅盉盋盌盎盔盙盠盦盨盬盰盱盶盹盼眀眆眊眎眒眔眕眗眙眚眜眢眨眭眮眯眴眵眶眹眽眾睂睅睆睊睍睎睏睒睖睗睜睞睟睠睢"],
    ["8fcfa1", "睤睧睪睬睰睲睳睴睺睽瞀瞄瞌瞍瞔瞕瞖瞚瞟瞢瞧瞪瞮瞯瞱瞵瞾矃矉矑矒矕矙矞矟矠矤矦矪矬矰矱矴矸矻砅砆砉砍砎砑砝砡砢砣砭砮砰砵砷硃硄硇硈硌硎硒硜硞硠硡硣硤硨硪确硺硾碊碏碔碘碡碝碞碟碤碨碬碭碰碱碲碳"],
    ["8fd0a1", "碻碽碿磇磈磉磌磎磒磓磕磖磤磛磟磠磡磦磪磲磳礀磶磷磺磻磿礆礌礐礚礜礞礟礠礥礧礩礭礱礴礵礻礽礿祄祅祆祊祋祏祑祔祘祛祜祧祩祫祲祹祻祼祾禋禌禑禓禔禕禖禘禛禜禡禨禩禫禯禱禴禸离秂秄秇秈秊秏秔秖秚秝秞"],
    ["8fd1a1", "秠秢秥秪秫秭秱秸秼稂稃稇稉稊稌稑稕稛稞稡稧稫稭稯稰稴稵稸稹稺穄穅穇穈穌穕穖穙穜穝穟穠穥穧穪穭穵穸穾窀窂窅窆窊窋窐窑窔窞窠窣窬窳窵窹窻窼竆竉竌竎竑竛竨竩竫竬竱竴竻竽竾笇笔笟笣笧笩笪笫笭笮笯笰"],
    ["8fd2a1", "笱笴笽笿筀筁筇筎筕筠筤筦筩筪筭筯筲筳筷箄箉箎箐箑箖箛箞箠箥箬箯箰箲箵箶箺箻箼箽篂篅篈篊篔篖篗篙篚篛篨篪篲篴篵篸篹篺篼篾簁簂簃簄簆簉簋簌簎簏簙簛簠簥簦簨簬簱簳簴簶簹簺籆籊籕籑籒籓籙", 5],
    ["8fd3a1", "籡籣籧籩籭籮籰籲籹籼籽粆粇粏粔粞粠粦粰粶粷粺粻粼粿糄糇糈糉糍糏糓糔糕糗糙糚糝糦糩糫糵紃紇紈紉紏紑紒紓紖紝紞紣紦紪紭紱紼紽紾絀絁絇絈絍絑絓絗絙絚絜絝絥絧絪絰絸絺絻絿綁綂綃綅綆綈綋綌綍綑綖綗綝"],
    ["8fd4a1", "綞綦綧綪綳綶綷綹緂", 4, "緌緍緎緗緙縀緢緥緦緪緫緭緱緵緶緹緺縈縐縑縕縗縜縝縠縧縨縬縭縯縳縶縿繄繅繇繎繐繒繘繟繡繢繥繫繮繯繳繸繾纁纆纇纊纍纑纕纘纚纝纞缼缻缽缾缿罃罄罇罏罒罓罛罜罝罡罣罤罥罦罭"],
    ["8fd5a1", "罱罽罾罿羀羋羍羏羐羑羖羗羜羡羢羦羪羭羴羼羿翀翃翈翎翏翛翟翣翥翨翬翮翯翲翺翽翾翿耇耈耊耍耎耏耑耓耔耖耝耞耟耠耤耦耬耮耰耴耵耷耹耺耼耾聀聄聠聤聦聭聱聵肁肈肎肜肞肦肧肫肸肹胈胍胏胒胔胕胗胘胠胭胮"],
    ["8fd6a1", "胰胲胳胶胹胺胾脃脋脖脗脘脜脞脠脤脧脬脰脵脺脼腅腇腊腌腒腗腠腡腧腨腩腭腯腷膁膐膄膅膆膋膎膖膘膛膞膢膮膲膴膻臋臃臅臊臎臏臕臗臛臝臞臡臤臫臬臰臱臲臵臶臸臹臽臿舀舃舏舓舔舙舚舝舡舢舨舲舴舺艃艄艅艆"],
    ["8fd7a1", "艋艎艏艑艖艜艠艣艧艭艴艻艽艿芀芁芃芄芇芉芊芎芑芔芖芘芚芛芠芡芣芤芧芨芩芪芮芰芲芴芷芺芼芾芿苆苐苕苚苠苢苤苨苪苭苯苶苷苽苾茀茁茇茈茊茋荔茛茝茞茟茡茢茬茭茮茰茳茷茺茼茽荂荃荄荇荍荎荑荕荖荗荰荸"],
    ["8fd8a1", "荽荿莀莂莄莆莍莒莔莕莘莙莛莜莝莦莧莩莬莾莿菀菇菉菏菐菑菔菝荓菨菪菶菸菹菼萁萆萊萏萑萕萙莭萯萹葅葇葈葊葍葏葑葒葖葘葙葚葜葠葤葥葧葪葰葳葴葶葸葼葽蒁蒅蒒蒓蒕蒞蒦蒨蒩蒪蒯蒱蒴蒺蒽蒾蓀蓂蓇蓈蓌蓏蓓"],
    ["8fd9a1", "蓜蓧蓪蓯蓰蓱蓲蓷蔲蓺蓻蓽蔂蔃蔇蔌蔎蔐蔜蔞蔢蔣蔤蔥蔧蔪蔫蔯蔳蔴蔶蔿蕆蕏", 4, "蕖蕙蕜", 6, "蕤蕫蕯蕹蕺蕻蕽蕿薁薅薆薉薋薌薏薓薘薝薟薠薢薥薧薴薶薷薸薼薽薾薿藂藇藊藋藎薭藘藚藟藠藦藨藭藳藶藼"],
    ["8fdaa1", "藿蘀蘄蘅蘍蘎蘐蘑蘒蘘蘙蘛蘞蘡蘧蘩蘶蘸蘺蘼蘽虀虂虆虒虓虖虗虘虙虝虠", 4, "虩虬虯虵虶虷虺蚍蚑蚖蚘蚚蚜蚡蚦蚧蚨蚭蚱蚳蚴蚵蚷蚸蚹蚿蛀蛁蛃蛅蛑蛒蛕蛗蛚蛜蛠蛣蛥蛧蚈蛺蛼蛽蜄蜅蜇蜋蜎蜏蜐蜓蜔蜙蜞蜟蜡蜣"],
    ["8fdba1", "蜨蜮蜯蜱蜲蜹蜺蜼蜽蜾蝀蝃蝅蝍蝘蝝蝡蝤蝥蝯蝱蝲蝻螃", 6, "螋螌螐螓螕螗螘螙螞螠螣螧螬螭螮螱螵螾螿蟁蟈蟉蟊蟎蟕蟖蟙蟚蟜蟟蟢蟣蟤蟪蟫蟭蟱蟳蟸蟺蟿蠁蠃蠆蠉蠊蠋蠐蠙蠒蠓蠔蠘蠚蠛蠜蠞蠟蠨蠭蠮蠰蠲蠵"],
    ["8fdca1", "蠺蠼衁衃衅衈衉衊衋衎衑衕衖衘衚衜衟衠衤衩衱衹衻袀袘袚袛袜袟袠袨袪袺袽袾裀裊", 4, "裑裒裓裛裞裧裯裰裱裵裷褁褆褍褎褏褕褖褘褙褚褜褠褦褧褨褰褱褲褵褹褺褾襀襂襅襆襉襏襒襗襚襛襜襡襢襣襫襮襰襳襵襺"],
    ["8fdda1", "襻襼襽覉覍覐覔覕覛覜覟覠覥覰覴覵覶覷覼觔", 4, "觥觩觫觭觱觳觶觹觽觿訄訅訇訏訑訒訔訕訞訠訢訤訦訫訬訯訵訷訽訾詀詃詅詇詉詍詎詓詖詗詘詜詝詡詥詧詵詶詷詹詺詻詾詿誀誃誆誋誏誐誒誖誗誙誟誧誩誮誯誳"],
    ["8fdea1", "誶誷誻誾諃諆諈諉諊諑諓諔諕諗諝諟諬諰諴諵諶諼諿謅謆謋謑謜謞謟謊謭謰謷謼譂", 4, "譈譒譓譔譙譍譞譣譭譶譸譹譼譾讁讄讅讋讍讏讔讕讜讞讟谸谹谽谾豅豇豉豋豏豑豓豔豗豘豛豝豙豣豤豦豨豩豭豳豵豶豻豾貆"],
    ["8fdfa1", "貇貋貐貒貓貙貛貜貤貹貺賅賆賉賋賏賖賕賙賝賡賨賬賯賰賲賵賷賸賾賿贁贃贉贒贗贛赥赩赬赮赿趂趄趈趍趐趑趕趞趟趠趦趫趬趯趲趵趷趹趻跀跅跆跇跈跊跎跑跔跕跗跙跤跥跧跬跰趼跱跲跴跽踁踄踅踆踋踑踔踖踠踡踢"],
    ["8fe0a1", "踣踦踧踱踳踶踷踸踹踽蹀蹁蹋蹍蹎蹏蹔蹛蹜蹝蹞蹡蹢蹩蹬蹭蹯蹰蹱蹹蹺蹻躂躃躉躐躒躕躚躛躝躞躢躧躩躭躮躳躵躺躻軀軁軃軄軇軏軑軔軜軨軮軰軱軷軹軺軭輀輂輇輈輏輐輖輗輘輞輠輡輣輥輧輨輬輭輮輴輵輶輷輺轀轁"],
    ["8fe1a1", "轃轇轏轑", 4, "轘轝轞轥辝辠辡辤辥辦辵辶辸达迀迁迆迊迋迍运迒迓迕迠迣迤迨迮迱迵迶迻迾适逄逈逌逘逛逨逩逯逪逬逭逳逴逷逿遃遄遌遛遝遢遦遧遬遰遴遹邅邈邋邌邎邐邕邗邘邙邛邠邡邢邥邰邲邳邴邶邽郌邾郃"],
    ["8fe2a1", "郄郅郇郈郕郗郘郙郜郝郟郥郒郶郫郯郰郴郾郿鄀鄄鄅鄆鄈鄍鄐鄔鄖鄗鄘鄚鄜鄞鄠鄥鄢鄣鄧鄩鄮鄯鄱鄴鄶鄷鄹鄺鄼鄽酃酇酈酏酓酗酙酚酛酡酤酧酭酴酹酺酻醁醃醅醆醊醎醑醓醔醕醘醞醡醦醨醬醭醮醰醱醲醳醶醻醼醽醿"],
    ["8fe3a1", "釂釃釅釓釔釗釙釚釞釤釥釩釪釬", 5, "釷釹釻釽鈀鈁鈄鈅鈆鈇鈉鈊鈌鈐鈒鈓鈖鈘鈜鈝鈣鈤鈥鈦鈨鈮鈯鈰鈳鈵鈶鈸鈹鈺鈼鈾鉀鉂鉃鉆鉇鉊鉍鉎鉏鉑鉘鉙鉜鉝鉠鉡鉥鉧鉨鉩鉮鉯鉰鉵", 4, "鉻鉼鉽鉿銈銉銊銍銎銒銗"],
    ["8fe4a1", "銙銟銠銤銥銧銨銫銯銲銶銸銺銻銼銽銿", 4, "鋅鋆鋇鋈鋋鋌鋍鋎鋐鋓鋕鋗鋘鋙鋜鋝鋟鋠鋡鋣鋥鋧鋨鋬鋮鋰鋹鋻鋿錀錂錈錍錑錔錕錜錝錞錟錡錤錥錧錩錪錳錴錶錷鍇鍈鍉鍐鍑鍒鍕鍗鍘鍚鍞鍤鍥鍧鍩鍪鍭鍯鍰鍱鍳鍴鍶"],
    ["8fe5a1", "鍺鍽鍿鎀鎁鎂鎈鎊鎋鎍鎏鎒鎕鎘鎛鎞鎡鎣鎤鎦鎨鎫鎴鎵鎶鎺鎩鏁鏄鏅鏆鏇鏉", 4, "鏓鏙鏜鏞鏟鏢鏦鏧鏹鏷鏸鏺鏻鏽鐁鐂鐄鐈鐉鐍鐎鐏鐕鐖鐗鐟鐮鐯鐱鐲鐳鐴鐻鐿鐽鑃鑅鑈鑊鑌鑕鑙鑜鑟鑡鑣鑨鑫鑭鑮鑯鑱鑲钄钃镸镹"],
    ["8fe6a1", "镾閄閈閌閍閎閝閞閟閡閦閩閫閬閴閶閺閽閿闆闈闉闋闐闑闒闓闙闚闝闞闟闠闤闦阝阞阢阤阥阦阬阱阳阷阸阹阺阼阽陁陒陔陖陗陘陡陮陴陻陼陾陿隁隂隃隄隉隑隖隚隝隟隤隥隦隩隮隯隳隺雊雒嶲雘雚雝雞雟雩雯雱雺霂"],
    ["8fe7a1", "霃霅霉霚霛霝霡霢霣霨霱霳靁靃靊靎靏靕靗靘靚靛靣靧靪靮靳靶靷靸靻靽靿鞀鞉鞕鞖鞗鞙鞚鞞鞟鞢鞬鞮鞱鞲鞵鞶鞸鞹鞺鞼鞾鞿韁韄韅韇韉韊韌韍韎韐韑韔韗韘韙韝韞韠韛韡韤韯韱韴韷韸韺頇頊頙頍頎頔頖頜頞頠頣頦"],
    ["8fe8a1", "頫頮頯頰頲頳頵頥頾顄顇顊顑顒顓顖顗顙顚顢顣顥顦顪顬颫颭颮颰颴颷颸颺颻颿飂飅飈飌飡飣飥飦飧飪飳飶餂餇餈餑餕餖餗餚餛餜餟餢餦餧餫餱", 4, "餹餺餻餼饀饁饆饇饈饍饎饔饘饙饛饜饞饟饠馛馝馟馦馰馱馲馵"],
    ["8fe9a1", "馹馺馽馿駃駉駓駔駙駚駜駞駧駪駫駬駰駴駵駹駽駾騂騃騄騋騌騐騑騖騞騠騢騣騤騧騭騮騳騵騶騸驇驁驄驊驋驌驎驑驔驖驝骪骬骮骯骲骴骵骶骹骻骾骿髁髃髆髈髎髐髒髕髖髗髛髜髠髤髥髧髩髬髲髳髵髹髺髽髿", 4],
    ["8feaa1", "鬄鬅鬈鬉鬋鬌鬍鬎鬐鬒鬖鬙鬛鬜鬠鬦鬫鬭鬳鬴鬵鬷鬹鬺鬽魈魋魌魕魖魗魛魞魡魣魥魦魨魪", 4, "魳魵魷魸魹魿鮀鮄鮅鮆鮇鮉鮊鮋鮍鮏鮐鮔鮚鮝鮞鮦鮧鮩鮬鮰鮱鮲鮷鮸鮻鮼鮾鮿鯁鯇鯈鯎鯐鯗鯘鯝鯟鯥鯧鯪鯫鯯鯳鯷鯸"],
    ["8feba1", "鯹鯺鯽鯿鰀鰂鰋鰏鰑鰖鰘鰙鰚鰜鰞鰢鰣鰦", 4, "鰱鰵鰶鰷鰽鱁鱃鱄鱅鱉鱊鱎鱏鱐鱓鱔鱖鱘鱛鱝鱞鱟鱣鱩鱪鱜鱫鱨鱮鱰鱲鱵鱷鱻鳦鳲鳷鳹鴋鴂鴑鴗鴘鴜鴝鴞鴯鴰鴲鴳鴴鴺鴼鵅鴽鵂鵃鵇鵊鵓鵔鵟鵣鵢鵥鵩鵪鵫鵰鵶鵷鵻"],
    ["8feca1", "鵼鵾鶃鶄鶆鶊鶍鶎鶒鶓鶕鶖鶗鶘鶡鶪鶬鶮鶱鶵鶹鶼鶿鷃鷇鷉鷊鷔鷕鷖鷗鷚鷞鷟鷠鷥鷧鷩鷫鷮鷰鷳鷴鷾鸊鸂鸇鸎鸐鸑鸒鸕鸖鸙鸜鸝鹺鹻鹼麀麂麃麄麅麇麎麏麖麘麛麞麤麨麬麮麯麰麳麴麵黆黈黋黕黟黤黧黬黭黮黰黱黲黵"],
    ["8feda1", "黸黿鼂鼃鼉鼏鼐鼑鼒鼔鼖鼗鼙鼚鼛鼟鼢鼦鼪鼫鼯鼱鼲鼴鼷鼹鼺鼼鼽鼿齁齃", 4, "齓齕齖齗齘齚齝齞齨齩齭", 4, "齳齵齺齽龏龐龑龒龔龖龗龞龡龢龣龥"]
  ];
});

// node_modules/iconv-lite/encodings/tables/cp936.json
var require_cp9362 = __commonJS((exports, module) => {
  module.exports = [
    ["0", "\x00", 127, "€"],
    ["8140", "丂丄丅丆丏丒丗丟丠両丣並丩丮丯丱丳丵丷丼乀乁乂乄乆乊乑乕乗乚乛乢乣乤乥乧乨乪", 5, "乲乴", 9, "乿", 6, "亇亊"],
    ["8180", "亐亖亗亙亜亝亞亣亪亯亰亱亴亶亷亸亹亼亽亾仈仌仏仐仒仚仛仜仠仢仦仧仩仭仮仯仱仴仸仹仺仼仾伀伂", 6, "伋伌伒", 4, "伜伝伡伣伨伩伬伭伮伱伳伵伷伹伻伾", 4, "佄佅佇", 5, "佒佔佖佡佢佦佨佪佫佭佮佱佲併佷佸佹佺佽侀侁侂侅來侇侊侌侎侐侒侓侕侖侘侙侚侜侞侟価侢"],
    ["8240", "侤侫侭侰", 4, "侶", 8, "俀俁係俆俇俈俉俋俌俍俒", 4, "俙俛俠俢俤俥俧俫俬俰俲俴俵俶俷俹俻俼俽俿", 11],
    ["8280", "個倎倐們倓倕倖倗倛倝倞倠倢倣値倧倫倯", 10, "倻倽倿偀偁偂偄偅偆偉偊偋偍偐", 4, "偖偗偘偙偛偝", 7, "偦", 5, "偭", 8, "偸偹偺偼偽傁傂傃傄傆傇傉傊傋傌傎", 20, "傤傦傪傫傭", 4, "傳", 6, "傼"],
    ["8340", "傽", 17, "僐", 5, "僗僘僙僛", 10, "僨僩僪僫僯僰僱僲僴僶", 4, "僼", 9, "儈"],
    ["8380", "儉儊儌", 5, "儓", 13, "儢", 28, "兂兇兊兌兎兏児兒兓兗兘兙兛兝", 4, "兣兤兦內兩兪兯兲兺兾兿冃冄円冇冊冋冎冏冐冑冓冔冘冚冝冞冟冡冣冦", 4, "冭冮冴冸冹冺冾冿凁凂凃凅凈凊凍凎凐凒", 5],
    ["8440", "凘凙凚凜凞凟凢凣凥", 5, "凬凮凱凲凴凷凾刄刅刉刋刌刏刐刓刔刕刜刞刟刡刢刣別刦刧刪刬刯刱刲刴刵刼刾剄", 5, "剋剎剏剒剓剕剗剘"],
    ["8480", "剙剚剛剝剟剠剢剣剤剦剨剫剬剭剮剰剱剳", 9, "剾劀劃", 4, "劉", 6, "劑劒劔", 6, "劜劤劥劦劧劮劯劰労", 9, "勀勁勂勄勅勆勈勊勌勍勎勏勑勓勔動勗務", 5, "勠勡勢勣勥", 10, "勱", 7, "勻勼勽匁匂匃匄匇匉匊匋匌匎"],
    ["8540", "匑匒匓匔匘匛匜匞匟匢匤匥匧匨匩匫匬匭匯", 9, "匼匽區卂卄卆卋卌卍卐協単卙卛卝卥卨卪卬卭卲卶卹卻卼卽卾厀厁厃厇厈厊厎厏"],
    ["8580", "厐", 4, "厖厗厙厛厜厞厠厡厤厧厪厫厬厭厯", 6, "厷厸厹厺厼厽厾叀參", 4, "収叏叐叒叓叕叚叜叝叞叡叢叧叴叺叾叿吀吂吅吇吋吔吘吙吚吜吢吤吥吪吰吳吶吷吺吽吿呁呂呄呅呇呉呌呍呎呏呑呚呝", 4, "呣呥呧呩", 7, "呴呹呺呾呿咁咃咅咇咈咉咊咍咑咓咗咘咜咞咟咠咡"],
    ["8640", "咢咥咮咰咲咵咶咷咹咺咼咾哃哅哊哋哖哘哛哠", 4, "哫哬哯哰哱哴", 5, "哻哾唀唂唃唄唅唈唊", 4, "唒唓唕", 5, "唜唝唞唟唡唥唦"],
    ["8680", "唨唩唫唭唲唴唵唶唸唹唺唻唽啀啂啅啇啈啋", 4, "啑啒啓啔啗", 4, "啝啞啟啠啢啣啨啩啫啯", 5, "啹啺啽啿喅喆喌喍喎喐喒喓喕喖喗喚喛喞喠", 6, "喨", 8, "喲喴営喸喺喼喿", 4, "嗆嗇嗈嗊嗋嗎嗏嗐嗕嗗", 4, "嗞嗠嗢嗧嗩嗭嗮嗰嗱嗴嗶嗸", 4, "嗿嘂嘃嘄嘅"],
    ["8740", "嘆嘇嘊嘋嘍嘐", 7, "嘙嘚嘜嘝嘠嘡嘢嘥嘦嘨嘩嘪嘫嘮嘯嘰嘳嘵嘷嘸嘺嘼嘽嘾噀", 11, "噏", 4, "噕噖噚噛噝", 4],
    ["8780", "噣噥噦噧噭噮噯噰噲噳噴噵噷噸噹噺噽", 7, "嚇", 6, "嚐嚑嚒嚔", 14, "嚤", 10, "嚰", 6, "嚸嚹嚺嚻嚽", 12, "囋", 8, "囕囖囘囙囜団囥", 5, "囬囮囯囲図囶囷囸囻囼圀圁圂圅圇國", 6],
    ["8840", "園", 9, "圝圞圠圡圢圤圥圦圧圫圱圲圴", 4, "圼圽圿坁坃坄坅坆坈坉坋坒", 4, "坘坙坢坣坥坧坬坮坰坱坲坴坵坸坹坺坽坾坿垀"],
    ["8880", "垁垇垈垉垊垍", 4, "垔", 6, "垜垝垞垟垥垨垪垬垯垰垱垳垵垶垷垹", 8, "埄", 6, "埌埍埐埑埓埖埗埛埜埞埡埢埣埥", 7, "埮埰埱埲埳埵埶執埻埼埾埿堁堃堄堅堈堉堊堌堎堏堐堒堓堔堖堗堘堚堛堜堝堟堢堣堥", 4, "堫", 4, "報堲堳場堶", 7],
    ["8940", "堾", 5, "塅", 6, "塎塏塐塒塓塕塖塗塙", 4, "塟", 5, "塦", 4, "塭", 16, "塿墂墄墆墇墈墊墋墌"],
    ["8980", "墍", 4, "墔", 4, "墛墜墝墠", 7, "墪", 17, "墽墾墿壀壂壃壄壆", 10, "壒壓壔壖", 13, "壥", 5, "壭壯壱売壴壵壷壸壺", 7, "夃夅夆夈", 4, "夎夐夑夒夓夗夘夛夝夞夠夡夢夣夦夨夬夰夲夳夵夶夻"],
    ["8a40", "夽夾夿奀奃奅奆奊奌奍奐奒奓奙奛", 4, "奡奣奤奦", 12, "奵奷奺奻奼奾奿妀妅妉妋妌妎妏妐妑妔妕妘妚妛妜妝妟妠妡妢妦"],
    ["8a80", "妧妬妭妰妱妳", 5, "妺妼妽妿", 6, "姇姈姉姌姍姎姏姕姖姙姛姞", 4, "姤姦姧姩姪姫姭", 11, "姺姼姽姾娀娂娊娋娍娎娏娐娒娔娕娖娗娙娚娛娝娞娡娢娤娦娧娨娪", 6, "娳娵娷", 4, "娽娾娿婁", 4, "婇婈婋", 9, "婖婗婘婙婛", 5],
    ["8b40", "婡婣婤婥婦婨婩婫", 8, "婸婹婻婼婽婾媀", 17, "媓", 6, "媜", 13, "媫媬"],
    ["8b80", "媭", 4, "媴媶媷媹", 4, "媿嫀嫃", 5, "嫊嫋嫍", 4, "嫓嫕嫗嫙嫚嫛嫝嫞嫟嫢嫤嫥嫧嫨嫪嫬", 4, "嫲", 22, "嬊", 11, "嬘", 25, "嬳嬵嬶嬸", 7, "孁", 6],
    ["8c40", "孈", 7, "孒孖孞孠孡孧孨孫孭孮孯孲孴孶孷學孹孻孼孾孿宂宆宊宍宎宐宑宒宔宖実宧宨宩宬宭宮宯宱宲宷宺宻宼寀寁寃寈寉寊寋寍寎寏"],
    ["8c80", "寑寔", 8, "寠寢寣實寧審", 4, "寯寱", 6, "寽対尀専尃尅將專尋尌對導尐尒尓尗尙尛尞尟尠尡尣尦尨尩尪尫尭尮尯尰尲尳尵尶尷屃屄屆屇屌屍屒屓屔屖屗屘屚屛屜屝屟屢層屧", 6, "屰屲", 6, "屻屼屽屾岀岃", 4, "岉岊岋岎岏岒岓岕岝", 4, "岤", 4],
    ["8d40", "岪岮岯岰岲岴岶岹岺岻岼岾峀峂峃峅", 5, "峌", 5, "峓", 5, "峚", 6, "峢峣峧峩峫峬峮峯峱", 9, "峼", 4],
    ["8d80", "崁崄崅崈", 5, "崏", 4, "崕崗崘崙崚崜崝崟", 4, "崥崨崪崫崬崯", 4, "崵", 7, "崿", 7, "嵈嵉嵍", 10, "嵙嵚嵜嵞", 10, "嵪嵭嵮嵰嵱嵲嵳嵵", 12, "嶃", 21, "嶚嶛嶜嶞嶟嶠"],
    ["8e40", "嶡", 21, "嶸", 12, "巆", 6, "巎", 12, "巜巟巠巣巤巪巬巭"],
    ["8e80", "巰巵巶巸", 4, "巿帀帄帇帉帊帋帍帎帒帓帗帞", 7, "帨", 4, "帯帰帲", 4, "帹帺帾帿幀幁幃幆", 5, "幍", 6, "幖", 4, "幜幝幟幠幣", 14, "幵幷幹幾庁庂広庅庈庉庌庍庎庒庘庛庝庡庢庣庤庨", 4, "庮", 4, "庴庺庻庼庽庿", 6],
    ["8f40", "廆廇廈廋", 5, "廔廕廗廘廙廚廜", 11, "廩廫", 8, "廵廸廹廻廼廽弅弆弇弉弌弍弎弐弒弔弖弙弚弜弝弞弡弢弣弤"],
    ["8f80", "弨弫弬弮弰弲", 6, "弻弽弾弿彁", 14, "彑彔彙彚彛彜彞彟彠彣彥彧彨彫彮彯彲彴彵彶彸彺彽彾彿徃徆徍徎徏徑従徔徖徚徛徝從徟徠徢", 5, "復徫徬徯", 5, "徶徸徹徺徻徾", 4, "忇忈忊忋忎忓忔忕忚忛応忞忟忢忣忥忦忨忩忬忯忰忲忳忴忶忷忹忺忼怇"],
    ["9040", "怈怉怋怌怐怑怓怗怘怚怞怟怢怣怤怬怭怮怰", 4, "怶", 4, "怽怾恀恄", 6, "恌恎恏恑恓恔恖恗恘恛恜恞恟恠恡恥恦恮恱恲恴恵恷恾悀"],
    ["9080", "悁悂悅悆悇悈悊悋悎悏悐悑悓悕悗悘悙悜悞悡悢悤悥悧悩悪悮悰悳悵悶悷悹悺悽", 7, "惇惈惉惌", 4, "惒惓惔惖惗惙惛惞惡", 4, "惪惱惲惵惷惸惻", 4, "愂愃愄愅愇愊愋愌愐", 4, "愖愗愘愙愛愜愝愞愡愢愥愨愩愪愬", 18, "慀", 6],
    ["9140", "慇慉態慍慏慐慒慓慔慖", 6, "慞慟慠慡慣慤慥慦慩", 6, "慱慲慳慴慶慸", 18, "憌憍憏", 4, "憕"],
    ["9180", "憖", 6, "憞", 8, "憪憫憭", 9, "憸", 5, "憿懀懁懃", 4, "應懌", 4, "懓懕", 16, "懧", 13, "懶", 8, "戀", 5, "戇戉戓戔戙戜戝戞戠戣戦戧戨戩戫戭戯戰戱戲戵戶戸", 4, "扂扄扅扆扊"],
    ["9240", "扏扐払扖扗扙扚扜", 6, "扤扥扨扱扲扴扵扷扸扺扻扽抁抂抃抅抆抇抈抋", 5, "抔抙抜抝択抣抦抧抩抪抭抮抯抰抲抳抴抶抷抸抺抾拀拁"],
    ["9280", "拃拋拏拑拕拝拞拠拡拤拪拫拰拲拵拸拹拺拻挀挃挄挅挆挊挋挌挍挏挐挒挓挔挕挗挘挙挜挦挧挩挬挭挮挰挱挳", 5, "挻挼挾挿捀捁捄捇捈捊捑捒捓捔捖", 7, "捠捤捥捦捨捪捫捬捯捰捲捳捴捵捸捹捼捽捾捿掁掃掄掅掆掋掍掑掓掔掕掗掙", 6, "採掤掦掫掯掱掲掵掶掹掻掽掿揀"],
    ["9340", "揁揂揃揅揇揈揊揋揌揑揓揔揕揗", 6, "揟揢揤", 4, "揫揬揮揯揰揱揳揵揷揹揺揻揼揾搃搄搆", 4, "損搎搑搒搕", 5, "搝搟搢搣搤"],
    ["9380", "搥搧搨搩搫搮", 5, "搵", 4, "搻搼搾摀摂摃摉摋", 6, "摓摕摖摗摙", 4, "摟", 7, "摨摪摫摬摮", 9, "摻", 6, "撃撆撈", 8, "撓撔撗撘撚撛撜撝撟", 4, "撥撦撧撨撪撫撯撱撲撳撴撶撹撻撽撾撿擁擃擄擆", 6, "擏擑擓擔擕擖擙據"],
    ["9440", "擛擜擝擟擠擡擣擥擧", 24, "攁", 7, "攊", 7, "攓", 4, "攙", 8],
    ["9480", "攢攣攤攦", 4, "攬攭攰攱攲攳攷攺攼攽敀", 4, "敆敇敊敋敍敎敐敒敓敔敗敘敚敜敟敠敡敤敥敧敨敩敪敭敮敯敱敳敵敶數", 14, "斈斉斊斍斎斏斒斔斕斖斘斚斝斞斠斢斣斦斨斪斬斮斱", 7, "斺斻斾斿旀旂旇旈旉旊旍旐旑旓旔旕旘", 7, "旡旣旤旪旫"],
    ["9540", "旲旳旴旵旸旹旻", 4, "昁昄昅昇昈昉昋昍昐昑昒昖昗昘昚昛昜昞昡昢昣昤昦昩昪昫昬昮昰昲昳昷", 4, "昽昿晀時晄", 6, "晍晎晐晑晘"],
    ["9580", "晙晛晜晝晞晠晢晣晥晧晩", 4, "晱晲晳晵晸晹晻晼晽晿暀暁暃暅暆暈暉暊暋暍暎暏暐暒暓暔暕暘", 4, "暞", 8, "暩", 4, "暯", 4, "暵暶暷暸暺暻暼暽暿", 25, "曚曞", 7, "曧曨曪", 5, "曱曵曶書曺曻曽朁朂會"],
    ["9640", "朄朅朆朇朌朎朏朑朒朓朖朘朙朚朜朞朠", 5, "朧朩朮朰朲朳朶朷朸朹朻朼朾朿杁杄杅杇杊杋杍杒杔杕杗", 4, "杝杢杣杤杦杧杫杬杮東杴杶"],
    ["9680", "杸杹杺杻杽枀枂枃枅枆枈枊枌枍枎枏枑枒枓枔枖枙枛枟枠枡枤枦枩枬枮枱枲枴枹", 7, "柂柅", 9, "柕柖柗柛柟柡柣柤柦柧柨柪柫柭柮柲柵", 7, "柾栁栂栃栄栆栍栐栒栔栕栘", 4, "栞栟栠栢", 6, "栫", 6, "栴栵栶栺栻栿桇桋桍桏桒桖", 5],
    ["9740", "桜桝桞桟桪桬", 7, "桵桸", 8, "梂梄梇", 7, "梐梑梒梔梕梖梘", 9, "梣梤梥梩梪梫梬梮梱梲梴梶梷梸"],
    ["9780", "梹", 6, "棁棃", 5, "棊棌棎棏棐棑棓棔棖棗棙棛", 4, "棡棢棤", 9, "棯棲棳棴棶棷棸棻棽棾棿椀椂椃椄椆", 4, "椌椏椑椓", 11, "椡椢椣椥", 7, "椮椯椱椲椳椵椶椷椸椺椻椼椾楀楁楃", 16, "楕楖楘楙楛楜楟"],
    ["9840", "楡楢楤楥楧楨楩楪楬業楯楰楲", 4, "楺楻楽楾楿榁榃榅榊榋榌榎", 5, "榖榗榙榚榝", 9, "榩榪榬榮榯榰榲榳榵榶榸榹榺榼榽"],
    ["9880", "榾榿槀槂", 7, "構槍槏槑槒槓槕", 5, "槜槝槞槡", 11, "槮槯槰槱槳", 9, "槾樀", 9, "樋", 11, "標", 5, "樠樢", 5, "権樫樬樭樮樰樲樳樴樶", 6, "樿", 4, "橅橆橈", 7, "橑", 6, "橚"],
    ["9940", "橜", 4, "橢橣橤橦", 10, "橲", 6, "橺橻橽橾橿檁檂檃檅", 8, "檏檒", 4, "檘", 7, "檡", 5],
    ["9980", "檧檨檪檭", 114, "欥欦欨", 6],
    ["9a40", "欯欰欱欳欴欵欶欸欻欼欽欿歀歁歂歄歅歈歊歋歍", 11, "歚", 7, "歨歩歫", 13, "歺歽歾歿殀殅殈"],
    ["9a80", "殌殎殏殐殑殔殕殗殘殙殜", 4, "殢", 7, "殫", 7, "殶殸", 6, "毀毃毄毆", 4, "毌毎毐毑毘毚毜", 4, "毢", 7, "毬毭毮毰毱毲毴毶毷毸毺毻毼毾", 6, "氈", 4, "氎氒気氜氝氞氠氣氥氫氬氭氱氳氶氷氹氺氻氼氾氿汃汄汅汈汋", 4, "汑汒汓汖汘"],
    ["9b40", "汙汚汢汣汥汦汧汫", 4, "汱汳汵汷汸決汻汼汿沀沄沇沊沋沍沎沑沒沕沖沗沘沚沜沝沞沠沢沨沬沯沰沴沵沶沷沺泀況泂泃泆泇泈泋泍泎泏泑泒泘"],
    ["9b80", "泙泚泜泝泟泤泦泧泩泬泭泲泴泹泿洀洂洃洅洆洈洉洊洍洏洐洑洓洔洕洖洘洜洝洟", 5, "洦洨洩洬洭洯洰洴洶洷洸洺洿浀浂浄浉浌浐浕浖浗浘浛浝浟浡浢浤浥浧浨浫浬浭浰浱浲浳浵浶浹浺浻浽", 4, "涃涄涆涇涊涋涍涏涐涒涖", 4, "涜涢涥涬涭涰涱涳涴涶涷涹", 5, "淁淂淃淈淉淊"],
    ["9c40", "淍淎淏淐淒淓淔淕淗淚淛淜淟淢淣淥淧淨淩淪淭淯淰淲淴淵淶淸淺淽", 7, "渆渇済渉渋渏渒渓渕渘渙減渜渞渟渢渦渧渨渪測渮渰渱渳渵"],
    ["9c80", "渶渷渹渻", 7, "湅", 7, "湏湐湑湒湕湗湙湚湜湝湞湠", 10, "湬湭湯", 14, "満溁溂溄溇溈溊", 4, "溑", 6, "溙溚溛溝溞溠溡溣溤溦溨溩溫溬溭溮溰溳溵溸溹溼溾溿滀滃滄滅滆滈滉滊滌滍滎滐滒滖滘滙滛滜滝滣滧滪", 5],
    ["9d40", "滰滱滲滳滵滶滷滸滺", 7, "漃漄漅漇漈漊", 4, "漐漑漒漖", 9, "漡漢漣漥漦漧漨漬漮漰漲漴漵漷", 6, "漿潀潁潂"],
    ["9d80", "潃潄潅潈潉潊潌潎", 9, "潙潚潛潝潟潠潡潣潤潥潧", 5, "潯潰潱潳潵潶潷潹潻潽", 6, "澅澆澇澊澋澏", 12, "澝澞澟澠澢", 4, "澨", 10, "澴澵澷澸澺", 5, "濁濃", 5, "濊", 6, "濓", 10, "濟濢濣濤濥"],
    ["9e40", "濦", 7, "濰", 32, "瀒", 7, "瀜", 6, "瀤", 6],
    ["9e80", "瀫", 9, "瀶瀷瀸瀺", 17, "灍灎灐", 13, "灟", 11, "灮灱灲灳灴灷灹灺灻災炁炂炃炄炆炇炈炋炌炍炏炐炑炓炗炘炚炛炞", 12, "炰炲炴炵炶為炾炿烄烅烆烇烉烋", 12, "烚"],
    ["9f40", "烜烝烞烠烡烢烣烥烪烮烰", 6, "烸烺烻烼烾", 10, "焋", 4, "焑焒焔焗焛", 10, "焧", 7, "焲焳焴"],
    ["9f80", "焵焷", 13, "煆煇煈煉煋煍煏", 12, "煝煟", 4, "煥煩", 4, "煯煰煱煴煵煶煷煹煻煼煾", 5, "熅", 4, "熋熌熍熎熐熑熒熓熕熖熗熚", 4, "熡", 6, "熩熪熫熭", 5, "熴熶熷熸熺", 8, "燄", 9, "燏", 4],
    ["a040", "燖", 9, "燡燢燣燤燦燨", 5, "燯", 9, "燺", 11, "爇", 19],
    ["a080", "爛爜爞", 9, "爩爫爭爮爯爲爳爴爺爼爾牀", 6, "牉牊牋牎牏牐牑牓牔牕牗牘牚牜牞牠牣牤牥牨牪牫牬牭牰牱牳牴牶牷牸牻牼牽犂犃犅", 4, "犌犎犐犑犓", 11, "犠", 11, "犮犱犲犳犵犺", 6, "狅狆狇狉狊狋狌狏狑狓狔狕狖狘狚狛"],
    ["a1a1", "　、。·ˉˇ¨〃々—～‖…‘’“”〔〕〈", 7, "〖〗【】±×÷∶∧∨∑∏∪∩∈∷√⊥∥∠⌒⊙∫∮≡≌≈∽∝≠≮≯≤≥∞∵∴♂♀°′″℃＄¤￠￡‰§№☆★○●◎◇◆□■△▲※→←↑↓〓"],
    ["a2a1", "ⅰ", 9],
    ["a2b1", "⒈", 19, "⑴", 19, "①", 9],
    ["a2e5", "㈠", 9],
    ["a2f1", "Ⅰ", 11],
    ["a3a1", "！＂＃￥％", 88, "￣"],
    ["a4a1", "ぁ", 82],
    ["a5a1", "ァ", 85],
    ["a6a1", "Α", 16, "Σ", 6],
    ["a6c1", "α", 16, "σ", 6],
    ["a6e0", "︵︶︹︺︿﹀︽︾﹁﹂﹃﹄"],
    ["a6ee", "︻︼︷︸︱"],
    ["a6f4", "︳︴"],
    ["a7a1", "А", 5, "ЁЖ", 25],
    ["a7d1", "а", 5, "ёж", 25],
    ["a840", "ˊˋ˙–―‥‵℅℉↖↗↘↙∕∟∣≒≦≧⊿═", 35, "▁", 6],
    ["a880", "█", 7, "▓▔▕▼▽◢◣◤◥☉⊕〒〝〞"],
    ["a8a1", "āáǎàēéěèīíǐìōóǒòūúǔùǖǘǚǜüêɑ"],
    ["a8bd", "ńň"],
    ["a8c0", "ɡ"],
    ["a8c5", "ㄅ", 36],
    ["a940", "〡", 8, "㊣㎎㎏㎜㎝㎞㎡㏄㏎㏑㏒㏕︰￢￤"],
    ["a959", "℡㈱"],
    ["a95c", "‐"],
    ["a960", "ー゛゜ヽヾ〆ゝゞ﹉", 9, "﹔﹕﹖﹗﹙", 8],
    ["a980", "﹢", 4, "﹨﹩﹪﹫"],
    ["a996", "〇"],
    ["a9a4", "─", 75],
    ["aa40", "狜狝狟狢", 5, "狪狫狵狶狹狽狾狿猀猂猄", 5, "猋猌猍猏猐猑猒猔猘猙猚猟猠猣猤猦猧猨猭猯猰猲猳猵猶猺猻猼猽獀", 8],
    ["aa80", "獉獊獋獌獎獏獑獓獔獕獖獘", 7, "獡", 10, "獮獰獱"],
    ["ab40", "獲", 11, "獿", 4, "玅玆玈玊玌玍玏玐玒玓玔玕玗玘玙玚玜玝玞玠玡玣", 5, "玪玬玭玱玴玵玶玸玹玼玽玾玿珁珃", 4],
    ["ab80", "珋珌珎珒", 6, "珚珛珜珝珟珡珢珣珤珦珨珪珫珬珮珯珰珱珳", 4],
    ["ac40", "珸", 10, "琄琇琈琋琌琍琎琑", 8, "琜", 5, "琣琤琧琩琫琭琯琱琲琷", 4, "琽琾琿瑀瑂", 11],
    ["ac80", "瑎", 6, "瑖瑘瑝瑠", 12, "瑮瑯瑱", 4, "瑸瑹瑺"],
    ["ad40", "瑻瑼瑽瑿璂璄璅璆璈璉璊璌璍璏璑", 10, "璝璟", 7, "璪", 15, "璻", 12],
    ["ad80", "瓈", 9, "瓓", 8, "瓝瓟瓡瓥瓧", 6, "瓰瓱瓲"],
    ["ae40", "瓳瓵瓸", 6, "甀甁甂甃甅", 7, "甎甐甒甔甕甖甗甛甝甞甠", 4, "甦甧甪甮甴甶甹甼甽甿畁畂畃畄畆畇畉畊畍畐畑畒畓畕畖畗畘"],
    ["ae80", "畝", 7, "畧畨畩畫", 6, "畳畵當畷畺", 4, "疀疁疂疄疅疇"],
    ["af40", "疈疉疊疌疍疎疐疓疕疘疛疜疞疢疦", 4, "疭疶疷疺疻疿痀痁痆痋痌痎痏痐痑痓痗痙痚痜痝痟痠痡痥痩痬痭痮痯痲痳痵痶痷痸痺痻痽痾瘂瘄瘆瘇"],
    ["af80", "瘈瘉瘋瘍瘎瘏瘑瘒瘓瘔瘖瘚瘜瘝瘞瘡瘣瘧瘨瘬瘮瘯瘱瘲瘶瘷瘹瘺瘻瘽癁療癄"],
    ["b040", "癅", 6, "癎", 5, "癕癗", 4, "癝癟癠癡癢癤", 6, "癬癭癮癰", 7, "癹発發癿皀皁皃皅皉皊皌皍皏皐皒皔皕皗皘皚皛"],
    ["b080", "皜", 7, "皥", 8, "皯皰皳皵", 9, "盀盁盃啊阿埃挨哎唉哀皑癌蔼矮艾碍爱隘鞍氨安俺按暗岸胺案肮昂盎凹敖熬翱袄傲奥懊澳芭捌扒叭吧笆八疤巴拔跋靶把耙坝霸罢爸白柏百摆佰败拜稗斑班搬扳般颁板版扮拌伴瓣半办绊邦帮梆榜膀绑棒磅蚌镑傍谤苞胞包褒剥"],
    ["b140", "盄盇盉盋盌盓盕盙盚盜盝盞盠", 4, "盦", 7, "盰盳盵盶盷盺盻盽盿眀眂眃眅眆眊県眎", 10, "眛眜眝眞眡眣眤眥眧眪眫"],
    ["b180", "眬眮眰", 4, "眹眻眽眾眿睂睄睅睆睈", 7, "睒", 7, "睜薄雹保堡饱宝抱报暴豹鲍爆杯碑悲卑北辈背贝钡倍狈备惫焙被奔苯本笨崩绷甭泵蹦迸逼鼻比鄙笔彼碧蓖蔽毕毙毖币庇痹闭敝弊必辟壁臂避陛鞭边编贬扁便变卞辨辩辫遍标彪膘表鳖憋别瘪彬斌濒滨宾摈兵冰柄丙秉饼炳"],
    ["b240", "睝睞睟睠睤睧睩睪睭", 11, "睺睻睼瞁瞂瞃瞆", 5, "瞏瞐瞓", 11, "瞡瞣瞤瞦瞨瞫瞭瞮瞯瞱瞲瞴瞶", 4],
    ["b280", "瞼瞾矀", 12, "矎", 8, "矘矙矚矝", 4, "矤病并玻菠播拨钵波博勃搏铂箔伯帛舶脖膊渤泊驳捕卜哺补埠不布步簿部怖擦猜裁材才财睬踩采彩菜蔡餐参蚕残惭惨灿苍舱仓沧藏操糙槽曹草厕策侧册测层蹭插叉茬茶查碴搽察岔差诧拆柴豺搀掺蝉馋谗缠铲产阐颤昌猖"],
    ["b340", "矦矨矪矯矰矱矲矴矵矷矹矺矻矼砃", 5, "砊砋砎砏砐砓砕砙砛砞砠砡砢砤砨砪砫砮砯砱砲砳砵砶砽砿硁硂硃硄硆硈硉硊硋硍硏硑硓硔硘硙硚"],
    ["b380", "硛硜硞", 11, "硯", 7, "硸硹硺硻硽", 6, "场尝常长偿肠厂敞畅唱倡超抄钞朝嘲潮巢吵炒车扯撤掣彻澈郴臣辰尘晨忱沉陈趁衬撑称城橙成呈乘程惩澄诚承逞骋秤吃痴持匙池迟弛驰耻齿侈尺赤翅斥炽充冲虫崇宠抽酬畴踌稠愁筹仇绸瞅丑臭初出橱厨躇锄雏滁除楚"],
    ["b440", "碄碅碆碈碊碋碏碐碒碔碕碖碙碝碞碠碢碤碦碨", 7, "碵碶碷碸確碻碼碽碿磀磂磃磄磆磇磈磌磍磎磏磑磒磓磖磗磘磚", 9],
    ["b480", "磤磥磦磧磩磪磫磭", 4, "磳磵磶磸磹磻", 5, "礂礃礄礆", 6, "础储矗搐触处揣川穿椽传船喘串疮窗幢床闯创吹炊捶锤垂春椿醇唇淳纯蠢戳绰疵茨磁雌辞慈瓷词此刺赐次聪葱囱匆从丛凑粗醋簇促蹿篡窜摧崔催脆瘁粹淬翠村存寸磋撮搓措挫错搭达答瘩打大呆歹傣戴带殆代贷袋待逮"],
    ["b540", "礍", 5, "礔", 9, "礟", 4, "礥", 14, "礵", 4, "礽礿祂祃祄祅祇祊", 8, "祔祕祘祙祡祣"],
    ["b580", "祤祦祩祪祫祬祮祰", 6, "祹祻", 4, "禂禃禆禇禈禉禋禌禍禎禐禑禒怠耽担丹单郸掸胆旦氮但惮淡诞弹蛋当挡党荡档刀捣蹈倒岛祷导到稻悼道盗德得的蹬灯登等瞪凳邓堤低滴迪敌笛狄涤翟嫡抵底地蒂第帝弟递缔颠掂滇碘点典靛垫电佃甸店惦奠淀殿碉叼雕凋刁掉吊钓调跌爹碟蝶迭谍叠"],
    ["b640", "禓", 6, "禛", 11, "禨", 10, "禴", 4, "禼禿秂秄秅秇秈秊秌秎秏秐秓秔秖秗秙", 5, "秠秡秢秥秨秪"],
    ["b680", "秬秮秱", 6, "秹秺秼秾秿稁稄稅稇稈稉稊稌稏", 4, "稕稖稘稙稛稜丁盯叮钉顶鼎锭定订丢东冬董懂动栋侗恫冻洞兜抖斗陡豆逗痘都督毒犊独读堵睹赌杜镀肚度渡妒端短锻段断缎堆兑队对墩吨蹲敦顿囤钝盾遁掇哆多夺垛躲朵跺舵剁惰堕蛾峨鹅俄额讹娥恶厄扼遏鄂饿恩而儿耳尔饵洱二"],
    ["b740", "稝稟稡稢稤", 14, "稴稵稶稸稺稾穀", 5, "穇", 9, "穒", 4, "穘", 16],
    ["b780", "穩", 6, "穱穲穳穵穻穼穽穾窂窅窇窉窊窋窌窎窏窐窓窔窙窚窛窞窡窢贰发罚筏伐乏阀法珐藩帆番翻樊矾钒繁凡烦反返范贩犯饭泛坊芳方肪房防妨仿访纺放菲非啡飞肥匪诽吠肺废沸费芬酚吩氛分纷坟焚汾粉奋份忿愤粪丰封枫蜂峰锋风疯烽逢冯缝讽奉凤佛否夫敷肤孵扶拂辐幅氟符伏俘服"],
    ["b840", "窣窤窧窩窪窫窮", 4, "窴", 10, "竀", 10, "竌", 9, "竗竘竚竛竜竝竡竢竤竧", 5, "竮竰竱竲竳"],
    ["b880", "竴", 4, "竻竼竾笀笁笂笅笇笉笌笍笎笐笒笓笖笗笘笚笜笝笟笡笢笣笧笩笭浮涪福袱弗甫抚辅俯釜斧脯腑府腐赴副覆赋复傅付阜父腹负富讣附妇缚咐噶嘎该改概钙盖溉干甘杆柑竿肝赶感秆敢赣冈刚钢缸肛纲岗港杠篙皋高膏羔糕搞镐稿告哥歌搁戈鸽胳疙割革葛格蛤阁隔铬个各给根跟耕更庚羹"],
    ["b940", "笯笰笲笴笵笶笷笹笻笽笿", 5, "筆筈筊筍筎筓筕筗筙筜筞筟筡筣", 10, "筯筰筳筴筶筸筺筼筽筿箁箂箃箄箆", 6, "箎箏"],
    ["b980", "箑箒箓箖箘箙箚箛箞箟箠箣箤箥箮箯箰箲箳箵箶箷箹", 7, "篂篃範埂耿梗工攻功恭龚供躬公宫弓巩汞拱贡共钩勾沟苟狗垢构购够辜菇咕箍估沽孤姑鼓古蛊骨谷股故顾固雇刮瓜剐寡挂褂乖拐怪棺关官冠观管馆罐惯灌贯光广逛瑰规圭硅归龟闺轨鬼诡癸桂柜跪贵刽辊滚棍锅郭国果裹过哈"],
    ["ba40", "篅篈築篊篋篍篎篏篐篒篔", 4, "篛篜篞篟篠篢篣篤篧篨篩篫篬篭篯篰篲", 4, "篸篹篺篻篽篿", 7, "簈簉簊簍簎簐", 5, "簗簘簙"],
    ["ba80", "簚", 4, "簠", 5, "簨簩簫", 12, "簹", 5, "籂骸孩海氦亥害骇酣憨邯韩含涵寒函喊罕翰撼捍旱憾悍焊汗汉夯杭航壕嚎豪毫郝好耗号浩呵喝荷菏核禾和何合盒貉阂河涸赫褐鹤贺嘿黑痕很狠恨哼亨横衡恒轰哄烘虹鸿洪宏弘红喉侯猴吼厚候后呼乎忽瑚壶葫胡蝴狐糊湖"],
    ["bb40", "籃", 9, "籎", 36, "籵", 5, "籾", 9],
    ["bb80", "粈粊", 6, "粓粔粖粙粚粛粠粡粣粦粧粨粩粫粬粭粯粰粴", 4, "粺粻弧虎唬护互沪户花哗华猾滑画划化话槐徊怀淮坏欢环桓还缓换患唤痪豢焕涣宦幻荒慌黄磺蝗簧皇凰惶煌晃幌恍谎灰挥辉徽恢蛔回毁悔慧卉惠晦贿秽会烩汇讳诲绘荤昏婚魂浑混豁活伙火获或惑霍货祸击圾基机畸稽积箕"],
    ["bc40", "粿糀糂糃糄糆糉糋糎", 6, "糘糚糛糝糞糡", 6, "糩", 5, "糰", 7, "糹糺糼", 13, "紋", 5],
    ["bc80", "紑", 14, "紡紣紤紥紦紨紩紪紬紭紮細", 6, "肌饥迹激讥鸡姬绩缉吉极棘辑籍集及急疾汲即嫉级挤几脊己蓟技冀季伎祭剂悸济寄寂计记既忌际妓继纪嘉枷夹佳家加荚颊贾甲钾假稼价架驾嫁歼监坚尖笺间煎兼肩艰奸缄茧检柬碱硷拣捡简俭剪减荐槛鉴践贱见键箭件"],
    ["bd40", "紷", 54, "絯", 7],
    ["bd80", "絸", 32, "健舰剑饯渐溅涧建僵姜将浆江疆蒋桨奖讲匠酱降蕉椒礁焦胶交郊浇骄娇嚼搅铰矫侥脚狡角饺缴绞剿教酵轿较叫窖揭接皆秸街阶截劫节桔杰捷睫竭洁结解姐戒藉芥界借介疥诫届巾筋斤金今津襟紧锦仅谨进靳晋禁近烬浸"],
    ["be40", "継", 12, "綧", 6, "綯", 42],
    ["be80", "線", 32, "尽劲荆兢茎睛晶鲸京惊精粳经井警景颈静境敬镜径痉靖竟竞净炯窘揪究纠玖韭久灸九酒厩救旧臼舅咎就疚鞠拘狙疽居驹菊局咀矩举沮聚拒据巨具距踞锯俱句惧炬剧捐鹃娟倦眷卷绢撅攫抉掘倔爵觉决诀绝均菌钧军君峻"],
    ["bf40", "緻", 62],
    ["bf80", "縺縼", 4, "繂", 4, "繈", 21, "俊竣浚郡骏喀咖卡咯开揩楷凯慨刊堪勘坎砍看康慷糠扛抗亢炕考拷烤靠坷苛柯棵磕颗科壳咳可渴克刻客课肯啃垦恳坑吭空恐孔控抠口扣寇枯哭窟苦酷库裤夸垮挎跨胯块筷侩快宽款匡筐狂框矿眶旷况亏盔岿窥葵奎魁傀"],
    ["c040", "繞", 35, "纃", 23, "纜纝纞"],
    ["c080", "纮纴纻纼绖绤绬绹缊缐缞缷缹缻", 6, "罃罆", 9, "罒罓馈愧溃坤昆捆困括扩廓阔垃拉喇蜡腊辣啦莱来赖蓝婪栏拦篮阑兰澜谰揽览懒缆烂滥琅榔狼廊郎朗浪捞劳牢老佬姥酪烙涝勒乐雷镭蕾磊累儡垒擂肋类泪棱楞冷厘梨犁黎篱狸离漓理李里鲤礼莉荔吏栗丽厉励砾历利傈例俐"],
    ["c140", "罖罙罛罜罝罞罠罣", 4, "罫罬罭罯罰罳罵罶罷罸罺罻罼罽罿羀羂", 7, "羋羍羏", 4, "羕", 4, "羛羜羠羢羣羥羦羨", 6, "羱"],
    ["c180", "羳", 4, "羺羻羾翀翂翃翄翆翇翈翉翋翍翏", 4, "翖翗翙", 5, "翢翣痢立粒沥隶力璃哩俩联莲连镰廉怜涟帘敛脸链恋炼练粮凉梁粱良两辆量晾亮谅撩聊僚疗燎寥辽潦了撂镣廖料列裂烈劣猎琳林磷霖临邻鳞淋凛赁吝拎玲菱零龄铃伶羚凌灵陵岭领另令溜琉榴硫馏留刘瘤流柳六龙聋咙笼窿"],
    ["c240", "翤翧翨翪翫翬翭翯翲翴", 6, "翽翾翿耂耇耈耉耊耎耏耑耓耚耛耝耞耟耡耣耤耫", 5, "耲耴耹耺耼耾聀聁聄聅聇聈聉聎聏聐聑聓聕聖聗"],
    ["c280", "聙聛", 13, "聫", 5, "聲", 11, "隆垄拢陇楼娄搂篓漏陋芦卢颅庐炉掳卤虏鲁麓碌露路赂鹿潞禄录陆戮驴吕铝侣旅履屡缕虑氯律率滤绿峦挛孪滦卵乱掠略抡轮伦仑沦纶论萝螺罗逻锣箩骡裸落洛骆络妈麻玛码蚂马骂嘛吗埋买麦卖迈脉瞒馒蛮满蔓曼慢漫"],
    ["c340", "聾肁肂肅肈肊肍", 5, "肔肕肗肙肞肣肦肧肨肬肰肳肵肶肸肹肻胅胇", 4, "胏", 6, "胘胟胠胢胣胦胮胵胷胹胻胾胿脀脁脃脄脅脇脈脋"],
    ["c380", "脌脕脗脙脛脜脝脟", 12, "脭脮脰脳脴脵脷脹", 4, "脿谩芒茫盲氓忙莽猫茅锚毛矛铆卯茂冒帽貌贸么玫枚梅酶霉煤没眉媒镁每美昧寐妹媚门闷们萌蒙檬盟锰猛梦孟眯醚靡糜迷谜弥米秘觅泌蜜密幂棉眠绵冕免勉娩缅面苗描瞄藐秒渺庙妙蔑灭民抿皿敏悯闽明螟鸣铭名命谬摸"],
    ["c440", "腀", 5, "腇腉腍腎腏腒腖腗腘腛", 4, "腡腢腣腤腦腨腪腫腬腯腲腳腵腶腷腸膁膃", 4, "膉膋膌膍膎膐膒", 5, "膙膚膞", 4, "膤膥"],
    ["c480", "膧膩膫", 7, "膴", 5, "膼膽膾膿臄臅臇臈臉臋臍", 6, "摹蘑模膜磨摩魔抹末莫墨默沫漠寞陌谋牟某拇牡亩姆母墓暮幕募慕木目睦牧穆拿哪呐钠那娜纳氖乃奶耐奈南男难囊挠脑恼闹淖呢馁内嫩能妮霓倪泥尼拟你匿腻逆溺蔫拈年碾撵捻念娘酿鸟尿捏聂孽啮镊镍涅您柠狞凝宁"],
    ["c540", "臔", 14, "臤臥臦臨臩臫臮", 4, "臵", 5, "臽臿舃與", 4, "舎舏舑舓舕", 5, "舝舠舤舥舦舧舩舮舲舺舼舽舿"],
    ["c580", "艀艁艂艃艅艆艈艊艌艍艎艐", 7, "艙艛艜艝艞艠", 7, "艩拧泞牛扭钮纽脓浓农弄奴努怒女暖虐疟挪懦糯诺哦欧鸥殴藕呕偶沤啪趴爬帕怕琶拍排牌徘湃派攀潘盘磐盼畔判叛乓庞旁耪胖抛咆刨炮袍跑泡呸胚培裴赔陪配佩沛喷盆砰抨烹澎彭蓬棚硼篷膨朋鹏捧碰坯砒霹批披劈琵毗"],
    ["c640", "艪艫艬艭艱艵艶艷艸艻艼芀芁芃芅芆芇芉芌芐芓芔芕芖芚芛芞芠芢芣芧芲芵芶芺芻芼芿苀苂苃苅苆苉苐苖苙苚苝苢苧苨苩苪苬苭苮苰苲苳苵苶苸"],
    ["c680", "苺苼", 4, "茊茋茍茐茒茓茖茘茙茝", 9, "茩茪茮茰茲茷茻茽啤脾疲皮匹痞僻屁譬篇偏片骗飘漂瓢票撇瞥拼频贫品聘乒坪苹萍平凭瓶评屏坡泼颇婆破魄迫粕剖扑铺仆莆葡菩蒲埔朴圃普浦谱曝瀑期欺栖戚妻七凄漆柒沏其棋奇歧畦崎脐齐旗祈祁骑起岂乞企启契砌器气迄弃汽泣讫掐"],
    ["c740", "茾茿荁荂荄荅荈荊", 4, "荓荕", 4, "荝荢荰", 6, "荹荺荾", 6, "莇莈莊莋莌莍莏莐莑莔莕莖莗莙莚莝莟莡", 6, "莬莭莮"],
    ["c780", "莯莵莻莾莿菂菃菄菆菈菉菋菍菎菐菑菒菓菕菗菙菚菛菞菢菣菤菦菧菨菫菬菭恰洽牵扦钎铅千迁签仟谦乾黔钱钳前潜遣浅谴堑嵌欠歉枪呛腔羌墙蔷强抢橇锹敲悄桥瞧乔侨巧鞘撬翘峭俏窍切茄且怯窃钦侵亲秦琴勤芹擒禽寝沁青轻氢倾卿清擎晴氰情顷请庆琼穷秋丘邱球求囚酋泅趋区蛆曲躯屈驱渠"],
    ["c840", "菮華菳", 4, "菺菻菼菾菿萀萂萅萇萈萉萊萐萒", 5, "萙萚萛萞", 5, "萩", 7, "萲", 5, "萹萺萻萾", 7, "葇葈葉"],
    ["c880", "葊", 6, "葒", 4, "葘葝葞葟葠葢葤", 4, "葪葮葯葰葲葴葷葹葻葼取娶龋趣去圈颧权醛泉全痊拳犬券劝缺炔瘸却鹊榷确雀裙群然燃冉染瓤壤攘嚷让饶扰绕惹热壬仁人忍韧任认刃妊纫扔仍日戎茸蓉荣融熔溶容绒冗揉柔肉茹蠕儒孺如辱乳汝入褥软阮蕊瑞锐闰润若弱撒洒萨腮鳃塞赛三叁"],
    ["c940", "葽", 4, "蒃蒄蒅蒆蒊蒍蒏", 7, "蒘蒚蒛蒝蒞蒟蒠蒢", 12, "蒰蒱蒳蒵蒶蒷蒻蒼蒾蓀蓂蓃蓅蓆蓇蓈蓋蓌蓎蓏蓒蓔蓕蓗"],
    ["c980", "蓘", 4, "蓞蓡蓢蓤蓧", 4, "蓭蓮蓯蓱", 10, "蓽蓾蔀蔁蔂伞散桑嗓丧搔骚扫嫂瑟色涩森僧莎砂杀刹沙纱傻啥煞筛晒珊苫杉山删煽衫闪陕擅赡膳善汕扇缮墒伤商赏晌上尚裳梢捎稍烧芍勺韶少哨邵绍奢赊蛇舌舍赦摄射慑涉社设砷申呻伸身深娠绅神沈审婶甚肾慎渗声生甥牲升绳"],
    ["ca40", "蔃", 8, "蔍蔎蔏蔐蔒蔔蔕蔖蔘蔙蔛蔜蔝蔞蔠蔢", 8, "蔭", 9, "蔾", 4, "蕄蕅蕆蕇蕋", 10],
    ["ca80", "蕗蕘蕚蕛蕜蕝蕟", 4, "蕥蕦蕧蕩", 8, "蕳蕵蕶蕷蕸蕼蕽蕿薀薁省盛剩胜圣师失狮施湿诗尸虱十石拾时什食蚀实识史矢使屎驶始式示士世柿事拭誓逝势是嗜噬适仕侍释饰氏市恃室视试收手首守寿授售受瘦兽蔬枢梳殊抒输叔舒淑疏书赎孰熟薯暑曙署蜀黍鼠属术述树束戍竖墅庶数漱"],
    ["cb40", "薂薃薆薈", 6, "薐", 10, "薝", 6, "薥薦薧薩薫薬薭薱", 5, "薸薺", 6, "藂", 6, "藊", 4, "藑藒"],
    ["cb80", "藔藖", 5, "藝", 6, "藥藦藧藨藪", 14, "恕刷耍摔衰甩帅栓拴霜双爽谁水睡税吮瞬顺舜说硕朔烁斯撕嘶思私司丝死肆寺嗣四伺似饲巳松耸怂颂送宋讼诵搜艘擞嗽苏酥俗素速粟僳塑溯宿诉肃酸蒜算虽隋随绥髓碎岁穗遂隧祟孙损笋蓑梭唆缩琐索锁所塌他它她塔"],
    ["cc40", "藹藺藼藽藾蘀", 4, "蘆", 10, "蘒蘓蘔蘕蘗", 15, "蘨蘪", 13, "蘹蘺蘻蘽蘾蘿虀"],
    ["cc80", "虁", 11, "虒虓處", 4, "虛虜虝號虠虡虣", 7, "獭挞蹋踏胎苔抬台泰酞太态汰坍摊贪瘫滩坛檀痰潭谭谈坦毯袒碳探叹炭汤塘搪堂棠膛唐糖倘躺淌趟烫掏涛滔绦萄桃逃淘陶讨套特藤腾疼誊梯剔踢锑提题蹄啼体替嚏惕涕剃屉天添填田甜恬舔腆挑条迢眺跳贴铁帖厅听烃"],
    ["cd40", "虭虯虰虲", 6, "蚃", 6, "蚎", 4, "蚔蚖", 5, "蚞", 4, "蚥蚦蚫蚭蚮蚲蚳蚷蚸蚹蚻", 4, "蛁蛂蛃蛅蛈蛌蛍蛒蛓蛕蛖蛗蛚蛜"],
    ["cd80", "蛝蛠蛡蛢蛣蛥蛦蛧蛨蛪蛫蛬蛯蛵蛶蛷蛺蛻蛼蛽蛿蜁蜄蜅蜆蜋蜌蜎蜏蜐蜑蜔蜖汀廷停亭庭挺艇通桐酮瞳同铜彤童桶捅筒统痛偷投头透凸秃突图徒途涂屠土吐兔湍团推颓腿蜕褪退吞屯臀拖托脱鸵陀驮驼椭妥拓唾挖哇蛙洼娃瓦袜歪外豌弯湾玩顽丸烷完碗挽晚皖惋宛婉万腕汪王亡枉网往旺望忘妄威"],
    ["ce40", "蜙蜛蜝蜟蜠蜤蜦蜧蜨蜪蜫蜬蜭蜯蜰蜲蜳蜵蜶蜸蜹蜺蜼蜽蝀", 6, "蝊蝋蝍蝏蝐蝑蝒蝔蝕蝖蝘蝚", 5, "蝡蝢蝦", 7, "蝯蝱蝲蝳蝵"],
    ["ce80", "蝷蝸蝹蝺蝿螀螁螄螆螇螉螊螌螎", 4, "螔螕螖螘", 6, "螠", 4, "巍微危韦违桅围唯惟为潍维苇萎委伟伪尾纬未蔚味畏胃喂魏位渭谓尉慰卫瘟温蚊文闻纹吻稳紊问嗡翁瓮挝蜗涡窝我斡卧握沃巫呜钨乌污诬屋无芜梧吾吴毋武五捂午舞伍侮坞戊雾晤物勿务悟误昔熙析西硒矽晰嘻吸锡牺"],
    ["cf40", "螥螦螧螩螪螮螰螱螲螴螶螷螸螹螻螼螾螿蟁", 4, "蟇蟈蟉蟌", 4, "蟔", 6, "蟜蟝蟞蟟蟡蟢蟣蟤蟦蟧蟨蟩蟫蟬蟭蟯", 9],
    ["cf80", "蟺蟻蟼蟽蟿蠀蠁蠂蠄", 5, "蠋", 7, "蠔蠗蠘蠙蠚蠜", 4, "蠣稀息希悉膝夕惜熄烯溪汐犀檄袭席习媳喜铣洗系隙戏细瞎虾匣霞辖暇峡侠狭下厦夏吓掀锨先仙鲜纤咸贤衔舷闲涎弦嫌显险现献县腺馅羡宪陷限线相厢镶香箱襄湘乡翔祥详想响享项巷橡像向象萧硝霄削哮嚣销消宵淆晓"],
    ["d040", "蠤", 13, "蠳", 5, "蠺蠻蠽蠾蠿衁衂衃衆", 5, "衎", 5, "衕衖衘衚", 6, "衦衧衪衭衯衱衳衴衵衶衸衹衺"],
    ["d080", "衻衼袀袃袆袇袉袊袌袎袏袐袑袓袔袕袗", 4, "袝", 4, "袣袥", 5, "小孝校肖啸笑效楔些歇蝎鞋协挟携邪斜胁谐写械卸蟹懈泄泻谢屑薪芯锌欣辛新忻心信衅星腥猩惺兴刑型形邢行醒幸杏性姓兄凶胸匈汹雄熊休修羞朽嗅锈秀袖绣墟戌需虚嘘须徐许蓄酗叙旭序畜恤絮婿绪续轩喧宣悬旋玄"],
    ["d140", "袬袮袯袰袲", 4, "袸袹袺袻袽袾袿裀裃裄裇裈裊裋裌裍裏裐裑裓裖裗裚", 4, "裠裡裦裧裩", 6, "裲裵裶裷裺裻製裿褀褁褃", 5],
    ["d180", "褉褋", 4, "褑褔", 4, "褜", 4, "褢褣褤褦褧褨褩褬褭褮褯褱褲褳褵褷选癣眩绚靴薛学穴雪血勋熏循旬询寻驯巡殉汛训讯逊迅压押鸦鸭呀丫芽牙蚜崖衙涯雅哑亚讶焉咽阉烟淹盐严研蜒岩延言颜阎炎沿奄掩眼衍演艳堰燕厌砚雁唁彦焰宴谚验殃央鸯秧杨扬佯疡羊洋阳氧仰痒养样漾邀腰妖瑶"],
    ["d240", "褸", 8, "襂襃襅", 24, "襠", 5, "襧", 19, "襼"],
    ["d280", "襽襾覀覂覄覅覇", 26, "摇尧遥窑谣姚咬舀药要耀椰噎耶爷野冶也页掖业叶曳腋夜液一壹医揖铱依伊衣颐夷遗移仪胰疑沂宜姨彝椅蚁倚已乙矣以艺抑易邑屹亿役臆逸肄疫亦裔意毅忆义益溢诣议谊译异翼翌绎茵荫因殷音阴姻吟银淫寅饮尹引隐"],
    ["d340", "覢", 30, "觃觍觓觔觕觗觘觙觛觝觟觠觡觢觤觧觨觩觪觬觭觮觰觱觲觴", 6],
    ["d380", "觻", 4, "訁", 5, "計", 21, "印英樱婴鹰应缨莹萤营荧蝇迎赢盈影颖硬映哟拥佣臃痈庸雍踊蛹咏泳涌永恿勇用幽优悠忧尤由邮铀犹油游酉有友右佑釉诱又幼迂淤于盂榆虞愚舆余俞逾鱼愉渝渔隅予娱雨与屿禹宇语羽玉域芋郁吁遇喻峪御愈欲狱育誉"],
    ["d440", "訞", 31, "訿", 8, "詉", 21],
    ["d480", "詟", 25, "詺", 6, "浴寓裕预豫驭鸳渊冤元垣袁原援辕园员圆猿源缘远苑愿怨院曰约越跃钥岳粤月悦阅耘云郧匀陨允运蕴酝晕韵孕匝砸杂栽哉灾宰载再在咱攒暂赞赃脏葬遭糟凿藻枣早澡蚤躁噪造皂灶燥责择则泽贼怎增憎曾赠扎喳渣札轧"],
    ["d540", "誁", 7, "誋", 7, "誔", 46],
    ["d580", "諃", 32, "铡闸眨栅榨咋乍炸诈摘斋宅窄债寨瞻毡詹粘沾盏斩辗崭展蘸栈占战站湛绽樟章彰漳张掌涨杖丈帐账仗胀瘴障招昭找沼赵照罩兆肇召遮折哲蛰辙者锗蔗这浙珍斟真甄砧臻贞针侦枕疹诊震振镇阵蒸挣睁征狰争怔整拯正政"],
    ["d640", "諤", 34, "謈", 27],
    ["d680", "謤謥謧", 30, "帧症郑证芝枝支吱蜘知肢脂汁之织职直植殖执值侄址指止趾只旨纸志挚掷至致置帜峙制智秩稚质炙痔滞治窒中盅忠钟衷终种肿重仲众舟周州洲诌粥轴肘帚咒皱宙昼骤珠株蛛朱猪诸诛逐竹烛煮拄瞩嘱主著柱助蛀贮铸筑"],
    ["d740", "譆", 31, "譧", 4, "譭", 25],
    ["d780", "讇", 24, "讬讱讻诇诐诪谉谞住注祝驻抓爪拽专砖转撰赚篆桩庄装妆撞壮状椎锥追赘坠缀谆准捉拙卓桌琢茁酌啄着灼浊兹咨资姿滋淄孜紫仔籽滓子自渍字鬃棕踪宗综总纵邹走奏揍租足卒族祖诅阻组钻纂嘴醉最罪尊遵昨左佐柞做作坐座"],
    ["d840", "谸", 8, "豂豃豄豅豈豊豋豍", 7, "豖豗豘豙豛", 5, "豣", 6, "豬", 6, "豴豵豶豷豻", 6, "貃貄貆貇"],
    ["d880", "貈貋貍", 6, "貕貖貗貙", 20, "亍丌兀丐廿卅丕亘丞鬲孬噩丨禺丿匕乇夭爻卮氐囟胤馗毓睾鼗丶亟鼐乜乩亓芈孛啬嘏仄厍厝厣厥厮靥赝匚叵匦匮匾赜卦卣刂刈刎刭刳刿剀剌剞剡剜蒯剽劂劁劐劓冂罔亻仃仉仂仨仡仫仞伛仳伢佤仵伥伧伉伫佞佧攸佚佝"],
    ["d940", "貮", 62],
    ["d980", "賭", 32, "佟佗伲伽佶佴侑侉侃侏佾佻侪佼侬侔俦俨俪俅俚俣俜俑俟俸倩偌俳倬倏倮倭俾倜倌倥倨偾偃偕偈偎偬偻傥傧傩傺僖儆僭僬僦僮儇儋仝氽佘佥俎龠汆籴兮巽黉馘冁夔勹匍訇匐凫夙兕亠兖亳衮袤亵脔裒禀嬴蠃羸冫冱冽冼"],
    ["da40", "贎", 14, "贠赑赒赗赟赥赨赩赪赬赮赯赱赲赸", 8, "趂趃趆趇趈趉趌", 4, "趒趓趕", 9, "趠趡"],
    ["da80", "趢趤", 12, "趲趶趷趹趻趽跀跁跂跅跇跈跉跊跍跐跒跓跔凇冖冢冥讠讦讧讪讴讵讷诂诃诋诏诎诒诓诔诖诘诙诜诟诠诤诨诩诮诰诳诶诹诼诿谀谂谄谇谌谏谑谒谔谕谖谙谛谘谝谟谠谡谥谧谪谫谮谯谲谳谵谶卩卺阝阢阡阱阪阽阼陂陉陔陟陧陬陲陴隈隍隗隰邗邛邝邙邬邡邴邳邶邺"],
    ["db40", "跕跘跙跜跠跡跢跥跦跧跩跭跮跰跱跲跴跶跼跾", 6, "踆踇踈踋踍踎踐踑踒踓踕", 7, "踠踡踤", 4, "踫踭踰踲踳踴踶踷踸踻踼踾"],
    ["db80", "踿蹃蹅蹆蹌", 4, "蹓", 5, "蹚", 11, "蹧蹨蹪蹫蹮蹱邸邰郏郅邾郐郄郇郓郦郢郜郗郛郫郯郾鄄鄢鄞鄣鄱鄯鄹酃酆刍奂劢劬劭劾哿勐勖勰叟燮矍廴凵凼鬯厶弁畚巯坌垩垡塾墼壅壑圩圬圪圳圹圮圯坜圻坂坩垅坫垆坼坻坨坭坶坳垭垤垌垲埏垧垴垓垠埕埘埚埙埒垸埴埯埸埤埝"],
    ["dc40", "蹳蹵蹷", 4, "蹽蹾躀躂躃躄躆躈", 6, "躑躒躓躕", 6, "躝躟", 11, "躭躮躰躱躳", 6, "躻", 7],
    ["dc80", "軃", 10, "軏", 21, "堋堍埽埭堀堞堙塄堠塥塬墁墉墚墀馨鼙懿艹艽艿芏芊芨芄芎芑芗芙芫芸芾芰苈苊苣芘芷芮苋苌苁芩芴芡芪芟苄苎芤苡茉苷苤茏茇苜苴苒苘茌苻苓茑茚茆茔茕苠苕茜荑荛荜茈莒茼茴茱莛荞茯荏荇荃荟荀茗荠茭茺茳荦荥"],
    ["dd40", "軥", 62],
    ["dd80", "輤", 32, "荨茛荩荬荪荭荮莰荸莳莴莠莪莓莜莅荼莶莩荽莸荻莘莞莨莺莼菁萁菥菘堇萘萋菝菽菖萜萸萑萆菔菟萏萃菸菹菪菅菀萦菰菡葜葑葚葙葳蒇蒈葺蒉葸萼葆葩葶蒌蒎萱葭蓁蓍蓐蓦蒽蓓蓊蒿蒺蓠蒡蒹蒴蒗蓥蓣蔌甍蔸蓰蔹蔟蔺"],
    ["de40", "轅", 32, "轪辀辌辒辝辠辡辢辤辥辦辧辪辬辭辮辯農辳辴辵辷辸辺辻込辿迀迃迆"],
    ["de80", "迉", 4, "迏迒迖迗迚迠迡迣迧迬迯迱迲迴迵迶迺迻迼迾迿逇逈逌逎逓逕逘蕖蔻蓿蓼蕙蕈蕨蕤蕞蕺瞢蕃蕲蕻薤薨薇薏蕹薮薜薅薹薷薰藓藁藜藿蘧蘅蘩蘖蘼廾弈夼奁耷奕奚奘匏尢尥尬尴扌扪抟抻拊拚拗拮挢拶挹捋捃掭揶捱捺掎掴捭掬掊捩掮掼揲揸揠揿揄揞揎摒揆掾摅摁搋搛搠搌搦搡摞撄摭撖"],
    ["df40", "這逜連逤逥逧", 5, "逰", 4, "逷逹逺逽逿遀遃遅遆遈", 4, "過達違遖遙遚遜", 5, "遤遦遧適遪遫遬遯", 4, "遶", 6, "遾邁"],
    ["df80", "還邅邆邇邉邊邌", 4, "邒邔邖邘邚邜邞邟邠邤邥邧邨邩邫邭邲邷邼邽邿郀摺撷撸撙撺擀擐擗擤擢攉攥攮弋忒甙弑卟叱叽叩叨叻吒吖吆呋呒呓呔呖呃吡呗呙吣吲咂咔呷呱呤咚咛咄呶呦咝哐咭哂咴哒咧咦哓哔呲咣哕咻咿哌哙哚哜咩咪咤哝哏哞唛哧唠哽唔哳唢唣唏唑唧唪啧喏喵啉啭啁啕唿啐唼"],
    ["e040", "郂郃郆郈郉郋郌郍郒郔郕郖郘郙郚郞郟郠郣郤郥郩郪郬郮郰郱郲郳郵郶郷郹郺郻郼郿鄀鄁鄃鄅", 19, "鄚鄛鄜"],
    ["e080", "鄝鄟鄠鄡鄤", 10, "鄰鄲", 6, "鄺", 8, "酄唷啖啵啶啷唳唰啜喋嗒喃喱喹喈喁喟啾嗖喑啻嗟喽喾喔喙嗪嗷嗉嘟嗑嗫嗬嗔嗦嗝嗄嗯嗥嗲嗳嗌嗍嗨嗵嗤辔嘞嘈嘌嘁嘤嘣嗾嘀嘧嘭噘嘹噗嘬噍噢噙噜噌噔嚆噤噱噫噻噼嚅嚓嚯囔囗囝囡囵囫囹囿圄圊圉圜帏帙帔帑帱帻帼"],
    ["e140", "酅酇酈酑酓酔酕酖酘酙酛酜酟酠酦酧酨酫酭酳酺酻酼醀", 4, "醆醈醊醎醏醓", 6, "醜", 5, "醤", 5, "醫醬醰醱醲醳醶醷醸醹醻"],
    ["e180", "醼", 10, "釈釋釐釒", 9, "針", 8, "帷幄幔幛幞幡岌屺岍岐岖岈岘岙岑岚岜岵岢岽岬岫岱岣峁岷峄峒峤峋峥崂崃崧崦崮崤崞崆崛嵘崾崴崽嵬嵛嵯嵝嵫嵋嵊嵩嵴嶂嶙嶝豳嶷巅彳彷徂徇徉後徕徙徜徨徭徵徼衢彡犭犰犴犷犸狃狁狎狍狒狨狯狩狲狴狷猁狳猃狺"],
    ["e240", "釦", 62],
    ["e280", "鈥", 32, "狻猗猓猡猊猞猝猕猢猹猥猬猸猱獐獍獗獠獬獯獾舛夥飧夤夂饣饧", 5, "饴饷饽馀馄馇馊馍馐馑馓馔馕庀庑庋庖庥庠庹庵庾庳赓廒廑廛廨廪膺忄忉忖忏怃忮怄忡忤忾怅怆忪忭忸怙怵怦怛怏怍怩怫怊怿怡恸恹恻恺恂"],
    ["e340", "鉆", 45, "鉵", 16],
    ["e380", "銆", 7, "銏", 24, "恪恽悖悚悭悝悃悒悌悛惬悻悱惝惘惆惚悴愠愦愕愣惴愀愎愫慊慵憬憔憧憷懔懵忝隳闩闫闱闳闵闶闼闾阃阄阆阈阊阋阌阍阏阒阕阖阗阙阚丬爿戕氵汔汜汊沣沅沐沔沌汨汩汴汶沆沩泐泔沭泷泸泱泗沲泠泖泺泫泮沱泓泯泾"],
    ["e440", "銨", 5, "銯", 24, "鋉", 31],
    ["e480", "鋩", 32, "洹洧洌浃浈洇洄洙洎洫浍洮洵洚浏浒浔洳涑浯涞涠浞涓涔浜浠浼浣渚淇淅淞渎涿淠渑淦淝淙渖涫渌涮渫湮湎湫溲湟溆湓湔渲渥湄滟溱溘滠漭滢溥溧溽溻溷滗溴滏溏滂溟潢潆潇漤漕滹漯漶潋潴漪漉漩澉澍澌潸潲潼潺濑"],
    ["e540", "錊", 51, "錿", 10],
    ["e580", "鍊", 31, "鍫濉澧澹澶濂濡濮濞濠濯瀚瀣瀛瀹瀵灏灞宀宄宕宓宥宸甯骞搴寤寮褰寰蹇謇辶迓迕迥迮迤迩迦迳迨逅逄逋逦逑逍逖逡逵逶逭逯遄遑遒遐遨遘遢遛暹遴遽邂邈邃邋彐彗彖彘尻咫屐屙孱屣屦羼弪弩弭艴弼鬻屮妁妃妍妩妪妣"],
    ["e640", "鍬", 34, "鎐", 27],
    ["e680", "鎬", 29, "鏋鏌鏍妗姊妫妞妤姒妲妯姗妾娅娆姝娈姣姘姹娌娉娲娴娑娣娓婀婧婊婕娼婢婵胬媪媛婷婺媾嫫媲嫒嫔媸嫠嫣嫱嫖嫦嫘嫜嬉嬗嬖嬲嬷孀尕尜孚孥孳孑孓孢驵驷驸驺驿驽骀骁骅骈骊骐骒骓骖骘骛骜骝骟骠骢骣骥骧纟纡纣纥纨纩"],
    ["e740", "鏎", 7, "鏗", 54],
    ["e780", "鐎", 32, "纭纰纾绀绁绂绉绋绌绐绔绗绛绠绡绨绫绮绯绱绲缍绶绺绻绾缁缂缃缇缈缋缌缏缑缒缗缙缜缛缟缡", 6, "缪缫缬缭缯", 4, "缵幺畿巛甾邕玎玑玮玢玟珏珂珑玷玳珀珉珈珥珙顼琊珩珧珞玺珲琏琪瑛琦琥琨琰琮琬"],
    ["e840", "鐯", 14, "鐿", 43, "鑬鑭鑮鑯"],
    ["e880", "鑰", 20, "钑钖钘铇铏铓铔铚铦铻锜锠琛琚瑁瑜瑗瑕瑙瑷瑭瑾璜璎璀璁璇璋璞璨璩璐璧瓒璺韪韫韬杌杓杞杈杩枥枇杪杳枘枧杵枨枞枭枋杷杼柰栉柘栊柩枰栌柙枵柚枳柝栀柃枸柢栎柁柽栲栳桠桡桎桢桄桤梃栝桕桦桁桧桀栾桊桉栩梵梏桴桷梓桫棂楮棼椟椠棹"],
    ["e940", "锧锳锽镃镈镋镕镚镠镮镴镵長", 7, "門", 42],
    ["e980", "閫", 32, "椤棰椋椁楗棣椐楱椹楠楂楝榄楫榀榘楸椴槌榇榈槎榉楦楣楹榛榧榻榫榭槔榱槁槊槟榕槠榍槿樯槭樗樘橥槲橄樾檠橐橛樵檎橹樽樨橘橼檑檐檩檗檫猷獒殁殂殇殄殒殓殍殚殛殡殪轫轭轱轲轳轵轶轸轷轹轺轼轾辁辂辄辇辋"],
    ["ea40", "闌", 27, "闬闿阇阓阘阛阞阠阣", 6, "阫阬阭阯阰阷阸阹阺阾陁陃陊陎陏陑陒陓陖陗"],
    ["ea80", "陘陙陚陜陝陞陠陣陥陦陫陭", 4, "陳陸", 12, "隇隉隊辍辎辏辘辚軎戋戗戛戟戢戡戥戤戬臧瓯瓴瓿甏甑甓攴旮旯旰昊昙杲昃昕昀炅曷昝昴昱昶昵耆晟晔晁晏晖晡晗晷暄暌暧暝暾曛曜曦曩贲贳贶贻贽赀赅赆赈赉赇赍赕赙觇觊觋觌觎觏觐觑牮犟牝牦牯牾牿犄犋犍犏犒挈挲掰"],
    ["eb40", "隌階隑隒隓隕隖隚際隝", 9, "隨", 7, "隱隲隴隵隷隸隺隻隿雂雃雈雊雋雐雑雓雔雖", 9, "雡", 6, "雫"],
    ["eb80", "雬雭雮雰雱雲雴雵雸雺電雼雽雿霂霃霅霊霋霌霐霑霒霔霕霗", 4, "霝霟霠搿擘耄毪毳毽毵毹氅氇氆氍氕氘氙氚氡氩氤氪氲攵敕敫牍牒牖爰虢刖肟肜肓肼朊肽肱肫肭肴肷胧胨胩胪胛胂胄胙胍胗朐胝胫胱胴胭脍脎胲胼朕脒豚脶脞脬脘脲腈腌腓腴腙腚腱腠腩腼腽腭腧塍媵膈膂膑滕膣膪臌朦臊膻"],
    ["ec40", "霡", 8, "霫霬霮霯霱霳", 4, "霺霻霼霽霿", 18, "靔靕靗靘靚靜靝靟靣靤靦靧靨靪", 7],
    ["ec80", "靲靵靷", 4, "靽", 7, "鞆", 4, "鞌鞎鞏鞐鞓鞕鞖鞗鞙", 4, "臁膦欤欷欹歃歆歙飑飒飓飕飙飚殳彀毂觳斐齑斓於旆旄旃旌旎旒旖炀炜炖炝炻烀炷炫炱烨烊焐焓焖焯焱煳煜煨煅煲煊煸煺熘熳熵熨熠燠燔燧燹爝爨灬焘煦熹戾戽扃扈扉礻祀祆祉祛祜祓祚祢祗祠祯祧祺禅禊禚禧禳忑忐"],
    ["ed40", "鞞鞟鞡鞢鞤", 6, "鞬鞮鞰鞱鞳鞵", 46],
    ["ed80", "韤韥韨韮", 4, "韴韷", 23, "怼恝恚恧恁恙恣悫愆愍慝憩憝懋懑戆肀聿沓泶淼矶矸砀砉砗砘砑斫砭砜砝砹砺砻砟砼砥砬砣砩硎硭硖硗砦硐硇硌硪碛碓碚碇碜碡碣碲碹碥磔磙磉磬磲礅磴礓礤礞礴龛黹黻黼盱眄眍盹眇眈眚眢眙眭眦眵眸睐睑睇睃睚睨"],
    ["ee40", "頏", 62],
    ["ee80", "顎", 32, "睢睥睿瞍睽瞀瞌瞑瞟瞠瞰瞵瞽町畀畎畋畈畛畲畹疃罘罡罟詈罨罴罱罹羁罾盍盥蠲钅钆钇钋钊钌钍钏钐钔钗钕钚钛钜钣钤钫钪钭钬钯钰钲钴钶", 4, "钼钽钿铄铈", 6, "铐铑铒铕铖铗铙铘铛铞铟铠铢铤铥铧铨铪"],
    ["ef40", "顯", 5, "颋颎颒颕颙颣風", 37, "飏飐飔飖飗飛飜飝飠", 4],
    ["ef80", "飥飦飩", 30, "铩铫铮铯铳铴铵铷铹铼铽铿锃锂锆锇锉锊锍锎锏锒", 4, "锘锛锝锞锟锢锪锫锩锬锱锲锴锶锷锸锼锾锿镂锵镄镅镆镉镌镎镏镒镓镔镖镗镘镙镛镞镟镝镡镢镤", 8, "镯镱镲镳锺矧矬雉秕秭秣秫稆嵇稃稂稞稔"],
    ["f040", "餈", 4, "餎餏餑", 28, "餯", 26],
    ["f080", "饊", 9, "饖", 12, "饤饦饳饸饹饻饾馂馃馉稹稷穑黏馥穰皈皎皓皙皤瓞瓠甬鸠鸢鸨", 4, "鸲鸱鸶鸸鸷鸹鸺鸾鹁鹂鹄鹆鹇鹈鹉鹋鹌鹎鹑鹕鹗鹚鹛鹜鹞鹣鹦", 6, "鹱鹭鹳疒疔疖疠疝疬疣疳疴疸痄疱疰痃痂痖痍痣痨痦痤痫痧瘃痱痼痿瘐瘀瘅瘌瘗瘊瘥瘘瘕瘙"],
    ["f140", "馌馎馚", 10, "馦馧馩", 47],
    ["f180", "駙", 32, "瘛瘼瘢瘠癀瘭瘰瘿瘵癃瘾瘳癍癞癔癜癖癫癯翊竦穸穹窀窆窈窕窦窠窬窨窭窳衤衩衲衽衿袂袢裆袷袼裉裢裎裣裥裱褚裼裨裾裰褡褙褓褛褊褴褫褶襁襦襻疋胥皲皴矜耒耔耖耜耠耢耥耦耧耩耨耱耋耵聃聆聍聒聩聱覃顸颀颃"],
    ["f240", "駺", 62],
    ["f280", "騹", 32, "颉颌颍颏颔颚颛颞颟颡颢颥颦虍虔虬虮虿虺虼虻蚨蚍蚋蚬蚝蚧蚣蚪蚓蚩蚶蛄蚵蛎蚰蚺蚱蚯蛉蛏蚴蛩蛱蛲蛭蛳蛐蜓蛞蛴蛟蛘蛑蜃蜇蛸蜈蜊蜍蜉蜣蜻蜞蜥蜮蜚蜾蝈蜴蜱蜩蜷蜿螂蜢蝽蝾蝻蝠蝰蝌蝮螋蝓蝣蝼蝤蝙蝥螓螯螨蟒"],
    ["f340", "驚", 17, "驲骃骉骍骎骔骕骙骦骩", 6, "骲骳骴骵骹骻骽骾骿髃髄髆", 4, "髍髎髏髐髒體髕髖髗髙髚髛髜"],
    ["f380", "髝髞髠髢髣髤髥髧髨髩髪髬髮髰", 8, "髺髼", 6, "鬄鬅鬆蟆螈螅螭螗螃螫蟥螬螵螳蟋蟓螽蟑蟀蟊蟛蟪蟠蟮蠖蠓蟾蠊蠛蠡蠹蠼缶罂罄罅舐竺竽笈笃笄笕笊笫笏筇笸笪笙笮笱笠笥笤笳笾笞筘筚筅筵筌筝筠筮筻筢筲筱箐箦箧箸箬箝箨箅箪箜箢箫箴篑篁篌篝篚篥篦篪簌篾篼簏簖簋"],
    ["f440", "鬇鬉", 5, "鬐鬑鬒鬔", 10, "鬠鬡鬢鬤", 10, "鬰鬱鬳", 7, "鬽鬾鬿魀魆魊魋魌魎魐魒魓魕", 5],
    ["f480", "魛", 32, "簟簪簦簸籁籀臾舁舂舄臬衄舡舢舣舭舯舨舫舸舻舳舴舾艄艉艋艏艚艟艨衾袅袈裘裟襞羝羟羧羯羰羲籼敉粑粝粜粞粢粲粼粽糁糇糌糍糈糅糗糨艮暨羿翎翕翥翡翦翩翮翳糸絷綦綮繇纛麸麴赳趄趔趑趱赧赭豇豉酊酐酎酏酤"],
    ["f540", "魼", 62],
    ["f580", "鮻", 32, "酢酡酰酩酯酽酾酲酴酹醌醅醐醍醑醢醣醪醭醮醯醵醴醺豕鹾趸跫踅蹙蹩趵趿趼趺跄跖跗跚跞跎跏跛跆跬跷跸跣跹跻跤踉跽踔踝踟踬踮踣踯踺蹀踹踵踽踱蹉蹁蹂蹑蹒蹊蹰蹶蹼蹯蹴躅躏躔躐躜躞豸貂貊貅貘貔斛觖觞觚觜"],
    ["f640", "鯜", 62],
    ["f680", "鰛", 32, "觥觫觯訾謦靓雩雳雯霆霁霈霏霎霪霭霰霾龀龃龅", 5, "龌黾鼋鼍隹隼隽雎雒瞿雠銎銮鋈錾鍪鏊鎏鐾鑫鱿鲂鲅鲆鲇鲈稣鲋鲎鲐鲑鲒鲔鲕鲚鲛鲞", 5, "鲥", 4, "鲫鲭鲮鲰", 7, "鲺鲻鲼鲽鳄鳅鳆鳇鳊鳋"],
    ["f740", "鰼", 62],
    ["f780", "鱻鱽鱾鲀鲃鲄鲉鲊鲌鲏鲓鲖鲗鲘鲙鲝鲪鲬鲯鲹鲾", 4, "鳈鳉鳑鳒鳚鳛鳠鳡鳌", 4, "鳓鳔鳕鳗鳘鳙鳜鳝鳟鳢靼鞅鞑鞒鞔鞯鞫鞣鞲鞴骱骰骷鹘骶骺骼髁髀髅髂髋髌髑魅魃魇魉魈魍魑飨餍餮饕饔髟髡髦髯髫髻髭髹鬈鬏鬓鬟鬣麽麾縻麂麇麈麋麒鏖麝麟黛黜黝黠黟黢黩黧黥黪黯鼢鼬鼯鼹鼷鼽鼾齄"],
    ["f840", "鳣", 62],
    ["f880", "鴢", 32],
    ["f940", "鵃", 62],
    ["f980", "鶂", 32],
    ["fa40", "鶣", 62],
    ["fa80", "鷢", 32],
    ["fb40", "鸃", 27, "鸤鸧鸮鸰鸴鸻鸼鹀鹍鹐鹒鹓鹔鹖鹙鹝鹟鹠鹡鹢鹥鹮鹯鹲鹴", 9, "麀"],
    ["fb80", "麁麃麄麅麆麉麊麌", 5, "麔", 8, "麞麠", 5, "麧麨麩麪"],
    ["fc40", "麫", 8, "麵麶麷麹麺麼麿", 4, "黅黆黇黈黊黋黌黐黒黓黕黖黗黙黚點黡黣黤黦黨黫黬黭黮黰", 8, "黺黽黿", 6],
    ["fc80", "鼆", 4, "鼌鼏鼑鼒鼔鼕鼖鼘鼚", 5, "鼡鼣", 8, "鼭鼮鼰鼱"],
    ["fd40", "鼲", 4, "鼸鼺鼼鼿", 4, "齅", 10, "齒", 38],
    ["fd80", "齹", 5, "龁龂龍", 11, "龜龝龞龡", 4, "郎凉秊裏隣"],
    ["fe40", "兀嗀﨎﨏﨑﨓﨔礼﨟蘒﨡﨣﨤﨧﨨﨩"]
  ];
});

// node_modules/iconv-lite/encodings/tables/gbk-added.json
var require_gbk_added2 = __commonJS((exports, module) => {
  module.exports = [
    ["a140", "", 62],
    ["a180", "", 32],
    ["a240", "", 62],
    ["a280", "", 32],
    ["a2ab", "", 5],
    ["a2e3", "€"],
    ["a2ef", ""],
    ["a2fd", ""],
    ["a340", "", 62],
    ["a380", "", 31, "　"],
    ["a440", "", 62],
    ["a480", "", 32],
    ["a4f4", "", 10],
    ["a540", "", 62],
    ["a580", "", 32],
    ["a5f7", "", 7],
    ["a640", "", 62],
    ["a680", "", 32],
    ["a6b9", "", 7],
    ["a6d9", "", 6],
    ["a6ec", ""],
    ["a6f3", ""],
    ["a6f6", "", 8],
    ["a740", "", 62],
    ["a780", "", 32],
    ["a7c2", "", 14],
    ["a7f2", "", 12],
    ["a896", "", 10],
    ["a8bc", ""],
    ["a8bf", "ǹ"],
    ["a8c1", ""],
    ["a8ea", "", 20],
    ["a958", ""],
    ["a95b", ""],
    ["a95d", ""],
    ["a989", "〾⿰", 11],
    ["a997", "", 12],
    ["a9f0", "", 14],
    ["aaa1", "", 93],
    ["aba1", "", 93],
    ["aca1", "", 93],
    ["ada1", "", 93],
    ["aea1", "", 93],
    ["afa1", "", 93],
    ["d7fa", "", 4],
    ["f8a1", "", 93],
    ["f9a1", "", 93],
    ["faa1", "", 93],
    ["fba1", "", 93],
    ["fca1", "", 93],
    ["fda1", "", 93],
    ["fe50", "⺁⺄㑳㑇⺈⺋㖞㘚㘎⺌⺗㥮㤘㧏㧟㩳㧐㭎㱮㳠⺧⺪䁖䅟⺮䌷⺳⺶⺷䎱䎬⺻䏝䓖䙡䙌"],
    ["fe80", "䜣䜩䝼䞍⻊䥇䥺䥽䦂䦃䦅䦆䦟䦛䦷䦶䲣䲟䲠䲡䱷䲢䴓", 6, "䶮", 93]
  ];
});

// node_modules/iconv-lite/encodings/tables/gb18030-ranges.json
var require_gb18030_ranges2 = __commonJS((exports, module) => {
  module.exports = { uChars: [128, 165, 169, 178, 184, 216, 226, 235, 238, 244, 248, 251, 253, 258, 276, 284, 300, 325, 329, 334, 364, 463, 465, 467, 469, 471, 473, 475, 477, 506, 594, 610, 712, 716, 730, 930, 938, 962, 970, 1026, 1104, 1106, 8209, 8215, 8218, 8222, 8231, 8241, 8244, 8246, 8252, 8365, 8452, 8454, 8458, 8471, 8482, 8556, 8570, 8596, 8602, 8713, 8720, 8722, 8726, 8731, 8737, 8740, 8742, 8748, 8751, 8760, 8766, 8777, 8781, 8787, 8802, 8808, 8816, 8854, 8858, 8870, 8896, 8979, 9322, 9372, 9548, 9588, 9616, 9622, 9634, 9652, 9662, 9672, 9676, 9680, 9702, 9735, 9738, 9793, 9795, 11906, 11909, 11913, 11917, 11928, 11944, 11947, 11951, 11956, 11960, 11964, 11979, 12284, 12292, 12312, 12319, 12330, 12351, 12436, 12447, 12535, 12543, 12586, 12842, 12850, 12964, 13200, 13215, 13218, 13253, 13263, 13267, 13270, 13384, 13428, 13727, 13839, 13851, 14617, 14703, 14801, 14816, 14964, 15183, 15471, 15585, 16471, 16736, 17208, 17325, 17330, 17374, 17623, 17997, 18018, 18212, 18218, 18301, 18318, 18760, 18811, 18814, 18820, 18823, 18844, 18848, 18872, 19576, 19620, 19738, 19887, 40870, 59244, 59336, 59367, 59413, 59417, 59423, 59431, 59437, 59443, 59452, 59460, 59478, 59493, 63789, 63866, 63894, 63976, 63986, 64016, 64018, 64021, 64025, 64034, 64037, 64042, 65074, 65093, 65107, 65112, 65127, 65132, 65375, 65510, 65536], gbChars: [0, 36, 38, 45, 50, 81, 89, 95, 96, 100, 103, 104, 105, 109, 126, 133, 148, 172, 175, 179, 208, 306, 307, 308, 309, 310, 311, 312, 313, 341, 428, 443, 544, 545, 558, 741, 742, 749, 750, 805, 819, 820, 7922, 7924, 7925, 7927, 7934, 7943, 7944, 7945, 7950, 8062, 8148, 8149, 8152, 8164, 8174, 8236, 8240, 8262, 8264, 8374, 8380, 8381, 8384, 8388, 8390, 8392, 8393, 8394, 8396, 8401, 8406, 8416, 8419, 8424, 8437, 8439, 8445, 8482, 8485, 8496, 8521, 8603, 8936, 8946, 9046, 9050, 9063, 9066, 9076, 9092, 9100, 9108, 9111, 9113, 9131, 9162, 9164, 9218, 9219, 11329, 11331, 11334, 11336, 11346, 11361, 11363, 11366, 11370, 11372, 11375, 11389, 11682, 11686, 11687, 11692, 11694, 11714, 11716, 11723, 11725, 11730, 11736, 11982, 11989, 12102, 12336, 12348, 12350, 12384, 12393, 12395, 12397, 12510, 12553, 12851, 12962, 12973, 13738, 13823, 13919, 13933, 14080, 14298, 14585, 14698, 15583, 15847, 16318, 16434, 16438, 16481, 16729, 17102, 17122, 17315, 17320, 17402, 17418, 17859, 17909, 17911, 17915, 17916, 17936, 17939, 17961, 18664, 18703, 18814, 18962, 19043, 33469, 33470, 33471, 33484, 33485, 33490, 33497, 33501, 33505, 33513, 33520, 33536, 33550, 37845, 37921, 37948, 38029, 38038, 38064, 38065, 38066, 38069, 38075, 38076, 38078, 39108, 39109, 39113, 39114, 39115, 39116, 39265, 39394, 189000] };
});

// node_modules/iconv-lite/encodings/tables/cp949.json
var require_cp9492 = __commonJS((exports, module) => {
  module.exports = [
    ["0", "\x00", 127],
    ["8141", "갂갃갅갆갋", 4, "갘갞갟갡갢갣갥", 6, "갮갲갳갴"],
    ["8161", "갵갶갷갺갻갽갾갿걁", 9, "걌걎", 5, "걕"],
    ["8181", "걖걗걙걚걛걝", 18, "걲걳걵걶걹걻", 4, "겂겇겈겍겎겏겑겒겓겕", 6, "겞겢", 5, "겫겭겮겱", 6, "겺겾겿곀곂곃곅곆곇곉곊곋곍", 7, "곖곘", 7, "곢곣곥곦곩곫곭곮곲곴곷", 4, "곾곿괁괂괃괅괇", 4, "괎괐괒괓"],
    ["8241", "괔괕괖괗괙괚괛괝괞괟괡", 7, "괪괫괮", 5],
    ["8261", "괶괷괹괺괻괽", 6, "굆굈굊", 5, "굑굒굓굕굖굗"],
    ["8281", "굙", 7, "굢굤", 7, "굮굯굱굲굷굸굹굺굾궀궃", 4, "궊궋궍궎궏궑", 10, "궞", 5, "궥", 17, "궸", 7, "귂귃귅귆귇귉", 6, "귒귔", 7, "귝귞귟귡귢귣귥", 18],
    ["8341", "귺귻귽귾긂", 5, "긊긌긎", 5, "긕", 7],
    ["8361", "긝", 18, "긲긳긵긶긹긻긼"],
    ["8381", "긽긾긿깂깄깇깈깉깋깏깑깒깓깕깗", 4, "깞깢깣깤깦깧깪깫깭깮깯깱", 6, "깺깾", 5, "꺆", 5, "꺍", 46, "꺿껁껂껃껅", 6, "껎껒", 5, "껚껛껝", 8],
    ["8441", "껦껧껩껪껬껮", 5, "껵껶껷껹껺껻껽", 8],
    ["8461", "꼆꼉꼊꼋꼌꼎꼏꼑", 18],
    ["8481", "꼤", 7, "꼮꼯꼱꼳꼵", 6, "꼾꽀꽄꽅꽆꽇꽊", 5, "꽑", 10, "꽞", 5, "꽦", 18, "꽺", 5, "꾁꾂꾃꾅꾆꾇꾉", 6, "꾒꾓꾔꾖", 5, "꾝", 26, "꾺꾻꾽꾾"],
    ["8541", "꾿꿁", 5, "꿊꿌꿏", 4, "꿕", 6, "꿝", 4],
    ["8561", "꿢", 5, "꿪", 5, "꿲꿳꿵꿶꿷꿹", 6, "뀂뀃"],
    ["8581", "뀅", 6, "뀍뀎뀏뀑뀒뀓뀕", 6, "뀞", 9, "뀩", 26, "끆끇끉끋끍끏끐끑끒끖끘끚끛끜끞", 29, "끾끿낁낂낃낅", 6, "낎낐낒", 5, "낛낝낞낣낤"],
    ["8641", "낥낦낧낪낰낲낶낷낹낺낻낽", 6, "냆냊", 5, "냒"],
    ["8661", "냓냕냖냗냙", 6, "냡냢냣냤냦", 10],
    ["8681", "냱", 22, "넊넍넎넏넑넔넕넖넗넚넞", 4, "넦넧넩넪넫넭", 6, "넶넺", 5, "녂녃녅녆녇녉", 6, "녒녓녖녗녙녚녛녝녞녟녡", 22, "녺녻녽녾녿놁놃", 4, "놊놌놎놏놐놑놕놖놗놙놚놛놝"],
    ["8741", "놞", 9, "놩", 15],
    ["8761", "놹", 18, "뇍뇎뇏뇑뇒뇓뇕"],
    ["8781", "뇖", 5, "뇞뇠", 7, "뇪뇫뇭뇮뇯뇱", 7, "뇺뇼뇾", 5, "눆눇눉눊눍", 6, "눖눘눚", 5, "눡", 18, "눵", 6, "눽", 26, "뉙뉚뉛뉝뉞뉟뉡", 6, "뉪", 4],
    ["8841", "뉯", 4, "뉶", 5, "뉽", 6, "늆늇늈늊", 4],
    ["8861", "늏늒늓늕늖늗늛", 4, "늢늤늧늨늩늫늭늮늯늱늲늳늵늶늷"],
    ["8881", "늸", 15, "닊닋닍닎닏닑닓", 4, "닚닜닞닟닠닡닣닧닩닪닰닱닲닶닼닽닾댂댃댅댆댇댉", 6, "댒댖", 5, "댝", 54, "덗덙덚덝덠덡덢덣"],
    ["8941", "덦덨덪덬덭덯덲덳덵덶덷덹", 6, "뎂뎆", 5, "뎍"],
    ["8961", "뎎뎏뎑뎒뎓뎕", 10, "뎢", 5, "뎩뎪뎫뎭"],
    ["8981", "뎮", 21, "돆돇돉돊돍돏돑돒돓돖돘돚돜돞돟돡돢돣돥돦돧돩", 18, "돽", 18, "됑", 6, "됙됚됛됝됞됟됡", 6, "됪됬", 7, "됵", 15],
    ["8a41", "둅", 10, "둒둓둕둖둗둙", 6, "둢둤둦"],
    ["8a61", "둧", 4, "둭", 18, "뒁뒂"],
    ["8a81", "뒃", 4, "뒉", 19, "뒞", 5, "뒥뒦뒧뒩뒪뒫뒭", 7, "뒶뒸뒺", 5, "듁듂듃듅듆듇듉", 6, "듑듒듓듔듖", 5, "듞듟듡듢듥듧", 4, "듮듰듲", 5, "듹", 26, "딖딗딙딚딝"],
    ["8b41", "딞", 5, "딦딫", 4, "딲딳딵딶딷딹", 6, "땂땆"],
    ["8b61", "땇땈땉땊땎땏땑땒땓땕", 6, "땞땢", 8],
    ["8b81", "땫", 52, "떢떣떥떦떧떩떬떭떮떯떲떶", 4, "떾떿뗁뗂뗃뗅", 6, "뗎뗒", 5, "뗙", 18, "뗭", 18],
    ["8c41", "똀", 15, "똒똓똕똖똗똙", 4],
    ["8c61", "똞", 6, "똦", 5, "똭", 6, "똵", 5],
    ["8c81", "똻", 12, "뙉", 26, "뙥뙦뙧뙩", 50, "뚞뚟뚡뚢뚣뚥", 5, "뚭뚮뚯뚰뚲", 16],
    ["8d41", "뛃", 16, "뛕", 8],
    ["8d61", "뛞", 17, "뛱뛲뛳뛵뛶뛷뛹뛺"],
    ["8d81", "뛻", 4, "뜂뜃뜄뜆", 33, "뜪뜫뜭뜮뜱", 6, "뜺뜼", 7, "띅띆띇띉띊띋띍", 6, "띖", 9, "띡띢띣띥띦띧띩", 6, "띲띴띶", 5, "띾띿랁랂랃랅", 6, "랎랓랔랕랚랛랝랞"],
    ["8e41", "랟랡", 6, "랪랮", 5, "랶랷랹", 8],
    ["8e61", "럂", 4, "럈럊", 19],
    ["8e81", "럞", 13, "럮럯럱럲럳럵", 6, "럾렂", 4, "렊렋렍렎렏렑", 6, "렚렜렞", 5, "렦렧렩렪렫렭", 6, "렶렺", 5, "롁롂롃롅", 11, "롒롔", 7, "롞롟롡롢롣롥", 6, "롮롰롲", 5, "롹롺롻롽", 7],
    ["8f41", "뢅", 7, "뢎", 17],
    ["8f61", "뢠", 7, "뢩", 6, "뢱뢲뢳뢵뢶뢷뢹", 4],
    ["8f81", "뢾뢿룂룄룆", 5, "룍룎룏룑룒룓룕", 7, "룞룠룢", 5, "룪룫룭룮룯룱", 6, "룺룼룾", 5, "뤅", 18, "뤙", 6, "뤡", 26, "뤾뤿륁륂륃륅", 6, "륍륎륐륒", 5],
    ["9041", "륚륛륝륞륟륡", 6, "륪륬륮", 5, "륶륷륹륺륻륽"],
    ["9061", "륾", 5, "릆릈릋릌릏", 15],
    ["9081", "릟", 12, "릮릯릱릲릳릵", 6, "릾맀맂", 5, "맊맋맍맓", 4, "맚맜맟맠맢맦맧맩맪맫맭", 6, "맶맻", 4, "먂", 5, "먉", 11, "먖", 33, "먺먻먽먾먿멁멃멄멅멆"],
    ["9141", "멇멊멌멏멐멑멒멖멗멙멚멛멝", 6, "멦멪", 5],
    ["9161", "멲멳멵멶멷멹", 9, "몆몈몉몊몋몍", 5],
    ["9181", "몓", 20, "몪몭몮몯몱몳", 4, "몺몼몾", 5, "뫅뫆뫇뫉", 14, "뫚", 33, "뫽뫾뫿묁묂묃묅", 7, "묎묐묒", 5, "묙묚묛묝묞묟묡", 6],
    ["9241", "묨묪묬", 7, "묷묹묺묿", 4, "뭆뭈뭊뭋뭌뭎뭑뭒"],
    ["9261", "뭓뭕뭖뭗뭙", 7, "뭢뭤", 7, "뭭", 4],
    ["9281", "뭲", 21, "뮉뮊뮋뮍뮎뮏뮑", 18, "뮥뮦뮧뮩뮪뮫뮭", 6, "뮵뮶뮸", 7, "믁믂믃믅믆믇믉", 6, "믑믒믔", 35, "믺믻믽믾밁"],
    ["9341", "밃", 4, "밊밎밐밒밓밙밚밠밡밢밣밦밨밪밫밬밮밯밲밳밵"],
    ["9361", "밶밷밹", 6, "뱂뱆뱇뱈뱊뱋뱎뱏뱑", 8],
    ["9381", "뱚뱛뱜뱞", 37, "벆벇벉벊벍벏", 4, "벖벘벛", 4, "벢벣벥벦벩", 6, "벲벶", 5, "벾벿볁볂볃볅", 7, "볎볒볓볔볖볗볙볚볛볝", 22, "볷볹볺볻볽"],
    ["9441", "볾", 5, "봆봈봊", 5, "봑봒봓봕", 8],
    ["9461", "봞", 5, "봥", 6, "봭", 12],
    ["9481", "봺", 5, "뵁", 6, "뵊뵋뵍뵎뵏뵑", 6, "뵚", 9, "뵥뵦뵧뵩", 22, "붂붃붅붆붋", 4, "붒붔붖붗붘붛붝", 6, "붥", 10, "붱", 6, "붹", 24],
    ["9541", "뷒뷓뷖뷗뷙뷚뷛뷝", 11, "뷪", 5, "뷱"],
    ["9561", "뷲뷳뷵뷶뷷뷹", 6, "븁븂븄븆", 5, "븎븏븑븒븓"],
    ["9581", "븕", 6, "븞븠", 35, "빆빇빉빊빋빍빏", 4, "빖빘빜빝빞빟빢빣빥빦빧빩빫", 4, "빲빶", 4, "빾빿뺁뺂뺃뺅", 6, "뺎뺒", 5, "뺚", 13, "뺩", 14],
    ["9641", "뺸", 23, "뻒뻓"],
    ["9661", "뻕뻖뻙", 6, "뻡뻢뻦", 5, "뻭", 8],
    ["9681", "뻶", 10, "뼂", 5, "뼊", 13, "뼚뼞", 33, "뽂뽃뽅뽆뽇뽉", 6, "뽒뽓뽔뽖", 44],
    ["9741", "뾃", 16, "뾕", 8],
    ["9761", "뾞", 17, "뾱", 7],
    ["9781", "뾹", 11, "뿆", 5, "뿎뿏뿑뿒뿓뿕", 6, "뿝뿞뿠뿢", 89, "쀽쀾쀿"],
    ["9841", "쁀", 16, "쁒", 5, "쁙쁚쁛"],
    ["9861", "쁝쁞쁟쁡", 6, "쁪", 15],
    ["9881", "쁺", 21, "삒삓삕삖삗삙", 6, "삢삤삦", 5, "삮삱삲삷", 4, "삾샂샃샄샆샇샊샋샍샎샏샑", 6, "샚샞", 5, "샦샧샩샪샫샭", 6, "샶샸샺", 5, "섁섂섃섅섆섇섉", 6, "섑섒섓섔섖", 5, "섡섢섥섨섩섪섫섮"],
    ["9941", "섲섳섴섵섷섺섻섽섾섿셁", 6, "셊셎", 5, "셖셗"],
    ["9961", "셙셚셛셝", 6, "셦셪", 5, "셱셲셳셵셶셷셹셺셻"],
    ["9981", "셼", 8, "솆", 5, "솏솑솒솓솕솗", 4, "솞솠솢솣솤솦솧솪솫솭솮솯솱", 11, "솾", 5, "쇅쇆쇇쇉쇊쇋쇍", 6, "쇕쇖쇙", 6, "쇡쇢쇣쇥쇦쇧쇩", 6, "쇲쇴", 7, "쇾쇿숁숂숃숅", 6, "숎숐숒", 5, "숚숛숝숞숡숢숣"],
    ["9a41", "숤숥숦숧숪숬숮숰숳숵", 16],
    ["9a61", "쉆쉇쉉", 6, "쉒쉓쉕쉖쉗쉙", 6, "쉡쉢쉣쉤쉦"],
    ["9a81", "쉧", 4, "쉮쉯쉱쉲쉳쉵", 6, "쉾슀슂", 5, "슊", 5, "슑", 6, "슙슚슜슞", 5, "슦슧슩슪슫슮", 5, "슶슸슺", 33, "싞싟싡싢싥", 5, "싮싰싲싳싴싵싷싺싽싾싿쌁", 6, "쌊쌋쌎쌏"],
    ["9b41", "쌐쌑쌒쌖쌗쌙쌚쌛쌝", 6, "쌦쌧쌪", 8],
    ["9b61", "쌳", 17, "썆", 7],
    ["9b81", "썎", 25, "썪썫썭썮썯썱썳", 4, "썺썻썾", 5, "쎅쎆쎇쎉쎊쎋쎍", 50, "쏁", 22, "쏚"],
    ["9c41", "쏛쏝쏞쏡쏣", 4, "쏪쏫쏬쏮", 5, "쏶쏷쏹", 5],
    ["9c61", "쏿", 8, "쐉", 6, "쐑", 9],
    ["9c81", "쐛", 8, "쐥", 6, "쐭쐮쐯쐱쐲쐳쐵", 6, "쐾", 9, "쑉", 26, "쑦쑧쑩쑪쑫쑭", 6, "쑶쑷쑸쑺", 5, "쒁", 18, "쒕", 6, "쒝", 12],
    ["9d41", "쒪", 13, "쒹쒺쒻쒽", 8],
    ["9d61", "쓆", 25],
    ["9d81", "쓠", 8, "쓪", 5, "쓲쓳쓵쓶쓷쓹쓻쓼쓽쓾씂", 9, "씍씎씏씑씒씓씕", 6, "씝", 10, "씪씫씭씮씯씱", 6, "씺씼씾", 5, "앆앇앋앏앐앑앒앖앚앛앜앟앢앣앥앦앧앩", 6, "앲앶", 5, "앾앿얁얂얃얅얆얈얉얊얋얎얐얒얓얔"],
    ["9e41", "얖얙얚얛얝얞얟얡", 7, "얪", 9, "얶"],
    ["9e61", "얷얺얿", 4, "엋엍엏엒엓엕엖엗엙", 6, "엢엤엦엧"],
    ["9e81", "엨엩엪엫엯엱엲엳엵엸엹엺엻옂옃옄옉옊옋옍옎옏옑", 6, "옚옝", 6, "옦옧옩옪옫옯옱옲옶옸옺옼옽옾옿왂왃왅왆왇왉", 6, "왒왖", 5, "왞왟왡", 10, "왭왮왰왲", 5, "왺왻왽왾왿욁", 6, "욊욌욎", 5, "욖욗욙욚욛욝", 6, "욦"],
    ["9f41", "욨욪", 5, "욲욳욵욶욷욻", 4, "웂웄웆", 5, "웎"],
    ["9f61", "웏웑웒웓웕", 6, "웞웟웢", 5, "웪웫웭웮웯웱웲"],
    ["9f81", "웳", 4, "웺웻웼웾", 5, "윆윇윉윊윋윍", 6, "윖윘윚", 5, "윢윣윥윦윧윩", 6, "윲윴윶윸윹윺윻윾윿읁읂읃읅", 4, "읋읎읐읙읚읛읝읞읟읡", 6, "읩읪읬", 7, "읶읷읹읺읻읿잀잁잂잆잋잌잍잏잒잓잕잙잛", 4, "잢잧", 4, "잮잯잱잲잳잵잶잷"],
    ["a041", "잸잹잺잻잾쟂", 5, "쟊쟋쟍쟏쟑", 6, "쟙쟚쟛쟜"],
    ["a061", "쟞", 5, "쟥쟦쟧쟩쟪쟫쟭", 13],
    ["a081", "쟻", 4, "젂젃젅젆젇젉젋", 4, "젒젔젗", 4, "젞젟젡젢젣젥", 6, "젮젰젲", 5, "젹젺젻젽젾젿졁", 6, "졊졋졎", 5, "졕", 26, "졲졳졵졶졷졹졻", 4, "좂좄좈좉좊좎", 5, "좕", 7, "좞좠좢좣좤"],
    ["a141", "좥좦좧좩", 18, "좾좿죀죁"],
    ["a161", "죂죃죅죆죇죉죊죋죍", 6, "죖죘죚", 5, "죢죣죥"],
    ["a181", "죦", 14, "죶", 5, "죾죿줁줂줃줇", 4, "줎　、。·‥…¨〃­―∥＼∼‘’“”〔〕〈", 9, "±×÷≠≤≥∞∴°′″℃Å￠￡￥♂♀∠⊥⌒∂∇≡≒§※☆★○●◎◇◆□■△▲▽▼→←↑↓↔〓≪≫√∽∝∵∫∬∈∋⊆⊇⊂⊃∪∩∧∨￢"],
    ["a241", "줐줒", 5, "줙", 18],
    ["a261", "줭", 6, "줵", 18],
    ["a281", "쥈", 7, "쥒쥓쥕쥖쥗쥙", 6, "쥢쥤", 7, "쥭쥮쥯⇒⇔∀∃´～ˇ˘˝˚˙¸˛¡¿ː∮∑∏¤℉‰◁◀▷▶♤♠♡♥♧♣⊙◈▣◐◑▒▤▥▨▧▦▩♨☏☎☜☞¶†‡↕↗↙↖↘♭♩♪♬㉿㈜№㏇™㏂㏘℡€®"],
    ["a341", "쥱쥲쥳쥵", 6, "쥽", 10, "즊즋즍즎즏"],
    ["a361", "즑", 6, "즚즜즞", 16],
    ["a381", "즯", 16, "짂짃짅짆짉짋", 4, "짒짔짗짘짛！", 58, "￦］", 32, "￣"],
    ["a441", "짞짟짡짣짥짦짨짩짪짫짮짲", 5, "짺짻짽짾짿쨁쨂쨃쨄"],
    ["a461", "쨅쨆쨇쨊쨎", 5, "쨕쨖쨗쨙", 12],
    ["a481", "쨦쨧쨨쨪", 28, "ㄱ", 93],
    ["a541", "쩇", 4, "쩎쩏쩑쩒쩓쩕", 6, "쩞쩢", 5, "쩩쩪"],
    ["a561", "쩫", 17, "쩾", 5, "쪅쪆"],
    ["a581", "쪇", 16, "쪙", 14, "ⅰ", 9],
    ["a5b0", "Ⅰ", 9],
    ["a5c1", "Α", 16, "Σ", 6],
    ["a5e1", "α", 16, "σ", 6],
    ["a641", "쪨", 19, "쪾쪿쫁쫂쫃쫅"],
    ["a661", "쫆", 5, "쫎쫐쫒쫔쫕쫖쫗쫚", 5, "쫡", 6],
    ["a681", "쫨쫩쫪쫫쫭", 6, "쫵", 18, "쬉쬊─│┌┐┘└├┬┤┴┼━┃┏┓┛┗┣┳┫┻╋┠┯┨┷┿┝┰┥┸╂┒┑┚┙┖┕┎┍┞┟┡┢┦┧┩┪┭┮┱┲┵┶┹┺┽┾╀╁╃", 7],
    ["a741", "쬋", 4, "쬑쬒쬓쬕쬖쬗쬙", 6, "쬢", 7],
    ["a761", "쬪", 22, "쭂쭃쭄"],
    ["a781", "쭅쭆쭇쭊쭋쭍쭎쭏쭑", 6, "쭚쭛쭜쭞", 5, "쭥", 7, "㎕㎖㎗ℓ㎘㏄㎣㎤㎥㎦㎙", 9, "㏊㎍㎎㎏㏏㎈㎉㏈㎧㎨㎰", 9, "㎀", 4, "㎺", 5, "㎐", 4, "Ω㏀㏁㎊㎋㎌㏖㏅㎭㎮㎯㏛㎩㎪㎫㎬㏝㏐㏓㏃㏉㏜㏆"],
    ["a841", "쭭", 10, "쭺", 14],
    ["a861", "쮉", 18, "쮝", 6],
    ["a881", "쮤", 19, "쮹", 11, "ÆÐªĦ"],
    ["a8a6", "Ĳ"],
    ["a8a8", "ĿŁØŒºÞŦŊ"],
    ["a8b1", "㉠", 27, "ⓐ", 25, "①", 14, "½⅓⅔¼¾⅛⅜⅝⅞"],
    ["a941", "쯅", 14, "쯕", 10],
    ["a961", "쯠쯡쯢쯣쯥쯦쯨쯪", 18],
    ["a981", "쯽", 14, "찎찏찑찒찓찕", 6, "찞찟찠찣찤æđðħıĳĸŀłøœßþŧŋŉ㈀", 27, "⒜", 25, "⑴", 14, "¹²³⁴ⁿ₁₂₃₄"],
    ["aa41", "찥찦찪찫찭찯찱", 6, "찺찿", 4, "챆챇챉챊챋챍챎"],
    ["aa61", "챏", 4, "챖챚", 5, "챡챢챣챥챧챩", 6, "챱챲"],
    ["aa81", "챳챴챶", 29, "ぁ", 82],
    ["ab41", "첔첕첖첗첚첛첝첞첟첡", 6, "첪첮", 5, "첶첷첹"],
    ["ab61", "첺첻첽", 6, "쳆쳈쳊", 5, "쳑쳒쳓쳕", 5],
    ["ab81", "쳛", 8, "쳥", 6, "쳭쳮쳯쳱", 12, "ァ", 85],
    ["ac41", "쳾쳿촀촂", 5, "촊촋촍촎촏촑", 6, "촚촜촞촟촠"],
    ["ac61", "촡촢촣촥촦촧촩촪촫촭", 11, "촺", 4],
    ["ac81", "촿", 28, "쵝쵞쵟А", 5, "ЁЖ", 25],
    ["acd1", "а", 5, "ёж", 25],
    ["ad41", "쵡쵢쵣쵥", 6, "쵮쵰쵲", 5, "쵹", 7],
    ["ad61", "춁", 6, "춉", 10, "춖춗춙춚춛춝춞춟"],
    ["ad81", "춠춡춢춣춦춨춪", 5, "춱", 18, "췅"],
    ["ae41", "췆", 5, "췍췎췏췑", 16],
    ["ae61", "췢", 5, "췩췪췫췭췮췯췱", 6, "췺췼췾", 4],
    ["ae81", "츃츅츆츇츉츊츋츍", 6, "츕츖츗츘츚", 5, "츢츣츥츦츧츩츪츫"],
    ["af41", "츬츭츮츯츲츴츶", 19],
    ["af61", "칊", 13, "칚칛칝칞칢", 5, "칪칬"],
    ["af81", "칮", 5, "칶칷칹칺칻칽", 6, "캆캈캊", 5, "캒캓캕캖캗캙"],
    ["b041", "캚", 5, "캢캦", 5, "캮", 12],
    ["b061", "캻", 5, "컂", 19],
    ["b081", "컖", 13, "컦컧컩컪컭", 6, "컶컺", 5, "가각간갇갈갉갊감", 7, "같", 4, "갠갤갬갭갯갰갱갸갹갼걀걋걍걔걘걜거걱건걷걸걺검겁것겄겅겆겉겊겋게겐겔겜겝겟겠겡겨격겪견겯결겸겹겻겼경곁계곈곌곕곗고곡곤곧골곪곬곯곰곱곳공곶과곽관괄괆"],
    ["b141", "켂켃켅켆켇켉", 6, "켒켔켖", 5, "켝켞켟켡켢켣"],
    ["b161", "켥", 6, "켮켲", 5, "켹", 11],
    ["b181", "콅", 14, "콖콗콙콚콛콝", 6, "콦콨콪콫콬괌괍괏광괘괜괠괩괬괭괴괵괸괼굄굅굇굉교굔굘굡굣구국군굳굴굵굶굻굼굽굿궁궂궈궉권궐궜궝궤궷귀귁귄귈귐귑귓규균귤그극근귿글긁금급긋긍긔기긱긴긷길긺김깁깃깅깆깊까깍깎깐깔깖깜깝깟깠깡깥깨깩깬깰깸"],
    ["b241", "콭콮콯콲콳콵콶콷콹", 6, "쾁쾂쾃쾄쾆", 5, "쾍"],
    ["b261", "쾎", 18, "쾢", 5, "쾩"],
    ["b281", "쾪", 5, "쾱", 18, "쿅", 6, "깹깻깼깽꺄꺅꺌꺼꺽꺾껀껄껌껍껏껐껑께껙껜껨껫껭껴껸껼꼇꼈꼍꼐꼬꼭꼰꼲꼴꼼꼽꼿꽁꽂꽃꽈꽉꽐꽜꽝꽤꽥꽹꾀꾄꾈꾐꾑꾕꾜꾸꾹꾼꿀꿇꿈꿉꿋꿍꿎꿔꿜꿨꿩꿰꿱꿴꿸뀀뀁뀄뀌뀐뀔뀜뀝뀨끄끅끈끊끌끎끓끔끕끗끙"],
    ["b341", "쿌", 19, "쿢쿣쿥쿦쿧쿩"],
    ["b361", "쿪", 5, "쿲쿴쿶", 5, "쿽쿾쿿퀁퀂퀃퀅", 5],
    ["b381", "퀋", 5, "퀒", 5, "퀙", 19, "끝끼끽낀낄낌낍낏낑나낙낚난낟날낡낢남납낫", 4, "낱낳내낵낸낼냄냅냇냈냉냐냑냔냘냠냥너넉넋넌널넒넓넘넙넛넜넝넣네넥넨넬넴넵넷넸넹녀녁년녈념녑녔녕녘녜녠노녹논놀놂놈놉놋농높놓놔놘놜놨뇌뇐뇔뇜뇝"],
    ["b441", "퀮", 5, "퀶퀷퀹퀺퀻퀽", 6, "큆큈큊", 5],
    ["b461", "큑큒큓큕큖큗큙", 6, "큡", 10, "큮큯"],
    ["b481", "큱큲큳큵", 6, "큾큿킀킂", 18, "뇟뇨뇩뇬뇰뇹뇻뇽누눅눈눋눌눔눕눗눙눠눴눼뉘뉜뉠뉨뉩뉴뉵뉼늄늅늉느늑는늘늙늚늠늡늣능늦늪늬늰늴니닉닌닐닒님닙닛닝닢다닥닦단닫", 4, "닳담답닷", 4, "닿대댁댄댈댐댑댓댔댕댜더덕덖던덛덜덞덟덤덥"],
    ["b541", "킕", 14, "킦킧킩킪킫킭", 5],
    ["b561", "킳킶킸킺", 5, "탂탃탅탆탇탊", 5, "탒탖", 4],
    ["b581", "탛탞탟탡탢탣탥", 6, "탮탲", 5, "탹", 11, "덧덩덫덮데덱덴델뎀뎁뎃뎄뎅뎌뎐뎔뎠뎡뎨뎬도독돈돋돌돎돐돔돕돗동돛돝돠돤돨돼됐되된될됨됩됫됴두둑둔둘둠둡둣둥둬뒀뒈뒝뒤뒨뒬뒵뒷뒹듀듄듈듐듕드득든듣들듦듬듭듯등듸디딕딘딛딜딤딥딧딨딩딪따딱딴딸"],
    ["b641", "턅", 7, "턎", 17],
    ["b661", "턠", 15, "턲턳턵턶턷턹턻턼턽턾"],
    ["b681", "턿텂텆", 5, "텎텏텑텒텓텕", 6, "텞텠텢", 5, "텩텪텫텭땀땁땃땄땅땋때땍땐땔땜땝땟땠땡떠떡떤떨떪떫떰떱떳떴떵떻떼떽뗀뗄뗌뗍뗏뗐뗑뗘뗬또똑똔똘똥똬똴뙈뙤뙨뚜뚝뚠뚤뚫뚬뚱뛔뛰뛴뛸뜀뜁뜅뜨뜩뜬뜯뜰뜸뜹뜻띄띈띌띔띕띠띤띨띰띱띳띵라락란랄람랍랏랐랑랒랖랗"],
    ["b741", "텮", 13, "텽", 6, "톅톆톇톉톊"],
    ["b761", "톋", 20, "톢톣톥톦톧"],
    ["b781", "톩", 6, "톲톴톶톷톸톹톻톽톾톿퇁", 14, "래랙랜랠램랩랫랬랭랴략랸럇량러럭런럴럼럽럿렀렁렇레렉렌렐렘렙렛렝려력련렬렴렵렷렸령례롄롑롓로록론롤롬롭롯롱롸롼뢍뢨뢰뢴뢸룀룁룃룅료룐룔룝룟룡루룩룬룰룸룹룻룽뤄뤘뤠뤼뤽륀륄륌륏륑류륙륜률륨륩"],
    ["b841", "퇐", 7, "퇙", 17],
    ["b861", "퇫", 8, "퇵퇶퇷퇹", 13],
    ["b881", "툈툊", 5, "툑", 24, "륫륭르륵른를름릅릇릉릊릍릎리릭린릴림립릿링마막만많", 4, "맘맙맛망맞맡맣매맥맨맬맴맵맷맸맹맺먀먁먈먕머먹먼멀멂멈멉멋멍멎멓메멕멘멜멤멥멧멨멩며멱면멸몃몄명몇몌모목몫몬몰몲몸몹못몽뫄뫈뫘뫙뫼"],
    ["b941", "툪툫툮툯툱툲툳툵", 6, "툾퉀퉂", 5, "퉉퉊퉋퉌"],
    ["b961", "퉍", 14, "퉝", 6, "퉥퉦퉧퉨"],
    ["b981", "퉩", 22, "튂튃튅튆튇튉튊튋튌묀묄묍묏묑묘묜묠묩묫무묵묶문묻물묽묾뭄뭅뭇뭉뭍뭏뭐뭔뭘뭡뭣뭬뮈뮌뮐뮤뮨뮬뮴뮷므믄믈믐믓미믹민믿밀밂밈밉밋밌밍및밑바", 4, "받", 4, "밤밥밧방밭배백밴밸뱀뱁뱃뱄뱅뱉뱌뱍뱐뱝버벅번벋벌벎범법벗"],
    ["ba41", "튍튎튏튒튓튔튖", 5, "튝튞튟튡튢튣튥", 6, "튭"],
    ["ba61", "튮튯튰튲", 5, "튺튻튽튾틁틃", 4, "틊틌", 5],
    ["ba81", "틒틓틕틖틗틙틚틛틝", 6, "틦", 9, "틲틳틵틶틷틹틺벙벚베벡벤벧벨벰벱벳벴벵벼벽변별볍볏볐병볕볘볜보복볶본볼봄봅봇봉봐봔봤봬뵀뵈뵉뵌뵐뵘뵙뵤뵨부북분붇불붉붊붐붑붓붕붙붚붜붤붰붸뷔뷕뷘뷜뷩뷰뷴뷸븀븃븅브븍븐블븜븝븟비빅빈빌빎빔빕빗빙빚빛빠빡빤"],
    ["bb41", "틻", 4, "팂팄팆", 5, "팏팑팒팓팕팗", 4, "팞팢팣"],
    ["bb61", "팤팦팧팪팫팭팮팯팱", 6, "팺팾", 5, "퍆퍇퍈퍉"],
    ["bb81", "퍊", 31, "빨빪빰빱빳빴빵빻빼빽뺀뺄뺌뺍뺏뺐뺑뺘뺙뺨뻐뻑뻔뻗뻘뻠뻣뻤뻥뻬뼁뼈뼉뼘뼙뼛뼜뼝뽀뽁뽄뽈뽐뽑뽕뾔뾰뿅뿌뿍뿐뿔뿜뿟뿡쀼쁑쁘쁜쁠쁨쁩삐삑삔삘삠삡삣삥사삭삯산삳살삵삶삼삽삿샀상샅새색샌샐샘샙샛샜생샤"],
    ["bc41", "퍪", 17, "퍾퍿펁펂펃펅펆펇"],
    ["bc61", "펈펉펊펋펎펒", 5, "펚펛펝펞펟펡", 6, "펪펬펮"],
    ["bc81", "펯", 4, "펵펶펷펹펺펻펽", 6, "폆폇폊", 5, "폑", 5, "샥샨샬샴샵샷샹섀섄섈섐섕서", 4, "섣설섦섧섬섭섯섰성섶세섹센셀셈셉셋셌셍셔셕션셜셤셥셧셨셩셰셴셸솅소속솎손솔솖솜솝솟송솥솨솩솬솰솽쇄쇈쇌쇔쇗쇘쇠쇤쇨쇰쇱쇳쇼쇽숀숄숌숍숏숑수숙순숟술숨숩숫숭"],
    ["bd41", "폗폙", 7, "폢폤", 7, "폮폯폱폲폳폵폶폷"],
    ["bd61", "폸폹폺폻폾퐀퐂", 5, "퐉", 13],
    ["bd81", "퐗", 5, "퐞", 25, "숯숱숲숴쉈쉐쉑쉔쉘쉠쉥쉬쉭쉰쉴쉼쉽쉿슁슈슉슐슘슛슝스슥슨슬슭슴습슷승시식신싣실싫심십싯싱싶싸싹싻싼쌀쌈쌉쌌쌍쌓쌔쌕쌘쌜쌤쌥쌨쌩썅써썩썬썰썲썸썹썼썽쎄쎈쎌쏀쏘쏙쏜쏟쏠쏢쏨쏩쏭쏴쏵쏸쐈쐐쐤쐬쐰"],
    ["be41", "퐸", 7, "푁푂푃푅", 14],
    ["be61", "푔", 7, "푝푞푟푡푢푣푥", 7, "푮푰푱푲"],
    ["be81", "푳", 4, "푺푻푽푾풁풃", 4, "풊풌풎", 5, "풕", 8, "쐴쐼쐽쑈쑤쑥쑨쑬쑴쑵쑹쒀쒔쒜쒸쒼쓩쓰쓱쓴쓸쓺쓿씀씁씌씐씔씜씨씩씬씰씸씹씻씽아악안앉않알앍앎앓암압앗았앙앝앞애액앤앨앰앱앳앴앵야약얀얄얇얌얍얏양얕얗얘얜얠얩어억언얹얻얼얽얾엄", 6, "엌엎"],
    ["bf41", "풞", 10, "풪", 14],
    ["bf61", "풹", 18, "퓍퓎퓏퓑퓒퓓퓕"],
    ["bf81", "퓖", 5, "퓝퓞퓠", 7, "퓩퓪퓫퓭퓮퓯퓱", 6, "퓹퓺퓼에엑엔엘엠엡엣엥여역엮연열엶엷염", 5, "옅옆옇예옌옐옘옙옛옜오옥온올옭옮옰옳옴옵옷옹옻와왁완왈왐왑왓왔왕왜왝왠왬왯왱외왹왼욀욈욉욋욍요욕욘욜욤욥욧용우욱운울욹욺움웁웃웅워웍원월웜웝웠웡웨"],
    ["c041", "퓾", 5, "픅픆픇픉픊픋픍", 6, "픖픘", 5],
    ["c061", "픞", 25],
    ["c081", "픸픹픺픻픾픿핁핂핃핅", 6, "핎핐핒", 5, "핚핛핝핞핟핡핢핣웩웬웰웸웹웽위윅윈윌윔윕윗윙유육윤율윰윱윳융윷으윽은을읊음읍읏응", 7, "읜읠읨읫이익인일읽읾잃임입잇있잉잊잎자작잔잖잗잘잚잠잡잣잤장잦재잭잰잴잼잽잿쟀쟁쟈쟉쟌쟎쟐쟘쟝쟤쟨쟬저적전절젊"],
    ["c141", "핤핦핧핪핬핮", 5, "핶핷핹핺핻핽", 6, "햆햊햋"],
    ["c161", "햌햍햎햏햑", 19, "햦햧"],
    ["c181", "햨", 31, "점접젓정젖제젝젠젤젬젭젯젱져젼졀졈졉졌졍졔조족존졸졺좀좁좃종좆좇좋좌좍좔좝좟좡좨좼좽죄죈죌죔죕죗죙죠죡죤죵주죽준줄줅줆줌줍줏중줘줬줴쥐쥑쥔쥘쥠쥡쥣쥬쥰쥴쥼즈즉즌즐즘즙즛증지직진짇질짊짐집짓"],
    ["c241", "헊헋헍헎헏헑헓", 4, "헚헜헞", 5, "헦헧헩헪헫헭헮"],
    ["c261", "헯", 4, "헶헸헺", 5, "혂혃혅혆혇혉", 6, "혒"],
    ["c281", "혖", 5, "혝혞혟혡혢혣혥", 7, "혮", 9, "혺혻징짖짙짚짜짝짠짢짤짧짬짭짯짰짱째짹짼쨀쨈쨉쨋쨌쨍쨔쨘쨩쩌쩍쩐쩔쩜쩝쩟쩠쩡쩨쩽쪄쪘쪼쪽쫀쫄쫌쫍쫏쫑쫓쫘쫙쫠쫬쫴쬈쬐쬔쬘쬠쬡쭁쭈쭉쭌쭐쭘쭙쭝쭤쭸쭹쮜쮸쯔쯤쯧쯩찌찍찐찔찜찝찡찢찧차착찬찮찰참찹찻"],
    ["c341", "혽혾혿홁홂홃홄홆홇홊홌홎홏홐홒홓홖홗홙홚홛홝", 4],
    ["c361", "홢", 4, "홨홪", 5, "홲홳홵", 11],
    ["c381", "횁횂횄횆", 5, "횎횏횑횒횓횕", 7, "횞횠횢", 5, "횩횪찼창찾채책챈챌챔챕챗챘챙챠챤챦챨챰챵처척천철첨첩첫첬청체첵첸첼쳄쳅쳇쳉쳐쳔쳤쳬쳰촁초촉촌촐촘촙촛총촤촨촬촹최쵠쵤쵬쵭쵯쵱쵸춈추축춘출춤춥춧충춰췄췌췐취췬췰췸췹췻췽츄츈츌츔츙츠측츤츨츰츱츳층"],
    ["c441", "횫횭횮횯횱", 7, "횺횼", 7, "훆훇훉훊훋"],
    ["c461", "훍훎훏훐훒훓훕훖훘훚", 5, "훡훢훣훥훦훧훩", 4],
    ["c481", "훮훯훱훲훳훴훶", 5, "훾훿휁휂휃휅", 11, "휒휓휔치칙친칟칠칡침칩칫칭카칵칸칼캄캅캇캉캐캑캔캘캠캡캣캤캥캬캭컁커컥컨컫컬컴컵컷컸컹케켁켄켈켐켑켓켕켜켠켤켬켭켯켰켱켸코콕콘콜콤콥콧콩콰콱콴콸쾀쾅쾌쾡쾨쾰쿄쿠쿡쿤쿨쿰쿱쿳쿵쿼퀀퀄퀑퀘퀭퀴퀵퀸퀼"],
    ["c541", "휕휖휗휚휛휝휞휟휡", 6, "휪휬휮", 5, "휶휷휹"],
    ["c561", "휺휻휽", 6, "흅흆흈흊", 5, "흒흓흕흚", 4],
    ["c581", "흟흢흤흦흧흨흪흫흭흮흯흱흲흳흵", 6, "흾흿힀힂", 5, "힊힋큄큅큇큉큐큔큘큠크큭큰클큼큽킁키킥킨킬킴킵킷킹타탁탄탈탉탐탑탓탔탕태택탠탤탬탭탯탰탱탸턍터턱턴털턺텀텁텃텄텅테텍텐텔템텝텟텡텨텬텼톄톈토톡톤톨톰톱톳통톺톼퇀퇘퇴퇸툇툉툐투툭툰툴툼툽툿퉁퉈퉜"],
    ["c641", "힍힎힏힑", 6, "힚힜힞", 5],
    ["c6a1", "퉤튀튁튄튈튐튑튕튜튠튤튬튱트특튼튿틀틂틈틉틋틔틘틜틤틥티틱틴틸팀팁팃팅파팍팎판팔팖팜팝팟팠팡팥패팩팬팰팸팹팻팼팽퍄퍅퍼퍽펀펄펌펍펏펐펑페펙펜펠펨펩펫펭펴편펼폄폅폈평폐폘폡폣포폭폰폴폼폽폿퐁"],
    ["c7a1", "퐈퐝푀푄표푠푤푭푯푸푹푼푿풀풂품풉풋풍풔풩퓌퓐퓔퓜퓟퓨퓬퓰퓸퓻퓽프픈플픔픕픗피픽핀필핌핍핏핑하학한할핥함합핫항해핵핸핼햄햅햇했행햐향허헉헌헐헒험헙헛헝헤헥헨헬헴헵헷헹혀혁현혈혐협혓혔형혜혠"],
    ["c8a1", "혤혭호혹혼홀홅홈홉홋홍홑화확환활홧황홰홱홴횃횅회획횐횔횝횟횡효횬횰횹횻후훅훈훌훑훔훗훙훠훤훨훰훵훼훽휀휄휑휘휙휜휠휨휩휫휭휴휵휸휼흄흇흉흐흑흔흖흗흘흙흠흡흣흥흩희흰흴흼흽힁히힉힌힐힘힙힛힝"],
    ["caa1", "伽佳假價加可呵哥嘉嫁家暇架枷柯歌珂痂稼苛茄街袈訶賈跏軻迦駕刻却各恪慤殼珏脚覺角閣侃刊墾奸姦干幹懇揀杆柬桿澗癎看磵稈竿簡肝艮艱諫間乫喝曷渴碣竭葛褐蝎鞨勘坎堪嵌感憾戡敢柑橄減甘疳監瞰紺邯鑑鑒龕"],
    ["cba1", "匣岬甲胛鉀閘剛堈姜岡崗康强彊慷江畺疆糠絳綱羌腔舡薑襁講鋼降鱇介价個凱塏愷愾慨改槪漑疥皆盖箇芥蓋豈鎧開喀客坑更粳羹醵倨去居巨拒据據擧渠炬祛距踞車遽鉅鋸乾件健巾建愆楗腱虔蹇鍵騫乞傑杰桀儉劍劒檢"],
    ["cca1", "瞼鈐黔劫怯迲偈憩揭擊格檄激膈覡隔堅牽犬甄絹繭肩見譴遣鵑抉決潔結缺訣兼慊箝謙鉗鎌京俓倞傾儆勁勍卿坰境庚徑慶憬擎敬景暻更梗涇炅烱璟璥瓊痙硬磬竟競絅經耕耿脛莖警輕逕鏡頃頸驚鯨係啓堺契季屆悸戒桂械"],
    ["cda1", "棨溪界癸磎稽系繫繼計誡谿階鷄古叩告呱固姑孤尻庫拷攷故敲暠枯槁沽痼皐睾稿羔考股膏苦苽菰藁蠱袴誥賈辜錮雇顧高鼓哭斛曲梏穀谷鵠困坤崑昆梱棍滾琨袞鯤汨滑骨供公共功孔工恐恭拱控攻珙空蚣貢鞏串寡戈果瓜"],
    ["cea1", "科菓誇課跨過鍋顆廓槨藿郭串冠官寬慣棺款灌琯瓘管罐菅觀貫關館刮恝括适侊光匡壙廣曠洸炚狂珖筐胱鑛卦掛罫乖傀塊壞怪愧拐槐魁宏紘肱轟交僑咬喬嬌嶠巧攪敎校橋狡皎矯絞翹膠蕎蛟較轎郊餃驕鮫丘久九仇俱具勾"],
    ["cfa1", "區口句咎嘔坵垢寇嶇廐懼拘救枸柩構歐毆毬求溝灸狗玖球瞿矩究絿耉臼舅舊苟衢謳購軀逑邱鉤銶駒驅鳩鷗龜國局菊鞠鞫麴君窘群裙軍郡堀屈掘窟宮弓穹窮芎躬倦券勸卷圈拳捲權淃眷厥獗蕨蹶闕机櫃潰詭軌饋句晷歸貴"],
    ["d0a1", "鬼龜叫圭奎揆槻珪硅窺竅糾葵規赳逵閨勻均畇筠菌鈞龜橘克剋劇戟棘極隙僅劤勤懃斤根槿瑾筋芹菫覲謹近饉契今妗擒昑檎琴禁禽芩衾衿襟金錦伋及急扱汲級給亘兢矜肯企伎其冀嗜器圻基埼夔奇妓寄岐崎己幾忌技旗旣"],
    ["d1a1", "朞期杞棋棄機欺氣汽沂淇玘琦琪璂璣畸畿碁磯祁祇祈祺箕紀綺羈耆耭肌記譏豈起錡錤飢饑騎騏驥麒緊佶吉拮桔金喫儺喇奈娜懦懶拏拿癩", 5, "那樂", 4, "諾酪駱亂卵暖欄煖爛蘭難鸞捏捺南嵐枏楠湳濫男藍襤拉"],
    ["d2a1", "納臘蠟衲囊娘廊", 4, "乃來內奈柰耐冷女年撚秊念恬拈捻寧寗努勞奴弩怒擄櫓爐瑙盧", 5, "駑魯", 10, "濃籠聾膿農惱牢磊腦賂雷尿壘", 7, "嫩訥杻紐勒", 5, "能菱陵尼泥匿溺多茶"],
    ["d3a1", "丹亶但單團壇彖斷旦檀段湍短端簞緞蛋袒鄲鍛撻澾獺疸達啖坍憺擔曇淡湛潭澹痰聃膽蕁覃談譚錟沓畓答踏遝唐堂塘幢戇撞棠當糖螳黨代垈坮大對岱帶待戴擡玳臺袋貸隊黛宅德悳倒刀到圖堵塗導屠島嶋度徒悼挑掉搗桃"],
    ["d4a1", "棹櫂淘渡滔濤燾盜睹禱稻萄覩賭跳蹈逃途道都鍍陶韜毒瀆牘犢獨督禿篤纛讀墩惇敦旽暾沌焞燉豚頓乭突仝冬凍動同憧東桐棟洞潼疼瞳童胴董銅兜斗杜枓痘竇荳讀豆逗頭屯臀芚遁遯鈍得嶝橙燈登等藤謄鄧騰喇懶拏癩羅"],
    ["d5a1", "蘿螺裸邏樂洛烙珞絡落諾酪駱丹亂卵欄欒瀾爛蘭鸞剌辣嵐擥攬欖濫籃纜藍襤覽拉臘蠟廊朗浪狼琅瑯螂郞來崍徠萊冷掠略亮倆兩凉梁樑粮粱糧良諒輛量侶儷勵呂廬慮戾旅櫚濾礪藜蠣閭驢驪麗黎力曆歷瀝礫轢靂憐戀攣漣"],
    ["d6a1", "煉璉練聯蓮輦連鍊冽列劣洌烈裂廉斂殮濂簾獵令伶囹寧岺嶺怜玲笭羚翎聆逞鈴零靈領齡例澧禮醴隷勞怒撈擄櫓潞瀘爐盧老蘆虜路輅露魯鷺鹵碌祿綠菉錄鹿麓論壟弄朧瀧瓏籠聾儡瀨牢磊賂賚賴雷了僚寮廖料燎療瞭聊蓼"],
    ["d7a1", "遼鬧龍壘婁屢樓淚漏瘻累縷蔞褸鏤陋劉旒柳榴流溜瀏琉瑠留瘤硫謬類六戮陸侖倫崙淪綸輪律慄栗率隆勒肋凜凌楞稜綾菱陵俚利厘吏唎履悧李梨浬犁狸理璃異痢籬罹羸莉裏裡里釐離鯉吝潾燐璘藺躪隣鱗麟林淋琳臨霖砬"],
    ["d8a1", "立笠粒摩瑪痲碼磨馬魔麻寞幕漠膜莫邈万卍娩巒彎慢挽晩曼滿漫灣瞞萬蔓蠻輓饅鰻唜抹末沫茉襪靺亡妄忘忙望網罔芒茫莽輞邙埋妹媒寐昧枚梅每煤罵買賣邁魅脈貊陌驀麥孟氓猛盲盟萌冪覓免冕勉棉沔眄眠綿緬面麵滅"],
    ["d9a1", "蔑冥名命明暝椧溟皿瞑茗蓂螟酩銘鳴袂侮冒募姆帽慕摸摹暮某模母毛牟牡瑁眸矛耗芼茅謀謨貌木沐牧目睦穆鶩歿沒夢朦蒙卯墓妙廟描昴杳渺猫竗苗錨務巫憮懋戊拇撫无楙武毋無珷畝繆舞茂蕪誣貿霧鵡墨默們刎吻問文"],
    ["daa1", "汶紊紋聞蚊門雯勿沕物味媚尾嵋彌微未梶楣渼湄眉米美薇謎迷靡黴岷悶愍憫敏旻旼民泯玟珉緡閔密蜜謐剝博拍搏撲朴樸泊珀璞箔粕縛膊舶薄迫雹駁伴半反叛拌搬攀斑槃泮潘班畔瘢盤盼磐磻礬絆般蟠返頒飯勃拔撥渤潑"],
    ["dba1", "發跋醱鉢髮魃倣傍坊妨尨幇彷房放方旁昉枋榜滂磅紡肪膀舫芳蒡蚌訪謗邦防龐倍俳北培徘拜排杯湃焙盃背胚裴裵褙賠輩配陪伯佰帛柏栢白百魄幡樊煩燔番磻繁蕃藩飜伐筏罰閥凡帆梵氾汎泛犯範范法琺僻劈壁擘檗璧癖"],
    ["dca1", "碧蘗闢霹便卞弁變辨辯邊別瞥鱉鼈丙倂兵屛幷昞昺柄棅炳甁病秉竝輧餠騈保堡報寶普步洑湺潽珤甫菩補褓譜輔伏僕匐卜宓復服福腹茯蔔複覆輹輻馥鰒本乶俸奉封峯峰捧棒烽熢琫縫蓬蜂逢鋒鳳不付俯傅剖副否咐埠夫婦"],
    ["dda1", "孚孵富府復扶敷斧浮溥父符簿缶腐腑膚艀芙莩訃負賦賻赴趺部釜阜附駙鳧北分吩噴墳奔奮忿憤扮昐汾焚盆粉糞紛芬賁雰不佛弗彿拂崩朋棚硼繃鵬丕備匕匪卑妃婢庇悲憊扉批斐枇榧比毖毗毘沸泌琵痺砒碑秕秘粃緋翡肥"],
    ["dea1", "脾臂菲蜚裨誹譬費鄙非飛鼻嚬嬪彬斌檳殯浜濱瀕牝玭貧賓頻憑氷聘騁乍事些仕伺似使俟僿史司唆嗣四士奢娑寫寺射巳師徙思捨斜斯柶査梭死沙泗渣瀉獅砂社祀祠私篩紗絲肆舍莎蓑蛇裟詐詞謝賜赦辭邪飼駟麝削數朔索"],
    ["dfa1", "傘刪山散汕珊産疝算蒜酸霰乷撒殺煞薩三參杉森渗芟蔘衫揷澁鈒颯上傷像償商喪嘗孀尙峠常床庠廂想桑橡湘爽牀狀相祥箱翔裳觴詳象賞霜塞璽賽嗇塞穡索色牲生甥省笙墅壻嶼序庶徐恕抒捿敍暑曙書栖棲犀瑞筮絮緖署"],
    ["e0a1", "胥舒薯西誓逝鋤黍鼠夕奭席惜昔晳析汐淅潟石碩蓆釋錫仙僊先善嬋宣扇敾旋渲煽琁瑄璇璿癬禪線繕羨腺膳船蘚蟬詵跣選銑鐥饍鮮卨屑楔泄洩渫舌薛褻設說雪齧剡暹殲纖蟾贍閃陝攝涉燮葉城姓宬性惺成星晟猩珹盛省筬"],
    ["e1a1", "聖聲腥誠醒世勢歲洗稅笹細說貰召嘯塑宵小少巢所掃搔昭梳沼消溯瀟炤燒甦疏疎瘙笑篠簫素紹蔬蕭蘇訴逍遡邵銷韶騷俗屬束涑粟續謖贖速孫巽損蓀遜飡率宋悚松淞訟誦送頌刷殺灑碎鎖衰釗修受嗽囚垂壽嫂守岫峀帥愁"],
    ["e2a1", "戍手授搜收數樹殊水洙漱燧狩獸琇璲瘦睡秀穗竪粹綏綬繡羞脩茱蒐蓚藪袖誰讐輸遂邃酬銖銹隋隧隨雖需須首髓鬚叔塾夙孰宿淑潚熟琡璹肅菽巡徇循恂旬栒楯橓殉洵淳珣盾瞬筍純脣舜荀蓴蕣詢諄醇錞順馴戌術述鉥崇崧"],
    ["e3a1", "嵩瑟膝蝨濕拾習褶襲丞乘僧勝升承昇繩蠅陞侍匙嘶始媤尸屎屍市弑恃施是時枾柴猜矢示翅蒔蓍視試詩諡豕豺埴寔式息拭植殖湜熄篒蝕識軾食飾伸侁信呻娠宸愼新晨燼申神紳腎臣莘薪藎蜃訊身辛辰迅失室實悉審尋心沁"],
    ["e4a1", "沈深瀋甚芯諶什十拾雙氏亞俄兒啞娥峨我牙芽莪蛾衙訝阿雅餓鴉鵝堊岳嶽幄惡愕握樂渥鄂鍔顎鰐齷安岸按晏案眼雁鞍顔鮟斡謁軋閼唵岩巖庵暗癌菴闇壓押狎鴨仰央怏昻殃秧鴦厓哀埃崖愛曖涯碍艾隘靄厄扼掖液縊腋額"],
    ["e5a1", "櫻罌鶯鸚也倻冶夜惹揶椰爺耶若野弱掠略約若葯蒻藥躍亮佯兩凉壤孃恙揚攘敭暘梁楊樣洋瀁煬痒瘍禳穰糧羊良襄諒讓釀陽量養圄御於漁瘀禦語馭魚齬億憶抑檍臆偃堰彦焉言諺孼蘖俺儼嚴奄掩淹嶪業円予余勵呂女如廬"],
    ["e6a1", "旅歟汝濾璵礖礪與艅茹輿轝閭餘驪麗黎亦力域役易曆歷疫繹譯轢逆驛嚥堧姸娟宴年延憐戀捐挻撚椽沇沿涎涓淵演漣烟然煙煉燃燕璉硏硯秊筵緣練縯聯衍軟輦蓮連鉛鍊鳶列劣咽悅涅烈熱裂說閱厭廉念捻染殮炎焰琰艶苒"],
    ["e7a1", "簾閻髥鹽曄獵燁葉令囹塋寧嶺嶸影怜映暎楹榮永泳渶潁濚瀛瀯煐營獰玲瑛瑩瓔盈穎纓羚聆英詠迎鈴鍈零霙靈領乂倪例刈叡曳汭濊猊睿穢芮藝蘂禮裔詣譽豫醴銳隸霓預五伍俉傲午吾吳嗚塢墺奧娛寤悟惡懊敖旿晤梧汚澳"],
    ["e8a1", "烏熬獒筽蜈誤鰲鼇屋沃獄玉鈺溫瑥瘟穩縕蘊兀壅擁瓮甕癰翁邕雍饔渦瓦窩窪臥蛙蝸訛婉完宛梡椀浣玩琓琬碗緩翫脘腕莞豌阮頑曰往旺枉汪王倭娃歪矮外嵬巍猥畏了僚僥凹堯夭妖姚寥寮尿嶢拗搖撓擾料曜樂橈燎燿瑤療"],
    ["e9a1", "窈窯繇繞耀腰蓼蟯要謠遙遼邀饒慾欲浴縟褥辱俑傭冗勇埇墉容庸慂榕涌湧溶熔瑢用甬聳茸蓉踊鎔鏞龍于佑偶優又友右宇寓尤愚憂旴牛玗瑀盂祐禑禹紆羽芋藕虞迂遇郵釪隅雨雩勖彧旭昱栯煜稶郁頊云暈橒殞澐熉耘芸蕓"],
    ["eaa1", "運隕雲韻蔚鬱亐熊雄元原員圓園垣媛嫄寃怨愿援沅洹湲源爰猿瑗苑袁轅遠阮院願鴛月越鉞位偉僞危圍委威尉慰暐渭爲瑋緯胃萎葦蔿蝟衛褘謂違韋魏乳侑儒兪劉唯喩孺宥幼幽庾悠惟愈愉揄攸有杻柔柚柳楡楢油洧流游溜"],
    ["eba1", "濡猶猷琉瑜由留癒硫紐維臾萸裕誘諛諭踰蹂遊逾遺酉釉鍮類六堉戮毓肉育陸倫允奫尹崙淪潤玧胤贇輪鈗閏律慄栗率聿戎瀜絨融隆垠恩慇殷誾銀隱乙吟淫蔭陰音飮揖泣邑凝應膺鷹依倚儀宜意懿擬椅毅疑矣義艤薏蟻衣誼"],
    ["eca1", "議醫二以伊利吏夷姨履已弛彛怡易李梨泥爾珥理異痍痢移罹而耳肄苡荑裏裡貽貳邇里離飴餌匿溺瀷益翊翌翼謚人仁刃印吝咽因姻寅引忍湮燐璘絪茵藺蚓認隣靭靷鱗麟一佚佾壹日溢逸鎰馹任壬妊姙恁林淋稔臨荏賃入卄"],
    ["eda1", "立笠粒仍剩孕芿仔刺咨姉姿子字孜恣慈滋炙煮玆瓷疵磁紫者自茨蔗藉諮資雌作勺嚼斫昨灼炸爵綽芍酌雀鵲孱棧殘潺盞岑暫潛箴簪蠶雜丈仗匠場墻壯奬將帳庄張掌暲杖樟檣欌漿牆狀獐璋章粧腸臟臧莊葬蔣薔藏裝贓醬長"],
    ["eea1", "障再哉在宰才材栽梓渽滓災縡裁財載齋齎爭箏諍錚佇低儲咀姐底抵杵楮樗沮渚狙猪疽箸紵苧菹著藷詛貯躇這邸雎齟勣吊嫡寂摘敵滴狄炙的積笛籍績翟荻謫賊赤跡蹟迪迹適鏑佃佺傳全典前剪塡塼奠專展廛悛戰栓殿氈澱"],
    ["efa1", "煎琠田甸畑癲筌箋箭篆纏詮輾轉鈿銓錢鐫電顚顫餞切截折浙癤竊節絶占岾店漸点粘霑鮎點接摺蝶丁井亭停偵呈姃定幀庭廷征情挺政整旌晶晸柾楨檉正汀淀淨渟湞瀞炡玎珽町睛碇禎程穽精綎艇訂諪貞鄭酊釘鉦鋌錠霆靖"],
    ["f0a1", "靜頂鼎制劑啼堤帝弟悌提梯濟祭第臍薺製諸蹄醍除際霽題齊俎兆凋助嘲弔彫措操早晁曺曹朝條棗槽漕潮照燥爪璪眺祖祚租稠窕粗糟組繰肇藻蚤詔調趙躁造遭釣阻雕鳥族簇足鏃存尊卒拙猝倧宗從悰慫棕淙琮種終綜縱腫"],
    ["f1a1", "踪踵鍾鐘佐坐左座挫罪主住侏做姝胄呪周嗾奏宙州廚晝朱柱株注洲湊澍炷珠疇籌紂紬綢舟蛛註誅走躊輳週酎酒鑄駐竹粥俊儁准埈寯峻晙樽浚準濬焌畯竣蠢逡遵雋駿茁中仲衆重卽櫛楫汁葺增憎曾拯烝甑症繒蒸證贈之只"],
    ["f2a1", "咫地址志持指摯支旨智枝枳止池沚漬知砥祉祗紙肢脂至芝芷蜘誌識贄趾遲直稙稷織職唇嗔塵振搢晉晋桭榛殄津溱珍瑨璡畛疹盡眞瞋秦縉縝臻蔯袗診賑軫辰進鎭陣陳震侄叱姪嫉帙桎瓆疾秩窒膣蛭質跌迭斟朕什執潗緝輯"],
    ["f3a1", "鏶集徵懲澄且侘借叉嗟嵯差次此磋箚茶蹉車遮捉搾着窄錯鑿齪撰澯燦璨瓚竄簒纂粲纘讚贊鑽餐饌刹察擦札紮僭參塹慘慙懺斬站讒讖倉倡創唱娼廠彰愴敞昌昶暢槍滄漲猖瘡窓脹艙菖蒼債埰寀寨彩採砦綵菜蔡采釵冊柵策"],
    ["f4a1", "責凄妻悽處倜刺剔尺慽戚拓擲斥滌瘠脊蹠陟隻仟千喘天川擅泉淺玔穿舛薦賤踐遷釧闡阡韆凸哲喆徹撤澈綴輟轍鐵僉尖沾添甛瞻簽籤詹諂堞妾帖捷牒疊睫諜貼輒廳晴淸聽菁請靑鯖切剃替涕滯締諦逮遞體初剿哨憔抄招梢"],
    ["f5a1", "椒楚樵炒焦硝礁礎秒稍肖艸苕草蕉貂超酢醋醮促囑燭矗蜀觸寸忖村邨叢塚寵悤憁摠總聰蔥銃撮催崔最墜抽推椎楸樞湫皺秋芻萩諏趨追鄒酋醜錐錘鎚雛騶鰍丑畜祝竺筑築縮蓄蹙蹴軸逐春椿瑃出朮黜充忠沖蟲衝衷悴膵萃"],
    ["f6a1", "贅取吹嘴娶就炊翠聚脆臭趣醉驟鷲側仄厠惻測層侈値嗤峙幟恥梔治淄熾痔痴癡稚穉緇緻置致蚩輜雉馳齒則勅飭親七柒漆侵寢枕沈浸琛砧針鍼蟄秤稱快他咤唾墮妥惰打拖朶楕舵陀馱駝倬卓啄坼度托拓擢晫柝濁濯琢琸託"],
    ["f7a1", "鐸呑嘆坦彈憚歎灘炭綻誕奪脫探眈耽貪塔搭榻宕帑湯糖蕩兌台太怠態殆汰泰笞胎苔跆邰颱宅擇澤撑攄兎吐土討慟桶洞痛筒統通堆槌腿褪退頹偸套妬投透鬪慝特闖坡婆巴把播擺杷波派爬琶破罷芭跛頗判坂板版瓣販辦鈑"],
    ["f8a1", "阪八叭捌佩唄悖敗沛浿牌狽稗覇貝彭澎烹膨愎便偏扁片篇編翩遍鞭騙貶坪平枰萍評吠嬖幣廢弊斃肺蔽閉陛佈包匍匏咆哺圃布怖抛抱捕暴泡浦疱砲胞脯苞葡蒲袍褒逋鋪飽鮑幅暴曝瀑爆輻俵剽彪慓杓標漂瓢票表豹飇飄驃"],
    ["f9a1", "品稟楓諷豊風馮彼披疲皮被避陂匹弼必泌珌畢疋筆苾馝乏逼下何厦夏廈昰河瑕荷蝦賀遐霞鰕壑學虐謔鶴寒恨悍旱汗漢澣瀚罕翰閑閒限韓割轄函含咸啣喊檻涵緘艦銜陷鹹合哈盒蛤閤闔陜亢伉姮嫦巷恒抗杭桁沆港缸肛航"],
    ["faa1", "行降項亥偕咳垓奚孩害懈楷海瀣蟹解該諧邂駭骸劾核倖幸杏荇行享向嚮珦鄕響餉饗香噓墟虛許憲櫶獻軒歇險驗奕爀赫革俔峴弦懸晛泫炫玄玹現眩睍絃絢縣舷衒見賢鉉顯孑穴血頁嫌俠協夾峽挾浹狹脅脇莢鋏頰亨兄刑型"],
    ["fba1", "形泂滎瀅灐炯熒珩瑩荊螢衡逈邢鎣馨兮彗惠慧暳蕙蹊醯鞋乎互呼壕壺好岵弧戶扈昊晧毫浩淏湖滸澔濠濩灝狐琥瑚瓠皓祜糊縞胡芦葫蒿虎號蝴護豪鎬頀顥惑或酷婚昏混渾琿魂忽惚笏哄弘汞泓洪烘紅虹訌鴻化和嬅樺火畵"],
    ["fca1", "禍禾花華話譁貨靴廓擴攫確碻穫丸喚奐宦幻患換歡晥桓渙煥環紈還驩鰥活滑猾豁闊凰幌徨恍惶愰慌晃晄榥況湟滉潢煌璜皇篁簧荒蝗遑隍黃匯回廻徊恢悔懷晦會檜淮澮灰獪繪膾茴蛔誨賄劃獲宖橫鐄哮嚆孝效斅曉梟涍淆"],
    ["fda1", "爻肴酵驍侯候厚后吼喉嗅帿後朽煦珝逅勛勳塤壎焄熏燻薰訓暈薨喧暄煊萱卉喙毁彙徽揮暉煇諱輝麾休携烋畦虧恤譎鷸兇凶匈洶胸黑昕欣炘痕吃屹紇訖欠欽歆吸恰洽翕興僖凞喜噫囍姬嬉希憙憘戱晞曦熙熹熺犧禧稀羲詰"]
  ];
});

// node_modules/iconv-lite/encodings/tables/cp950.json
var require_cp9502 = __commonJS((exports, module) => {
  module.exports = [
    ["0", "\x00", 127],
    ["a140", "　，、。．‧；：？！︰…‥﹐﹑﹒·﹔﹕﹖﹗｜–︱—︳╴︴﹏（）︵︶｛｝︷︸〔〕︹︺【】︻︼《》︽︾〈〉︿﹀「」﹁﹂『』﹃﹄﹙﹚"],
    ["a1a1", "﹛﹜﹝﹞‘’“”〝〞‵′＃＆＊※§〃○●△▲◎☆★◇◆□■▽▼㊣℅¯￣＿ˍ﹉﹊﹍﹎﹋﹌﹟﹠﹡＋－×÷±√＜＞＝≦≧≠∞≒≡﹢", 4, "～∩∪⊥∠∟⊿㏒㏑∫∮∵∴♀♂⊕⊙↑↓←→↖↗↙↘∥∣／"],
    ["a240", "＼∕﹨＄￥〒￠￡％＠℃℉﹩﹪﹫㏕㎜㎝㎞㏎㎡㎎㎏㏄°兙兛兞兝兡兣嗧瓩糎▁", 7, "▏▎▍▌▋▊▉┼┴┬┤├▔─│▕┌┐└┘╭"],
    ["a2a1", "╮╰╯═╞╪╡◢◣◥◤╱╲╳０", 9, "Ⅰ", 9, "〡", 8, "十卄卅Ａ", 25, "ａ", 21],
    ["a340", "ｗｘｙｚΑ", 16, "Σ", 6, "α", 16, "σ", 6, "ㄅ", 10],
    ["a3a1", "ㄐ", 25, "˙ˉˊˇˋ"],
    ["a3e1", "€"],
    ["a440", "一乙丁七乃九了二人儿入八几刀刁力匕十卜又三下丈上丫丸凡久么也乞于亡兀刃勺千叉口土士夕大女子孑孓寸小尢尸山川工己已巳巾干廾弋弓才"],
    ["a4a1", "丑丐不中丰丹之尹予云井互五亢仁什仃仆仇仍今介仄元允內六兮公冗凶分切刈勻勾勿化匹午升卅卞厄友及反壬天夫太夭孔少尤尺屯巴幻廿弔引心戈戶手扎支文斗斤方日曰月木欠止歹毋比毛氏水火爪父爻片牙牛犬王丙"],
    ["a540", "世丕且丘主乍乏乎以付仔仕他仗代令仙仞充兄冉冊冬凹出凸刊加功包匆北匝仟半卉卡占卯卮去可古右召叮叩叨叼司叵叫另只史叱台句叭叻四囚外"],
    ["a5a1", "央失奴奶孕它尼巨巧左市布平幼弁弘弗必戊打扔扒扑斥旦朮本未末札正母民氐永汁汀氾犯玄玉瓜瓦甘生用甩田由甲申疋白皮皿目矛矢石示禾穴立丞丟乒乓乩亙交亦亥仿伉伙伊伕伍伐休伏仲件任仰仳份企伋光兇兆先全"],
    ["a640", "共再冰列刑划刎刖劣匈匡匠印危吉吏同吊吐吁吋各向名合吃后吆吒因回囝圳地在圭圬圯圩夙多夷夸妄奸妃好她如妁字存宇守宅安寺尖屹州帆并年"],
    ["a6a1", "式弛忙忖戎戌戍成扣扛托收早旨旬旭曲曳有朽朴朱朵次此死氖汝汗汙江池汐汕污汛汍汎灰牟牝百竹米糸缶羊羽老考而耒耳聿肉肋肌臣自至臼舌舛舟艮色艾虫血行衣西阡串亨位住佇佗佞伴佛何估佐佑伽伺伸佃佔似但佣"],
    ["a740", "作你伯低伶余佝佈佚兌克免兵冶冷別判利刪刨劫助努劬匣即卵吝吭吞吾否呎吧呆呃吳呈呂君吩告吹吻吸吮吵吶吠吼呀吱含吟听囪困囤囫坊坑址坍"],
    ["a7a1", "均坎圾坐坏圻壯夾妝妒妨妞妣妙妖妍妤妓妊妥孝孜孚孛完宋宏尬局屁尿尾岐岑岔岌巫希序庇床廷弄弟彤形彷役忘忌志忍忱快忸忪戒我抄抗抖技扶抉扭把扼找批扳抒扯折扮投抓抑抆改攻攸旱更束李杏材村杜杖杞杉杆杠"],
    ["a840", "杓杗步每求汞沙沁沈沉沅沛汪決沐汰沌汨沖沒汽沃汲汾汴沆汶沍沔沘沂灶灼災灸牢牡牠狄狂玖甬甫男甸皂盯矣私秀禿究系罕肖肓肝肘肛肚育良芒"],
    ["a8a1", "芋芍見角言谷豆豕貝赤走足身車辛辰迂迆迅迄巡邑邢邪邦那酉釆里防阮阱阪阬並乖乳事些亞享京佯依侍佳使佬供例來侃佰併侈佩佻侖佾侏侑佺兔兒兕兩具其典冽函刻券刷刺到刮制剁劾劻卒協卓卑卦卷卸卹取叔受味呵"],
    ["a940", "咖呸咕咀呻呷咄咒咆呼咐呱呶和咚呢周咋命咎固垃坷坪坩坡坦坤坼夜奉奇奈奄奔妾妻委妹妮姑姆姐姍始姓姊妯妳姒姅孟孤季宗定官宜宙宛尚屈居"],
    ["a9a1", "屆岷岡岸岩岫岱岳帘帚帖帕帛帑幸庚店府底庖延弦弧弩往征彿彼忝忠忽念忿怏怔怯怵怖怪怕怡性怩怫怛或戕房戾所承拉拌拄抿拂抹拒招披拓拔拋拈抨抽押拐拙拇拍抵拚抱拘拖拗拆抬拎放斧於旺昔易昌昆昂明昀昏昕昊"],
    ["aa40", "昇服朋杭枋枕東果杳杷枇枝林杯杰板枉松析杵枚枓杼杪杲欣武歧歿氓氛泣注泳沱泌泥河沽沾沼波沫法泓沸泄油況沮泗泅泱沿治泡泛泊沬泯泜泖泠"],
    ["aaa1", "炕炎炒炊炙爬爭爸版牧物狀狎狙狗狐玩玨玟玫玥甽疝疙疚的盂盲直知矽社祀祁秉秈空穹竺糾罔羌羋者肺肥肢肱股肫肩肴肪肯臥臾舍芳芝芙芭芽芟芹花芬芥芯芸芣芰芾芷虎虱初表軋迎返近邵邸邱邶采金長門阜陀阿阻附"],
    ["ab40", "陂隹雨青非亟亭亮信侵侯便俠俑俏保促侶俘俟俊俗侮俐俄係俚俎俞侷兗冒冑冠剎剃削前剌剋則勇勉勃勁匍南卻厚叛咬哀咨哎哉咸咦咳哇哂咽咪品"],
    ["aba1", "哄哈咯咫咱咻咩咧咿囿垂型垠垣垢城垮垓奕契奏奎奐姜姘姿姣姨娃姥姪姚姦威姻孩宣宦室客宥封屎屏屍屋峙峒巷帝帥帟幽庠度建弈弭彥很待徊律徇後徉怒思怠急怎怨恍恰恨恢恆恃恬恫恪恤扁拜挖按拼拭持拮拽指拱拷"],
    ["ac40", "拯括拾拴挑挂政故斫施既春昭映昧是星昨昱昤曷柿染柱柔某柬架枯柵柩柯柄柑枴柚查枸柏柞柳枰柙柢柝柒歪殃殆段毒毗氟泉洋洲洪流津洌洱洞洗"],
    ["aca1", "活洽派洶洛泵洹洧洸洩洮洵洎洫炫為炳炬炯炭炸炮炤爰牲牯牴狩狠狡玷珊玻玲珍珀玳甚甭畏界畎畋疫疤疥疢疣癸皆皇皈盈盆盃盅省盹相眉看盾盼眇矜砂研砌砍祆祉祈祇禹禺科秒秋穿突竿竽籽紂紅紀紉紇約紆缸美羿耄"],
    ["ad40", "耐耍耑耶胖胥胚胃胄背胡胛胎胞胤胝致舢苧范茅苣苛苦茄若茂茉苒苗英茁苜苔苑苞苓苟苯茆虐虹虻虺衍衫要觔計訂訃貞負赴赳趴軍軌述迦迢迪迥"],
    ["ada1", "迭迫迤迨郊郎郁郃酋酊重閂限陋陌降面革韋韭音頁風飛食首香乘亳倌倍倣俯倦倥俸倩倖倆值借倚倒們俺倀倔倨俱倡個候倘俳修倭倪俾倫倉兼冤冥冢凍凌准凋剖剜剔剛剝匪卿原厝叟哨唐唁唷哼哥哲唆哺唔哩哭員唉哮哪"],
    ["ae40", "哦唧唇哽唏圃圄埂埔埋埃堉夏套奘奚娑娘娜娟娛娓姬娠娣娩娥娌娉孫屘宰害家宴宮宵容宸射屑展屐峭峽峻峪峨峰島崁峴差席師庫庭座弱徒徑徐恙"],
    ["aea1", "恣恥恐恕恭恩息悄悟悚悍悔悌悅悖扇拳挈拿捎挾振捕捂捆捏捉挺捐挽挪挫挨捍捌效敉料旁旅時晉晏晃晒晌晅晁書朔朕朗校核案框桓根桂桔栩梳栗桌桑栽柴桐桀格桃株桅栓栘桁殊殉殷氣氧氨氦氤泰浪涕消涇浦浸海浙涓"],
    ["af40", "浬涉浮浚浴浩涌涊浹涅浥涔烊烘烤烙烈烏爹特狼狹狽狸狷玆班琉珮珠珪珞畔畝畜畚留疾病症疲疳疽疼疹痂疸皋皰益盍盎眩真眠眨矩砰砧砸砝破砷"],
    ["afa1", "砥砭砠砟砲祕祐祠祟祖神祝祗祚秤秣秧租秦秩秘窄窈站笆笑粉紡紗紋紊素索純紐紕級紜納紙紛缺罟羔翅翁耆耘耕耙耗耽耿胱脂胰脅胭胴脆胸胳脈能脊胼胯臭臬舀舐航舫舨般芻茫荒荔荊茸荐草茵茴荏茲茹茶茗荀茱茨荃"],
    ["b040", "虔蚊蚪蚓蚤蚩蚌蚣蚜衰衷袁袂衽衹記訐討訌訕訊託訓訖訏訑豈豺豹財貢起躬軒軔軏辱送逆迷退迺迴逃追逅迸邕郡郝郢酒配酌釘針釗釜釙閃院陣陡"],
    ["b0a1", "陛陝除陘陞隻飢馬骨高鬥鬲鬼乾偺偽停假偃偌做偉健偶偎偕偵側偷偏倏偯偭兜冕凰剪副勒務勘動匐匏匙匿區匾參曼商啪啦啄啞啡啃啊唱啖問啕唯啤唸售啜唬啣唳啁啗圈國圉域堅堊堆埠埤基堂堵執培夠奢娶婁婉婦婪婀"],
    ["b140", "娼婢婚婆婊孰寇寅寄寂宿密尉專將屠屜屝崇崆崎崛崖崢崑崩崔崙崤崧崗巢常帶帳帷康庸庶庵庾張強彗彬彩彫得徙從徘御徠徜恿患悉悠您惋悴惦悽"],
    ["b1a1", "情悻悵惜悼惘惕惆惟悸惚惇戚戛扈掠控捲掖探接捷捧掘措捱掩掉掃掛捫推掄授掙採掬排掏掀捻捩捨捺敝敖救教敗啟敏敘敕敔斜斛斬族旋旌旎晝晚晤晨晦晞曹勗望梁梯梢梓梵桿桶梱梧梗械梃棄梭梆梅梔條梨梟梡梂欲殺"],
    ["b240", "毫毬氫涎涼淳淙液淡淌淤添淺清淇淋涯淑涮淞淹涸混淵淅淒渚涵淚淫淘淪深淮淨淆淄涪淬涿淦烹焉焊烽烯爽牽犁猜猛猖猓猙率琅琊球理現琍瓠瓶"],
    ["b2a1", "瓷甜產略畦畢異疏痔痕疵痊痍皎盔盒盛眷眾眼眶眸眺硫硃硎祥票祭移窒窕笠笨笛第符笙笞笮粒粗粕絆絃統紮紹紼絀細紳組累終紲紱缽羞羚翌翎習耜聊聆脯脖脣脫脩脰脤舂舵舷舶船莎莞莘荸莢莖莽莫莒莊莓莉莠荷荻荼"],
    ["b340", "莆莧處彪蛇蛀蚶蛄蚵蛆蛋蚱蚯蛉術袞袈被袒袖袍袋覓規訪訝訣訥許設訟訛訢豉豚販責貫貨貪貧赧赦趾趺軛軟這逍通逗連速逝逐逕逞造透逢逖逛途"],
    ["b3a1", "部郭都酗野釵釦釣釧釭釩閉陪陵陳陸陰陴陶陷陬雀雪雩章竟頂頃魚鳥鹵鹿麥麻傢傍傅備傑傀傖傘傚最凱割剴創剩勞勝勛博厥啻喀喧啼喊喝喘喂喜喪喔喇喋喃喳單喟唾喲喚喻喬喱啾喉喫喙圍堯堪場堤堰報堡堝堠壹壺奠"],
    ["b440", "婷媚婿媒媛媧孳孱寒富寓寐尊尋就嵌嵐崴嵇巽幅帽幀幃幾廊廁廂廄弼彭復循徨惑惡悲悶惠愜愣惺愕惰惻惴慨惱愎惶愉愀愒戟扉掣掌描揀揩揉揆揍"],
    ["b4a1", "插揣提握揖揭揮捶援揪換摒揚揹敞敦敢散斑斐斯普晰晴晶景暑智晾晷曾替期朝棺棕棠棘棗椅棟棵森棧棹棒棲棣棋棍植椒椎棉棚楮棻款欺欽殘殖殼毯氮氯氬港游湔渡渲湧湊渠渥渣減湛湘渤湖湮渭渦湯渴湍渺測湃渝渾滋"],
    ["b540", "溉渙湎湣湄湲湩湟焙焚焦焰無然煮焜牌犄犀猶猥猴猩琺琪琳琢琥琵琶琴琯琛琦琨甥甦畫番痢痛痣痙痘痞痠登發皖皓皴盜睏短硝硬硯稍稈程稅稀窘"],
    ["b5a1", "窗窖童竣等策筆筐筒答筍筋筏筑粟粥絞結絨絕紫絮絲絡給絢絰絳善翔翕耋聒肅腕腔腋腑腎脹腆脾腌腓腴舒舜菩萃菸萍菠菅萋菁華菱菴著萊菰萌菌菽菲菊萸萎萄菜萇菔菟虛蛟蛙蛭蛔蛛蛤蛐蛞街裁裂袱覃視註詠評詞証詁"],
    ["b640", "詔詛詐詆訴診訶詖象貂貯貼貳貽賁費賀貴買貶貿貸越超趁跎距跋跚跑跌跛跆軻軸軼辜逮逵週逸進逶鄂郵鄉郾酣酥量鈔鈕鈣鈉鈞鈍鈐鈇鈑閔閏開閑"],
    ["b6a1", "間閒閎隊階隋陽隅隆隍陲隄雁雅雄集雇雯雲韌項順須飧飪飯飩飲飭馮馭黃黍黑亂傭債傲傳僅傾催傷傻傯僇剿剷剽募勦勤勢勣匯嗟嗨嗓嗦嗎嗜嗇嗑嗣嗤嗯嗚嗡嗅嗆嗥嗉園圓塞塑塘塗塚塔填塌塭塊塢塒塋奧嫁嫉嫌媾媽媼"],
    ["b740", "媳嫂媲嵩嵯幌幹廉廈弒彙徬微愚意慈感想愛惹愁愈慎慌慄慍愾愴愧愍愆愷戡戢搓搾搞搪搭搽搬搏搜搔損搶搖搗搆敬斟新暗暉暇暈暖暄暘暍會榔業"],
    ["b7a1", "楚楷楠楔極椰概楊楨楫楞楓楹榆楝楣楛歇歲毀殿毓毽溢溯滓溶滂源溝滇滅溥溘溼溺溫滑準溜滄滔溪溧溴煎煙煩煤煉照煜煬煦煌煥煞煆煨煖爺牒猷獅猿猾瑯瑚瑕瑟瑞瑁琿瑙瑛瑜當畸瘀痰瘁痲痱痺痿痴痳盞盟睛睫睦睞督"],
    ["b840", "睹睪睬睜睥睨睢矮碎碰碗碘碌碉硼碑碓硿祺祿禁萬禽稜稚稠稔稟稞窟窠筷節筠筮筧粱粳粵經絹綑綁綏絛置罩罪署義羨群聖聘肆肄腱腰腸腥腮腳腫"],
    ["b8a1", "腹腺腦舅艇蒂葷落萱葵葦葫葉葬葛萼萵葡董葩葭葆虞虜號蛹蜓蜈蜇蜀蛾蛻蜂蜃蜆蜊衙裟裔裙補裘裝裡裊裕裒覜解詫該詳試詩詰誇詼詣誠話誅詭詢詮詬詹詻訾詨豢貊貉賊資賈賄貲賃賂賅跡跟跨路跳跺跪跤跦躲較載軾輊"],
    ["b940", "辟農運遊道遂達逼違遐遇遏過遍遑逾遁鄒鄗酬酪酩釉鈷鉗鈸鈽鉀鈾鉛鉋鉤鉑鈴鉉鉍鉅鈹鈿鉚閘隘隔隕雍雋雉雊雷電雹零靖靴靶預頑頓頊頒頌飼飴"],
    ["b9a1", "飽飾馳馱馴髡鳩麂鼎鼓鼠僧僮僥僖僭僚僕像僑僱僎僩兢凳劃劂匱厭嗾嘀嘛嘗嗽嘔嘆嘉嘍嘎嗷嘖嘟嘈嘐嗶團圖塵塾境墓墊塹墅塽壽夥夢夤奪奩嫡嫦嫩嫗嫖嫘嫣孵寞寧寡寥實寨寢寤察對屢嶄嶇幛幣幕幗幔廓廖弊彆彰徹慇"],
    ["ba40", "愿態慷慢慣慟慚慘慵截撇摘摔撤摸摟摺摑摧搴摭摻敲斡旗旖暢暨暝榜榨榕槁榮槓構榛榷榻榫榴槐槍榭槌榦槃榣歉歌氳漳演滾漓滴漩漾漠漬漏漂漢"],
    ["baa1", "滿滯漆漱漸漲漣漕漫漯澈漪滬漁滲滌滷熔熙煽熊熄熒爾犒犖獄獐瑤瑣瑪瑰瑭甄疑瘧瘍瘋瘉瘓盡監瞄睽睿睡磁碟碧碳碩碣禎福禍種稱窪窩竭端管箕箋筵算箝箔箏箸箇箄粹粽精綻綰綜綽綾綠緊綴網綱綺綢綿綵綸維緒緇綬"],
    ["bb40", "罰翠翡翟聞聚肇腐膀膏膈膊腿膂臧臺與舔舞艋蓉蒿蓆蓄蒙蒞蒲蒜蓋蒸蓀蓓蒐蒼蓑蓊蜿蜜蜻蜢蜥蜴蜘蝕蜷蜩裳褂裴裹裸製裨褚裯誦誌語誣認誡誓誤"],
    ["bba1", "說誥誨誘誑誚誧豪貍貌賓賑賒赫趙趕跼輔輒輕輓辣遠遘遜遣遙遞遢遝遛鄙鄘鄞酵酸酷酴鉸銀銅銘銖鉻銓銜銨鉼銑閡閨閩閣閥閤隙障際雌雒需靼鞅韶頗領颯颱餃餅餌餉駁骯骰髦魁魂鳴鳶鳳麼鼻齊億儀僻僵價儂儈儉儅凜"],
    ["bc40", "劇劈劉劍劊勰厲嘮嘻嘹嘲嘿嘴嘩噓噎噗噴嘶嘯嘰墀墟增墳墜墮墩墦奭嬉嫻嬋嫵嬌嬈寮寬審寫層履嶝嶔幢幟幡廢廚廟廝廣廠彈影德徵慶慧慮慝慕憂"],
    ["bca1", "慼慰慫慾憧憐憫憎憬憚憤憔憮戮摩摯摹撞撲撈撐撰撥撓撕撩撒撮播撫撚撬撙撢撳敵敷數暮暫暴暱樣樟槨樁樞標槽模樓樊槳樂樅槭樑歐歎殤毅毆漿潼澄潑潦潔澆潭潛潸潮澎潺潰潤澗潘滕潯潠潟熟熬熱熨牖犛獎獗瑩璋璃"],
    ["bd40", "瑾璀畿瘠瘩瘟瘤瘦瘡瘢皚皺盤瞎瞇瞌瞑瞋磋磅確磊碾磕碼磐稿稼穀稽稷稻窯窮箭箱範箴篆篇篁箠篌糊締練緯緻緘緬緝編緣線緞緩綞緙緲緹罵罷羯"],
    ["bda1", "翩耦膛膜膝膠膚膘蔗蔽蔚蓮蔬蔭蔓蔑蔣蔡蔔蓬蔥蓿蔆螂蝴蝶蝠蝦蝸蝨蝙蝗蝌蝓衛衝褐複褒褓褕褊誼諒談諄誕請諸課諉諂調誰論諍誶誹諛豌豎豬賠賞賦賤賬賭賢賣賜質賡赭趟趣踫踐踝踢踏踩踟踡踞躺輝輛輟輩輦輪輜輞"],
    ["be40", "輥適遮遨遭遷鄰鄭鄧鄱醇醉醋醃鋅銻銷鋪銬鋤鋁銳銼鋒鋇鋰銲閭閱霄霆震霉靠鞍鞋鞏頡頫頜颳養餓餒餘駝駐駟駛駑駕駒駙骷髮髯鬧魅魄魷魯鴆鴉"],
    ["bea1", "鴃麩麾黎墨齒儒儘儔儐儕冀冪凝劑劓勳噙噫噹噩噤噸噪器噥噱噯噬噢噶壁墾壇壅奮嬝嬴學寰導彊憲憑憩憊懍憶憾懊懈戰擅擁擋撻撼據擄擇擂操撿擒擔撾整曆曉暹曄曇暸樽樸樺橙橫橘樹橄橢橡橋橇樵機橈歙歷氅濂澱澡"],
    ["bf40", "濃澤濁澧澳激澹澶澦澠澴熾燉燐燒燈燕熹燎燙燜燃燄獨璜璣璘璟璞瓢甌甍瘴瘸瘺盧盥瞠瞞瞟瞥磨磚磬磧禦積穎穆穌穋窺篙簑築篤篛篡篩篦糕糖縊"],
    ["bfa1", "縑縈縛縣縞縝縉縐罹羲翰翱翮耨膳膩膨臻興艘艙蕊蕙蕈蕨蕩蕃蕉蕭蕪蕞螃螟螞螢融衡褪褲褥褫褡親覦諦諺諫諱謀諜諧諮諾謁謂諷諭諳諶諼豫豭貓賴蹄踱踴蹂踹踵輻輯輸輳辨辦遵遴選遲遼遺鄴醒錠錶鋸錳錯錢鋼錫錄錚"],
    ["c040", "錐錦錡錕錮錙閻隧隨險雕霎霑霖霍霓霏靛靜靦鞘頰頸頻頷頭頹頤餐館餞餛餡餚駭駢駱骸骼髻髭鬨鮑鴕鴣鴦鴨鴒鴛默黔龍龜優償儡儲勵嚎嚀嚐嚅嚇"],
    ["c0a1", "嚏壕壓壑壎嬰嬪嬤孺尷屨嶼嶺嶽嶸幫彌徽應懂懇懦懋戲戴擎擊擘擠擰擦擬擱擢擭斂斃曙曖檀檔檄檢檜櫛檣橾檗檐檠歜殮毚氈濘濱濟濠濛濤濫濯澀濬濡濩濕濮濰燧營燮燦燥燭燬燴燠爵牆獰獲璩環璦璨癆療癌盪瞳瞪瞰瞬"],
    ["c140", "瞧瞭矯磷磺磴磯礁禧禪穗窿簇簍篾篷簌篠糠糜糞糢糟糙糝縮績繆縷縲繃縫總縱繅繁縴縹繈縵縿縯罄翳翼聱聲聰聯聳臆臃膺臂臀膿膽臉膾臨舉艱薪"],
    ["c1a1", "薄蕾薜薑薔薯薛薇薨薊虧蟀蟑螳蟒蟆螫螻螺蟈蟋褻褶襄褸褽覬謎謗謙講謊謠謝謄謐豁谿豳賺賽購賸賻趨蹉蹋蹈蹊轄輾轂轅輿避遽還邁邂邀鄹醣醞醜鍍鎂錨鍵鍊鍥鍋錘鍾鍬鍛鍰鍚鍔闊闋闌闈闆隱隸雖霜霞鞠韓顆颶餵騁"],
    ["c240", "駿鮮鮫鮪鮭鴻鴿麋黏點黜黝黛鼾齋叢嚕嚮壙壘嬸彝懣戳擴擲擾攆擺擻擷斷曜朦檳檬櫃檻檸櫂檮檯歟歸殯瀉瀋濾瀆濺瀑瀏燻燼燾燸獷獵璧璿甕癖癘"],
    ["c2a1", "癒瞽瞿瞻瞼礎禮穡穢穠竄竅簫簧簪簞簣簡糧織繕繞繚繡繒繙罈翹翻職聶臍臏舊藏薩藍藐藉薰薺薹薦蟯蟬蟲蟠覆覲觴謨謹謬謫豐贅蹙蹣蹦蹤蹟蹕軀轉轍邇邃邈醫醬釐鎔鎊鎖鎢鎳鎮鎬鎰鎘鎚鎗闔闖闐闕離雜雙雛雞霤鞣鞦"],
    ["c340", "鞭韹額顏題顎顓颺餾餿餽餮馥騎髁鬃鬆魏魎魍鯊鯉鯽鯈鯀鵑鵝鵠黠鼕鼬儳嚥壞壟壢寵龐廬懲懷懶懵攀攏曠曝櫥櫝櫚櫓瀛瀟瀨瀚瀝瀕瀘爆爍牘犢獸"],
    ["c3a1", "獺璽瓊瓣疇疆癟癡矇礙禱穫穩簾簿簸簽簷籀繫繭繹繩繪羅繳羶羹羸臘藩藝藪藕藤藥藷蟻蠅蠍蟹蟾襠襟襖襞譁譜識證譚譎譏譆譙贈贊蹼蹲躇蹶蹬蹺蹴轔轎辭邊邋醱醮鏡鏑鏟鏃鏈鏜鏝鏖鏢鏍鏘鏤鏗鏨關隴難霪霧靡韜韻類"],
    ["c440", "願顛颼饅饉騖騙鬍鯨鯧鯖鯛鶉鵡鵲鵪鵬麒麗麓麴勸嚨嚷嚶嚴嚼壤孀孃孽寶巉懸懺攘攔攙曦朧櫬瀾瀰瀲爐獻瓏癢癥礦礪礬礫竇競籌籃籍糯糰辮繽繼"],
    ["c4a1", "纂罌耀臚艦藻藹蘑藺蘆蘋蘇蘊蠔蠕襤覺觸議譬警譯譟譫贏贍躉躁躅躂醴釋鐘鐃鏽闡霰飄饒饑馨騫騰騷騵鰓鰍鹹麵黨鼯齟齣齡儷儸囁囀囂夔屬巍懼懾攝攜斕曩櫻欄櫺殲灌爛犧瓖瓔癩矓籐纏續羼蘗蘭蘚蠣蠢蠡蠟襪襬覽譴"],
    ["c540", "護譽贓躊躍躋轟辯醺鐮鐳鐵鐺鐸鐲鐫闢霸霹露響顧顥饗驅驃驀騾髏魔魑鰭鰥鶯鶴鷂鶸麝黯鼙齜齦齧儼儻囈囊囉孿巔巒彎懿攤權歡灑灘玀瓤疊癮癬"],
    ["c5a1", "禳籠籟聾聽臟襲襯觼讀贖贗躑躓轡酈鑄鑑鑒霽霾韃韁顫饕驕驍髒鬚鱉鰱鰾鰻鷓鷗鼴齬齪龔囌巖戀攣攫攪曬欐瓚竊籤籣籥纓纖纔臢蘸蘿蠱變邐邏鑣鑠鑤靨顯饜驚驛驗髓體髑鱔鱗鱖鷥麟黴囑壩攬灞癱癲矗罐羈蠶蠹衢讓讒"],
    ["c640", "讖艷贛釀鑪靂靈靄韆顰驟鬢魘鱟鷹鷺鹼鹽鼇齷齲廳欖灣籬籮蠻觀躡釁鑲鑰顱饞髖鬣黌灤矚讚鑷韉驢驥纜讜躪釅鑽鑾鑼鱷鱸黷豔鑿鸚爨驪鬱鸛鸞籲"],
    ["c940", "乂乜凵匚厂万丌乇亍囗兀屮彳丏冇与丮亓仂仉仈冘勼卬厹圠夃夬尐巿旡殳毌气爿丱丼仨仜仩仡仝仚刌匜卌圢圣夗夯宁宄尒尻屴屳帄庀庂忉戉扐氕"],
    ["c9a1", "氶汃氿氻犮犰玊禸肊阞伎优伬仵伔仱伀价伈伝伂伅伢伓伄仴伒冱刓刉刐劦匢匟卍厊吇囡囟圮圪圴夼妀奼妅奻奾奷奿孖尕尥屼屺屻屾巟幵庄异弚彴忕忔忏扜扞扤扡扦扢扙扠扚扥旯旮朾朹朸朻机朿朼朳氘汆汒汜汏汊汔汋"],
    ["ca40", "汌灱牞犴犵玎甪癿穵网艸艼芀艽艿虍襾邙邗邘邛邔阢阤阠阣佖伻佢佉体佤伾佧佒佟佁佘伭伳伿佡冏冹刜刞刡劭劮匉卣卲厎厏吰吷吪呔呅吙吜吥吘"],
    ["caa1", "吽呏呁吨吤呇囮囧囥坁坅坌坉坋坒夆奀妦妘妠妗妎妢妐妏妧妡宎宒尨尪岍岏岈岋岉岒岊岆岓岕巠帊帎庋庉庌庈庍弅弝彸彶忒忑忐忭忨忮忳忡忤忣忺忯忷忻怀忴戺抃抌抎抏抔抇扱扻扺扰抁抈扷扽扲扴攷旰旴旳旲旵杅杇"],
    ["cb40", "杙杕杌杈杝杍杚杋毐氙氚汸汧汫沄沋沏汱汯汩沚汭沇沕沜汦汳汥汻沎灴灺牣犿犽狃狆狁犺狅玕玗玓玔玒町甹疔疕皁礽耴肕肙肐肒肜芐芏芅芎芑芓"],
    ["cba1", "芊芃芄豸迉辿邟邡邥邞邧邠阰阨阯阭丳侘佼侅佽侀侇佶佴侉侄佷佌侗佪侚佹侁佸侐侜侔侞侒侂侕佫佮冞冼冾刵刲刳剆刱劼匊匋匼厒厔咇呿咁咑咂咈呫呺呾呥呬呴呦咍呯呡呠咘呣呧呤囷囹坯坲坭坫坱坰坶垀坵坻坳坴坢"],
    ["cc40", "坨坽夌奅妵妺姏姎妲姌姁妶妼姃姖妱妽姀姈妴姇孢孥宓宕屄屇岮岤岠岵岯岨岬岟岣岭岢岪岧岝岥岶岰岦帗帔帙弨弢弣弤彔徂彾彽忞忥怭怦怙怲怋"],
    ["cca1", "怴怊怗怳怚怞怬怢怍怐怮怓怑怌怉怜戔戽抭抴拑抾抪抶拊抮抳抯抻抩抰抸攽斨斻昉旼昄昒昈旻昃昋昍昅旽昑昐曶朊枅杬枎枒杶杻枘枆构杴枍枌杺枟枑枙枃杽极杸杹枔欥殀歾毞氝沓泬泫泮泙沶泔沭泧沷泐泂沺泃泆泭泲"],
    ["cd40", "泒泝沴沊沝沀泞泀洰泍泇沰泹泏泩泑炔炘炅炓炆炄炑炖炂炚炃牪狖狋狘狉狜狒狔狚狌狑玤玡玭玦玢玠玬玝瓝瓨甿畀甾疌疘皯盳盱盰盵矸矼矹矻矺"],
    ["cda1", "矷祂礿秅穸穻竻籵糽耵肏肮肣肸肵肭舠芠苀芫芚芘芛芵芧芮芼芞芺芴芨芡芩苂芤苃芶芢虰虯虭虮豖迒迋迓迍迖迕迗邲邴邯邳邰阹阽阼阺陃俍俅俓侲俉俋俁俔俜俙侻侳俛俇俖侺俀侹俬剄剉勀勂匽卼厗厖厙厘咺咡咭咥哏"],
    ["ce40", "哃茍咷咮哖咶哅哆咠呰咼咢咾呲哞咰垵垞垟垤垌垗垝垛垔垘垏垙垥垚垕壴复奓姡姞姮娀姱姝姺姽姼姶姤姲姷姛姩姳姵姠姾姴姭宨屌峐峘峌峗峋峛"],
    ["cea1", "峞峚峉峇峊峖峓峔峏峈峆峎峟峸巹帡帢帣帠帤庰庤庢庛庣庥弇弮彖徆怷怹恔恲恞恅恓恇恉恛恌恀恂恟怤恄恘恦恮扂扃拏挍挋拵挎挃拫拹挏挌拸拶挀挓挔拺挕拻拰敁敃斪斿昶昡昲昵昜昦昢昳昫昺昝昴昹昮朏朐柁柲柈枺"],
    ["cf40", "柜枻柸柘柀枷柅柫柤柟枵柍枳柷柶柮柣柂枹柎柧柰枲柼柆柭柌枮柦柛柺柉柊柃柪柋欨殂殄殶毖毘毠氠氡洨洴洭洟洼洿洒洊泚洳洄洙洺洚洑洀洝浂"],
    ["cfa1", "洁洘洷洃洏浀洇洠洬洈洢洉洐炷炟炾炱炰炡炴炵炩牁牉牊牬牰牳牮狊狤狨狫狟狪狦狣玅珌珂珈珅玹玶玵玴珫玿珇玾珃珆玸珋瓬瓮甮畇畈疧疪癹盄眈眃眄眅眊盷盻盺矧矨砆砑砒砅砐砏砎砉砃砓祊祌祋祅祄秕种秏秖秎窀"],
    ["d040", "穾竑笀笁籺籸籹籿粀粁紃紈紁罘羑羍羾耇耎耏耔耷胘胇胠胑胈胂胐胅胣胙胜胊胕胉胏胗胦胍臿舡芔苙苾苹茇苨茀苕茺苫苖苴苬苡苲苵茌苻苶苰苪"],
    ["d0a1", "苤苠苺苳苭虷虴虼虳衁衎衧衪衩觓訄訇赲迣迡迮迠郱邽邿郕郅邾郇郋郈釔釓陔陏陑陓陊陎倞倅倇倓倢倰倛俵俴倳倷倬俶俷倗倜倠倧倵倯倱倎党冔冓凊凄凅凈凎剡剚剒剞剟剕剢勍匎厞唦哢唗唒哧哳哤唚哿唄唈哫唑唅哱"],
    ["d140", "唊哻哷哸哠唎唃唋圁圂埌堲埕埒垺埆垽垼垸垶垿埇埐垹埁夎奊娙娖娭娮娕娏娗娊娞娳孬宧宭宬尃屖屔峬峿峮峱峷崀峹帩帨庨庮庪庬弳弰彧恝恚恧"],
    ["d1a1", "恁悢悈悀悒悁悝悃悕悛悗悇悜悎戙扆拲挐捖挬捄捅挶捃揤挹捋捊挼挩捁挴捘捔捙挭捇挳捚捑挸捗捀捈敊敆旆旃旄旂晊晟晇晑朒朓栟栚桉栲栳栻桋桏栖栱栜栵栫栭栯桎桄栴栝栒栔栦栨栮桍栺栥栠欬欯欭欱欴歭肂殈毦毤"],
    ["d240", "毨毣毢毧氥浺浣浤浶洍浡涒浘浢浭浯涑涍淯浿涆浞浧浠涗浰浼浟涂涘洯浨涋浾涀涄洖涃浻浽浵涐烜烓烑烝烋缹烢烗烒烞烠烔烍烅烆烇烚烎烡牂牸"],
    ["d2a1", "牷牶猀狺狴狾狶狳狻猁珓珙珥珖玼珧珣珩珜珒珛珔珝珚珗珘珨瓞瓟瓴瓵甡畛畟疰痁疻痄痀疿疶疺皊盉眝眛眐眓眒眣眑眕眙眚眢眧砣砬砢砵砯砨砮砫砡砩砳砪砱祔祛祏祜祓祒祑秫秬秠秮秭秪秜秞秝窆窉窅窋窌窊窇竘笐"],
    ["d340", "笄笓笅笏笈笊笎笉笒粄粑粊粌粈粍粅紞紝紑紎紘紖紓紟紒紏紌罜罡罞罠罝罛羖羒翃翂翀耖耾耹胺胲胹胵脁胻脀舁舯舥茳茭荄茙荑茥荖茿荁茦茜茢"],
    ["d3a1", "荂荎茛茪茈茼荍茖茤茠茷茯茩荇荅荌荓茞茬荋茧荈虓虒蚢蚨蚖蚍蚑蚞蚇蚗蚆蚋蚚蚅蚥蚙蚡蚧蚕蚘蚎蚝蚐蚔衃衄衭衵衶衲袀衱衿衯袃衾衴衼訒豇豗豻貤貣赶赸趵趷趶軑軓迾迵适迿迻逄迼迶郖郠郙郚郣郟郥郘郛郗郜郤酐"],
    ["d440", "酎酏釕釢釚陜陟隼飣髟鬯乿偰偪偡偞偠偓偋偝偲偈偍偁偛偊偢倕偅偟偩偫偣偤偆偀偮偳偗偑凐剫剭剬剮勖勓匭厜啵啶唼啍啐唴唪啑啢唶唵唰啒啅"],
    ["d4a1", "唌唲啥啎唹啈唭唻啀啋圊圇埻堔埢埶埜埴堀埭埽堈埸堋埳埏堇埮埣埲埥埬埡堎埼堐埧堁堌埱埩埰堍堄奜婠婘婕婧婞娸娵婭婐婟婥婬婓婤婗婃婝婒婄婛婈媎娾婍娹婌婰婩婇婑婖婂婜孲孮寁寀屙崞崋崝崚崠崌崨崍崦崥崏"],
    ["d540", "崰崒崣崟崮帾帴庱庴庹庲庳弶弸徛徖徟悊悐悆悾悰悺惓惔惏惤惙惝惈悱惛悷惊悿惃惍惀挲捥掊掂捽掽掞掭掝掗掫掎捯掇掐据掯捵掜捭掮捼掤挻掟"],
    ["d5a1", "捸掅掁掑掍捰敓旍晥晡晛晙晜晢朘桹梇梐梜桭桮梮梫楖桯梣梬梩桵桴梲梏桷梒桼桫桲梪梀桱桾梛梖梋梠梉梤桸桻梑梌梊桽欶欳欷欸殑殏殍殎殌氪淀涫涴涳湴涬淩淢涷淶淔渀淈淠淟淖涾淥淜淝淛淴淊涽淭淰涺淕淂淏淉"],
    ["d640", "淐淲淓淽淗淍淣涻烺焍烷焗烴焌烰焄烳焐烼烿焆焓焀烸烶焋焂焎牾牻牼牿猝猗猇猑猘猊猈狿猏猞玈珶珸珵琄琁珽琇琀珺珼珿琌琋珴琈畤畣痎痒痏"],
    ["d6a1", "痋痌痑痐皏皉盓眹眯眭眱眲眴眳眽眥眻眵硈硒硉硍硊硌砦硅硐祤祧祩祪祣祫祡离秺秸秶秷窏窔窐笵筇笴笥笰笢笤笳笘笪笝笱笫笭笯笲笸笚笣粔粘粖粣紵紽紸紶紺絅紬紩絁絇紾紿絊紻紨罣羕羜羝羛翊翋翍翐翑翇翏翉耟"],
    ["d740", "耞耛聇聃聈脘脥脙脛脭脟脬脞脡脕脧脝脢舑舸舳舺舴舲艴莐莣莨莍荺荳莤荴莏莁莕莙荵莔莩荽莃莌莝莛莪莋荾莥莯莈莗莰荿莦莇莮荶莚虙虖蚿蚷"],
    ["d7a1", "蛂蛁蛅蚺蚰蛈蚹蚳蚸蛌蚴蚻蚼蛃蚽蚾衒袉袕袨袢袪袚袑袡袟袘袧袙袛袗袤袬袌袓袎覂觖觙觕訰訧訬訞谹谻豜豝豽貥赽赻赹趼跂趹趿跁軘軞軝軜軗軠軡逤逋逑逜逌逡郯郪郰郴郲郳郔郫郬郩酖酘酚酓酕釬釴釱釳釸釤釹釪"],
    ["d840", "釫釷釨釮镺閆閈陼陭陫陱陯隿靪頄飥馗傛傕傔傞傋傣傃傌傎傝偨傜傒傂傇兟凔匒匑厤厧喑喨喥喭啷噅喢喓喈喏喵喁喣喒喤啽喌喦啿喕喡喎圌堩堷"],
    ["d8a1", "堙堞堧堣堨埵塈堥堜堛堳堿堶堮堹堸堭堬堻奡媯媔媟婺媢媞婸媦婼媥媬媕媮娷媄媊媗媃媋媩婻婽媌媜媏媓媝寪寍寋寔寑寊寎尌尰崷嵃嵫嵁嵋崿崵嵑嵎嵕崳崺嵒崽崱嵙嵂崹嵉崸崼崲崶嵀嵅幄幁彘徦徥徫惉悹惌惢惎惄愔"],
    ["d940", "惲愊愖愅惵愓惸惼惾惁愃愘愝愐惿愄愋扊掔掱掰揎揥揨揯揃撝揳揊揠揶揕揲揵摡揟掾揝揜揄揘揓揂揇揌揋揈揰揗揙攲敧敪敤敜敨敥斌斝斞斮旐旒"],
    ["d9a1", "晼晬晻暀晱晹晪晲朁椌棓椄棜椪棬棪棱椏棖棷棫棤棶椓椐棳棡椇棌椈楰梴椑棯棆椔棸棐棽棼棨椋椊椗棎棈棝棞棦棴棑椆棔棩椕椥棇欹欻欿欼殔殗殙殕殽毰毲毳氰淼湆湇渟湉溈渼渽湅湢渫渿湁湝湳渜渳湋湀湑渻渃渮湞"],
    ["da40", "湨湜湡渱渨湠湱湫渹渢渰湓湥渧湸湤湷湕湹湒湦渵渶湚焠焞焯烻焮焱焣焥焢焲焟焨焺焛牋牚犈犉犆犅犋猒猋猰猢猱猳猧猲猭猦猣猵猌琮琬琰琫琖"],
    ["daa1", "琚琡琭琱琤琣琝琩琠琲瓻甯畯畬痧痚痡痦痝痟痤痗皕皒盚睆睇睄睍睅睊睎睋睌矞矬硠硤硥硜硭硱硪确硰硩硨硞硢祴祳祲祰稂稊稃稌稄窙竦竤筊笻筄筈筌筎筀筘筅粢粞粨粡絘絯絣絓絖絧絪絏絭絜絫絒絔絩絑絟絎缾缿罥"],
    ["db40", "罦羢羠羡翗聑聏聐胾胔腃腊腒腏腇脽腍脺臦臮臷臸臹舄舼舽舿艵茻菏菹萣菀菨萒菧菤菼菶萐菆菈菫菣莿萁菝菥菘菿菡菋菎菖菵菉萉萏菞萑萆菂菳"],
    ["dba1", "菕菺菇菑菪萓菃菬菮菄菻菗菢萛菛菾蛘蛢蛦蛓蛣蛚蛪蛝蛫蛜蛬蛩蛗蛨蛑衈衖衕袺裗袹袸裀袾袶袼袷袽袲褁裉覕覘覗觝觚觛詎詍訹詙詀詗詘詄詅詒詈詑詊詌詏豟貁貀貺貾貰貹貵趄趀趉跘跓跍跇跖跜跏跕跙跈跗跅軯軷軺"],
    ["dc40", "軹軦軮軥軵軧軨軶軫軱軬軴軩逭逴逯鄆鄬鄄郿郼鄈郹郻鄁鄀鄇鄅鄃酡酤酟酢酠鈁鈊鈥鈃鈚鈦鈏鈌鈀鈒釿釽鈆鈄鈧鈂鈜鈤鈙鈗鈅鈖镻閍閌閐隇陾隈"],
    ["dca1", "隉隃隀雂雈雃雱雰靬靰靮頇颩飫鳦黹亃亄亶傽傿僆傮僄僊傴僈僂傰僁傺傱僋僉傶傸凗剺剸剻剼嗃嗛嗌嗐嗋嗊嗝嗀嗔嗄嗩喿嗒喍嗏嗕嗢嗖嗈嗲嗍嗙嗂圔塓塨塤塏塍塉塯塕塎塝塙塥塛堽塣塱壼嫇嫄嫋媺媸媱媵媰媿嫈媻嫆"],
    ["dd40", "媷嫀嫊媴媶嫍媹媐寖寘寙尟尳嵱嵣嵊嵥嵲嵬嵞嵨嵧嵢巰幏幎幊幍幋廅廌廆廋廇彀徯徭惷慉慊愫慅愶愲愮慆愯慏愩慀戠酨戣戥戤揅揱揫搐搒搉搠搤"],
    ["dda1", "搳摃搟搕搘搹搷搢搣搌搦搰搨摁搵搯搊搚摀搥搧搋揧搛搮搡搎敯斒旓暆暌暕暐暋暊暙暔晸朠楦楟椸楎楢楱椿楅楪椹楂楗楙楺楈楉椵楬椳椽楥棰楸椴楩楀楯楄楶楘楁楴楌椻楋椷楜楏楑椲楒椯楻椼歆歅歃歂歈歁殛嗀毻毼"],
    ["de40", "毹毷毸溛滖滈溏滀溟溓溔溠溱溹滆滒溽滁溞滉溷溰滍溦滏溲溾滃滜滘溙溒溎溍溤溡溿溳滐滊溗溮溣煇煔煒煣煠煁煝煢煲煸煪煡煂煘煃煋煰煟煐煓"],
    ["dea1", "煄煍煚牏犍犌犑犐犎猼獂猻猺獀獊獉瑄瑊瑋瑒瑑瑗瑀瑏瑐瑎瑂瑆瑍瑔瓡瓿瓾瓽甝畹畷榃痯瘏瘃痷痾痼痹痸瘐痻痶痭痵痽皙皵盝睕睟睠睒睖睚睩睧睔睙睭矠碇碚碔碏碄碕碅碆碡碃硹碙碀碖硻祼禂祽祹稑稘稙稒稗稕稢稓"],
    ["df40", "稛稐窣窢窞竫筦筤筭筴筩筲筥筳筱筰筡筸筶筣粲粴粯綈綆綀綍絿綅絺綎絻綃絼綌綔綄絽綒罭罫罧罨罬羦羥羧翛翜耡腤腠腷腜腩腛腢腲朡腞腶腧腯"],
    ["dfa1", "腄腡舝艉艄艀艂艅蓱萿葖葶葹蒏蒍葥葑葀蒆葧萰葍葽葚葙葴葳葝蔇葞萷萺萴葺葃葸萲葅萩菙葋萯葂萭葟葰萹葎葌葒葯蓅蒎萻葇萶萳葨葾葄萫葠葔葮葐蜋蜄蛷蜌蛺蛖蛵蝍蛸蜎蜉蜁蛶蜍蜅裖裋裍裎裞裛裚裌裐覅覛觟觥觤"],
    ["e040", "觡觠觢觜触詶誆詿詡訿詷誂誄詵誃誁詴詺谼豋豊豥豤豦貆貄貅賌赨赩趑趌趎趏趍趓趔趐趒跰跠跬跱跮跐跩跣跢跧跲跫跴輆軿輁輀輅輇輈輂輋遒逿"],
    ["e0a1", "遄遉逽鄐鄍鄏鄑鄖鄔鄋鄎酮酯鉈鉒鈰鈺鉦鈳鉥鉞銃鈮鉊鉆鉭鉬鉏鉠鉧鉯鈶鉡鉰鈱鉔鉣鉐鉲鉎鉓鉌鉖鈲閟閜閞閛隒隓隑隗雎雺雽雸雵靳靷靸靲頏頍頎颬飶飹馯馲馰馵骭骫魛鳪鳭鳧麀黽僦僔僗僨僳僛僪僝僤僓僬僰僯僣僠"],
    ["e140", "凘劀劁勩勫匰厬嘧嘕嘌嘒嗼嘏嘜嘁嘓嘂嗺嘝嘄嗿嗹墉塼墐墘墆墁塿塴墋塺墇墑墎塶墂墈塻墔墏壾奫嫜嫮嫥嫕嫪嫚嫭嫫嫳嫢嫠嫛嫬嫞嫝嫙嫨嫟孷寠"],
    ["e1a1", "寣屣嶂嶀嵽嶆嵺嶁嵷嶊嶉嶈嵾嵼嶍嵹嵿幘幙幓廘廑廗廎廜廕廙廒廔彄彃彯徶愬愨慁慞慱慳慒慓慲慬憀慴慔慺慛慥愻慪慡慖戩戧戫搫摍摛摝摴摶摲摳摽摵摦撦摎撂摞摜摋摓摠摐摿搿摬摫摙摥摷敳斠暡暠暟朅朄朢榱榶槉"],
    ["e240", "榠槎榖榰榬榼榑榙榎榧榍榩榾榯榿槄榽榤槔榹槊榚槏榳榓榪榡榞槙榗榐槂榵榥槆歊歍歋殞殟殠毃毄毾滎滵滱漃漥滸漷滻漮漉潎漙漚漧漘漻漒滭漊"],
    ["e2a1", "漶潳滹滮漭潀漰漼漵滫漇漎潃漅滽滶漹漜滼漺漟漍漞漈漡熇熐熉熀熅熂熏煻熆熁熗牄牓犗犕犓獃獍獑獌瑢瑳瑱瑵瑲瑧瑮甀甂甃畽疐瘖瘈瘌瘕瘑瘊瘔皸瞁睼瞅瞂睮瞀睯睾瞃碲碪碴碭碨硾碫碞碥碠碬碢碤禘禊禋禖禕禔禓"],
    ["e340", "禗禈禒禐稫穊稰稯稨稦窨窫窬竮箈箜箊箑箐箖箍箌箛箎箅箘劄箙箤箂粻粿粼粺綧綷緂綣綪緁緀緅綝緎緄緆緋緌綯綹綖綼綟綦綮綩綡緉罳翢翣翥翞"],
    ["e3a1", "耤聝聜膉膆膃膇膍膌膋舕蒗蒤蒡蒟蒺蓎蓂蒬蒮蒫蒹蒴蓁蓍蒪蒚蒱蓐蒝蒧蒻蒢蒔蓇蓌蒛蒩蒯蒨蓖蒘蒶蓏蒠蓗蓔蓒蓛蒰蒑虡蜳蜣蜨蝫蝀蜮蜞蜡蜙蜛蝃蜬蝁蜾蝆蜠蜲蜪蜭蜼蜒蜺蜱蜵蝂蜦蜧蜸蜤蜚蜰蜑裷裧裱裲裺裾裮裼裶裻"],
    ["e440", "裰裬裫覝覡覟覞觩觫觨誫誙誋誒誏誖谽豨豩賕賏賗趖踉踂跿踍跽踊踃踇踆踅跾踀踄輐輑輎輍鄣鄜鄠鄢鄟鄝鄚鄤鄡鄛酺酲酹酳銥銤鉶銛鉺銠銔銪銍"],
    ["e4a1", "銦銚銫鉹銗鉿銣鋮銎銂銕銢鉽銈銡銊銆銌銙銧鉾銇銩銝銋鈭隞隡雿靘靽靺靾鞃鞀鞂靻鞄鞁靿韎韍頖颭颮餂餀餇馝馜駃馹馻馺駂馽駇骱髣髧鬾鬿魠魡魟鳱鳲鳵麧僿儃儰僸儆儇僶僾儋儌僽儊劋劌勱勯噈噂噌嘵噁噊噉噆噘"],
    ["e540", "噚噀嘳嘽嘬嘾嘸嘪嘺圚墫墝墱墠墣墯墬墥墡壿嫿嫴嫽嫷嫶嬃嫸嬂嫹嬁嬇嬅嬏屧嶙嶗嶟嶒嶢嶓嶕嶠嶜嶡嶚嶞幩幝幠幜緳廛廞廡彉徲憋憃慹憱憰憢憉"],
    ["e5a1", "憛憓憯憭憟憒憪憡憍慦憳戭摮摰撖撠撅撗撜撏撋撊撌撣撟摨撱撘敶敺敹敻斲斳暵暰暩暲暷暪暯樀樆樗槥槸樕槱槤樠槿槬槢樛樝槾樧槲槮樔槷槧橀樈槦槻樍槼槫樉樄樘樥樏槶樦樇槴樖歑殥殣殢殦氁氀毿氂潁漦潾澇濆澒"],
    ["e640", "澍澉澌潢潏澅潚澖潶潬澂潕潲潒潐潗澔澓潝漀潡潫潽潧澐潓澋潩潿澕潣潷潪潻熲熯熛熰熠熚熩熵熝熥熞熤熡熪熜熧熳犘犚獘獒獞獟獠獝獛獡獚獙"],
    ["e6a1", "獢璇璉璊璆璁瑽璅璈瑼瑹甈甇畾瘥瘞瘙瘝瘜瘣瘚瘨瘛皜皝皞皛瞍瞏瞉瞈磍碻磏磌磑磎磔磈磃磄磉禚禡禠禜禢禛歶稹窲窴窳箷篋箾箬篎箯箹篊箵糅糈糌糋緷緛緪緧緗緡縃緺緦緶緱緰緮緟罶羬羰羭翭翫翪翬翦翨聤聧膣膟"],
    ["e740", "膞膕膢膙膗舖艏艓艒艐艎艑蔤蔻蔏蔀蔩蔎蔉蔍蔟蔊蔧蔜蓻蔫蓺蔈蔌蓴蔪蓲蔕蓷蓫蓳蓼蔒蓪蓩蔖蓾蔨蔝蔮蔂蓽蔞蓶蔱蔦蓧蓨蓰蓯蓹蔘蔠蔰蔋蔙蔯虢"],
    ["e7a1", "蝖蝣蝤蝷蟡蝳蝘蝔蝛蝒蝡蝚蝑蝞蝭蝪蝐蝎蝟蝝蝯蝬蝺蝮蝜蝥蝏蝻蝵蝢蝧蝩衚褅褌褔褋褗褘褙褆褖褑褎褉覢覤覣觭觰觬諏諆誸諓諑諔諕誻諗誾諀諅諘諃誺誽諙谾豍貏賥賟賙賨賚賝賧趠趜趡趛踠踣踥踤踮踕踛踖踑踙踦踧"],
    ["e840", "踔踒踘踓踜踗踚輬輤輘輚輠輣輖輗遳遰遯遧遫鄯鄫鄩鄪鄲鄦鄮醅醆醊醁醂醄醀鋐鋃鋄鋀鋙銶鋏鋱鋟鋘鋩鋗鋝鋌鋯鋂鋨鋊鋈鋎鋦鋍鋕鋉鋠鋞鋧鋑鋓"],
    ["e8a1", "銵鋡鋆銴镼閬閫閮閰隤隢雓霅霈霂靚鞊鞎鞈韐韏頞頝頦頩頨頠頛頧颲餈飺餑餔餖餗餕駜駍駏駓駔駎駉駖駘駋駗駌骳髬髫髳髲髱魆魃魧魴魱魦魶魵魰魨魤魬鳼鳺鳽鳿鳷鴇鴀鳹鳻鴈鴅鴄麃黓鼏鼐儜儓儗儚儑凞匴叡噰噠噮"],
    ["e940", "噳噦噣噭噲噞噷圜圛壈墽壉墿墺壂墼壆嬗嬙嬛嬡嬔嬓嬐嬖嬨嬚嬠嬞寯嶬嶱嶩嶧嶵嶰嶮嶪嶨嶲嶭嶯嶴幧幨幦幯廩廧廦廨廥彋徼憝憨憖懅憴懆懁懌憺"],
    ["e9a1", "憿憸憌擗擖擐擏擉撽撉擃擛擳擙攳敿敼斢曈暾曀曊曋曏暽暻暺曌朣樴橦橉橧樲橨樾橝橭橶橛橑樨橚樻樿橁橪橤橐橏橔橯橩橠樼橞橖橕橍橎橆歕歔歖殧殪殫毈毇氄氃氆澭濋澣濇澼濎濈潞濄澽澞濊澨瀄澥澮澺澬澪濏澿澸"],
    ["ea40", "澢濉澫濍澯澲澰燅燂熿熸燖燀燁燋燔燊燇燏熽燘熼燆燚燛犝犞獩獦獧獬獥獫獪瑿璚璠璔璒璕璡甋疀瘯瘭瘱瘽瘳瘼瘵瘲瘰皻盦瞚瞝瞡瞜瞛瞢瞣瞕瞙"],
    ["eaa1", "瞗磝磩磥磪磞磣磛磡磢磭磟磠禤穄穈穇窶窸窵窱窷篞篣篧篝篕篥篚篨篹篔篪篢篜篫篘篟糒糔糗糐糑縒縡縗縌縟縠縓縎縜縕縚縢縋縏縖縍縔縥縤罃罻罼罺羱翯耪耩聬膱膦膮膹膵膫膰膬膴膲膷膧臲艕艖艗蕖蕅蕫蕍蕓蕡蕘"],
    ["eb40", "蕀蕆蕤蕁蕢蕄蕑蕇蕣蔾蕛蕱蕎蕮蕵蕕蕧蕠薌蕦蕝蕔蕥蕬虣虥虤螛螏螗螓螒螈螁螖螘蝹螇螣螅螐螑螝螄螔螜螚螉褞褦褰褭褮褧褱褢褩褣褯褬褟觱諠"],
    ["eba1", "諢諲諴諵諝謔諤諟諰諈諞諡諨諿諯諻貑貒貐賵賮賱賰賳赬赮趥趧踳踾踸蹀蹅踶踼踽蹁踰踿躽輶輮輵輲輹輷輴遶遹遻邆郺鄳鄵鄶醓醐醑醍醏錧錞錈錟錆錏鍺錸錼錛錣錒錁鍆錭錎錍鋋錝鋺錥錓鋹鋷錴錂錤鋿錩錹錵錪錔錌"],
    ["ec40", "錋鋾錉錀鋻錖閼闍閾閹閺閶閿閵閽隩雔霋霒霐鞙鞗鞔韰韸頵頯頲餤餟餧餩馞駮駬駥駤駰駣駪駩駧骹骿骴骻髶髺髹髷鬳鮀鮅鮇魼魾魻鮂鮓鮒鮐魺鮕"],
    ["eca1", "魽鮈鴥鴗鴠鴞鴔鴩鴝鴘鴢鴐鴙鴟麈麆麇麮麭黕黖黺鼒鼽儦儥儢儤儠儩勴嚓嚌嚍嚆嚄嚃噾嚂噿嚁壖壔壏壒嬭嬥嬲嬣嬬嬧嬦嬯嬮孻寱寲嶷幬幪徾徻懃憵憼懧懠懥懤懨懞擯擩擣擫擤擨斁斀斶旚曒檍檖檁檥檉檟檛檡檞檇檓檎"],
    ["ed40", "檕檃檨檤檑橿檦檚檅檌檒歛殭氉濌澩濴濔濣濜濭濧濦濞濲濝濢濨燡燱燨燲燤燰燢獳獮獯璗璲璫璐璪璭璱璥璯甐甑甒甏疄癃癈癉癇皤盩瞵瞫瞲瞷瞶"],
    ["eda1", "瞴瞱瞨矰磳磽礂磻磼磲礅磹磾礄禫禨穜穛穖穘穔穚窾竀竁簅簏篲簀篿篻簎篴簋篳簂簉簃簁篸篽簆篰篱簐簊糨縭縼繂縳顈縸縪繉繀繇縩繌縰縻縶繄縺罅罿罾罽翴翲耬膻臄臌臊臅臇膼臩艛艚艜薃薀薏薧薕薠薋薣蕻薤薚薞"],
    ["ee40", "蕷蕼薉薡蕺蕸蕗薎薖薆薍薙薝薁薢薂薈薅蕹蕶薘薐薟虨螾螪螭蟅螰螬螹螵螼螮蟉蟃蟂蟌螷螯蟄蟊螴螶螿螸螽蟞螲褵褳褼褾襁襒褷襂覭覯覮觲觳謞"],
    ["eea1", "謘謖謑謅謋謢謏謒謕謇謍謈謆謜謓謚豏豰豲豱豯貕貔賹赯蹎蹍蹓蹐蹌蹇轃轀邅遾鄸醚醢醛醙醟醡醝醠鎡鎃鎯鍤鍖鍇鍼鍘鍜鍶鍉鍐鍑鍠鍭鎏鍌鍪鍹鍗鍕鍒鍏鍱鍷鍻鍡鍞鍣鍧鎀鍎鍙闇闀闉闃闅閷隮隰隬霠霟霘霝霙鞚鞡鞜"],
    ["ef40", "鞞鞝韕韔韱顁顄顊顉顅顃餥餫餬餪餳餲餯餭餱餰馘馣馡騂駺駴駷駹駸駶駻駽駾駼騃骾髾髽鬁髼魈鮚鮨鮞鮛鮦鮡鮥鮤鮆鮢鮠鮯鴳鵁鵧鴶鴮鴯鴱鴸鴰"],
    ["efa1", "鵅鵂鵃鴾鴷鵀鴽翵鴭麊麉麍麰黈黚黻黿鼤鼣鼢齔龠儱儭儮嚘嚜嚗嚚嚝嚙奰嬼屩屪巀幭幮懘懟懭懮懱懪懰懫懖懩擿攄擽擸攁攃擼斔旛曚曛曘櫅檹檽櫡櫆檺檶檷櫇檴檭歞毉氋瀇瀌瀍瀁瀅瀔瀎濿瀀濻瀦濼濷瀊爁燿燹爃燽獶"],
    ["f040", "璸瓀璵瓁璾璶璻瓂甔甓癜癤癙癐癓癗癚皦皽盬矂瞺磿礌礓礔礉礐礒礑禭禬穟簜簩簙簠簟簭簝簦簨簢簥簰繜繐繖繣繘繢繟繑繠繗繓羵羳翷翸聵臑臒"],
    ["f0a1", "臐艟艞薴藆藀藃藂薳薵薽藇藄薿藋藎藈藅薱薶藒蘤薸薷薾虩蟧蟦蟢蟛蟫蟪蟥蟟蟳蟤蟔蟜蟓蟭蟘蟣螤蟗蟙蠁蟴蟨蟝襓襋襏襌襆襐襑襉謪謧謣謳謰謵譇謯謼謾謱謥謷謦謶謮謤謻謽謺豂豵貙貘貗賾贄贂贀蹜蹢蹠蹗蹖蹞蹥蹧"],
    ["f140", "蹛蹚蹡蹝蹩蹔轆轇轈轋鄨鄺鄻鄾醨醥醧醯醪鎵鎌鎒鎷鎛鎝鎉鎧鎎鎪鎞鎦鎕鎈鎙鎟鎍鎱鎑鎲鎤鎨鎴鎣鎥闒闓闑隳雗雚巂雟雘雝霣霢霥鞬鞮鞨鞫鞤鞪"],
    ["f1a1", "鞢鞥韗韙韖韘韺顐顑顒颸饁餼餺騏騋騉騍騄騑騊騅騇騆髀髜鬈鬄鬅鬩鬵魊魌魋鯇鯆鯃鮿鯁鮵鮸鯓鮶鯄鮹鮽鵜鵓鵏鵊鵛鵋鵙鵖鵌鵗鵒鵔鵟鵘鵚麎麌黟鼁鼀鼖鼥鼫鼪鼩鼨齌齕儴儵劖勷厴嚫嚭嚦嚧嚪嚬壚壝壛夒嬽嬾嬿巃幰"],
    ["f240", "徿懻攇攐攍攉攌攎斄旞旝曞櫧櫠櫌櫑櫙櫋櫟櫜櫐櫫櫏櫍櫞歠殰氌瀙瀧瀠瀖瀫瀡瀢瀣瀩瀗瀤瀜瀪爌爊爇爂爅犥犦犤犣犡瓋瓅璷瓃甖癠矉矊矄矱礝礛"],
    ["f2a1", "礡礜礗礞禰穧穨簳簼簹簬簻糬糪繶繵繸繰繷繯繺繲繴繨罋罊羃羆羷翽翾聸臗臕艤艡艣藫藱藭藙藡藨藚藗藬藲藸藘藟藣藜藑藰藦藯藞藢蠀蟺蠃蟶蟷蠉蠌蠋蠆蟼蠈蟿蠊蠂襢襚襛襗襡襜襘襝襙覈覷覶觶譐譈譊譀譓譖譔譋譕"],
    ["f340", "譑譂譒譗豃豷豶貚贆贇贉趬趪趭趫蹭蹸蹳蹪蹯蹻軂轒轑轏轐轓辴酀鄿醰醭鏞鏇鏏鏂鏚鏐鏹鏬鏌鏙鎩鏦鏊鏔鏮鏣鏕鏄鏎鏀鏒鏧镽闚闛雡霩霫霬霨霦"],
    ["f3a1", "鞳鞷鞶韝韞韟顜顙顝顗颿颽颻颾饈饇饃馦馧騚騕騥騝騤騛騢騠騧騣騞騜騔髂鬋鬊鬎鬌鬷鯪鯫鯠鯞鯤鯦鯢鯰鯔鯗鯬鯜鯙鯥鯕鯡鯚鵷鶁鶊鶄鶈鵱鶀鵸鶆鶋鶌鵽鵫鵴鵵鵰鵩鶅鵳鵻鶂鵯鵹鵿鶇鵨麔麑黀黼鼭齀齁齍齖齗齘匷嚲"],
    ["f440", "嚵嚳壣孅巆巇廮廯忀忁懹攗攖攕攓旟曨曣曤櫳櫰櫪櫨櫹櫱櫮櫯瀼瀵瀯瀷瀴瀱灂瀸瀿瀺瀹灀瀻瀳灁爓爔犨獽獼璺皫皪皾盭矌矎矏矍矲礥礣礧礨礤礩"],
    ["f4a1", "禲穮穬穭竷籉籈籊籇籅糮繻繾纁纀羺翿聹臛臙舋艨艩蘢藿蘁藾蘛蘀藶蘄蘉蘅蘌藽蠙蠐蠑蠗蠓蠖襣襦覹觷譠譪譝譨譣譥譧譭趮躆躈躄轙轖轗轕轘轚邍酃酁醷醵醲醳鐋鐓鏻鐠鐏鐔鏾鐕鐐鐨鐙鐍鏵鐀鏷鐇鐎鐖鐒鏺鐉鏸鐊鏿"],
    ["f540", "鏼鐌鏶鐑鐆闞闠闟霮霯鞹鞻韽韾顠顢顣顟飁飂饐饎饙饌饋饓騲騴騱騬騪騶騩騮騸騭髇髊髆鬐鬒鬑鰋鰈鯷鰅鰒鯸鱀鰇鰎鰆鰗鰔鰉鶟鶙鶤鶝鶒鶘鶐鶛"],
    ["f5a1", "鶠鶔鶜鶪鶗鶡鶚鶢鶨鶞鶣鶿鶩鶖鶦鶧麙麛麚黥黤黧黦鼰鼮齛齠齞齝齙龑儺儹劘劗囃嚽嚾孈孇巋巏廱懽攛欂櫼欃櫸欀灃灄灊灈灉灅灆爝爚爙獾甗癪矐礭礱礯籔籓糲纊纇纈纋纆纍罍羻耰臝蘘蘪蘦蘟蘣蘜蘙蘧蘮蘡蘠蘩蘞蘥"],
    ["f640", "蠩蠝蠛蠠蠤蠜蠫衊襭襩襮襫觺譹譸譅譺譻贐贔趯躎躌轞轛轝酆酄酅醹鐿鐻鐶鐩鐽鐼鐰鐹鐪鐷鐬鑀鐱闥闤闣霵霺鞿韡顤飉飆飀饘饖騹騽驆驄驂驁騺"],
    ["f6a1", "騿髍鬕鬗鬘鬖鬺魒鰫鰝鰜鰬鰣鰨鰩鰤鰡鶷鶶鶼鷁鷇鷊鷏鶾鷅鷃鶻鶵鷎鶹鶺鶬鷈鶱鶭鷌鶳鷍鶲鹺麜黫黮黭鼛鼘鼚鼱齎齥齤龒亹囆囅囋奱孋孌巕巑廲攡攠攦攢欋欈欉氍灕灖灗灒爞爟犩獿瓘瓕瓙瓗癭皭礵禴穰穱籗籜籙籛籚"],
    ["f740", "糴糱纑罏羇臞艫蘴蘵蘳蘬蘲蘶蠬蠨蠦蠪蠥襱覿覾觻譾讄讂讆讅譿贕躕躔躚躒躐躖躗轠轢酇鑌鑐鑊鑋鑏鑇鑅鑈鑉鑆霿韣顪顩飋饔饛驎驓驔驌驏驈驊"],
    ["f7a1", "驉驒驐髐鬙鬫鬻魖魕鱆鱈鰿鱄鰹鰳鱁鰼鰷鰴鰲鰽鰶鷛鷒鷞鷚鷋鷐鷜鷑鷟鷩鷙鷘鷖鷵鷕鷝麶黰鼵鼳鼲齂齫龕龢儽劙壨壧奲孍巘蠯彏戁戃戄攩攥斖曫欑欒欏毊灛灚爢玂玁玃癰矔籧籦纕艬蘺虀蘹蘼蘱蘻蘾蠰蠲蠮蠳襶襴襳觾"],
    ["f840", "讌讎讋讈豅贙躘轤轣醼鑢鑕鑝鑗鑞韄韅頀驖驙鬞鬟鬠鱒鱘鱐鱊鱍鱋鱕鱙鱌鱎鷻鷷鷯鷣鷫鷸鷤鷶鷡鷮鷦鷲鷰鷢鷬鷴鷳鷨鷭黂黐黲黳鼆鼜鼸鼷鼶齃齏"],
    ["f8a1", "齱齰齮齯囓囍孎屭攭曭曮欓灟灡灝灠爣瓛瓥矕礸禷禶籪纗羉艭虃蠸蠷蠵衋讔讕躞躟躠躝醾醽釂鑫鑨鑩雥靆靃靇韇韥驞髕魙鱣鱧鱦鱢鱞鱠鸂鷾鸇鸃鸆鸅鸀鸁鸉鷿鷽鸄麠鼞齆齴齵齶囔攮斸欘欙欗欚灢爦犪矘矙礹籩籫糶纚"],
    ["f940", "纘纛纙臠臡虆虇虈襹襺襼襻觿讘讙躥躤躣鑮鑭鑯鑱鑳靉顲饟鱨鱮鱭鸋鸍鸐鸏鸒鸑麡黵鼉齇齸齻齺齹圞灦籯蠼趲躦釃鑴鑸鑶鑵驠鱴鱳鱱鱵鸔鸓黶鼊"],
    ["f9a1", "龤灨灥糷虪蠾蠽蠿讞貜躩軉靋顳顴飌饡馫驤驦驧鬤鸕鸗齈戇欞爧虌躨钂钀钁驩驨鬮鸙爩虋讟钃鱹麷癵驫鱺鸝灩灪麤齾齉龘碁銹裏墻恒粧嫺╔╦╗╠╬╣╚╩╝╒╤╕╞╪╡╘╧╛╓╥╖╟╫╢╙╨╜║═╭╮╰╯▓"]
  ];
});

// node_modules/iconv-lite/encodings/tables/big5-added.json
var require_big5_added2 = __commonJS((exports, module) => {
  module.exports = [
    ["8740", "䏰䰲䘃䖦䕸𧉧䵷䖳𧲱䳢𧳅㮕䜶䝄䱇䱀𤊿𣘗𧍒𦺋𧃒䱗𪍑䝏䗚䲅𧱬䴇䪤䚡𦬣爥𥩔𡩣𣸆𣽡晍囻"],
    ["8767", "綕夝𨮹㷴霴𧯯寛𡵞媤㘥𩺰嫑宷峼杮薓𩥅瑡璝㡵𡵓𣚞𦀡㻬"],
    ["87a1", "𥣞㫵竼龗𤅡𨤍𣇪𠪊𣉞䌊蒄龖鐯䤰蘓墖靊鈘秐稲晠権袝瑌篅枂稬剏遆㓦珄𥶹瓆鿇垳䤯呌䄱𣚎堘穲𧭥讏䚮𦺈䆁𥶙箮𢒼鿈𢓁𢓉𢓌鿉蔄𣖻䂴鿊䓡𪷿拁灮鿋"],
    ["8840", "㇀", 4, "𠄌㇅𠃑𠃍㇆㇇𠃋𡿨㇈𠃊㇉㇊㇋㇌𠄎㇍㇎ĀÁǍÀĒÉĚÈŌÓǑÒ࿿Ê̄Ế࿿Ê̌ỀÊāáǎàɑēéěèīíǐìōóǒòūúǔùǖǘǚ"],
    ["88a1", "ǜü࿿ê̄ế࿿ê̌ềêɡ⏚⏛"],
    ["8940", "𪎩𡅅"],
    ["8943", "攊"],
    ["8946", "丽滝鵎釟"],
    ["894c", "𧜵撑会伨侨兖兴农凤务动医华发变团声处备夲头学实実岚庆总斉柾栄桥济炼电纤纬纺织经统缆缷艺苏药视设询车轧轮"],
    ["89a1", "琑糼緍楆竉刧"],
    ["89ab", "醌碸酞肼"],
    ["89b0", "贋胶𠧧"],
    ["89b5", "肟黇䳍鷉鸌䰾𩷶𧀎鸊𪄳㗁"],
    ["89c1", "溚舾甙"],
    ["89c5", "䤑马骏龙禇𨑬𡷊𠗐𢫦两亁亀亇亿仫伷㑌侽㹈倃傈㑽㒓㒥円夅凛凼刅争剹劐匧㗇厩㕑厰㕓参吣㕭㕲㚁咓咣咴咹哐哯唘唣唨㖘唿㖥㖿嗗㗅"],
    ["8a40", "𧶄唥"],
    ["8a43", "𠱂𠴕𥄫喐𢳆㧬𠍁蹆𤶸𩓥䁓𨂾睺𢰸㨴䟕𨅝𦧲𤷪擝𠵼𠾴𠳕𡃴撍蹾𠺖𠰋𠽤𢲩𨉖𤓓"],
    ["8a64", "𠵆𩩍𨃩䟴𤺧𢳂骲㩧𩗴㿭㔆𥋇𩟔𧣈𢵄鵮頕"],
    ["8a76", "䏙𦂥撴哣𢵌𢯊𡁷㧻𡁯"],
    ["8aa1", "𦛚𦜖𧦠擪𥁒𠱃蹨𢆡𨭌𠜱"],
    ["8aac", "䠋𠆩㿺塳𢶍"],
    ["8ab2", "𤗈𠓼𦂗𠽌𠶖啹䂻䎺"],
    ["8abb", "䪴𢩦𡂝膪飵𠶜捹㧾𢝵跀嚡摼㹃"],
    ["8ac9", "𪘁𠸉𢫏𢳉"],
    ["8ace", "𡃈𣧂㦒㨆𨊛㕸𥹉𢃇噒𠼱𢲲𩜠㒼氽𤸻"],
    ["8adf", "𧕴𢺋𢈈𪙛𨳍𠹺𠰴𦠜羓𡃏𢠃𢤹㗻𥇣𠺌𠾍𠺪㾓𠼰𠵇𡅏𠹌"],
    ["8af6", "𠺫𠮩𠵈𡃀𡄽㿹𢚖搲𠾭"],
    ["8b40", "𣏴𧘹𢯎𠵾𠵿𢱑𢱕㨘𠺘𡃇𠼮𪘲𦭐𨳒𨶙𨳊閪哌苄喹"],
    ["8b55", "𩻃鰦骶𧝞𢷮煀腭胬尜𦕲脴㞗卟𨂽醶𠻺𠸏𠹷𠻻㗝𤷫㘉𠳖嚯𢞵𡃉𠸐𠹸𡁸𡅈𨈇𡑕𠹹𤹐𢶤婔𡀝𡀞𡃵𡃶垜𠸑"],
    ["8ba1", "𧚔𨋍𠾵𠹻𥅾㜃𠾶𡆀𥋘𪊽𤧚𡠺𤅷𨉼墙剨㘚𥜽箲孨䠀䬬鼧䧧鰟鮍𥭴𣄽嗻㗲嚉丨夂𡯁屮靑𠂆乛亻㔾尣彑忄㣺扌攵歺氵氺灬爫丬犭𤣩罒礻糹罓𦉪㓁"],
    ["8bde", "𦍋耂肀𦘒𦥑卝衤见𧢲讠贝钅镸长门𨸏韦页风飞饣𩠐鱼鸟黄歯龜丷𠂇阝户钢"],
    ["8c40", "倻淾𩱳龦㷉袏𤅎灷峵䬠𥇍㕙𥴰愢𨨲辧釶熑朙玺𣊁𪄇㲋𡦀䬐磤琂冮𨜏䀉橣𪊺䈣蘏𠩯稪𩥇𨫪靕灍匤𢁾鏴盙𨧣龧矝亣俰傼丯众龨吴綋墒壐𡶶庒庙忂𢜒斋"],
    ["8ca1", "𣏹椙橃𣱣泿"],
    ["8ca7", "爀𤔅玌㻛𤨓嬕璹讃𥲤𥚕窓篬糃繬苸薗龩袐龪躹龫迏蕟駠鈡龬𨶹𡐿䁱䊢娚"],
    ["8cc9", "顨杫䉶圽"],
    ["8cce", "藖𤥻芿𧄍䲁𦵴嵻𦬕𦾾龭龮宖龯曧繛湗秊㶈䓃𣉖𢞖䎚䔶"],
    ["8ce6", "峕𣬚諹屸㴒𣕑嵸龲煗䕘𤃬𡸣䱷㥸㑊𠆤𦱁諌侴𠈹妿腬顖𩣺弻"],
    ["8d40", "𠮟"],
    ["8d42", "𢇁𨥭䄂䚻𩁹㼇龳𪆵䃸㟖䛷𦱆䅼𨚲𧏿䕭㣔𥒚䕡䔛䶉䱻䵶䗪㿈𤬏㙡䓞䒽䇭崾嵈嵖㷼㠏嶤嶹㠠㠸幂庽弥徃㤈㤔㤿㥍惗愽峥㦉憷憹懏㦸戬抐拥挘㧸嚱"],
    ["8da1", "㨃揢揻搇摚㩋擀崕嘡龟㪗斆㪽旿晓㫲暒㬢朖㭂枤栀㭘桊梄㭲㭱㭻椉楃牜楤榟榅㮼槖㯝橥橴橱檂㯬檙㯲檫檵櫔櫶殁毁毪汵沪㳋洂洆洦涁㳯涤涱渕渘温溆𨧀溻滢滚齿滨滩漤漴㵆𣽁澁澾㵪㵵熷岙㶊瀬㶑灐灔灯灿炉𠌥䏁㗱𠻘"],
    ["8e40", "𣻗垾𦻓焾𥟠㙎榢𨯩孴穉𥣡𩓙穥穽𥦬窻窰竂竃燑𦒍䇊竚竝竪䇯咲𥰁笋筕笩𥌎𥳾箢筯莜𥮴𦱿篐萡箒箸𥴠㶭𥱥蒒篺簆簵𥳁籄粃𤢂粦晽𤕸糉糇糦籴糳糵糎"],
    ["8ea1", "繧䔝𦹄絝𦻖璍綉綫焵綳緒𤁗𦀩緤㴓緵𡟹緥𨍭縝𦄡𦅚繮纒䌫鑬縧罀罁罇礶𦋐駡羗𦍑羣𡙡𠁨䕜𣝦䔃𨌺翺𦒉者耈耝耨耯𪂇𦳃耻耼聡𢜔䦉𦘦𣷣𦛨朥肧𨩈脇脚墰𢛶汿𦒘𤾸擧𡒊舘𡡞橓𤩥𤪕䑺舩𠬍𦩒𣵾俹𡓽蓢荢𦬊𤦧𣔰𡝳𣷸芪椛芳䇛"],
    ["8f40", "蕋苐茚𠸖𡞴㛁𣅽𣕚艻苢茘𣺋𦶣𦬅𦮗𣗎㶿茝嗬莅䔋𦶥莬菁菓㑾𦻔橗蕚㒖𦹂𢻯葘𥯤葱㷓䓤檧葊𣲵祘蒨𦮖𦹷𦹃蓞萏莑䒠蒓蓤𥲑䉀𥳀䕃蔴嫲𦺙䔧蕳䔖枿蘖"],
    ["8fa1", "𨘥𨘻藁𧂈蘂𡖂𧃍䕫䕪蘨㙈𡢢号𧎚虾蝱𪃸蟮𢰧螱蟚蠏噡虬桖䘏衅衆𧗠𣶹𧗤衞袜䙛袴袵揁装睷𧜏覇覊覦覩覧覼𨨥觧𧤤𧪽誜瞓釾誐𧩙竩𧬺𣾏䜓𧬸煼謌謟𥐰𥕥謿譌譍誩𤩺讐讛誯𡛟䘕衏貛𧵔𧶏貫㜥𧵓賖𧶘𧶽贒贃𡤐賛灜贑𤳉㻐起"],
    ["9040", "趩𨀂𡀔𤦊㭼𨆼𧄌竧躭躶軃鋔輙輭𨍥𨐒辥錃𪊟𠩐辳䤪𨧞𨔽𣶻廸𣉢迹𪀔𨚼𨔁𢌥㦀𦻗逷𨔼𧪾遡𨕬𨘋邨𨜓郄𨛦邮都酧㫰醩釄粬𨤳𡺉鈎沟鉁鉢𥖹銹𨫆𣲛𨬌𥗛"],
    ["90a1", "𠴱錬鍫𨫡𨯫炏嫃𨫢𨫥䥥鉄𨯬𨰹𨯿鍳鑛躼閅閦鐦閠濶䊹𢙺𨛘𡉼𣸮䧟氜陻隖䅬隣𦻕懚隶磵𨫠隽双䦡𦲸𠉴𦐐𩂯𩃥𤫑𡤕𣌊霱虂霶䨏䔽䖅𤫩灵孁霛靜𩇕靗孊𩇫靟鐥僐𣂷𣂼鞉鞟鞱鞾韀韒韠𥑬韮琜𩐳響韵𩐝𧥺䫑頴頳顋顦㬎𧅵㵑𠘰𤅜"],
    ["9140", "𥜆飊颷飈飇䫿𦴧𡛓喰飡飦飬鍸餹𤨩䭲𩡗𩤅駵騌騻騐驘𥜥㛄𩂱𩯕髠髢𩬅髴䰎鬔鬭𨘀倴鬴𦦨㣃𣁽魐魀𩴾婅𡡣鮎𤉋鰂鯿鰌𩹨鷔𩾷𪆒𪆫𪃡𪄣𪇟鵾鶃𪄴鸎梈"],
    ["91a1", "鷄𢅛𪆓𪈠𡤻𪈳鴹𪂹𪊴麐麕麞麢䴴麪麯𤍤黁㭠㧥㴝伲㞾𨰫鼂鼈䮖鐤𦶢鼗鼖鼹嚟嚊齅馸𩂋韲葿齢齩竜龎爖䮾𤥵𤦻煷𤧸𤍈𤩑玞𨯚𡣺禟𨥾𨸶鍩鏳𨩄鋬鎁鏋𨥬𤒹爗㻫睲穃烐𤑳𤏸煾𡟯炣𡢾𣖙㻇𡢅𥐯𡟸㜢𡛻𡠹㛡𡝴𡣑𥽋㜣𡛀坛𤨥𡏾𡊨"],
    ["9240", "𡏆𡒶蔃𣚦蔃葕𤦔𧅥𣸱𥕜𣻻𧁒䓴𣛮𩦝𦼦柹㜳㰕㷧塬𡤢栐䁗𣜿𤃡𤂋𤄏𦰡哋嚞𦚱嚒𠿟𠮨𠸍鏆𨬓鎜仸儫㠙𤐶亼𠑥𠍿佋侊𥙑婨𠆫𠏋㦙𠌊𠐔㐵伩𠋀𨺳𠉵諚𠈌亘"],
    ["92a1", "働儍侢伃𤨎𣺊佂倮偬傁俌俥偘僼兙兛兝兞湶𣖕𣸹𣺿浲𡢄𣺉冨凃𠗠䓝𠒣𠒒𠒑赺𨪜𠜎剙劤𠡳勡鍮䙺熌𤎌𠰠𤦬𡃤槑𠸝瑹㻞璙琔瑖玘䮎𤪼𤂍叐㖄爏𤃉喴𠍅响𠯆圝鉝雴鍦埝垍坿㘾壋媙𨩆𡛺𡝯𡜐娬妸銏婾嫏娒𥥆𡧳𡡡𤊕㛵洅瑃娡𥺃"],
    ["9340", "媁𨯗𠐓鏠璌𡌃焅䥲鐈𨧻鎽㞠尞岞幞幈𡦖𡥼𣫮廍孏𡤃𡤄㜁𡢠㛝𡛾㛓脪𨩇𡶺𣑲𨦨弌弎𡤧𡞫婫𡜻孄蘔𧗽衠恾𢡠𢘫忛㺸𢖯𢖾𩂈𦽳懀𠀾𠁆𢘛憙憘恵𢲛𢴇𤛔𩅍"],
    ["93a1", "摱𤙥𢭪㨩𢬢𣑐𩣪𢹸挷𪑛撶挱揑𤧣𢵧护𢲡搻敫楲㯴𣂎𣊭𤦉𣊫唍𣋠𡣙𩐿曎𣊉𣆳㫠䆐𥖄𨬢𥖏𡛼𥕛𥐥磮𣄃𡠪𣈴㑤𣈏𣆂𤋉暎𦴤晫䮓昰𧡰𡷫晣𣋒𣋡昞𥡲㣑𣠺𣞼㮙𣞢𣏾瓐㮖枏𤘪梶栞㯄檾㡣𣟕𤒇樳橒櫉欅𡤒攑梘橌㯗橺歗𣿀𣲚鎠鋲𨯪𨫋"],
    ["9440", "銉𨀞𨧜鑧涥漋𤧬浧𣽿㶏渄𤀼娽渊塇洤硂焻𤌚𤉶烱牐犇犔𤞏𤜥兹𤪤𠗫瑺𣻸𣙟𤩊𤤗𥿡㼆㺱𤫟𨰣𣼵悧㻳瓌琼鎇琷䒟𦷪䕑疃㽣𤳙𤴆㽘畕癳𪗆㬙瑨𨫌𤦫𤦎㫻"],
    ["94a1", "㷍𤩎㻿𤧅𤣳釺圲鍂𨫣𡡤僟𥈡𥇧睸𣈲眎眏睻𤚗𣞁㩞𤣰琸璛㺿𤪺𤫇䃈𤪖𦆮錇𥖁砞碍碈磒珐祙𧝁𥛣䄎禛蒖禥樭𣻺稺秴䅮𡛦䄲鈵秱𠵌𤦌𠊙𣶺𡝮㖗啫㕰㚪𠇔𠰍竢婙𢛵𥪯𥪜娍𠉛磰娪𥯆竾䇹籝籭䈑𥮳𥺼𥺦糍𤧹𡞰粎籼粮檲緜縇緓罎𦉡"],
    ["9540", "𦅜𧭈綗𥺂䉪𦭵𠤖柖𠁎𣗏埄𦐒𦏸𤥢翝笧𠠬𥫩𥵃笌𥸎駦虅驣樜𣐿㧢𤧷𦖭騟𦖠蒀𧄧𦳑䓪脷䐂胆脉腂𦞴飃𦩂艢艥𦩑葓𦶧蘐𧈛媆䅿𡡀嬫𡢡嫤𡣘蚠蜨𣶏蠭𧐢娂"],
    ["95a1", "衮佅袇袿裦襥襍𥚃襔𧞅𧞄𨯵𨯙𨮜𨧹㺭蒣䛵䛏㟲訽訜𩑈彍鈫𤊄旔焩烄𡡅鵭貟賩𧷜妚矃姰䍮㛔踪躧𤰉輰轊䋴汘澻𢌡䢛潹溋𡟚鯩㚵𤤯邻邗啱䤆醻鐄𨩋䁢𨫼鐧𨰝𨰻蓥訫閙閧閗閖𨴴瑅㻂𤣿𤩂𤏪㻧𣈥随𨻧𨹦𨹥㻌𤧭𤩸𣿮琒瑫㻼靁𩂰"],
    ["9640", "桇䨝𩂓𥟟靝鍨𨦉𨰦𨬯𦎾銺嬑譩䤼珹𤈛鞛靱餸𠼦巁𨯅𤪲頟𩓚鋶𩗗釥䓀𨭐𤩧𨭤飜𨩅㼀鈪䤥萔餻饍𧬆㷽馛䭯馪驜𨭥𥣈檏騡嫾騯𩣱䮐𩥈馼䮽䮗鍽塲𡌂堢𤦸"],
    ["96a1", "𡓨硄𢜟𣶸棅㵽鑘㤧慐𢞁𢥫愇鱏鱓鱻鰵鰐魿鯏𩸭鮟𪇵𪃾鴡䲮𤄄鸘䲰鴌𪆴𪃭𪃳𩤯鶥蒽𦸒𦿟𦮂藼䔳𦶤𦺄𦷰萠藮𦸀𣟗𦁤秢𣖜𣙀䤭𤧞㵢鏛銾鍈𠊿碹鉷鑍俤㑀遤𥕝砽硔碶硋𡝗𣇉𤥁㚚佲濚濙瀞瀞吔𤆵垻壳垊鴖埗焴㒯𤆬燫𦱀𤾗嬨𡞵𨩉"],
    ["9740", "愌嫎娋䊼𤒈㜬䭻𨧼鎻鎸𡣖𠼝葲𦳀𡐓𤋺𢰦𤏁妔𣶷𦝁綨𦅛𦂤𤦹𤦋𨧺鋥珢㻩璴𨭣𡢟㻡𤪳櫘珳珻㻖𤨾𤪔𡟙𤩦𠎧𡐤𤧥瑈𤤖炥𤥶銄珦鍟𠓾錱𨫎𨨖鎆𨯧𥗕䤵𨪂煫"],
    ["97a1", "𤥃𠳿嚤𠘚𠯫𠲸唂秄𡟺緾𡛂𤩐𡡒䔮鐁㜊𨫀𤦭妰𡢿𡢃𧒄媡㛢𣵛㚰鉟婹𨪁𡡢鍴㳍𠪴䪖㦊僴㵩㵌𡎜煵䋻𨈘渏𩃤䓫浗𧹏灧沯㳖𣿭𣸭渂漌㵯𠏵畑㚼㓈䚀㻚䡱姄鉮䤾轁𨰜𦯀堒埈㛖𡑒烾𤍢𤩱𢿣𡊰𢎽梹楧𡎘𣓥𧯴𣛟𨪃𣟖𣏺𤲟樚𣚭𦲷萾䓟䓎"],
    ["9840", "𦴦𦵑𦲂𦿞漗𧄉茽𡜺菭𦲀𧁓𡟛妉媂𡞳婡婱𡤅𤇼㜭姯𡜼㛇熎鎐暚𤊥婮娫𤊓樫𣻹𧜶𤑛𤋊焝𤉙𨧡侰𦴨峂𤓎𧹍𤎽樌𤉖𡌄炦焳𤏩㶥泟勇𤩏繥姫崯㷳彜𤩝𡟟綤萦"],
    ["98a1", "咅𣫺𣌀𠈔坾𠣕𠘙㿥𡾞𪊶瀃𩅛嵰玏糓𨩙𩐠俈翧狍猐𧫴猸猹𥛶獁獈㺩𧬘遬燵𤣲珡臶㻊県㻑沢国琙琞琟㻢㻰㻴㻺瓓㼎㽓畂畭畲疍㽼痈痜㿀癍㿗癴㿜発𤽜熈嘣覀塩䀝睃䀹条䁅㗛瞘䁪䁯属瞾矋売砘点砜䂨砹硇硑硦葈𥔵礳栃礲䄃"],
    ["9940", "䄉禑禙辻稆込䅧窑䆲窼艹䇄竏竛䇏両筢筬筻簒簛䉠䉺类粜䊌粸䊔糭输烀𠳏総緔緐緽羮羴犟䎗耠耥笹耮耱联㷌垴炠肷胩䏭脌猪脎脒畠脔䐁㬹腖腙腚"],
    ["99a1", "䐓堺腼膄䐥膓䐭膥埯臁臤艔䒏芦艶苊苘苿䒰荗险榊萅烵葤惣蒈䔄蒾蓡蓸蔐蔸蕒䔻蕯蕰藠䕷虲蚒蚲蛯际螋䘆䘗袮裿褤襇覑𧥧訩訸誔誴豑賔賲贜䞘塟跃䟭仮踺嗘坔蹱嗵躰䠷軎転軤軭軲辷迁迊迌逳駄䢭飠鈓䤞鈨鉘鉫銱銮銿"],
    ["9a40", "鋣鋫鋳鋴鋽鍃鎄鎭䥅䥑麿鐗匁鐝鐭鐾䥪鑔鑹锭関䦧间阳䧥枠䨤靀䨵鞲韂噔䫤惨颹䬙飱塄餎餙冴餜餷饂饝饢䭰駅䮝騼鬏窃魩鮁鯝鯱鯴䱭鰠㝯𡯂鵉鰺"],
    ["9aa1", "黾噐鶓鶽鷀鷼银辶鹻麬麱麽黆铜黢黱黸竈齄𠂔𠊷𠎠椚铃妬𠓗塀铁㞹𠗕𠘕𠙶𡚺块煳𠫂𠫍𠮿呪吆𠯋咞𠯻𠰻𠱓𠱥𠱼惧𠲍噺𠲵𠳝𠳭𠵯𠶲𠷈楕鰯螥𠸄𠸎𠻗𠾐𠼭𠹳尠𠾼帋𡁜𡁏𡁶朞𡁻𡂈𡂖㙇𡂿𡃓𡄯𡄻卤蒭𡋣𡍵𡌶讁𡕷𡘙𡟃𡟇乸炻𡠭𡥪"],
    ["9b40", "𡨭𡩅𡰪𡱰𡲬𡻈拃𡻕𡼕熘桕𢁅槩㛈𢉼𢏗𢏺𢜪𢡱𢥏苽𢥧𢦓𢫕覥𢫨辠𢬎鞸𢬿顇骽𢱌"],
    ["9b62", "𢲈𢲷𥯨𢴈𢴒𢶷𢶕𢹂𢽴𢿌𣀳𣁦𣌟𣏞徱晈暿𧩹𣕧𣗳爁𤦺矗𣘚𣜖纇𠍆墵朎"],
    ["9ba1", "椘𣪧𧙗𥿢𣸑𣺹𧗾𢂚䣐䪸𤄙𨪚𤋮𤌍𤀻𤌴𤎖𤩅𠗊凒𠘑妟𡺨㮾𣳿𤐄𤓖垈𤙴㦛𤜯𨗨𩧉㝢𢇃譞𨭎駖𤠒𤣻𤨕爉𤫀𠱸奥𤺥𤾆𠝹軚𥀬劏圿煱𥊙𥐙𣽊𤪧喼𥑆𥑮𦭒釔㑳𥔿𧘲𥕞䜘𥕢𥕦𥟇𤤿𥡝偦㓻𣏌惞𥤃䝼𨥈𥪮𥮉𥰆𡶐垡煑澶𦄂𧰒遖𦆲𤾚譢𦐂𦑊"],
    ["9c40", "嵛𦯷輶𦒄𡤜諪𤧶𦒈𣿯𦔒䯀𦖿𦚵𢜛鑥𥟡憕娧晉侻嚹𤔡𦛼乪𤤴陖涏𦲽㘘襷𦞙𦡮𦐑𦡞營𦣇筂𩃀𠨑𦤦鄄𦤹穅鷰𦧺騦𦨭㙟𦑩𠀡禃𦨴𦭛崬𣔙菏𦮝䛐𦲤画补𦶮墶"],
    ["9ca1", "㜜𢖍𧁋𧇍㱔𧊀𧊅銁𢅺𧊋錰𧋦𤧐氹钟𧑐𠻸蠧裵𢤦𨑳𡞱溸𤨪𡠠㦤㚹尐秣䔿暶𩲭𩢤襃𧟌𧡘囖䃟𡘊㦡𣜯𨃨𡏅熭荦𧧝𩆨婧䲷𧂯𨦫𧧽𧨊𧬋𧵦𤅺筃祾𨀉澵𪋟樃𨌘厢𦸇鎿栶靝𨅯𨀣𦦵𡏭𣈯𨁈嶅𨰰𨂃圕頣𨥉嶫𤦈斾槕叒𤪥𣾁㰑朶𨂐𨃴𨄮𡾡𨅏"],
    ["9d40", "𨆉𨆯𨈚𨌆𨌯𨎊㗊𨑨𨚪䣺揦𨥖砈鉕𨦸䏲𨧧䏟𨧨𨭆𨯔姸𨰉輋𨿅𩃬筑𩄐𩄼㷷𩅞𤫊运犏嚋𩓧𩗩𩖰𩖸𩜲𩣑𩥉𩥪𩧃𩨨𩬎𩵚𩶛纟𩻸𩼣䲤镇𪊓熢𪋿䶑递𪗋䶜𠲜达嗁"],
    ["9da1", "辺𢒰边𤪓䔉繿潖檱仪㓤𨬬𧢝㜺躀𡟵𨀤𨭬𨮙𧨾𦚯㷫𧙕𣲷𥘵𥥖亚𥺁𦉘嚿𠹭踎孭𣺈𤲞揞拐𡟶𡡻攰嘭𥱊吚𥌑㷆𩶘䱽嘢嘞罉𥻘奵𣵀蝰东𠿪𠵉𣚺脗鵞贘瘻鱅癎瞹鍅吲腈苷嘥脲萘肽嗪祢噃吖𠺝㗎嘅嗱曱𨋢㘭甴嗰喺咗啲𠱁𠲖廐𥅈𠹶𢱢"],
    ["9e40", "𠺢麫絚嗞𡁵抝靭咔賍燶酶揼掹揾啩𢭃鱲𢺳冚㓟𠶧冧呍唞唓癦踭𦢊疱肶蠄螆裇膶萜𡃁䓬猄𤜆宐茋𦢓噻𢛴𧴯𤆣𧵳𦻐𧊶酰𡇙鈈𣳼𪚩𠺬𠻹牦𡲢䝎𤿂𧿹𠿫䃺"],
    ["9ea1", "鱝攟𢶠䣳𤟠𩵼𠿬𠸊恢𧖣𠿭"],
    ["9ead", "𦁈𡆇熣纎鵐业丄㕷嬍沲卧㚬㧜卽㚥𤘘墚𤭮舭呋垪𥪕𠥹"],
    ["9ec5", "㩒𢑥獴𩺬䴉鯭𣳾𩼰䱛𤾩𩖞𩿞葜𣶶𧊲𦞳𣜠挮紥𣻷𣸬㨪逈勌㹴㙺䗩𠒎癀嫰𠺶硺𧼮墧䂿噼鮋嵴癔𪐴麅䳡痹㟻愙𣃚𤏲"],
    ["9ef5", "噝𡊩垧𤥣𩸆刴𧂮㖭汊鵼"],
    ["9f40", "籖鬹埞𡝬屓擓𩓐𦌵𧅤蚭𠴨𦴢𤫢𠵱"],
    ["9f4f", "凾𡼏嶎霃𡷑麁遌笟鬂峑箣扨挵髿篏鬪籾鬮籂粆鰕篼鬉鼗鰛𤤾齚啳寃俽麘俲剠㸆勑坧偖妷帒韈鶫轜呩鞴饀鞺匬愰"],
    ["9fa1", "椬叚鰊鴂䰻陁榀傦畆𡝭駚剳"],
    ["9fae", "酙隁酜"],
    ["9fb2", "酑𨺗捿𦴣櫊嘑醎畺抅𠏼獏籰𥰡𣳽"],
    ["9fc1", "𤤙盖鮝个𠳔莾衂"],
    ["9fc9", "届槀僭坺刟巵从氱𠇲伹咜哚劚趂㗾弌㗳"],
    ["9fdb", "歒酼龥鮗頮颴骺麨麄煺笔"],
    ["9fe7", "毺蠘罸"],
    ["9feb", "嘠𪙊蹷齓"],
    ["9ff0", "跔蹏鸜踁抂𨍽踨蹵竓𤩷稾磘泪詧瘇"],
    ["a040", "𨩚鼦泎蟖痃𪊲硓咢贌狢獱謭猂瓱賫𤪻蘯徺袠䒷"],
    ["a055", "𡠻𦸅"],
    ["a058", "詾𢔛"],
    ["a05b", "惽癧髗鵄鍮鮏蟵"],
    ["a063", "蠏賷猬霡鮰㗖犲䰇籑饊𦅙慙䰄麖慽"],
    ["a073", "坟慯抦戹拎㩜懢厪𣏵捤栂㗒"],
    ["a0a1", "嵗𨯂迚𨸹"],
    ["a0a6", "僙𡵆礆匲阸𠼻䁥"],
    ["a0ae", "矾"],
    ["a0b0", "糂𥼚糚稭聦聣絍甅瓲覔舚朌聢𧒆聛瓰脃眤覉𦟌畓𦻑螩蟎臈螌詉貭譃眫瓸蓚㘵榲趦"],
    ["a0d4", "覩瑨涹蟁𤀑瓧㷛煶悤憜㳑煢恷"],
    ["a0e2", "罱𨬭牐惩䭾删㰘𣳇𥻗𧙖𥔱𡥄𡋾𩤃𦷜𧂭峁𦆭𨨏𣙷𠃮𦡆𤼎䕢嬟𦍌齐麦𦉫"],
    ["a3c0", "␀", 31, "␡"],
    ["c6a1", "①", 9, "⑴", 9, "ⅰ", 9, "丶丿亅亠冂冖冫勹匸卩厶夊宀巛⼳广廴彐彡攴无疒癶辵隶¨ˆヽヾゝゞ〃仝々〆〇ー［］✽ぁ", 23],
    ["c740", "す", 58, "ァアィイ"],
    ["c7a1", "ゥ", 81, "А", 5, "ЁЖ", 4],
    ["c840", "Л", 26, "ёж", 25, "⇧↸↹㇏𠃌乚𠂊刂䒑"],
    ["c8a1", "龰冈龱𧘇"],
    ["c8cd", "￢￤＇＂㈱№℡゛゜⺀⺄⺆⺇⺈⺊⺌⺍⺕⺜⺝⺥⺧⺪⺬⺮⺶⺼⺾⻆⻊⻌⻍⻏⻖⻗⻞⻣"],
    ["c8f5", "ʃɐɛɔɵœøŋʊɪ"],
    ["f9fe", "￭"],
    ["fa40", "𠕇鋛𠗟𣿅蕌䊵珯况㙉𤥂𨧤鍄𡧛苮𣳈砼杄拟𤤳𨦪𠊠𦮳𡌅侫𢓭倈𦴩𧪄𣘀𤪱𢔓倩𠍾徤𠎀𠍇滛𠐟偽儁㑺儎顬㝃萖𤦤𠒇兠𣎴兪𠯿𢃼𠋥𢔰𠖎𣈳𡦃宂蝽𠖳𣲙冲冸"],
    ["faa1", "鴴凉减凑㳜凓𤪦决凢卂凭菍椾𣜭彻刋刦刼劵剗劔効勅簕蕂勠蘍𦬓包𨫞啉滙𣾀𠥔𣿬匳卄𠯢泋𡜦栛珕恊㺪㣌𡛨燝䒢卭却𨚫卾卿𡖖𡘓矦厓𨪛厠厫厮玧𥝲㽙玜叁叅汉义埾叙㪫𠮏叠𣿫𢶣叶𠱷吓灹唫晗浛呭𦭓𠵴啝咏咤䞦𡜍𠻝㶴𠵍"],
    ["fb40", "𨦼𢚘啇䳭启琗喆喩嘅𡣗𤀺䕒𤐵暳𡂴嘷曍𣊊暤暭噍噏磱囱鞇叾圀囯园𨭦㘣𡉏坆𤆥汮炋坂㚱𦱾埦𡐖堃𡑔𤍣堦𤯵塜墪㕡壠壜𡈼壻寿坃𪅐𤉸鏓㖡够梦㛃湙"],
    ["fba1", "𡘾娤啓𡚒蔅姉𠵎𦲁𦴪𡟜姙𡟻𡞲𦶦浱𡠨𡛕姹𦹅媫婣㛦𤦩婷㜈媖瑥嫓𦾡𢕔㶅𡤑㜲𡚸広勐孶斈孼𧨎䀄䡝𠈄寕慠𡨴𥧌𠖥寳宝䴐尅𡭄尓珎尔𡲥𦬨屉䣝岅峩峯嶋𡷹𡸷崐崘嵆𡺤岺巗苼㠭𤤁𢁉𢅳芇㠶㯂帮檊幵幺𤒼𠳓厦亷廐厨𡝱帉廴𨒂"],
    ["fc40", "廹廻㢠廼栾鐛弍𠇁弢㫞䢮𡌺强𦢈𢏐彘𢑱彣鞽𦹮彲鍀𨨶徧嶶㵟𥉐𡽪𧃸𢙨釖𠊞𨨩怱暅𡡷㥣㷇㘹垐𢞴祱㹀悞悤悳𤦂𤦏𧩓璤僡媠慤萤慂慈𦻒憁凴𠙖憇宪𣾷"],
    ["fca1", "𢡟懓𨮝𩥝懐㤲𢦀𢣁怣慜攞掋𠄘担𡝰拕𢸍捬𤧟㨗搸揸𡎎𡟼撐澊𢸶頔𤂌𥜝擡擥鑻㩦携㩗敍漖𤨨𤨣斅敭敟𣁾斵𤥀䬷旑䃘𡠩无旣忟𣐀昘𣇷𣇸晄𣆤𣆥晋𠹵晧𥇦晳晴𡸽𣈱𨗴𣇈𥌓矅𢣷馤朂𤎜𤨡㬫槺𣟂杞杧杢𤇍𩃭柗䓩栢湐鈼栁𣏦𦶠桝"],
    ["fd40", "𣑯槡樋𨫟楳棃𣗍椁椀㴲㨁𣘼㮀枬楡𨩊䋼椶榘㮡𠏉荣傐槹𣙙𢄪橅𣜃檝㯳枱櫈𩆜㰍欝𠤣惞欵歴𢟍溵𣫛𠎵𡥘㝀吡𣭚毡𣻼毜氷𢒋𤣱𦭑汚舦汹𣶼䓅𣶽𤆤𤤌𤤀"],
    ["fda1", "𣳉㛥㳫𠴲鮃𣇹𢒑羏样𦴥𦶡𦷫涖浜湼漄𤥿𤂅𦹲蔳𦽴凇沜渝萮𨬡港𣸯瑓𣾂秌湏媑𣁋濸㜍澝𣸰滺𡒗𤀽䕕鏰潄潜㵎潴𩅰㴻澟𤅄濓𤂑𤅕𤀹𣿰𣾴𤄿凟𤅖𤅗𤅀𦇝灋灾炧炁烌烕烖烟䄄㷨熴熖𤉷焫煅媈煊煮岜𤍥煏鍢𤋁焬𤑚𤨧𤨢熺𨯨炽爎"],
    ["fe40", "鑂爕夑鑃爤鍁𥘅爮牀𤥴梽牕牗㹕𣁄栍漽犂猪猫𤠣𨠫䣭𨠄猨献珏玪𠰺𦨮珉瑉𤇢𡛧𤨤昣㛅𤦷𤦍𤧻珷琕椃𤨦琹𠗃㻗瑜𢢭瑠𨺲瑇珤瑶莹瑬㜰瑴鏱樬璂䥓𤪌"],
    ["fea1", "𤅟𤩹𨮏孆𨰃𡢞瓈𡦈甎瓩甞𨻙𡩋寗𨺬鎅畍畊畧畮𤾂㼄𤴓疎瑝疞疴瘂瘬癑癏癯癶𦏵皐臯㟸𦤑𦤎皡皥皷盌𦾟葢𥂝𥅽𡸜眞眦着撯𥈠睘𣊬瞯𨥤𨥨𡛁矴砉𡍶𤨒棊碯磇磓隥礮𥗠磗礴碱𧘌辸袄𨬫𦂃𢘜禆褀椂禀𥡗禝𧬹礼禩渪𧄦㺨秆𩄍秔"]
  ];
});

// node_modules/iconv-lite/encodings/dbcs-data.js
var require_dbcs_data2 = __commonJS((exports, module) => {
  module.exports = {
    shiftjis: {
      type: "_dbcs",
      table: function() {
        return require_shiftjis2();
      },
      encodeAdd: { "¥": 92, "‾": 126 },
      encodeSkipVals: [{ from: 60736, to: 63808 }]
    },
    csshiftjis: "shiftjis",
    mskanji: "shiftjis",
    sjis: "shiftjis",
    windows31j: "shiftjis",
    ms31j: "shiftjis",
    xsjis: "shiftjis",
    windows932: "shiftjis",
    ms932: "shiftjis",
    "932": "shiftjis",
    cp932: "shiftjis",
    eucjp: {
      type: "_dbcs",
      table: function() {
        return require_eucjp2();
      },
      encodeAdd: { "¥": 92, "‾": 126 }
    },
    gb2312: "cp936",
    gb231280: "cp936",
    gb23121980: "cp936",
    csgb2312: "cp936",
    csiso58gb231280: "cp936",
    euccn: "cp936",
    windows936: "cp936",
    ms936: "cp936",
    "936": "cp936",
    cp936: {
      type: "_dbcs",
      table: function() {
        return require_cp9362();
      }
    },
    gbk: {
      type: "_dbcs",
      table: function() {
        return require_cp9362().concat(require_gbk_added2());
      }
    },
    xgbk: "gbk",
    isoir58: "gbk",
    gb18030: {
      type: "_dbcs",
      table: function() {
        return require_cp9362().concat(require_gbk_added2());
      },
      gb18030: function() {
        return require_gb18030_ranges2();
      },
      encodeSkipVals: [128],
      encodeAdd: { "€": 41699 }
    },
    chinese: "gb18030",
    windows949: "cp949",
    ms949: "cp949",
    "949": "cp949",
    cp949: {
      type: "_dbcs",
      table: function() {
        return require_cp9492();
      }
    },
    cseuckr: "cp949",
    csksc56011987: "cp949",
    euckr: "cp949",
    isoir149: "cp949",
    korean: "cp949",
    ksc56011987: "cp949",
    ksc56011989: "cp949",
    ksc5601: "cp949",
    windows950: "cp950",
    ms950: "cp950",
    "950": "cp950",
    cp950: {
      type: "_dbcs",
      table: function() {
        return require_cp9502();
      }
    },
    big5: "big5hkscs",
    big5hkscs: {
      type: "_dbcs",
      table: function() {
        return require_cp9502().concat(require_big5_added2());
      },
      encodeSkipVals: [41676]
    },
    cnbig5: "big5hkscs",
    csbig5: "big5hkscs",
    xxbig5: "big5hkscs"
  };
});

// node_modules/iconv-lite/encodings/index.js
var require_encodings2 = __commonJS((exports, module) => {
  var modules = [
    require_internal2(),
    require_utf162(),
    require_utf72(),
    require_sbcs_codec2(),
    require_sbcs_data2(),
    require_sbcs_data_generated2(),
    require_dbcs_codec2(),
    require_dbcs_data2()
  ];
  for (i = 0;i < modules.length; i++) {
    module = modules[i];
    for (enc in module)
      if (Object.prototype.hasOwnProperty.call(module, enc))
        exports[enc] = module[enc];
  }
  var module;
  var enc;
  var i;
});

// node_modules/iconv-lite/lib/streams.js
var require_streams2 = __commonJS((exports, module) => {
  var Buffer2 = __require("buffer").Buffer;
  var Transform = __require("stream").Transform;
  module.exports = function(iconv) {
    iconv.encodeStream = function encodeStream(encoding, options) {
      return new IconvLiteEncoderStream(iconv.getEncoder(encoding, options), options);
    };
    iconv.decodeStream = function decodeStream(encoding, options) {
      return new IconvLiteDecoderStream(iconv.getDecoder(encoding, options), options);
    };
    iconv.supportsStreams = true;
    iconv.IconvLiteEncoderStream = IconvLiteEncoderStream;
    iconv.IconvLiteDecoderStream = IconvLiteDecoderStream;
    iconv._collect = IconvLiteDecoderStream.prototype.collect;
  };
  function IconvLiteEncoderStream(conv, options) {
    this.conv = conv;
    options = options || {};
    options.decodeStrings = false;
    Transform.call(this, options);
  }
  IconvLiteEncoderStream.prototype = Object.create(Transform.prototype, {
    constructor: { value: IconvLiteEncoderStream }
  });
  IconvLiteEncoderStream.prototype._transform = function(chunk, encoding, done) {
    if (typeof chunk != "string")
      return done(new Error("Iconv encoding stream needs strings as its input."));
    try {
      var res = this.conv.write(chunk);
      if (res && res.length)
        this.push(res);
      done();
    } catch (e) {
      done(e);
    }
  };
  IconvLiteEncoderStream.prototype._flush = function(done) {
    try {
      var res = this.conv.end();
      if (res && res.length)
        this.push(res);
      done();
    } catch (e) {
      done(e);
    }
  };
  IconvLiteEncoderStream.prototype.collect = function(cb) {
    var chunks = [];
    this.on("error", cb);
    this.on("data", function(chunk) {
      chunks.push(chunk);
    });
    this.on("end", function() {
      cb(null, Buffer2.concat(chunks));
    });
    return this;
  };
  function IconvLiteDecoderStream(conv, options) {
    this.conv = conv;
    options = options || {};
    options.encoding = this.encoding = "utf8";
    Transform.call(this, options);
  }
  IconvLiteDecoderStream.prototype = Object.create(Transform.prototype, {
    constructor: { value: IconvLiteDecoderStream }
  });
  IconvLiteDecoderStream.prototype._transform = function(chunk, encoding, done) {
    if (!Buffer2.isBuffer(chunk))
      return done(new Error("Iconv decoding stream needs buffers as its input."));
    try {
      var res = this.conv.write(chunk);
      if (res && res.length)
        this.push(res, this.encoding);
      done();
    } catch (e) {
      done(e);
    }
  };
  IconvLiteDecoderStream.prototype._flush = function(done) {
    try {
      var res = this.conv.end();
      if (res && res.length)
        this.push(res, this.encoding);
      done();
    } catch (e) {
      done(e);
    }
  };
  IconvLiteDecoderStream.prototype.collect = function(cb) {
    var res = "";
    this.on("error", cb);
    this.on("data", function(chunk) {
      res += chunk;
    });
    this.on("end", function() {
      cb(null, res);
    });
    return this;
  };
});

// node_modules/iconv-lite/lib/extend-node.js
var require_extend_node = __commonJS((exports, module) => {
  var Buffer2 = __require("buffer").Buffer;
  module.exports = function(iconv) {
    var original = undefined;
    iconv.supportsNodeEncodingsExtension = !(Buffer2.from || new Buffer2(0) instanceof Uint8Array);
    iconv.extendNodeEncodings = function extendNodeEncodings() {
      if (original)
        return;
      original = {};
      if (!iconv.supportsNodeEncodingsExtension) {
        console.error("ACTION NEEDED: require('iconv-lite').extendNodeEncodings() is not supported in your version of Node");
        console.error("See more info at https://github.com/ashtuchkin/iconv-lite/wiki/Node-v4-compatibility");
        return;
      }
      var nodeNativeEncodings = {
        hex: true,
        utf8: true,
        "utf-8": true,
        ascii: true,
        binary: true,
        base64: true,
        ucs2: true,
        "ucs-2": true,
        utf16le: true,
        "utf-16le": true
      };
      Buffer2.isNativeEncoding = function(enc) {
        return enc && nodeNativeEncodings[enc.toLowerCase()];
      };
      var SlowBuffer = __require("buffer").SlowBuffer;
      original.SlowBufferToString = SlowBuffer.prototype.toString;
      SlowBuffer.prototype.toString = function(encoding, start, end) {
        encoding = String(encoding || "utf8").toLowerCase();
        if (Buffer2.isNativeEncoding(encoding))
          return original.SlowBufferToString.call(this, encoding, start, end);
        if (typeof start == "undefined")
          start = 0;
        if (typeof end == "undefined")
          end = this.length;
        return iconv.decode(this.slice(start, end), encoding);
      };
      original.SlowBufferWrite = SlowBuffer.prototype.write;
      SlowBuffer.prototype.write = function(string, offset, length, encoding) {
        if (isFinite(offset)) {
          if (!isFinite(length)) {
            encoding = length;
            length = undefined;
          }
        } else {
          var swap = encoding;
          encoding = offset;
          offset = length;
          length = swap;
        }
        offset = +offset || 0;
        var remaining = this.length - offset;
        if (!length) {
          length = remaining;
        } else {
          length = +length;
          if (length > remaining) {
            length = remaining;
          }
        }
        encoding = String(encoding || "utf8").toLowerCase();
        if (Buffer2.isNativeEncoding(encoding))
          return original.SlowBufferWrite.call(this, string, offset, length, encoding);
        if (string.length > 0 && (length < 0 || offset < 0))
          throw new RangeError("attempt to write beyond buffer bounds");
        var buf = iconv.encode(string, encoding);
        if (buf.length < length)
          length = buf.length;
        buf.copy(this, offset, 0, length);
        return length;
      };
      original.BufferIsEncoding = Buffer2.isEncoding;
      Buffer2.isEncoding = function(encoding) {
        return Buffer2.isNativeEncoding(encoding) || iconv.encodingExists(encoding);
      };
      original.BufferByteLength = Buffer2.byteLength;
      Buffer2.byteLength = SlowBuffer.byteLength = function(str, encoding) {
        encoding = String(encoding || "utf8").toLowerCase();
        if (Buffer2.isNativeEncoding(encoding))
          return original.BufferByteLength.call(this, str, encoding);
        return iconv.encode(str, encoding).length;
      };
      original.BufferToString = Buffer2.prototype.toString;
      Buffer2.prototype.toString = function(encoding, start, end) {
        encoding = String(encoding || "utf8").toLowerCase();
        if (Buffer2.isNativeEncoding(encoding))
          return original.BufferToString.call(this, encoding, start, end);
        if (typeof start == "undefined")
          start = 0;
        if (typeof end == "undefined")
          end = this.length;
        return iconv.decode(this.slice(start, end), encoding);
      };
      original.BufferWrite = Buffer2.prototype.write;
      Buffer2.prototype.write = function(string, offset, length, encoding) {
        var _offset = offset, _length = length, _encoding = encoding;
        if (isFinite(offset)) {
          if (!isFinite(length)) {
            encoding = length;
            length = undefined;
          }
        } else {
          var swap = encoding;
          encoding = offset;
          offset = length;
          length = swap;
        }
        encoding = String(encoding || "utf8").toLowerCase();
        if (Buffer2.isNativeEncoding(encoding))
          return original.BufferWrite.call(this, string, _offset, _length, _encoding);
        offset = +offset || 0;
        var remaining = this.length - offset;
        if (!length) {
          length = remaining;
        } else {
          length = +length;
          if (length > remaining) {
            length = remaining;
          }
        }
        if (string.length > 0 && (length < 0 || offset < 0))
          throw new RangeError("attempt to write beyond buffer bounds");
        var buf = iconv.encode(string, encoding);
        if (buf.length < length)
          length = buf.length;
        buf.copy(this, offset, 0, length);
        return length;
      };
      if (iconv.supportsStreams) {
        var Readable = __require("stream").Readable;
        original.ReadableSetEncoding = Readable.prototype.setEncoding;
        Readable.prototype.setEncoding = function setEncoding(enc, options) {
          this._readableState.decoder = iconv.getDecoder(enc, options);
          this._readableState.encoding = enc;
        };
        Readable.prototype.collect = iconv._collect;
      }
    };
    iconv.undoExtendNodeEncodings = function undoExtendNodeEncodings() {
      if (!iconv.supportsNodeEncodingsExtension)
        return;
      if (!original)
        throw new Error("require('iconv-lite').undoExtendNodeEncodings(): Nothing to undo; extendNodeEncodings() is not called.");
      delete Buffer2.isNativeEncoding;
      var SlowBuffer = __require("buffer").SlowBuffer;
      SlowBuffer.prototype.toString = original.SlowBufferToString;
      SlowBuffer.prototype.write = original.SlowBufferWrite;
      Buffer2.isEncoding = original.BufferIsEncoding;
      Buffer2.byteLength = original.BufferByteLength;
      Buffer2.prototype.toString = original.BufferToString;
      Buffer2.prototype.write = original.BufferWrite;
      if (iconv.supportsStreams) {
        var Readable = __require("stream").Readable;
        Readable.prototype.setEncoding = original.ReadableSetEncoding;
        delete Readable.prototype.collect;
      }
      original = undefined;
    };
  };
});

// node_modules/iconv-lite/lib/index.js
var require_lib2 = __commonJS((exports, module) => {
  var Buffer2 = require_safer().Buffer;
  var bomHandling = require_bom_handling2();
  var iconv = exports;
  iconv.encodings = null;
  iconv.defaultCharUnicode = "�";
  iconv.defaultCharSingleByte = "?";
  iconv.encode = function encode(str, encoding, options) {
    str = "" + (str || "");
    var encoder = iconv.getEncoder(encoding, options);
    var res = encoder.write(str);
    var trail = encoder.end();
    return trail && trail.length > 0 ? Buffer2.concat([res, trail]) : res;
  };
  iconv.decode = function decode(buf, encoding, options) {
    if (typeof buf === "string") {
      if (!iconv.skipDecodeWarning) {
        console.error("Iconv-lite warning: decode()-ing strings is deprecated. Refer to https://github.com/ashtuchkin/iconv-lite/wiki/Use-Buffers-when-decoding");
        iconv.skipDecodeWarning = true;
      }
      buf = Buffer2.from("" + (buf || ""), "binary");
    }
    var decoder = iconv.getDecoder(encoding, options);
    var res = decoder.write(buf);
    var trail = decoder.end();
    return trail ? res + trail : res;
  };
  iconv.encodingExists = function encodingExists(enc) {
    try {
      iconv.getCodec(enc);
      return true;
    } catch (e) {
      return false;
    }
  };
  iconv.toEncoding = iconv.encode;
  iconv.fromEncoding = iconv.decode;
  iconv._codecDataCache = {};
  iconv.getCodec = function getCodec(encoding) {
    if (!iconv.encodings)
      iconv.encodings = require_encodings2();
    var enc = iconv._canonicalizeEncoding(encoding);
    var codecOptions = {};
    while (true) {
      var codec = iconv._codecDataCache[enc];
      if (codec)
        return codec;
      var codecDef = iconv.encodings[enc];
      switch (typeof codecDef) {
        case "string":
          enc = codecDef;
          break;
        case "object":
          for (var key in codecDef)
            codecOptions[key] = codecDef[key];
          if (!codecOptions.encodingName)
            codecOptions.encodingName = enc;
          enc = codecDef.type;
          break;
        case "function":
          if (!codecOptions.encodingName)
            codecOptions.encodingName = enc;
          codec = new codecDef(codecOptions, iconv);
          iconv._codecDataCache[codecOptions.encodingName] = codec;
          return codec;
        default:
          throw new Error("Encoding not recognized: '" + encoding + "' (searched as: '" + enc + "')");
      }
    }
  };
  iconv._canonicalizeEncoding = function(encoding) {
    return ("" + encoding).toLowerCase().replace(/:\d{4}$|[^0-9a-z]/g, "");
  };
  iconv.getEncoder = function getEncoder(encoding, options) {
    var codec = iconv.getCodec(encoding), encoder = new codec.encoder(options, codec);
    if (codec.bomAware && options && options.addBOM)
      encoder = new bomHandling.PrependBOM(encoder, options);
    return encoder;
  };
  iconv.getDecoder = function getDecoder(encoding, options) {
    var codec = iconv.getCodec(encoding), decoder = new codec.decoder(options, codec);
    if (codec.bomAware && !(options && options.stripBOM === false))
      decoder = new bomHandling.StripBOM(decoder, options);
    return decoder;
  };
  var nodeVer = typeof process !== "undefined" && process.versions && process.versions.node;
  if (nodeVer) {
    nodeVerArr = nodeVer.split(".").map(Number);
    if (nodeVerArr[0] > 0 || nodeVerArr[1] >= 10) {
      require_streams2()(iconv);
    }
    require_extend_node()(iconv);
  }
  var nodeVerArr;
  if (false) {}
});

// node_modules/body-parser/node_modules/raw-body/index.js
var require_raw_body2 = __commonJS((exports, module) => {
  /*!
   * raw-body
   * Copyright(c) 2013-2014 Jonathan Ong
   * Copyright(c) 2014-2022 Douglas Christopher Wilson
   * MIT Licensed
   */
  var asyncHooks = tryRequireAsyncHooks();
  var bytes = require_bytes();
  var createError = require_http_errors();
  var iconv = require_lib2();
  var unpipe = require_unpipe();
  module.exports = getRawBody2;
  var ICONV_ENCODING_MESSAGE_REGEXP = /^Encoding not recognized: /;
  function getDecoder(encoding) {
    if (!encoding)
      return null;
    try {
      return iconv.getDecoder(encoding);
    } catch (e) {
      if (!ICONV_ENCODING_MESSAGE_REGEXP.test(e.message))
        throw e;
      throw createError(415, "specified encoding unsupported", {
        encoding,
        type: "encoding.unsupported"
      });
    }
  }
  function getRawBody2(stream, options, callback) {
    var done = callback;
    var opts = options || {};
    if (stream === undefined) {
      throw new TypeError("argument stream is required");
    } else if (typeof stream !== "object" || stream === null || typeof stream.on !== "function") {
      throw new TypeError("argument stream must be a stream");
    }
    if (options === true || typeof options === "string") {
      opts = {
        encoding: options
      };
    }
    if (typeof options === "function") {
      done = options;
      opts = {};
    }
    if (done !== undefined && typeof done !== "function") {
      throw new TypeError("argument callback must be a function");
    }
    if (!done && !global.Promise) {
      throw new TypeError("argument callback is required");
    }
    var encoding = opts.encoding !== true ? opts.encoding : "utf-8";
    var limit = bytes.parse(opts.limit);
    var length = opts.length != null && !isNaN(opts.length) ? parseInt(opts.length, 10) : null;
    if (done) {
      return readStream(stream, encoding, length, limit, wrap(done));
    }
    return new Promise(function executor(resolve, reject) {
      readStream(stream, encoding, length, limit, function onRead(err, buf) {
        if (err)
          return reject(err);
        resolve(buf);
      });
    });
  }
  function halt(stream) {
    unpipe(stream);
    if (typeof stream.pause === "function") {
      stream.pause();
    }
  }
  function readStream(stream, encoding, length, limit, callback) {
    var complete = false;
    var sync = true;
    if (limit !== null && length !== null && length > limit) {
      return done(createError(413, "request entity too large", {
        expected: length,
        length,
        limit,
        type: "entity.too.large"
      }));
    }
    var state = stream._readableState;
    if (stream._decoder || state && (state.encoding || state.decoder)) {
      return done(createError(500, "stream encoding should not be set", {
        type: "stream.encoding.set"
      }));
    }
    if (typeof stream.readable !== "undefined" && !stream.readable) {
      return done(createError(500, "stream is not readable", {
        type: "stream.not.readable"
      }));
    }
    var received = 0;
    var decoder;
    try {
      decoder = getDecoder(encoding);
    } catch (err) {
      return done(err);
    }
    var buffer = decoder ? "" : [];
    stream.on("aborted", onAborted);
    stream.on("close", cleanup);
    stream.on("data", onData);
    stream.on("end", onEnd);
    stream.on("error", onEnd);
    sync = false;
    function done() {
      var args = new Array(arguments.length);
      for (var i = 0;i < args.length; i++) {
        args[i] = arguments[i];
      }
      complete = true;
      if (sync) {
        process.nextTick(invokeCallback);
      } else {
        invokeCallback();
      }
      function invokeCallback() {
        cleanup();
        if (args[0]) {
          halt(stream);
        }
        callback.apply(null, args);
      }
    }
    function onAborted() {
      if (complete)
        return;
      done(createError(400, "request aborted", {
        code: "ECONNABORTED",
        expected: length,
        length,
        received,
        type: "request.aborted"
      }));
    }
    function onData(chunk) {
      if (complete)
        return;
      received += chunk.length;
      if (limit !== null && received > limit) {
        done(createError(413, "request entity too large", {
          limit,
          received,
          type: "entity.too.large"
        }));
      } else if (decoder) {
        buffer += decoder.write(chunk);
      } else {
        buffer.push(chunk);
      }
    }
    function onEnd(err) {
      if (complete)
        return;
      if (err)
        return done(err);
      if (length !== null && received !== length) {
        done(createError(400, "request size did not match content length", {
          expected: length,
          length,
          received,
          type: "request.size.invalid"
        }));
      } else {
        var string = decoder ? buffer + (decoder.end() || "") : Buffer.concat(buffer);
        done(null, string);
      }
    }
    function cleanup() {
      buffer = null;
      stream.removeListener("aborted", onAborted);
      stream.removeListener("data", onData);
      stream.removeListener("end", onEnd);
      stream.removeListener("error", onEnd);
      stream.removeListener("close", cleanup);
    }
  }
  function tryRequireAsyncHooks() {
    try {
      return __require("async_hooks");
    } catch (e) {
      return {};
    }
  }
  function wrap(fn) {
    var res;
    if (asyncHooks.AsyncResource) {
      res = new asyncHooks.AsyncResource(fn.name || "bound-anonymous-fn");
    }
    if (!res || !res.runInAsyncScope) {
      return fn;
    }
    return res.runInAsyncScope.bind(res, fn, null);
  }
});

// node_modules/ee-first/index.js
var require_ee_first = __commonJS((exports, module) => {
  /*!
   * ee-first
   * Copyright(c) 2014 Jonathan Ong
   * MIT Licensed
   */
  module.exports = first;
  function first(stuff, done) {
    if (!Array.isArray(stuff))
      throw new TypeError("arg must be an array of [ee, events...] arrays");
    var cleanups = [];
    for (var i = 0;i < stuff.length; i++) {
      var arr = stuff[i];
      if (!Array.isArray(arr) || arr.length < 2)
        throw new TypeError("each array member must be [ee, events...]");
      var ee2 = arr[0];
      for (var j2 = 1;j2 < arr.length; j2++) {
        var event = arr[j2];
        var fn = listener(event, callback);
        ee2.on(event, fn);
        cleanups.push({
          ee: ee2,
          event,
          fn
        });
      }
    }
    function callback() {
      cleanup();
      done.apply(null, arguments);
    }
    function cleanup() {
      var x2;
      for (var i2 = 0;i2 < cleanups.length; i2++) {
        x2 = cleanups[i2];
        x2.ee.removeListener(x2.event, x2.fn);
      }
    }
    function thunk(fn2) {
      done = fn2;
    }
    thunk.cancel = cleanup;
    return thunk;
  }
  function listener(event, done) {
    return function onevent(arg1) {
      var args = new Array(arguments.length);
      var ee2 = this;
      var err = event === "error" ? arg1 : null;
      for (var i = 0;i < args.length; i++) {
        args[i] = arguments[i];
      }
      done(err, ee2, event, args);
    };
  }
});

// node_modules/on-finished/index.js
var require_on_finished = __commonJS((exports, module) => {
  /*!
   * on-finished
   * Copyright(c) 2013 Jonathan Ong
   * Copyright(c) 2014 Douglas Christopher Wilson
   * MIT Licensed
   */
  module.exports = onFinished;
  module.exports.isFinished = isFinished;
  var asyncHooks = tryRequireAsyncHooks();
  var first = require_ee_first();
  var defer = typeof setImmediate === "function" ? setImmediate : function(fn) {
    process.nextTick(fn.bind.apply(fn, arguments));
  };
  function onFinished(msg, listener) {
    if (isFinished(msg) !== false) {
      defer(listener, null, msg);
      return msg;
    }
    attachListener(msg, wrap(listener));
    return msg;
  }
  function isFinished(msg) {
    var socket = msg.socket;
    if (typeof msg.finished === "boolean") {
      return Boolean(msg.finished || socket && !socket.writable);
    }
    if (typeof msg.complete === "boolean") {
      return Boolean(msg.upgrade || !socket || !socket.readable || msg.complete && !msg.readable);
    }
    return;
  }
  function attachFinishedListener(msg, callback) {
    var eeMsg;
    var eeSocket;
    var finished = false;
    function onFinish(error) {
      eeMsg.cancel();
      eeSocket.cancel();
      finished = true;
      callback(error);
    }
    eeMsg = eeSocket = first([[msg, "end", "finish"]], onFinish);
    function onSocket(socket) {
      msg.removeListener("socket", onSocket);
      if (finished)
        return;
      if (eeMsg !== eeSocket)
        return;
      eeSocket = first([[socket, "error", "close"]], onFinish);
    }
    if (msg.socket) {
      onSocket(msg.socket);
      return;
    }
    msg.on("socket", onSocket);
    if (msg.socket === undefined) {
      patchAssignSocket(msg, onSocket);
    }
  }
  function attachListener(msg, listener) {
    var attached = msg.__onFinished;
    if (!attached || !attached.queue) {
      attached = msg.__onFinished = createListener(msg);
      attachFinishedListener(msg, attached);
    }
    attached.queue.push(listener);
  }
  function createListener(msg) {
    function listener(err) {
      if (msg.__onFinished === listener)
        msg.__onFinished = null;
      if (!listener.queue)
        return;
      var queue = listener.queue;
      listener.queue = null;
      for (var i = 0;i < queue.length; i++) {
        queue[i](err, msg);
      }
    }
    listener.queue = [];
    return listener;
  }
  function patchAssignSocket(res, callback) {
    var assignSocket = res.assignSocket;
    if (typeof assignSocket !== "function")
      return;
    res.assignSocket = function _assignSocket(socket) {
      assignSocket.call(this, socket);
      callback(socket);
    };
  }
  function tryRequireAsyncHooks() {
    try {
      return __require("async_hooks");
    } catch (e) {
      return {};
    }
  }
  function wrap(fn) {
    var res;
    if (asyncHooks.AsyncResource) {
      res = new asyncHooks.AsyncResource(fn.name || "bound-anonymous-fn");
    }
    if (!res || !res.runInAsyncScope) {
      return fn;
    }
    return res.runInAsyncScope.bind(res, fn, null);
  }
});

// node_modules/body-parser/lib/read.js
var require_read = __commonJS((exports, module) => {
  /*!
   * body-parser
   * Copyright(c) 2014-2015 Douglas Christopher Wilson
   * MIT Licensed
   */
  var createError = require_http_errors();
  var destroy = require_destroy();
  var getBody = require_raw_body2();
  var iconv = require_lib2();
  var onFinished = require_on_finished();
  var unpipe = require_unpipe();
  var zlib = __require("zlib");
  module.exports = read;
  function read(req, res, next, parse, debug, options) {
    var length;
    var opts = options;
    var stream;
    req._body = true;
    var encoding = opts.encoding !== null ? opts.encoding : null;
    var verify = opts.verify;
    try {
      stream = contentstream(req, debug, opts.inflate);
      length = stream.length;
      stream.length = undefined;
    } catch (err) {
      return next(err);
    }
    opts.length = length;
    opts.encoding = verify ? null : encoding;
    if (opts.encoding === null && encoding !== null && !iconv.encodingExists(encoding)) {
      return next(createError(415, 'unsupported charset "' + encoding.toUpperCase() + '"', {
        charset: encoding.toLowerCase(),
        type: "charset.unsupported"
      }));
    }
    debug("read body");
    getBody(stream, opts, function(error, body) {
      if (error) {
        var _error;
        if (error.type === "encoding.unsupported") {
          _error = createError(415, 'unsupported charset "' + encoding.toUpperCase() + '"', {
            charset: encoding.toLowerCase(),
            type: "charset.unsupported"
          });
        } else {
          _error = createError(400, error);
        }
        if (stream !== req) {
          unpipe(req);
          destroy(stream, true);
        }
        dump(req, function onfinished() {
          next(createError(400, _error));
        });
        return;
      }
      if (verify) {
        try {
          debug("verify body");
          verify(req, res, body, encoding);
        } catch (err) {
          next(createError(403, err, {
            body,
            type: err.type || "entity.verify.failed"
          }));
          return;
        }
      }
      var str = body;
      try {
        debug("parse body");
        str = typeof body !== "string" && encoding !== null ? iconv.decode(body, encoding) : body;
        req.body = parse(str);
      } catch (err) {
        next(createError(400, err, {
          body: str,
          type: err.type || "entity.parse.failed"
        }));
        return;
      }
      next();
    });
  }
  function contentstream(req, debug, inflate) {
    var encoding = (req.headers["content-encoding"] || "identity").toLowerCase();
    var length = req.headers["content-length"];
    var stream;
    debug('content-encoding "%s"', encoding);
    if (inflate === false && encoding !== "identity") {
      throw createError(415, "content encoding unsupported", {
        encoding,
        type: "encoding.unsupported"
      });
    }
    switch (encoding) {
      case "deflate":
        stream = zlib.createInflate();
        debug("inflate body");
        req.pipe(stream);
        break;
      case "gzip":
        stream = zlib.createGunzip();
        debug("gunzip body");
        req.pipe(stream);
        break;
      case "identity":
        stream = req;
        stream.length = length;
        break;
      default:
        throw createError(415, 'unsupported content encoding "' + encoding + '"', {
          encoding,
          type: "encoding.unsupported"
        });
    }
    return stream;
  }
  function dump(req, callback) {
    if (onFinished.isFinished(req)) {
      callback(null);
    } else {
      onFinished(req, callback);
      req.resume();
    }
  }
});

// node_modules/media-typer/index.js
var require_media_typer = __commonJS((exports) => {
  /*!
   * media-typer
   * Copyright(c) 2014 Douglas Christopher Wilson
   * MIT Licensed
   */
  var paramRegExp = /; *([!#$%&'\*\+\-\.0-9A-Z\^_`a-z\|~]+) *= *("(?:[ !\u0023-\u005b\u005d-\u007e\u0080-\u00ff]|\\[\u0020-\u007e])*"|[!#$%&'\*\+\-\.0-9A-Z\^_`a-z\|~]+) */g;
  var textRegExp = /^[\u0020-\u007e\u0080-\u00ff]+$/;
  var tokenRegExp = /^[!#$%&'\*\+\-\.0-9A-Z\^_`a-z\|~]+$/;
  var qescRegExp = /\\([\u0000-\u007f])/g;
  var quoteRegExp = /([\\"])/g;
  var subtypeNameRegExp = /^[A-Za-z0-9][A-Za-z0-9!#$&^_.-]{0,126}$/;
  var typeNameRegExp = /^[A-Za-z0-9][A-Za-z0-9!#$&^_-]{0,126}$/;
  var typeRegExp = /^ *([A-Za-z0-9][A-Za-z0-9!#$&^_-]{0,126})\/([A-Za-z0-9][A-Za-z0-9!#$&^_.+-]{0,126}) *$/;
  exports.format = format;
  exports.parse = parse;
  function format(obj) {
    if (!obj || typeof obj !== "object") {
      throw new TypeError("argument obj is required");
    }
    var parameters = obj.parameters;
    var subtype = obj.subtype;
    var suffix = obj.suffix;
    var type = obj.type;
    if (!type || !typeNameRegExp.test(type)) {
      throw new TypeError("invalid type");
    }
    if (!subtype || !subtypeNameRegExp.test(subtype)) {
      throw new TypeError("invalid subtype");
    }
    var string = type + "/" + subtype;
    if (suffix) {
      if (!typeNameRegExp.test(suffix)) {
        throw new TypeError("invalid suffix");
      }
      string += "+" + suffix;
    }
    if (parameters && typeof parameters === "object") {
      var param;
      var params = Object.keys(parameters).sort();
      for (var i = 0;i < params.length; i++) {
        param = params[i];
        if (!tokenRegExp.test(param)) {
          throw new TypeError("invalid parameter name");
        }
        string += "; " + param + "=" + qstring(parameters[param]);
      }
    }
    return string;
  }
  function parse(string) {
    if (!string) {
      throw new TypeError("argument string is required");
    }
    if (typeof string === "object") {
      string = getcontenttype(string);
    }
    if (typeof string !== "string") {
      throw new TypeError("argument string is required to be a string");
    }
    var index = string.indexOf(";");
    var type = index !== -1 ? string.substr(0, index) : string;
    var key;
    var match;
    var obj = splitType(type);
    var params = {};
    var value;
    paramRegExp.lastIndex = index;
    while (match = paramRegExp.exec(string)) {
      if (match.index !== index) {
        throw new TypeError("invalid parameter format");
      }
      index += match[0].length;
      key = match[1].toLowerCase();
      value = match[2];
      if (value[0] === '"') {
        value = value.substr(1, value.length - 2).replace(qescRegExp, "$1");
      }
      params[key] = value;
    }
    if (index !== -1 && index !== string.length) {
      throw new TypeError("invalid parameter format");
    }
    obj.parameters = params;
    return obj;
  }
  function getcontenttype(obj) {
    if (typeof obj.getHeader === "function") {
      return obj.getHeader("content-type");
    }
    if (typeof obj.headers === "object") {
      return obj.headers && obj.headers["content-type"];
    }
  }
  function qstring(val) {
    var str = String(val);
    if (tokenRegExp.test(str)) {
      return str;
    }
    if (str.length > 0 && !textRegExp.test(str)) {
      throw new TypeError("invalid parameter value");
    }
    return '"' + str.replace(quoteRegExp, "\\$1") + '"';
  }
  function splitType(string) {
    var match = typeRegExp.exec(string.toLowerCase());
    if (!match) {
      throw new TypeError("invalid media type");
    }
    var type = match[1];
    var subtype = match[2];
    var suffix;
    var index = subtype.lastIndexOf("+");
    if (index !== -1) {
      suffix = subtype.substr(index + 1);
      subtype = subtype.substr(0, index);
    }
    var obj = {
      type,
      subtype,
      suffix
    };
    return obj;
  }
});

// node_modules/mime-db/db.json
var require_db = __commonJS((exports, module) => {
  module.exports = {
    "application/1d-interleaved-parityfec": {
      source: "iana"
    },
    "application/3gpdash-qoe-report+xml": {
      source: "iana",
      charset: "UTF-8",
      compressible: true
    },
    "application/3gpp-ims+xml": {
      source: "iana",
      compressible: true
    },
    "application/3gpphal+json": {
      source: "iana",
      compressible: true
    },
    "application/3gpphalforms+json": {
      source: "iana",
      compressible: true
    },
    "application/a2l": {
      source: "iana"
    },
    "application/ace+cbor": {
      source: "iana"
    },
    "application/activemessage": {
      source: "iana"
    },
    "application/activity+json": {
      source: "iana",
      compressible: true
    },
    "application/alto-costmap+json": {
      source: "iana",
      compressible: true
    },
    "application/alto-costmapfilter+json": {
      source: "iana",
      compressible: true
    },
    "application/alto-directory+json": {
      source: "iana",
      compressible: true
    },
    "application/alto-endpointcost+json": {
      source: "iana",
      compressible: true
    },
    "application/alto-endpointcostparams+json": {
      source: "iana",
      compressible: true
    },
    "application/alto-endpointprop+json": {
      source: "iana",
      compressible: true
    },
    "application/alto-endpointpropparams+json": {
      source: "iana",
      compressible: true
    },
    "application/alto-error+json": {
      source: "iana",
      compressible: true
    },
    "application/alto-networkmap+json": {
      source: "iana",
      compressible: true
    },
    "application/alto-networkmapfilter+json": {
      source: "iana",
      compressible: true
    },
    "application/alto-updatestreamcontrol+json": {
      source: "iana",
      compressible: true
    },
    "application/alto-updatestreamparams+json": {
      source: "iana",
      compressible: true
    },
    "application/aml": {
      source: "iana"
    },
    "application/andrew-inset": {
      source: "iana",
      extensions: ["ez"]
    },
    "application/applefile": {
      source: "iana"
    },
    "application/applixware": {
      source: "apache",
      extensions: ["aw"]
    },
    "application/at+jwt": {
      source: "iana"
    },
    "application/atf": {
      source: "iana"
    },
    "application/atfx": {
      source: "iana"
    },
    "application/atom+xml": {
      source: "iana",
      compressible: true,
      extensions: ["atom"]
    },
    "application/atomcat+xml": {
      source: "iana",
      compressible: true,
      extensions: ["atomcat"]
    },
    "application/atomdeleted+xml": {
      source: "iana",
      compressible: true,
      extensions: ["atomdeleted"]
    },
    "application/atomicmail": {
      source: "iana"
    },
    "application/atomsvc+xml": {
      source: "iana",
      compressible: true,
      extensions: ["atomsvc"]
    },
    "application/atsc-dwd+xml": {
      source: "iana",
      compressible: true,
      extensions: ["dwd"]
    },
    "application/atsc-dynamic-event-message": {
      source: "iana"
    },
    "application/atsc-held+xml": {
      source: "iana",
      compressible: true,
      extensions: ["held"]
    },
    "application/atsc-rdt+json": {
      source: "iana",
      compressible: true
    },
    "application/atsc-rsat+xml": {
      source: "iana",
      compressible: true,
      extensions: ["rsat"]
    },
    "application/atxml": {
      source: "iana"
    },
    "application/auth-policy+xml": {
      source: "iana",
      compressible: true
    },
    "application/bacnet-xdd+zip": {
      source: "iana",
      compressible: false
    },
    "application/batch-smtp": {
      source: "iana"
    },
    "application/bdoc": {
      compressible: false,
      extensions: ["bdoc"]
    },
    "application/beep+xml": {
      source: "iana",
      charset: "UTF-8",
      compressible: true
    },
    "application/calendar+json": {
      source: "iana",
      compressible: true
    },
    "application/calendar+xml": {
      source: "iana",
      compressible: true,
      extensions: ["xcs"]
    },
    "application/call-completion": {
      source: "iana"
    },
    "application/cals-1840": {
      source: "iana"
    },
    "application/captive+json": {
      source: "iana",
      compressible: true
    },
    "application/cbor": {
      source: "iana"
    },
    "application/cbor-seq": {
      source: "iana"
    },
    "application/cccex": {
      source: "iana"
    },
    "application/ccmp+xml": {
      source: "iana",
      compressible: true
    },
    "application/ccxml+xml": {
      source: "iana",
      compressible: true,
      extensions: ["ccxml"]
    },
    "application/cdfx+xml": {
      source: "iana",
      compressible: true,
      extensions: ["cdfx"]
    },
    "application/cdmi-capability": {
      source: "iana",
      extensions: ["cdmia"]
    },
    "application/cdmi-container": {
      source: "iana",
      extensions: ["cdmic"]
    },
    "application/cdmi-domain": {
      source: "iana",
      extensions: ["cdmid"]
    },
    "application/cdmi-object": {
      source: "iana",
      extensions: ["cdmio"]
    },
    "application/cdmi-queue": {
      source: "iana",
      extensions: ["cdmiq"]
    },
    "application/cdni": {
      source: "iana"
    },
    "application/cea": {
      source: "iana"
    },
    "application/cea-2018+xml": {
      source: "iana",
      compressible: true
    },
    "application/cellml+xml": {
      source: "iana",
      compressible: true
    },
    "application/cfw": {
      source: "iana"
    },
    "application/city+json": {
      source: "iana",
      compressible: true
    },
    "application/clr": {
      source: "iana"
    },
    "application/clue+xml": {
      source: "iana",
      compressible: true
    },
    "application/clue_info+xml": {
      source: "iana",
      compressible: true
    },
    "application/cms": {
      source: "iana"
    },
    "application/cnrp+xml": {
      source: "iana",
      compressible: true
    },
    "application/coap-group+json": {
      source: "iana",
      compressible: true
    },
    "application/coap-payload": {
      source: "iana"
    },
    "application/commonground": {
      source: "iana"
    },
    "application/conference-info+xml": {
      source: "iana",
      compressible: true
    },
    "application/cose": {
      source: "iana"
    },
    "application/cose-key": {
      source: "iana"
    },
    "application/cose-key-set": {
      source: "iana"
    },
    "application/cpl+xml": {
      source: "iana",
      compressible: true,
      extensions: ["cpl"]
    },
    "application/csrattrs": {
      source: "iana"
    },
    "application/csta+xml": {
      source: "iana",
      compressible: true
    },
    "application/cstadata+xml": {
      source: "iana",
      compressible: true
    },
    "application/csvm+json": {
      source: "iana",
      compressible: true
    },
    "application/cu-seeme": {
      source: "apache",
      extensions: ["cu"]
    },
    "application/cwt": {
      source: "iana"
    },
    "application/cybercash": {
      source: "iana"
    },
    "application/dart": {
      compressible: true
    },
    "application/dash+xml": {
      source: "iana",
      compressible: true,
      extensions: ["mpd"]
    },
    "application/dash-patch+xml": {
      source: "iana",
      compressible: true,
      extensions: ["mpp"]
    },
    "application/dashdelta": {
      source: "iana"
    },
    "application/davmount+xml": {
      source: "iana",
      compressible: true,
      extensions: ["davmount"]
    },
    "application/dca-rft": {
      source: "iana"
    },
    "application/dcd": {
      source: "iana"
    },
    "application/dec-dx": {
      source: "iana"
    },
    "application/dialog-info+xml": {
      source: "iana",
      compressible: true
    },
    "application/dicom": {
      source: "iana"
    },
    "application/dicom+json": {
      source: "iana",
      compressible: true
    },
    "application/dicom+xml": {
      source: "iana",
      compressible: true
    },
    "application/dii": {
      source: "iana"
    },
    "application/dit": {
      source: "iana"
    },
    "application/dns": {
      source: "iana"
    },
    "application/dns+json": {
      source: "iana",
      compressible: true
    },
    "application/dns-message": {
      source: "iana"
    },
    "application/docbook+xml": {
      source: "apache",
      compressible: true,
      extensions: ["dbk"]
    },
    "application/dots+cbor": {
      source: "iana"
    },
    "application/dskpp+xml": {
      source: "iana",
      compressible: true
    },
    "application/dssc+der": {
      source: "iana",
      extensions: ["dssc"]
    },
    "application/dssc+xml": {
      source: "iana",
      compressible: true,
      extensions: ["xdssc"]
    },
    "application/dvcs": {
      source: "iana"
    },
    "application/ecmascript": {
      source: "iana",
      compressible: true,
      extensions: ["es", "ecma"]
    },
    "application/edi-consent": {
      source: "iana"
    },
    "application/edi-x12": {
      source: "iana",
      compressible: false
    },
    "application/edifact": {
      source: "iana",
      compressible: false
    },
    "application/efi": {
      source: "iana"
    },
    "application/elm+json": {
      source: "iana",
      charset: "UTF-8",
      compressible: true
    },
    "application/elm+xml": {
      source: "iana",
      compressible: true
    },
    "application/emergencycalldata.cap+xml": {
      source: "iana",
      charset: "UTF-8",
      compressible: true
    },
    "application/emergencycalldata.comment+xml": {
      source: "iana",
      compressible: true
    },
    "application/emergencycalldata.control+xml": {
      source: "iana",
      compressible: true
    },
    "application/emergencycalldata.deviceinfo+xml": {
      source: "iana",
      compressible: true
    },
    "application/emergencycalldata.ecall.msd": {
      source: "iana"
    },
    "application/emergencycalldata.providerinfo+xml": {
      source: "iana",
      compressible: true
    },
    "application/emergencycalldata.serviceinfo+xml": {
      source: "iana",
      compressible: true
    },
    "application/emergencycalldata.subscriberinfo+xml": {
      source: "iana",
      compressible: true
    },
    "application/emergencycalldata.veds+xml": {
      source: "iana",
      compressible: true
    },
    "application/emma+xml": {
      source: "iana",
      compressible: true,
      extensions: ["emma"]
    },
    "application/emotionml+xml": {
      source: "iana",
      compressible: true,
      extensions: ["emotionml"]
    },
    "application/encaprtp": {
      source: "iana"
    },
    "application/epp+xml": {
      source: "iana",
      compressible: true
    },
    "application/epub+zip": {
      source: "iana",
      compressible: false,
      extensions: ["epub"]
    },
    "application/eshop": {
      source: "iana"
    },
    "application/exi": {
      source: "iana",
      extensions: ["exi"]
    },
    "application/expect-ct-report+json": {
      source: "iana",
      compressible: true
    },
    "application/express": {
      source: "iana",
      extensions: ["exp"]
    },
    "application/fastinfoset": {
      source: "iana"
    },
    "application/fastsoap": {
      source: "iana"
    },
    "application/fdt+xml": {
      source: "iana",
      compressible: true,
      extensions: ["fdt"]
    },
    "application/fhir+json": {
      source: "iana",
      charset: "UTF-8",
      compressible: true
    },
    "application/fhir+xml": {
      source: "iana",
      charset: "UTF-8",
      compressible: true
    },
    "application/fido.trusted-apps+json": {
      compressible: true
    },
    "application/fits": {
      source: "iana"
    },
    "application/flexfec": {
      source: "iana"
    },
    "application/font-sfnt": {
      source: "iana"
    },
    "application/font-tdpfr": {
      source: "iana",
      extensions: ["pfr"]
    },
    "application/font-woff": {
      source: "iana",
      compressible: false
    },
    "application/framework-attributes+xml": {
      source: "iana",
      compressible: true
    },
    "application/geo+json": {
      source: "iana",
      compressible: true,
      extensions: ["geojson"]
    },
    "application/geo+json-seq": {
      source: "iana"
    },
    "application/geopackage+sqlite3": {
      source: "iana"
    },
    "application/geoxacml+xml": {
      source: "iana",
      compressible: true
    },
    "application/gltf-buffer": {
      source: "iana"
    },
    "application/gml+xml": {
      source: "iana",
      compressible: true,
      extensions: ["gml"]
    },
    "application/gpx+xml": {
      source: "apache",
      compressible: true,
      extensions: ["gpx"]
    },
    "application/gxf": {
      source: "apache",
      extensions: ["gxf"]
    },
    "application/gzip": {
      source: "iana",
      compressible: false,
      extensions: ["gz"]
    },
    "application/h224": {
      source: "iana"
    },
    "application/held+xml": {
      source: "iana",
      compressible: true
    },
    "application/hjson": {
      extensions: ["hjson"]
    },
    "application/http": {
      source: "iana"
    },
    "application/hyperstudio": {
      source: "iana",
      extensions: ["stk"]
    },
    "application/ibe-key-request+xml": {
      source: "iana",
      compressible: true
    },
    "application/ibe-pkg-reply+xml": {
      source: "iana",
      compressible: true
    },
    "application/ibe-pp-data": {
      source: "iana"
    },
    "application/iges": {
      source: "iana"
    },
    "application/im-iscomposing+xml": {
      source: "iana",
      charset: "UTF-8",
      compressible: true
    },
    "application/index": {
      source: "iana"
    },
    "application/index.cmd": {
      source: "iana"
    },
    "application/index.obj": {
      source: "iana"
    },
    "application/index.response": {
      source: "iana"
    },
    "application/index.vnd": {
      source: "iana"
    },
    "application/inkml+xml": {
      source: "iana",
      compressible: true,
      extensions: ["ink", "inkml"]
    },
    "application/iotp": {
      source: "iana"
    },
    "application/ipfix": {
      source: "iana",
      extensions: ["ipfix"]
    },
    "application/ipp": {
      source: "iana"
    },
    "application/isup": {
      source: "iana"
    },
    "application/its+xml": {
      source: "iana",
      compressible: true,
      extensions: ["its"]
    },
    "application/java-archive": {
      source: "apache",
      compressible: false,
      extensions: ["jar", "war", "ear"]
    },
    "application/java-serialized-object": {
      source: "apache",
      compressible: false,
      extensions: ["ser"]
    },
    "application/java-vm": {
      source: "apache",
      compressible: false,
      extensions: ["class"]
    },
    "application/javascript": {
      source: "iana",
      charset: "UTF-8",
      compressible: true,
      extensions: ["js", "mjs"]
    },
    "application/jf2feed+json": {
      source: "iana",
      compressible: true
    },
    "application/jose": {
      source: "iana"
    },
    "application/jose+json": {
      source: "iana",
      compressible: true
    },
    "application/jrd+json": {
      source: "iana",
      compressible: true
    },
    "application/jscalendar+json": {
      source: "iana",
      compressible: true
    },
    "application/json": {
      source: "iana",
      charset: "UTF-8",
      compressible: true,
      extensions: ["json", "map"]
    },
    "application/json-patch+json": {
      source: "iana",
      compressible: true
    },
    "application/json-seq": {
      source: "iana"
    },
    "application/json5": {
      extensions: ["json5"]
    },
    "application/jsonml+json": {
      source: "apache",
      compressible: true,
      extensions: ["jsonml"]
    },
    "application/jwk+json": {
      source: "iana",
      compressible: true
    },
    "application/jwk-set+json": {
      source: "iana",
      compressible: true
    },
    "application/jwt": {
      source: "iana"
    },
    "application/kpml-request+xml": {
      source: "iana",
      compressible: true
    },
    "application/kpml-response+xml": {
      source: "iana",
      compressible: true
    },
    "application/ld+json": {
      source: "iana",
      compressible: true,
      extensions: ["jsonld"]
    },
    "application/lgr+xml": {
      source: "iana",
      compressible: true,
      extensions: ["lgr"]
    },
    "application/link-format": {
      source: "iana"
    },
    "application/load-control+xml": {
      source: "iana",
      compressible: true
    },
    "application/lost+xml": {
      source: "iana",
      compressible: true,
      extensions: ["lostxml"]
    },
    "application/lostsync+xml": {
      source: "iana",
      compressible: true
    },
    "application/lpf+zip": {
      source: "iana",
      compressible: false
    },
    "application/lxf": {
      source: "iana"
    },
    "application/mac-binhex40": {
      source: "iana",
      extensions: ["hqx"]
    },
    "application/mac-compactpro": {
      source: "apache",
      extensions: ["cpt"]
    },
    "application/macwriteii": {
      source: "iana"
    },
    "application/mads+xml": {
      source: "iana",
      compressible: true,
      extensions: ["mads"]
    },
    "application/manifest+json": {
      source: "iana",
      charset: "UTF-8",
      compressible: true,
      extensions: ["webmanifest"]
    },
    "application/marc": {
      source: "iana",
      extensions: ["mrc"]
    },
    "application/marcxml+xml": {
      source: "iana",
      compressible: true,
      extensions: ["mrcx"]
    },
    "application/mathematica": {
      source: "iana",
      extensions: ["ma", "nb", "mb"]
    },
    "application/mathml+xml": {
      source: "iana",
      compressible: true,
      extensions: ["mathml"]
    },
    "application/mathml-content+xml": {
      source: "iana",
      compressible: true
    },
    "application/mathml-presentation+xml": {
      source: "iana",
      compressible: true
    },
    "application/mbms-associated-procedure-description+xml": {
      source: "iana",
      compressible: true
    },
    "application/mbms-deregister+xml": {
      source: "iana",
      compressible: true
    },
    "application/mbms-envelope+xml": {
      source: "iana",
      compressible: true
    },
    "application/mbms-msk+xml": {
      source: "iana",
      compressible: true
    },
    "application/mbms-msk-response+xml": {
      source: "iana",
      compressible: true
    },
    "application/mbms-protection-description+xml": {
      source: "iana",
      compressible: true
    },
    "application/mbms-reception-report+xml": {
      source: "iana",
      compressible: true
    },
    "application/mbms-register+xml": {
      source: "iana",
      compressible: true
    },
    "application/mbms-register-response+xml": {
      source: "iana",
      compressible: true
    },
    "application/mbms-schedule+xml": {
      source: "iana",
      compressible: true
    },
    "application/mbms-user-service-description+xml": {
      source: "iana",
      compressible: true
    },
    "application/mbox": {
      source: "iana",
      extensions: ["mbox"]
    },
    "application/media-policy-dataset+xml": {
      source: "iana",
      compressible: true,
      extensions: ["mpf"]
    },
    "application/media_control+xml": {
      source: "iana",
      compressible: true
    },
    "application/mediaservercontrol+xml": {
      source: "iana",
      compressible: true,
      extensions: ["mscml"]
    },
    "application/merge-patch+json": {
      source: "iana",
      compressible: true
    },
    "application/metalink+xml": {
      source: "apache",
      compressible: true,
      extensions: ["metalink"]
    },
    "application/metalink4+xml": {
      source: "iana",
      compressible: true,
      extensions: ["meta4"]
    },
    "application/mets+xml": {
      source: "iana",
      compressible: true,
      extensions: ["mets"]
    },
    "application/mf4": {
      source: "iana"
    },
    "application/mikey": {
      source: "iana"
    },
    "application/mipc": {
      source: "iana"
    },
    "application/missing-blocks+cbor-seq": {
      source: "iana"
    },
    "application/mmt-aei+xml": {
      source: "iana",
      compressible: true,
      extensions: ["maei"]
    },
    "application/mmt-usd+xml": {
      source: "iana",
      compressible: true,
      extensions: ["musd"]
    },
    "application/mods+xml": {
      source: "iana",
      compressible: true,
      extensions: ["mods"]
    },
    "application/moss-keys": {
      source: "iana"
    },
    "application/moss-signature": {
      source: "iana"
    },
    "application/mosskey-data": {
      source: "iana"
    },
    "application/mosskey-request": {
      source: "iana"
    },
    "application/mp21": {
      source: "iana",
      extensions: ["m21", "mp21"]
    },
    "application/mp4": {
      source: "iana",
      extensions: ["mp4s", "m4p"]
    },
    "application/mpeg4-generic": {
      source: "iana"
    },
    "application/mpeg4-iod": {
      source: "iana"
    },
    "application/mpeg4-iod-xmt": {
      source: "iana"
    },
    "application/mrb-consumer+xml": {
      source: "iana",
      compressible: true
    },
    "application/mrb-publish+xml": {
      source: "iana",
      compressible: true
    },
    "application/msc-ivr+xml": {
      source: "iana",
      charset: "UTF-8",
      compressible: true
    },
    "application/msc-mixer+xml": {
      source: "iana",
      charset: "UTF-8",
      compressible: true
    },
    "application/msword": {
      source: "iana",
      compressible: false,
      extensions: ["doc", "dot"]
    },
    "application/mud+json": {
      source: "iana",
      compressible: true
    },
    "application/multipart-core": {
      source: "iana"
    },
    "application/mxf": {
      source: "iana",
      extensions: ["mxf"]
    },
    "application/n-quads": {
      source: "iana",
      extensions: ["nq"]
    },
    "application/n-triples": {
      source: "iana",
      extensions: ["nt"]
    },
    "application/nasdata": {
      source: "iana"
    },
    "application/news-checkgroups": {
      source: "iana",
      charset: "US-ASCII"
    },
    "application/news-groupinfo": {
      source: "iana",
      charset: "US-ASCII"
    },
    "application/news-transmission": {
      source: "iana"
    },
    "application/nlsml+xml": {
      source: "iana",
      compressible: true
    },
    "application/node": {
      source: "iana",
      extensions: ["cjs"]
    },
    "application/nss": {
      source: "iana"
    },
    "application/oauth-authz-req+jwt": {
      source: "iana"
    },
    "application/oblivious-dns-message": {
      source: "iana"
    },
    "application/ocsp-request": {
      source: "iana"
    },
    "application/ocsp-response": {
      source: "iana"
    },
    "application/octet-stream": {
      source: "iana",
      compressible: false,
      extensions: ["bin", "dms", "lrf", "mar", "so", "dist", "distz", "pkg", "bpk", "dump", "elc", "deploy", "exe", "dll", "deb", "dmg", "iso", "img", "msi", "msp", "msm", "buffer"]
    },
    "application/oda": {
      source: "iana",
      extensions: ["oda"]
    },
    "application/odm+xml": {
      source: "iana",
      compressible: true
    },
    "application/odx": {
      source: "iana"
    },
    "application/oebps-package+xml": {
      source: "iana",
      compressible: true,
      extensions: ["opf"]
    },
    "application/ogg": {
      source: "iana",
      compressible: false,
      extensions: ["ogx"]
    },
    "application/omdoc+xml": {
      source: "apache",
      compressible: true,
      extensions: ["omdoc"]
    },
    "application/onenote": {
      source: "apache",
      extensions: ["onetoc", "onetoc2", "onetmp", "onepkg"]
    },
    "application/opc-nodeset+xml": {
      source: "iana",
      compressible: true
    },
    "application/oscore": {
      source: "iana"
    },
    "application/oxps": {
      source: "iana",
      extensions: ["oxps"]
    },
    "application/p21": {
      source: "iana"
    },
    "application/p21+zip": {
      source: "iana",
      compressible: false
    },
    "application/p2p-overlay+xml": {
      source: "iana",
      compressible: true,
      extensions: ["relo"]
    },
    "application/parityfec": {
      source: "iana"
    },
    "application/passport": {
      source: "iana"
    },
    "application/patch-ops-error+xml": {
      source: "iana",
      compressible: true,
      extensions: ["xer"]
    },
    "application/pdf": {
      source: "iana",
      compressible: false,
      extensions: ["pdf"]
    },
    "application/pdx": {
      source: "iana"
    },
    "application/pem-certificate-chain": {
      source: "iana"
    },
    "application/pgp-encrypted": {
      source: "iana",
      compressible: false,
      extensions: ["pgp"]
    },
    "application/pgp-keys": {
      source: "iana",
      extensions: ["asc"]
    },
    "application/pgp-signature": {
      source: "iana",
      extensions: ["asc", "sig"]
    },
    "application/pics-rules": {
      source: "apache",
      extensions: ["prf"]
    },
    "application/pidf+xml": {
      source: "iana",
      charset: "UTF-8",
      compressible: true
    },
    "application/pidf-diff+xml": {
      source: "iana",
      charset: "UTF-8",
      compressible: true
    },
    "application/pkcs10": {
      source: "iana",
      extensions: ["p10"]
    },
    "application/pkcs12": {
      source: "iana"
    },
    "application/pkcs7-mime": {
      source: "iana",
      extensions: ["p7m", "p7c"]
    },
    "application/pkcs7-signature": {
      source: "iana",
      extensions: ["p7s"]
    },
    "application/pkcs8": {
      source: "iana",
      extensions: ["p8"]
    },
    "application/pkcs8-encrypted": {
      source: "iana"
    },
    "application/pkix-attr-cert": {
      source: "iana",
      extensions: ["ac"]
    },
    "application/pkix-cert": {
      source: "iana",
      extensions: ["cer"]
    },
    "application/pkix-crl": {
      source: "iana",
      extensions: ["crl"]
    },
    "application/pkix-pkipath": {
      source: "iana",
      extensions: ["pkipath"]
    },
    "application/pkixcmp": {
      source: "iana",
      extensions: ["pki"]
    },
    "application/pls+xml": {
      source: "iana",
      compressible: true,
      extensions: ["pls"]
    },
    "application/poc-settings+xml": {
      source: "iana",
      charset: "UTF-8",
      compressible: true
    },
    "application/postscript": {
      source: "iana",
      compressible: true,
      extensions: ["ai", "eps", "ps"]
    },
    "application/ppsp-tracker+json": {
      source: "iana",
      compressible: true
    },
    "application/problem+json": {
      source: "iana",
      compressible: true
    },
    "application/problem+xml": {
      source: "iana",
      compressible: true
    },
    "application/provenance+xml": {
      source: "iana",
      compressible: true,
      extensions: ["provx"]
    },
    "application/prs.alvestrand.titrax-sheet": {
      source: "iana"
    },
    "application/prs.cww": {
      source: "iana",
      extensions: ["cww"]
    },
    "application/prs.cyn": {
      source: "iana",
      charset: "7-BIT"
    },
    "application/prs.hpub+zip": {
      source: "iana",
      compressible: false
    },
    "application/prs.nprend": {
      source: "iana"
    },
    "application/prs.plucker": {
      source: "iana"
    },
    "application/prs.rdf-xml-crypt": {
      source: "iana"
    },
    "application/prs.xsf+xml": {
      source: "iana",
      compressible: true
    },
    "application/pskc+xml": {
      source: "iana",
      compressible: true,
      extensions: ["pskcxml"]
    },
    "application/pvd+json": {
      source: "iana",
      compressible: true
    },
    "application/qsig": {
      source: "iana"
    },
    "application/raml+yaml": {
      compressible: true,
      extensions: ["raml"]
    },
    "application/raptorfec": {
      source: "iana"
    },
    "application/rdap+json": {
      source: "iana",
      compressible: true
    },
    "application/rdf+xml": {
      source: "iana",
      compressible: true,
      extensions: ["rdf", "owl"]
    },
    "application/reginfo+xml": {
      source: "iana",
      compressible: true,
      extensions: ["rif"]
    },
    "application/relax-ng-compact-syntax": {
      source: "iana",
      extensions: ["rnc"]
    },
    "application/remote-printing": {
      source: "iana"
    },
    "application/reputon+json": {
      source: "iana",
      compressible: true
    },
    "application/resource-lists+xml": {
      source: "iana",
      compressible: true,
      extensions: ["rl"]
    },
    "application/resource-lists-diff+xml": {
      source: "iana",
      compressible: true,
      extensions: ["rld"]
    },
    "application/rfc+xml": {
      source: "iana",
      compressible: true
    },
    "application/riscos": {
      source: "iana"
    },
    "application/rlmi+xml": {
      source: "iana",
      compressible: true
    },
    "application/rls-services+xml": {
      source: "iana",
      compressible: true,
      extensions: ["rs"]
    },
    "application/route-apd+xml": {
      source: "iana",
      compressible: true,
      extensions: ["rapd"]
    },
    "application/route-s-tsid+xml": {
      source: "iana",
      compressible: true,
      extensions: ["sls"]
    },
    "application/route-usd+xml": {
      source: "iana",
      compressible: true,
      extensions: ["rusd"]
    },
    "application/rpki-ghostbusters": {
      source: "iana",
      extensions: ["gbr"]
    },
    "application/rpki-manifest": {
      source: "iana",
      extensions: ["mft"]
    },
    "application/rpki-publication": {
      source: "iana"
    },
    "application/rpki-roa": {
      source: "iana",
      extensions: ["roa"]
    },
    "application/rpki-updown": {
      source: "iana"
    },
    "application/rsd+xml": {
      source: "apache",
      compressible: true,
      extensions: ["rsd"]
    },
    "application/rss+xml": {
      source: "apache",
      compressible: true,
      extensions: ["rss"]
    },
    "application/rtf": {
      source: "iana",
      compressible: true,
      extensions: ["rtf"]
    },
    "application/rtploopback": {
      source: "iana"
    },
    "application/rtx": {
      source: "iana"
    },
    "application/samlassertion+xml": {
      source: "iana",
      compressible: true
    },
    "application/samlmetadata+xml": {
      source: "iana",
      compressible: true
    },
    "application/sarif+json": {
      source: "iana",
      compressible: true
    },
    "application/sarif-external-properties+json": {
      source: "iana",
      compressible: true
    },
    "application/sbe": {
      source: "iana"
    },
    "application/sbml+xml": {
      source: "iana",
      compressible: true,
      extensions: ["sbml"]
    },
    "application/scaip+xml": {
      source: "iana",
      compressible: true
    },
    "application/scim+json": {
      source: "iana",
      compressible: true
    },
    "application/scvp-cv-request": {
      source: "iana",
      extensions: ["scq"]
    },
    "application/scvp-cv-response": {
      source: "iana",
      extensions: ["scs"]
    },
    "application/scvp-vp-request": {
      source: "iana",
      extensions: ["spq"]
    },
    "application/scvp-vp-response": {
      source: "iana",
      extensions: ["spp"]
    },
    "application/sdp": {
      source: "iana",
      extensions: ["sdp"]
    },
    "application/secevent+jwt": {
      source: "iana"
    },
    "application/senml+cbor": {
      source: "iana"
    },
    "application/senml+json": {
      source: "iana",
      compressible: true
    },
    "application/senml+xml": {
      source: "iana",
      compressible: true,
      extensions: ["senmlx"]
    },
    "application/senml-etch+cbor": {
      source: "iana"
    },
    "application/senml-etch+json": {
      source: "iana",
      compressible: true
    },
    "application/senml-exi": {
      source: "iana"
    },
    "application/sensml+cbor": {
      source: "iana"
    },
    "application/sensml+json": {
      source: "iana",
      compressible: true
    },
    "application/sensml+xml": {
      source: "iana",
      compressible: true,
      extensions: ["sensmlx"]
    },
    "application/sensml-exi": {
      source: "iana"
    },
    "application/sep+xml": {
      source: "iana",
      compressible: true
    },
    "application/sep-exi": {
      source: "iana"
    },
    "application/session-info": {
      source: "iana"
    },
    "application/set-payment": {
      source: "iana"
    },
    "application/set-payment-initiation": {
      source: "iana",
      extensions: ["setpay"]
    },
    "application/set-registration": {
      source: "iana"
    },
    "application/set-registration-initiation": {
      source: "iana",
      extensions: ["setreg"]
    },
    "application/sgml": {
      source: "iana"
    },
    "application/sgml-open-catalog": {
      source: "iana"
    },
    "application/shf+xml": {
      source: "iana",
      compressible: true,
      extensions: ["shf"]
    },
    "application/sieve": {
      source: "iana",
      extensions: ["siv", "sieve"]
    },
    "application/simple-filter+xml": {
      source: "iana",
      compressible: true
    },
    "application/simple-message-summary": {
      source: "iana"
    },
    "application/simplesymbolcontainer": {
      source: "iana"
    },
    "application/sipc": {
      source: "iana"
    },
    "application/slate": {
      source: "iana"
    },
    "application/smil": {
      source: "iana"
    },
    "application/smil+xml": {
      source: "iana",
      compressible: true,
      extensions: ["smi", "smil"]
    },
    "application/smpte336m": {
      source: "iana"
    },
    "application/soap+fastinfoset": {
      source: "iana"
    },
    "application/soap+xml": {
      source: "iana",
      compressible: true
    },
    "application/sparql-query": {
      source: "iana",
      extensions: ["rq"]
    },
    "application/sparql-results+xml": {
      source: "iana",
      compressible: true,
      extensions: ["srx"]
    },
    "application/spdx+json": {
      source: "iana",
      compressible: true
    },
    "application/spirits-event+xml": {
      source: "iana",
      compressible: true
    },
    "application/sql": {
      source: "iana"
    },
    "application/srgs": {
      source: "iana",
      extensions: ["gram"]
    },
    "application/srgs+xml": {
      source: "iana",
      compressible: true,
      extensions: ["grxml"]
    },
    "application/sru+xml": {
      source: "iana",
      compressible: true,
      extensions: ["sru"]
    },
    "application/ssdl+xml": {
      source: "apache",
      compressible: true,
      extensions: ["ssdl"]
    },
    "application/ssml+xml": {
      source: "iana",
      compressible: true,
      extensions: ["ssml"]
    },
    "application/stix+json": {
      source: "iana",
      compressible: true
    },
    "application/swid+xml": {
      source: "iana",
      compressible: true,
      extensions: ["swidtag"]
    },
    "application/tamp-apex-update": {
      source: "iana"
    },
    "application/tamp-apex-update-confirm": {
      source: "iana"
    },
    "application/tamp-community-update": {
      source: "iana"
    },
    "application/tamp-community-update-confirm": {
      source: "iana"
    },
    "application/tamp-error": {
      source: "iana"
    },
    "application/tamp-sequence-adjust": {
      source: "iana"
    },
    "application/tamp-sequence-adjust-confirm": {
      source: "iana"
    },
    "application/tamp-status-query": {
      source: "iana"
    },
    "application/tamp-status-response": {
      source: "iana"
    },
    "application/tamp-update": {
      source: "iana"
    },
    "application/tamp-update-confirm": {
      source: "iana"
    },
    "application/tar": {
      compressible: true
    },
    "application/taxii+json": {
      source: "iana",
      compressible: true
    },
    "application/td+json": {
      source: "iana",
      compressible: true
    },
    "application/tei+xml": {
      source: "iana",
      compressible: true,
      extensions: ["tei", "teicorpus"]
    },
    "application/tetra_isi": {
      source: "iana"
    },
    "application/thraud+xml": {
      source: "iana",
      compressible: true,
      extensions: ["tfi"]
    },
    "application/timestamp-query": {
      source: "iana"
    },
    "application/timestamp-reply": {
      source: "iana"
    },
    "application/timestamped-data": {
      source: "iana",
      extensions: ["tsd"]
    },
    "application/tlsrpt+gzip": {
      source: "iana"
    },
    "application/tlsrpt+json": {
      source: "iana",
      compressible: true
    },
    "application/tnauthlist": {
      source: "iana"
    },
    "application/token-introspection+jwt": {
      source: "iana"
    },
    "application/toml": {
      compressible: true,
      extensions: ["toml"]
    },
    "application/trickle-ice-sdpfrag": {
      source: "iana"
    },
    "application/trig": {
      source: "iana",
      extensions: ["trig"]
    },
    "application/ttml+xml": {
      source: "iana",
      compressible: true,
      extensions: ["ttml"]
    },
    "application/tve-trigger": {
      source: "iana"
    },
    "application/tzif": {
      source: "iana"
    },
    "application/tzif-leap": {
      source: "iana"
    },
    "application/ubjson": {
      compressible: false,
      extensions: ["ubj"]
    },
    "application/ulpfec": {
      source: "iana"
    },
    "application/urc-grpsheet+xml": {
      source: "iana",
      compressible: true
    },
    "application/urc-ressheet+xml": {
      source: "iana",
      compressible: true,
      extensions: ["rsheet"]
    },
    "application/urc-targetdesc+xml": {
      source: "iana",
      compressible: true,
      extensions: ["td"]
    },
    "application/urc-uisocketdesc+xml": {
      source: "iana",
      compressible: true
    },
    "application/vcard+json": {
      source: "iana",
      compressible: true
    },
    "application/vcard+xml": {
      source: "iana",
      compressible: true
    },
    "application/vemmi": {
      source: "iana"
    },
    "application/vividence.scriptfile": {
      source: "apache"
    },
    "application/vnd.1000minds.decision-model+xml": {
      source: "iana",
      compressible: true,
      extensions: ["1km"]
    },
    "application/vnd.3gpp-prose+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.3gpp-prose-pc3ch+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.3gpp-v2x-local-service-information": {
      source: "iana"
    },
    "application/vnd.3gpp.5gnas": {
      source: "iana"
    },
    "application/vnd.3gpp.access-transfer-events+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.3gpp.bsf+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.3gpp.gmop+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.3gpp.gtpc": {
      source: "iana"
    },
    "application/vnd.3gpp.interworking-data": {
      source: "iana"
    },
    "application/vnd.3gpp.lpp": {
      source: "iana"
    },
    "application/vnd.3gpp.mc-signalling-ear": {
      source: "iana"
    },
    "application/vnd.3gpp.mcdata-affiliation-command+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.3gpp.mcdata-info+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.3gpp.mcdata-payload": {
      source: "iana"
    },
    "application/vnd.3gpp.mcdata-service-config+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.3gpp.mcdata-signalling": {
      source: "iana"
    },
    "application/vnd.3gpp.mcdata-ue-config+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.3gpp.mcdata-user-profile+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.3gpp.mcptt-affiliation-command+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.3gpp.mcptt-floor-request+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.3gpp.mcptt-info+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.3gpp.mcptt-location-info+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.3gpp.mcptt-mbms-usage-info+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.3gpp.mcptt-service-config+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.3gpp.mcptt-signed+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.3gpp.mcptt-ue-config+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.3gpp.mcptt-ue-init-config+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.3gpp.mcptt-user-profile+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.3gpp.mcvideo-affiliation-command+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.3gpp.mcvideo-affiliation-info+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.3gpp.mcvideo-info+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.3gpp.mcvideo-location-info+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.3gpp.mcvideo-mbms-usage-info+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.3gpp.mcvideo-service-config+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.3gpp.mcvideo-transmission-request+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.3gpp.mcvideo-ue-config+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.3gpp.mcvideo-user-profile+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.3gpp.mid-call+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.3gpp.ngap": {
      source: "iana"
    },
    "application/vnd.3gpp.pfcp": {
      source: "iana"
    },
    "application/vnd.3gpp.pic-bw-large": {
      source: "iana",
      extensions: ["plb"]
    },
    "application/vnd.3gpp.pic-bw-small": {
      source: "iana",
      extensions: ["psb"]
    },
    "application/vnd.3gpp.pic-bw-var": {
      source: "iana",
      extensions: ["pvb"]
    },
    "application/vnd.3gpp.s1ap": {
      source: "iana"
    },
    "application/vnd.3gpp.sms": {
      source: "iana"
    },
    "application/vnd.3gpp.sms+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.3gpp.srvcc-ext+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.3gpp.srvcc-info+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.3gpp.state-and-event-info+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.3gpp.ussd+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.3gpp2.bcmcsinfo+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.3gpp2.sms": {
      source: "iana"
    },
    "application/vnd.3gpp2.tcap": {
      source: "iana",
      extensions: ["tcap"]
    },
    "application/vnd.3lightssoftware.imagescal": {
      source: "iana"
    },
    "application/vnd.3m.post-it-notes": {
      source: "iana",
      extensions: ["pwn"]
    },
    "application/vnd.accpac.simply.aso": {
      source: "iana",
      extensions: ["aso"]
    },
    "application/vnd.accpac.simply.imp": {
      source: "iana",
      extensions: ["imp"]
    },
    "application/vnd.acucobol": {
      source: "iana",
      extensions: ["acu"]
    },
    "application/vnd.acucorp": {
      source: "iana",
      extensions: ["atc", "acutc"]
    },
    "application/vnd.adobe.air-application-installer-package+zip": {
      source: "apache",
      compressible: false,
      extensions: ["air"]
    },
    "application/vnd.adobe.flash.movie": {
      source: "iana"
    },
    "application/vnd.adobe.formscentral.fcdt": {
      source: "iana",
      extensions: ["fcdt"]
    },
    "application/vnd.adobe.fxp": {
      source: "iana",
      extensions: ["fxp", "fxpl"]
    },
    "application/vnd.adobe.partial-upload": {
      source: "iana"
    },
    "application/vnd.adobe.xdp+xml": {
      source: "iana",
      compressible: true,
      extensions: ["xdp"]
    },
    "application/vnd.adobe.xfdf": {
      source: "iana",
      extensions: ["xfdf"]
    },
    "application/vnd.aether.imp": {
      source: "iana"
    },
    "application/vnd.afpc.afplinedata": {
      source: "iana"
    },
    "application/vnd.afpc.afplinedata-pagedef": {
      source: "iana"
    },
    "application/vnd.afpc.cmoca-cmresource": {
      source: "iana"
    },
    "application/vnd.afpc.foca-charset": {
      source: "iana"
    },
    "application/vnd.afpc.foca-codedfont": {
      source: "iana"
    },
    "application/vnd.afpc.foca-codepage": {
      source: "iana"
    },
    "application/vnd.afpc.modca": {
      source: "iana"
    },
    "application/vnd.afpc.modca-cmtable": {
      source: "iana"
    },
    "application/vnd.afpc.modca-formdef": {
      source: "iana"
    },
    "application/vnd.afpc.modca-mediummap": {
      source: "iana"
    },
    "application/vnd.afpc.modca-objectcontainer": {
      source: "iana"
    },
    "application/vnd.afpc.modca-overlay": {
      source: "iana"
    },
    "application/vnd.afpc.modca-pagesegment": {
      source: "iana"
    },
    "application/vnd.age": {
      source: "iana",
      extensions: ["age"]
    },
    "application/vnd.ah-barcode": {
      source: "iana"
    },
    "application/vnd.ahead.space": {
      source: "iana",
      extensions: ["ahead"]
    },
    "application/vnd.airzip.filesecure.azf": {
      source: "iana",
      extensions: ["azf"]
    },
    "application/vnd.airzip.filesecure.azs": {
      source: "iana",
      extensions: ["azs"]
    },
    "application/vnd.amadeus+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.amazon.ebook": {
      source: "apache",
      extensions: ["azw"]
    },
    "application/vnd.amazon.mobi8-ebook": {
      source: "iana"
    },
    "application/vnd.americandynamics.acc": {
      source: "iana",
      extensions: ["acc"]
    },
    "application/vnd.amiga.ami": {
      source: "iana",
      extensions: ["ami"]
    },
    "application/vnd.amundsen.maze+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.android.ota": {
      source: "iana"
    },
    "application/vnd.android.package-archive": {
      source: "apache",
      compressible: false,
      extensions: ["apk"]
    },
    "application/vnd.anki": {
      source: "iana"
    },
    "application/vnd.anser-web-certificate-issue-initiation": {
      source: "iana",
      extensions: ["cii"]
    },
    "application/vnd.anser-web-funds-transfer-initiation": {
      source: "apache",
      extensions: ["fti"]
    },
    "application/vnd.antix.game-component": {
      source: "iana",
      extensions: ["atx"]
    },
    "application/vnd.apache.arrow.file": {
      source: "iana"
    },
    "application/vnd.apache.arrow.stream": {
      source: "iana"
    },
    "application/vnd.apache.thrift.binary": {
      source: "iana"
    },
    "application/vnd.apache.thrift.compact": {
      source: "iana"
    },
    "application/vnd.apache.thrift.json": {
      source: "iana"
    },
    "application/vnd.api+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.aplextor.warrp+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.apothekende.reservation+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.apple.installer+xml": {
      source: "iana",
      compressible: true,
      extensions: ["mpkg"]
    },
    "application/vnd.apple.keynote": {
      source: "iana",
      extensions: ["key"]
    },
    "application/vnd.apple.mpegurl": {
      source: "iana",
      extensions: ["m3u8"]
    },
    "application/vnd.apple.numbers": {
      source: "iana",
      extensions: ["numbers"]
    },
    "application/vnd.apple.pages": {
      source: "iana",
      extensions: ["pages"]
    },
    "application/vnd.apple.pkpass": {
      compressible: false,
      extensions: ["pkpass"]
    },
    "application/vnd.arastra.swi": {
      source: "iana"
    },
    "application/vnd.aristanetworks.swi": {
      source: "iana",
      extensions: ["swi"]
    },
    "application/vnd.artisan+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.artsquare": {
      source: "iana"
    },
    "application/vnd.astraea-software.iota": {
      source: "iana",
      extensions: ["iota"]
    },
    "application/vnd.audiograph": {
      source: "iana",
      extensions: ["aep"]
    },
    "application/vnd.autopackage": {
      source: "iana"
    },
    "application/vnd.avalon+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.avistar+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.balsamiq.bmml+xml": {
      source: "iana",
      compressible: true,
      extensions: ["bmml"]
    },
    "application/vnd.balsamiq.bmpr": {
      source: "iana"
    },
    "application/vnd.banana-accounting": {
      source: "iana"
    },
    "application/vnd.bbf.usp.error": {
      source: "iana"
    },
    "application/vnd.bbf.usp.msg": {
      source: "iana"
    },
    "application/vnd.bbf.usp.msg+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.bekitzur-stech+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.bint.med-content": {
      source: "iana"
    },
    "application/vnd.biopax.rdf+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.blink-idb-value-wrapper": {
      source: "iana"
    },
    "application/vnd.blueice.multipass": {
      source: "iana",
      extensions: ["mpm"]
    },
    "application/vnd.bluetooth.ep.oob": {
      source: "iana"
    },
    "application/vnd.bluetooth.le.oob": {
      source: "iana"
    },
    "application/vnd.bmi": {
      source: "iana",
      extensions: ["bmi"]
    },
    "application/vnd.bpf": {
      source: "iana"
    },
    "application/vnd.bpf3": {
      source: "iana"
    },
    "application/vnd.businessobjects": {
      source: "iana",
      extensions: ["rep"]
    },
    "application/vnd.byu.uapi+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.cab-jscript": {
      source: "iana"
    },
    "application/vnd.canon-cpdl": {
      source: "iana"
    },
    "application/vnd.canon-lips": {
      source: "iana"
    },
    "application/vnd.capasystems-pg+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.cendio.thinlinc.clientconf": {
      source: "iana"
    },
    "application/vnd.century-systems.tcp_stream": {
      source: "iana"
    },
    "application/vnd.chemdraw+xml": {
      source: "iana",
      compressible: true,
      extensions: ["cdxml"]
    },
    "application/vnd.chess-pgn": {
      source: "iana"
    },
    "application/vnd.chipnuts.karaoke-mmd": {
      source: "iana",
      extensions: ["mmd"]
    },
    "application/vnd.ciedi": {
      source: "iana"
    },
    "application/vnd.cinderella": {
      source: "iana",
      extensions: ["cdy"]
    },
    "application/vnd.cirpack.isdn-ext": {
      source: "iana"
    },
    "application/vnd.citationstyles.style+xml": {
      source: "iana",
      compressible: true,
      extensions: ["csl"]
    },
    "application/vnd.claymore": {
      source: "iana",
      extensions: ["cla"]
    },
    "application/vnd.cloanto.rp9": {
      source: "iana",
      extensions: ["rp9"]
    },
    "application/vnd.clonk.c4group": {
      source: "iana",
      extensions: ["c4g", "c4d", "c4f", "c4p", "c4u"]
    },
    "application/vnd.cluetrust.cartomobile-config": {
      source: "iana",
      extensions: ["c11amc"]
    },
    "application/vnd.cluetrust.cartomobile-config-pkg": {
      source: "iana",
      extensions: ["c11amz"]
    },
    "application/vnd.coffeescript": {
      source: "iana"
    },
    "application/vnd.collabio.xodocuments.document": {
      source: "iana"
    },
    "application/vnd.collabio.xodocuments.document-template": {
      source: "iana"
    },
    "application/vnd.collabio.xodocuments.presentation": {
      source: "iana"
    },
    "application/vnd.collabio.xodocuments.presentation-template": {
      source: "iana"
    },
    "application/vnd.collabio.xodocuments.spreadsheet": {
      source: "iana"
    },
    "application/vnd.collabio.xodocuments.spreadsheet-template": {
      source: "iana"
    },
    "application/vnd.collection+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.collection.doc+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.collection.next+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.comicbook+zip": {
      source: "iana",
      compressible: false
    },
    "application/vnd.comicbook-rar": {
      source: "iana"
    },
    "application/vnd.commerce-battelle": {
      source: "iana"
    },
    "application/vnd.commonspace": {
      source: "iana",
      extensions: ["csp"]
    },
    "application/vnd.contact.cmsg": {
      source: "iana",
      extensions: ["cdbcmsg"]
    },
    "application/vnd.coreos.ignition+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.cosmocaller": {
      source: "iana",
      extensions: ["cmc"]
    },
    "application/vnd.crick.clicker": {
      source: "iana",
      extensions: ["clkx"]
    },
    "application/vnd.crick.clicker.keyboard": {
      source: "iana",
      extensions: ["clkk"]
    },
    "application/vnd.crick.clicker.palette": {
      source: "iana",
      extensions: ["clkp"]
    },
    "application/vnd.crick.clicker.template": {
      source: "iana",
      extensions: ["clkt"]
    },
    "application/vnd.crick.clicker.wordbank": {
      source: "iana",
      extensions: ["clkw"]
    },
    "application/vnd.criticaltools.wbs+xml": {
      source: "iana",
      compressible: true,
      extensions: ["wbs"]
    },
    "application/vnd.cryptii.pipe+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.crypto-shade-file": {
      source: "iana"
    },
    "application/vnd.cryptomator.encrypted": {
      source: "iana"
    },
    "application/vnd.cryptomator.vault": {
      source: "iana"
    },
    "application/vnd.ctc-posml": {
      source: "iana",
      extensions: ["pml"]
    },
    "application/vnd.ctct.ws+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.cups-pdf": {
      source: "iana"
    },
    "application/vnd.cups-postscript": {
      source: "iana"
    },
    "application/vnd.cups-ppd": {
      source: "iana",
      extensions: ["ppd"]
    },
    "application/vnd.cups-raster": {
      source: "iana"
    },
    "application/vnd.cups-raw": {
      source: "iana"
    },
    "application/vnd.curl": {
      source: "iana"
    },
    "application/vnd.curl.car": {
      source: "apache",
      extensions: ["car"]
    },
    "application/vnd.curl.pcurl": {
      source: "apache",
      extensions: ["pcurl"]
    },
    "application/vnd.cyan.dean.root+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.cybank": {
      source: "iana"
    },
    "application/vnd.cyclonedx+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.cyclonedx+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.d2l.coursepackage1p0+zip": {
      source: "iana",
      compressible: false
    },
    "application/vnd.d3m-dataset": {
      source: "iana"
    },
    "application/vnd.d3m-problem": {
      source: "iana"
    },
    "application/vnd.dart": {
      source: "iana",
      compressible: true,
      extensions: ["dart"]
    },
    "application/vnd.data-vision.rdz": {
      source: "iana",
      extensions: ["rdz"]
    },
    "application/vnd.datapackage+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.dataresource+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.dbf": {
      source: "iana",
      extensions: ["dbf"]
    },
    "application/vnd.debian.binary-package": {
      source: "iana"
    },
    "application/vnd.dece.data": {
      source: "iana",
      extensions: ["uvf", "uvvf", "uvd", "uvvd"]
    },
    "application/vnd.dece.ttml+xml": {
      source: "iana",
      compressible: true,
      extensions: ["uvt", "uvvt"]
    },
    "application/vnd.dece.unspecified": {
      source: "iana",
      extensions: ["uvx", "uvvx"]
    },
    "application/vnd.dece.zip": {
      source: "iana",
      extensions: ["uvz", "uvvz"]
    },
    "application/vnd.denovo.fcselayout-link": {
      source: "iana",
      extensions: ["fe_launch"]
    },
    "application/vnd.desmume.movie": {
      source: "iana"
    },
    "application/vnd.dir-bi.plate-dl-nosuffix": {
      source: "iana"
    },
    "application/vnd.dm.delegation+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.dna": {
      source: "iana",
      extensions: ["dna"]
    },
    "application/vnd.document+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.dolby.mlp": {
      source: "apache",
      extensions: ["mlp"]
    },
    "application/vnd.dolby.mobile.1": {
      source: "iana"
    },
    "application/vnd.dolby.mobile.2": {
      source: "iana"
    },
    "application/vnd.doremir.scorecloud-binary-document": {
      source: "iana"
    },
    "application/vnd.dpgraph": {
      source: "iana",
      extensions: ["dpg"]
    },
    "application/vnd.dreamfactory": {
      source: "iana",
      extensions: ["dfac"]
    },
    "application/vnd.drive+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.ds-keypoint": {
      source: "apache",
      extensions: ["kpxx"]
    },
    "application/vnd.dtg.local": {
      source: "iana"
    },
    "application/vnd.dtg.local.flash": {
      source: "iana"
    },
    "application/vnd.dtg.local.html": {
      source: "iana"
    },
    "application/vnd.dvb.ait": {
      source: "iana",
      extensions: ["ait"]
    },
    "application/vnd.dvb.dvbisl+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.dvb.dvbj": {
      source: "iana"
    },
    "application/vnd.dvb.esgcontainer": {
      source: "iana"
    },
    "application/vnd.dvb.ipdcdftnotifaccess": {
      source: "iana"
    },
    "application/vnd.dvb.ipdcesgaccess": {
      source: "iana"
    },
    "application/vnd.dvb.ipdcesgaccess2": {
      source: "iana"
    },
    "application/vnd.dvb.ipdcesgpdd": {
      source: "iana"
    },
    "application/vnd.dvb.ipdcroaming": {
      source: "iana"
    },
    "application/vnd.dvb.iptv.alfec-base": {
      source: "iana"
    },
    "application/vnd.dvb.iptv.alfec-enhancement": {
      source: "iana"
    },
    "application/vnd.dvb.notif-aggregate-root+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.dvb.notif-container+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.dvb.notif-generic+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.dvb.notif-ia-msglist+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.dvb.notif-ia-registration-request+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.dvb.notif-ia-registration-response+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.dvb.notif-init+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.dvb.pfr": {
      source: "iana"
    },
    "application/vnd.dvb.service": {
      source: "iana",
      extensions: ["svc"]
    },
    "application/vnd.dxr": {
      source: "iana"
    },
    "application/vnd.dynageo": {
      source: "iana",
      extensions: ["geo"]
    },
    "application/vnd.dzr": {
      source: "iana"
    },
    "application/vnd.easykaraoke.cdgdownload": {
      source: "iana"
    },
    "application/vnd.ecdis-update": {
      source: "iana"
    },
    "application/vnd.ecip.rlp": {
      source: "iana"
    },
    "application/vnd.eclipse.ditto+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.ecowin.chart": {
      source: "iana",
      extensions: ["mag"]
    },
    "application/vnd.ecowin.filerequest": {
      source: "iana"
    },
    "application/vnd.ecowin.fileupdate": {
      source: "iana"
    },
    "application/vnd.ecowin.series": {
      source: "iana"
    },
    "application/vnd.ecowin.seriesrequest": {
      source: "iana"
    },
    "application/vnd.ecowin.seriesupdate": {
      source: "iana"
    },
    "application/vnd.efi.img": {
      source: "iana"
    },
    "application/vnd.efi.iso": {
      source: "iana"
    },
    "application/vnd.emclient.accessrequest+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.enliven": {
      source: "iana",
      extensions: ["nml"]
    },
    "application/vnd.enphase.envoy": {
      source: "iana"
    },
    "application/vnd.eprints.data+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.epson.esf": {
      source: "iana",
      extensions: ["esf"]
    },
    "application/vnd.epson.msf": {
      source: "iana",
      extensions: ["msf"]
    },
    "application/vnd.epson.quickanime": {
      source: "iana",
      extensions: ["qam"]
    },
    "application/vnd.epson.salt": {
      source: "iana",
      extensions: ["slt"]
    },
    "application/vnd.epson.ssf": {
      source: "iana",
      extensions: ["ssf"]
    },
    "application/vnd.ericsson.quickcall": {
      source: "iana"
    },
    "application/vnd.espass-espass+zip": {
      source: "iana",
      compressible: false
    },
    "application/vnd.eszigno3+xml": {
      source: "iana",
      compressible: true,
      extensions: ["es3", "et3"]
    },
    "application/vnd.etsi.aoc+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.etsi.asic-e+zip": {
      source: "iana",
      compressible: false
    },
    "application/vnd.etsi.asic-s+zip": {
      source: "iana",
      compressible: false
    },
    "application/vnd.etsi.cug+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.etsi.iptvcommand+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.etsi.iptvdiscovery+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.etsi.iptvprofile+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.etsi.iptvsad-bc+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.etsi.iptvsad-cod+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.etsi.iptvsad-npvr+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.etsi.iptvservice+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.etsi.iptvsync+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.etsi.iptvueprofile+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.etsi.mcid+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.etsi.mheg5": {
      source: "iana"
    },
    "application/vnd.etsi.overload-control-policy-dataset+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.etsi.pstn+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.etsi.sci+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.etsi.simservs+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.etsi.timestamp-token": {
      source: "iana"
    },
    "application/vnd.etsi.tsl+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.etsi.tsl.der": {
      source: "iana"
    },
    "application/vnd.eu.kasparian.car+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.eudora.data": {
      source: "iana"
    },
    "application/vnd.evolv.ecig.profile": {
      source: "iana"
    },
    "application/vnd.evolv.ecig.settings": {
      source: "iana"
    },
    "application/vnd.evolv.ecig.theme": {
      source: "iana"
    },
    "application/vnd.exstream-empower+zip": {
      source: "iana",
      compressible: false
    },
    "application/vnd.exstream-package": {
      source: "iana"
    },
    "application/vnd.ezpix-album": {
      source: "iana",
      extensions: ["ez2"]
    },
    "application/vnd.ezpix-package": {
      source: "iana",
      extensions: ["ez3"]
    },
    "application/vnd.f-secure.mobile": {
      source: "iana"
    },
    "application/vnd.familysearch.gedcom+zip": {
      source: "iana",
      compressible: false
    },
    "application/vnd.fastcopy-disk-image": {
      source: "iana"
    },
    "application/vnd.fdf": {
      source: "iana",
      extensions: ["fdf"]
    },
    "application/vnd.fdsn.mseed": {
      source: "iana",
      extensions: ["mseed"]
    },
    "application/vnd.fdsn.seed": {
      source: "iana",
      extensions: ["seed", "dataless"]
    },
    "application/vnd.ffsns": {
      source: "iana"
    },
    "application/vnd.ficlab.flb+zip": {
      source: "iana",
      compressible: false
    },
    "application/vnd.filmit.zfc": {
      source: "iana"
    },
    "application/vnd.fints": {
      source: "iana"
    },
    "application/vnd.firemonkeys.cloudcell": {
      source: "iana"
    },
    "application/vnd.flographit": {
      source: "iana",
      extensions: ["gph"]
    },
    "application/vnd.fluxtime.clip": {
      source: "iana",
      extensions: ["ftc"]
    },
    "application/vnd.font-fontforge-sfd": {
      source: "iana"
    },
    "application/vnd.framemaker": {
      source: "iana",
      extensions: ["fm", "frame", "maker", "book"]
    },
    "application/vnd.frogans.fnc": {
      source: "iana",
      extensions: ["fnc"]
    },
    "application/vnd.frogans.ltf": {
      source: "iana",
      extensions: ["ltf"]
    },
    "application/vnd.fsc.weblaunch": {
      source: "iana",
      extensions: ["fsc"]
    },
    "application/vnd.fujifilm.fb.docuworks": {
      source: "iana"
    },
    "application/vnd.fujifilm.fb.docuworks.binder": {
      source: "iana"
    },
    "application/vnd.fujifilm.fb.docuworks.container": {
      source: "iana"
    },
    "application/vnd.fujifilm.fb.jfi+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.fujitsu.oasys": {
      source: "iana",
      extensions: ["oas"]
    },
    "application/vnd.fujitsu.oasys2": {
      source: "iana",
      extensions: ["oa2"]
    },
    "application/vnd.fujitsu.oasys3": {
      source: "iana",
      extensions: ["oa3"]
    },
    "application/vnd.fujitsu.oasysgp": {
      source: "iana",
      extensions: ["fg5"]
    },
    "application/vnd.fujitsu.oasysprs": {
      source: "iana",
      extensions: ["bh2"]
    },
    "application/vnd.fujixerox.art-ex": {
      source: "iana"
    },
    "application/vnd.fujixerox.art4": {
      source: "iana"
    },
    "application/vnd.fujixerox.ddd": {
      source: "iana",
      extensions: ["ddd"]
    },
    "application/vnd.fujixerox.docuworks": {
      source: "iana",
      extensions: ["xdw"]
    },
    "application/vnd.fujixerox.docuworks.binder": {
      source: "iana",
      extensions: ["xbd"]
    },
    "application/vnd.fujixerox.docuworks.container": {
      source: "iana"
    },
    "application/vnd.fujixerox.hbpl": {
      source: "iana"
    },
    "application/vnd.fut-misnet": {
      source: "iana"
    },
    "application/vnd.futoin+cbor": {
      source: "iana"
    },
    "application/vnd.futoin+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.fuzzysheet": {
      source: "iana",
      extensions: ["fzs"]
    },
    "application/vnd.genomatix.tuxedo": {
      source: "iana",
      extensions: ["txd"]
    },
    "application/vnd.gentics.grd+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.geo+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.geocube+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.geogebra.file": {
      source: "iana",
      extensions: ["ggb"]
    },
    "application/vnd.geogebra.slides": {
      source: "iana"
    },
    "application/vnd.geogebra.tool": {
      source: "iana",
      extensions: ["ggt"]
    },
    "application/vnd.geometry-explorer": {
      source: "iana",
      extensions: ["gex", "gre"]
    },
    "application/vnd.geonext": {
      source: "iana",
      extensions: ["gxt"]
    },
    "application/vnd.geoplan": {
      source: "iana",
      extensions: ["g2w"]
    },
    "application/vnd.geospace": {
      source: "iana",
      extensions: ["g3w"]
    },
    "application/vnd.gerber": {
      source: "iana"
    },
    "application/vnd.globalplatform.card-content-mgt": {
      source: "iana"
    },
    "application/vnd.globalplatform.card-content-mgt-response": {
      source: "iana"
    },
    "application/vnd.gmx": {
      source: "iana",
      extensions: ["gmx"]
    },
    "application/vnd.google-apps.document": {
      compressible: false,
      extensions: ["gdoc"]
    },
    "application/vnd.google-apps.presentation": {
      compressible: false,
      extensions: ["gslides"]
    },
    "application/vnd.google-apps.spreadsheet": {
      compressible: false,
      extensions: ["gsheet"]
    },
    "application/vnd.google-earth.kml+xml": {
      source: "iana",
      compressible: true,
      extensions: ["kml"]
    },
    "application/vnd.google-earth.kmz": {
      source: "iana",
      compressible: false,
      extensions: ["kmz"]
    },
    "application/vnd.gov.sk.e-form+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.gov.sk.e-form+zip": {
      source: "iana",
      compressible: false
    },
    "application/vnd.gov.sk.xmldatacontainer+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.grafeq": {
      source: "iana",
      extensions: ["gqf", "gqs"]
    },
    "application/vnd.gridmp": {
      source: "iana"
    },
    "application/vnd.groove-account": {
      source: "iana",
      extensions: ["gac"]
    },
    "application/vnd.groove-help": {
      source: "iana",
      extensions: ["ghf"]
    },
    "application/vnd.groove-identity-message": {
      source: "iana",
      extensions: ["gim"]
    },
    "application/vnd.groove-injector": {
      source: "iana",
      extensions: ["grv"]
    },
    "application/vnd.groove-tool-message": {
      source: "iana",
      extensions: ["gtm"]
    },
    "application/vnd.groove-tool-template": {
      source: "iana",
      extensions: ["tpl"]
    },
    "application/vnd.groove-vcard": {
      source: "iana",
      extensions: ["vcg"]
    },
    "application/vnd.hal+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.hal+xml": {
      source: "iana",
      compressible: true,
      extensions: ["hal"]
    },
    "application/vnd.handheld-entertainment+xml": {
      source: "iana",
      compressible: true,
      extensions: ["zmm"]
    },
    "application/vnd.hbci": {
      source: "iana",
      extensions: ["hbci"]
    },
    "application/vnd.hc+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.hcl-bireports": {
      source: "iana"
    },
    "application/vnd.hdt": {
      source: "iana"
    },
    "application/vnd.heroku+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.hhe.lesson-player": {
      source: "iana",
      extensions: ["les"]
    },
    "application/vnd.hl7cda+xml": {
      source: "iana",
      charset: "UTF-8",
      compressible: true
    },
    "application/vnd.hl7v2+xml": {
      source: "iana",
      charset: "UTF-8",
      compressible: true
    },
    "application/vnd.hp-hpgl": {
      source: "iana",
      extensions: ["hpgl"]
    },
    "application/vnd.hp-hpid": {
      source: "iana",
      extensions: ["hpid"]
    },
    "application/vnd.hp-hps": {
      source: "iana",
      extensions: ["hps"]
    },
    "application/vnd.hp-jlyt": {
      source: "iana",
      extensions: ["jlt"]
    },
    "application/vnd.hp-pcl": {
      source: "iana",
      extensions: ["pcl"]
    },
    "application/vnd.hp-pclxl": {
      source: "iana",
      extensions: ["pclxl"]
    },
    "application/vnd.httphone": {
      source: "iana"
    },
    "application/vnd.hydrostatix.sof-data": {
      source: "iana",
      extensions: ["sfd-hdstx"]
    },
    "application/vnd.hyper+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.hyper-item+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.hyperdrive+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.hzn-3d-crossword": {
      source: "iana"
    },
    "application/vnd.ibm.afplinedata": {
      source: "iana"
    },
    "application/vnd.ibm.electronic-media": {
      source: "iana"
    },
    "application/vnd.ibm.minipay": {
      source: "iana",
      extensions: ["mpy"]
    },
    "application/vnd.ibm.modcap": {
      source: "iana",
      extensions: ["afp", "listafp", "list3820"]
    },
    "application/vnd.ibm.rights-management": {
      source: "iana",
      extensions: ["irm"]
    },
    "application/vnd.ibm.secure-container": {
      source: "iana",
      extensions: ["sc"]
    },
    "application/vnd.iccprofile": {
      source: "iana",
      extensions: ["icc", "icm"]
    },
    "application/vnd.ieee.1905": {
      source: "iana"
    },
    "application/vnd.igloader": {
      source: "iana",
      extensions: ["igl"]
    },
    "application/vnd.imagemeter.folder+zip": {
      source: "iana",
      compressible: false
    },
    "application/vnd.imagemeter.image+zip": {
      source: "iana",
      compressible: false
    },
    "application/vnd.immervision-ivp": {
      source: "iana",
      extensions: ["ivp"]
    },
    "application/vnd.immervision-ivu": {
      source: "iana",
      extensions: ["ivu"]
    },
    "application/vnd.ims.imsccv1p1": {
      source: "iana"
    },
    "application/vnd.ims.imsccv1p2": {
      source: "iana"
    },
    "application/vnd.ims.imsccv1p3": {
      source: "iana"
    },
    "application/vnd.ims.lis.v2.result+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.ims.lti.v2.toolconsumerprofile+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.ims.lti.v2.toolproxy+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.ims.lti.v2.toolproxy.id+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.ims.lti.v2.toolsettings+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.ims.lti.v2.toolsettings.simple+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.informedcontrol.rms+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.informix-visionary": {
      source: "iana"
    },
    "application/vnd.infotech.project": {
      source: "iana"
    },
    "application/vnd.infotech.project+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.innopath.wamp.notification": {
      source: "iana"
    },
    "application/vnd.insors.igm": {
      source: "iana",
      extensions: ["igm"]
    },
    "application/vnd.intercon.formnet": {
      source: "iana",
      extensions: ["xpw", "xpx"]
    },
    "application/vnd.intergeo": {
      source: "iana",
      extensions: ["i2g"]
    },
    "application/vnd.intertrust.digibox": {
      source: "iana"
    },
    "application/vnd.intertrust.nncp": {
      source: "iana"
    },
    "application/vnd.intu.qbo": {
      source: "iana",
      extensions: ["qbo"]
    },
    "application/vnd.intu.qfx": {
      source: "iana",
      extensions: ["qfx"]
    },
    "application/vnd.iptc.g2.catalogitem+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.iptc.g2.conceptitem+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.iptc.g2.knowledgeitem+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.iptc.g2.newsitem+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.iptc.g2.newsmessage+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.iptc.g2.packageitem+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.iptc.g2.planningitem+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.ipunplugged.rcprofile": {
      source: "iana",
      extensions: ["rcprofile"]
    },
    "application/vnd.irepository.package+xml": {
      source: "iana",
      compressible: true,
      extensions: ["irp"]
    },
    "application/vnd.is-xpr": {
      source: "iana",
      extensions: ["xpr"]
    },
    "application/vnd.isac.fcs": {
      source: "iana",
      extensions: ["fcs"]
    },
    "application/vnd.iso11783-10+zip": {
      source: "iana",
      compressible: false
    },
    "application/vnd.jam": {
      source: "iana",
      extensions: ["jam"]
    },
    "application/vnd.japannet-directory-service": {
      source: "iana"
    },
    "application/vnd.japannet-jpnstore-wakeup": {
      source: "iana"
    },
    "application/vnd.japannet-payment-wakeup": {
      source: "iana"
    },
    "application/vnd.japannet-registration": {
      source: "iana"
    },
    "application/vnd.japannet-registration-wakeup": {
      source: "iana"
    },
    "application/vnd.japannet-setstore-wakeup": {
      source: "iana"
    },
    "application/vnd.japannet-verification": {
      source: "iana"
    },
    "application/vnd.japannet-verification-wakeup": {
      source: "iana"
    },
    "application/vnd.jcp.javame.midlet-rms": {
      source: "iana",
      extensions: ["rms"]
    },
    "application/vnd.jisp": {
      source: "iana",
      extensions: ["jisp"]
    },
    "application/vnd.joost.joda-archive": {
      source: "iana",
      extensions: ["joda"]
    },
    "application/vnd.jsk.isdn-ngn": {
      source: "iana"
    },
    "application/vnd.kahootz": {
      source: "iana",
      extensions: ["ktz", "ktr"]
    },
    "application/vnd.kde.karbon": {
      source: "iana",
      extensions: ["karbon"]
    },
    "application/vnd.kde.kchart": {
      source: "iana",
      extensions: ["chrt"]
    },
    "application/vnd.kde.kformula": {
      source: "iana",
      extensions: ["kfo"]
    },
    "application/vnd.kde.kivio": {
      source: "iana",
      extensions: ["flw"]
    },
    "application/vnd.kde.kontour": {
      source: "iana",
      extensions: ["kon"]
    },
    "application/vnd.kde.kpresenter": {
      source: "iana",
      extensions: ["kpr", "kpt"]
    },
    "application/vnd.kde.kspread": {
      source: "iana",
      extensions: ["ksp"]
    },
    "application/vnd.kde.kword": {
      source: "iana",
      extensions: ["kwd", "kwt"]
    },
    "application/vnd.kenameaapp": {
      source: "iana",
      extensions: ["htke"]
    },
    "application/vnd.kidspiration": {
      source: "iana",
      extensions: ["kia"]
    },
    "application/vnd.kinar": {
      source: "iana",
      extensions: ["kne", "knp"]
    },
    "application/vnd.koan": {
      source: "iana",
      extensions: ["skp", "skd", "skt", "skm"]
    },
    "application/vnd.kodak-descriptor": {
      source: "iana",
      extensions: ["sse"]
    },
    "application/vnd.las": {
      source: "iana"
    },
    "application/vnd.las.las+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.las.las+xml": {
      source: "iana",
      compressible: true,
      extensions: ["lasxml"]
    },
    "application/vnd.laszip": {
      source: "iana"
    },
    "application/vnd.leap+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.liberty-request+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.llamagraphics.life-balance.desktop": {
      source: "iana",
      extensions: ["lbd"]
    },
    "application/vnd.llamagraphics.life-balance.exchange+xml": {
      source: "iana",
      compressible: true,
      extensions: ["lbe"]
    },
    "application/vnd.logipipe.circuit+zip": {
      source: "iana",
      compressible: false
    },
    "application/vnd.loom": {
      source: "iana"
    },
    "application/vnd.lotus-1-2-3": {
      source: "iana",
      extensions: ["123"]
    },
    "application/vnd.lotus-approach": {
      source: "iana",
      extensions: ["apr"]
    },
    "application/vnd.lotus-freelance": {
      source: "iana",
      extensions: ["pre"]
    },
    "application/vnd.lotus-notes": {
      source: "iana",
      extensions: ["nsf"]
    },
    "application/vnd.lotus-organizer": {
      source: "iana",
      extensions: ["org"]
    },
    "application/vnd.lotus-screencam": {
      source: "iana",
      extensions: ["scm"]
    },
    "application/vnd.lotus-wordpro": {
      source: "iana",
      extensions: ["lwp"]
    },
    "application/vnd.macports.portpkg": {
      source: "iana",
      extensions: ["portpkg"]
    },
    "application/vnd.mapbox-vector-tile": {
      source: "iana",
      extensions: ["mvt"]
    },
    "application/vnd.marlin.drm.actiontoken+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.marlin.drm.conftoken+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.marlin.drm.license+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.marlin.drm.mdcf": {
      source: "iana"
    },
    "application/vnd.mason+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.maxar.archive.3tz+zip": {
      source: "iana",
      compressible: false
    },
    "application/vnd.maxmind.maxmind-db": {
      source: "iana"
    },
    "application/vnd.mcd": {
      source: "iana",
      extensions: ["mcd"]
    },
    "application/vnd.medcalcdata": {
      source: "iana",
      extensions: ["mc1"]
    },
    "application/vnd.mediastation.cdkey": {
      source: "iana",
      extensions: ["cdkey"]
    },
    "application/vnd.meridian-slingshot": {
      source: "iana"
    },
    "application/vnd.mfer": {
      source: "iana",
      extensions: ["mwf"]
    },
    "application/vnd.mfmp": {
      source: "iana",
      extensions: ["mfm"]
    },
    "application/vnd.micro+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.micrografx.flo": {
      source: "iana",
      extensions: ["flo"]
    },
    "application/vnd.micrografx.igx": {
      source: "iana",
      extensions: ["igx"]
    },
    "application/vnd.microsoft.portable-executable": {
      source: "iana"
    },
    "application/vnd.microsoft.windows.thumbnail-cache": {
      source: "iana"
    },
    "application/vnd.miele+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.mif": {
      source: "iana",
      extensions: ["mif"]
    },
    "application/vnd.minisoft-hp3000-save": {
      source: "iana"
    },
    "application/vnd.mitsubishi.misty-guard.trustweb": {
      source: "iana"
    },
    "application/vnd.mobius.daf": {
      source: "iana",
      extensions: ["daf"]
    },
    "application/vnd.mobius.dis": {
      source: "iana",
      extensions: ["dis"]
    },
    "application/vnd.mobius.mbk": {
      source: "iana",
      extensions: ["mbk"]
    },
    "application/vnd.mobius.mqy": {
      source: "iana",
      extensions: ["mqy"]
    },
    "application/vnd.mobius.msl": {
      source: "iana",
      extensions: ["msl"]
    },
    "application/vnd.mobius.plc": {
      source: "iana",
      extensions: ["plc"]
    },
    "application/vnd.mobius.txf": {
      source: "iana",
      extensions: ["txf"]
    },
    "application/vnd.mophun.application": {
      source: "iana",
      extensions: ["mpn"]
    },
    "application/vnd.mophun.certificate": {
      source: "iana",
      extensions: ["mpc"]
    },
    "application/vnd.motorola.flexsuite": {
      source: "iana"
    },
    "application/vnd.motorola.flexsuite.adsi": {
      source: "iana"
    },
    "application/vnd.motorola.flexsuite.fis": {
      source: "iana"
    },
    "application/vnd.motorola.flexsuite.gotap": {
      source: "iana"
    },
    "application/vnd.motorola.flexsuite.kmr": {
      source: "iana"
    },
    "application/vnd.motorola.flexsuite.ttc": {
      source: "iana"
    },
    "application/vnd.motorola.flexsuite.wem": {
      source: "iana"
    },
    "application/vnd.motorola.iprm": {
      source: "iana"
    },
    "application/vnd.mozilla.xul+xml": {
      source: "iana",
      compressible: true,
      extensions: ["xul"]
    },
    "application/vnd.ms-3mfdocument": {
      source: "iana"
    },
    "application/vnd.ms-artgalry": {
      source: "iana",
      extensions: ["cil"]
    },
    "application/vnd.ms-asf": {
      source: "iana"
    },
    "application/vnd.ms-cab-compressed": {
      source: "iana",
      extensions: ["cab"]
    },
    "application/vnd.ms-color.iccprofile": {
      source: "apache"
    },
    "application/vnd.ms-excel": {
      source: "iana",
      compressible: false,
      extensions: ["xls", "xlm", "xla", "xlc", "xlt", "xlw"]
    },
    "application/vnd.ms-excel.addin.macroenabled.12": {
      source: "iana",
      extensions: ["xlam"]
    },
    "application/vnd.ms-excel.sheet.binary.macroenabled.12": {
      source: "iana",
      extensions: ["xlsb"]
    },
    "application/vnd.ms-excel.sheet.macroenabled.12": {
      source: "iana",
      extensions: ["xlsm"]
    },
    "application/vnd.ms-excel.template.macroenabled.12": {
      source: "iana",
      extensions: ["xltm"]
    },
    "application/vnd.ms-fontobject": {
      source: "iana",
      compressible: true,
      extensions: ["eot"]
    },
    "application/vnd.ms-htmlhelp": {
      source: "iana",
      extensions: ["chm"]
    },
    "application/vnd.ms-ims": {
      source: "iana",
      extensions: ["ims"]
    },
    "application/vnd.ms-lrm": {
      source: "iana",
      extensions: ["lrm"]
    },
    "application/vnd.ms-office.activex+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.ms-officetheme": {
      source: "iana",
      extensions: ["thmx"]
    },
    "application/vnd.ms-opentype": {
      source: "apache",
      compressible: true
    },
    "application/vnd.ms-outlook": {
      compressible: false,
      extensions: ["msg"]
    },
    "application/vnd.ms-package.obfuscated-opentype": {
      source: "apache"
    },
    "application/vnd.ms-pki.seccat": {
      source: "apache",
      extensions: ["cat"]
    },
    "application/vnd.ms-pki.stl": {
      source: "apache",
      extensions: ["stl"]
    },
    "application/vnd.ms-playready.initiator+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.ms-powerpoint": {
      source: "iana",
      compressible: false,
      extensions: ["ppt", "pps", "pot"]
    },
    "application/vnd.ms-powerpoint.addin.macroenabled.12": {
      source: "iana",
      extensions: ["ppam"]
    },
    "application/vnd.ms-powerpoint.presentation.macroenabled.12": {
      source: "iana",
      extensions: ["pptm"]
    },
    "application/vnd.ms-powerpoint.slide.macroenabled.12": {
      source: "iana",
      extensions: ["sldm"]
    },
    "application/vnd.ms-powerpoint.slideshow.macroenabled.12": {
      source: "iana",
      extensions: ["ppsm"]
    },
    "application/vnd.ms-powerpoint.template.macroenabled.12": {
      source: "iana",
      extensions: ["potm"]
    },
    "application/vnd.ms-printdevicecapabilities+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.ms-printing.printticket+xml": {
      source: "apache",
      compressible: true
    },
    "application/vnd.ms-printschematicket+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.ms-project": {
      source: "iana",
      extensions: ["mpp", "mpt"]
    },
    "application/vnd.ms-tnef": {
      source: "iana"
    },
    "application/vnd.ms-windows.devicepairing": {
      source: "iana"
    },
    "application/vnd.ms-windows.nwprinting.oob": {
      source: "iana"
    },
    "application/vnd.ms-windows.printerpairing": {
      source: "iana"
    },
    "application/vnd.ms-windows.wsd.oob": {
      source: "iana"
    },
    "application/vnd.ms-wmdrm.lic-chlg-req": {
      source: "iana"
    },
    "application/vnd.ms-wmdrm.lic-resp": {
      source: "iana"
    },
    "application/vnd.ms-wmdrm.meter-chlg-req": {
      source: "iana"
    },
    "application/vnd.ms-wmdrm.meter-resp": {
      source: "iana"
    },
    "application/vnd.ms-word.document.macroenabled.12": {
      source: "iana",
      extensions: ["docm"]
    },
    "application/vnd.ms-word.template.macroenabled.12": {
      source: "iana",
      extensions: ["dotm"]
    },
    "application/vnd.ms-works": {
      source: "iana",
      extensions: ["wps", "wks", "wcm", "wdb"]
    },
    "application/vnd.ms-wpl": {
      source: "iana",
      extensions: ["wpl"]
    },
    "application/vnd.ms-xpsdocument": {
      source: "iana",
      compressible: false,
      extensions: ["xps"]
    },
    "application/vnd.msa-disk-image": {
      source: "iana"
    },
    "application/vnd.mseq": {
      source: "iana",
      extensions: ["mseq"]
    },
    "application/vnd.msign": {
      source: "iana"
    },
    "application/vnd.multiad.creator": {
      source: "iana"
    },
    "application/vnd.multiad.creator.cif": {
      source: "iana"
    },
    "application/vnd.music-niff": {
      source: "iana"
    },
    "application/vnd.musician": {
      source: "iana",
      extensions: ["mus"]
    },
    "application/vnd.muvee.style": {
      source: "iana",
      extensions: ["msty"]
    },
    "application/vnd.mynfc": {
      source: "iana",
      extensions: ["taglet"]
    },
    "application/vnd.nacamar.ybrid+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.ncd.control": {
      source: "iana"
    },
    "application/vnd.ncd.reference": {
      source: "iana"
    },
    "application/vnd.nearst.inv+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.nebumind.line": {
      source: "iana"
    },
    "application/vnd.nervana": {
      source: "iana"
    },
    "application/vnd.netfpx": {
      source: "iana"
    },
    "application/vnd.neurolanguage.nlu": {
      source: "iana",
      extensions: ["nlu"]
    },
    "application/vnd.nimn": {
      source: "iana"
    },
    "application/vnd.nintendo.nitro.rom": {
      source: "iana"
    },
    "application/vnd.nintendo.snes.rom": {
      source: "iana"
    },
    "application/vnd.nitf": {
      source: "iana",
      extensions: ["ntf", "nitf"]
    },
    "application/vnd.noblenet-directory": {
      source: "iana",
      extensions: ["nnd"]
    },
    "application/vnd.noblenet-sealer": {
      source: "iana",
      extensions: ["nns"]
    },
    "application/vnd.noblenet-web": {
      source: "iana",
      extensions: ["nnw"]
    },
    "application/vnd.nokia.catalogs": {
      source: "iana"
    },
    "application/vnd.nokia.conml+wbxml": {
      source: "iana"
    },
    "application/vnd.nokia.conml+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.nokia.iptv.config+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.nokia.isds-radio-presets": {
      source: "iana"
    },
    "application/vnd.nokia.landmark+wbxml": {
      source: "iana"
    },
    "application/vnd.nokia.landmark+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.nokia.landmarkcollection+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.nokia.n-gage.ac+xml": {
      source: "iana",
      compressible: true,
      extensions: ["ac"]
    },
    "application/vnd.nokia.n-gage.data": {
      source: "iana",
      extensions: ["ngdat"]
    },
    "application/vnd.nokia.n-gage.symbian.install": {
      source: "iana",
      extensions: ["n-gage"]
    },
    "application/vnd.nokia.ncd": {
      source: "iana"
    },
    "application/vnd.nokia.pcd+wbxml": {
      source: "iana"
    },
    "application/vnd.nokia.pcd+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.nokia.radio-preset": {
      source: "iana",
      extensions: ["rpst"]
    },
    "application/vnd.nokia.radio-presets": {
      source: "iana",
      extensions: ["rpss"]
    },
    "application/vnd.novadigm.edm": {
      source: "iana",
      extensions: ["edm"]
    },
    "application/vnd.novadigm.edx": {
      source: "iana",
      extensions: ["edx"]
    },
    "application/vnd.novadigm.ext": {
      source: "iana",
      extensions: ["ext"]
    },
    "application/vnd.ntt-local.content-share": {
      source: "iana"
    },
    "application/vnd.ntt-local.file-transfer": {
      source: "iana"
    },
    "application/vnd.ntt-local.ogw_remote-access": {
      source: "iana"
    },
    "application/vnd.ntt-local.sip-ta_remote": {
      source: "iana"
    },
    "application/vnd.ntt-local.sip-ta_tcp_stream": {
      source: "iana"
    },
    "application/vnd.oasis.opendocument.chart": {
      source: "iana",
      extensions: ["odc"]
    },
    "application/vnd.oasis.opendocument.chart-template": {
      source: "iana",
      extensions: ["otc"]
    },
    "application/vnd.oasis.opendocument.database": {
      source: "iana",
      extensions: ["odb"]
    },
    "application/vnd.oasis.opendocument.formula": {
      source: "iana",
      extensions: ["odf"]
    },
    "application/vnd.oasis.opendocument.formula-template": {
      source: "iana",
      extensions: ["odft"]
    },
    "application/vnd.oasis.opendocument.graphics": {
      source: "iana",
      compressible: false,
      extensions: ["odg"]
    },
    "application/vnd.oasis.opendocument.graphics-template": {
      source: "iana",
      extensions: ["otg"]
    },
    "application/vnd.oasis.opendocument.image": {
      source: "iana",
      extensions: ["odi"]
    },
    "application/vnd.oasis.opendocument.image-template": {
      source: "iana",
      extensions: ["oti"]
    },
    "application/vnd.oasis.opendocument.presentation": {
      source: "iana",
      compressible: false,
      extensions: ["odp"]
    },
    "application/vnd.oasis.opendocument.presentation-template": {
      source: "iana",
      extensions: ["otp"]
    },
    "application/vnd.oasis.opendocument.spreadsheet": {
      source: "iana",
      compressible: false,
      extensions: ["ods"]
    },
    "application/vnd.oasis.opendocument.spreadsheet-template": {
      source: "iana",
      extensions: ["ots"]
    },
    "application/vnd.oasis.opendocument.text": {
      source: "iana",
      compressible: false,
      extensions: ["odt"]
    },
    "application/vnd.oasis.opendocument.text-master": {
      source: "iana",
      extensions: ["odm"]
    },
    "application/vnd.oasis.opendocument.text-template": {
      source: "iana",
      extensions: ["ott"]
    },
    "application/vnd.oasis.opendocument.text-web": {
      source: "iana",
      extensions: ["oth"]
    },
    "application/vnd.obn": {
      source: "iana"
    },
    "application/vnd.ocf+cbor": {
      source: "iana"
    },
    "application/vnd.oci.image.manifest.v1+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.oftn.l10n+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.oipf.contentaccessdownload+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.oipf.contentaccessstreaming+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.oipf.cspg-hexbinary": {
      source: "iana"
    },
    "application/vnd.oipf.dae.svg+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.oipf.dae.xhtml+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.oipf.mippvcontrolmessage+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.oipf.pae.gem": {
      source: "iana"
    },
    "application/vnd.oipf.spdiscovery+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.oipf.spdlist+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.oipf.ueprofile+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.oipf.userprofile+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.olpc-sugar": {
      source: "iana",
      extensions: ["xo"]
    },
    "application/vnd.oma-scws-config": {
      source: "iana"
    },
    "application/vnd.oma-scws-http-request": {
      source: "iana"
    },
    "application/vnd.oma-scws-http-response": {
      source: "iana"
    },
    "application/vnd.oma.bcast.associated-procedure-parameter+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.oma.bcast.drm-trigger+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.oma.bcast.imd+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.oma.bcast.ltkm": {
      source: "iana"
    },
    "application/vnd.oma.bcast.notification+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.oma.bcast.provisioningtrigger": {
      source: "iana"
    },
    "application/vnd.oma.bcast.sgboot": {
      source: "iana"
    },
    "application/vnd.oma.bcast.sgdd+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.oma.bcast.sgdu": {
      source: "iana"
    },
    "application/vnd.oma.bcast.simple-symbol-container": {
      source: "iana"
    },
    "application/vnd.oma.bcast.smartcard-trigger+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.oma.bcast.sprov+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.oma.bcast.stkm": {
      source: "iana"
    },
    "application/vnd.oma.cab-address-book+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.oma.cab-feature-handler+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.oma.cab-pcc+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.oma.cab-subs-invite+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.oma.cab-user-prefs+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.oma.dcd": {
      source: "iana"
    },
    "application/vnd.oma.dcdc": {
      source: "iana"
    },
    "application/vnd.oma.dd2+xml": {
      source: "iana",
      compressible: true,
      extensions: ["dd2"]
    },
    "application/vnd.oma.drm.risd+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.oma.group-usage-list+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.oma.lwm2m+cbor": {
      source: "iana"
    },
    "application/vnd.oma.lwm2m+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.oma.lwm2m+tlv": {
      source: "iana"
    },
    "application/vnd.oma.pal+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.oma.poc.detailed-progress-report+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.oma.poc.final-report+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.oma.poc.groups+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.oma.poc.invocation-descriptor+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.oma.poc.optimized-progress-report+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.oma.push": {
      source: "iana"
    },
    "application/vnd.oma.scidm.messages+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.oma.xcap-directory+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.omads-email+xml": {
      source: "iana",
      charset: "UTF-8",
      compressible: true
    },
    "application/vnd.omads-file+xml": {
      source: "iana",
      charset: "UTF-8",
      compressible: true
    },
    "application/vnd.omads-folder+xml": {
      source: "iana",
      charset: "UTF-8",
      compressible: true
    },
    "application/vnd.omaloc-supl-init": {
      source: "iana"
    },
    "application/vnd.onepager": {
      source: "iana"
    },
    "application/vnd.onepagertamp": {
      source: "iana"
    },
    "application/vnd.onepagertamx": {
      source: "iana"
    },
    "application/vnd.onepagertat": {
      source: "iana"
    },
    "application/vnd.onepagertatp": {
      source: "iana"
    },
    "application/vnd.onepagertatx": {
      source: "iana"
    },
    "application/vnd.openblox.game+xml": {
      source: "iana",
      compressible: true,
      extensions: ["obgx"]
    },
    "application/vnd.openblox.game-binary": {
      source: "iana"
    },
    "application/vnd.openeye.oeb": {
      source: "iana"
    },
    "application/vnd.openofficeorg.extension": {
      source: "apache",
      extensions: ["oxt"]
    },
    "application/vnd.openstreetmap.data+xml": {
      source: "iana",
      compressible: true,
      extensions: ["osm"]
    },
    "application/vnd.opentimestamps.ots": {
      source: "iana"
    },
    "application/vnd.openxmlformats-officedocument.custom-properties+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.customxmlproperties+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.drawing+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.drawingml.chart+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.drawingml.chartshapes+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.drawingml.diagramcolors+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.drawingml.diagramdata+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.drawingml.diagramlayout+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.drawingml.diagramstyle+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.extended-properties+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.presentationml.commentauthors+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.presentationml.comments+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.presentationml.handoutmaster+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.presentationml.notesmaster+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.presentationml.notesslide+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.presentationml.presentation": {
      source: "iana",
      compressible: false,
      extensions: ["pptx"]
    },
    "application/vnd.openxmlformats-officedocument.presentationml.presentation.main+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.presentationml.presprops+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.presentationml.slide": {
      source: "iana",
      extensions: ["sldx"]
    },
    "application/vnd.openxmlformats-officedocument.presentationml.slide+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.presentationml.slidelayout+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.presentationml.slidemaster+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.presentationml.slideshow": {
      source: "iana",
      extensions: ["ppsx"]
    },
    "application/vnd.openxmlformats-officedocument.presentationml.slideshow.main+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.presentationml.slideupdateinfo+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.presentationml.tablestyles+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.presentationml.tags+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.presentationml.template": {
      source: "iana",
      extensions: ["potx"]
    },
    "application/vnd.openxmlformats-officedocument.presentationml.template.main+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.presentationml.viewprops+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.spreadsheetml.calcchain+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.spreadsheetml.chartsheet+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.spreadsheetml.comments+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.spreadsheetml.connections+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.spreadsheetml.dialogsheet+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.spreadsheetml.externallink+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.spreadsheetml.pivotcachedefinition+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.spreadsheetml.pivotcacherecords+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.spreadsheetml.pivottable+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.spreadsheetml.querytable+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.spreadsheetml.revisionheaders+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.spreadsheetml.revisionlog+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.spreadsheetml.sharedstrings+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet": {
      source: "iana",
      compressible: false,
      extensions: ["xlsx"]
    },
    "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet.main+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.spreadsheetml.sheetmetadata+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.spreadsheetml.styles+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.spreadsheetml.table+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.spreadsheetml.tablesinglecells+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.spreadsheetml.template": {
      source: "iana",
      extensions: ["xltx"]
    },
    "application/vnd.openxmlformats-officedocument.spreadsheetml.template.main+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.spreadsheetml.usernames+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.spreadsheetml.volatiledependencies+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.spreadsheetml.worksheet+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.theme+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.themeoverride+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.vmldrawing": {
      source: "iana"
    },
    "application/vnd.openxmlformats-officedocument.wordprocessingml.comments+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.wordprocessingml.document": {
      source: "iana",
      compressible: false,
      extensions: ["docx"]
    },
    "application/vnd.openxmlformats-officedocument.wordprocessingml.document.glossary+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.wordprocessingml.document.main+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.wordprocessingml.endnotes+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.wordprocessingml.fonttable+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.wordprocessingml.footer+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.wordprocessingml.footnotes+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.wordprocessingml.numbering+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.wordprocessingml.settings+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.wordprocessingml.styles+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.wordprocessingml.template": {
      source: "iana",
      extensions: ["dotx"]
    },
    "application/vnd.openxmlformats-officedocument.wordprocessingml.template.main+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-officedocument.wordprocessingml.websettings+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-package.core-properties+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-package.digital-signature-xmlsignature+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.openxmlformats-package.relationships+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.oracle.resource+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.orange.indata": {
      source: "iana"
    },
    "application/vnd.osa.netdeploy": {
      source: "iana"
    },
    "application/vnd.osgeo.mapguide.package": {
      source: "iana",
      extensions: ["mgp"]
    },
    "application/vnd.osgi.bundle": {
      source: "iana"
    },
    "application/vnd.osgi.dp": {
      source: "iana",
      extensions: ["dp"]
    },
    "application/vnd.osgi.subsystem": {
      source: "iana",
      extensions: ["esa"]
    },
    "application/vnd.otps.ct-kip+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.oxli.countgraph": {
      source: "iana"
    },
    "application/vnd.pagerduty+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.palm": {
      source: "iana",
      extensions: ["pdb", "pqa", "oprc"]
    },
    "application/vnd.panoply": {
      source: "iana"
    },
    "application/vnd.paos.xml": {
      source: "iana"
    },
    "application/vnd.patentdive": {
      source: "iana"
    },
    "application/vnd.patientecommsdoc": {
      source: "iana"
    },
    "application/vnd.pawaafile": {
      source: "iana",
      extensions: ["paw"]
    },
    "application/vnd.pcos": {
      source: "iana"
    },
    "application/vnd.pg.format": {
      source: "iana",
      extensions: ["str"]
    },
    "application/vnd.pg.osasli": {
      source: "iana",
      extensions: ["ei6"]
    },
    "application/vnd.piaccess.application-licence": {
      source: "iana"
    },
    "application/vnd.picsel": {
      source: "iana",
      extensions: ["efif"]
    },
    "application/vnd.pmi.widget": {
      source: "iana",
      extensions: ["wg"]
    },
    "application/vnd.poc.group-advertisement+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.pocketlearn": {
      source: "iana",
      extensions: ["plf"]
    },
    "application/vnd.powerbuilder6": {
      source: "iana",
      extensions: ["pbd"]
    },
    "application/vnd.powerbuilder6-s": {
      source: "iana"
    },
    "application/vnd.powerbuilder7": {
      source: "iana"
    },
    "application/vnd.powerbuilder7-s": {
      source: "iana"
    },
    "application/vnd.powerbuilder75": {
      source: "iana"
    },
    "application/vnd.powerbuilder75-s": {
      source: "iana"
    },
    "application/vnd.preminet": {
      source: "iana"
    },
    "application/vnd.previewsystems.box": {
      source: "iana",
      extensions: ["box"]
    },
    "application/vnd.proteus.magazine": {
      source: "iana",
      extensions: ["mgz"]
    },
    "application/vnd.psfs": {
      source: "iana"
    },
    "application/vnd.publishare-delta-tree": {
      source: "iana",
      extensions: ["qps"]
    },
    "application/vnd.pvi.ptid1": {
      source: "iana",
      extensions: ["ptid"]
    },
    "application/vnd.pwg-multiplexed": {
      source: "iana"
    },
    "application/vnd.pwg-xhtml-print+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.qualcomm.brew-app-res": {
      source: "iana"
    },
    "application/vnd.quarantainenet": {
      source: "iana"
    },
    "application/vnd.quark.quarkxpress": {
      source: "iana",
      extensions: ["qxd", "qxt", "qwd", "qwt", "qxl", "qxb"]
    },
    "application/vnd.quobject-quoxdocument": {
      source: "iana"
    },
    "application/vnd.radisys.moml+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.radisys.msml+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.radisys.msml-audit+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.radisys.msml-audit-conf+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.radisys.msml-audit-conn+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.radisys.msml-audit-dialog+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.radisys.msml-audit-stream+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.radisys.msml-conf+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.radisys.msml-dialog+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.radisys.msml-dialog-base+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.radisys.msml-dialog-fax-detect+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.radisys.msml-dialog-fax-sendrecv+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.radisys.msml-dialog-group+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.radisys.msml-dialog-speech+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.radisys.msml-dialog-transform+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.rainstor.data": {
      source: "iana"
    },
    "application/vnd.rapid": {
      source: "iana"
    },
    "application/vnd.rar": {
      source: "iana",
      extensions: ["rar"]
    },
    "application/vnd.realvnc.bed": {
      source: "iana",
      extensions: ["bed"]
    },
    "application/vnd.recordare.musicxml": {
      source: "iana",
      extensions: ["mxl"]
    },
    "application/vnd.recordare.musicxml+xml": {
      source: "iana",
      compressible: true,
      extensions: ["musicxml"]
    },
    "application/vnd.renlearn.rlprint": {
      source: "iana"
    },
    "application/vnd.resilient.logic": {
      source: "iana"
    },
    "application/vnd.restful+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.rig.cryptonote": {
      source: "iana",
      extensions: ["cryptonote"]
    },
    "application/vnd.rim.cod": {
      source: "apache",
      extensions: ["cod"]
    },
    "application/vnd.rn-realmedia": {
      source: "apache",
      extensions: ["rm"]
    },
    "application/vnd.rn-realmedia-vbr": {
      source: "apache",
      extensions: ["rmvb"]
    },
    "application/vnd.route66.link66+xml": {
      source: "iana",
      compressible: true,
      extensions: ["link66"]
    },
    "application/vnd.rs-274x": {
      source: "iana"
    },
    "application/vnd.ruckus.download": {
      source: "iana"
    },
    "application/vnd.s3sms": {
      source: "iana"
    },
    "application/vnd.sailingtracker.track": {
      source: "iana",
      extensions: ["st"]
    },
    "application/vnd.sar": {
      source: "iana"
    },
    "application/vnd.sbm.cid": {
      source: "iana"
    },
    "application/vnd.sbm.mid2": {
      source: "iana"
    },
    "application/vnd.scribus": {
      source: "iana"
    },
    "application/vnd.sealed.3df": {
      source: "iana"
    },
    "application/vnd.sealed.csf": {
      source: "iana"
    },
    "application/vnd.sealed.doc": {
      source: "iana"
    },
    "application/vnd.sealed.eml": {
      source: "iana"
    },
    "application/vnd.sealed.mht": {
      source: "iana"
    },
    "application/vnd.sealed.net": {
      source: "iana"
    },
    "application/vnd.sealed.ppt": {
      source: "iana"
    },
    "application/vnd.sealed.tiff": {
      source: "iana"
    },
    "application/vnd.sealed.xls": {
      source: "iana"
    },
    "application/vnd.sealedmedia.softseal.html": {
      source: "iana"
    },
    "application/vnd.sealedmedia.softseal.pdf": {
      source: "iana"
    },
    "application/vnd.seemail": {
      source: "iana",
      extensions: ["see"]
    },
    "application/vnd.seis+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.sema": {
      source: "iana",
      extensions: ["sema"]
    },
    "application/vnd.semd": {
      source: "iana",
      extensions: ["semd"]
    },
    "application/vnd.semf": {
      source: "iana",
      extensions: ["semf"]
    },
    "application/vnd.shade-save-file": {
      source: "iana"
    },
    "application/vnd.shana.informed.formdata": {
      source: "iana",
      extensions: ["ifm"]
    },
    "application/vnd.shana.informed.formtemplate": {
      source: "iana",
      extensions: ["itp"]
    },
    "application/vnd.shana.informed.interchange": {
      source: "iana",
      extensions: ["iif"]
    },
    "application/vnd.shana.informed.package": {
      source: "iana",
      extensions: ["ipk"]
    },
    "application/vnd.shootproof+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.shopkick+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.shp": {
      source: "iana"
    },
    "application/vnd.shx": {
      source: "iana"
    },
    "application/vnd.sigrok.session": {
      source: "iana"
    },
    "application/vnd.simtech-mindmapper": {
      source: "iana",
      extensions: ["twd", "twds"]
    },
    "application/vnd.siren+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.smaf": {
      source: "iana",
      extensions: ["mmf"]
    },
    "application/vnd.smart.notebook": {
      source: "iana"
    },
    "application/vnd.smart.teacher": {
      source: "iana",
      extensions: ["teacher"]
    },
    "application/vnd.snesdev-page-table": {
      source: "iana"
    },
    "application/vnd.software602.filler.form+xml": {
      source: "iana",
      compressible: true,
      extensions: ["fo"]
    },
    "application/vnd.software602.filler.form-xml-zip": {
      source: "iana"
    },
    "application/vnd.solent.sdkm+xml": {
      source: "iana",
      compressible: true,
      extensions: ["sdkm", "sdkd"]
    },
    "application/vnd.spotfire.dxp": {
      source: "iana",
      extensions: ["dxp"]
    },
    "application/vnd.spotfire.sfs": {
      source: "iana",
      extensions: ["sfs"]
    },
    "application/vnd.sqlite3": {
      source: "iana"
    },
    "application/vnd.sss-cod": {
      source: "iana"
    },
    "application/vnd.sss-dtf": {
      source: "iana"
    },
    "application/vnd.sss-ntf": {
      source: "iana"
    },
    "application/vnd.stardivision.calc": {
      source: "apache",
      extensions: ["sdc"]
    },
    "application/vnd.stardivision.draw": {
      source: "apache",
      extensions: ["sda"]
    },
    "application/vnd.stardivision.impress": {
      source: "apache",
      extensions: ["sdd"]
    },
    "application/vnd.stardivision.math": {
      source: "apache",
      extensions: ["smf"]
    },
    "application/vnd.stardivision.writer": {
      source: "apache",
      extensions: ["sdw", "vor"]
    },
    "application/vnd.stardivision.writer-global": {
      source: "apache",
      extensions: ["sgl"]
    },
    "application/vnd.stepmania.package": {
      source: "iana",
      extensions: ["smzip"]
    },
    "application/vnd.stepmania.stepchart": {
      source: "iana",
      extensions: ["sm"]
    },
    "application/vnd.street-stream": {
      source: "iana"
    },
    "application/vnd.sun.wadl+xml": {
      source: "iana",
      compressible: true,
      extensions: ["wadl"]
    },
    "application/vnd.sun.xml.calc": {
      source: "apache",
      extensions: ["sxc"]
    },
    "application/vnd.sun.xml.calc.template": {
      source: "apache",
      extensions: ["stc"]
    },
    "application/vnd.sun.xml.draw": {
      source: "apache",
      extensions: ["sxd"]
    },
    "application/vnd.sun.xml.draw.template": {
      source: "apache",
      extensions: ["std"]
    },
    "application/vnd.sun.xml.impress": {
      source: "apache",
      extensions: ["sxi"]
    },
    "application/vnd.sun.xml.impress.template": {
      source: "apache",
      extensions: ["sti"]
    },
    "application/vnd.sun.xml.math": {
      source: "apache",
      extensions: ["sxm"]
    },
    "application/vnd.sun.xml.writer": {
      source: "apache",
      extensions: ["sxw"]
    },
    "application/vnd.sun.xml.writer.global": {
      source: "apache",
      extensions: ["sxg"]
    },
    "application/vnd.sun.xml.writer.template": {
      source: "apache",
      extensions: ["stw"]
    },
    "application/vnd.sus-calendar": {
      source: "iana",
      extensions: ["sus", "susp"]
    },
    "application/vnd.svd": {
      source: "iana",
      extensions: ["svd"]
    },
    "application/vnd.swiftview-ics": {
      source: "iana"
    },
    "application/vnd.sycle+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.syft+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.symbian.install": {
      source: "apache",
      extensions: ["sis", "sisx"]
    },
    "application/vnd.syncml+xml": {
      source: "iana",
      charset: "UTF-8",
      compressible: true,
      extensions: ["xsm"]
    },
    "application/vnd.syncml.dm+wbxml": {
      source: "iana",
      charset: "UTF-8",
      extensions: ["bdm"]
    },
    "application/vnd.syncml.dm+xml": {
      source: "iana",
      charset: "UTF-8",
      compressible: true,
      extensions: ["xdm"]
    },
    "application/vnd.syncml.dm.notification": {
      source: "iana"
    },
    "application/vnd.syncml.dmddf+wbxml": {
      source: "iana"
    },
    "application/vnd.syncml.dmddf+xml": {
      source: "iana",
      charset: "UTF-8",
      compressible: true,
      extensions: ["ddf"]
    },
    "application/vnd.syncml.dmtnds+wbxml": {
      source: "iana"
    },
    "application/vnd.syncml.dmtnds+xml": {
      source: "iana",
      charset: "UTF-8",
      compressible: true
    },
    "application/vnd.syncml.ds.notification": {
      source: "iana"
    },
    "application/vnd.tableschema+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.tao.intent-module-archive": {
      source: "iana",
      extensions: ["tao"]
    },
    "application/vnd.tcpdump.pcap": {
      source: "iana",
      extensions: ["pcap", "cap", "dmp"]
    },
    "application/vnd.think-cell.ppttc+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.tmd.mediaflex.api+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.tml": {
      source: "iana"
    },
    "application/vnd.tmobile-livetv": {
      source: "iana",
      extensions: ["tmo"]
    },
    "application/vnd.tri.onesource": {
      source: "iana"
    },
    "application/vnd.trid.tpt": {
      source: "iana",
      extensions: ["tpt"]
    },
    "application/vnd.triscape.mxs": {
      source: "iana",
      extensions: ["mxs"]
    },
    "application/vnd.trueapp": {
      source: "iana",
      extensions: ["tra"]
    },
    "application/vnd.truedoc": {
      source: "iana"
    },
    "application/vnd.ubisoft.webplayer": {
      source: "iana"
    },
    "application/vnd.ufdl": {
      source: "iana",
      extensions: ["ufd", "ufdl"]
    },
    "application/vnd.uiq.theme": {
      source: "iana",
      extensions: ["utz"]
    },
    "application/vnd.umajin": {
      source: "iana",
      extensions: ["umj"]
    },
    "application/vnd.unity": {
      source: "iana",
      extensions: ["unityweb"]
    },
    "application/vnd.uoml+xml": {
      source: "iana",
      compressible: true,
      extensions: ["uoml"]
    },
    "application/vnd.uplanet.alert": {
      source: "iana"
    },
    "application/vnd.uplanet.alert-wbxml": {
      source: "iana"
    },
    "application/vnd.uplanet.bearer-choice": {
      source: "iana"
    },
    "application/vnd.uplanet.bearer-choice-wbxml": {
      source: "iana"
    },
    "application/vnd.uplanet.cacheop": {
      source: "iana"
    },
    "application/vnd.uplanet.cacheop-wbxml": {
      source: "iana"
    },
    "application/vnd.uplanet.channel": {
      source: "iana"
    },
    "application/vnd.uplanet.channel-wbxml": {
      source: "iana"
    },
    "application/vnd.uplanet.list": {
      source: "iana"
    },
    "application/vnd.uplanet.list-wbxml": {
      source: "iana"
    },
    "application/vnd.uplanet.listcmd": {
      source: "iana"
    },
    "application/vnd.uplanet.listcmd-wbxml": {
      source: "iana"
    },
    "application/vnd.uplanet.signal": {
      source: "iana"
    },
    "application/vnd.uri-map": {
      source: "iana"
    },
    "application/vnd.valve.source.material": {
      source: "iana"
    },
    "application/vnd.vcx": {
      source: "iana",
      extensions: ["vcx"]
    },
    "application/vnd.vd-study": {
      source: "iana"
    },
    "application/vnd.vectorworks": {
      source: "iana"
    },
    "application/vnd.vel+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.verimatrix.vcas": {
      source: "iana"
    },
    "application/vnd.veritone.aion+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.veryant.thin": {
      source: "iana"
    },
    "application/vnd.ves.encrypted": {
      source: "iana"
    },
    "application/vnd.vidsoft.vidconference": {
      source: "iana"
    },
    "application/vnd.visio": {
      source: "iana",
      extensions: ["vsd", "vst", "vss", "vsw"]
    },
    "application/vnd.visionary": {
      source: "iana",
      extensions: ["vis"]
    },
    "application/vnd.vividence.scriptfile": {
      source: "iana"
    },
    "application/vnd.vsf": {
      source: "iana",
      extensions: ["vsf"]
    },
    "application/vnd.wap.sic": {
      source: "iana"
    },
    "application/vnd.wap.slc": {
      source: "iana"
    },
    "application/vnd.wap.wbxml": {
      source: "iana",
      charset: "UTF-8",
      extensions: ["wbxml"]
    },
    "application/vnd.wap.wmlc": {
      source: "iana",
      extensions: ["wmlc"]
    },
    "application/vnd.wap.wmlscriptc": {
      source: "iana",
      extensions: ["wmlsc"]
    },
    "application/vnd.webturbo": {
      source: "iana",
      extensions: ["wtb"]
    },
    "application/vnd.wfa.dpp": {
      source: "iana"
    },
    "application/vnd.wfa.p2p": {
      source: "iana"
    },
    "application/vnd.wfa.wsc": {
      source: "iana"
    },
    "application/vnd.windows.devicepairing": {
      source: "iana"
    },
    "application/vnd.wmc": {
      source: "iana"
    },
    "application/vnd.wmf.bootstrap": {
      source: "iana"
    },
    "application/vnd.wolfram.mathematica": {
      source: "iana"
    },
    "application/vnd.wolfram.mathematica.package": {
      source: "iana"
    },
    "application/vnd.wolfram.player": {
      source: "iana",
      extensions: ["nbp"]
    },
    "application/vnd.wordperfect": {
      source: "iana",
      extensions: ["wpd"]
    },
    "application/vnd.wqd": {
      source: "iana",
      extensions: ["wqd"]
    },
    "application/vnd.wrq-hp3000-labelled": {
      source: "iana"
    },
    "application/vnd.wt.stf": {
      source: "iana",
      extensions: ["stf"]
    },
    "application/vnd.wv.csp+wbxml": {
      source: "iana"
    },
    "application/vnd.wv.csp+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.wv.ssp+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.xacml+json": {
      source: "iana",
      compressible: true
    },
    "application/vnd.xara": {
      source: "iana",
      extensions: ["xar"]
    },
    "application/vnd.xfdl": {
      source: "iana",
      extensions: ["xfdl"]
    },
    "application/vnd.xfdl.webform": {
      source: "iana"
    },
    "application/vnd.xmi+xml": {
      source: "iana",
      compressible: true
    },
    "application/vnd.xmpie.cpkg": {
      source: "iana"
    },
    "application/vnd.xmpie.dpkg": {
      source: "iana"
    },
    "application/vnd.xmpie.plan": {
      source: "iana"
    },
    "application/vnd.xmpie.ppkg": {
      source: "iana"
    },
    "application/vnd.xmpie.xlim": {
      source: "iana"
    },
    "application/vnd.yamaha.hv-dic": {
      source: "iana",
      extensions: ["hvd"]
    },
    "application/vnd.yamaha.hv-script": {
      source: "iana",
      extensions: ["hvs"]
    },
    "application/vnd.yamaha.hv-voice": {
      source: "iana",
      extensions: ["hvp"]
    },
    "application/vnd.yamaha.openscoreformat": {
      source: "iana",
      extensions: ["osf"]
    },
    "application/vnd.yamaha.openscoreformat.osfpvg+xml": {
      source: "iana",
      compressible: true,
      extensions: ["osfpvg"]
    },
    "application/vnd.yamaha.remote-setup": {
      source: "iana"
    },
    "application/vnd.yamaha.smaf-audio": {
      source: "iana",
      extensions: ["saf"]
    },
    "application/vnd.yamaha.smaf-phrase": {
      source: "iana",
      extensions: ["spf"]
    },
    "application/vnd.yamaha.through-ngn": {
      source: "iana"
    },
    "application/vnd.yamaha.tunnel-udpencap": {
      source: "iana"
    },
    "application/vnd.yaoweme": {
      source: "iana"
    },
    "application/vnd.yellowriver-custom-menu": {
      source: "iana",
      extensions: ["cmp"]
    },
    "application/vnd.youtube.yt": {
      source: "iana"
    },
    "application/vnd.zul": {
      source: "iana",
      extensions: ["zir", "zirz"]
    },
    "application/vnd.zzazz.deck+xml": {
      source: "iana",
      compressible: true,
      extensions: ["zaz"]
    },
    "application/voicexml+xml": {
      source: "iana",
      compressible: true,
      extensions: ["vxml"]
    },
    "application/voucher-cms+json": {
      source: "iana",
      compressible: true
    },
    "application/vq-rtcpxr": {
      source: "iana"
    },
    "application/wasm": {
      source: "iana",
      compressible: true,
      extensions: ["wasm"]
    },
    "application/watcherinfo+xml": {
      source: "iana",
      compressible: true,
      extensions: ["wif"]
    },
    "application/webpush-options+json": {
      source: "iana",
      compressible: true
    },
    "application/whoispp-query": {
      source: "iana"
    },
    "application/whoispp-response": {
      source: "iana"
    },
    "application/widget": {
      source: "iana",
      extensions: ["wgt"]
    },
    "application/winhlp": {
      source: "apache",
      extensions: ["hlp"]
    },
    "application/wita": {
      source: "iana"
    },
    "application/wordperfect5.1": {
      source: "iana"
    },
    "application/wsdl+xml": {
      source: "iana",
      compressible: true,
      extensions: ["wsdl"]
    },
    "application/wspolicy+xml": {
      source: "iana",
      compressible: true,
      extensions: ["wspolicy"]
    },
    "application/x-7z-compressed": {
      source: "apache",
      compressible: false,
      extensions: ["7z"]
    },
    "application/x-abiword": {
      source: "apache",
      extensions: ["abw"]
    },
    "application/x-ace-compressed": {
      source: "apache",
      extensions: ["ace"]
    },
    "application/x-amf": {
      source: "apache"
    },
    "application/x-apple-diskimage": {
      source: "apache",
      extensions: ["dmg"]
    },
    "application/x-arj": {
      compressible: false,
      extensions: ["arj"]
    },
    "application/x-authorware-bin": {
      source: "apache",
      extensions: ["aab", "x32", "u32", "vox"]
    },
    "application/x-authorware-map": {
      source: "apache",
      extensions: ["aam"]
    },
    "application/x-authorware-seg": {
      source: "apache",
      extensions: ["aas"]
    },
    "application/x-bcpio": {
      source: "apache",
      extensions: ["bcpio"]
    },
    "application/x-bdoc": {
      compressible: false,
      extensions: ["bdoc"]
    },
    "application/x-bittorrent": {
      source: "apache",
      extensions: ["torrent"]
    },
    "application/x-blorb": {
      source: "apache",
      extensions: ["blb", "blorb"]
    },
    "application/x-bzip": {
      source: "apache",
      compressible: false,
      extensions: ["bz"]
    },
    "application/x-bzip2": {
      source: "apache",
      compressible: false,
      extensions: ["bz2", "boz"]
    },
    "application/x-cbr": {
      source: "apache",
      extensions: ["cbr", "cba", "cbt", "cbz", "cb7"]
    },
    "application/x-cdlink": {
      source: "apache",
      extensions: ["vcd"]
    },
    "application/x-cfs-compressed": {
      source: "apache",
      extensions: ["cfs"]
    },
    "application/x-chat": {
      source: "apache",
      extensions: ["chat"]
    },
    "application/x-chess-pgn": {
      source: "apache",
      extensions: ["pgn"]
    },
    "application/x-chrome-extension": {
      extensions: ["crx"]
    },
    "application/x-cocoa": {
      source: "nginx",
      extensions: ["cco"]
    },
    "application/x-compress": {
      source: "apache"
    },
    "application/x-conference": {
      source: "apache",
      extensions: ["nsc"]
    },
    "application/x-cpio": {
      source: "apache",
      extensions: ["cpio"]
    },
    "application/x-csh": {
      source: "apache",
      extensions: ["csh"]
    },
    "application/x-deb": {
      compressible: false
    },
    "application/x-debian-package": {
      source: "apache",
      extensions: ["deb", "udeb"]
    },
    "application/x-dgc-compressed": {
      source: "apache",
      extensions: ["dgc"]
    },
    "application/x-director": {
      source: "apache",
      extensions: ["dir", "dcr", "dxr", "cst", "cct", "cxt", "w3d", "fgd", "swa"]
    },
    "application/x-doom": {
      source: "apache",
      extensions: ["wad"]
    },
    "application/x-dtbncx+xml": {
      source: "apache",
      compressible: true,
      extensions: ["ncx"]
    },
    "application/x-dtbook+xml": {
      source: "apache",
      compressible: true,
      extensions: ["dtb"]
    },
    "application/x-dtbresource+xml": {
      source: "apache",
      compressible: true,
      extensions: ["res"]
    },
    "application/x-dvi": {
      source: "apache",
      compressible: false,
      extensions: ["dvi"]
    },
    "application/x-envoy": {
      source: "apache",
      extensions: ["evy"]
    },
    "application/x-eva": {
      source: "apache",
      extensions: ["eva"]
    },
    "application/x-font-bdf": {
      source: "apache",
      extensions: ["bdf"]
    },
    "application/x-font-dos": {
      source: "apache"
    },
    "application/x-font-framemaker": {
      source: "apache"
    },
    "application/x-font-ghostscript": {
      source: "apache",
      extensions: ["gsf"]
    },
    "application/x-font-libgrx": {
      source: "apache"
    },
    "application/x-font-linux-psf": {
      source: "apache",
      extensions: ["psf"]
    },
    "application/x-font-pcf": {
      source: "apache",
      extensions: ["pcf"]
    },
    "application/x-font-snf": {
      source: "apache",
      extensions: ["snf"]
    },
    "application/x-font-speedo": {
      source: "apache"
    },
    "application/x-font-sunos-news": {
      source: "apache"
    },
    "application/x-font-type1": {
      source: "apache",
      extensions: ["pfa", "pfb", "pfm", "afm"]
    },
    "application/x-font-vfont": {
      source: "apache"
    },
    "application/x-freearc": {
      source: "apache",
      extensions: ["arc"]
    },
    "application/x-futuresplash": {
      source: "apache",
      extensions: ["spl"]
    },
    "application/x-gca-compressed": {
      source: "apache",
      extensions: ["gca"]
    },
    "application/x-glulx": {
      source: "apache",
      extensions: ["ulx"]
    },
    "application/x-gnumeric": {
      source: "apache",
      extensions: ["gnumeric"]
    },
    "application/x-gramps-xml": {
      source: "apache",
      extensions: ["gramps"]
    },
    "application/x-gtar": {
      source: "apache",
      extensions: ["gtar"]
    },
    "application/x-gzip": {
      source: "apache"
    },
    "application/x-hdf": {
      source: "apache",
      extensions: ["hdf"]
    },
    "application/x-httpd-php": {
      compressible: true,
      extensions: ["php"]
    },
    "application/x-install-instructions": {
      source: "apache",
      extensions: ["install"]
    },
    "application/x-iso9660-image": {
      source: "apache",
      extensions: ["iso"]
    },
    "application/x-iwork-keynote-sffkey": {
      extensions: ["key"]
    },
    "application/x-iwork-numbers-sffnumbers": {
      extensions: ["numbers"]
    },
    "application/x-iwork-pages-sffpages": {
      extensions: ["pages"]
    },
    "application/x-java-archive-diff": {
      source: "nginx",
      extensions: ["jardiff"]
    },
    "application/x-java-jnlp-file": {
      source: "apache",
      compressible: false,
      extensions: ["jnlp"]
    },
    "application/x-javascript": {
      compressible: true
    },
    "application/x-keepass2": {
      extensions: ["kdbx"]
    },
    "application/x-latex": {
      source: "apache",
      compressible: false,
      extensions: ["latex"]
    },
    "application/x-lua-bytecode": {
      extensions: ["luac"]
    },
    "application/x-lzh-compressed": {
      source: "apache",
      extensions: ["lzh", "lha"]
    },
    "application/x-makeself": {
      source: "nginx",
      extensions: ["run"]
    },
    "application/x-mie": {
      source: "apache",
      extensions: ["mie"]
    },
    "application/x-mobipocket-ebook": {
      source: "apache",
      extensions: ["prc", "mobi"]
    },
    "application/x-mpegurl": {
      compressible: false
    },
    "application/x-ms-application": {
      source: "apache",
      extensions: ["application"]
    },
    "application/x-ms-shortcut": {
      source: "apache",
      extensions: ["lnk"]
    },
    "application/x-ms-wmd": {
      source: "apache",
      extensions: ["wmd"]
    },
    "application/x-ms-wmz": {
      source: "apache",
      extensions: ["wmz"]
    },
    "application/x-ms-xbap": {
      source: "apache",
      extensions: ["xbap"]
    },
    "application/x-msaccess": {
      source: "apache",
      extensions: ["mdb"]
    },
    "application/x-msbinder": {
      source: "apache",
      extensions: ["obd"]
    },
    "application/x-mscardfile": {
      source: "apache",
      extensions: ["crd"]
    },
    "application/x-msclip": {
      source: "apache",
      extensions: ["clp"]
    },
    "application/x-msdos-program": {
      extensions: ["exe"]
    },
    "application/x-msdownload": {
      source: "apache",
      extensions: ["exe", "dll", "com", "bat", "msi"]
    },
    "application/x-msmediaview": {
      source: "apache",
      extensions: ["mvb", "m13", "m14"]
    },
    "application/x-msmetafile": {
      source: "apache",
      extensions: ["wmf", "wmz", "emf", "emz"]
    },
    "application/x-msmoney": {
      source: "apache",
      extensions: ["mny"]
    },
    "application/x-mspublisher": {
      source: "apache",
      extensions: ["pub"]
    },
    "application/x-msschedule": {
      source: "apache",
      extensions: ["scd"]
    },
    "application/x-msterminal": {
      source: "apache",
      extensions: ["trm"]
    },
    "application/x-mswrite": {
      source: "apache",
      extensions: ["wri"]
    },
    "application/x-netcdf": {
      source: "apache",
      extensions: ["nc", "cdf"]
    },
    "application/x-ns-proxy-autoconfig": {
      compressible: true,
      extensions: ["pac"]
    },
    "application/x-nzb": {
      source: "apache",
      extensions: ["nzb"]
    },
    "application/x-perl": {
      source: "nginx",
      extensions: ["pl", "pm"]
    },
    "application/x-pilot": {
      source: "nginx",
      extensions: ["prc", "pdb"]
    },
    "application/x-pkcs12": {
      source: "apache",
      compressible: false,
      extensions: ["p12", "pfx"]
    },
    "application/x-pkcs7-certificates": {
      source: "apache",
      extensions: ["p7b", "spc"]
    },
    "application/x-pkcs7-certreqresp": {
      source: "apache",
      extensions: ["p7r"]
    },
    "application/x-pki-message": {
      source: "iana"
    },
    "application/x-rar-compressed": {
      source: "apache",
      compressible: false,
      extensions: ["rar"]
    },
    "application/x-redhat-package-manager": {
      source: "nginx",
      extensions: ["rpm"]
    },
    "application/x-research-info-systems": {
      source: "apache",
      extensions: ["ris"]
    },
    "application/x-sea": {
      source: "nginx",
      extensions: ["sea"]
    },
    "application/x-sh": {
      source: "apache",
      compressible: true,
      extensions: ["sh"]
    },
    "application/x-shar": {
      source: "apache",
      extensions: ["shar"]
    },
    "application/x-shockwave-flash": {
      source: "apache",
      compressible: false,
      extensions: ["swf"]
    },
    "application/x-silverlight-app": {
      source: "apache",
      extensions: ["xap"]
    },
    "application/x-sql": {
      source: "apache",
      extensions: ["sql"]
    },
    "application/x-stuffit": {
      source: "apache",
      compressible: false,
      extensions: ["sit"]
    },
    "application/x-stuffitx": {
      source: "apache",
      extensions: ["sitx"]
    },
    "application/x-subrip": {
      source: "apache",
      extensions: ["srt"]
    },
    "application/x-sv4cpio": {
      source: "apache",
      extensions: ["sv4cpio"]
    },
    "application/x-sv4crc": {
      source: "apache",
      extensions: ["sv4crc"]
    },
    "application/x-t3vm-image": {
      source: "apache",
      extensions: ["t3"]
    },
    "application/x-tads": {
      source: "apache",
      extensions: ["gam"]
    },
    "application/x-tar": {
      source: "apache",
      compressible: true,
      extensions: ["tar"]
    },
    "application/x-tcl": {
      source: "apache",
      extensions: ["tcl", "tk"]
    },
    "application/x-tex": {
      source: "apache",
      extensions: ["tex"]
    },
    "application/x-tex-tfm": {
      source: "apache",
      extensions: ["tfm"]
    },
    "application/x-texinfo": {
      source: "apache",
      extensions: ["texinfo", "texi"]
    },
    "application/x-tgif": {
      source: "apache",
      extensions: ["obj"]
    },
    "application/x-ustar": {
      source: "apache",
      extensions: ["ustar"]
    },
    "application/x-virtualbox-hdd": {
      compressible: true,
      extensions: ["hdd"]
    },
    "application/x-virtualbox-ova": {
      compressible: true,
      extensions: ["ova"]
    },
    "application/x-virtualbox-ovf": {
      compressible: true,
      extensions: ["ovf"]
    },
    "application/x-virtualbox-vbox": {
      compressible: true,
      extensions: ["vbox"]
    },
    "application/x-virtualbox-vbox-extpack": {
      compressible: false,
      extensions: ["vbox-extpack"]
    },
    "application/x-virtualbox-vdi": {
      compressible: true,
      extensions: ["vdi"]
    },
    "application/x-virtualbox-vhd": {
      compressible: true,
      extensions: ["vhd"]
    },
    "application/x-virtualbox-vmdk": {
      compressible: true,
      extensions: ["vmdk"]
    },
    "application/x-wais-source": {
      source: "apache",
      extensions: ["src"]
    },
    "application/x-web-app-manifest+json": {
      compressible: true,
      extensions: ["webapp"]
    },
    "application/x-www-form-urlencoded": {
      source: "iana",
      compressible: true
    },
    "application/x-x509-ca-cert": {
      source: "iana",
      extensions: ["der", "crt", "pem"]
    },
    "application/x-x509-ca-ra-cert": {
      source: "iana"
    },
    "application/x-x509-next-ca-cert": {
      source: "iana"
    },
    "application/x-xfig": {
      source: "apache",
      extensions: ["fig"]
    },
    "application/x-xliff+xml": {
      source: "apache",
      compressible: true,
      extensions: ["xlf"]
    },
    "application/x-xpinstall": {
      source: "apache",
      compressible: false,
      extensions: ["xpi"]
    },
    "application/x-xz": {
      source: "apache",
      extensions: ["xz"]
    },
    "application/x-zmachine": {
      source: "apache",
      extensions: ["z1", "z2", "z3", "z4", "z5", "z6", "z7", "z8"]
    },
    "application/x400-bp": {
      source: "iana"
    },
    "application/xacml+xml": {
      source: "iana",
      compressible: true
    },
    "application/xaml+xml": {
      source: "apache",
      compressible: true,
      extensions: ["xaml"]
    },
    "application/xcap-att+xml": {
      source: "iana",
      compressible: true,
      extensions: ["xav"]
    },
    "application/xcap-caps+xml": {
      source: "iana",
      compressible: true,
      extensions: ["xca"]
    },
    "application/xcap-diff+xml": {
      source: "iana",
      compressible: true,
      extensions: ["xdf"]
    },
    "application/xcap-el+xml": {
      source: "iana",
      compressible: true,
      extensions: ["xel"]
    },
    "application/xcap-error+xml": {
      source: "iana",
      compressible: true
    },
    "application/xcap-ns+xml": {
      source: "iana",
      compressible: true,
      extensions: ["xns"]
    },
    "application/xcon-conference-info+xml": {
      source: "iana",
      compressible: true
    },
    "application/xcon-conference-info-diff+xml": {
      source: "iana",
      compressible: true
    },
    "application/xenc+xml": {
      source: "iana",
      compressible: true,
      extensions: ["xenc"]
    },
    "application/xhtml+xml": {
      source: "iana",
      compressible: true,
      extensions: ["xhtml", "xht"]
    },
    "application/xhtml-voice+xml": {
      source: "apache",
      compressible: true
    },
    "application/xliff+xml": {
      source: "iana",
      compressible: true,
      extensions: ["xlf"]
    },
    "application/xml": {
      source: "iana",
      compressible: true,
      extensions: ["xml", "xsl", "xsd", "rng"]
    },
    "application/xml-dtd": {
      source: "iana",
      compressible: true,
      extensions: ["dtd"]
    },
    "application/xml-external-parsed-entity": {
      source: "iana"
    },
    "application/xml-patch+xml": {
      source: "iana",
      compressible: true
    },
    "application/xmpp+xml": {
      source: "iana",
      compressible: true
    },
    "application/xop+xml": {
      source: "iana",
      compressible: true,
      extensions: ["xop"]
    },
    "application/xproc+xml": {
      source: "apache",
      compressible: true,
      extensions: ["xpl"]
    },
    "application/xslt+xml": {
      source: "iana",
      compressible: true,
      extensions: ["xsl", "xslt"]
    },
    "application/xspf+xml": {
      source: "apache",
      compressible: true,
      extensions: ["xspf"]
    },
    "application/xv+xml": {
      source: "iana",
      compressible: true,
      extensions: ["mxml", "xhvml", "xvml", "xvm"]
    },
    "application/yang": {
      source: "iana",
      extensions: ["yang"]
    },
    "application/yang-data+json": {
      source: "iana",
      compressible: true
    },
    "application/yang-data+xml": {
      source: "iana",
      compressible: true
    },
    "application/yang-patch+json": {
      source: "iana",
      compressible: true
    },
    "application/yang-patch+xml": {
      source: "iana",
      compressible: true
    },
    "application/yin+xml": {
      source: "iana",
      compressible: true,
      extensions: ["yin"]
    },
    "application/zip": {
      source: "iana",
      compressible: false,
      extensions: ["zip"]
    },
    "application/zlib": {
      source: "iana"
    },
    "application/zstd": {
      source: "iana"
    },
    "audio/1d-interleaved-parityfec": {
      source: "iana"
    },
    "audio/32kadpcm": {
      source: "iana"
    },
    "audio/3gpp": {
      source: "iana",
      compressible: false,
      extensions: ["3gpp"]
    },
    "audio/3gpp2": {
      source: "iana"
    },
    "audio/aac": {
      source: "iana"
    },
    "audio/ac3": {
      source: "iana"
    },
    "audio/adpcm": {
      source: "apache",
      extensions: ["adp"]
    },
    "audio/amr": {
      source: "iana",
      extensions: ["amr"]
    },
    "audio/amr-wb": {
      source: "iana"
    },
    "audio/amr-wb+": {
      source: "iana"
    },
    "audio/aptx": {
      source: "iana"
    },
    "audio/asc": {
      source: "iana"
    },
    "audio/atrac-advanced-lossless": {
      source: "iana"
    },
    "audio/atrac-x": {
      source: "iana"
    },
    "audio/atrac3": {
      source: "iana"
    },
    "audio/basic": {
      source: "iana",
      compressible: false,
      extensions: ["au", "snd"]
    },
    "audio/bv16": {
      source: "iana"
    },
    "audio/bv32": {
      source: "iana"
    },
    "audio/clearmode": {
      source: "iana"
    },
    "audio/cn": {
      source: "iana"
    },
    "audio/dat12": {
      source: "iana"
    },
    "audio/dls": {
      source: "iana"
    },
    "audio/dsr-es201108": {
      source: "iana"
    },
    "audio/dsr-es202050": {
      source: "iana"
    },
    "audio/dsr-es202211": {
      source: "iana"
    },
    "audio/dsr-es202212": {
      source: "iana"
    },
    "audio/dv": {
      source: "iana"
    },
    "audio/dvi4": {
      source: "iana"
    },
    "audio/eac3": {
      source: "iana"
    },
    "audio/encaprtp": {
      source: "iana"
    },
    "audio/evrc": {
      source: "iana"
    },
    "audio/evrc-qcp": {
      source: "iana"
    },
    "audio/evrc0": {
      source: "iana"
    },
    "audio/evrc1": {
      source: "iana"
    },
    "audio/evrcb": {
      source: "iana"
    },
    "audio/evrcb0": {
      source: "iana"
    },
    "audio/evrcb1": {
      source: "iana"
    },
    "audio/evrcnw": {
      source: "iana"
    },
    "audio/evrcnw0": {
      source: "iana"
    },
    "audio/evrcnw1": {
      source: "iana"
    },
    "audio/evrcwb": {
      source: "iana"
    },
    "audio/evrcwb0": {
      source: "iana"
    },
    "audio/evrcwb1": {
      source: "iana"
    },
    "audio/evs": {
      source: "iana"
    },
    "audio/flexfec": {
      source: "iana"
    },
    "audio/fwdred": {
      source: "iana"
    },
    "audio/g711-0": {
      source: "iana"
    },
    "audio/g719": {
      source: "iana"
    },
    "audio/g722": {
      source: "iana"
    },
    "audio/g7221": {
      source: "iana"
    },
    "audio/g723": {
      source: "iana"
    },
    "audio/g726-16": {
      source: "iana"
    },
    "audio/g726-24": {
      source: "iana"
    },
    "audio/g726-32": {
      source: "iana"
    },
    "audio/g726-40": {
      source: "iana"
    },
    "audio/g728": {
      source: "iana"
    },
    "audio/g729": {
      source: "iana"
    },
    "audio/g7291": {
      source: "iana"
    },
    "audio/g729d": {
      source: "iana"
    },
    "audio/g729e": {
      source: "iana"
    },
    "audio/gsm": {
      source: "iana"
    },
    "audio/gsm-efr": {
      source: "iana"
    },
    "audio/gsm-hr-08": {
      source: "iana"
    },
    "audio/ilbc": {
      source: "iana"
    },
    "audio/ip-mr_v2.5": {
      source: "iana"
    },
    "audio/isac": {
      source: "apache"
    },
    "audio/l16": {
      source: "iana"
    },
    "audio/l20": {
      source: "iana"
    },
    "audio/l24": {
      source: "iana",
      compressible: false
    },
    "audio/l8": {
      source: "iana"
    },
    "audio/lpc": {
      source: "iana"
    },
    "audio/melp": {
      source: "iana"
    },
    "audio/melp1200": {
      source: "iana"
    },
    "audio/melp2400": {
      source: "iana"
    },
    "audio/melp600": {
      source: "iana"
    },
    "audio/mhas": {
      source: "iana"
    },
    "audio/midi": {
      source: "apache",
      extensions: ["mid", "midi", "kar", "rmi"]
    },
    "audio/mobile-xmf": {
      source: "iana",
      extensions: ["mxmf"]
    },
    "audio/mp3": {
      compressible: false,
      extensions: ["mp3"]
    },
    "audio/mp4": {
      source: "iana",
      compressible: false,
      extensions: ["m4a", "mp4a"]
    },
    "audio/mp4a-latm": {
      source: "iana"
    },
    "audio/mpa": {
      source: "iana"
    },
    "audio/mpa-robust": {
      source: "iana"
    },
    "audio/mpeg": {
      source: "iana",
      compressible: false,
      extensions: ["mpga", "mp2", "mp2a", "mp3", "m2a", "m3a"]
    },
    "audio/mpeg4-generic": {
      source: "iana"
    },
    "audio/musepack": {
      source: "apache"
    },
    "audio/ogg": {
      source: "iana",
      compressible: false,
      extensions: ["oga", "ogg", "spx", "opus"]
    },
    "audio/opus": {
      source: "iana"
    },
    "audio/parityfec": {
      source: "iana"
    },
    "audio/pcma": {
      source: "iana"
    },
    "audio/pcma-wb": {
      source: "iana"
    },
    "audio/pcmu": {
      source: "iana"
    },
    "audio/pcmu-wb": {
      source: "iana"
    },
    "audio/prs.sid": {
      source: "iana"
    },
    "audio/qcelp": {
      source: "iana"
    },
    "audio/raptorfec": {
      source: "iana"
    },
    "audio/red": {
      source: "iana"
    },
    "audio/rtp-enc-aescm128": {
      source: "iana"
    },
    "audio/rtp-midi": {
      source: "iana"
    },
    "audio/rtploopback": {
      source: "iana"
    },
    "audio/rtx": {
      source: "iana"
    },
    "audio/s3m": {
      source: "apache",
      extensions: ["s3m"]
    },
    "audio/scip": {
      source: "iana"
    },
    "audio/silk": {
      source: "apache",
      extensions: ["sil"]
    },
    "audio/smv": {
      source: "iana"
    },
    "audio/smv-qcp": {
      source: "iana"
    },
    "audio/smv0": {
      source: "iana"
    },
    "audio/sofa": {
      source: "iana"
    },
    "audio/sp-midi": {
      source: "iana"
    },
    "audio/speex": {
      source: "iana"
    },
    "audio/t140c": {
      source: "iana"
    },
    "audio/t38": {
      source: "iana"
    },
    "audio/telephone-event": {
      source: "iana"
    },
    "audio/tetra_acelp": {
      source: "iana"
    },
    "audio/tetra_acelp_bb": {
      source: "iana"
    },
    "audio/tone": {
      source: "iana"
    },
    "audio/tsvcis": {
      source: "iana"
    },
    "audio/uemclip": {
      source: "iana"
    },
    "audio/ulpfec": {
      source: "iana"
    },
    "audio/usac": {
      source: "iana"
    },
    "audio/vdvi": {
      source: "iana"
    },
    "audio/vmr-wb": {
      source: "iana"
    },
    "audio/vnd.3gpp.iufp": {
      source: "iana"
    },
    "audio/vnd.4sb": {
      source: "iana"
    },
    "audio/vnd.audiokoz": {
      source: "iana"
    },
    "audio/vnd.celp": {
      source: "iana"
    },
    "audio/vnd.cisco.nse": {
      source: "iana"
    },
    "audio/vnd.cmles.radio-events": {
      source: "iana"
    },
    "audio/vnd.cns.anp1": {
      source: "iana"
    },
    "audio/vnd.cns.inf1": {
      source: "iana"
    },
    "audio/vnd.dece.audio": {
      source: "iana",
      extensions: ["uva", "uvva"]
    },
    "audio/vnd.digital-winds": {
      source: "iana",
      extensions: ["eol"]
    },
    "audio/vnd.dlna.adts": {
      source: "iana"
    },
    "audio/vnd.dolby.heaac.1": {
      source: "iana"
    },
    "audio/vnd.dolby.heaac.2": {
      source: "iana"
    },
    "audio/vnd.dolby.mlp": {
      source: "iana"
    },
    "audio/vnd.dolby.mps": {
      source: "iana"
    },
    "audio/vnd.dolby.pl2": {
      source: "iana"
    },
    "audio/vnd.dolby.pl2x": {
      source: "iana"
    },
    "audio/vnd.dolby.pl2z": {
      source: "iana"
    },
    "audio/vnd.dolby.pulse.1": {
      source: "iana"
    },
    "audio/vnd.dra": {
      source: "iana",
      extensions: ["dra"]
    },
    "audio/vnd.dts": {
      source: "iana",
      extensions: ["dts"]
    },
    "audio/vnd.dts.hd": {
      source: "iana",
      extensions: ["dtshd"]
    },
    "audio/vnd.dts.uhd": {
      source: "iana"
    },
    "audio/vnd.dvb.file": {
      source: "iana"
    },
    "audio/vnd.everad.plj": {
      source: "iana"
    },
    "audio/vnd.hns.audio": {
      source: "iana"
    },
    "audio/vnd.lucent.voice": {
      source: "iana",
      extensions: ["lvp"]
    },
    "audio/vnd.ms-playready.media.pya": {
      source: "iana",
      extensions: ["pya"]
    },
    "audio/vnd.nokia.mobile-xmf": {
      source: "iana"
    },
    "audio/vnd.nortel.vbk": {
      source: "iana"
    },
    "audio/vnd.nuera.ecelp4800": {
      source: "iana",
      extensions: ["ecelp4800"]
    },
    "audio/vnd.nuera.ecelp7470": {
      source: "iana",
      extensions: ["ecelp7470"]
    },
    "audio/vnd.nuera.ecelp9600": {
      source: "iana",
      extensions: ["ecelp9600"]
    },
    "audio/vnd.octel.sbc": {
      source: "iana"
    },
    "audio/vnd.presonus.multitrack": {
      source: "iana"
    },
    "audio/vnd.qcelp": {
      source: "iana"
    },
    "audio/vnd.rhetorex.32kadpcm": {
      source: "iana"
    },
    "audio/vnd.rip": {
      source: "iana",
      extensions: ["rip"]
    },
    "audio/vnd.rn-realaudio": {
      compressible: false
    },
    "audio/vnd.sealedmedia.softseal.mpeg": {
      source: "iana"
    },
    "audio/vnd.vmx.cvsd": {
      source: "iana"
    },
    "audio/vnd.wave": {
      compressible: false
    },
    "audio/vorbis": {
      source: "iana",
      compressible: false
    },
    "audio/vorbis-config": {
      source: "iana"
    },
    "audio/wav": {
      compressible: false,
      extensions: ["wav"]
    },
    "audio/wave": {
      compressible: false,
      extensions: ["wav"]
    },
    "audio/webm": {
      source: "apache",
      compressible: false,
      extensions: ["weba"]
    },
    "audio/x-aac": {
      source: "apache",
      compressible: false,
      extensions: ["aac"]
    },
    "audio/x-aiff": {
      source: "apache",
      extensions: ["aif", "aiff", "aifc"]
    },
    "audio/x-caf": {
      source: "apache",
      compressible: false,
      extensions: ["caf"]
    },
    "audio/x-flac": {
      source: "apache",
      extensions: ["flac"]
    },
    "audio/x-m4a": {
      source: "nginx",
      extensions: ["m4a"]
    },
    "audio/x-matroska": {
      source: "apache",
      extensions: ["mka"]
    },
    "audio/x-mpegurl": {
      source: "apache",
      extensions: ["m3u"]
    },
    "audio/x-ms-wax": {
      source: "apache",
      extensions: ["wax"]
    },
    "audio/x-ms-wma": {
      source: "apache",
      extensions: ["wma"]
    },
    "audio/x-pn-realaudio": {
      source: "apache",
      extensions: ["ram", "ra"]
    },
    "audio/x-pn-realaudio-plugin": {
      source: "apache",
      extensions: ["rmp"]
    },
    "audio/x-realaudio": {
      source: "nginx",
      extensions: ["ra"]
    },
    "audio/x-tta": {
      source: "apache"
    },
    "audio/x-wav": {
      source: "apache",
      extensions: ["wav"]
    },
    "audio/xm": {
      source: "apache",
      extensions: ["xm"]
    },
    "chemical/x-cdx": {
      source: "apache",
      extensions: ["cdx"]
    },
    "chemical/x-cif": {
      source: "apache",
      extensions: ["cif"]
    },
    "chemical/x-cmdf": {
      source: "apache",
      extensions: ["cmdf"]
    },
    "chemical/x-cml": {
      source: "apache",
      extensions: ["cml"]
    },
    "chemical/x-csml": {
      source: "apache",
      extensions: ["csml"]
    },
    "chemical/x-pdb": {
      source: "apache"
    },
    "chemical/x-xyz": {
      source: "apache",
      extensions: ["xyz"]
    },
    "font/collection": {
      source: "iana",
      extensions: ["ttc"]
    },
    "font/otf": {
      source: "iana",
      compressible: true,
      extensions: ["otf"]
    },
    "font/sfnt": {
      source: "iana"
    },
    "font/ttf": {
      source: "iana",
      compressible: true,
      extensions: ["ttf"]
    },
    "font/woff": {
      source: "iana",
      extensions: ["woff"]
    },
    "font/woff2": {
      source: "iana",
      extensions: ["woff2"]
    },
    "image/aces": {
      source: "iana",
      extensions: ["exr"]
    },
    "image/apng": {
      compressible: false,
      extensions: ["apng"]
    },
    "image/avci": {
      source: "iana",
      extensions: ["avci"]
    },
    "image/avcs": {
      source: "iana",
      extensions: ["avcs"]
    },
    "image/avif": {
      source: "iana",
      compressible: false,
      extensions: ["avif"]
    },
    "image/bmp": {
      source: "iana",
      compressible: true,
      extensions: ["bmp"]
    },
    "image/cgm": {
      source: "iana",
      extensions: ["cgm"]
    },
    "image/dicom-rle": {
      source: "iana",
      extensions: ["drle"]
    },
    "image/emf": {
      source: "iana",
      extensions: ["emf"]
    },
    "image/fits": {
      source: "iana",
      extensions: ["fits"]
    },
    "image/g3fax": {
      source: "iana",
      extensions: ["g3"]
    },
    "image/gif": {
      source: "iana",
      compressible: false,
      extensions: ["gif"]
    },
    "image/heic": {
      source: "iana",
      extensions: ["heic"]
    },
    "image/heic-sequence": {
      source: "iana",
      extensions: ["heics"]
    },
    "image/heif": {
      source: "iana",
      extensions: ["heif"]
    },
    "image/heif-sequence": {
      source: "iana",
      extensions: ["heifs"]
    },
    "image/hej2k": {
      source: "iana",
      extensions: ["hej2"]
    },
    "image/hsj2": {
      source: "iana",
      extensions: ["hsj2"]
    },
    "image/ief": {
      source: "iana",
      extensions: ["ief"]
    },
    "image/jls": {
      source: "iana",
      extensions: ["jls"]
    },
    "image/jp2": {
      source: "iana",
      compressible: false,
      extensions: ["jp2", "jpg2"]
    },
    "image/jpeg": {
      source: "iana",
      compressible: false,
      extensions: ["jpeg", "jpg", "jpe"]
    },
    "image/jph": {
      source: "iana",
      extensions: ["jph"]
    },
    "image/jphc": {
      source: "iana",
      extensions: ["jhc"]
    },
    "image/jpm": {
      source: "iana",
      compressible: false,
      extensions: ["jpm"]
    },
    "image/jpx": {
      source: "iana",
      compressible: false,
      extensions: ["jpx", "jpf"]
    },
    "image/jxr": {
      source: "iana",
      extensions: ["jxr"]
    },
    "image/jxra": {
      source: "iana",
      extensions: ["jxra"]
    },
    "image/jxrs": {
      source: "iana",
      extensions: ["jxrs"]
    },
    "image/jxs": {
      source: "iana",
      extensions: ["jxs"]
    },
    "image/jxsc": {
      source: "iana",
      extensions: ["jxsc"]
    },
    "image/jxsi": {
      source: "iana",
      extensions: ["jxsi"]
    },
    "image/jxss": {
      source: "iana",
      extensions: ["jxss"]
    },
    "image/ktx": {
      source: "iana",
      extensions: ["ktx"]
    },
    "image/ktx2": {
      source: "iana",
      extensions: ["ktx2"]
    },
    "image/naplps": {
      source: "iana"
    },
    "image/pjpeg": {
      compressible: false
    },
    "image/png": {
      source: "iana",
      compressible: false,
      extensions: ["png"]
    },
    "image/prs.btif": {
      source: "iana",
      extensions: ["btif"]
    },
    "image/prs.pti": {
      source: "iana",
      extensions: ["pti"]
    },
    "image/pwg-raster": {
      source: "iana"
    },
    "image/sgi": {
      source: "apache",
      extensions: ["sgi"]
    },
    "image/svg+xml": {
      source: "iana",
      compressible: true,
      extensions: ["svg", "svgz"]
    },
    "image/t38": {
      source: "iana",
      extensions: ["t38"]
    },
    "image/tiff": {
      source: "iana",
      compressible: false,
      extensions: ["tif", "tiff"]
    },
    "image/tiff-fx": {
      source: "iana",
      extensions: ["tfx"]
    },
    "image/vnd.adobe.photoshop": {
      source: "iana",
      compressible: true,
      extensions: ["psd"]
    },
    "image/vnd.airzip.accelerator.azv": {
      source: "iana",
      extensions: ["azv"]
    },
    "image/vnd.cns.inf2": {
      source: "iana"
    },
    "image/vnd.dece.graphic": {
      source: "iana",
      extensions: ["uvi", "uvvi", "uvg", "uvvg"]
    },
    "image/vnd.djvu": {
      source: "iana",
      extensions: ["djvu", "djv"]
    },
    "image/vnd.dvb.subtitle": {
      source: "iana",
      extensions: ["sub"]
    },
    "image/vnd.dwg": {
      source: "iana",
      extensions: ["dwg"]
    },
    "image/vnd.dxf": {
      source: "iana",
      extensions: ["dxf"]
    },
    "image/vnd.fastbidsheet": {
      source: "iana",
      extensions: ["fbs"]
    },
    "image/vnd.fpx": {
      source: "iana",
      extensions: ["fpx"]
    },
    "image/vnd.fst": {
      source: "iana",
      extensions: ["fst"]
    },
    "image/vnd.fujixerox.edmics-mmr": {
      source: "iana",
      extensions: ["mmr"]
    },
    "image/vnd.fujixerox.edmics-rlc": {
      source: "iana",
      extensions: ["rlc"]
    },
    "image/vnd.globalgraphics.pgb": {
      source: "iana"
    },
    "image/vnd.microsoft.icon": {
      source: "iana",
      compressible: true,
      extensions: ["ico"]
    },
    "image/vnd.mix": {
      source: "iana"
    },
    "image/vnd.mozilla.apng": {
      source: "iana"
    },
    "image/vnd.ms-dds": {
      compressible: true,
      extensions: ["dds"]
    },
    "image/vnd.ms-modi": {
      source: "iana",
      extensions: ["mdi"]
    },
    "image/vnd.ms-photo": {
      source: "apache",
      extensions: ["wdp"]
    },
    "image/vnd.net-fpx": {
      source: "iana",
      extensions: ["npx"]
    },
    "image/vnd.pco.b16": {
      source: "iana",
      extensions: ["b16"]
    },
    "image/vnd.radiance": {
      source: "iana"
    },
    "image/vnd.sealed.png": {
      source: "iana"
    },
    "image/vnd.sealedmedia.softseal.gif": {
      source: "iana"
    },
    "image/vnd.sealedmedia.softseal.jpg": {
      source: "iana"
    },
    "image/vnd.svf": {
      source: "iana"
    },
    "image/vnd.tencent.tap": {
      source: "iana",
      extensions: ["tap"]
    },
    "image/vnd.valve.source.texture": {
      source: "iana",
      extensions: ["vtf"]
    },
    "image/vnd.wap.wbmp": {
      source: "iana",
      extensions: ["wbmp"]
    },
    "image/vnd.xiff": {
      source: "iana",
      extensions: ["xif"]
    },
    "image/vnd.zbrush.pcx": {
      source: "iana",
      extensions: ["pcx"]
    },
    "image/webp": {
      source: "apache",
      extensions: ["webp"]
    },
    "image/wmf": {
      source: "iana",
      extensions: ["wmf"]
    },
    "image/x-3ds": {
      source: "apache",
      extensions: ["3ds"]
    },
    "image/x-cmu-raster": {
      source: "apache",
      extensions: ["ras"]
    },
    "image/x-cmx": {
      source: "apache",
      extensions: ["cmx"]
    },
    "image/x-freehand": {
      source: "apache",
      extensions: ["fh", "fhc", "fh4", "fh5", "fh7"]
    },
    "image/x-icon": {
      source: "apache",
      compressible: true,
      extensions: ["ico"]
    },
    "image/x-jng": {
      source: "nginx",
      extensions: ["jng"]
    },
    "image/x-mrsid-image": {
      source: "apache",
      extensions: ["sid"]
    },
    "image/x-ms-bmp": {
      source: "nginx",
      compressible: true,
      extensions: ["bmp"]
    },
    "image/x-pcx": {
      source: "apache",
      extensions: ["pcx"]
    },
    "image/x-pict": {
      source: "apache",
      extensions: ["pic", "pct"]
    },
    "image/x-portable-anymap": {
      source: "apache",
      extensions: ["pnm"]
    },
    "image/x-portable-bitmap": {
      source: "apache",
      extensions: ["pbm"]
    },
    "image/x-portable-graymap": {
      source: "apache",
      extensions: ["pgm"]
    },
    "image/x-portable-pixmap": {
      source: "apache",
      extensions: ["ppm"]
    },
    "image/x-rgb": {
      source: "apache",
      extensions: ["rgb"]
    },
    "image/x-tga": {
      source: "apache",
      extensions: ["tga"]
    },
    "image/x-xbitmap": {
      source: "apache",
      extensions: ["xbm"]
    },
    "image/x-xcf": {
      compressible: false
    },
    "image/x-xpixmap": {
      source: "apache",
      extensions: ["xpm"]
    },
    "image/x-xwindowdump": {
      source: "apache",
      extensions: ["xwd"]
    },
    "message/cpim": {
      source: "iana"
    },
    "message/delivery-status": {
      source: "iana"
    },
    "message/disposition-notification": {
      source: "iana",
      extensions: [
        "disposition-notification"
      ]
    },
    "message/external-body": {
      source: "iana"
    },
    "message/feedback-report": {
      source: "iana"
    },
    "message/global": {
      source: "iana",
      extensions: ["u8msg"]
    },
    "message/global-delivery-status": {
      source: "iana",
      extensions: ["u8dsn"]
    },
    "message/global-disposition-notification": {
      source: "iana",
      extensions: ["u8mdn"]
    },
    "message/global-headers": {
      source: "iana",
      extensions: ["u8hdr"]
    },
    "message/http": {
      source: "iana",
      compressible: false
    },
    "message/imdn+xml": {
      source: "iana",
      compressible: true
    },
    "message/news": {
      source: "iana"
    },
    "message/partial": {
      source: "iana",
      compressible: false
    },
    "message/rfc822": {
      source: "iana",
      compressible: true,
      extensions: ["eml", "mime"]
    },
    "message/s-http": {
      source: "iana"
    },
    "message/sip": {
      source: "iana"
    },
    "message/sipfrag": {
      source: "iana"
    },
    "message/tracking-status": {
      source: "iana"
    },
    "message/vnd.si.simp": {
      source: "iana"
    },
    "message/vnd.wfa.wsc": {
      source: "iana",
      extensions: ["wsc"]
    },
    "model/3mf": {
      source: "iana",
      extensions: ["3mf"]
    },
    "model/e57": {
      source: "iana"
    },
    "model/gltf+json": {
      source: "iana",
      compressible: true,
      extensions: ["gltf"]
    },
    "model/gltf-binary": {
      source: "iana",
      compressible: true,
      extensions: ["glb"]
    },
    "model/iges": {
      source: "iana",
      compressible: false,
      extensions: ["igs", "iges"]
    },
    "model/mesh": {
      source: "iana",
      compressible: false,
      extensions: ["msh", "mesh", "silo"]
    },
    "model/mtl": {
      source: "iana",
      extensions: ["mtl"]
    },
    "model/obj": {
      source: "iana",
      extensions: ["obj"]
    },
    "model/step": {
      source: "iana"
    },
    "model/step+xml": {
      source: "iana",
      compressible: true,
      extensions: ["stpx"]
    },
    "model/step+zip": {
      source: "iana",
      compressible: false,
      extensions: ["stpz"]
    },
    "model/step-xml+zip": {
      source: "iana",
      compressible: false,
      extensions: ["stpxz"]
    },
    "model/stl": {
      source: "iana",
      extensions: ["stl"]
    },
    "model/vnd.collada+xml": {
      source: "iana",
      compressible: true,
      extensions: ["dae"]
    },
    "model/vnd.dwf": {
      source: "iana",
      extensions: ["dwf"]
    },
    "model/vnd.flatland.3dml": {
      source: "iana"
    },
    "model/vnd.gdl": {
      source: "iana",
      extensions: ["gdl"]
    },
    "model/vnd.gs-gdl": {
      source: "apache"
    },
    "model/vnd.gs.gdl": {
      source: "iana"
    },
    "model/vnd.gtw": {
      source: "iana",
      extensions: ["gtw"]
    },
    "model/vnd.moml+xml": {
      source: "iana",
      compressible: true
    },
    "model/vnd.mts": {
      source: "iana",
      extensions: ["mts"]
    },
    "model/vnd.opengex": {
      source: "iana",
      extensions: ["ogex"]
    },
    "model/vnd.parasolid.transmit.binary": {
      source: "iana",
      extensions: ["x_b"]
    },
    "model/vnd.parasolid.transmit.text": {
      source: "iana",
      extensions: ["x_t"]
    },
    "model/vnd.pytha.pyox": {
      source: "iana"
    },
    "model/vnd.rosette.annotated-data-model": {
      source: "iana"
    },
    "model/vnd.sap.vds": {
      source: "iana",
      extensions: ["vds"]
    },
    "model/vnd.usdz+zip": {
      source: "iana",
      compressible: false,
      extensions: ["usdz"]
    },
    "model/vnd.valve.source.compiled-map": {
      source: "iana",
      extensions: ["bsp"]
    },
    "model/vnd.vtu": {
      source: "iana",
      extensions: ["vtu"]
    },
    "model/vrml": {
      source: "iana",
      compressible: false,
      extensions: ["wrl", "vrml"]
    },
    "model/x3d+binary": {
      source: "apache",
      compressible: false,
      extensions: ["x3db", "x3dbz"]
    },
    "model/x3d+fastinfoset": {
      source: "iana",
      extensions: ["x3db"]
    },
    "model/x3d+vrml": {
      source: "apache",
      compressible: false,
      extensions: ["x3dv", "x3dvz"]
    },
    "model/x3d+xml": {
      source: "iana",
      compressible: true,
      extensions: ["x3d", "x3dz"]
    },
    "model/x3d-vrml": {
      source: "iana",
      extensions: ["x3dv"]
    },
    "multipart/alternative": {
      source: "iana",
      compressible: false
    },
    "multipart/appledouble": {
      source: "iana"
    },
    "multipart/byteranges": {
      source: "iana"
    },
    "multipart/digest": {
      source: "iana"
    },
    "multipart/encrypted": {
      source: "iana",
      compressible: false
    },
    "multipart/form-data": {
      source: "iana",
      compressible: false
    },
    "multipart/header-set": {
      source: "iana"
    },
    "multipart/mixed": {
      source: "iana"
    },
    "multipart/multilingual": {
      source: "iana"
    },
    "multipart/parallel": {
      source: "iana"
    },
    "multipart/related": {
      source: "iana",
      compressible: false
    },
    "multipart/report": {
      source: "iana"
    },
    "multipart/signed": {
      source: "iana",
      compressible: false
    },
    "multipart/vnd.bint.med-plus": {
      source: "iana"
    },
    "multipart/voice-message": {
      source: "iana"
    },
    "multipart/x-mixed-replace": {
      source: "iana"
    },
    "text/1d-interleaved-parityfec": {
      source: "iana"
    },
    "text/cache-manifest": {
      source: "iana",
      compressible: true,
      extensions: ["appcache", "manifest"]
    },
    "text/calendar": {
      source: "iana",
      extensions: ["ics", "ifb"]
    },
    "text/calender": {
      compressible: true
    },
    "text/cmd": {
      compressible: true
    },
    "text/coffeescript": {
      extensions: ["coffee", "litcoffee"]
    },
    "text/cql": {
      source: "iana"
    },
    "text/cql-expression": {
      source: "iana"
    },
    "text/cql-identifier": {
      source: "iana"
    },
    "text/css": {
      source: "iana",
      charset: "UTF-8",
      compressible: true,
      extensions: ["css"]
    },
    "text/csv": {
      source: "iana",
      compressible: true,
      extensions: ["csv"]
    },
    "text/csv-schema": {
      source: "iana"
    },
    "text/directory": {
      source: "iana"
    },
    "text/dns": {
      source: "iana"
    },
    "text/ecmascript": {
      source: "iana"
    },
    "text/encaprtp": {
      source: "iana"
    },
    "text/enriched": {
      source: "iana"
    },
    "text/fhirpath": {
      source: "iana"
    },
    "text/flexfec": {
      source: "iana"
    },
    "text/fwdred": {
      source: "iana"
    },
    "text/gff3": {
      source: "iana"
    },
    "text/grammar-ref-list": {
      source: "iana"
    },
    "text/html": {
      source: "iana",
      compressible: true,
      extensions: ["html", "htm", "shtml"]
    },
    "text/jade": {
      extensions: ["jade"]
    },
    "text/javascript": {
      source: "iana",
      compressible: true
    },
    "text/jcr-cnd": {
      source: "iana"
    },
    "text/jsx": {
      compressible: true,
      extensions: ["jsx"]
    },
    "text/less": {
      compressible: true,
      extensions: ["less"]
    },
    "text/markdown": {
      source: "iana",
      compressible: true,
      extensions: ["markdown", "md"]
    },
    "text/mathml": {
      source: "nginx",
      extensions: ["mml"]
    },
    "text/mdx": {
      compressible: true,
      extensions: ["mdx"]
    },
    "text/mizar": {
      source: "iana"
    },
    "text/n3": {
      source: "iana",
      charset: "UTF-8",
      compressible: true,
      extensions: ["n3"]
    },
    "text/parameters": {
      source: "iana",
      charset: "UTF-8"
    },
    "text/parityfec": {
      source: "iana"
    },
    "text/plain": {
      source: "iana",
      compressible: true,
      extensions: ["txt", "text", "conf", "def", "list", "log", "in", "ini"]
    },
    "text/provenance-notation": {
      source: "iana",
      charset: "UTF-8"
    },
    "text/prs.fallenstein.rst": {
      source: "iana"
    },
    "text/prs.lines.tag": {
      source: "iana",
      extensions: ["dsc"]
    },
    "text/prs.prop.logic": {
      source: "iana"
    },
    "text/raptorfec": {
      source: "iana"
    },
    "text/red": {
      source: "iana"
    },
    "text/rfc822-headers": {
      source: "iana"
    },
    "text/richtext": {
      source: "iana",
      compressible: true,
      extensions: ["rtx"]
    },
    "text/rtf": {
      source: "iana",
      compressible: true,
      extensions: ["rtf"]
    },
    "text/rtp-enc-aescm128": {
      source: "iana"
    },
    "text/rtploopback": {
      source: "iana"
    },
    "text/rtx": {
      source: "iana"
    },
    "text/sgml": {
      source: "iana",
      extensions: ["sgml", "sgm"]
    },
    "text/shaclc": {
      source: "iana"
    },
    "text/shex": {
      source: "iana",
      extensions: ["shex"]
    },
    "text/slim": {
      extensions: ["slim", "slm"]
    },
    "text/spdx": {
      source: "iana",
      extensions: ["spdx"]
    },
    "text/strings": {
      source: "iana"
    },
    "text/stylus": {
      extensions: ["stylus", "styl"]
    },
    "text/t140": {
      source: "iana"
    },
    "text/tab-separated-values": {
      source: "iana",
      compressible: true,
      extensions: ["tsv"]
    },
    "text/troff": {
      source: "iana",
      extensions: ["t", "tr", "roff", "man", "me", "ms"]
    },
    "text/turtle": {
      source: "iana",
      charset: "UTF-8",
      extensions: ["ttl"]
    },
    "text/ulpfec": {
      source: "iana"
    },
    "text/uri-list": {
      source: "iana",
      compressible: true,
      extensions: ["uri", "uris", "urls"]
    },
    "text/vcard": {
      source: "iana",
      compressible: true,
      extensions: ["vcard"]
    },
    "text/vnd.a": {
      source: "iana"
    },
    "text/vnd.abc": {
      source: "iana"
    },
    "text/vnd.ascii-art": {
      source: "iana"
    },
    "text/vnd.curl": {
      source: "iana",
      extensions: ["curl"]
    },
    "text/vnd.curl.dcurl": {
      source: "apache",
      extensions: ["dcurl"]
    },
    "text/vnd.curl.mcurl": {
      source: "apache",
      extensions: ["mcurl"]
    },
    "text/vnd.curl.scurl": {
      source: "apache",
      extensions: ["scurl"]
    },
    "text/vnd.debian.copyright": {
      source: "iana",
      charset: "UTF-8"
    },
    "text/vnd.dmclientscript": {
      source: "iana"
    },
    "text/vnd.dvb.subtitle": {
      source: "iana",
      extensions: ["sub"]
    },
    "text/vnd.esmertec.theme-descriptor": {
      source: "iana",
      charset: "UTF-8"
    },
    "text/vnd.familysearch.gedcom": {
      source: "iana",
      extensions: ["ged"]
    },
    "text/vnd.ficlab.flt": {
      source: "iana"
    },
    "text/vnd.fly": {
      source: "iana",
      extensions: ["fly"]
    },
    "text/vnd.fmi.flexstor": {
      source: "iana",
      extensions: ["flx"]
    },
    "text/vnd.gml": {
      source: "iana"
    },
    "text/vnd.graphviz": {
      source: "iana",
      extensions: ["gv"]
    },
    "text/vnd.hans": {
      source: "iana"
    },
    "text/vnd.hgl": {
      source: "iana"
    },
    "text/vnd.in3d.3dml": {
      source: "iana",
      extensions: ["3dml"]
    },
    "text/vnd.in3d.spot": {
      source: "iana",
      extensions: ["spot"]
    },
    "text/vnd.iptc.newsml": {
      source: "iana"
    },
    "text/vnd.iptc.nitf": {
      source: "iana"
    },
    "text/vnd.latex-z": {
      source: "iana"
    },
    "text/vnd.motorola.reflex": {
      source: "iana"
    },
    "text/vnd.ms-mediapackage": {
      source: "iana"
    },
    "text/vnd.net2phone.commcenter.command": {
      source: "iana"
    },
    "text/vnd.radisys.msml-basic-layout": {
      source: "iana"
    },
    "text/vnd.senx.warpscript": {
      source: "iana"
    },
    "text/vnd.si.uricatalogue": {
      source: "iana"
    },
    "text/vnd.sosi": {
      source: "iana"
    },
    "text/vnd.sun.j2me.app-descriptor": {
      source: "iana",
      charset: "UTF-8",
      extensions: ["jad"]
    },
    "text/vnd.trolltech.linguist": {
      source: "iana",
      charset: "UTF-8"
    },
    "text/vnd.wap.si": {
      source: "iana"
    },
    "text/vnd.wap.sl": {
      source: "iana"
    },
    "text/vnd.wap.wml": {
      source: "iana",
      extensions: ["wml"]
    },
    "text/vnd.wap.wmlscript": {
      source: "iana",
      extensions: ["wmls"]
    },
    "text/vtt": {
      source: "iana",
      charset: "UTF-8",
      compressible: true,
      extensions: ["vtt"]
    },
    "text/x-asm": {
      source: "apache",
      extensions: ["s", "asm"]
    },
    "text/x-c": {
      source: "apache",
      extensions: ["c", "cc", "cxx", "cpp", "h", "hh", "dic"]
    },
    "text/x-component": {
      source: "nginx",
      extensions: ["htc"]
    },
    "text/x-fortran": {
      source: "apache",
      extensions: ["f", "for", "f77", "f90"]
    },
    "text/x-gwt-rpc": {
      compressible: true
    },
    "text/x-handlebars-template": {
      extensions: ["hbs"]
    },
    "text/x-java-source": {
      source: "apache",
      extensions: ["java"]
    },
    "text/x-jquery-tmpl": {
      compressible: true
    },
    "text/x-lua": {
      extensions: ["lua"]
    },
    "text/x-markdown": {
      compressible: true,
      extensions: ["mkd"]
    },
    "text/x-nfo": {
      source: "apache",
      extensions: ["nfo"]
    },
    "text/x-opml": {
      source: "apache",
      extensions: ["opml"]
    },
    "text/x-org": {
      compressible: true,
      extensions: ["org"]
    },
    "text/x-pascal": {
      source: "apache",
      extensions: ["p", "pas"]
    },
    "text/x-processing": {
      compressible: true,
      extensions: ["pde"]
    },
    "text/x-sass": {
      extensions: ["sass"]
    },
    "text/x-scss": {
      extensions: ["scss"]
    },
    "text/x-setext": {
      source: "apache",
      extensions: ["etx"]
    },
    "text/x-sfv": {
      source: "apache",
      extensions: ["sfv"]
    },
    "text/x-suse-ymp": {
      compressible: true,
      extensions: ["ymp"]
    },
    "text/x-uuencode": {
      source: "apache",
      extensions: ["uu"]
    },
    "text/x-vcalendar": {
      source: "apache",
      extensions: ["vcs"]
    },
    "text/x-vcard": {
      source: "apache",
      extensions: ["vcf"]
    },
    "text/xml": {
      source: "iana",
      compressible: true,
      extensions: ["xml"]
    },
    "text/xml-external-parsed-entity": {
      source: "iana"
    },
    "text/yaml": {
      compressible: true,
      extensions: ["yaml", "yml"]
    },
    "video/1d-interleaved-parityfec": {
      source: "iana"
    },
    "video/3gpp": {
      source: "iana",
      extensions: ["3gp", "3gpp"]
    },
    "video/3gpp-tt": {
      source: "iana"
    },
    "video/3gpp2": {
      source: "iana",
      extensions: ["3g2"]
    },
    "video/av1": {
      source: "iana"
    },
    "video/bmpeg": {
      source: "iana"
    },
    "video/bt656": {
      source: "iana"
    },
    "video/celb": {
      source: "iana"
    },
    "video/dv": {
      source: "iana"
    },
    "video/encaprtp": {
      source: "iana"
    },
    "video/ffv1": {
      source: "iana"
    },
    "video/flexfec": {
      source: "iana"
    },
    "video/h261": {
      source: "iana",
      extensions: ["h261"]
    },
    "video/h263": {
      source: "iana",
      extensions: ["h263"]
    },
    "video/h263-1998": {
      source: "iana"
    },
    "video/h263-2000": {
      source: "iana"
    },
    "video/h264": {
      source: "iana",
      extensions: ["h264"]
    },
    "video/h264-rcdo": {
      source: "iana"
    },
    "video/h264-svc": {
      source: "iana"
    },
    "video/h265": {
      source: "iana"
    },
    "video/iso.segment": {
      source: "iana",
      extensions: ["m4s"]
    },
    "video/jpeg": {
      source: "iana",
      extensions: ["jpgv"]
    },
    "video/jpeg2000": {
      source: "iana"
    },
    "video/jpm": {
      source: "apache",
      extensions: ["jpm", "jpgm"]
    },
    "video/jxsv": {
      source: "iana"
    },
    "video/mj2": {
      source: "iana",
      extensions: ["mj2", "mjp2"]
    },
    "video/mp1s": {
      source: "iana"
    },
    "video/mp2p": {
      source: "iana"
    },
    "video/mp2t": {
      source: "iana",
      extensions: ["ts"]
    },
    "video/mp4": {
      source: "iana",
      compressible: false,
      extensions: ["mp4", "mp4v", "mpg4"]
    },
    "video/mp4v-es": {
      source: "iana"
    },
    "video/mpeg": {
      source: "iana",
      compressible: false,
      extensions: ["mpeg", "mpg", "mpe", "m1v", "m2v"]
    },
    "video/mpeg4-generic": {
      source: "iana"
    },
    "video/mpv": {
      source: "iana"
    },
    "video/nv": {
      source: "iana"
    },
    "video/ogg": {
      source: "iana",
      compressible: false,
      extensions: ["ogv"]
    },
    "video/parityfec": {
      source: "iana"
    },
    "video/pointer": {
      source: "iana"
    },
    "video/quicktime": {
      source: "iana",
      compressible: false,
      extensions: ["qt", "mov"]
    },
    "video/raptorfec": {
      source: "iana"
    },
    "video/raw": {
      source: "iana"
    },
    "video/rtp-enc-aescm128": {
      source: "iana"
    },
    "video/rtploopback": {
      source: "iana"
    },
    "video/rtx": {
      source: "iana"
    },
    "video/scip": {
      source: "iana"
    },
    "video/smpte291": {
      source: "iana"
    },
    "video/smpte292m": {
      source: "iana"
    },
    "video/ulpfec": {
      source: "iana"
    },
    "video/vc1": {
      source: "iana"
    },
    "video/vc2": {
      source: "iana"
    },
    "video/vnd.cctv": {
      source: "iana"
    },
    "video/vnd.dece.hd": {
      source: "iana",
      extensions: ["uvh", "uvvh"]
    },
    "video/vnd.dece.mobile": {
      source: "iana",
      extensions: ["uvm", "uvvm"]
    },
    "video/vnd.dece.mp4": {
      source: "iana"
    },
    "video/vnd.dece.pd": {
      source: "iana",
      extensions: ["uvp", "uvvp"]
    },
    "video/vnd.dece.sd": {
      source: "iana",
      extensions: ["uvs", "uvvs"]
    },
    "video/vnd.dece.video": {
      source: "iana",
      extensions: ["uvv", "uvvv"]
    },
    "video/vnd.directv.mpeg": {
      source: "iana"
    },
    "video/vnd.directv.mpeg-tts": {
      source: "iana"
    },
    "video/vnd.dlna.mpeg-tts": {
      source: "iana"
    },
    "video/vnd.dvb.file": {
      source: "iana",
      extensions: ["dvb"]
    },
    "video/vnd.fvt": {
      source: "iana",
      extensions: ["fvt"]
    },
    "video/vnd.hns.video": {
      source: "iana"
    },
    "video/vnd.iptvforum.1dparityfec-1010": {
      source: "iana"
    },
    "video/vnd.iptvforum.1dparityfec-2005": {
      source: "iana"
    },
    "video/vnd.iptvforum.2dparityfec-1010": {
      source: "iana"
    },
    "video/vnd.iptvforum.2dparityfec-2005": {
      source: "iana"
    },
    "video/vnd.iptvforum.ttsavc": {
      source: "iana"
    },
    "video/vnd.iptvforum.ttsmpeg2": {
      source: "iana"
    },
    "video/vnd.motorola.video": {
      source: "iana"
    },
    "video/vnd.motorola.videop": {
      source: "iana"
    },
    "video/vnd.mpegurl": {
      source: "iana",
      extensions: ["mxu", "m4u"]
    },
    "video/vnd.ms-playready.media.pyv": {
      source: "iana",
      extensions: ["pyv"]
    },
    "video/vnd.nokia.interleaved-multimedia": {
      source: "iana"
    },
    "video/vnd.nokia.mp4vr": {
      source: "iana"
    },
    "video/vnd.nokia.videovoip": {
      source: "iana"
    },
    "video/vnd.objectvideo": {
      source: "iana"
    },
    "video/vnd.radgamettools.bink": {
      source: "iana"
    },
    "video/vnd.radgamettools.smacker": {
      source: "iana"
    },
    "video/vnd.sealed.mpeg1": {
      source: "iana"
    },
    "video/vnd.sealed.mpeg4": {
      source: "iana"
    },
    "video/vnd.sealed.swf": {
      source: "iana"
    },
    "video/vnd.sealedmedia.softseal.mov": {
      source: "iana"
    },
    "video/vnd.uvvu.mp4": {
      source: "iana",
      extensions: ["uvu", "uvvu"]
    },
    "video/vnd.vivo": {
      source: "iana",
      extensions: ["viv"]
    },
    "video/vnd.youtube.yt": {
      source: "iana"
    },
    "video/vp8": {
      source: "iana"
    },
    "video/vp9": {
      source: "iana"
    },
    "video/webm": {
      source: "apache",
      compressible: false,
      extensions: ["webm"]
    },
    "video/x-f4v": {
      source: "apache",
      extensions: ["f4v"]
    },
    "video/x-fli": {
      source: "apache",
      extensions: ["fli"]
    },
    "video/x-flv": {
      source: "apache",
      compressible: false,
      extensions: ["flv"]
    },
    "video/x-m4v": {
      source: "apache",
      extensions: ["m4v"]
    },
    "video/x-matroska": {
      source: "apache",
      compressible: false,
      extensions: ["mkv", "mk3d", "mks"]
    },
    "video/x-mng": {
      source: "apache",
      extensions: ["mng"]
    },
    "video/x-ms-asf": {
      source: "apache",
      extensions: ["asf", "asx"]
    },
    "video/x-ms-vob": {
      source: "apache",
      extensions: ["vob"]
    },
    "video/x-ms-wm": {
      source: "apache",
      extensions: ["wm"]
    },
    "video/x-ms-wmv": {
      source: "apache",
      compressible: false,
      extensions: ["wmv"]
    },
    "video/x-ms-wmx": {
      source: "apache",
      extensions: ["wmx"]
    },
    "video/x-ms-wvx": {
      source: "apache",
      extensions: ["wvx"]
    },
    "video/x-msvideo": {
      source: "apache",
      extensions: ["avi"]
    },
    "video/x-sgi-movie": {
      source: "apache",
      extensions: ["movie"]
    },
    "video/x-smv": {
      source: "apache",
      extensions: ["smv"]
    },
    "x-conference/x-cooltalk": {
      source: "apache",
      extensions: ["ice"]
    },
    "x-shader/x-fragment": {
      compressible: true
    },
    "x-shader/x-vertex": {
      compressible: true
    }
  };
});

// node_modules/mime-db/index.js
var require_mime_db = __commonJS((exports, module) => {
  /*!
   * mime-db
   * Copyright(c) 2014 Jonathan Ong
   * Copyright(c) 2015-2022 Douglas Christopher Wilson
   * MIT Licensed
   */
  module.exports = require_db();
});

// node_modules/mime-types/index.js
var require_mime_types = __commonJS((exports) => {
  /*!
   * mime-types
   * Copyright(c) 2014 Jonathan Ong
   * Copyright(c) 2015 Douglas Christopher Wilson
   * MIT Licensed
   */
  var db = require_mime_db();
  var extname = __require("path").extname;
  var EXTRACT_TYPE_REGEXP = /^\s*([^;\s]*)(?:;|\s|$)/;
  var TEXT_TYPE_REGEXP = /^text\//i;
  exports.charset = charset;
  exports.charsets = { lookup: charset };
  exports.contentType = contentType2;
  exports.extension = extension;
  exports.extensions = Object.create(null);
  exports.lookup = lookup;
  exports.types = Object.create(null);
  populateMaps(exports.extensions, exports.types);
  function charset(type) {
    if (!type || typeof type !== "string") {
      return false;
    }
    var match = EXTRACT_TYPE_REGEXP.exec(type);
    var mime = match && db[match[1].toLowerCase()];
    if (mime && mime.charset) {
      return mime.charset;
    }
    if (match && TEXT_TYPE_REGEXP.test(match[1])) {
      return "UTF-8";
    }
    return false;
  }
  function contentType2(str) {
    if (!str || typeof str !== "string") {
      return false;
    }
    var mime = str.indexOf("/") === -1 ? exports.lookup(str) : str;
    if (!mime) {
      return false;
    }
    if (mime.indexOf("charset") === -1) {
      var charset2 = exports.charset(mime);
      if (charset2)
        mime += "; charset=" + charset2.toLowerCase();
    }
    return mime;
  }
  function extension(type) {
    if (!type || typeof type !== "string") {
      return false;
    }
    var match = EXTRACT_TYPE_REGEXP.exec(type);
    var exts = match && exports.extensions[match[1].toLowerCase()];
    if (!exts || !exts.length) {
      return false;
    }
    return exts[0];
  }
  function lookup(path) {
    if (!path || typeof path !== "string") {
      return false;
    }
    var extension2 = extname("x." + path).toLowerCase().substr(1);
    if (!extension2) {
      return false;
    }
    return exports.types[extension2] || false;
  }
  function populateMaps(extensions, types2) {
    var preference = ["nginx", "apache", undefined, "iana"];
    Object.keys(db).forEach(function forEachMimeType(type) {
      var mime = db[type];
      var exts = mime.extensions;
      if (!exts || !exts.length) {
        return;
      }
      extensions[type] = exts;
      for (var i = 0;i < exts.length; i++) {
        var extension2 = exts[i];
        if (types2[extension2]) {
          var from = preference.indexOf(db[types2[extension2]].source);
          var to = preference.indexOf(mime.source);
          if (types2[extension2] !== "application/octet-stream" && (from > to || from === to && types2[extension2].substr(0, 12) === "application/")) {
            continue;
          }
        }
        types2[extension2] = type;
      }
    });
  }
});

// node_modules/type-is/index.js
var require_type_is = __commonJS((exports, module) => {
  /*!
   * type-is
   * Copyright(c) 2014 Jonathan Ong
   * Copyright(c) 2014-2015 Douglas Christopher Wilson
   * MIT Licensed
   */
  var typer = require_media_typer();
  var mime = require_mime_types();
  module.exports = typeofrequest;
  module.exports.is = typeis;
  module.exports.hasBody = hasbody;
  module.exports.normalize = normalize;
  module.exports.match = mimeMatch;
  function typeis(value, types_) {
    var i;
    var types2 = types_;
    var val = tryNormalizeType(value);
    if (!val) {
      return false;
    }
    if (types2 && !Array.isArray(types2)) {
      types2 = new Array(arguments.length - 1);
      for (i = 0;i < types2.length; i++) {
        types2[i] = arguments[i + 1];
      }
    }
    if (!types2 || !types2.length) {
      return val;
    }
    var type;
    for (i = 0;i < types2.length; i++) {
      if (mimeMatch(normalize(type = types2[i]), val)) {
        return type[0] === "+" || type.indexOf("*") !== -1 ? val : type;
      }
    }
    return false;
  }
  function hasbody(req) {
    return req.headers["transfer-encoding"] !== undefined || !isNaN(req.headers["content-length"]);
  }
  function typeofrequest(req, types_) {
    var types2 = types_;
    if (!hasbody(req)) {
      return null;
    }
    if (arguments.length > 2) {
      types2 = new Array(arguments.length - 1);
      for (var i = 0;i < types2.length; i++) {
        types2[i] = arguments[i + 1];
      }
    }
    var value = req.headers["content-type"];
    return typeis(value, types2);
  }
  function normalize(type) {
    if (typeof type !== "string") {
      return false;
    }
    switch (type) {
      case "urlencoded":
        return "application/x-www-form-urlencoded";
      case "multipart":
        return "multipart/*";
    }
    if (type[0] === "+") {
      return "*/*" + type;
    }
    return type.indexOf("/") === -1 ? mime.lookup(type) : type;
  }
  function mimeMatch(expected, actual) {
    if (expected === false) {
      return false;
    }
    var actualParts = actual.split("/");
    var expectedParts = expected.split("/");
    if (actualParts.length !== 2 || expectedParts.length !== 2) {
      return false;
    }
    if (expectedParts[0] !== "*" && expectedParts[0] !== actualParts[0]) {
      return false;
    }
    if (expectedParts[1].substr(0, 2) === "*+") {
      return expectedParts[1].length <= actualParts[1].length + 1 && expectedParts[1].substr(1) === actualParts[1].substr(1 - expectedParts[1].length);
    }
    if (expectedParts[1] !== "*" && expectedParts[1] !== actualParts[1]) {
      return false;
    }
    return true;
  }
  function normalizeType(value) {
    var type = typer.parse(value);
    type.parameters = undefined;
    return typer.format(type);
  }
  function tryNormalizeType(value) {
    if (!value) {
      return null;
    }
    try {
      return normalizeType(value);
    } catch (err) {
      return null;
    }
  }
});

// node_modules/body-parser/lib/types/json.js
var require_json = __commonJS((exports, module) => {
  /*!
   * body-parser
   * Copyright(c) 2014 Jonathan Ong
   * Copyright(c) 2014-2015 Douglas Christopher Wilson
   * MIT Licensed
   */
  var bytes = require_bytes();
  var contentType2 = require_content_type();
  var createError = require_http_errors();
  var debug = require_src()("body-parser:json");
  var read = require_read();
  var typeis = require_type_is();
  module.exports = json;
  var FIRST_CHAR_REGEXP = /^[\x20\x09\x0a\x0d]*([^\x20\x09\x0a\x0d])/;
  var JSON_SYNTAX_CHAR = "#";
  var JSON_SYNTAX_REGEXP = /#+/g;
  function json(options) {
    var opts = options || {};
    var limit = typeof opts.limit !== "number" ? bytes.parse(opts.limit || "100kb") : opts.limit;
    var inflate = opts.inflate !== false;
    var reviver = opts.reviver;
    var strict = opts.strict !== false;
    var type = opts.type || "application/json";
    var verify = opts.verify || false;
    if (verify !== false && typeof verify !== "function") {
      throw new TypeError("option verify must be function");
    }
    var shouldParse = typeof type !== "function" ? typeChecker(type) : type;
    function parse(body) {
      if (body.length === 0) {
        return {};
      }
      if (strict) {
        var first = firstchar(body);
        if (first !== "{" && first !== "[") {
          debug("strict violation");
          throw createStrictSyntaxError(body, first);
        }
      }
      try {
        debug("parse json");
        return JSON.parse(body, reviver);
      } catch (e) {
        throw normalizeJsonSyntaxError(e, {
          message: e.message,
          stack: e.stack
        });
      }
    }
    return function jsonParser(req, res, next) {
      if (req._body) {
        debug("body already parsed");
        next();
        return;
      }
      req.body = req.body || {};
      if (!typeis.hasBody(req)) {
        debug("skip empty body");
        next();
        return;
      }
      debug("content-type %j", req.headers["content-type"]);
      if (!shouldParse(req)) {
        debug("skip parsing");
        next();
        return;
      }
      var charset = getCharset(req) || "utf-8";
      if (charset.slice(0, 4) !== "utf-") {
        debug("invalid charset");
        next(createError(415, 'unsupported charset "' + charset.toUpperCase() + '"', {
          charset,
          type: "charset.unsupported"
        }));
        return;
      }
      read(req, res, next, parse, debug, {
        encoding: charset,
        inflate,
        limit,
        verify
      });
    };
  }
  function createStrictSyntaxError(str, char) {
    var index = str.indexOf(char);
    var partial = "";
    if (index !== -1) {
      partial = str.substring(0, index) + JSON_SYNTAX_CHAR;
      for (var i = index + 1;i < str.length; i++) {
        partial += JSON_SYNTAX_CHAR;
      }
    }
    try {
      JSON.parse(partial);
      throw new SyntaxError("strict violation");
    } catch (e) {
      return normalizeJsonSyntaxError(e, {
        message: e.message.replace(JSON_SYNTAX_REGEXP, function(placeholder) {
          return str.substring(index, index + placeholder.length);
        }),
        stack: e.stack
      });
    }
  }
  function firstchar(str) {
    var match = FIRST_CHAR_REGEXP.exec(str);
    return match ? match[1] : undefined;
  }
  function getCharset(req) {
    try {
      return (contentType2.parse(req).parameters.charset || "").toLowerCase();
    } catch (e) {
      return;
    }
  }
  function normalizeJsonSyntaxError(error, obj) {
    var keys = Object.getOwnPropertyNames(error);
    for (var i = 0;i < keys.length; i++) {
      var key = keys[i];
      if (key !== "stack" && key !== "message") {
        delete error[key];
      }
    }
    error.stack = obj.stack.replace(error.message, obj.message);
    error.message = obj.message;
    return error;
  }
  function typeChecker(type) {
    return function checkType(req) {
      return Boolean(typeis(req, type));
    };
  }
});

// node_modules/body-parser/lib/types/raw.js
var require_raw = __commonJS((exports, module) => {
  /*!
   * body-parser
   * Copyright(c) 2014-2015 Douglas Christopher Wilson
   * MIT Licensed
   */
  var bytes = require_bytes();
  var debug = require_src()("body-parser:raw");
  var read = require_read();
  var typeis = require_type_is();
  module.exports = raw;
  function raw(options) {
    var opts = options || {};
    var inflate = opts.inflate !== false;
    var limit = typeof opts.limit !== "number" ? bytes.parse(opts.limit || "100kb") : opts.limit;
    var type = opts.type || "application/octet-stream";
    var verify = opts.verify || false;
    if (verify !== false && typeof verify !== "function") {
      throw new TypeError("option verify must be function");
    }
    var shouldParse = typeof type !== "function" ? typeChecker(type) : type;
    function parse(buf) {
      return buf;
    }
    return function rawParser(req, res, next) {
      if (req._body) {
        debug("body already parsed");
        next();
        return;
      }
      req.body = req.body || {};
      if (!typeis.hasBody(req)) {
        debug("skip empty body");
        next();
        return;
      }
      debug("content-type %j", req.headers["content-type"]);
      if (!shouldParse(req)) {
        debug("skip parsing");
        next();
        return;
      }
      read(req, res, next, parse, debug, {
        encoding: null,
        inflate,
        limit,
        verify
      });
    };
  }
  function typeChecker(type) {
    return function checkType(req) {
      return Boolean(typeis(req, type));
    };
  }
});

// node_modules/body-parser/lib/types/text.js
var require_text = __commonJS((exports, module) => {
  /*!
   * body-parser
   * Copyright(c) 2014-2015 Douglas Christopher Wilson
   * MIT Licensed
   */
  var bytes = require_bytes();
  var contentType2 = require_content_type();
  var debug = require_src()("body-parser:text");
  var read = require_read();
  var typeis = require_type_is();
  module.exports = text;
  function text(options) {
    var opts = options || {};
    var defaultCharset = opts.defaultCharset || "utf-8";
    var inflate = opts.inflate !== false;
    var limit = typeof opts.limit !== "number" ? bytes.parse(opts.limit || "100kb") : opts.limit;
    var type = opts.type || "text/plain";
    var verify = opts.verify || false;
    if (verify !== false && typeof verify !== "function") {
      throw new TypeError("option verify must be function");
    }
    var shouldParse = typeof type !== "function" ? typeChecker(type) : type;
    function parse(buf) {
      return buf;
    }
    return function textParser(req, res, next) {
      if (req._body) {
        debug("body already parsed");
        next();
        return;
      }
      req.body = req.body || {};
      if (!typeis.hasBody(req)) {
        debug("skip empty body");
        next();
        return;
      }
      debug("content-type %j", req.headers["content-type"]);
      if (!shouldParse(req)) {
        debug("skip parsing");
        next();
        return;
      }
      var charset = getCharset(req) || defaultCharset;
      read(req, res, next, parse, debug, {
        encoding: charset,
        inflate,
        limit,
        verify
      });
    };
  }
  function getCharset(req) {
    try {
      return (contentType2.parse(req).parameters.charset || "").toLowerCase();
    } catch (e) {
      return;
    }
  }
  function typeChecker(type) {
    return function checkType(req) {
      return Boolean(typeis(req, type));
    };
  }
});

// node_modules/es-errors/type.js
var require_type = __commonJS((exports, module) => {
  module.exports = TypeError;
});

// node_modules/object-inspect/util.inspect.js
var require_util_inspect = __commonJS((exports, module) => {
  module.exports = __require("util").inspect;
});

// node_modules/object-inspect/index.js
var require_object_inspect = __commonJS((exports, module) => {
  var hasMap = typeof Map === "function" && Map.prototype;
  var mapSizeDescriptor = Object.getOwnPropertyDescriptor && hasMap ? Object.getOwnPropertyDescriptor(Map.prototype, "size") : null;
  var mapSize = hasMap && mapSizeDescriptor && typeof mapSizeDescriptor.get === "function" ? mapSizeDescriptor.get : null;
  var mapForEach = hasMap && Map.prototype.forEach;
  var hasSet = typeof Set === "function" && Set.prototype;
  var setSizeDescriptor = Object.getOwnPropertyDescriptor && hasSet ? Object.getOwnPropertyDescriptor(Set.prototype, "size") : null;
  var setSize = hasSet && setSizeDescriptor && typeof setSizeDescriptor.get === "function" ? setSizeDescriptor.get : null;
  var setForEach = hasSet && Set.prototype.forEach;
  var hasWeakMap = typeof WeakMap === "function" && WeakMap.prototype;
  var weakMapHas = hasWeakMap ? WeakMap.prototype.has : null;
  var hasWeakSet = typeof WeakSet === "function" && WeakSet.prototype;
  var weakSetHas = hasWeakSet ? WeakSet.prototype.has : null;
  var hasWeakRef = typeof WeakRef === "function" && WeakRef.prototype;
  var weakRefDeref = hasWeakRef ? WeakRef.prototype.deref : null;
  var booleanValueOf = Boolean.prototype.valueOf;
  var objectToString = Object.prototype.toString;
  var functionToString = Function.prototype.toString;
  var $match = String.prototype.match;
  var $slice = String.prototype.slice;
  var $replace = String.prototype.replace;
  var $toUpperCase = String.prototype.toUpperCase;
  var $toLowerCase = String.prototype.toLowerCase;
  var $test = RegExp.prototype.test;
  var $concat = Array.prototype.concat;
  var $join = Array.prototype.join;
  var $arrSlice = Array.prototype.slice;
  var $floor = Math.floor;
  var bigIntValueOf = typeof BigInt === "function" ? BigInt.prototype.valueOf : null;
  var gOPS = Object.getOwnPropertySymbols;
  var symToString = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? Symbol.prototype.toString : null;
  var hasShammedSymbols = typeof Symbol === "function" && typeof Symbol.iterator === "object";
  var toStringTag = typeof Symbol === "function" && Symbol.toStringTag && (typeof Symbol.toStringTag === hasShammedSymbols ? "object" : "symbol") ? Symbol.toStringTag : null;
  var isEnumerable = Object.prototype.propertyIsEnumerable;
  var gPO = (typeof Reflect === "function" ? Reflect.getPrototypeOf : Object.getPrototypeOf) || ([].__proto__ === Array.prototype ? function(O2) {
    return O2.__proto__;
  } : null);
  function addNumericSeparator(num, str) {
    if (num === Infinity || num === -Infinity || num !== num || num && num > -1000 && num < 1000 || $test.call(/e/, str)) {
      return str;
    }
    var sepRegex = /[0-9](?=(?:[0-9]{3})+(?![0-9]))/g;
    if (typeof num === "number") {
      var int = num < 0 ? -$floor(-num) : $floor(num);
      if (int !== num) {
        var intStr = String(int);
        var dec = $slice.call(str, intStr.length + 1);
        return $replace.call(intStr, sepRegex, "$&_") + "." + $replace.call($replace.call(dec, /([0-9]{3})/g, "$&_"), /_$/, "");
      }
    }
    return $replace.call(str, sepRegex, "$&_");
  }
  var utilInspect = require_util_inspect();
  var inspectCustom = utilInspect.custom;
  var inspectSymbol = isSymbol(inspectCustom) ? inspectCustom : null;
  var quotes = {
    __proto__: null,
    double: '"',
    single: "'"
  };
  var quoteREs = {
    __proto__: null,
    double: /(["\\])/g,
    single: /(['\\])/g
  };
  module.exports = function inspect_(obj, options, depth, seen) {
    var opts = options || {};
    if (has(opts, "quoteStyle") && !has(quotes, opts.quoteStyle)) {
      throw new TypeError('option "quoteStyle" must be "single" or "double"');
    }
    if (has(opts, "maxStringLength") && (typeof opts.maxStringLength === "number" ? opts.maxStringLength < 0 && opts.maxStringLength !== Infinity : opts.maxStringLength !== null)) {
      throw new TypeError('option "maxStringLength", if provided, must be a positive integer, Infinity, or `null`');
    }
    var customInspect = has(opts, "customInspect") ? opts.customInspect : true;
    if (typeof customInspect !== "boolean" && customInspect !== "symbol") {
      throw new TypeError("option \"customInspect\", if provided, must be `true`, `false`, or `'symbol'`");
    }
    if (has(opts, "indent") && opts.indent !== null && opts.indent !== "\t" && !(parseInt(opts.indent, 10) === opts.indent && opts.indent > 0)) {
      throw new TypeError('option "indent" must be "\\t", an integer > 0, or `null`');
    }
    if (has(opts, "numericSeparator") && typeof opts.numericSeparator !== "boolean") {
      throw new TypeError('option "numericSeparator", if provided, must be `true` or `false`');
    }
    var numericSeparator = opts.numericSeparator;
    if (typeof obj === "undefined") {
      return "undefined";
    }
    if (obj === null) {
      return "null";
    }
    if (typeof obj === "boolean") {
      return obj ? "true" : "false";
    }
    if (typeof obj === "string") {
      return inspectString(obj, opts);
    }
    if (typeof obj === "number") {
      if (obj === 0) {
        return Infinity / obj > 0 ? "0" : "-0";
      }
      var str = String(obj);
      return numericSeparator ? addNumericSeparator(obj, str) : str;
    }
    if (typeof obj === "bigint") {
      var bigIntStr = String(obj) + "n";
      return numericSeparator ? addNumericSeparator(obj, bigIntStr) : bigIntStr;
    }
    var maxDepth = typeof opts.depth === "undefined" ? 5 : opts.depth;
    if (typeof depth === "undefined") {
      depth = 0;
    }
    if (depth >= maxDepth && maxDepth > 0 && typeof obj === "object") {
      return isArray(obj) ? "[Array]" : "[Object]";
    }
    var indent = getIndent(opts, depth);
    if (typeof seen === "undefined") {
      seen = [];
    } else if (indexOf(seen, obj) >= 0) {
      return "[Circular]";
    }
    function inspect(value, from, noIndent) {
      if (from) {
        seen = $arrSlice.call(seen);
        seen.push(from);
      }
      if (noIndent) {
        var newOpts = {
          depth: opts.depth
        };
        if (has(opts, "quoteStyle")) {
          newOpts.quoteStyle = opts.quoteStyle;
        }
        return inspect_(value, newOpts, depth + 1, seen);
      }
      return inspect_(value, opts, depth + 1, seen);
    }
    if (typeof obj === "function" && !isRegExp(obj)) {
      var name = nameOf(obj);
      var keys = arrObjKeys(obj, inspect);
      return "[Function" + (name ? ": " + name : " (anonymous)") + "]" + (keys.length > 0 ? " { " + $join.call(keys, ", ") + " }" : "");
    }
    if (isSymbol(obj)) {
      var symString = hasShammedSymbols ? $replace.call(String(obj), /^(Symbol\(.*\))_[^)]*$/, "$1") : symToString.call(obj);
      return typeof obj === "object" && !hasShammedSymbols ? markBoxed(symString) : symString;
    }
    if (isElement(obj)) {
      var s = "<" + $toLowerCase.call(String(obj.nodeName));
      var attrs = obj.attributes || [];
      for (var i = 0;i < attrs.length; i++) {
        s += " " + attrs[i].name + "=" + wrapQuotes(quote(attrs[i].value), "double", opts);
      }
      s += ">";
      if (obj.childNodes && obj.childNodes.length) {
        s += "...";
      }
      s += "</" + $toLowerCase.call(String(obj.nodeName)) + ">";
      return s;
    }
    if (isArray(obj)) {
      if (obj.length === 0) {
        return "[]";
      }
      var xs = arrObjKeys(obj, inspect);
      if (indent && !singleLineValues(xs)) {
        return "[" + indentedJoin(xs, indent) + "]";
      }
      return "[ " + $join.call(xs, ", ") + " ]";
    }
    if (isError(obj)) {
      var parts = arrObjKeys(obj, inspect);
      if (!("cause" in Error.prototype) && "cause" in obj && !isEnumerable.call(obj, "cause")) {
        return "{ [" + String(obj) + "] " + $join.call($concat.call("[cause]: " + inspect(obj.cause), parts), ", ") + " }";
      }
      if (parts.length === 0) {
        return "[" + String(obj) + "]";
      }
      return "{ [" + String(obj) + "] " + $join.call(parts, ", ") + " }";
    }
    if (typeof obj === "object" && customInspect) {
      if (inspectSymbol && typeof obj[inspectSymbol] === "function" && utilInspect) {
        return utilInspect(obj, { depth: maxDepth - depth });
      } else if (customInspect !== "symbol" && typeof obj.inspect === "function") {
        return obj.inspect();
      }
    }
    if (isMap(obj)) {
      var mapParts = [];
      if (mapForEach) {
        mapForEach.call(obj, function(value, key) {
          mapParts.push(inspect(key, obj, true) + " => " + inspect(value, obj));
        });
      }
      return collectionOf("Map", mapSize.call(obj), mapParts, indent);
    }
    if (isSet(obj)) {
      var setParts = [];
      if (setForEach) {
        setForEach.call(obj, function(value) {
          setParts.push(inspect(value, obj));
        });
      }
      return collectionOf("Set", setSize.call(obj), setParts, indent);
    }
    if (isWeakMap(obj)) {
      return weakCollectionOf("WeakMap");
    }
    if (isWeakSet(obj)) {
      return weakCollectionOf("WeakSet");
    }
    if (isWeakRef(obj)) {
      return weakCollectionOf("WeakRef");
    }
    if (isNumber(obj)) {
      return markBoxed(inspect(Number(obj)));
    }
    if (isBigInt(obj)) {
      return markBoxed(inspect(bigIntValueOf.call(obj)));
    }
    if (isBoolean(obj)) {
      return markBoxed(booleanValueOf.call(obj));
    }
    if (isString(obj)) {
      return markBoxed(inspect(String(obj)));
    }
    if (typeof window !== "undefined" && obj === window) {
      return "{ [object Window] }";
    }
    if (typeof globalThis !== "undefined" && obj === globalThis || typeof global !== "undefined" && obj === global) {
      return "{ [object globalThis] }";
    }
    if (!isDate(obj) && !isRegExp(obj)) {
      var ys = arrObjKeys(obj, inspect);
      var isPlainObject = gPO ? gPO(obj) === Object.prototype : obj instanceof Object || obj.constructor === Object;
      var protoTag = obj instanceof Object ? "" : "null prototype";
      var stringTag = !isPlainObject && toStringTag && Object(obj) === obj && toStringTag in obj ? $slice.call(toStr(obj), 8, -1) : protoTag ? "Object" : "";
      var constructorTag = isPlainObject || typeof obj.constructor !== "function" ? "" : obj.constructor.name ? obj.constructor.name + " " : "";
      var tag = constructorTag + (stringTag || protoTag ? "[" + $join.call($concat.call([], stringTag || [], protoTag || []), ": ") + "] " : "");
      if (ys.length === 0) {
        return tag + "{}";
      }
      if (indent) {
        return tag + "{" + indentedJoin(ys, indent) + "}";
      }
      return tag + "{ " + $join.call(ys, ", ") + " }";
    }
    return String(obj);
  };
  function wrapQuotes(s, defaultStyle, opts) {
    var style = opts.quoteStyle || defaultStyle;
    var quoteChar = quotes[style];
    return quoteChar + s + quoteChar;
  }
  function quote(s) {
    return $replace.call(String(s), /"/g, "&quot;");
  }
  function canTrustToString(obj) {
    return !toStringTag || !(typeof obj === "object" && ((toStringTag in obj) || typeof obj[toStringTag] !== "undefined"));
  }
  function isArray(obj) {
    return toStr(obj) === "[object Array]" && canTrustToString(obj);
  }
  function isDate(obj) {
    return toStr(obj) === "[object Date]" && canTrustToString(obj);
  }
  function isRegExp(obj) {
    return toStr(obj) === "[object RegExp]" && canTrustToString(obj);
  }
  function isError(obj) {
    return toStr(obj) === "[object Error]" && canTrustToString(obj);
  }
  function isString(obj) {
    return toStr(obj) === "[object String]" && canTrustToString(obj);
  }
  function isNumber(obj) {
    return toStr(obj) === "[object Number]" && canTrustToString(obj);
  }
  function isBoolean(obj) {
    return toStr(obj) === "[object Boolean]" && canTrustToString(obj);
  }
  function isSymbol(obj) {
    if (hasShammedSymbols) {
      return obj && typeof obj === "object" && obj instanceof Symbol;
    }
    if (typeof obj === "symbol") {
      return true;
    }
    if (!obj || typeof obj !== "object" || !symToString) {
      return false;
    }
    try {
      symToString.call(obj);
      return true;
    } catch (e) {}
    return false;
  }
  function isBigInt(obj) {
    if (!obj || typeof obj !== "object" || !bigIntValueOf) {
      return false;
    }
    try {
      bigIntValueOf.call(obj);
      return true;
    } catch (e) {}
    return false;
  }
  var hasOwn = Object.prototype.hasOwnProperty || function(key) {
    return key in this;
  };
  function has(obj, key) {
    return hasOwn.call(obj, key);
  }
  function toStr(obj) {
    return objectToString.call(obj);
  }
  function nameOf(f) {
    if (f.name) {
      return f.name;
    }
    var m = $match.call(functionToString.call(f), /^function\s*([\w$]+)/);
    if (m) {
      return m[1];
    }
    return null;
  }
  function indexOf(xs, x2) {
    if (xs.indexOf) {
      return xs.indexOf(x2);
    }
    for (var i = 0, l = xs.length;i < l; i++) {
      if (xs[i] === x2) {
        return i;
      }
    }
    return -1;
  }
  function isMap(x2) {
    if (!mapSize || !x2 || typeof x2 !== "object") {
      return false;
    }
    try {
      mapSize.call(x2);
      try {
        setSize.call(x2);
      } catch (s) {
        return true;
      }
      return x2 instanceof Map;
    } catch (e) {}
    return false;
  }
  function isWeakMap(x2) {
    if (!weakMapHas || !x2 || typeof x2 !== "object") {
      return false;
    }
    try {
      weakMapHas.call(x2, weakMapHas);
      try {
        weakSetHas.call(x2, weakSetHas);
      } catch (s) {
        return true;
      }
      return x2 instanceof WeakMap;
    } catch (e) {}
    return false;
  }
  function isWeakRef(x2) {
    if (!weakRefDeref || !x2 || typeof x2 !== "object") {
      return false;
    }
    try {
      weakRefDeref.call(x2);
      return true;
    } catch (e) {}
    return false;
  }
  function isSet(x2) {
    if (!setSize || !x2 || typeof x2 !== "object") {
      return false;
    }
    try {
      setSize.call(x2);
      try {
        mapSize.call(x2);
      } catch (m) {
        return true;
      }
      return x2 instanceof Set;
    } catch (e) {}
    return false;
  }
  function isWeakSet(x2) {
    if (!weakSetHas || !x2 || typeof x2 !== "object") {
      return false;
    }
    try {
      weakSetHas.call(x2, weakSetHas);
      try {
        weakMapHas.call(x2, weakMapHas);
      } catch (s) {
        return true;
      }
      return x2 instanceof WeakSet;
    } catch (e) {}
    return false;
  }
  function isElement(x2) {
    if (!x2 || typeof x2 !== "object") {
      return false;
    }
    if (typeof HTMLElement !== "undefined" && x2 instanceof HTMLElement) {
      return true;
    }
    return typeof x2.nodeName === "string" && typeof x2.getAttribute === "function";
  }
  function inspectString(str, opts) {
    if (str.length > opts.maxStringLength) {
      var remaining = str.length - opts.maxStringLength;
      var trailer = "... " + remaining + " more character" + (remaining > 1 ? "s" : "");
      return inspectString($slice.call(str, 0, opts.maxStringLength), opts) + trailer;
    }
    var quoteRE = quoteREs[opts.quoteStyle || "single"];
    quoteRE.lastIndex = 0;
    var s = $replace.call($replace.call(str, quoteRE, "\\$1"), /[\x00-\x1f]/g, lowbyte);
    return wrapQuotes(s, "single", opts);
  }
  function lowbyte(c) {
    var n = c.charCodeAt(0);
    var x2 = {
      8: "b",
      9: "t",
      10: "n",
      12: "f",
      13: "r"
    }[n];
    if (x2) {
      return "\\" + x2;
    }
    return "\\x" + (n < 16 ? "0" : "") + $toUpperCase.call(n.toString(16));
  }
  function markBoxed(str) {
    return "Object(" + str + ")";
  }
  function weakCollectionOf(type) {
    return type + " { ? }";
  }
  function collectionOf(type, size, entries, indent) {
    var joinedEntries = indent ? indentedJoin(entries, indent) : $join.call(entries, ", ");
    return type + " (" + size + ") {" + joinedEntries + "}";
  }
  function singleLineValues(xs) {
    for (var i = 0;i < xs.length; i++) {
      if (indexOf(xs[i], `
`) >= 0) {
        return false;
      }
    }
    return true;
  }
  function getIndent(opts, depth) {
    var baseIndent;
    if (opts.indent === "\t") {
      baseIndent = "\t";
    } else if (typeof opts.indent === "number" && opts.indent > 0) {
      baseIndent = $join.call(Array(opts.indent + 1), " ");
    } else {
      return null;
    }
    return {
      base: baseIndent,
      prev: $join.call(Array(depth + 1), baseIndent)
    };
  }
  function indentedJoin(xs, indent) {
    if (xs.length === 0) {
      return "";
    }
    var lineJoiner = `
` + indent.prev + indent.base;
    return lineJoiner + $join.call(xs, "," + lineJoiner) + `
` + indent.prev;
  }
  function arrObjKeys(obj, inspect) {
    var isArr = isArray(obj);
    var xs = [];
    if (isArr) {
      xs.length = obj.length;
      for (var i = 0;i < obj.length; i++) {
        xs[i] = has(obj, i) ? inspect(obj[i], obj) : "";
      }
    }
    var syms = typeof gOPS === "function" ? gOPS(obj) : [];
    var symMap;
    if (hasShammedSymbols) {
      symMap = {};
      for (var k2 = 0;k2 < syms.length; k2++) {
        symMap["$" + syms[k2]] = syms[k2];
      }
    }
    for (var key in obj) {
      if (!has(obj, key)) {
        continue;
      }
      if (isArr && String(Number(key)) === key && key < obj.length) {
        continue;
      }
      if (hasShammedSymbols && symMap["$" + key] instanceof Symbol) {
        continue;
      } else if ($test.call(/[^\w$]/, key)) {
        xs.push(inspect(key, obj) + ": " + inspect(obj[key], obj));
      } else {
        xs.push(key + ": " + inspect(obj[key], obj));
      }
    }
    if (typeof gOPS === "function") {
      for (var j2 = 0;j2 < syms.length; j2++) {
        if (isEnumerable.call(obj, syms[j2])) {
          xs.push("[" + inspect(syms[j2]) + "]: " + inspect(obj[syms[j2]], obj));
        }
      }
    }
    return xs;
  }
});

// node_modules/side-channel-list/index.js
var require_side_channel_list = __commonJS((exports, module) => {
  var inspect = require_object_inspect();
  var $TypeError = require_type();
  var listGetNode = function(list, key, isDelete) {
    var prev = list;
    var curr;
    for (;(curr = prev.next) != null; prev = curr) {
      if (curr.key === key) {
        prev.next = curr.next;
        if (!isDelete) {
          curr.next = list.next;
          list.next = curr;
        }
        return curr;
      }
    }
  };
  var listGet = function(objects, key) {
    if (!objects) {
      return;
    }
    var node = listGetNode(objects, key);
    return node && node.value;
  };
  var listSet = function(objects, key, value) {
    var node = listGetNode(objects, key);
    if (node) {
      node.value = value;
    } else {
      objects.next = {
        key,
        next: objects.next,
        value
      };
    }
  };
  var listHas = function(objects, key) {
    if (!objects) {
      return false;
    }
    return !!listGetNode(objects, key);
  };
  var listDelete = function(objects, key) {
    if (objects) {
      return listGetNode(objects, key, true);
    }
  };
  module.exports = function getSideChannelList() {
    var $o;
    var channel = {
      assert: function(key) {
        if (!channel.has(key)) {
          throw new $TypeError("Side channel does not contain " + inspect(key));
        }
      },
      delete: function(key) {
        var root = $o && $o.next;
        var deletedNode = listDelete($o, key);
        if (deletedNode && root && root === deletedNode) {
          $o = undefined;
        }
        return !!deletedNode;
      },
      get: function(key) {
        return listGet($o, key);
      },
      has: function(key) {
        return listHas($o, key);
      },
      set: function(key, value) {
        if (!$o) {
          $o = {
            next: undefined
          };
        }
        listSet($o, key, value);
      }
    };
    return channel;
  };
});

// node_modules/es-object-atoms/index.js
var require_es_object_atoms = __commonJS((exports, module) => {
  module.exports = Object;
});

// node_modules/es-errors/index.js
var require_es_errors = __commonJS((exports, module) => {
  module.exports = Error;
});

// node_modules/es-errors/eval.js
var require_eval = __commonJS((exports, module) => {
  module.exports = EvalError;
});

// node_modules/es-errors/range.js
var require_range = __commonJS((exports, module) => {
  module.exports = RangeError;
});

// node_modules/es-errors/ref.js
var require_ref = __commonJS((exports, module) => {
  module.exports = ReferenceError;
});

// node_modules/es-errors/syntax.js
var require_syntax = __commonJS((exports, module) => {
  module.exports = SyntaxError;
});

// node_modules/es-errors/uri.js
var require_uri = __commonJS((exports, module) => {
  module.exports = URIError;
});

// node_modules/math-intrinsics/abs.js
var require_abs = __commonJS((exports, module) => {
  module.exports = Math.abs;
});

// node_modules/math-intrinsics/floor.js
var require_floor = __commonJS((exports, module) => {
  module.exports = Math.floor;
});

// node_modules/math-intrinsics/max.js
var require_max = __commonJS((exports, module) => {
  module.exports = Math.max;
});

// node_modules/math-intrinsics/min.js
var require_min = __commonJS((exports, module) => {
  module.exports = Math.min;
});

// node_modules/math-intrinsics/pow.js
var require_pow = __commonJS((exports, module) => {
  module.exports = Math.pow;
});

// node_modules/math-intrinsics/round.js
var require_round = __commonJS((exports, module) => {
  module.exports = Math.round;
});

// node_modules/math-intrinsics/isNaN.js
var require_isNaN = __commonJS((exports, module) => {
  module.exports = Number.isNaN || function isNaN(a) {
    return a !== a;
  };
});

// node_modules/math-intrinsics/sign.js
var require_sign = __commonJS((exports, module) => {
  var $isNaN = require_isNaN();
  module.exports = function sign(number) {
    if ($isNaN(number) || number === 0) {
      return number;
    }
    return number < 0 ? -1 : 1;
  };
});

// node_modules/gopd/gOPD.js
var require_gOPD = __commonJS((exports, module) => {
  module.exports = Object.getOwnPropertyDescriptor;
});

// node_modules/gopd/index.js
var require_gopd = __commonJS((exports, module) => {
  var $gOPD = require_gOPD();
  if ($gOPD) {
    try {
      $gOPD([], "length");
    } catch (e) {
      $gOPD = null;
    }
  }
  module.exports = $gOPD;
});

// node_modules/es-define-property/index.js
var require_es_define_property = __commonJS((exports, module) => {
  var $defineProperty = Object.defineProperty || false;
  if ($defineProperty) {
    try {
      $defineProperty({}, "a", { value: 1 });
    } catch (e) {
      $defineProperty = false;
    }
  }
  module.exports = $defineProperty;
});

// node_modules/has-symbols/shams.js
var require_shams = __commonJS((exports, module) => {
  module.exports = function hasSymbols() {
    if (typeof Symbol !== "function" || typeof Object.getOwnPropertySymbols !== "function") {
      return false;
    }
    if (typeof Symbol.iterator === "symbol") {
      return true;
    }
    var obj = {};
    var sym = Symbol("test");
    var symObj = Object(sym);
    if (typeof sym === "string") {
      return false;
    }
    if (Object.prototype.toString.call(sym) !== "[object Symbol]") {
      return false;
    }
    if (Object.prototype.toString.call(symObj) !== "[object Symbol]") {
      return false;
    }
    var symVal = 42;
    obj[sym] = symVal;
    for (var _2 in obj) {
      return false;
    }
    if (typeof Object.keys === "function" && Object.keys(obj).length !== 0) {
      return false;
    }
    if (typeof Object.getOwnPropertyNames === "function" && Object.getOwnPropertyNames(obj).length !== 0) {
      return false;
    }
    var syms = Object.getOwnPropertySymbols(obj);
    if (syms.length !== 1 || syms[0] !== sym) {
      return false;
    }
    if (!Object.prototype.propertyIsEnumerable.call(obj, sym)) {
      return false;
    }
    if (typeof Object.getOwnPropertyDescriptor === "function") {
      var descriptor = Object.getOwnPropertyDescriptor(obj, sym);
      if (descriptor.value !== symVal || descriptor.enumerable !== true) {
        return false;
      }
    }
    return true;
  };
});

// node_modules/has-symbols/index.js
var require_has_symbols = __commonJS((exports, module) => {
  var origSymbol = typeof Symbol !== "undefined" && Symbol;
  var hasSymbolSham = require_shams();
  module.exports = function hasNativeSymbols() {
    if (typeof origSymbol !== "function") {
      return false;
    }
    if (typeof Symbol !== "function") {
      return false;
    }
    if (typeof origSymbol("foo") !== "symbol") {
      return false;
    }
    if (typeof Symbol("bar") !== "symbol") {
      return false;
    }
    return hasSymbolSham();
  };
});

// node_modules/get-proto/Reflect.getPrototypeOf.js
var require_Reflect_getPrototypeOf = __commonJS((exports, module) => {
  module.exports = typeof Reflect !== "undefined" && Reflect.getPrototypeOf || null;
});

// node_modules/get-proto/Object.getPrototypeOf.js
var require_Object_getPrototypeOf = __commonJS((exports, module) => {
  var $Object = require_es_object_atoms();
  module.exports = $Object.getPrototypeOf || null;
});

// node_modules/function-bind/implementation.js
var require_implementation = __commonJS((exports, module) => {
  var ERROR_MESSAGE = "Function.prototype.bind called on incompatible ";
  var toStr = Object.prototype.toString;
  var max = Math.max;
  var funcType = "[object Function]";
  var concatty = function concatty(a, b2) {
    var arr = [];
    for (var i = 0;i < a.length; i += 1) {
      arr[i] = a[i];
    }
    for (var j2 = 0;j2 < b2.length; j2 += 1) {
      arr[j2 + a.length] = b2[j2];
    }
    return arr;
  };
  var slicy = function slicy(arrLike, offset) {
    var arr = [];
    for (var i = offset || 0, j2 = 0;i < arrLike.length; i += 1, j2 += 1) {
      arr[j2] = arrLike[i];
    }
    return arr;
  };
  var joiny = function(arr, joiner) {
    var str = "";
    for (var i = 0;i < arr.length; i += 1) {
      str += arr[i];
      if (i + 1 < arr.length) {
        str += joiner;
      }
    }
    return str;
  };
  module.exports = function bind(that) {
    var target = this;
    if (typeof target !== "function" || toStr.apply(target) !== funcType) {
      throw new TypeError(ERROR_MESSAGE + target);
    }
    var args = slicy(arguments, 1);
    var bound;
    var binder = function() {
      if (this instanceof bound) {
        var result = target.apply(this, concatty(args, arguments));
        if (Object(result) === result) {
          return result;
        }
        return this;
      }
      return target.apply(that, concatty(args, arguments));
    };
    var boundLength = max(0, target.length - args.length);
    var boundArgs = [];
    for (var i = 0;i < boundLength; i++) {
      boundArgs[i] = "$" + i;
    }
    bound = Function("binder", "return function (" + joiny(boundArgs, ",") + "){ return binder.apply(this,arguments); }")(binder);
    if (target.prototype) {
      var Empty = function Empty() {};
      Empty.prototype = target.prototype;
      bound.prototype = new Empty;
      Empty.prototype = null;
    }
    return bound;
  };
});

// node_modules/function-bind/index.js
var require_function_bind = __commonJS((exports, module) => {
  var implementation = require_implementation();
  module.exports = Function.prototype.bind || implementation;
});

// node_modules/call-bind-apply-helpers/functionCall.js
var require_functionCall = __commonJS((exports, module) => {
  module.exports = Function.prototype.call;
});

// node_modules/call-bind-apply-helpers/functionApply.js
var require_functionApply = __commonJS((exports, module) => {
  module.exports = Function.prototype.apply;
});

// node_modules/call-bind-apply-helpers/reflectApply.js
var require_reflectApply = __commonJS((exports, module) => {
  module.exports = typeof Reflect !== "undefined" && Reflect && Reflect.apply;
});

// node_modules/call-bind-apply-helpers/actualApply.js
var require_actualApply = __commonJS((exports, module) => {
  var bind = require_function_bind();
  var $apply = require_functionApply();
  var $call = require_functionCall();
  var $reflectApply = require_reflectApply();
  module.exports = $reflectApply || bind.call($call, $apply);
});

// node_modules/call-bind-apply-helpers/index.js
var require_call_bind_apply_helpers = __commonJS((exports, module) => {
  var bind = require_function_bind();
  var $TypeError = require_type();
  var $call = require_functionCall();
  var $actualApply = require_actualApply();
  module.exports = function callBindBasic(args) {
    if (args.length < 1 || typeof args[0] !== "function") {
      throw new $TypeError("a function is required");
    }
    return $actualApply(bind, $call, args);
  };
});

// node_modules/dunder-proto/get.js
var require_get = __commonJS((exports, module) => {
  var callBind = require_call_bind_apply_helpers();
  var gOPD = require_gopd();
  var hasProtoAccessor;
  try {
    hasProtoAccessor = [].__proto__ === Array.prototype;
  } catch (e) {
    if (!e || typeof e !== "object" || !("code" in e) || e.code !== "ERR_PROTO_ACCESS") {
      throw e;
    }
  }
  var desc = !!hasProtoAccessor && gOPD && gOPD(Object.prototype, "__proto__");
  var $Object = Object;
  var $getPrototypeOf = $Object.getPrototypeOf;
  module.exports = desc && typeof desc.get === "function" ? callBind([desc.get]) : typeof $getPrototypeOf === "function" ? function getDunder(value) {
    return $getPrototypeOf(value == null ? value : $Object(value));
  } : false;
});

// node_modules/get-proto/index.js
var require_get_proto = __commonJS((exports, module) => {
  var reflectGetProto = require_Reflect_getPrototypeOf();
  var originalGetProto = require_Object_getPrototypeOf();
  var getDunderProto = require_get();
  module.exports = reflectGetProto ? function getProto(O2) {
    return reflectGetProto(O2);
  } : originalGetProto ? function getProto(O2) {
    if (!O2 || typeof O2 !== "object" && typeof O2 !== "function") {
      throw new TypeError("getProto: not an object");
    }
    return originalGetProto(O2);
  } : getDunderProto ? function getProto(O2) {
    return getDunderProto(O2);
  } : null;
});

// node_modules/hasown/index.js
var require_hasown = __commonJS((exports, module) => {
  var call = Function.prototype.call;
  var $hasOwn = Object.prototype.hasOwnProperty;
  var bind = require_function_bind();
  module.exports = bind.call(call, $hasOwn);
});

// node_modules/get-intrinsic/index.js
var require_get_intrinsic = __commonJS((exports, module) => {
  var undefined2;
  var $Object = require_es_object_atoms();
  var $Error = require_es_errors();
  var $EvalError = require_eval();
  var $RangeError = require_range();
  var $ReferenceError = require_ref();
  var $SyntaxError = require_syntax();
  var $TypeError = require_type();
  var $URIError = require_uri();
  var abs = require_abs();
  var floor = require_floor();
  var max = require_max();
  var min = require_min();
  var pow = require_pow();
  var round = require_round();
  var sign = require_sign();
  var $Function = Function;
  var getEvalledConstructor = function(expressionSyntax) {
    try {
      return $Function('"use strict"; return (' + expressionSyntax + ").constructor;")();
    } catch (e) {}
  };
  var $gOPD = require_gopd();
  var $defineProperty = require_es_define_property();
  var throwTypeError = function() {
    throw new $TypeError;
  };
  var ThrowTypeError = $gOPD ? function() {
    try {
      arguments.callee;
      return throwTypeError;
    } catch (calleeThrows) {
      try {
        return $gOPD(arguments, "callee").get;
      } catch (gOPDthrows) {
        return throwTypeError;
      }
    }
  }() : throwTypeError;
  var hasSymbols = require_has_symbols()();
  var getProto = require_get_proto();
  var $ObjectGPO = require_Object_getPrototypeOf();
  var $ReflectGPO = require_Reflect_getPrototypeOf();
  var $apply = require_functionApply();
  var $call = require_functionCall();
  var needsEval = {};
  var TypedArray = typeof Uint8Array === "undefined" || !getProto ? undefined2 : getProto(Uint8Array);
  var INTRINSICS = {
    __proto__: null,
    "%AggregateError%": typeof AggregateError === "undefined" ? undefined2 : AggregateError,
    "%Array%": Array,
    "%ArrayBuffer%": typeof ArrayBuffer === "undefined" ? undefined2 : ArrayBuffer,
    "%ArrayIteratorPrototype%": hasSymbols && getProto ? getProto([][Symbol.iterator]()) : undefined2,
    "%AsyncFromSyncIteratorPrototype%": undefined2,
    "%AsyncFunction%": needsEval,
    "%AsyncGenerator%": needsEval,
    "%AsyncGeneratorFunction%": needsEval,
    "%AsyncIteratorPrototype%": needsEval,
    "%Atomics%": typeof Atomics === "undefined" ? undefined2 : Atomics,
    "%BigInt%": typeof BigInt === "undefined" ? undefined2 : BigInt,
    "%BigInt64Array%": typeof BigInt64Array === "undefined" ? undefined2 : BigInt64Array,
    "%BigUint64Array%": typeof BigUint64Array === "undefined" ? undefined2 : BigUint64Array,
    "%Boolean%": Boolean,
    "%DataView%": typeof DataView === "undefined" ? undefined2 : DataView,
    "%Date%": Date,
    "%decodeURI%": decodeURI,
    "%decodeURIComponent%": decodeURIComponent,
    "%encodeURI%": encodeURI,
    "%encodeURIComponent%": encodeURIComponent,
    "%Error%": $Error,
    "%eval%": eval,
    "%EvalError%": $EvalError,
    "%Float16Array%": typeof Float16Array === "undefined" ? undefined2 : Float16Array,
    "%Float32Array%": typeof Float32Array === "undefined" ? undefined2 : Float32Array,
    "%Float64Array%": typeof Float64Array === "undefined" ? undefined2 : Float64Array,
    "%FinalizationRegistry%": typeof FinalizationRegistry === "undefined" ? undefined2 : FinalizationRegistry,
    "%Function%": $Function,
    "%GeneratorFunction%": needsEval,
    "%Int8Array%": typeof Int8Array === "undefined" ? undefined2 : Int8Array,
    "%Int16Array%": typeof Int16Array === "undefined" ? undefined2 : Int16Array,
    "%Int32Array%": typeof Int32Array === "undefined" ? undefined2 : Int32Array,
    "%isFinite%": isFinite,
    "%isNaN%": isNaN,
    "%IteratorPrototype%": hasSymbols && getProto ? getProto(getProto([][Symbol.iterator]())) : undefined2,
    "%JSON%": typeof JSON === "object" ? JSON : undefined2,
    "%Map%": typeof Map === "undefined" ? undefined2 : Map,
    "%MapIteratorPrototype%": typeof Map === "undefined" || !hasSymbols || !getProto ? undefined2 : getProto(new Map()[Symbol.iterator]()),
    "%Math%": Math,
    "%Number%": Number,
    "%Object%": $Object,
    "%Object.getOwnPropertyDescriptor%": $gOPD,
    "%parseFloat%": parseFloat,
    "%parseInt%": parseInt,
    "%Promise%": typeof Promise === "undefined" ? undefined2 : Promise,
    "%Proxy%": typeof Proxy === "undefined" ? undefined2 : Proxy,
    "%RangeError%": $RangeError,
    "%ReferenceError%": $ReferenceError,
    "%Reflect%": typeof Reflect === "undefined" ? undefined2 : Reflect,
    "%RegExp%": RegExp,
    "%Set%": typeof Set === "undefined" ? undefined2 : Set,
    "%SetIteratorPrototype%": typeof Set === "undefined" || !hasSymbols || !getProto ? undefined2 : getProto(new Set()[Symbol.iterator]()),
    "%SharedArrayBuffer%": typeof SharedArrayBuffer === "undefined" ? undefined2 : SharedArrayBuffer,
    "%String%": String,
    "%StringIteratorPrototype%": hasSymbols && getProto ? getProto(""[Symbol.iterator]()) : undefined2,
    "%Symbol%": hasSymbols ? Symbol : undefined2,
    "%SyntaxError%": $SyntaxError,
    "%ThrowTypeError%": ThrowTypeError,
    "%TypedArray%": TypedArray,
    "%TypeError%": $TypeError,
    "%Uint8Array%": typeof Uint8Array === "undefined" ? undefined2 : Uint8Array,
    "%Uint8ClampedArray%": typeof Uint8ClampedArray === "undefined" ? undefined2 : Uint8ClampedArray,
    "%Uint16Array%": typeof Uint16Array === "undefined" ? undefined2 : Uint16Array,
    "%Uint32Array%": typeof Uint32Array === "undefined" ? undefined2 : Uint32Array,
    "%URIError%": $URIError,
    "%WeakMap%": typeof WeakMap === "undefined" ? undefined2 : WeakMap,
    "%WeakRef%": typeof WeakRef === "undefined" ? undefined2 : WeakRef,
    "%WeakSet%": typeof WeakSet === "undefined" ? undefined2 : WeakSet,
    "%Function.prototype.call%": $call,
    "%Function.prototype.apply%": $apply,
    "%Object.defineProperty%": $defineProperty,
    "%Object.getPrototypeOf%": $ObjectGPO,
    "%Math.abs%": abs,
    "%Math.floor%": floor,
    "%Math.max%": max,
    "%Math.min%": min,
    "%Math.pow%": pow,
    "%Math.round%": round,
    "%Math.sign%": sign,
    "%Reflect.getPrototypeOf%": $ReflectGPO
  };
  if (getProto) {
    try {
      null.error;
    } catch (e) {
      errorProto = getProto(getProto(e));
      INTRINSICS["%Error.prototype%"] = errorProto;
    }
  }
  var errorProto;
  var doEval = function doEval(name) {
    var value;
    if (name === "%AsyncFunction%") {
      value = getEvalledConstructor("async function () {}");
    } else if (name === "%GeneratorFunction%") {
      value = getEvalledConstructor("function* () {}");
    } else if (name === "%AsyncGeneratorFunction%") {
      value = getEvalledConstructor("async function* () {}");
    } else if (name === "%AsyncGenerator%") {
      var fn = doEval("%AsyncGeneratorFunction%");
      if (fn) {
        value = fn.prototype;
      }
    } else if (name === "%AsyncIteratorPrototype%") {
      var gen = doEval("%AsyncGenerator%");
      if (gen && getProto) {
        value = getProto(gen.prototype);
      }
    }
    INTRINSICS[name] = value;
    return value;
  };
  var LEGACY_ALIASES = {
    __proto__: null,
    "%ArrayBufferPrototype%": ["ArrayBuffer", "prototype"],
    "%ArrayPrototype%": ["Array", "prototype"],
    "%ArrayProto_entries%": ["Array", "prototype", "entries"],
    "%ArrayProto_forEach%": ["Array", "prototype", "forEach"],
    "%ArrayProto_keys%": ["Array", "prototype", "keys"],
    "%ArrayProto_values%": ["Array", "prototype", "values"],
    "%AsyncFunctionPrototype%": ["AsyncFunction", "prototype"],
    "%AsyncGenerator%": ["AsyncGeneratorFunction", "prototype"],
    "%AsyncGeneratorPrototype%": ["AsyncGeneratorFunction", "prototype", "prototype"],
    "%BooleanPrototype%": ["Boolean", "prototype"],
    "%DataViewPrototype%": ["DataView", "prototype"],
    "%DatePrototype%": ["Date", "prototype"],
    "%ErrorPrototype%": ["Error", "prototype"],
    "%EvalErrorPrototype%": ["EvalError", "prototype"],
    "%Float32ArrayPrototype%": ["Float32Array", "prototype"],
    "%Float64ArrayPrototype%": ["Float64Array", "prototype"],
    "%FunctionPrototype%": ["Function", "prototype"],
    "%Generator%": ["GeneratorFunction", "prototype"],
    "%GeneratorPrototype%": ["GeneratorFunction", "prototype", "prototype"],
    "%Int8ArrayPrototype%": ["Int8Array", "prototype"],
    "%Int16ArrayPrototype%": ["Int16Array", "prototype"],
    "%Int32ArrayPrototype%": ["Int32Array", "prototype"],
    "%JSONParse%": ["JSON", "parse"],
    "%JSONStringify%": ["JSON", "stringify"],
    "%MapPrototype%": ["Map", "prototype"],
    "%NumberPrototype%": ["Number", "prototype"],
    "%ObjectPrototype%": ["Object", "prototype"],
    "%ObjProto_toString%": ["Object", "prototype", "toString"],
    "%ObjProto_valueOf%": ["Object", "prototype", "valueOf"],
    "%PromisePrototype%": ["Promise", "prototype"],
    "%PromiseProto_then%": ["Promise", "prototype", "then"],
    "%Promise_all%": ["Promise", "all"],
    "%Promise_reject%": ["Promise", "reject"],
    "%Promise_resolve%": ["Promise", "resolve"],
    "%RangeErrorPrototype%": ["RangeError", "prototype"],
    "%ReferenceErrorPrototype%": ["ReferenceError", "prototype"],
    "%RegExpPrototype%": ["RegExp", "prototype"],
    "%SetPrototype%": ["Set", "prototype"],
    "%SharedArrayBufferPrototype%": ["SharedArrayBuffer", "prototype"],
    "%StringPrototype%": ["String", "prototype"],
    "%SymbolPrototype%": ["Symbol", "prototype"],
    "%SyntaxErrorPrototype%": ["SyntaxError", "prototype"],
    "%TypedArrayPrototype%": ["TypedArray", "prototype"],
    "%TypeErrorPrototype%": ["TypeError", "prototype"],
    "%Uint8ArrayPrototype%": ["Uint8Array", "prototype"],
    "%Uint8ClampedArrayPrototype%": ["Uint8ClampedArray", "prototype"],
    "%Uint16ArrayPrototype%": ["Uint16Array", "prototype"],
    "%Uint32ArrayPrototype%": ["Uint32Array", "prototype"],
    "%URIErrorPrototype%": ["URIError", "prototype"],
    "%WeakMapPrototype%": ["WeakMap", "prototype"],
    "%WeakSetPrototype%": ["WeakSet", "prototype"]
  };
  var bind = require_function_bind();
  var hasOwn = require_hasown();
  var $concat = bind.call($call, Array.prototype.concat);
  var $spliceApply = bind.call($apply, Array.prototype.splice);
  var $replace = bind.call($call, String.prototype.replace);
  var $strSlice = bind.call($call, String.prototype.slice);
  var $exec = bind.call($call, RegExp.prototype.exec);
  var rePropName = /[^%.[\]]+|\[(?:(-?\d+(?:\.\d+)?)|(["'])((?:(?!\2)[^\\]|\\.)*?)\2)\]|(?=(?:\.|\[\])(?:\.|\[\]|%$))/g;
  var reEscapeChar = /\\(\\)?/g;
  var stringToPath = function stringToPath(string) {
    var first = $strSlice(string, 0, 1);
    var last = $strSlice(string, -1);
    if (first === "%" && last !== "%") {
      throw new $SyntaxError("invalid intrinsic syntax, expected closing `%`");
    } else if (last === "%" && first !== "%") {
      throw new $SyntaxError("invalid intrinsic syntax, expected opening `%`");
    }
    var result = [];
    $replace(string, rePropName, function(match, number, quote, subString) {
      result[result.length] = quote ? $replace(subString, reEscapeChar, "$1") : number || match;
    });
    return result;
  };
  var getBaseIntrinsic = function getBaseIntrinsic(name, allowMissing) {
    var intrinsicName = name;
    var alias;
    if (hasOwn(LEGACY_ALIASES, intrinsicName)) {
      alias = LEGACY_ALIASES[intrinsicName];
      intrinsicName = "%" + alias[0] + "%";
    }
    if (hasOwn(INTRINSICS, intrinsicName)) {
      var value = INTRINSICS[intrinsicName];
      if (value === needsEval) {
        value = doEval(intrinsicName);
      }
      if (typeof value === "undefined" && !allowMissing) {
        throw new $TypeError("intrinsic " + name + " exists, but is not available. Please file an issue!");
      }
      return {
        alias,
        name: intrinsicName,
        value
      };
    }
    throw new $SyntaxError("intrinsic " + name + " does not exist!");
  };
  module.exports = function GetIntrinsic(name, allowMissing) {
    if (typeof name !== "string" || name.length === 0) {
      throw new $TypeError("intrinsic name must be a non-empty string");
    }
    if (arguments.length > 1 && typeof allowMissing !== "boolean") {
      throw new $TypeError('"allowMissing" argument must be a boolean');
    }
    if ($exec(/^%?[^%]*%?$/, name) === null) {
      throw new $SyntaxError("`%` may not be present anywhere but at the beginning and end of the intrinsic name");
    }
    var parts = stringToPath(name);
    var intrinsicBaseName = parts.length > 0 ? parts[0] : "";
    var intrinsic = getBaseIntrinsic("%" + intrinsicBaseName + "%", allowMissing);
    var intrinsicRealName = intrinsic.name;
    var value = intrinsic.value;
    var skipFurtherCaching = false;
    var alias = intrinsic.alias;
    if (alias) {
      intrinsicBaseName = alias[0];
      $spliceApply(parts, $concat([0, 1], alias));
    }
    for (var i = 1, isOwn = true;i < parts.length; i += 1) {
      var part = parts[i];
      var first = $strSlice(part, 0, 1);
      var last = $strSlice(part, -1);
      if ((first === '"' || first === "'" || first === "`" || (last === '"' || last === "'" || last === "`")) && first !== last) {
        throw new $SyntaxError("property names with quotes must have matching quotes");
      }
      if (part === "constructor" || !isOwn) {
        skipFurtherCaching = true;
      }
      intrinsicBaseName += "." + part;
      intrinsicRealName = "%" + intrinsicBaseName + "%";
      if (hasOwn(INTRINSICS, intrinsicRealName)) {
        value = INTRINSICS[intrinsicRealName];
      } else if (value != null) {
        if (!(part in value)) {
          if (!allowMissing) {
            throw new $TypeError("base intrinsic for " + name + " exists, but the property is not available.");
          }
          return;
        }
        if ($gOPD && i + 1 >= parts.length) {
          var desc = $gOPD(value, part);
          isOwn = !!desc;
          if (isOwn && "get" in desc && !("originalValue" in desc.get)) {
            value = desc.get;
          } else {
            value = value[part];
          }
        } else {
          isOwn = hasOwn(value, part);
          value = value[part];
        }
        if (isOwn && !skipFurtherCaching) {
          INTRINSICS[intrinsicRealName] = value;
        }
      }
    }
    return value;
  };
});

// node_modules/call-bound/index.js
var require_call_bound = __commonJS((exports, module) => {
  var GetIntrinsic = require_get_intrinsic();
  var callBindBasic = require_call_bind_apply_helpers();
  var $indexOf = callBindBasic([GetIntrinsic("%String.prototype.indexOf%")]);
  module.exports = function callBoundIntrinsic(name, allowMissing) {
    var intrinsic = GetIntrinsic(name, !!allowMissing);
    if (typeof intrinsic === "function" && $indexOf(name, ".prototype.") > -1) {
      return callBindBasic([intrinsic]);
    }
    return intrinsic;
  };
});

// node_modules/side-channel-map/index.js
var require_side_channel_map = __commonJS((exports, module) => {
  var GetIntrinsic = require_get_intrinsic();
  var callBound = require_call_bound();
  var inspect = require_object_inspect();
  var $TypeError = require_type();
  var $Map = GetIntrinsic("%Map%", true);
  var $mapGet = callBound("Map.prototype.get", true);
  var $mapSet = callBound("Map.prototype.set", true);
  var $mapHas = callBound("Map.prototype.has", true);
  var $mapDelete = callBound("Map.prototype.delete", true);
  var $mapSize = callBound("Map.prototype.size", true);
  module.exports = !!$Map && function getSideChannelMap() {
    var $m;
    var channel = {
      assert: function(key) {
        if (!channel.has(key)) {
          throw new $TypeError("Side channel does not contain " + inspect(key));
        }
      },
      delete: function(key) {
        if ($m) {
          var result = $mapDelete($m, key);
          if ($mapSize($m) === 0) {
            $m = undefined;
          }
          return result;
        }
        return false;
      },
      get: function(key) {
        if ($m) {
          return $mapGet($m, key);
        }
      },
      has: function(key) {
        if ($m) {
          return $mapHas($m, key);
        }
        return false;
      },
      set: function(key, value) {
        if (!$m) {
          $m = new $Map;
        }
        $mapSet($m, key, value);
      }
    };
    return channel;
  };
});

// node_modules/side-channel-weakmap/index.js
var require_side_channel_weakmap = __commonJS((exports, module) => {
  var GetIntrinsic = require_get_intrinsic();
  var callBound = require_call_bound();
  var inspect = require_object_inspect();
  var getSideChannelMap = require_side_channel_map();
  var $TypeError = require_type();
  var $WeakMap = GetIntrinsic("%WeakMap%", true);
  var $weakMapGet = callBound("WeakMap.prototype.get", true);
  var $weakMapSet = callBound("WeakMap.prototype.set", true);
  var $weakMapHas = callBound("WeakMap.prototype.has", true);
  var $weakMapDelete = callBound("WeakMap.prototype.delete", true);
  module.exports = $WeakMap ? function getSideChannelWeakMap() {
    var $wm;
    var $m;
    var channel = {
      assert: function(key) {
        if (!channel.has(key)) {
          throw new $TypeError("Side channel does not contain " + inspect(key));
        }
      },
      delete: function(key) {
        if ($WeakMap && key && (typeof key === "object" || typeof key === "function")) {
          if ($wm) {
            return $weakMapDelete($wm, key);
          }
        } else if (getSideChannelMap) {
          if ($m) {
            return $m["delete"](key);
          }
        }
        return false;
      },
      get: function(key) {
        if ($WeakMap && key && (typeof key === "object" || typeof key === "function")) {
          if ($wm) {
            return $weakMapGet($wm, key);
          }
        }
        return $m && $m.get(key);
      },
      has: function(key) {
        if ($WeakMap && key && (typeof key === "object" || typeof key === "function")) {
          if ($wm) {
            return $weakMapHas($wm, key);
          }
        }
        return !!$m && $m.has(key);
      },
      set: function(key, value) {
        if ($WeakMap && key && (typeof key === "object" || typeof key === "function")) {
          if (!$wm) {
            $wm = new $WeakMap;
          }
          $weakMapSet($wm, key, value);
        } else if (getSideChannelMap) {
          if (!$m) {
            $m = getSideChannelMap();
          }
          $m.set(key, value);
        }
      }
    };
    return channel;
  } : getSideChannelMap;
});

// node_modules/side-channel/index.js
var require_side_channel = __commonJS((exports, module) => {
  var $TypeError = require_type();
  var inspect = require_object_inspect();
  var getSideChannelList = require_side_channel_list();
  var getSideChannelMap = require_side_channel_map();
  var getSideChannelWeakMap = require_side_channel_weakmap();
  var makeChannel = getSideChannelWeakMap || getSideChannelMap || getSideChannelList;
  module.exports = function getSideChannel() {
    var $channelData;
    var channel = {
      assert: function(key) {
        if (!channel.has(key)) {
          throw new $TypeError("Side channel does not contain " + inspect(key));
        }
      },
      delete: function(key) {
        return !!$channelData && $channelData["delete"](key);
      },
      get: function(key) {
        return $channelData && $channelData.get(key);
      },
      has: function(key) {
        return !!$channelData && $channelData.has(key);
      },
      set: function(key, value) {
        if (!$channelData) {
          $channelData = makeChannel();
        }
        $channelData.set(key, value);
      }
    };
    return channel;
  };
});

// node_modules/qs/lib/formats.js
var require_formats = __commonJS((exports, module) => {
  var replace = String.prototype.replace;
  var percentTwenties = /%20/g;
  var Format = {
    RFC1738: "RFC1738",
    RFC3986: "RFC3986"
  };
  module.exports = {
    default: Format.RFC3986,
    formatters: {
      RFC1738: function(value) {
        return replace.call(value, percentTwenties, "+");
      },
      RFC3986: function(value) {
        return String(value);
      }
    },
    RFC1738: Format.RFC1738,
    RFC3986: Format.RFC3986
  };
});

// node_modules/qs/lib/utils.js
var require_utils = __commonJS((exports, module) => {
  var formats = require_formats();
  var has = Object.prototype.hasOwnProperty;
  var isArray = Array.isArray;
  var hexTable = function() {
    var array = [];
    for (var i = 0;i < 256; ++i) {
      array.push("%" + ((i < 16 ? "0" : "") + i.toString(16)).toUpperCase());
    }
    return array;
  }();
  var compactQueue = function compactQueue(queue) {
    while (queue.length > 1) {
      var item = queue.pop();
      var obj = item.obj[item.prop];
      if (isArray(obj)) {
        var compacted = [];
        for (var j2 = 0;j2 < obj.length; ++j2) {
          if (typeof obj[j2] !== "undefined") {
            compacted.push(obj[j2]);
          }
        }
        item.obj[item.prop] = compacted;
      }
    }
  };
  var arrayToObject = function arrayToObject(source, options) {
    var obj = options && options.plainObjects ? Object.create(null) : {};
    for (var i = 0;i < source.length; ++i) {
      if (typeof source[i] !== "undefined") {
        obj[i] = source[i];
      }
    }
    return obj;
  };
  var merge = function merge(target, source, options) {
    if (!source) {
      return target;
    }
    if (typeof source !== "object") {
      if (isArray(target)) {
        target.push(source);
      } else if (target && typeof target === "object") {
        if (options && (options.plainObjects || options.allowPrototypes) || !has.call(Object.prototype, source)) {
          target[source] = true;
        }
      } else {
        return [target, source];
      }
      return target;
    }
    if (!target || typeof target !== "object") {
      return [target].concat(source);
    }
    var mergeTarget = target;
    if (isArray(target) && !isArray(source)) {
      mergeTarget = arrayToObject(target, options);
    }
    if (isArray(target) && isArray(source)) {
      source.forEach(function(item, i) {
        if (has.call(target, i)) {
          var targetItem = target[i];
          if (targetItem && typeof targetItem === "object" && item && typeof item === "object") {
            target[i] = merge(targetItem, item, options);
          } else {
            target.push(item);
          }
        } else {
          target[i] = item;
        }
      });
      return target;
    }
    return Object.keys(source).reduce(function(acc, key) {
      var value = source[key];
      if (has.call(acc, key)) {
        acc[key] = merge(acc[key], value, options);
      } else {
        acc[key] = value;
      }
      return acc;
    }, mergeTarget);
  };
  var assign = function assignSingleSource(target, source) {
    return Object.keys(source).reduce(function(acc, key) {
      acc[key] = source[key];
      return acc;
    }, target);
  };
  var decode = function(str, decoder, charset) {
    var strWithoutPlus = str.replace(/\+/g, " ");
    if (charset === "iso-8859-1") {
      return strWithoutPlus.replace(/%[0-9a-f]{2}/gi, unescape);
    }
    try {
      return decodeURIComponent(strWithoutPlus);
    } catch (e) {
      return strWithoutPlus;
    }
  };
  var limit = 1024;
  var encode = function encode(str, defaultEncoder, charset, kind, format) {
    if (str.length === 0) {
      return str;
    }
    var string = str;
    if (typeof str === "symbol") {
      string = Symbol.prototype.toString.call(str);
    } else if (typeof str !== "string") {
      string = String(str);
    }
    if (charset === "iso-8859-1") {
      return escape(string).replace(/%u[0-9a-f]{4}/gi, function($0) {
        return "%26%23" + parseInt($0.slice(2), 16) + "%3B";
      });
    }
    var out = "";
    for (var j2 = 0;j2 < string.length; j2 += limit) {
      var segment = string.length >= limit ? string.slice(j2, j2 + limit) : string;
      var arr = [];
      for (var i = 0;i < segment.length; ++i) {
        var c = segment.charCodeAt(i);
        if (c === 45 || c === 46 || c === 95 || c === 126 || c >= 48 && c <= 57 || c >= 65 && c <= 90 || c >= 97 && c <= 122 || format === formats.RFC1738 && (c === 40 || c === 41)) {
          arr[arr.length] = segment.charAt(i);
          continue;
        }
        if (c < 128) {
          arr[arr.length] = hexTable[c];
          continue;
        }
        if (c < 2048) {
          arr[arr.length] = hexTable[192 | c >> 6] + hexTable[128 | c & 63];
          continue;
        }
        if (c < 55296 || c >= 57344) {
          arr[arr.length] = hexTable[224 | c >> 12] + hexTable[128 | c >> 6 & 63] + hexTable[128 | c & 63];
          continue;
        }
        i += 1;
        c = 65536 + ((c & 1023) << 10 | segment.charCodeAt(i) & 1023);
        arr[arr.length] = hexTable[240 | c >> 18] + hexTable[128 | c >> 12 & 63] + hexTable[128 | c >> 6 & 63] + hexTable[128 | c & 63];
      }
      out += arr.join("");
    }
    return out;
  };
  var compact = function compact(value) {
    var queue = [{ obj: { o: value }, prop: "o" }];
    var refs = [];
    for (var i = 0;i < queue.length; ++i) {
      var item = queue[i];
      var obj = item.obj[item.prop];
      var keys = Object.keys(obj);
      for (var j2 = 0;j2 < keys.length; ++j2) {
        var key = keys[j2];
        var val = obj[key];
        if (typeof val === "object" && val !== null && refs.indexOf(val) === -1) {
          queue.push({ obj, prop: key });
          refs.push(val);
        }
      }
    }
    compactQueue(queue);
    return value;
  };
  var isRegExp = function isRegExp(obj) {
    return Object.prototype.toString.call(obj) === "[object RegExp]";
  };
  var isBuffer = function isBuffer(obj) {
    if (!obj || typeof obj !== "object") {
      return false;
    }
    return !!(obj.constructor && obj.constructor.isBuffer && obj.constructor.isBuffer(obj));
  };
  var combine = function combine(a, b2) {
    return [].concat(a, b2);
  };
  var maybeMap = function maybeMap(val, fn) {
    if (isArray(val)) {
      var mapped = [];
      for (var i = 0;i < val.length; i += 1) {
        mapped.push(fn(val[i]));
      }
      return mapped;
    }
    return fn(val);
  };
  module.exports = {
    arrayToObject,
    assign,
    combine,
    compact,
    decode,
    encode,
    isBuffer,
    isRegExp,
    maybeMap,
    merge
  };
});

// node_modules/qs/lib/stringify.js
var require_stringify = __commonJS((exports, module) => {
  var getSideChannel = require_side_channel();
  var utils = require_utils();
  var formats = require_formats();
  var has = Object.prototype.hasOwnProperty;
  var arrayPrefixGenerators = {
    brackets: function brackets(prefix) {
      return prefix + "[]";
    },
    comma: "comma",
    indices: function indices(prefix, key) {
      return prefix + "[" + key + "]";
    },
    repeat: function repeat(prefix) {
      return prefix;
    }
  };
  var isArray = Array.isArray;
  var push = Array.prototype.push;
  var pushToArray = function(arr, valueOrArray) {
    push.apply(arr, isArray(valueOrArray) ? valueOrArray : [valueOrArray]);
  };
  var toISO = Date.prototype.toISOString;
  var defaultFormat = formats["default"];
  var defaults = {
    addQueryPrefix: false,
    allowDots: false,
    allowEmptyArrays: false,
    arrayFormat: "indices",
    charset: "utf-8",
    charsetSentinel: false,
    delimiter: "&",
    encode: true,
    encodeDotInKeys: false,
    encoder: utils.encode,
    encodeValuesOnly: false,
    format: defaultFormat,
    formatter: formats.formatters[defaultFormat],
    indices: false,
    serializeDate: function serializeDate(date) {
      return toISO.call(date);
    },
    skipNulls: false,
    strictNullHandling: false
  };
  var isNonNullishPrimitive = function isNonNullishPrimitive(v2) {
    return typeof v2 === "string" || typeof v2 === "number" || typeof v2 === "boolean" || typeof v2 === "symbol" || typeof v2 === "bigint";
  };
  var sentinel = {};
  var stringify = function stringify(object, prefix, generateArrayPrefix, commaRoundTrip, allowEmptyArrays, strictNullHandling, skipNulls, encodeDotInKeys, encoder, filter, sort, allowDots, serializeDate, format, formatter, encodeValuesOnly, charset, sideChannel) {
    var obj = object;
    var tmpSc = sideChannel;
    var step = 0;
    var findFlag = false;
    while ((tmpSc = tmpSc.get(sentinel)) !== undefined && !findFlag) {
      var pos = tmpSc.get(object);
      step += 1;
      if (typeof pos !== "undefined") {
        if (pos === step) {
          throw new RangeError("Cyclic object value");
        } else {
          findFlag = true;
        }
      }
      if (typeof tmpSc.get(sentinel) === "undefined") {
        step = 0;
      }
    }
    if (typeof filter === "function") {
      obj = filter(prefix, obj);
    } else if (obj instanceof Date) {
      obj = serializeDate(obj);
    } else if (generateArrayPrefix === "comma" && isArray(obj)) {
      obj = utils.maybeMap(obj, function(value2) {
        if (value2 instanceof Date) {
          return serializeDate(value2);
        }
        return value2;
      });
    }
    if (obj === null) {
      if (strictNullHandling) {
        return encoder && !encodeValuesOnly ? encoder(prefix, defaults.encoder, charset, "key", format) : prefix;
      }
      obj = "";
    }
    if (isNonNullishPrimitive(obj) || utils.isBuffer(obj)) {
      if (encoder) {
        var keyValue = encodeValuesOnly ? prefix : encoder(prefix, defaults.encoder, charset, "key", format);
        return [formatter(keyValue) + "=" + formatter(encoder(obj, defaults.encoder, charset, "value", format))];
      }
      return [formatter(prefix) + "=" + formatter(String(obj))];
    }
    var values = [];
    if (typeof obj === "undefined") {
      return values;
    }
    var objKeys;
    if (generateArrayPrefix === "comma" && isArray(obj)) {
      if (encodeValuesOnly && encoder) {
        obj = utils.maybeMap(obj, encoder);
      }
      objKeys = [{ value: obj.length > 0 ? obj.join(",") || null : undefined }];
    } else if (isArray(filter)) {
      objKeys = filter;
    } else {
      var keys = Object.keys(obj);
      objKeys = sort ? keys.sort(sort) : keys;
    }
    var encodedPrefix = encodeDotInKeys ? prefix.replace(/\./g, "%2E") : prefix;
    var adjustedPrefix = commaRoundTrip && isArray(obj) && obj.length === 1 ? encodedPrefix + "[]" : encodedPrefix;
    if (allowEmptyArrays && isArray(obj) && obj.length === 0) {
      return adjustedPrefix + "[]";
    }
    for (var j2 = 0;j2 < objKeys.length; ++j2) {
      var key = objKeys[j2];
      var value = typeof key === "object" && typeof key.value !== "undefined" ? key.value : obj[key];
      if (skipNulls && value === null) {
        continue;
      }
      var encodedKey = allowDots && encodeDotInKeys ? key.replace(/\./g, "%2E") : key;
      var keyPrefix = isArray(obj) ? typeof generateArrayPrefix === "function" ? generateArrayPrefix(adjustedPrefix, encodedKey) : adjustedPrefix : adjustedPrefix + (allowDots ? "." + encodedKey : "[" + encodedKey + "]");
      sideChannel.set(object, step);
      var valueSideChannel = getSideChannel();
      valueSideChannel.set(sentinel, sideChannel);
      pushToArray(values, stringify(value, keyPrefix, generateArrayPrefix, commaRoundTrip, allowEmptyArrays, strictNullHandling, skipNulls, encodeDotInKeys, generateArrayPrefix === "comma" && encodeValuesOnly && isArray(obj) ? null : encoder, filter, sort, allowDots, serializeDate, format, formatter, encodeValuesOnly, charset, valueSideChannel));
    }
    return values;
  };
  var normalizeStringifyOptions = function normalizeStringifyOptions(opts) {
    if (!opts) {
      return defaults;
    }
    if (typeof opts.allowEmptyArrays !== "undefined" && typeof opts.allowEmptyArrays !== "boolean") {
      throw new TypeError("`allowEmptyArrays` option can only be `true` or `false`, when provided");
    }
    if (typeof opts.encodeDotInKeys !== "undefined" && typeof opts.encodeDotInKeys !== "boolean") {
      throw new TypeError("`encodeDotInKeys` option can only be `true` or `false`, when provided");
    }
    if (opts.encoder !== null && typeof opts.encoder !== "undefined" && typeof opts.encoder !== "function") {
      throw new TypeError("Encoder has to be a function.");
    }
    var charset = opts.charset || defaults.charset;
    if (typeof opts.charset !== "undefined" && opts.charset !== "utf-8" && opts.charset !== "iso-8859-1") {
      throw new TypeError("The charset option must be either utf-8, iso-8859-1, or undefined");
    }
    var format = formats["default"];
    if (typeof opts.format !== "undefined") {
      if (!has.call(formats.formatters, opts.format)) {
        throw new TypeError("Unknown format option provided.");
      }
      format = opts.format;
    }
    var formatter = formats.formatters[format];
    var filter = defaults.filter;
    if (typeof opts.filter === "function" || isArray(opts.filter)) {
      filter = opts.filter;
    }
    var arrayFormat;
    if (opts.arrayFormat in arrayPrefixGenerators) {
      arrayFormat = opts.arrayFormat;
    } else if ("indices" in opts) {
      arrayFormat = opts.indices ? "indices" : "repeat";
    } else {
      arrayFormat = defaults.arrayFormat;
    }
    if ("commaRoundTrip" in opts && typeof opts.commaRoundTrip !== "boolean") {
      throw new TypeError("`commaRoundTrip` must be a boolean, or absent");
    }
    var allowDots = typeof opts.allowDots === "undefined" ? opts.encodeDotInKeys === true ? true : defaults.allowDots : !!opts.allowDots;
    return {
      addQueryPrefix: typeof opts.addQueryPrefix === "boolean" ? opts.addQueryPrefix : defaults.addQueryPrefix,
      allowDots,
      allowEmptyArrays: typeof opts.allowEmptyArrays === "boolean" ? !!opts.allowEmptyArrays : defaults.allowEmptyArrays,
      arrayFormat,
      charset,
      charsetSentinel: typeof opts.charsetSentinel === "boolean" ? opts.charsetSentinel : defaults.charsetSentinel,
      commaRoundTrip: opts.commaRoundTrip,
      delimiter: typeof opts.delimiter === "undefined" ? defaults.delimiter : opts.delimiter,
      encode: typeof opts.encode === "boolean" ? opts.encode : defaults.encode,
      encodeDotInKeys: typeof opts.encodeDotInKeys === "boolean" ? opts.encodeDotInKeys : defaults.encodeDotInKeys,
      encoder: typeof opts.encoder === "function" ? opts.encoder : defaults.encoder,
      encodeValuesOnly: typeof opts.encodeValuesOnly === "boolean" ? opts.encodeValuesOnly : defaults.encodeValuesOnly,
      filter,
      format,
      formatter,
      serializeDate: typeof opts.serializeDate === "function" ? opts.serializeDate : defaults.serializeDate,
      skipNulls: typeof opts.skipNulls === "boolean" ? opts.skipNulls : defaults.skipNulls,
      sort: typeof opts.sort === "function" ? opts.sort : null,
      strictNullHandling: typeof opts.strictNullHandling === "boolean" ? opts.strictNullHandling : defaults.strictNullHandling
    };
  };
  module.exports = function(object, opts) {
    var obj = object;
    var options = normalizeStringifyOptions(opts);
    var objKeys;
    var filter;
    if (typeof options.filter === "function") {
      filter = options.filter;
      obj = filter("", obj);
    } else if (isArray(options.filter)) {
      filter = options.filter;
      objKeys = filter;
    }
    var keys = [];
    if (typeof obj !== "object" || obj === null) {
      return "";
    }
    var generateArrayPrefix = arrayPrefixGenerators[options.arrayFormat];
    var commaRoundTrip = generateArrayPrefix === "comma" && options.commaRoundTrip;
    if (!objKeys) {
      objKeys = Object.keys(obj);
    }
    if (options.sort) {
      objKeys.sort(options.sort);
    }
    var sideChannel = getSideChannel();
    for (var i = 0;i < objKeys.length; ++i) {
      var key = objKeys[i];
      if (options.skipNulls && obj[key] === null) {
        continue;
      }
      pushToArray(keys, stringify(obj[key], key, generateArrayPrefix, commaRoundTrip, options.allowEmptyArrays, options.strictNullHandling, options.skipNulls, options.encodeDotInKeys, options.encode ? options.encoder : null, options.filter, options.sort, options.allowDots, options.serializeDate, options.format, options.formatter, options.encodeValuesOnly, options.charset, sideChannel));
    }
    var joined = keys.join(options.delimiter);
    var prefix = options.addQueryPrefix === true ? "?" : "";
    if (options.charsetSentinel) {
      if (options.charset === "iso-8859-1") {
        prefix += "utf8=%26%2310003%3B&";
      } else {
        prefix += "utf8=%E2%9C%93&";
      }
    }
    return joined.length > 0 ? prefix + joined : "";
  };
});

// node_modules/qs/lib/parse.js
var require_parse = __commonJS((exports, module) => {
  var utils = require_utils();
  var has = Object.prototype.hasOwnProperty;
  var isArray = Array.isArray;
  var defaults = {
    allowDots: false,
    allowEmptyArrays: false,
    allowPrototypes: false,
    allowSparse: false,
    arrayLimit: 20,
    charset: "utf-8",
    charsetSentinel: false,
    comma: false,
    decodeDotInKeys: false,
    decoder: utils.decode,
    delimiter: "&",
    depth: 5,
    duplicates: "combine",
    ignoreQueryPrefix: false,
    interpretNumericEntities: false,
    parameterLimit: 1000,
    parseArrays: true,
    plainObjects: false,
    strictDepth: false,
    strictNullHandling: false
  };
  var interpretNumericEntities = function(str) {
    return str.replace(/&#(\d+);/g, function($0, numberStr) {
      return String.fromCharCode(parseInt(numberStr, 10));
    });
  };
  var parseArrayValue = function(val, options) {
    if (val && typeof val === "string" && options.comma && val.indexOf(",") > -1) {
      return val.split(",");
    }
    return val;
  };
  var isoSentinel = "utf8=%26%2310003%3B";
  var charsetSentinel = "utf8=%E2%9C%93";
  var parseValues = function parseQueryStringValues(str, options) {
    var obj = { __proto__: null };
    var cleanStr = options.ignoreQueryPrefix ? str.replace(/^\?/, "") : str;
    cleanStr = cleanStr.replace(/%5B/gi, "[").replace(/%5D/gi, "]");
    var limit = options.parameterLimit === Infinity ? undefined : options.parameterLimit;
    var parts = cleanStr.split(options.delimiter, limit);
    var skipIndex = -1;
    var i;
    var charset = options.charset;
    if (options.charsetSentinel) {
      for (i = 0;i < parts.length; ++i) {
        if (parts[i].indexOf("utf8=") === 0) {
          if (parts[i] === charsetSentinel) {
            charset = "utf-8";
          } else if (parts[i] === isoSentinel) {
            charset = "iso-8859-1";
          }
          skipIndex = i;
          i = parts.length;
        }
      }
    }
    for (i = 0;i < parts.length; ++i) {
      if (i === skipIndex) {
        continue;
      }
      var part = parts[i];
      var bracketEqualsPos = part.indexOf("]=");
      var pos = bracketEqualsPos === -1 ? part.indexOf("=") : bracketEqualsPos + 1;
      var key, val;
      if (pos === -1) {
        key = options.decoder(part, defaults.decoder, charset, "key");
        val = options.strictNullHandling ? null : "";
      } else {
        key = options.decoder(part.slice(0, pos), defaults.decoder, charset, "key");
        val = utils.maybeMap(parseArrayValue(part.slice(pos + 1), options), function(encodedVal) {
          return options.decoder(encodedVal, defaults.decoder, charset, "value");
        });
      }
      if (val && options.interpretNumericEntities && charset === "iso-8859-1") {
        val = interpretNumericEntities(val);
      }
      if (part.indexOf("[]=") > -1) {
        val = isArray(val) ? [val] : val;
      }
      var existing = has.call(obj, key);
      if (existing && options.duplicates === "combine") {
        obj[key] = utils.combine(obj[key], val);
      } else if (!existing || options.duplicates === "last") {
        obj[key] = val;
      }
    }
    return obj;
  };
  var parseObject = function(chain, val, options, valuesParsed) {
    var leaf = valuesParsed ? val : parseArrayValue(val, options);
    for (var i = chain.length - 1;i >= 0; --i) {
      var obj;
      var root = chain[i];
      if (root === "[]" && options.parseArrays) {
        obj = options.allowEmptyArrays && (leaf === "" || options.strictNullHandling && leaf === null) ? [] : [].concat(leaf);
      } else {
        obj = options.plainObjects ? Object.create(null) : {};
        var cleanRoot = root.charAt(0) === "[" && root.charAt(root.length - 1) === "]" ? root.slice(1, -1) : root;
        var decodedRoot = options.decodeDotInKeys ? cleanRoot.replace(/%2E/g, ".") : cleanRoot;
        var index = parseInt(decodedRoot, 10);
        if (!options.parseArrays && decodedRoot === "") {
          obj = { 0: leaf };
        } else if (!isNaN(index) && root !== decodedRoot && String(index) === decodedRoot && index >= 0 && (options.parseArrays && index <= options.arrayLimit)) {
          obj = [];
          obj[index] = leaf;
        } else if (decodedRoot !== "__proto__") {
          obj[decodedRoot] = leaf;
        }
      }
      leaf = obj;
    }
    return leaf;
  };
  var parseKeys = function parseQueryStringKeys(givenKey, val, options, valuesParsed) {
    if (!givenKey) {
      return;
    }
    var key = options.allowDots ? givenKey.replace(/\.([^.[]+)/g, "[$1]") : givenKey;
    var brackets = /(\[[^[\]]*])/;
    var child = /(\[[^[\]]*])/g;
    var segment = options.depth > 0 && brackets.exec(key);
    var parent = segment ? key.slice(0, segment.index) : key;
    var keys = [];
    if (parent) {
      if (!options.plainObjects && has.call(Object.prototype, parent)) {
        if (!options.allowPrototypes) {
          return;
        }
      }
      keys.push(parent);
    }
    var i = 0;
    while (options.depth > 0 && (segment = child.exec(key)) !== null && i < options.depth) {
      i += 1;
      if (!options.plainObjects && has.call(Object.prototype, segment[1].slice(1, -1))) {
        if (!options.allowPrototypes) {
          return;
        }
      }
      keys.push(segment[1]);
    }
    if (segment) {
      if (options.strictDepth === true) {
        throw new RangeError("Input depth exceeded depth option of " + options.depth + " and strictDepth is true");
      }
      keys.push("[" + key.slice(segment.index) + "]");
    }
    return parseObject(keys, val, options, valuesParsed);
  };
  var normalizeParseOptions = function normalizeParseOptions(opts) {
    if (!opts) {
      return defaults;
    }
    if (typeof opts.allowEmptyArrays !== "undefined" && typeof opts.allowEmptyArrays !== "boolean") {
      throw new TypeError("`allowEmptyArrays` option can only be `true` or `false`, when provided");
    }
    if (typeof opts.decodeDotInKeys !== "undefined" && typeof opts.decodeDotInKeys !== "boolean") {
      throw new TypeError("`decodeDotInKeys` option can only be `true` or `false`, when provided");
    }
    if (opts.decoder !== null && typeof opts.decoder !== "undefined" && typeof opts.decoder !== "function") {
      throw new TypeError("Decoder has to be a function.");
    }
    if (typeof opts.charset !== "undefined" && opts.charset !== "utf-8" && opts.charset !== "iso-8859-1") {
      throw new TypeError("The charset option must be either utf-8, iso-8859-1, or undefined");
    }
    var charset = typeof opts.charset === "undefined" ? defaults.charset : opts.charset;
    var duplicates = typeof opts.duplicates === "undefined" ? defaults.duplicates : opts.duplicates;
    if (duplicates !== "combine" && duplicates !== "first" && duplicates !== "last") {
      throw new TypeError("The duplicates option must be either combine, first, or last");
    }
    var allowDots = typeof opts.allowDots === "undefined" ? opts.decodeDotInKeys === true ? true : defaults.allowDots : !!opts.allowDots;
    return {
      allowDots,
      allowEmptyArrays: typeof opts.allowEmptyArrays === "boolean" ? !!opts.allowEmptyArrays : defaults.allowEmptyArrays,
      allowPrototypes: typeof opts.allowPrototypes === "boolean" ? opts.allowPrototypes : defaults.allowPrototypes,
      allowSparse: typeof opts.allowSparse === "boolean" ? opts.allowSparse : defaults.allowSparse,
      arrayLimit: typeof opts.arrayLimit === "number" ? opts.arrayLimit : defaults.arrayLimit,
      charset,
      charsetSentinel: typeof opts.charsetSentinel === "boolean" ? opts.charsetSentinel : defaults.charsetSentinel,
      comma: typeof opts.comma === "boolean" ? opts.comma : defaults.comma,
      decodeDotInKeys: typeof opts.decodeDotInKeys === "boolean" ? opts.decodeDotInKeys : defaults.decodeDotInKeys,
      decoder: typeof opts.decoder === "function" ? opts.decoder : defaults.decoder,
      delimiter: typeof opts.delimiter === "string" || utils.isRegExp(opts.delimiter) ? opts.delimiter : defaults.delimiter,
      depth: typeof opts.depth === "number" || opts.depth === false ? +opts.depth : defaults.depth,
      duplicates,
      ignoreQueryPrefix: opts.ignoreQueryPrefix === true,
      interpretNumericEntities: typeof opts.interpretNumericEntities === "boolean" ? opts.interpretNumericEntities : defaults.interpretNumericEntities,
      parameterLimit: typeof opts.parameterLimit === "number" ? opts.parameterLimit : defaults.parameterLimit,
      parseArrays: opts.parseArrays !== false,
      plainObjects: typeof opts.plainObjects === "boolean" ? opts.plainObjects : defaults.plainObjects,
      strictDepth: typeof opts.strictDepth === "boolean" ? !!opts.strictDepth : defaults.strictDepth,
      strictNullHandling: typeof opts.strictNullHandling === "boolean" ? opts.strictNullHandling : defaults.strictNullHandling
    };
  };
  module.exports = function(str, opts) {
    var options = normalizeParseOptions(opts);
    if (str === "" || str === null || typeof str === "undefined") {
      return options.plainObjects ? Object.create(null) : {};
    }
    var tempObj = typeof str === "string" ? parseValues(str, options) : str;
    var obj = options.plainObjects ? Object.create(null) : {};
    var keys = Object.keys(tempObj);
    for (var i = 0;i < keys.length; ++i) {
      var key = keys[i];
      var newObj = parseKeys(key, tempObj[key], options, typeof str === "string");
      obj = utils.merge(obj, newObj, options);
    }
    if (options.allowSparse === true) {
      return obj;
    }
    return utils.compact(obj);
  };
});

// node_modules/qs/lib/index.js
var require_lib3 = __commonJS((exports, module) => {
  var stringify = require_stringify();
  var parse = require_parse();
  var formats = require_formats();
  module.exports = {
    formats,
    parse,
    stringify
  };
});

// node_modules/body-parser/lib/types/urlencoded.js
var require_urlencoded = __commonJS((exports, module) => {
  /*!
   * body-parser
   * Copyright(c) 2014 Jonathan Ong
   * Copyright(c) 2014-2015 Douglas Christopher Wilson
   * MIT Licensed
   */
  var bytes = require_bytes();
  var contentType2 = require_content_type();
  var createError = require_http_errors();
  var debug = require_src()("body-parser:urlencoded");
  var deprecate = require_depd()("body-parser");
  var read = require_read();
  var typeis = require_type_is();
  module.exports = urlencoded;
  var parsers = Object.create(null);
  function urlencoded(options) {
    var opts = options || {};
    if (opts.extended === undefined) {
      deprecate("undefined extended: provide extended option");
    }
    var extended = opts.extended !== false;
    var inflate = opts.inflate !== false;
    var limit = typeof opts.limit !== "number" ? bytes.parse(opts.limit || "100kb") : opts.limit;
    var type = opts.type || "application/x-www-form-urlencoded";
    var verify = opts.verify || false;
    var depth = typeof opts.depth !== "number" ? Number(opts.depth || 32) : opts.depth;
    if (verify !== false && typeof verify !== "function") {
      throw new TypeError("option verify must be function");
    }
    var queryparse = extended ? extendedparser(opts) : simpleparser(opts);
    var shouldParse = typeof type !== "function" ? typeChecker(type) : type;
    function parse(body) {
      return body.length ? queryparse(body) : {};
    }
    return function urlencodedParser(req, res, next) {
      if (req._body) {
        debug("body already parsed");
        next();
        return;
      }
      req.body = req.body || {};
      if (!typeis.hasBody(req)) {
        debug("skip empty body");
        next();
        return;
      }
      debug("content-type %j", req.headers["content-type"]);
      if (!shouldParse(req)) {
        debug("skip parsing");
        next();
        return;
      }
      var charset = getCharset(req) || "utf-8";
      if (charset !== "utf-8") {
        debug("invalid charset");
        next(createError(415, 'unsupported charset "' + charset.toUpperCase() + '"', {
          charset,
          type: "charset.unsupported"
        }));
        return;
      }
      read(req, res, next, parse, debug, {
        debug,
        encoding: charset,
        inflate,
        limit,
        verify,
        depth
      });
    };
  }
  function extendedparser(options) {
    var parameterLimit = options.parameterLimit !== undefined ? options.parameterLimit : 1000;
    var depth = typeof options.depth !== "number" ? Number(options.depth || 32) : options.depth;
    var parse = parser("qs");
    if (isNaN(parameterLimit) || parameterLimit < 1) {
      throw new TypeError("option parameterLimit must be a positive number");
    }
    if (isNaN(depth) || depth < 0) {
      throw new TypeError("option depth must be a zero or a positive number");
    }
    if (isFinite(parameterLimit)) {
      parameterLimit = parameterLimit | 0;
    }
    return function queryparse(body) {
      var paramCount = parameterCount(body, parameterLimit);
      if (paramCount === undefined) {
        debug("too many parameters");
        throw createError(413, "too many parameters", {
          type: "parameters.too.many"
        });
      }
      var arrayLimit = Math.max(100, paramCount);
      debug("parse extended urlencoding");
      try {
        return parse(body, {
          allowPrototypes: true,
          arrayLimit,
          depth,
          strictDepth: true,
          parameterLimit
        });
      } catch (err) {
        if (err instanceof RangeError) {
          throw createError(400, "The input exceeded the depth", {
            type: "querystring.parse.rangeError"
          });
        } else {
          throw err;
        }
      }
    };
  }
  function getCharset(req) {
    try {
      return (contentType2.parse(req).parameters.charset || "").toLowerCase();
    } catch (e) {
      return;
    }
  }
  function parameterCount(body, limit) {
    var count = 0;
    var index = 0;
    while ((index = body.indexOf("&", index)) !== -1) {
      count++;
      index++;
      if (count === limit) {
        return;
      }
    }
    return count;
  }
  function parser(name) {
    var mod = parsers[name];
    if (mod !== undefined) {
      return mod.parse;
    }
    switch (name) {
      case "qs":
        mod = require_lib3();
        break;
      case "querystring":
        mod = __require("querystring");
        break;
    }
    parsers[name] = mod;
    return mod.parse;
  }
  function simpleparser(options) {
    var parameterLimit = options.parameterLimit !== undefined ? options.parameterLimit : 1000;
    var parse = parser("querystring");
    if (isNaN(parameterLimit) || parameterLimit < 1) {
      throw new TypeError("option parameterLimit must be a positive number");
    }
    if (isFinite(parameterLimit)) {
      parameterLimit = parameterLimit | 0;
    }
    return function queryparse(body) {
      var paramCount = parameterCount(body, parameterLimit);
      if (paramCount === undefined) {
        debug("too many parameters");
        throw createError(413, "too many parameters", {
          type: "parameters.too.many"
        });
      }
      debug("parse urlencoding");
      return parse(body, undefined, undefined, { maxKeys: parameterLimit });
    };
  }
  function typeChecker(type) {
    return function checkType(req) {
      return Boolean(typeis(req, type));
    };
  }
});

// node_modules/body-parser/index.js
var require_body_parser = __commonJS((exports, module) => {
  /*!
   * body-parser
   * Copyright(c) 2014-2015 Douglas Christopher Wilson
   * MIT Licensed
   */
  var deprecate = require_depd()("body-parser");
  var parsers = Object.create(null);
  exports = module.exports = deprecate.function(bodyParser, "bodyParser: use individual json/urlencoded middlewares");
  Object.defineProperty(exports, "json", {
    configurable: true,
    enumerable: true,
    get: createParserGetter("json")
  });
  Object.defineProperty(exports, "raw", {
    configurable: true,
    enumerable: true,
    get: createParserGetter("raw")
  });
  Object.defineProperty(exports, "text", {
    configurable: true,
    enumerable: true,
    get: createParserGetter("text")
  });
  Object.defineProperty(exports, "urlencoded", {
    configurable: true,
    enumerable: true,
    get: createParserGetter("urlencoded")
  });
  function bodyParser(options) {
    var opts = Object.create(options || null, {
      type: {
        configurable: true,
        enumerable: true,
        value: undefined,
        writable: true
      }
    });
    var _urlencoded = exports.urlencoded(opts);
    var _json = exports.json(opts);
    return function bodyParser(req, res, next) {
      _json(req, res, function(err) {
        if (err)
          return next(err);
        _urlencoded(req, res, next);
      });
    };
  }
  function createParserGetter(name) {
    return function get() {
      return loadParser(name);
    };
  }
  function loadParser(parserName) {
    var parser = parsers[parserName];
    if (parser !== undefined) {
      return parser;
    }
    switch (parserName) {
      case "json":
        parser = require_json();
        break;
      case "raw":
        parser = require_raw();
        break;
      case "text":
        parser = require_text();
        break;
      case "urlencoded":
        parser = require_urlencoded();
        break;
    }
    return parsers[parserName] = parser;
  }
});

// node_modules/merge-descriptors/index.js
var require_merge_descriptors = __commonJS((exports, module) => {
  /*!
   * merge-descriptors
   * Copyright(c) 2014 Jonathan Ong
   * Copyright(c) 2015 Douglas Christopher Wilson
   * MIT Licensed
   */
  module.exports = merge;
  var hasOwnProperty = Object.prototype.hasOwnProperty;
  function merge(dest, src, redefine) {
    if (!dest) {
      throw new TypeError("argument dest is required");
    }
    if (!src) {
      throw new TypeError("argument src is required");
    }
    if (redefine === undefined) {
      redefine = true;
    }
    Object.getOwnPropertyNames(src).forEach(function forEachOwnPropertyName(name) {
      if (!redefine && hasOwnProperty.call(dest, name)) {
        return;
      }
      var descriptor = Object.getOwnPropertyDescriptor(src, name);
      Object.defineProperty(dest, name, descriptor);
    });
    return dest;
  }
});

// node_modules/finalhandler/node_modules/ms/index.js
var require_ms2 = __commonJS((exports, module) => {
  var s = 1000;
  var m = s * 60;
  var h2 = m * 60;
  var d = h2 * 24;
  var y = d * 365.25;
  module.exports = function(val, options) {
    options = options || {};
    var type = typeof val;
    if (type === "string" && val.length > 0) {
      return parse(val);
    } else if (type === "number" && isNaN(val) === false) {
      return options.long ? fmtLong(val) : fmtShort(val);
    }
    throw new Error("val is not a non-empty string or a valid number. val=" + JSON.stringify(val));
  };
  function parse(str) {
    str = String(str);
    if (str.length > 100) {
      return;
    }
    var match = /^((?:\d+)?\.?\d+) *(milliseconds?|msecs?|ms|seconds?|secs?|s|minutes?|mins?|m|hours?|hrs?|h|days?|d|years?|yrs?|y)?$/i.exec(str);
    if (!match) {
      return;
    }
    var n = parseFloat(match[1]);
    var type = (match[2] || "ms").toLowerCase();
    switch (type) {
      case "years":
      case "year":
      case "yrs":
      case "yr":
      case "y":
        return n * y;
      case "days":
      case "day":
      case "d":
        return n * d;
      case "hours":
      case "hour":
      case "hrs":
      case "hr":
      case "h":
        return n * h2;
      case "minutes":
      case "minute":
      case "mins":
      case "min":
      case "m":
        return n * m;
      case "seconds":
      case "second":
      case "secs":
      case "sec":
      case "s":
        return n * s;
      case "milliseconds":
      case "millisecond":
      case "msecs":
      case "msec":
      case "ms":
        return n;
      default:
        return;
    }
  }
  function fmtShort(ms) {
    if (ms >= d) {
      return Math.round(ms / d) + "d";
    }
    if (ms >= h2) {
      return Math.round(ms / h2) + "h";
    }
    if (ms >= m) {
      return Math.round(ms / m) + "m";
    }
    if (ms >= s) {
      return Math.round(ms / s) + "s";
    }
    return ms + "ms";
  }
  function fmtLong(ms) {
    return plural(ms, d, "day") || plural(ms, h2, "hour") || plural(ms, m, "minute") || plural(ms, s, "second") || ms + " ms";
  }
  function plural(ms, n, name) {
    if (ms < n) {
      return;
    }
    if (ms < n * 1.5) {
      return Math.floor(ms / n) + " " + name;
    }
    return Math.ceil(ms / n) + " " + name + "s";
  }
});

// node_modules/finalhandler/node_modules/debug/src/debug.js
var require_debug2 = __commonJS((exports, module) => {
  exports = module.exports = createDebug.debug = createDebug["default"] = createDebug;
  exports.coerce = coerce2;
  exports.disable = disable;
  exports.enable = enable;
  exports.enabled = enabled;
  exports.humanize = require_ms2();
  exports.names = [];
  exports.skips = [];
  exports.formatters = {};
  var prevTime;
  function selectColor(namespace) {
    var hash = 0, i;
    for (i in namespace) {
      hash = (hash << 5) - hash + namespace.charCodeAt(i);
      hash |= 0;
    }
    return exports.colors[Math.abs(hash) % exports.colors.length];
  }
  function createDebug(namespace) {
    function debug() {
      if (!debug.enabled)
        return;
      var self = debug;
      var curr = +new Date;
      var ms = curr - (prevTime || curr);
      self.diff = ms;
      self.prev = prevTime;
      self.curr = curr;
      prevTime = curr;
      var args = new Array(arguments.length);
      for (var i = 0;i < args.length; i++) {
        args[i] = arguments[i];
      }
      args[0] = exports.coerce(args[0]);
      if (typeof args[0] !== "string") {
        args.unshift("%O");
      }
      var index = 0;
      args[0] = args[0].replace(/%([a-zA-Z%])/g, function(match, format) {
        if (match === "%%")
          return match;
        index++;
        var formatter = exports.formatters[format];
        if (typeof formatter === "function") {
          var val = args[index];
          match = formatter.call(self, val);
          args.splice(index, 1);
          index--;
        }
        return match;
      });
      exports.formatArgs.call(self, args);
      var logFn = debug.log || exports.log || console.log.bind(console);
      logFn.apply(self, args);
    }
    debug.namespace = namespace;
    debug.enabled = exports.enabled(namespace);
    debug.useColors = exports.useColors();
    debug.color = selectColor(namespace);
    if (typeof exports.init === "function") {
      exports.init(debug);
    }
    return debug;
  }
  function enable(namespaces) {
    exports.save(namespaces);
    exports.names = [];
    exports.skips = [];
    var split = (typeof namespaces === "string" ? namespaces : "").split(/[\s,]+/);
    var len = split.length;
    for (var i = 0;i < len; i++) {
      if (!split[i])
        continue;
      namespaces = split[i].replace(/\*/g, ".*?");
      if (namespaces[0] === "-") {
        exports.skips.push(new RegExp("^" + namespaces.substr(1) + "$"));
      } else {
        exports.names.push(new RegExp("^" + namespaces + "$"));
      }
    }
  }
  function disable() {
    exports.enable("");
  }
  function enabled(name) {
    var i, len;
    for (i = 0, len = exports.skips.length;i < len; i++) {
      if (exports.skips[i].test(name)) {
        return false;
      }
    }
    for (i = 0, len = exports.names.length;i < len; i++) {
      if (exports.names[i].test(name)) {
        return true;
      }
    }
    return false;
  }
  function coerce2(val) {
    if (val instanceof Error)
      return val.stack || val.message;
    return val;
  }
});

// node_modules/finalhandler/node_modules/debug/src/browser.js
var require_browser2 = __commonJS((exports, module) => {
  exports = module.exports = require_debug2();
  exports.log = log2;
  exports.formatArgs = formatArgs;
  exports.save = save;
  exports.load = load;
  exports.useColors = useColors;
  exports.storage = typeof chrome != "undefined" && typeof chrome.storage != "undefined" ? chrome.storage.local : localstorage();
  exports.colors = [
    "lightseagreen",
    "forestgreen",
    "goldenrod",
    "dodgerblue",
    "darkorchid",
    "crimson"
  ];
  function useColors() {
    if (typeof window !== "undefined" && window.process && window.process.type === "renderer") {
      return true;
    }
    return typeof document !== "undefined" && document.documentElement && document.documentElement.style && document.documentElement.style.WebkitAppearance || typeof window !== "undefined" && window.console && (window.console.firebug || window.console.exception && window.console.table) || typeof navigator !== "undefined" && navigator.userAgent && navigator.userAgent.toLowerCase().match(/firefox\/(\d+)/) && parseInt(RegExp.$1, 10) >= 31 || typeof navigator !== "undefined" && navigator.userAgent && navigator.userAgent.toLowerCase().match(/applewebkit\/(\d+)/);
  }
  exports.formatters.j = function(v2) {
    try {
      return JSON.stringify(v2);
    } catch (err) {
      return "[UnexpectedJSONParseError]: " + err.message;
    }
  };
  function formatArgs(args) {
    var useColors2 = this.useColors;
    args[0] = (useColors2 ? "%c" : "") + this.namespace + (useColors2 ? " %c" : " ") + args[0] + (useColors2 ? "%c " : " ") + "+" + exports.humanize(this.diff);
    if (!useColors2)
      return;
    var c = "color: " + this.color;
    args.splice(1, 0, c, "color: inherit");
    var index = 0;
    var lastC = 0;
    args[0].replace(/%[a-zA-Z%]/g, function(match) {
      if (match === "%%")
        return;
      index++;
      if (match === "%c") {
        lastC = index;
      }
    });
    args.splice(lastC, 0, c);
  }
  function log2() {
    return typeof console === "object" && console.log && Function.prototype.apply.call(console.log, console, arguments);
  }
  function save(namespaces) {
    try {
      if (namespaces == null) {
        exports.storage.removeItem("debug");
      } else {
        exports.storage.debug = namespaces;
      }
    } catch (e) {}
  }
  function load() {
    var r;
    try {
      r = exports.storage.debug;
    } catch (e) {}
    if (!r && typeof process !== "undefined" && "env" in process) {
      r = process.env.DEBUG;
    }
    return r;
  }
  exports.enable(load());
  function localstorage() {
    try {
      return window.localStorage;
    } catch (e) {}
  }
});

// node_modules/finalhandler/node_modules/debug/src/node.js
var require_node2 = __commonJS((exports, module) => {
  var tty = __require("tty");
  var util3 = __require("util");
  exports = module.exports = require_debug2();
  exports.init = init;
  exports.log = log2;
  exports.formatArgs = formatArgs;
  exports.save = save;
  exports.load = load;
  exports.useColors = useColors;
  exports.colors = [6, 2, 3, 4, 5, 1];
  exports.inspectOpts = Object.keys(process.env).filter(function(key) {
    return /^debug_/i.test(key);
  }).reduce(function(obj, key) {
    var prop = key.substring(6).toLowerCase().replace(/_([a-z])/g, function(_2, k2) {
      return k2.toUpperCase();
    });
    var val = process.env[key];
    if (/^(yes|on|true|enabled)$/i.test(val))
      val = true;
    else if (/^(no|off|false|disabled)$/i.test(val))
      val = false;
    else if (val === "null")
      val = null;
    else
      val = Number(val);
    obj[prop] = val;
    return obj;
  }, {});
  var fd = parseInt(process.env.DEBUG_FD, 10) || 2;
  if (fd !== 1 && fd !== 2) {
    util3.deprecate(function() {}, "except for stderr(2) and stdout(1), any other usage of DEBUG_FD is deprecated. Override debug.log if you want to use a different log function (https://git.io/debug_fd)")();
  }
  var stream = fd === 1 ? process.stdout : fd === 2 ? process.stderr : createWritableStdioStream(fd);
  function useColors() {
    return "colors" in exports.inspectOpts ? Boolean(exports.inspectOpts.colors) : tty.isatty(fd);
  }
  exports.formatters.o = function(v2) {
    this.inspectOpts.colors = this.useColors;
    return util3.inspect(v2, this.inspectOpts).split(`
`).map(function(str) {
      return str.trim();
    }).join(" ");
  };
  exports.formatters.O = function(v2) {
    this.inspectOpts.colors = this.useColors;
    return util3.inspect(v2, this.inspectOpts);
  };
  function formatArgs(args) {
    var name = this.namespace;
    var useColors2 = this.useColors;
    if (useColors2) {
      var c = this.color;
      var prefix = "  \x1B[3" + c + ";1m" + name + " " + "\x1B[0m";
      args[0] = prefix + args[0].split(`
`).join(`
` + prefix);
      args.push("\x1B[3" + c + "m+" + exports.humanize(this.diff) + "\x1B[0m");
    } else {
      args[0] = new Date().toUTCString() + " " + name + " " + args[0];
    }
  }
  function log2() {
    return stream.write(util3.format.apply(util3, arguments) + `
`);
  }
  function save(namespaces) {
    if (namespaces == null) {
      delete process.env.DEBUG;
    } else {
      process.env.DEBUG = namespaces;
    }
  }
  function load() {
    return process.env.DEBUG;
  }
  function createWritableStdioStream(fd2) {
    var stream2;
    var tty_wrap = process.binding("tty_wrap");
    switch (tty_wrap.guessHandleType(fd2)) {
      case "TTY":
        stream2 = new tty.WriteStream(fd2);
        stream2._type = "tty";
        if (stream2._handle && stream2._handle.unref) {
          stream2._handle.unref();
        }
        break;
      case "FILE":
        var fs = __require("fs");
        stream2 = new fs.SyncWriteStream(fd2, { autoClose: false });
        stream2._type = "fs";
        break;
      case "PIPE":
      case "TCP":
        var net = __require("net");
        stream2 = new net.Socket({
          fd: fd2,
          readable: false,
          writable: true
        });
        stream2.readable = false;
        stream2.read = null;
        stream2._type = "pipe";
        if (stream2._handle && stream2._handle.unref) {
          stream2._handle.unref();
        }
        break;
      default:
        throw new Error("Implement me. Unknown stream file type!");
    }
    stream2.fd = fd2;
    stream2._isStdio = true;
    return stream2;
  }
  function init(debug) {
    debug.inspectOpts = {};
    var keys = Object.keys(exports.inspectOpts);
    for (var i = 0;i < keys.length; i++) {
      debug.inspectOpts[keys[i]] = exports.inspectOpts[keys[i]];
    }
  }
  exports.enable(load());
});

// node_modules/finalhandler/node_modules/debug/src/index.js
var require_src2 = __commonJS((exports, module) => {
  if (typeof process !== "undefined" && process.type === "renderer") {
    module.exports = require_browser2();
  } else {
    module.exports = require_node2();
  }
});

// node_modules/encodeurl/index.js
var require_encodeurl = __commonJS((exports, module) => {
  /*!
   * encodeurl
   * Copyright(c) 2016 Douglas Christopher Wilson
   * MIT Licensed
   */
  module.exports = encodeUrl;
  var ENCODE_CHARS_REGEXP = /(?:[^\x21\x23-\x3B\x3D\x3F-\x5F\x61-\x7A\x7C\x7E]|%(?:[^0-9A-Fa-f]|[0-9A-Fa-f][^0-9A-Fa-f]|$))+/g;
  var UNMATCHED_SURROGATE_PAIR_REGEXP = /(^|[^\uD800-\uDBFF])[\uDC00-\uDFFF]|[\uD800-\uDBFF]([^\uDC00-\uDFFF]|$)/g;
  var UNMATCHED_SURROGATE_PAIR_REPLACE = "$1�$2";
  function encodeUrl(url) {
    return String(url).replace(UNMATCHED_SURROGATE_PAIR_REGEXP, UNMATCHED_SURROGATE_PAIR_REPLACE).replace(ENCODE_CHARS_REGEXP, encodeURI);
  }
});

// node_modules/escape-html/index.js
var require_escape_html = __commonJS((exports, module) => {
  /*!
   * escape-html
   * Copyright(c) 2012-2013 TJ Holowaychuk
   * Copyright(c) 2015 Andreas Lubbe
   * Copyright(c) 2015 Tiancheng "Timothy" Gu
   * MIT Licensed
   */
  var matchHtmlRegExp = /["'&<>]/;
  module.exports = escapeHtml;
  function escapeHtml(string) {
    var str = "" + string;
    var match = matchHtmlRegExp.exec(str);
    if (!match) {
      return str;
    }
    var escape2;
    var html = "";
    var index = 0;
    var lastIndex = 0;
    for (index = match.index;index < str.length; index++) {
      switch (str.charCodeAt(index)) {
        case 34:
          escape2 = "&quot;";
          break;
        case 38:
          escape2 = "&amp;";
          break;
        case 39:
          escape2 = "&#39;";
          break;
        case 60:
          escape2 = "&lt;";
          break;
        case 62:
          escape2 = "&gt;";
          break;
        default:
          continue;
      }
      if (lastIndex !== index) {
        html += str.substring(lastIndex, index);
      }
      lastIndex = index + 1;
      html += escape2;
    }
    return lastIndex !== index ? html + str.substring(lastIndex, index) : html;
  }
});

// node_modules/parseurl/index.js
var require_parseurl = __commonJS((exports, module) => {
  /*!
   * parseurl
   * Copyright(c) 2014 Jonathan Ong
   * Copyright(c) 2014-2017 Douglas Christopher Wilson
   * MIT Licensed
   */
  var url = __require("url");
  var parse = url.parse;
  var Url = url.Url;
  module.exports = parseurl;
  module.exports.original = originalurl;
  function parseurl(req) {
    var url2 = req.url;
    if (url2 === undefined) {
      return;
    }
    var parsed = req._parsedUrl;
    if (fresh(url2, parsed)) {
      return parsed;
    }
    parsed = fastparse(url2);
    parsed._raw = url2;
    return req._parsedUrl = parsed;
  }
  function originalurl(req) {
    var url2 = req.originalUrl;
    if (typeof url2 !== "string") {
      return parseurl(req);
    }
    var parsed = req._parsedOriginalUrl;
    if (fresh(url2, parsed)) {
      return parsed;
    }
    parsed = fastparse(url2);
    parsed._raw = url2;
    return req._parsedOriginalUrl = parsed;
  }
  function fastparse(str) {
    if (typeof str !== "string" || str.charCodeAt(0) !== 47) {
      return parse(str);
    }
    var pathname = str;
    var query = null;
    var search = null;
    for (var i = 1;i < str.length; i++) {
      switch (str.charCodeAt(i)) {
        case 63:
          if (search === null) {
            pathname = str.substring(0, i);
            query = str.substring(i + 1);
            search = str.substring(i);
          }
          break;
        case 9:
        case 10:
        case 12:
        case 13:
        case 32:
        case 35:
        case 160:
        case 65279:
          return parse(str);
      }
    }
    var url2 = Url !== undefined ? new Url : {};
    url2.path = str;
    url2.href = str;
    url2.pathname = pathname;
    if (search !== null) {
      url2.query = query;
      url2.search = search;
    }
    return url2;
  }
  function fresh(url2, parsedUrl) {
    return typeof parsedUrl === "object" && parsedUrl !== null && (Url === undefined || parsedUrl instanceof Url) && parsedUrl._raw === url2;
  }
});

// node_modules/finalhandler/index.js
var require_finalhandler = __commonJS((exports, module) => {
  /*!
   * finalhandler
   * Copyright(c) 2014-2022 Douglas Christopher Wilson
   * MIT Licensed
   */
  var debug = require_src2()("finalhandler");
  var encodeUrl = require_encodeurl();
  var escapeHtml = require_escape_html();
  var onFinished = require_on_finished();
  var parseUrl = require_parseurl();
  var statuses = require_statuses();
  var unpipe = require_unpipe();
  var DOUBLE_SPACE_REGEXP = /\x20{2}/g;
  var NEWLINE_REGEXP = /\n/g;
  var defer = typeof setImmediate === "function" ? setImmediate : function(fn) {
    process.nextTick(fn.bind.apply(fn, arguments));
  };
  var isFinished = onFinished.isFinished;
  function createHtmlDocument(message) {
    var body = escapeHtml(message).replace(NEWLINE_REGEXP, "<br>").replace(DOUBLE_SPACE_REGEXP, " &nbsp;");
    return `<!DOCTYPE html>
` + `<html lang="en">
` + `<head>
` + `<meta charset="utf-8">
` + `<title>Error</title>
` + `</head>
` + `<body>
` + "<pre>" + body + `</pre>
` + `</body>
` + `</html>
`;
  }
  module.exports = finalhandler;
  function finalhandler(req, res, options) {
    var opts = options || {};
    var env = opts.env || "development";
    var onerror = opts.onerror;
    return function(err) {
      var headers;
      var msg;
      var status;
      if (!err && headersSent(res)) {
        debug("cannot 404 after headers sent");
        return;
      }
      if (err) {
        status = getErrorStatusCode(err);
        if (status === undefined) {
          status = getResponseStatusCode(res);
        } else {
          headers = getErrorHeaders(err);
        }
        msg = getErrorMessage(err, status, env);
      } else {
        status = 404;
        msg = "Cannot " + req.method + " " + encodeUrl(getResourceName(req));
      }
      debug("default %s", status);
      if (err && onerror) {
        defer(onerror, err, req, res);
      }
      if (headersSent(res)) {
        debug("cannot %d after headers sent", status);
        if (req.socket) {
          req.socket.destroy();
        }
        return;
      }
      send(req, res, status, headers, msg);
    };
  }
  function getErrorHeaders(err) {
    if (!err.headers || typeof err.headers !== "object") {
      return;
    }
    var headers = Object.create(null);
    var keys = Object.keys(err.headers);
    for (var i = 0;i < keys.length; i++) {
      var key = keys[i];
      headers[key] = err.headers[key];
    }
    return headers;
  }
  function getErrorMessage(err, status, env) {
    var msg;
    if (env !== "production") {
      msg = err.stack;
      if (!msg && typeof err.toString === "function") {
        msg = err.toString();
      }
    }
    return msg || statuses.message[status];
  }
  function getErrorStatusCode(err) {
    if (typeof err.status === "number" && err.status >= 400 && err.status < 600) {
      return err.status;
    }
    if (typeof err.statusCode === "number" && err.statusCode >= 400 && err.statusCode < 600) {
      return err.statusCode;
    }
    return;
  }
  function getResourceName(req) {
    try {
      return parseUrl.original(req).pathname;
    } catch (e) {
      return "resource";
    }
  }
  function getResponseStatusCode(res) {
    var status = res.statusCode;
    if (typeof status !== "number" || status < 400 || status > 599) {
      status = 500;
    }
    return status;
  }
  function headersSent(res) {
    return typeof res.headersSent !== "boolean" ? Boolean(res._header) : res.headersSent;
  }
  function send(req, res, status, headers, message) {
    function write() {
      var body = createHtmlDocument(message);
      res.statusCode = status;
      if (req.httpVersionMajor < 2) {
        res.statusMessage = statuses.message[status];
      }
      res.removeHeader("Content-Encoding");
      res.removeHeader("Content-Language");
      res.removeHeader("Content-Range");
      setHeaders(res, headers);
      res.setHeader("Content-Security-Policy", "default-src 'none'");
      res.setHeader("X-Content-Type-Options", "nosniff");
      res.setHeader("Content-Type", "text/html; charset=utf-8");
      res.setHeader("Content-Length", Buffer.byteLength(body, "utf8"));
      if (req.method === "HEAD") {
        res.end();
        return;
      }
      res.end(body, "utf8");
    }
    if (isFinished(req)) {
      write();
      return;
    }
    unpipe(req);
    onFinished(req, write);
    req.resume();
  }
  function setHeaders(res, headers) {
    if (!headers) {
      return;
    }
    var keys = Object.keys(headers);
    for (var i = 0;i < keys.length; i++) {
      var key = keys[i];
      res.setHeader(key, headers[key]);
    }
  }
});

// node_modules/express/node_modules/ms/index.js
var require_ms3 = __commonJS((exports, module) => {
  var s = 1000;
  var m = s * 60;
  var h2 = m * 60;
  var d = h2 * 24;
  var y = d * 365.25;
  module.exports = function(val, options) {
    options = options || {};
    var type = typeof val;
    if (type === "string" && val.length > 0) {
      return parse(val);
    } else if (type === "number" && isNaN(val) === false) {
      return options.long ? fmtLong(val) : fmtShort(val);
    }
    throw new Error("val is not a non-empty string or a valid number. val=" + JSON.stringify(val));
  };
  function parse(str) {
    str = String(str);
    if (str.length > 100) {
      return;
    }
    var match = /^((?:\d+)?\.?\d+) *(milliseconds?|msecs?|ms|seconds?|secs?|s|minutes?|mins?|m|hours?|hrs?|h|days?|d|years?|yrs?|y)?$/i.exec(str);
    if (!match) {
      return;
    }
    var n = parseFloat(match[1]);
    var type = (match[2] || "ms").toLowerCase();
    switch (type) {
      case "years":
      case "year":
      case "yrs":
      case "yr":
      case "y":
        return n * y;
      case "days":
      case "day":
      case "d":
        return n * d;
      case "hours":
      case "hour":
      case "hrs":
      case "hr":
      case "h":
        return n * h2;
      case "minutes":
      case "minute":
      case "mins":
      case "min":
      case "m":
        return n * m;
      case "seconds":
      case "second":
      case "secs":
      case "sec":
      case "s":
        return n * s;
      case "milliseconds":
      case "millisecond":
      case "msecs":
      case "msec":
      case "ms":
        return n;
      default:
        return;
    }
  }
  function fmtShort(ms) {
    if (ms >= d) {
      return Math.round(ms / d) + "d";
    }
    if (ms >= h2) {
      return Math.round(ms / h2) + "h";
    }
    if (ms >= m) {
      return Math.round(ms / m) + "m";
    }
    if (ms >= s) {
      return Math.round(ms / s) + "s";
    }
    return ms + "ms";
  }
  function fmtLong(ms) {
    return plural(ms, d, "day") || plural(ms, h2, "hour") || plural(ms, m, "minute") || plural(ms, s, "second") || ms + " ms";
  }
  function plural(ms, n, name) {
    if (ms < n) {
      return;
    }
    if (ms < n * 1.5) {
      return Math.floor(ms / n) + " " + name;
    }
    return Math.ceil(ms / n) + " " + name + "s";
  }
});

// node_modules/express/node_modules/debug/src/debug.js
var require_debug3 = __commonJS((exports, module) => {
  exports = module.exports = createDebug.debug = createDebug["default"] = createDebug;
  exports.coerce = coerce2;
  exports.disable = disable;
  exports.enable = enable;
  exports.enabled = enabled;
  exports.humanize = require_ms3();
  exports.names = [];
  exports.skips = [];
  exports.formatters = {};
  var prevTime;
  function selectColor(namespace) {
    var hash = 0, i;
    for (i in namespace) {
      hash = (hash << 5) - hash + namespace.charCodeAt(i);
      hash |= 0;
    }
    return exports.colors[Math.abs(hash) % exports.colors.length];
  }
  function createDebug(namespace) {
    function debug() {
      if (!debug.enabled)
        return;
      var self = debug;
      var curr = +new Date;
      var ms = curr - (prevTime || curr);
      self.diff = ms;
      self.prev = prevTime;
      self.curr = curr;
      prevTime = curr;
      var args = new Array(arguments.length);
      for (var i = 0;i < args.length; i++) {
        args[i] = arguments[i];
      }
      args[0] = exports.coerce(args[0]);
      if (typeof args[0] !== "string") {
        args.unshift("%O");
      }
      var index = 0;
      args[0] = args[0].replace(/%([a-zA-Z%])/g, function(match, format) {
        if (match === "%%")
          return match;
        index++;
        var formatter = exports.formatters[format];
        if (typeof formatter === "function") {
          var val = args[index];
          match = formatter.call(self, val);
          args.splice(index, 1);
          index--;
        }
        return match;
      });
      exports.formatArgs.call(self, args);
      var logFn = debug.log || exports.log || console.log.bind(console);
      logFn.apply(self, args);
    }
    debug.namespace = namespace;
    debug.enabled = exports.enabled(namespace);
    debug.useColors = exports.useColors();
    debug.color = selectColor(namespace);
    if (typeof exports.init === "function") {
      exports.init(debug);
    }
    return debug;
  }
  function enable(namespaces) {
    exports.save(namespaces);
    exports.names = [];
    exports.skips = [];
    var split = (typeof namespaces === "string" ? namespaces : "").split(/[\s,]+/);
    var len = split.length;
    for (var i = 0;i < len; i++) {
      if (!split[i])
        continue;
      namespaces = split[i].replace(/\*/g, ".*?");
      if (namespaces[0] === "-") {
        exports.skips.push(new RegExp("^" + namespaces.substr(1) + "$"));
      } else {
        exports.names.push(new RegExp("^" + namespaces + "$"));
      }
    }
  }
  function disable() {
    exports.enable("");
  }
  function enabled(name) {
    var i, len;
    for (i = 0, len = exports.skips.length;i < len; i++) {
      if (exports.skips[i].test(name)) {
        return false;
      }
    }
    for (i = 0, len = exports.names.length;i < len; i++) {
      if (exports.names[i].test(name)) {
        return true;
      }
    }
    return false;
  }
  function coerce2(val) {
    if (val instanceof Error)
      return val.stack || val.message;
    return val;
  }
});

// node_modules/express/node_modules/debug/src/browser.js
var require_browser3 = __commonJS((exports, module) => {
  exports = module.exports = require_debug3();
  exports.log = log2;
  exports.formatArgs = formatArgs;
  exports.save = save;
  exports.load = load;
  exports.useColors = useColors;
  exports.storage = typeof chrome != "undefined" && typeof chrome.storage != "undefined" ? chrome.storage.local : localstorage();
  exports.colors = [
    "lightseagreen",
    "forestgreen",
    "goldenrod",
    "dodgerblue",
    "darkorchid",
    "crimson"
  ];
  function useColors() {
    if (typeof window !== "undefined" && window.process && window.process.type === "renderer") {
      return true;
    }
    return typeof document !== "undefined" && document.documentElement && document.documentElement.style && document.documentElement.style.WebkitAppearance || typeof window !== "undefined" && window.console && (window.console.firebug || window.console.exception && window.console.table) || typeof navigator !== "undefined" && navigator.userAgent && navigator.userAgent.toLowerCase().match(/firefox\/(\d+)/) && parseInt(RegExp.$1, 10) >= 31 || typeof navigator !== "undefined" && navigator.userAgent && navigator.userAgent.toLowerCase().match(/applewebkit\/(\d+)/);
  }
  exports.formatters.j = function(v2) {
    try {
      return JSON.stringify(v2);
    } catch (err) {
      return "[UnexpectedJSONParseError]: " + err.message;
    }
  };
  function formatArgs(args) {
    var useColors2 = this.useColors;
    args[0] = (useColors2 ? "%c" : "") + this.namespace + (useColors2 ? " %c" : " ") + args[0] + (useColors2 ? "%c " : " ") + "+" + exports.humanize(this.diff);
    if (!useColors2)
      return;
    var c = "color: " + this.color;
    args.splice(1, 0, c, "color: inherit");
    var index = 0;
    var lastC = 0;
    args[0].replace(/%[a-zA-Z%]/g, function(match) {
      if (match === "%%")
        return;
      index++;
      if (match === "%c") {
        lastC = index;
      }
    });
    args.splice(lastC, 0, c);
  }
  function log2() {
    return typeof console === "object" && console.log && Function.prototype.apply.call(console.log, console, arguments);
  }
  function save(namespaces) {
    try {
      if (namespaces == null) {
        exports.storage.removeItem("debug");
      } else {
        exports.storage.debug = namespaces;
      }
    } catch (e) {}
  }
  function load() {
    var r;
    try {
      r = exports.storage.debug;
    } catch (e) {}
    if (!r && typeof process !== "undefined" && "env" in process) {
      r = process.env.DEBUG;
    }
    return r;
  }
  exports.enable(load());
  function localstorage() {
    try {
      return window.localStorage;
    } catch (e) {}
  }
});

// node_modules/express/node_modules/debug/src/node.js
var require_node3 = __commonJS((exports, module) => {
  var tty = __require("tty");
  var util3 = __require("util");
  exports = module.exports = require_debug3();
  exports.init = init;
  exports.log = log2;
  exports.formatArgs = formatArgs;
  exports.save = save;
  exports.load = load;
  exports.useColors = useColors;
  exports.colors = [6, 2, 3, 4, 5, 1];
  exports.inspectOpts = Object.keys(process.env).filter(function(key) {
    return /^debug_/i.test(key);
  }).reduce(function(obj, key) {
    var prop = key.substring(6).toLowerCase().replace(/_([a-z])/g, function(_2, k2) {
      return k2.toUpperCase();
    });
    var val = process.env[key];
    if (/^(yes|on|true|enabled)$/i.test(val))
      val = true;
    else if (/^(no|off|false|disabled)$/i.test(val))
      val = false;
    else if (val === "null")
      val = null;
    else
      val = Number(val);
    obj[prop] = val;
    return obj;
  }, {});
  var fd = parseInt(process.env.DEBUG_FD, 10) || 2;
  if (fd !== 1 && fd !== 2) {
    util3.deprecate(function() {}, "except for stderr(2) and stdout(1), any other usage of DEBUG_FD is deprecated. Override debug.log if you want to use a different log function (https://git.io/debug_fd)")();
  }
  var stream = fd === 1 ? process.stdout : fd === 2 ? process.stderr : createWritableStdioStream(fd);
  function useColors() {
    return "colors" in exports.inspectOpts ? Boolean(exports.inspectOpts.colors) : tty.isatty(fd);
  }
  exports.formatters.o = function(v2) {
    this.inspectOpts.colors = this.useColors;
    return util3.inspect(v2, this.inspectOpts).split(`
`).map(function(str) {
      return str.trim();
    }).join(" ");
  };
  exports.formatters.O = function(v2) {
    this.inspectOpts.colors = this.useColors;
    return util3.inspect(v2, this.inspectOpts);
  };
  function formatArgs(args) {
    var name = this.namespace;
    var useColors2 = this.useColors;
    if (useColors2) {
      var c = this.color;
      var prefix = "  \x1B[3" + c + ";1m" + name + " " + "\x1B[0m";
      args[0] = prefix + args[0].split(`
`).join(`
` + prefix);
      args.push("\x1B[3" + c + "m+" + exports.humanize(this.diff) + "\x1B[0m");
    } else {
      args[0] = new Date().toUTCString() + " " + name + " " + args[0];
    }
  }
  function log2() {
    return stream.write(util3.format.apply(util3, arguments) + `
`);
  }
  function save(namespaces) {
    if (namespaces == null) {
      delete process.env.DEBUG;
    } else {
      process.env.DEBUG = namespaces;
    }
  }
  function load() {
    return process.env.DEBUG;
  }
  function createWritableStdioStream(fd2) {
    var stream2;
    var tty_wrap = process.binding("tty_wrap");
    switch (tty_wrap.guessHandleType(fd2)) {
      case "TTY":
        stream2 = new tty.WriteStream(fd2);
        stream2._type = "tty";
        if (stream2._handle && stream2._handle.unref) {
          stream2._handle.unref();
        }
        break;
      case "FILE":
        var fs = __require("fs");
        stream2 = new fs.SyncWriteStream(fd2, { autoClose: false });
        stream2._type = "fs";
        break;
      case "PIPE":
      case "TCP":
        var net = __require("net");
        stream2 = new net.Socket({
          fd: fd2,
          readable: false,
          writable: true
        });
        stream2.readable = false;
        stream2.read = null;
        stream2._type = "pipe";
        if (stream2._handle && stream2._handle.unref) {
          stream2._handle.unref();
        }
        break;
      default:
        throw new Error("Implement me. Unknown stream file type!");
    }
    stream2.fd = fd2;
    stream2._isStdio = true;
    return stream2;
  }
  function init(debug) {
    debug.inspectOpts = {};
    var keys = Object.keys(exports.inspectOpts);
    for (var i = 0;i < keys.length; i++) {
      debug.inspectOpts[keys[i]] = exports.inspectOpts[keys[i]];
    }
  }
  exports.enable(load());
});

// node_modules/express/node_modules/debug/src/index.js
var require_src3 = __commonJS((exports, module) => {
  if (typeof process !== "undefined" && process.type === "renderer") {
    module.exports = require_browser3();
  } else {
    module.exports = require_node3();
  }
});

// node_modules/array-flatten/array-flatten.js
var require_array_flatten = __commonJS((exports, module) => {
  module.exports = arrayFlatten;
  function flattenWithDepth(array, result, depth) {
    for (var i = 0;i < array.length; i++) {
      var value = array[i];
      if (depth > 0 && Array.isArray(value)) {
        flattenWithDepth(value, result, depth - 1);
      } else {
        result.push(value);
      }
    }
    return result;
  }
  function flattenForever(array, result) {
    for (var i = 0;i < array.length; i++) {
      var value = array[i];
      if (Array.isArray(value)) {
        flattenForever(value, result);
      } else {
        result.push(value);
      }
    }
    return result;
  }
  function arrayFlatten(array, depth) {
    if (depth == null) {
      return flattenForever(array, []);
    }
    return flattenWithDepth(array, [], depth);
  }
});

// node_modules/path-to-regexp/index.js
var require_path_to_regexp = __commonJS((exports, module) => {
  module.exports = pathToRegexp;
  var MATCHING_GROUP_REGEXP = /\\.|\((?:\?<(.*?)>)?(?!\?)/g;
  function pathToRegexp(path, keys, options) {
    options = options || {};
    keys = keys || [];
    var strict = options.strict;
    var end = options.end !== false;
    var flags = options.sensitive ? "" : "i";
    var lookahead = options.lookahead !== false;
    var extraOffset = 0;
    var keysOffset = keys.length;
    var i = 0;
    var name = 0;
    var pos = 0;
    var backtrack = "";
    var m;
    if (path instanceof RegExp) {
      while (m = MATCHING_GROUP_REGEXP.exec(path.source)) {
        if (m[0][0] === "\\")
          continue;
        keys.push({
          name: m[1] || name++,
          optional: false,
          offset: m.index
        });
      }
      return path;
    }
    if (Array.isArray(path)) {
      path = path.map(function(value) {
        return pathToRegexp(value, keys, options).source;
      });
      return new RegExp(path.join("|"), flags);
    }
    if (typeof path !== "string") {
      throw new TypeError("path must be a string, array of strings, or regular expression");
    }
    path = path.replace(/\\.|(\/)?(\.)?:(\w+)(\(.*?\))?(\*)?(\?)?|[.*]|\/\(/g, function(match, slash, format, key, capture, star, optional, offset) {
      if (match[0] === "\\") {
        backtrack += match;
        pos += 2;
        return match;
      }
      if (match === ".") {
        backtrack += "\\.";
        extraOffset += 1;
        pos += 1;
        return "\\.";
      }
      if (slash || format) {
        backtrack = "";
      } else {
        backtrack += path.slice(pos, offset);
      }
      pos = offset + match.length;
      if (match === "*") {
        extraOffset += 3;
        return "(.*)";
      }
      if (match === "/(") {
        backtrack += "/";
        extraOffset += 2;
        return "/(?:";
      }
      slash = slash || "";
      format = format ? "\\." : "";
      optional = optional || "";
      capture = capture ? capture.replace(/\\.|\*/, function(m2) {
        return m2 === "*" ? "(.*)" : m2;
      }) : backtrack ? "((?:(?!/|" + backtrack + ").)+?)" : "([^/" + format + "]+?)";
      keys.push({
        name: key,
        optional: !!optional,
        offset: offset + extraOffset
      });
      var result = "(?:" + format + slash + capture + (star ? "((?:[/" + format + "].+?)?)" : "") + ")" + optional;
      extraOffset += result.length - match.length;
      return result;
    });
    while (m = MATCHING_GROUP_REGEXP.exec(path)) {
      if (m[0][0] === "\\")
        continue;
      if (keysOffset + i === keys.length || keys[keysOffset + i].offset > m.index) {
        keys.splice(keysOffset + i, 0, {
          name: name++,
          optional: false,
          offset: m.index
        });
      }
      i++;
    }
    path += strict ? "" : path[path.length - 1] === "/" ? "?" : "/?";
    if (end) {
      path += "$";
    } else if (path[path.length - 1] !== "/") {
      path += lookahead ? "(?=/|$)" : "(?:/|$)";
    }
    return new RegExp("^" + path, flags);
  }
});

// node_modules/express/lib/router/layer.js
var require_layer = __commonJS((exports, module) => {
  /*!
   * express
   * Copyright(c) 2009-2013 TJ Holowaychuk
   * Copyright(c) 2013 Roman Shtylman
   * Copyright(c) 2014-2015 Douglas Christopher Wilson
   * MIT Licensed
   */
  var pathRegexp = require_path_to_regexp();
  var debug = require_src3()("express:router:layer");
  var hasOwnProperty = Object.prototype.hasOwnProperty;
  module.exports = Layer;
  function Layer(path, options, fn) {
    if (!(this instanceof Layer)) {
      return new Layer(path, options, fn);
    }
    debug("new %o", path);
    var opts = options || {};
    this.handle = fn;
    this.name = fn.name || "<anonymous>";
    this.params = undefined;
    this.path = undefined;
    this.regexp = pathRegexp(path, this.keys = [], opts);
    this.regexp.fast_star = path === "*";
    this.regexp.fast_slash = path === "/" && opts.end === false;
  }
  Layer.prototype.handle_error = function handle_error(error, req, res, next) {
    var fn = this.handle;
    if (fn.length !== 4) {
      return next(error);
    }
    try {
      fn(error, req, res, next);
    } catch (err) {
      next(err);
    }
  };
  Layer.prototype.handle_request = function handle(req, res, next) {
    var fn = this.handle;
    if (fn.length > 3) {
      return next();
    }
    try {
      fn(req, res, next);
    } catch (err) {
      next(err);
    }
  };
  Layer.prototype.match = function match(path) {
    var match;
    if (path != null) {
      if (this.regexp.fast_slash) {
        this.params = {};
        this.path = "";
        return true;
      }
      if (this.regexp.fast_star) {
        this.params = { "0": decode_param(path) };
        this.path = path;
        return true;
      }
      match = this.regexp.exec(path);
    }
    if (!match) {
      this.params = undefined;
      this.path = undefined;
      return false;
    }
    this.params = {};
    this.path = match[0];
    var keys = this.keys;
    var params = this.params;
    for (var i = 1;i < match.length; i++) {
      var key = keys[i - 1];
      var prop = key.name;
      var val = decode_param(match[i]);
      if (val !== undefined || !hasOwnProperty.call(params, prop)) {
        params[prop] = val;
      }
    }
    return true;
  };
  function decode_param(val) {
    if (typeof val !== "string" || val.length === 0) {
      return val;
    }
    try {
      return decodeURIComponent(val);
    } catch (err) {
      if (err instanceof URIError) {
        err.message = "Failed to decode param '" + val + "'";
        err.status = err.statusCode = 400;
      }
      throw err;
    }
  }
});

// node_modules/methods/index.js
var require_methods = __commonJS((exports, module) => {
  /*!
   * methods
   * Copyright(c) 2013-2014 TJ Holowaychuk
   * Copyright(c) 2015-2016 Douglas Christopher Wilson
   * MIT Licensed
   */
  var http = __require("http");
  module.exports = getCurrentNodeMethods() || getBasicNodeMethods();
  function getCurrentNodeMethods() {
    return http.METHODS && http.METHODS.map(function lowerCaseMethod(method) {
      return method.toLowerCase();
    });
  }
  function getBasicNodeMethods() {
    return [
      "get",
      "post",
      "put",
      "head",
      "delete",
      "options",
      "trace",
      "copy",
      "lock",
      "mkcol",
      "move",
      "purge",
      "propfind",
      "proppatch",
      "unlock",
      "report",
      "mkactivity",
      "checkout",
      "merge",
      "m-search",
      "notify",
      "subscribe",
      "unsubscribe",
      "patch",
      "search",
      "connect"
    ];
  }
});

// node_modules/express/lib/router/route.js
var require_route = __commonJS((exports, module) => {
  /*!
   * express
   * Copyright(c) 2009-2013 TJ Holowaychuk
   * Copyright(c) 2013 Roman Shtylman
   * Copyright(c) 2014-2015 Douglas Christopher Wilson
   * MIT Licensed
   */
  var debug = require_src3()("express:router:route");
  var flatten = require_array_flatten();
  var Layer = require_layer();
  var methods = require_methods();
  var slice = Array.prototype.slice;
  var toString = Object.prototype.toString;
  module.exports = Route;
  function Route(path) {
    this.path = path;
    this.stack = [];
    debug("new %o", path);
    this.methods = {};
  }
  Route.prototype._handles_method = function _handles_method(method) {
    if (this.methods._all) {
      return true;
    }
    var name = typeof method === "string" ? method.toLowerCase() : method;
    if (name === "head" && !this.methods["head"]) {
      name = "get";
    }
    return Boolean(this.methods[name]);
  };
  Route.prototype._options = function _options() {
    var methods2 = Object.keys(this.methods);
    if (this.methods.get && !this.methods.head) {
      methods2.push("head");
    }
    for (var i = 0;i < methods2.length; i++) {
      methods2[i] = methods2[i].toUpperCase();
    }
    return methods2;
  };
  Route.prototype.dispatch = function dispatch(req, res, done) {
    var idx = 0;
    var stack = this.stack;
    var sync = 0;
    if (stack.length === 0) {
      return done();
    }
    var method = typeof req.method === "string" ? req.method.toLowerCase() : req.method;
    if (method === "head" && !this.methods["head"]) {
      method = "get";
    }
    req.route = this;
    next();
    function next(err) {
      if (err && err === "route") {
        return done();
      }
      if (err && err === "router") {
        return done(err);
      }
      if (++sync > 100) {
        return setImmediate(next, err);
      }
      var layer = stack[idx++];
      if (!layer) {
        return done(err);
      }
      if (layer.method && layer.method !== method) {
        next(err);
      } else if (err) {
        layer.handle_error(err, req, res, next);
      } else {
        layer.handle_request(req, res, next);
      }
      sync = 0;
    }
  };
  Route.prototype.all = function all() {
    var handles = flatten(slice.call(arguments));
    for (var i = 0;i < handles.length; i++) {
      var handle = handles[i];
      if (typeof handle !== "function") {
        var type = toString.call(handle);
        var msg = "Route.all() requires a callback function but got a " + type;
        throw new TypeError(msg);
      }
      var layer = Layer("/", {}, handle);
      layer.method = undefined;
      this.methods._all = true;
      this.stack.push(layer);
    }
    return this;
  };
  methods.forEach(function(method) {
    Route.prototype[method] = function() {
      var handles = flatten(slice.call(arguments));
      for (var i = 0;i < handles.length; i++) {
        var handle = handles[i];
        if (typeof handle !== "function") {
          var type = toString.call(handle);
          var msg = "Route." + method + "() requires a callback function but got a " + type;
          throw new Error(msg);
        }
        debug("%s %o", method, this.path);
        var layer = Layer("/", {}, handle);
        layer.method = method;
        this.methods[method] = true;
        this.stack.push(layer);
      }
      return this;
    };
  });
});

// node_modules/utils-merge/index.js
var require_utils_merge = __commonJS((exports, module) => {
  exports = module.exports = function(a, b2) {
    if (a && b2) {
      for (var key in b2) {
        a[key] = b2[key];
      }
    }
    return a;
  };
});

// node_modules/express/lib/router/index.js
var require_router = __commonJS((exports, module) => {
  /*!
   * express
   * Copyright(c) 2009-2013 TJ Holowaychuk
   * Copyright(c) 2013 Roman Shtylman
   * Copyright(c) 2014-2015 Douglas Christopher Wilson
   * MIT Licensed
   */
  var Route = require_route();
  var Layer = require_layer();
  var methods = require_methods();
  var mixin = require_utils_merge();
  var debug = require_src3()("express:router");
  var deprecate = require_depd()("express");
  var flatten = require_array_flatten();
  var parseUrl = require_parseurl();
  var setPrototypeOf = require_setprototypeof();
  var objectRegExp = /^\[object (\S+)\]$/;
  var slice = Array.prototype.slice;
  var toString = Object.prototype.toString;
  var proto = module.exports = function(options) {
    var opts = options || {};
    function router(req, res, next) {
      router.handle(req, res, next);
    }
    setPrototypeOf(router, proto);
    router.params = {};
    router._params = [];
    router.caseSensitive = opts.caseSensitive;
    router.mergeParams = opts.mergeParams;
    router.strict = opts.strict;
    router.stack = [];
    return router;
  };
  proto.param = function param(name, fn) {
    if (typeof name === "function") {
      deprecate("router.param(fn): Refactor to use path params");
      this._params.push(name);
      return;
    }
    var params = this._params;
    var len = params.length;
    var ret;
    if (name[0] === ":") {
      deprecate("router.param(" + JSON.stringify(name) + ", fn): Use router.param(" + JSON.stringify(name.slice(1)) + ", fn) instead");
      name = name.slice(1);
    }
    for (var i = 0;i < len; ++i) {
      if (ret = params[i](name, fn)) {
        fn = ret;
      }
    }
    if (typeof fn !== "function") {
      throw new Error("invalid param() call for " + name + ", got " + fn);
    }
    (this.params[name] = this.params[name] || []).push(fn);
    return this;
  };
  proto.handle = function handle(req, res, out) {
    var self = this;
    debug("dispatching %s %s", req.method, req.url);
    var idx = 0;
    var protohost = getProtohost(req.url) || "";
    var removed = "";
    var slashAdded = false;
    var sync = 0;
    var paramcalled = {};
    var options = [];
    var stack = self.stack;
    var parentParams = req.params;
    var parentUrl = req.baseUrl || "";
    var done = restore(out, req, "baseUrl", "next", "params");
    req.next = next;
    if (req.method === "OPTIONS") {
      done = wrap(done, function(old, err) {
        if (err || options.length === 0)
          return old(err);
        sendOptionsResponse(res, options, old);
      });
    }
    req.baseUrl = parentUrl;
    req.originalUrl = req.originalUrl || req.url;
    next();
    function next(err) {
      var layerError = err === "route" ? null : err;
      if (slashAdded) {
        req.url = req.url.slice(1);
        slashAdded = false;
      }
      if (removed.length !== 0) {
        req.baseUrl = parentUrl;
        req.url = protohost + removed + req.url.slice(protohost.length);
        removed = "";
      }
      if (layerError === "router") {
        setImmediate(done, null);
        return;
      }
      if (idx >= stack.length) {
        setImmediate(done, layerError);
        return;
      }
      if (++sync > 100) {
        return setImmediate(next, err);
      }
      var path = getPathname(req);
      if (path == null) {
        return done(layerError);
      }
      var layer;
      var match;
      var route;
      while (match !== true && idx < stack.length) {
        layer = stack[idx++];
        match = matchLayer(layer, path);
        route = layer.route;
        if (typeof match !== "boolean") {
          layerError = layerError || match;
        }
        if (match !== true) {
          continue;
        }
        if (!route) {
          continue;
        }
        if (layerError) {
          match = false;
          continue;
        }
        var method = req.method;
        var has_method = route._handles_method(method);
        if (!has_method && method === "OPTIONS") {
          appendMethods(options, route._options());
        }
        if (!has_method && method !== "HEAD") {
          match = false;
        }
      }
      if (match !== true) {
        return done(layerError);
      }
      if (route) {
        req.route = route;
      }
      req.params = self.mergeParams ? mergeParams(layer.params, parentParams) : layer.params;
      var layerPath = layer.path;
      self.process_params(layer, paramcalled, req, res, function(err2) {
        if (err2) {
          next(layerError || err2);
        } else if (route) {
          layer.handle_request(req, res, next);
        } else {
          trim_prefix(layer, layerError, layerPath, path);
        }
        sync = 0;
      });
    }
    function trim_prefix(layer, layerError, layerPath, path) {
      if (layerPath.length !== 0) {
        if (layerPath !== path.slice(0, layerPath.length)) {
          next(layerError);
          return;
        }
        var c = path[layerPath.length];
        if (c && c !== "/" && c !== ".")
          return next(layerError);
        debug("trim prefix (%s) from url %s", layerPath, req.url);
        removed = layerPath;
        req.url = protohost + req.url.slice(protohost.length + removed.length);
        if (!protohost && req.url[0] !== "/") {
          req.url = "/" + req.url;
          slashAdded = true;
        }
        req.baseUrl = parentUrl + (removed[removed.length - 1] === "/" ? removed.substring(0, removed.length - 1) : removed);
      }
      debug("%s %s : %s", layer.name, layerPath, req.originalUrl);
      if (layerError) {
        layer.handle_error(layerError, req, res, next);
      } else {
        layer.handle_request(req, res, next);
      }
    }
  };
  proto.process_params = function process_params(layer, called, req, res, done) {
    var params = this.params;
    var keys = layer.keys;
    if (!keys || keys.length === 0) {
      return done();
    }
    var i = 0;
    var name;
    var paramIndex = 0;
    var key;
    var paramVal;
    var paramCallbacks;
    var paramCalled;
    function param(err) {
      if (err) {
        return done(err);
      }
      if (i >= keys.length) {
        return done();
      }
      paramIndex = 0;
      key = keys[i++];
      name = key.name;
      paramVal = req.params[name];
      paramCallbacks = params[name];
      paramCalled = called[name];
      if (paramVal === undefined || !paramCallbacks) {
        return param();
      }
      if (paramCalled && (paramCalled.match === paramVal || paramCalled.error && paramCalled.error !== "route")) {
        req.params[name] = paramCalled.value;
        return param(paramCalled.error);
      }
      called[name] = paramCalled = {
        error: null,
        match: paramVal,
        value: paramVal
      };
      paramCallback();
    }
    function paramCallback(err) {
      var fn = paramCallbacks[paramIndex++];
      paramCalled.value = req.params[key.name];
      if (err) {
        paramCalled.error = err;
        param(err);
        return;
      }
      if (!fn)
        return param();
      try {
        fn(req, res, paramCallback, paramVal, key.name);
      } catch (e) {
        paramCallback(e);
      }
    }
    param();
  };
  proto.use = function use(fn) {
    var offset = 0;
    var path = "/";
    if (typeof fn !== "function") {
      var arg = fn;
      while (Array.isArray(arg) && arg.length !== 0) {
        arg = arg[0];
      }
      if (typeof arg !== "function") {
        offset = 1;
        path = fn;
      }
    }
    var callbacks = flatten(slice.call(arguments, offset));
    if (callbacks.length === 0) {
      throw new TypeError("Router.use() requires a middleware function");
    }
    for (var i = 0;i < callbacks.length; i++) {
      var fn = callbacks[i];
      if (typeof fn !== "function") {
        throw new TypeError("Router.use() requires a middleware function but got a " + gettype(fn));
      }
      debug("use %o %s", path, fn.name || "<anonymous>");
      var layer = new Layer(path, {
        sensitive: this.caseSensitive,
        strict: false,
        end: false
      }, fn);
      layer.route = undefined;
      this.stack.push(layer);
    }
    return this;
  };
  proto.route = function route(path) {
    var route = new Route(path);
    var layer = new Layer(path, {
      sensitive: this.caseSensitive,
      strict: this.strict,
      end: true
    }, route.dispatch.bind(route));
    layer.route = route;
    this.stack.push(layer);
    return route;
  };
  methods.concat("all").forEach(function(method) {
    proto[method] = function(path) {
      var route = this.route(path);
      route[method].apply(route, slice.call(arguments, 1));
      return this;
    };
  });
  function appendMethods(list, addition) {
    for (var i = 0;i < addition.length; i++) {
      var method = addition[i];
      if (list.indexOf(method) === -1) {
        list.push(method);
      }
    }
  }
  function getPathname(req) {
    try {
      return parseUrl(req).pathname;
    } catch (err) {
      return;
    }
  }
  function getProtohost(url) {
    if (typeof url !== "string" || url.length === 0 || url[0] === "/") {
      return;
    }
    var searchIndex = url.indexOf("?");
    var pathLength = searchIndex !== -1 ? searchIndex : url.length;
    var fqdnIndex = url.slice(0, pathLength).indexOf("://");
    return fqdnIndex !== -1 ? url.substring(0, url.indexOf("/", 3 + fqdnIndex)) : undefined;
  }
  function gettype(obj) {
    var type = typeof obj;
    if (type !== "object") {
      return type;
    }
    return toString.call(obj).replace(objectRegExp, "$1");
  }
  function matchLayer(layer, path) {
    try {
      return layer.match(path);
    } catch (err) {
      return err;
    }
  }
  function mergeParams(params, parent) {
    if (typeof parent !== "object" || !parent) {
      return params;
    }
    var obj = mixin({}, parent);
    if (!(0 in params) || !(0 in parent)) {
      return mixin(obj, params);
    }
    var i = 0;
    var o = 0;
    while (i in params) {
      i++;
    }
    while (o in parent) {
      o++;
    }
    for (i--;i >= 0; i--) {
      params[i + o] = params[i];
      if (i < o) {
        delete params[i];
      }
    }
    return mixin(obj, params);
  }
  function restore(fn, obj) {
    var props = new Array(arguments.length - 2);
    var vals = new Array(arguments.length - 2);
    for (var i = 0;i < props.length; i++) {
      props[i] = arguments[i + 2];
      vals[i] = obj[props[i]];
    }
    return function() {
      for (var i2 = 0;i2 < props.length; i2++) {
        obj[props[i2]] = vals[i2];
      }
      return fn.apply(this, arguments);
    };
  }
  function sendOptionsResponse(res, options, next) {
    try {
      var body = options.join(",");
      res.set("Allow", body);
      res.send(body);
    } catch (err) {
      next(err);
    }
  }
  function wrap(old, fn) {
    return function proxy() {
      var args = new Array(arguments.length + 1);
      args[0] = old;
      for (var i = 0, len = arguments.length;i < len; i++) {
        args[i + 1] = arguments[i];
      }
      fn.apply(this, args);
    };
  }
});

// node_modules/express/lib/middleware/init.js
var require_init = __commonJS((exports) => {
  /*!
   * express
   * Copyright(c) 2009-2013 TJ Holowaychuk
   * Copyright(c) 2013 Roman Shtylman
   * Copyright(c) 2014-2015 Douglas Christopher Wilson
   * MIT Licensed
   */
  var setPrototypeOf = require_setprototypeof();
  exports.init = function(app) {
    return function expressInit(req, res, next) {
      if (app.enabled("x-powered-by"))
        res.setHeader("X-Powered-By", "Express");
      req.res = res;
      res.req = req;
      req.next = next;
      setPrototypeOf(req, app.request);
      setPrototypeOf(res, app.response);
      res.locals = res.locals || Object.create(null);
      next();
    };
  };
});

// node_modules/express/lib/middleware/query.js
var require_query = __commonJS((exports, module) => {
  /*!
   * express
   * Copyright(c) 2009-2013 TJ Holowaychuk
   * Copyright(c) 2013 Roman Shtylman
   * Copyright(c) 2014-2015 Douglas Christopher Wilson
   * MIT Licensed
   */
  var merge = require_utils_merge();
  var parseUrl = require_parseurl();
  var qs = require_lib3();
  module.exports = function query(options) {
    var opts = merge({}, options);
    var queryparse = qs.parse;
    if (typeof options === "function") {
      queryparse = options;
      opts = undefined;
    }
    if (opts !== undefined && opts.allowPrototypes === undefined) {
      opts.allowPrototypes = true;
    }
    return function query(req, res, next) {
      if (!req.query) {
        var val = parseUrl(req).query;
        req.query = queryparse(val, opts);
      }
      next();
    };
  };
});

// node_modules/express/lib/view.js
var require_view = __commonJS((exports, module) => {
  /*!
   * express
   * Copyright(c) 2009-2013 TJ Holowaychuk
   * Copyright(c) 2013 Roman Shtylman
   * Copyright(c) 2014-2015 Douglas Christopher Wilson
   * MIT Licensed
   */
  var debug = require_src3()("express:view");
  var path = __require("path");
  var fs = __require("fs");
  var dirname = path.dirname;
  var basename = path.basename;
  var extname = path.extname;
  var join = path.join;
  var resolve = path.resolve;
  module.exports = View;
  function View(name, options) {
    var opts = options || {};
    this.defaultEngine = opts.defaultEngine;
    this.ext = extname(name);
    this.name = name;
    this.root = opts.root;
    if (!this.ext && !this.defaultEngine) {
      throw new Error("No default engine was specified and no extension was provided.");
    }
    var fileName = name;
    if (!this.ext) {
      this.ext = this.defaultEngine[0] !== "." ? "." + this.defaultEngine : this.defaultEngine;
      fileName += this.ext;
    }
    if (!opts.engines[this.ext]) {
      var mod = this.ext.slice(1);
      debug('require "%s"', mod);
      var fn = __require(mod).__express;
      if (typeof fn !== "function") {
        throw new Error('Module "' + mod + '" does not provide a view engine.');
      }
      opts.engines[this.ext] = fn;
    }
    this.engine = opts.engines[this.ext];
    this.path = this.lookup(fileName);
  }
  View.prototype.lookup = function lookup(name) {
    var path2;
    var roots = [].concat(this.root);
    debug('lookup "%s"', name);
    for (var i = 0;i < roots.length && !path2; i++) {
      var root = roots[i];
      var loc = resolve(root, name);
      var dir = dirname(loc);
      var file = basename(loc);
      path2 = this.resolve(dir, file);
    }
    return path2;
  };
  View.prototype.render = function render(options, callback) {
    debug('render "%s"', this.path);
    this.engine(this.path, options, callback);
  };
  View.prototype.resolve = function resolve(dir, file) {
    var ext = this.ext;
    var path2 = join(dir, file);
    var stat = tryStat(path2);
    if (stat && stat.isFile()) {
      return path2;
    }
    path2 = join(dir, basename(file, ext), "index" + ext);
    stat = tryStat(path2);
    if (stat && stat.isFile()) {
      return path2;
    }
  };
  function tryStat(path2) {
    debug('stat "%s"', path2);
    try {
      return fs.statSync(path2);
    } catch (e) {
      return;
    }
  }
});

// node_modules/safe-buffer/index.js
var require_safe_buffer = __commonJS((exports, module) => {
  /*! safe-buffer. MIT License. Feross Aboukhadijeh <https://feross.org/opensource> */
  var buffer = __require("buffer");
  var Buffer2 = buffer.Buffer;
  function copyProps(src, dst) {
    for (var key in src) {
      dst[key] = src[key];
    }
  }
  if (Buffer2.from && Buffer2.alloc && Buffer2.allocUnsafe && Buffer2.allocUnsafeSlow) {
    module.exports = buffer;
  } else {
    copyProps(buffer, exports);
    exports.Buffer = SafeBuffer;
  }
  function SafeBuffer(arg, encodingOrOffset, length) {
    return Buffer2(arg, encodingOrOffset, length);
  }
  SafeBuffer.prototype = Object.create(Buffer2.prototype);
  copyProps(Buffer2, SafeBuffer);
  SafeBuffer.from = function(arg, encodingOrOffset, length) {
    if (typeof arg === "number") {
      throw new TypeError("Argument must not be a number");
    }
    return Buffer2(arg, encodingOrOffset, length);
  };
  SafeBuffer.alloc = function(size, fill, encoding) {
    if (typeof size !== "number") {
      throw new TypeError("Argument must be a number");
    }
    var buf = Buffer2(size);
    if (fill !== undefined) {
      if (typeof encoding === "string") {
        buf.fill(fill, encoding);
      } else {
        buf.fill(fill);
      }
    } else {
      buf.fill(0);
    }
    return buf;
  };
  SafeBuffer.allocUnsafe = function(size) {
    if (typeof size !== "number") {
      throw new TypeError("Argument must be a number");
    }
    return Buffer2(size);
  };
  SafeBuffer.allocUnsafeSlow = function(size) {
    if (typeof size !== "number") {
      throw new TypeError("Argument must be a number");
    }
    return buffer.SlowBuffer(size);
  };
});

// node_modules/content-disposition/index.js
var require_content_disposition = __commonJS((exports, module) => {
  /*!
   * content-disposition
   * Copyright(c) 2014-2017 Douglas Christopher Wilson
   * MIT Licensed
   */
  module.exports = contentDisposition;
  module.exports.parse = parse;
  var basename = __require("path").basename;
  var Buffer2 = require_safe_buffer().Buffer;
  var ENCODE_URL_ATTR_CHAR_REGEXP = /[\x00-\x20"'()*,/:;<=>?@[\\\]{}\x7f]/g;
  var HEX_ESCAPE_REGEXP = /%[0-9A-Fa-f]{2}/;
  var HEX_ESCAPE_REPLACE_REGEXP = /%([0-9A-Fa-f]{2})/g;
  var NON_LATIN1_REGEXP = /[^\x20-\x7e\xa0-\xff]/g;
  var QESC_REGEXP = /\\([\u0000-\u007f])/g;
  var QUOTE_REGEXP = /([\\"])/g;
  var PARAM_REGEXP = /;[\x09\x20]*([!#$%&'*+.0-9A-Z^_`a-z|~-]+)[\x09\x20]*=[\x09\x20]*("(?:[\x20!\x23-\x5b\x5d-\x7e\x80-\xff]|\\[\x20-\x7e])*"|[!#$%&'*+.0-9A-Z^_`a-z|~-]+)[\x09\x20]*/g;
  var TEXT_REGEXP = /^[\x20-\x7e\x80-\xff]+$/;
  var TOKEN_REGEXP = /^[!#$%&'*+.0-9A-Z^_`a-z|~-]+$/;
  var EXT_VALUE_REGEXP = /^([A-Za-z0-9!#$%&+\-^_`{}~]+)'(?:[A-Za-z]{2,3}(?:-[A-Za-z]{3}){0,3}|[A-Za-z]{4,8}|)'((?:%[0-9A-Fa-f]{2}|[A-Za-z0-9!#$&+.^_`|~-])+)$/;
  var DISPOSITION_TYPE_REGEXP = /^([!#$%&'*+.0-9A-Z^_`a-z|~-]+)[\x09\x20]*(?:$|;)/;
  function contentDisposition(filename, options) {
    var opts = options || {};
    var type = opts.type || "attachment";
    var params = createparams(filename, opts.fallback);
    return format(new ContentDisposition(type, params));
  }
  function createparams(filename, fallback) {
    if (filename === undefined) {
      return;
    }
    var params = {};
    if (typeof filename !== "string") {
      throw new TypeError("filename must be a string");
    }
    if (fallback === undefined) {
      fallback = true;
    }
    if (typeof fallback !== "string" && typeof fallback !== "boolean") {
      throw new TypeError("fallback must be a string or boolean");
    }
    if (typeof fallback === "string" && NON_LATIN1_REGEXP.test(fallback)) {
      throw new TypeError("fallback must be ISO-8859-1 string");
    }
    var name = basename(filename);
    var isQuotedString = TEXT_REGEXP.test(name);
    var fallbackName = typeof fallback !== "string" ? fallback && getlatin1(name) : basename(fallback);
    var hasFallback = typeof fallbackName === "string" && fallbackName !== name;
    if (hasFallback || !isQuotedString || HEX_ESCAPE_REGEXP.test(name)) {
      params["filename*"] = name;
    }
    if (isQuotedString || hasFallback) {
      params.filename = hasFallback ? fallbackName : name;
    }
    return params;
  }
  function format(obj) {
    var parameters = obj.parameters;
    var type = obj.type;
    if (!type || typeof type !== "string" || !TOKEN_REGEXP.test(type)) {
      throw new TypeError("invalid type");
    }
    var string = String(type).toLowerCase();
    if (parameters && typeof parameters === "object") {
      var param;
      var params = Object.keys(parameters).sort();
      for (var i = 0;i < params.length; i++) {
        param = params[i];
        var val = param.substr(-1) === "*" ? ustring(parameters[param]) : qstring(parameters[param]);
        string += "; " + param + "=" + val;
      }
    }
    return string;
  }
  function decodefield(str) {
    var match = EXT_VALUE_REGEXP.exec(str);
    if (!match) {
      throw new TypeError("invalid extended field value");
    }
    var charset = match[1].toLowerCase();
    var encoded = match[2];
    var value;
    var binary = encoded.replace(HEX_ESCAPE_REPLACE_REGEXP, pdecode);
    switch (charset) {
      case "iso-8859-1":
        value = getlatin1(binary);
        break;
      case "utf-8":
        value = Buffer2.from(binary, "binary").toString("utf8");
        break;
      default:
        throw new TypeError("unsupported charset in extended field");
    }
    return value;
  }
  function getlatin1(val) {
    return String(val).replace(NON_LATIN1_REGEXP, "?");
  }
  function parse(string) {
    if (!string || typeof string !== "string") {
      throw new TypeError("argument string is required");
    }
    var match = DISPOSITION_TYPE_REGEXP.exec(string);
    if (!match) {
      throw new TypeError("invalid type format");
    }
    var index = match[0].length;
    var type = match[1].toLowerCase();
    var key;
    var names = [];
    var params = {};
    var value;
    index = PARAM_REGEXP.lastIndex = match[0].substr(-1) === ";" ? index - 1 : index;
    while (match = PARAM_REGEXP.exec(string)) {
      if (match.index !== index) {
        throw new TypeError("invalid parameter format");
      }
      index += match[0].length;
      key = match[1].toLowerCase();
      value = match[2];
      if (names.indexOf(key) !== -1) {
        throw new TypeError("invalid duplicate parameter");
      }
      names.push(key);
      if (key.indexOf("*") + 1 === key.length) {
        key = key.slice(0, -1);
        value = decodefield(value);
        params[key] = value;
        continue;
      }
      if (typeof params[key] === "string") {
        continue;
      }
      if (value[0] === '"') {
        value = value.substr(1, value.length - 2).replace(QESC_REGEXP, "$1");
      }
      params[key] = value;
    }
    if (index !== -1 && index !== string.length) {
      throw new TypeError("invalid parameter format");
    }
    return new ContentDisposition(type, params);
  }
  function pdecode(str, hex) {
    return String.fromCharCode(parseInt(hex, 16));
  }
  function pencode(char) {
    return "%" + String(char).charCodeAt(0).toString(16).toUpperCase();
  }
  function qstring(val) {
    var str = String(val);
    return '"' + str.replace(QUOTE_REGEXP, "\\$1") + '"';
  }
  function ustring(val) {
    var str = String(val);
    var encoded = encodeURIComponent(str).replace(ENCODE_URL_ATTR_CHAR_REGEXP, pencode);
    return "UTF-8''" + encoded;
  }
  function ContentDisposition(type, parameters) {
    this.type = type;
    this.parameters = parameters;
  }
});

// node_modules/send/node_modules/debug/node_modules/ms/index.js
var require_ms4 = __commonJS((exports, module) => {
  var s = 1000;
  var m = s * 60;
  var h2 = m * 60;
  var d = h2 * 24;
  var y = d * 365.25;
  module.exports = function(val, options) {
    options = options || {};
    var type = typeof val;
    if (type === "string" && val.length > 0) {
      return parse(val);
    } else if (type === "number" && isNaN(val) === false) {
      return options.long ? fmtLong(val) : fmtShort(val);
    }
    throw new Error("val is not a non-empty string or a valid number. val=" + JSON.stringify(val));
  };
  function parse(str) {
    str = String(str);
    if (str.length > 100) {
      return;
    }
    var match = /^((?:\d+)?\.?\d+) *(milliseconds?|msecs?|ms|seconds?|secs?|s|minutes?|mins?|m|hours?|hrs?|h|days?|d|years?|yrs?|y)?$/i.exec(str);
    if (!match) {
      return;
    }
    var n = parseFloat(match[1]);
    var type = (match[2] || "ms").toLowerCase();
    switch (type) {
      case "years":
      case "year":
      case "yrs":
      case "yr":
      case "y":
        return n * y;
      case "days":
      case "day":
      case "d":
        return n * d;
      case "hours":
      case "hour":
      case "hrs":
      case "hr":
      case "h":
        return n * h2;
      case "minutes":
      case "minute":
      case "mins":
      case "min":
      case "m":
        return n * m;
      case "seconds":
      case "second":
      case "secs":
      case "sec":
      case "s":
        return n * s;
      case "milliseconds":
      case "millisecond":
      case "msecs":
      case "msec":
      case "ms":
        return n;
      default:
        return;
    }
  }
  function fmtShort(ms) {
    if (ms >= d) {
      return Math.round(ms / d) + "d";
    }
    if (ms >= h2) {
      return Math.round(ms / h2) + "h";
    }
    if (ms >= m) {
      return Math.round(ms / m) + "m";
    }
    if (ms >= s) {
      return Math.round(ms / s) + "s";
    }
    return ms + "ms";
  }
  function fmtLong(ms) {
    return plural(ms, d, "day") || plural(ms, h2, "hour") || plural(ms, m, "minute") || plural(ms, s, "second") || ms + " ms";
  }
  function plural(ms, n, name) {
    if (ms < n) {
      return;
    }
    if (ms < n * 1.5) {
      return Math.floor(ms / n) + " " + name;
    }
    return Math.ceil(ms / n) + " " + name + "s";
  }
});

// node_modules/send/node_modules/debug/src/debug.js
var require_debug4 = __commonJS((exports, module) => {
  exports = module.exports = createDebug.debug = createDebug["default"] = createDebug;
  exports.coerce = coerce2;
  exports.disable = disable;
  exports.enable = enable;
  exports.enabled = enabled;
  exports.humanize = require_ms4();
  exports.names = [];
  exports.skips = [];
  exports.formatters = {};
  var prevTime;
  function selectColor(namespace) {
    var hash = 0, i;
    for (i in namespace) {
      hash = (hash << 5) - hash + namespace.charCodeAt(i);
      hash |= 0;
    }
    return exports.colors[Math.abs(hash) % exports.colors.length];
  }
  function createDebug(namespace) {
    function debug() {
      if (!debug.enabled)
        return;
      var self = debug;
      var curr = +new Date;
      var ms = curr - (prevTime || curr);
      self.diff = ms;
      self.prev = prevTime;
      self.curr = curr;
      prevTime = curr;
      var args = new Array(arguments.length);
      for (var i = 0;i < args.length; i++) {
        args[i] = arguments[i];
      }
      args[0] = exports.coerce(args[0]);
      if (typeof args[0] !== "string") {
        args.unshift("%O");
      }
      var index = 0;
      args[0] = args[0].replace(/%([a-zA-Z%])/g, function(match, format) {
        if (match === "%%")
          return match;
        index++;
        var formatter = exports.formatters[format];
        if (typeof formatter === "function") {
          var val = args[index];
          match = formatter.call(self, val);
          args.splice(index, 1);
          index--;
        }
        return match;
      });
      exports.formatArgs.call(self, args);
      var logFn = debug.log || exports.log || console.log.bind(console);
      logFn.apply(self, args);
    }
    debug.namespace = namespace;
    debug.enabled = exports.enabled(namespace);
    debug.useColors = exports.useColors();
    debug.color = selectColor(namespace);
    if (typeof exports.init === "function") {
      exports.init(debug);
    }
    return debug;
  }
  function enable(namespaces) {
    exports.save(namespaces);
    exports.names = [];
    exports.skips = [];
    var split = (typeof namespaces === "string" ? namespaces : "").split(/[\s,]+/);
    var len = split.length;
    for (var i = 0;i < len; i++) {
      if (!split[i])
        continue;
      namespaces = split[i].replace(/\*/g, ".*?");
      if (namespaces[0] === "-") {
        exports.skips.push(new RegExp("^" + namespaces.substr(1) + "$"));
      } else {
        exports.names.push(new RegExp("^" + namespaces + "$"));
      }
    }
  }
  function disable() {
    exports.enable("");
  }
  function enabled(name) {
    var i, len;
    for (i = 0, len = exports.skips.length;i < len; i++) {
      if (exports.skips[i].test(name)) {
        return false;
      }
    }
    for (i = 0, len = exports.names.length;i < len; i++) {
      if (exports.names[i].test(name)) {
        return true;
      }
    }
    return false;
  }
  function coerce2(val) {
    if (val instanceof Error)
      return val.stack || val.message;
    return val;
  }
});

// node_modules/send/node_modules/debug/src/browser.js
var require_browser4 = __commonJS((exports, module) => {
  exports = module.exports = require_debug4();
  exports.log = log2;
  exports.formatArgs = formatArgs;
  exports.save = save;
  exports.load = load;
  exports.useColors = useColors;
  exports.storage = typeof chrome != "undefined" && typeof chrome.storage != "undefined" ? chrome.storage.local : localstorage();
  exports.colors = [
    "lightseagreen",
    "forestgreen",
    "goldenrod",
    "dodgerblue",
    "darkorchid",
    "crimson"
  ];
  function useColors() {
    if (typeof window !== "undefined" && window.process && window.process.type === "renderer") {
      return true;
    }
    return typeof document !== "undefined" && document.documentElement && document.documentElement.style && document.documentElement.style.WebkitAppearance || typeof window !== "undefined" && window.console && (window.console.firebug || window.console.exception && window.console.table) || typeof navigator !== "undefined" && navigator.userAgent && navigator.userAgent.toLowerCase().match(/firefox\/(\d+)/) && parseInt(RegExp.$1, 10) >= 31 || typeof navigator !== "undefined" && navigator.userAgent && navigator.userAgent.toLowerCase().match(/applewebkit\/(\d+)/);
  }
  exports.formatters.j = function(v2) {
    try {
      return JSON.stringify(v2);
    } catch (err) {
      return "[UnexpectedJSONParseError]: " + err.message;
    }
  };
  function formatArgs(args) {
    var useColors2 = this.useColors;
    args[0] = (useColors2 ? "%c" : "") + this.namespace + (useColors2 ? " %c" : " ") + args[0] + (useColors2 ? "%c " : " ") + "+" + exports.humanize(this.diff);
    if (!useColors2)
      return;
    var c = "color: " + this.color;
    args.splice(1, 0, c, "color: inherit");
    var index = 0;
    var lastC = 0;
    args[0].replace(/%[a-zA-Z%]/g, function(match) {
      if (match === "%%")
        return;
      index++;
      if (match === "%c") {
        lastC = index;
      }
    });
    args.splice(lastC, 0, c);
  }
  function log2() {
    return typeof console === "object" && console.log && Function.prototype.apply.call(console.log, console, arguments);
  }
  function save(namespaces) {
    try {
      if (namespaces == null) {
        exports.storage.removeItem("debug");
      } else {
        exports.storage.debug = namespaces;
      }
    } catch (e) {}
  }
  function load() {
    var r;
    try {
      r = exports.storage.debug;
    } catch (e) {}
    if (!r && typeof process !== "undefined" && "env" in process) {
      r = process.env.DEBUG;
    }
    return r;
  }
  exports.enable(load());
  function localstorage() {
    try {
      return window.localStorage;
    } catch (e) {}
  }
});

// node_modules/send/node_modules/debug/src/node.js
var require_node4 = __commonJS((exports, module) => {
  var tty = __require("tty");
  var util3 = __require("util");
  exports = module.exports = require_debug4();
  exports.init = init;
  exports.log = log2;
  exports.formatArgs = formatArgs;
  exports.save = save;
  exports.load = load;
  exports.useColors = useColors;
  exports.colors = [6, 2, 3, 4, 5, 1];
  exports.inspectOpts = Object.keys(process.env).filter(function(key) {
    return /^debug_/i.test(key);
  }).reduce(function(obj, key) {
    var prop = key.substring(6).toLowerCase().replace(/_([a-z])/g, function(_2, k2) {
      return k2.toUpperCase();
    });
    var val = process.env[key];
    if (/^(yes|on|true|enabled)$/i.test(val))
      val = true;
    else if (/^(no|off|false|disabled)$/i.test(val))
      val = false;
    else if (val === "null")
      val = null;
    else
      val = Number(val);
    obj[prop] = val;
    return obj;
  }, {});
  var fd = parseInt(process.env.DEBUG_FD, 10) || 2;
  if (fd !== 1 && fd !== 2) {
    util3.deprecate(function() {}, "except for stderr(2) and stdout(1), any other usage of DEBUG_FD is deprecated. Override debug.log if you want to use a different log function (https://git.io/debug_fd)")();
  }
  var stream = fd === 1 ? process.stdout : fd === 2 ? process.stderr : createWritableStdioStream(fd);
  function useColors() {
    return "colors" in exports.inspectOpts ? Boolean(exports.inspectOpts.colors) : tty.isatty(fd);
  }
  exports.formatters.o = function(v2) {
    this.inspectOpts.colors = this.useColors;
    return util3.inspect(v2, this.inspectOpts).split(`
`).map(function(str) {
      return str.trim();
    }).join(" ");
  };
  exports.formatters.O = function(v2) {
    this.inspectOpts.colors = this.useColors;
    return util3.inspect(v2, this.inspectOpts);
  };
  function formatArgs(args) {
    var name = this.namespace;
    var useColors2 = this.useColors;
    if (useColors2) {
      var c = this.color;
      var prefix = "  \x1B[3" + c + ";1m" + name + " " + "\x1B[0m";
      args[0] = prefix + args[0].split(`
`).join(`
` + prefix);
      args.push("\x1B[3" + c + "m+" + exports.humanize(this.diff) + "\x1B[0m");
    } else {
      args[0] = new Date().toUTCString() + " " + name + " " + args[0];
    }
  }
  function log2() {
    return stream.write(util3.format.apply(util3, arguments) + `
`);
  }
  function save(namespaces) {
    if (namespaces == null) {
      delete process.env.DEBUG;
    } else {
      process.env.DEBUG = namespaces;
    }
  }
  function load() {
    return process.env.DEBUG;
  }
  function createWritableStdioStream(fd2) {
    var stream2;
    var tty_wrap = process.binding("tty_wrap");
    switch (tty_wrap.guessHandleType(fd2)) {
      case "TTY":
        stream2 = new tty.WriteStream(fd2);
        stream2._type = "tty";
        if (stream2._handle && stream2._handle.unref) {
          stream2._handle.unref();
        }
        break;
      case "FILE":
        var fs = __require("fs");
        stream2 = new fs.SyncWriteStream(fd2, { autoClose: false });
        stream2._type = "fs";
        break;
      case "PIPE":
      case "TCP":
        var net = __require("net");
        stream2 = new net.Socket({
          fd: fd2,
          readable: false,
          writable: true
        });
        stream2.readable = false;
        stream2.read = null;
        stream2._type = "pipe";
        if (stream2._handle && stream2._handle.unref) {
          stream2._handle.unref();
        }
        break;
      default:
        throw new Error("Implement me. Unknown stream file type!");
    }
    stream2.fd = fd2;
    stream2._isStdio = true;
    return stream2;
  }
  function init(debug) {
    debug.inspectOpts = {};
    var keys = Object.keys(exports.inspectOpts);
    for (var i = 0;i < keys.length; i++) {
      debug.inspectOpts[keys[i]] = exports.inspectOpts[keys[i]];
    }
  }
  exports.enable(load());
});

// node_modules/send/node_modules/debug/src/index.js
var require_src4 = __commonJS((exports, module) => {
  if (typeof process !== "undefined" && process.type === "renderer") {
    module.exports = require_browser4();
  } else {
    module.exports = require_node4();
  }
});

// node_modules/send/node_modules/encodeurl/index.js
var require_encodeurl2 = __commonJS((exports, module) => {
  /*!
   * encodeurl
   * Copyright(c) 2016 Douglas Christopher Wilson
   * MIT Licensed
   */
  module.exports = encodeUrl;
  var ENCODE_CHARS_REGEXP = /(?:[^\x21\x25\x26-\x3B\x3D\x3F-\x5B\x5D\x5F\x61-\x7A\x7E]|%(?:[^0-9A-Fa-f]|[0-9A-Fa-f][^0-9A-Fa-f]|$))+/g;
  var UNMATCHED_SURROGATE_PAIR_REGEXP = /(^|[^\uD800-\uDBFF])[\uDC00-\uDFFF]|[\uD800-\uDBFF]([^\uDC00-\uDFFF]|$)/g;
  var UNMATCHED_SURROGATE_PAIR_REPLACE = "$1�$2";
  function encodeUrl(url) {
    return String(url).replace(UNMATCHED_SURROGATE_PAIR_REGEXP, UNMATCHED_SURROGATE_PAIR_REPLACE).replace(ENCODE_CHARS_REGEXP, encodeURI);
  }
});

// node_modules/etag/index.js
var require_etag = __commonJS((exports, module) => {
  /*!
   * etag
   * Copyright(c) 2014-2016 Douglas Christopher Wilson
   * MIT Licensed
   */
  module.exports = etag;
  var crypto = __require("crypto");
  var Stats = __require("fs").Stats;
  var toString = Object.prototype.toString;
  function entitytag(entity) {
    if (entity.length === 0) {
      return '"0-2jmj7l5rSw0yVb/vlWAYkK/YBwk"';
    }
    var hash = crypto.createHash("sha1").update(entity, "utf8").digest("base64").substring(0, 27);
    var len = typeof entity === "string" ? Buffer.byteLength(entity, "utf8") : entity.length;
    return '"' + len.toString(16) + "-" + hash + '"';
  }
  function etag(entity, options) {
    if (entity == null) {
      throw new TypeError("argument entity is required");
    }
    var isStats = isstats(entity);
    var weak = options && typeof options.weak === "boolean" ? options.weak : isStats;
    if (!isStats && typeof entity !== "string" && !Buffer.isBuffer(entity)) {
      throw new TypeError("argument entity must be string, Buffer, or fs.Stats");
    }
    var tag = isStats ? stattag(entity) : entitytag(entity);
    return weak ? "W/" + tag : tag;
  }
  function isstats(obj) {
    if (typeof Stats === "function" && obj instanceof Stats) {
      return true;
    }
    return obj && typeof obj === "object" && "ctime" in obj && toString.call(obj.ctime) === "[object Date]" && "mtime" in obj && toString.call(obj.mtime) === "[object Date]" && "ino" in obj && typeof obj.ino === "number" && "size" in obj && typeof obj.size === "number";
  }
  function stattag(stat) {
    var mtime = stat.mtime.getTime().toString(16);
    var size = stat.size.toString(16);
    return '"' + size + "-" + mtime + '"';
  }
});

// node_modules/fresh/index.js
var require_fresh = __commonJS((exports, module) => {
  /*!
   * fresh
   * Copyright(c) 2012 TJ Holowaychuk
   * Copyright(c) 2016-2017 Douglas Christopher Wilson
   * MIT Licensed
   */
  var CACHE_CONTROL_NO_CACHE_REGEXP = /(?:^|,)\s*?no-cache\s*?(?:,|$)/;
  module.exports = fresh;
  function fresh(reqHeaders, resHeaders) {
    var modifiedSince = reqHeaders["if-modified-since"];
    var noneMatch = reqHeaders["if-none-match"];
    if (!modifiedSince && !noneMatch) {
      return false;
    }
    var cacheControl = reqHeaders["cache-control"];
    if (cacheControl && CACHE_CONTROL_NO_CACHE_REGEXP.test(cacheControl)) {
      return false;
    }
    if (noneMatch && noneMatch !== "*") {
      var etag = resHeaders["etag"];
      if (!etag) {
        return false;
      }
      var etagStale = true;
      var matches = parseTokenList(noneMatch);
      for (var i = 0;i < matches.length; i++) {
        var match = matches[i];
        if (match === etag || match === "W/" + etag || "W/" + match === etag) {
          etagStale = false;
          break;
        }
      }
      if (etagStale) {
        return false;
      }
    }
    if (modifiedSince) {
      var lastModified = resHeaders["last-modified"];
      var modifiedStale = !lastModified || !(parseHttpDate(lastModified) <= parseHttpDate(modifiedSince));
      if (modifiedStale) {
        return false;
      }
    }
    return true;
  }
  function parseHttpDate(date) {
    var timestamp = date && Date.parse(date);
    return typeof timestamp === "number" ? timestamp : NaN;
  }
  function parseTokenList(str) {
    var end = 0;
    var list = [];
    var start = 0;
    for (var i = 0, len = str.length;i < len; i++) {
      switch (str.charCodeAt(i)) {
        case 32:
          if (start === end) {
            start = end = i + 1;
          }
          break;
        case 44:
          list.push(str.substring(start, end));
          start = end = i + 1;
          break;
        default:
          end = i + 1;
          break;
      }
    }
    list.push(str.substring(start, end));
    return list;
  }
});

// node_modules/mime/types.json
var require_types = __commonJS((exports, module) => {
  module.exports = { "application/andrew-inset": ["ez"], "application/applixware": ["aw"], "application/atom+xml": ["atom"], "application/atomcat+xml": ["atomcat"], "application/atomsvc+xml": ["atomsvc"], "application/bdoc": ["bdoc"], "application/ccxml+xml": ["ccxml"], "application/cdmi-capability": ["cdmia"], "application/cdmi-container": ["cdmic"], "application/cdmi-domain": ["cdmid"], "application/cdmi-object": ["cdmio"], "application/cdmi-queue": ["cdmiq"], "application/cu-seeme": ["cu"], "application/dash+xml": ["mpd"], "application/davmount+xml": ["davmount"], "application/docbook+xml": ["dbk"], "application/dssc+der": ["dssc"], "application/dssc+xml": ["xdssc"], "application/ecmascript": ["ecma"], "application/emma+xml": ["emma"], "application/epub+zip": ["epub"], "application/exi": ["exi"], "application/font-tdpfr": ["pfr"], "application/font-woff": [], "application/font-woff2": [], "application/geo+json": ["geojson"], "application/gml+xml": ["gml"], "application/gpx+xml": ["gpx"], "application/gxf": ["gxf"], "application/gzip": ["gz"], "application/hyperstudio": ["stk"], "application/inkml+xml": ["ink", "inkml"], "application/ipfix": ["ipfix"], "application/java-archive": ["jar", "war", "ear"], "application/java-serialized-object": ["ser"], "application/java-vm": ["class"], "application/javascript": ["js", "mjs"], "application/json": ["json", "map"], "application/json5": ["json5"], "application/jsonml+json": ["jsonml"], "application/ld+json": ["jsonld"], "application/lost+xml": ["lostxml"], "application/mac-binhex40": ["hqx"], "application/mac-compactpro": ["cpt"], "application/mads+xml": ["mads"], "application/manifest+json": ["webmanifest"], "application/marc": ["mrc"], "application/marcxml+xml": ["mrcx"], "application/mathematica": ["ma", "nb", "mb"], "application/mathml+xml": ["mathml"], "application/mbox": ["mbox"], "application/mediaservercontrol+xml": ["mscml"], "application/metalink+xml": ["metalink"], "application/metalink4+xml": ["meta4"], "application/mets+xml": ["mets"], "application/mods+xml": ["mods"], "application/mp21": ["m21", "mp21"], "application/mp4": ["mp4s", "m4p"], "application/msword": ["doc", "dot"], "application/mxf": ["mxf"], "application/octet-stream": ["bin", "dms", "lrf", "mar", "so", "dist", "distz", "pkg", "bpk", "dump", "elc", "deploy", "exe", "dll", "deb", "dmg", "iso", "img", "msi", "msp", "msm", "buffer"], "application/oda": ["oda"], "application/oebps-package+xml": ["opf"], "application/ogg": ["ogx"], "application/omdoc+xml": ["omdoc"], "application/onenote": ["onetoc", "onetoc2", "onetmp", "onepkg"], "application/oxps": ["oxps"], "application/patch-ops-error+xml": ["xer"], "application/pdf": ["pdf"], "application/pgp-encrypted": ["pgp"], "application/pgp-signature": ["asc", "sig"], "application/pics-rules": ["prf"], "application/pkcs10": ["p10"], "application/pkcs7-mime": ["p7m", "p7c"], "application/pkcs7-signature": ["p7s"], "application/pkcs8": ["p8"], "application/pkix-attr-cert": ["ac"], "application/pkix-cert": ["cer"], "application/pkix-crl": ["crl"], "application/pkix-pkipath": ["pkipath"], "application/pkixcmp": ["pki"], "application/pls+xml": ["pls"], "application/postscript": ["ai", "eps", "ps"], "application/prs.cww": ["cww"], "application/pskc+xml": ["pskcxml"], "application/raml+yaml": ["raml"], "application/rdf+xml": ["rdf"], "application/reginfo+xml": ["rif"], "application/relax-ng-compact-syntax": ["rnc"], "application/resource-lists+xml": ["rl"], "application/resource-lists-diff+xml": ["rld"], "application/rls-services+xml": ["rs"], "application/rpki-ghostbusters": ["gbr"], "application/rpki-manifest": ["mft"], "application/rpki-roa": ["roa"], "application/rsd+xml": ["rsd"], "application/rss+xml": ["rss"], "application/rtf": ["rtf"], "application/sbml+xml": ["sbml"], "application/scvp-cv-request": ["scq"], "application/scvp-cv-response": ["scs"], "application/scvp-vp-request": ["spq"], "application/scvp-vp-response": ["spp"], "application/sdp": ["sdp"], "application/set-payment-initiation": ["setpay"], "application/set-registration-initiation": ["setreg"], "application/shf+xml": ["shf"], "application/smil+xml": ["smi", "smil"], "application/sparql-query": ["rq"], "application/sparql-results+xml": ["srx"], "application/srgs": ["gram"], "application/srgs+xml": ["grxml"], "application/sru+xml": ["sru"], "application/ssdl+xml": ["ssdl"], "application/ssml+xml": ["ssml"], "application/tei+xml": ["tei", "teicorpus"], "application/thraud+xml": ["tfi"], "application/timestamped-data": ["tsd"], "application/vnd.3gpp.pic-bw-large": ["plb"], "application/vnd.3gpp.pic-bw-small": ["psb"], "application/vnd.3gpp.pic-bw-var": ["pvb"], "application/vnd.3gpp2.tcap": ["tcap"], "application/vnd.3m.post-it-notes": ["pwn"], "application/vnd.accpac.simply.aso": ["aso"], "application/vnd.accpac.simply.imp": ["imp"], "application/vnd.acucobol": ["acu"], "application/vnd.acucorp": ["atc", "acutc"], "application/vnd.adobe.air-application-installer-package+zip": ["air"], "application/vnd.adobe.formscentral.fcdt": ["fcdt"], "application/vnd.adobe.fxp": ["fxp", "fxpl"], "application/vnd.adobe.xdp+xml": ["xdp"], "application/vnd.adobe.xfdf": ["xfdf"], "application/vnd.ahead.space": ["ahead"], "application/vnd.airzip.filesecure.azf": ["azf"], "application/vnd.airzip.filesecure.azs": ["azs"], "application/vnd.amazon.ebook": ["azw"], "application/vnd.americandynamics.acc": ["acc"], "application/vnd.amiga.ami": ["ami"], "application/vnd.android.package-archive": ["apk"], "application/vnd.anser-web-certificate-issue-initiation": ["cii"], "application/vnd.anser-web-funds-transfer-initiation": ["fti"], "application/vnd.antix.game-component": ["atx"], "application/vnd.apple.installer+xml": ["mpkg"], "application/vnd.apple.mpegurl": ["m3u8"], "application/vnd.apple.pkpass": ["pkpass"], "application/vnd.aristanetworks.swi": ["swi"], "application/vnd.astraea-software.iota": ["iota"], "application/vnd.audiograph": ["aep"], "application/vnd.blueice.multipass": ["mpm"], "application/vnd.bmi": ["bmi"], "application/vnd.businessobjects": ["rep"], "application/vnd.chemdraw+xml": ["cdxml"], "application/vnd.chipnuts.karaoke-mmd": ["mmd"], "application/vnd.cinderella": ["cdy"], "application/vnd.claymore": ["cla"], "application/vnd.cloanto.rp9": ["rp9"], "application/vnd.clonk.c4group": ["c4g", "c4d", "c4f", "c4p", "c4u"], "application/vnd.cluetrust.cartomobile-config": ["c11amc"], "application/vnd.cluetrust.cartomobile-config-pkg": ["c11amz"], "application/vnd.commonspace": ["csp"], "application/vnd.contact.cmsg": ["cdbcmsg"], "application/vnd.cosmocaller": ["cmc"], "application/vnd.crick.clicker": ["clkx"], "application/vnd.crick.clicker.keyboard": ["clkk"], "application/vnd.crick.clicker.palette": ["clkp"], "application/vnd.crick.clicker.template": ["clkt"], "application/vnd.crick.clicker.wordbank": ["clkw"], "application/vnd.criticaltools.wbs+xml": ["wbs"], "application/vnd.ctc-posml": ["pml"], "application/vnd.cups-ppd": ["ppd"], "application/vnd.curl.car": ["car"], "application/vnd.curl.pcurl": ["pcurl"], "application/vnd.dart": ["dart"], "application/vnd.data-vision.rdz": ["rdz"], "application/vnd.dece.data": ["uvf", "uvvf", "uvd", "uvvd"], "application/vnd.dece.ttml+xml": ["uvt", "uvvt"], "application/vnd.dece.unspecified": ["uvx", "uvvx"], "application/vnd.dece.zip": ["uvz", "uvvz"], "application/vnd.denovo.fcselayout-link": ["fe_launch"], "application/vnd.dna": ["dna"], "application/vnd.dolby.mlp": ["mlp"], "application/vnd.dpgraph": ["dpg"], "application/vnd.dreamfactory": ["dfac"], "application/vnd.ds-keypoint": ["kpxx"], "application/vnd.dvb.ait": ["ait"], "application/vnd.dvb.service": ["svc"], "application/vnd.dynageo": ["geo"], "application/vnd.ecowin.chart": ["mag"], "application/vnd.enliven": ["nml"], "application/vnd.epson.esf": ["esf"], "application/vnd.epson.msf": ["msf"], "application/vnd.epson.quickanime": ["qam"], "application/vnd.epson.salt": ["slt"], "application/vnd.epson.ssf": ["ssf"], "application/vnd.eszigno3+xml": ["es3", "et3"], "application/vnd.ezpix-album": ["ez2"], "application/vnd.ezpix-package": ["ez3"], "application/vnd.fdf": ["fdf"], "application/vnd.fdsn.mseed": ["mseed"], "application/vnd.fdsn.seed": ["seed", "dataless"], "application/vnd.flographit": ["gph"], "application/vnd.fluxtime.clip": ["ftc"], "application/vnd.framemaker": ["fm", "frame", "maker", "book"], "application/vnd.frogans.fnc": ["fnc"], "application/vnd.frogans.ltf": ["ltf"], "application/vnd.fsc.weblaunch": ["fsc"], "application/vnd.fujitsu.oasys": ["oas"], "application/vnd.fujitsu.oasys2": ["oa2"], "application/vnd.fujitsu.oasys3": ["oa3"], "application/vnd.fujitsu.oasysgp": ["fg5"], "application/vnd.fujitsu.oasysprs": ["bh2"], "application/vnd.fujixerox.ddd": ["ddd"], "application/vnd.fujixerox.docuworks": ["xdw"], "application/vnd.fujixerox.docuworks.binder": ["xbd"], "application/vnd.fuzzysheet": ["fzs"], "application/vnd.genomatix.tuxedo": ["txd"], "application/vnd.geogebra.file": ["ggb"], "application/vnd.geogebra.tool": ["ggt"], "application/vnd.geometry-explorer": ["gex", "gre"], "application/vnd.geonext": ["gxt"], "application/vnd.geoplan": ["g2w"], "application/vnd.geospace": ["g3w"], "application/vnd.gmx": ["gmx"], "application/vnd.google-apps.document": ["gdoc"], "application/vnd.google-apps.presentation": ["gslides"], "application/vnd.google-apps.spreadsheet": ["gsheet"], "application/vnd.google-earth.kml+xml": ["kml"], "application/vnd.google-earth.kmz": ["kmz"], "application/vnd.grafeq": ["gqf", "gqs"], "application/vnd.groove-account": ["gac"], "application/vnd.groove-help": ["ghf"], "application/vnd.groove-identity-message": ["gim"], "application/vnd.groove-injector": ["grv"], "application/vnd.groove-tool-message": ["gtm"], "application/vnd.groove-tool-template": ["tpl"], "application/vnd.groove-vcard": ["vcg"], "application/vnd.hal+xml": ["hal"], "application/vnd.handheld-entertainment+xml": ["zmm"], "application/vnd.hbci": ["hbci"], "application/vnd.hhe.lesson-player": ["les"], "application/vnd.hp-hpgl": ["hpgl"], "application/vnd.hp-hpid": ["hpid"], "application/vnd.hp-hps": ["hps"], "application/vnd.hp-jlyt": ["jlt"], "application/vnd.hp-pcl": ["pcl"], "application/vnd.hp-pclxl": ["pclxl"], "application/vnd.hydrostatix.sof-data": ["sfd-hdstx"], "application/vnd.ibm.minipay": ["mpy"], "application/vnd.ibm.modcap": ["afp", "listafp", "list3820"], "application/vnd.ibm.rights-management": ["irm"], "application/vnd.ibm.secure-container": ["sc"], "application/vnd.iccprofile": ["icc", "icm"], "application/vnd.igloader": ["igl"], "application/vnd.immervision-ivp": ["ivp"], "application/vnd.immervision-ivu": ["ivu"], "application/vnd.insors.igm": ["igm"], "application/vnd.intercon.formnet": ["xpw", "xpx"], "application/vnd.intergeo": ["i2g"], "application/vnd.intu.qbo": ["qbo"], "application/vnd.intu.qfx": ["qfx"], "application/vnd.ipunplugged.rcprofile": ["rcprofile"], "application/vnd.irepository.package+xml": ["irp"], "application/vnd.is-xpr": ["xpr"], "application/vnd.isac.fcs": ["fcs"], "application/vnd.jam": ["jam"], "application/vnd.jcp.javame.midlet-rms": ["rms"], "application/vnd.jisp": ["jisp"], "application/vnd.joost.joda-archive": ["joda"], "application/vnd.kahootz": ["ktz", "ktr"], "application/vnd.kde.karbon": ["karbon"], "application/vnd.kde.kchart": ["chrt"], "application/vnd.kde.kformula": ["kfo"], "application/vnd.kde.kivio": ["flw"], "application/vnd.kde.kontour": ["kon"], "application/vnd.kde.kpresenter": ["kpr", "kpt"], "application/vnd.kde.kspread": ["ksp"], "application/vnd.kde.kword": ["kwd", "kwt"], "application/vnd.kenameaapp": ["htke"], "application/vnd.kidspiration": ["kia"], "application/vnd.kinar": ["kne", "knp"], "application/vnd.koan": ["skp", "skd", "skt", "skm"], "application/vnd.kodak-descriptor": ["sse"], "application/vnd.las.las+xml": ["lasxml"], "application/vnd.llamagraphics.life-balance.desktop": ["lbd"], "application/vnd.llamagraphics.life-balance.exchange+xml": ["lbe"], "application/vnd.lotus-1-2-3": ["123"], "application/vnd.lotus-approach": ["apr"], "application/vnd.lotus-freelance": ["pre"], "application/vnd.lotus-notes": ["nsf"], "application/vnd.lotus-organizer": ["org"], "application/vnd.lotus-screencam": ["scm"], "application/vnd.lotus-wordpro": ["lwp"], "application/vnd.macports.portpkg": ["portpkg"], "application/vnd.mcd": ["mcd"], "application/vnd.medcalcdata": ["mc1"], "application/vnd.mediastation.cdkey": ["cdkey"], "application/vnd.mfer": ["mwf"], "application/vnd.mfmp": ["mfm"], "application/vnd.micrografx.flo": ["flo"], "application/vnd.micrografx.igx": ["igx"], "application/vnd.mif": ["mif"], "application/vnd.mobius.daf": ["daf"], "application/vnd.mobius.dis": ["dis"], "application/vnd.mobius.mbk": ["mbk"], "application/vnd.mobius.mqy": ["mqy"], "application/vnd.mobius.msl": ["msl"], "application/vnd.mobius.plc": ["plc"], "application/vnd.mobius.txf": ["txf"], "application/vnd.mophun.application": ["mpn"], "application/vnd.mophun.certificate": ["mpc"], "application/vnd.mozilla.xul+xml": ["xul"], "application/vnd.ms-artgalry": ["cil"], "application/vnd.ms-cab-compressed": ["cab"], "application/vnd.ms-excel": ["xls", "xlm", "xla", "xlc", "xlt", "xlw"], "application/vnd.ms-excel.addin.macroenabled.12": ["xlam"], "application/vnd.ms-excel.sheet.binary.macroenabled.12": ["xlsb"], "application/vnd.ms-excel.sheet.macroenabled.12": ["xlsm"], "application/vnd.ms-excel.template.macroenabled.12": ["xltm"], "application/vnd.ms-fontobject": ["eot"], "application/vnd.ms-htmlhelp": ["chm"], "application/vnd.ms-ims": ["ims"], "application/vnd.ms-lrm": ["lrm"], "application/vnd.ms-officetheme": ["thmx"], "application/vnd.ms-outlook": ["msg"], "application/vnd.ms-pki.seccat": ["cat"], "application/vnd.ms-pki.stl": ["stl"], "application/vnd.ms-powerpoint": ["ppt", "pps", "pot"], "application/vnd.ms-powerpoint.addin.macroenabled.12": ["ppam"], "application/vnd.ms-powerpoint.presentation.macroenabled.12": ["pptm"], "application/vnd.ms-powerpoint.slide.macroenabled.12": ["sldm"], "application/vnd.ms-powerpoint.slideshow.macroenabled.12": ["ppsm"], "application/vnd.ms-powerpoint.template.macroenabled.12": ["potm"], "application/vnd.ms-project": ["mpp", "mpt"], "application/vnd.ms-word.document.macroenabled.12": ["docm"], "application/vnd.ms-word.template.macroenabled.12": ["dotm"], "application/vnd.ms-works": ["wps", "wks", "wcm", "wdb"], "application/vnd.ms-wpl": ["wpl"], "application/vnd.ms-xpsdocument": ["xps"], "application/vnd.mseq": ["mseq"], "application/vnd.musician": ["mus"], "application/vnd.muvee.style": ["msty"], "application/vnd.mynfc": ["taglet"], "application/vnd.neurolanguage.nlu": ["nlu"], "application/vnd.nitf": ["ntf", "nitf"], "application/vnd.noblenet-directory": ["nnd"], "application/vnd.noblenet-sealer": ["nns"], "application/vnd.noblenet-web": ["nnw"], "application/vnd.nokia.n-gage.data": ["ngdat"], "application/vnd.nokia.n-gage.symbian.install": ["n-gage"], "application/vnd.nokia.radio-preset": ["rpst"], "application/vnd.nokia.radio-presets": ["rpss"], "application/vnd.novadigm.edm": ["edm"], "application/vnd.novadigm.edx": ["edx"], "application/vnd.novadigm.ext": ["ext"], "application/vnd.oasis.opendocument.chart": ["odc"], "application/vnd.oasis.opendocument.chart-template": ["otc"], "application/vnd.oasis.opendocument.database": ["odb"], "application/vnd.oasis.opendocument.formula": ["odf"], "application/vnd.oasis.opendocument.formula-template": ["odft"], "application/vnd.oasis.opendocument.graphics": ["odg"], "application/vnd.oasis.opendocument.graphics-template": ["otg"], "application/vnd.oasis.opendocument.image": ["odi"], "application/vnd.oasis.opendocument.image-template": ["oti"], "application/vnd.oasis.opendocument.presentation": ["odp"], "application/vnd.oasis.opendocument.presentation-template": ["otp"], "application/vnd.oasis.opendocument.spreadsheet": ["ods"], "application/vnd.oasis.opendocument.spreadsheet-template": ["ots"], "application/vnd.oasis.opendocument.text": ["odt"], "application/vnd.oasis.opendocument.text-master": ["odm"], "application/vnd.oasis.opendocument.text-template": ["ott"], "application/vnd.oasis.opendocument.text-web": ["oth"], "application/vnd.olpc-sugar": ["xo"], "application/vnd.oma.dd2+xml": ["dd2"], "application/vnd.openofficeorg.extension": ["oxt"], "application/vnd.openxmlformats-officedocument.presentationml.presentation": ["pptx"], "application/vnd.openxmlformats-officedocument.presentationml.slide": ["sldx"], "application/vnd.openxmlformats-officedocument.presentationml.slideshow": ["ppsx"], "application/vnd.openxmlformats-officedocument.presentationml.template": ["potx"], "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet": ["xlsx"], "application/vnd.openxmlformats-officedocument.spreadsheetml.template": ["xltx"], "application/vnd.openxmlformats-officedocument.wordprocessingml.document": ["docx"], "application/vnd.openxmlformats-officedocument.wordprocessingml.template": ["dotx"], "application/vnd.osgeo.mapguide.package": ["mgp"], "application/vnd.osgi.dp": ["dp"], "application/vnd.osgi.subsystem": ["esa"], "application/vnd.palm": ["pdb", "pqa", "oprc"], "application/vnd.pawaafile": ["paw"], "application/vnd.pg.format": ["str"], "application/vnd.pg.osasli": ["ei6"], "application/vnd.picsel": ["efif"], "application/vnd.pmi.widget": ["wg"], "application/vnd.pocketlearn": ["plf"], "application/vnd.powerbuilder6": ["pbd"], "application/vnd.previewsystems.box": ["box"], "application/vnd.proteus.magazine": ["mgz"], "application/vnd.publishare-delta-tree": ["qps"], "application/vnd.pvi.ptid1": ["ptid"], "application/vnd.quark.quarkxpress": ["qxd", "qxt", "qwd", "qwt", "qxl", "qxb"], "application/vnd.realvnc.bed": ["bed"], "application/vnd.recordare.musicxml": ["mxl"], "application/vnd.recordare.musicxml+xml": ["musicxml"], "application/vnd.rig.cryptonote": ["cryptonote"], "application/vnd.rim.cod": ["cod"], "application/vnd.rn-realmedia": ["rm"], "application/vnd.rn-realmedia-vbr": ["rmvb"], "application/vnd.route66.link66+xml": ["link66"], "application/vnd.sailingtracker.track": ["st"], "application/vnd.seemail": ["see"], "application/vnd.sema": ["sema"], "application/vnd.semd": ["semd"], "application/vnd.semf": ["semf"], "application/vnd.shana.informed.formdata": ["ifm"], "application/vnd.shana.informed.formtemplate": ["itp"], "application/vnd.shana.informed.interchange": ["iif"], "application/vnd.shana.informed.package": ["ipk"], "application/vnd.simtech-mindmapper": ["twd", "twds"], "application/vnd.smaf": ["mmf"], "application/vnd.smart.teacher": ["teacher"], "application/vnd.solent.sdkm+xml": ["sdkm", "sdkd"], "application/vnd.spotfire.dxp": ["dxp"], "application/vnd.spotfire.sfs": ["sfs"], "application/vnd.stardivision.calc": ["sdc"], "application/vnd.stardivision.draw": ["sda"], "application/vnd.stardivision.impress": ["sdd"], "application/vnd.stardivision.math": ["smf"], "application/vnd.stardivision.writer": ["sdw", "vor"], "application/vnd.stardivision.writer-global": ["sgl"], "application/vnd.stepmania.package": ["smzip"], "application/vnd.stepmania.stepchart": ["sm"], "application/vnd.sun.wadl+xml": ["wadl"], "application/vnd.sun.xml.calc": ["sxc"], "application/vnd.sun.xml.calc.template": ["stc"], "application/vnd.sun.xml.draw": ["sxd"], "application/vnd.sun.xml.draw.template": ["std"], "application/vnd.sun.xml.impress": ["sxi"], "application/vnd.sun.xml.impress.template": ["sti"], "application/vnd.sun.xml.math": ["sxm"], "application/vnd.sun.xml.writer": ["sxw"], "application/vnd.sun.xml.writer.global": ["sxg"], "application/vnd.sun.xml.writer.template": ["stw"], "application/vnd.sus-calendar": ["sus", "susp"], "application/vnd.svd": ["svd"], "application/vnd.symbian.install": ["sis", "sisx"], "application/vnd.syncml+xml": ["xsm"], "application/vnd.syncml.dm+wbxml": ["bdm"], "application/vnd.syncml.dm+xml": ["xdm"], "application/vnd.tao.intent-module-archive": ["tao"], "application/vnd.tcpdump.pcap": ["pcap", "cap", "dmp"], "application/vnd.tmobile-livetv": ["tmo"], "application/vnd.trid.tpt": ["tpt"], "application/vnd.triscape.mxs": ["mxs"], "application/vnd.trueapp": ["tra"], "application/vnd.ufdl": ["ufd", "ufdl"], "application/vnd.uiq.theme": ["utz"], "application/vnd.umajin": ["umj"], "application/vnd.unity": ["unityweb"], "application/vnd.uoml+xml": ["uoml"], "application/vnd.vcx": ["vcx"], "application/vnd.visio": ["vsd", "vst", "vss", "vsw"], "application/vnd.visionary": ["vis"], "application/vnd.vsf": ["vsf"], "application/vnd.wap.wbxml": ["wbxml"], "application/vnd.wap.wmlc": ["wmlc"], "application/vnd.wap.wmlscriptc": ["wmlsc"], "application/vnd.webturbo": ["wtb"], "application/vnd.wolfram.player": ["nbp"], "application/vnd.wordperfect": ["wpd"], "application/vnd.wqd": ["wqd"], "application/vnd.wt.stf": ["stf"], "application/vnd.xara": ["xar"], "application/vnd.xfdl": ["xfdl"], "application/vnd.yamaha.hv-dic": ["hvd"], "application/vnd.yamaha.hv-script": ["hvs"], "application/vnd.yamaha.hv-voice": ["hvp"], "application/vnd.yamaha.openscoreformat": ["osf"], "application/vnd.yamaha.openscoreformat.osfpvg+xml": ["osfpvg"], "application/vnd.yamaha.smaf-audio": ["saf"], "application/vnd.yamaha.smaf-phrase": ["spf"], "application/vnd.yellowriver-custom-menu": ["cmp"], "application/vnd.zul": ["zir", "zirz"], "application/vnd.zzazz.deck+xml": ["zaz"], "application/voicexml+xml": ["vxml"], "application/wasm": ["wasm"], "application/widget": ["wgt"], "application/winhlp": ["hlp"], "application/wsdl+xml": ["wsdl"], "application/wspolicy+xml": ["wspolicy"], "application/x-7z-compressed": ["7z"], "application/x-abiword": ["abw"], "application/x-ace-compressed": ["ace"], "application/x-apple-diskimage": [], "application/x-arj": ["arj"], "application/x-authorware-bin": ["aab", "x32", "u32", "vox"], "application/x-authorware-map": ["aam"], "application/x-authorware-seg": ["aas"], "application/x-bcpio": ["bcpio"], "application/x-bdoc": [], "application/x-bittorrent": ["torrent"], "application/x-blorb": ["blb", "blorb"], "application/x-bzip": ["bz"], "application/x-bzip2": ["bz2", "boz"], "application/x-cbr": ["cbr", "cba", "cbt", "cbz", "cb7"], "application/x-cdlink": ["vcd"], "application/x-cfs-compressed": ["cfs"], "application/x-chat": ["chat"], "application/x-chess-pgn": ["pgn"], "application/x-chrome-extension": ["crx"], "application/x-cocoa": ["cco"], "application/x-conference": ["nsc"], "application/x-cpio": ["cpio"], "application/x-csh": ["csh"], "application/x-debian-package": ["udeb"], "application/x-dgc-compressed": ["dgc"], "application/x-director": ["dir", "dcr", "dxr", "cst", "cct", "cxt", "w3d", "fgd", "swa"], "application/x-doom": ["wad"], "application/x-dtbncx+xml": ["ncx"], "application/x-dtbook+xml": ["dtb"], "application/x-dtbresource+xml": ["res"], "application/x-dvi": ["dvi"], "application/x-envoy": ["evy"], "application/x-eva": ["eva"], "application/x-font-bdf": ["bdf"], "application/x-font-ghostscript": ["gsf"], "application/x-font-linux-psf": ["psf"], "application/x-font-pcf": ["pcf"], "application/x-font-snf": ["snf"], "application/x-font-type1": ["pfa", "pfb", "pfm", "afm"], "application/x-freearc": ["arc"], "application/x-futuresplash": ["spl"], "application/x-gca-compressed": ["gca"], "application/x-glulx": ["ulx"], "application/x-gnumeric": ["gnumeric"], "application/x-gramps-xml": ["gramps"], "application/x-gtar": ["gtar"], "application/x-hdf": ["hdf"], "application/x-httpd-php": ["php"], "application/x-install-instructions": ["install"], "application/x-iso9660-image": [], "application/x-java-archive-diff": ["jardiff"], "application/x-java-jnlp-file": ["jnlp"], "application/x-latex": ["latex"], "application/x-lua-bytecode": ["luac"], "application/x-lzh-compressed": ["lzh", "lha"], "application/x-makeself": ["run"], "application/x-mie": ["mie"], "application/x-mobipocket-ebook": ["prc", "mobi"], "application/x-ms-application": ["application"], "application/x-ms-shortcut": ["lnk"], "application/x-ms-wmd": ["wmd"], "application/x-ms-wmz": ["wmz"], "application/x-ms-xbap": ["xbap"], "application/x-msaccess": ["mdb"], "application/x-msbinder": ["obd"], "application/x-mscardfile": ["crd"], "application/x-msclip": ["clp"], "application/x-msdos-program": [], "application/x-msdownload": ["com", "bat"], "application/x-msmediaview": ["mvb", "m13", "m14"], "application/x-msmetafile": ["wmf", "emf", "emz"], "application/x-msmoney": ["mny"], "application/x-mspublisher": ["pub"], "application/x-msschedule": ["scd"], "application/x-msterminal": ["trm"], "application/x-mswrite": ["wri"], "application/x-netcdf": ["nc", "cdf"], "application/x-ns-proxy-autoconfig": ["pac"], "application/x-nzb": ["nzb"], "application/x-perl": ["pl", "pm"], "application/x-pilot": [], "application/x-pkcs12": ["p12", "pfx"], "application/x-pkcs7-certificates": ["p7b", "spc"], "application/x-pkcs7-certreqresp": ["p7r"], "application/x-rar-compressed": ["rar"], "application/x-redhat-package-manager": ["rpm"], "application/x-research-info-systems": ["ris"], "application/x-sea": ["sea"], "application/x-sh": ["sh"], "application/x-shar": ["shar"], "application/x-shockwave-flash": ["swf"], "application/x-silverlight-app": ["xap"], "application/x-sql": ["sql"], "application/x-stuffit": ["sit"], "application/x-stuffitx": ["sitx"], "application/x-subrip": ["srt"], "application/x-sv4cpio": ["sv4cpio"], "application/x-sv4crc": ["sv4crc"], "application/x-t3vm-image": ["t3"], "application/x-tads": ["gam"], "application/x-tar": ["tar"], "application/x-tcl": ["tcl", "tk"], "application/x-tex": ["tex"], "application/x-tex-tfm": ["tfm"], "application/x-texinfo": ["texinfo", "texi"], "application/x-tgif": ["obj"], "application/x-ustar": ["ustar"], "application/x-virtualbox-hdd": ["hdd"], "application/x-virtualbox-ova": ["ova"], "application/x-virtualbox-ovf": ["ovf"], "application/x-virtualbox-vbox": ["vbox"], "application/x-virtualbox-vbox-extpack": ["vbox-extpack"], "application/x-virtualbox-vdi": ["vdi"], "application/x-virtualbox-vhd": ["vhd"], "application/x-virtualbox-vmdk": ["vmdk"], "application/x-wais-source": ["src"], "application/x-web-app-manifest+json": ["webapp"], "application/x-x509-ca-cert": ["der", "crt", "pem"], "application/x-xfig": ["fig"], "application/x-xliff+xml": ["xlf"], "application/x-xpinstall": ["xpi"], "application/x-xz": ["xz"], "application/x-zmachine": ["z1", "z2", "z3", "z4", "z5", "z6", "z7", "z8"], "application/xaml+xml": ["xaml"], "application/xcap-diff+xml": ["xdf"], "application/xenc+xml": ["xenc"], "application/xhtml+xml": ["xhtml", "xht"], "application/xml": ["xml", "xsl", "xsd", "rng"], "application/xml-dtd": ["dtd"], "application/xop+xml": ["xop"], "application/xproc+xml": ["xpl"], "application/xslt+xml": ["xslt"], "application/xspf+xml": ["xspf"], "application/xv+xml": ["mxml", "xhvml", "xvml", "xvm"], "application/yang": ["yang"], "application/yin+xml": ["yin"], "application/zip": ["zip"], "audio/3gpp": [], "audio/adpcm": ["adp"], "audio/basic": ["au", "snd"], "audio/midi": ["mid", "midi", "kar", "rmi"], "audio/mp3": [], "audio/mp4": ["m4a", "mp4a"], "audio/mpeg": ["mpga", "mp2", "mp2a", "mp3", "m2a", "m3a"], "audio/ogg": ["oga", "ogg", "spx"], "audio/s3m": ["s3m"], "audio/silk": ["sil"], "audio/vnd.dece.audio": ["uva", "uvva"], "audio/vnd.digital-winds": ["eol"], "audio/vnd.dra": ["dra"], "audio/vnd.dts": ["dts"], "audio/vnd.dts.hd": ["dtshd"], "audio/vnd.lucent.voice": ["lvp"], "audio/vnd.ms-playready.media.pya": ["pya"], "audio/vnd.nuera.ecelp4800": ["ecelp4800"], "audio/vnd.nuera.ecelp7470": ["ecelp7470"], "audio/vnd.nuera.ecelp9600": ["ecelp9600"], "audio/vnd.rip": ["rip"], "audio/wav": ["wav"], "audio/wave": [], "audio/webm": ["weba"], "audio/x-aac": ["aac"], "audio/x-aiff": ["aif", "aiff", "aifc"], "audio/x-caf": ["caf"], "audio/x-flac": ["flac"], "audio/x-m4a": [], "audio/x-matroska": ["mka"], "audio/x-mpegurl": ["m3u"], "audio/x-ms-wax": ["wax"], "audio/x-ms-wma": ["wma"], "audio/x-pn-realaudio": ["ram", "ra"], "audio/x-pn-realaudio-plugin": ["rmp"], "audio/x-realaudio": [], "audio/x-wav": [], "audio/xm": ["xm"], "chemical/x-cdx": ["cdx"], "chemical/x-cif": ["cif"], "chemical/x-cmdf": ["cmdf"], "chemical/x-cml": ["cml"], "chemical/x-csml": ["csml"], "chemical/x-xyz": ["xyz"], "font/collection": ["ttc"], "font/otf": ["otf"], "font/ttf": ["ttf"], "font/woff": ["woff"], "font/woff2": ["woff2"], "image/apng": ["apng"], "image/bmp": ["bmp"], "image/cgm": ["cgm"], "image/g3fax": ["g3"], "image/gif": ["gif"], "image/ief": ["ief"], "image/jp2": ["jp2", "jpg2"], "image/jpeg": ["jpeg", "jpg", "jpe"], "image/jpm": ["jpm"], "image/jpx": ["jpx", "jpf"], "image/ktx": ["ktx"], "image/png": ["png"], "image/prs.btif": ["btif"], "image/sgi": ["sgi"], "image/svg+xml": ["svg", "svgz"], "image/tiff": ["tiff", "tif"], "image/vnd.adobe.photoshop": ["psd"], "image/vnd.dece.graphic": ["uvi", "uvvi", "uvg", "uvvg"], "image/vnd.djvu": ["djvu", "djv"], "image/vnd.dvb.subtitle": [], "image/vnd.dwg": ["dwg"], "image/vnd.dxf": ["dxf"], "image/vnd.fastbidsheet": ["fbs"], "image/vnd.fpx": ["fpx"], "image/vnd.fst": ["fst"], "image/vnd.fujixerox.edmics-mmr": ["mmr"], "image/vnd.fujixerox.edmics-rlc": ["rlc"], "image/vnd.ms-modi": ["mdi"], "image/vnd.ms-photo": ["wdp"], "image/vnd.net-fpx": ["npx"], "image/vnd.wap.wbmp": ["wbmp"], "image/vnd.xiff": ["xif"], "image/webp": ["webp"], "image/x-3ds": ["3ds"], "image/x-cmu-raster": ["ras"], "image/x-cmx": ["cmx"], "image/x-freehand": ["fh", "fhc", "fh4", "fh5", "fh7"], "image/x-icon": ["ico"], "image/x-jng": ["jng"], "image/x-mrsid-image": ["sid"], "image/x-ms-bmp": [], "image/x-pcx": ["pcx"], "image/x-pict": ["pic", "pct"], "image/x-portable-anymap": ["pnm"], "image/x-portable-bitmap": ["pbm"], "image/x-portable-graymap": ["pgm"], "image/x-portable-pixmap": ["ppm"], "image/x-rgb": ["rgb"], "image/x-tga": ["tga"], "image/x-xbitmap": ["xbm"], "image/x-xpixmap": ["xpm"], "image/x-xwindowdump": ["xwd"], "message/rfc822": ["eml", "mime"], "model/gltf+json": ["gltf"], "model/gltf-binary": ["glb"], "model/iges": ["igs", "iges"], "model/mesh": ["msh", "mesh", "silo"], "model/vnd.collada+xml": ["dae"], "model/vnd.dwf": ["dwf"], "model/vnd.gdl": ["gdl"], "model/vnd.gtw": ["gtw"], "model/vnd.mts": ["mts"], "model/vnd.vtu": ["vtu"], "model/vrml": ["wrl", "vrml"], "model/x3d+binary": ["x3db", "x3dbz"], "model/x3d+vrml": ["x3dv", "x3dvz"], "model/x3d+xml": ["x3d", "x3dz"], "text/cache-manifest": ["appcache", "manifest"], "text/calendar": ["ics", "ifb"], "text/coffeescript": ["coffee", "litcoffee"], "text/css": ["css"], "text/csv": ["csv"], "text/hjson": ["hjson"], "text/html": ["html", "htm", "shtml"], "text/jade": ["jade"], "text/jsx": ["jsx"], "text/less": ["less"], "text/markdown": ["markdown", "md"], "text/mathml": ["mml"], "text/n3": ["n3"], "text/plain": ["txt", "text", "conf", "def", "list", "log", "in", "ini"], "text/prs.lines.tag": ["dsc"], "text/richtext": ["rtx"], "text/rtf": [], "text/sgml": ["sgml", "sgm"], "text/slim": ["slim", "slm"], "text/stylus": ["stylus", "styl"], "text/tab-separated-values": ["tsv"], "text/troff": ["t", "tr", "roff", "man", "me", "ms"], "text/turtle": ["ttl"], "text/uri-list": ["uri", "uris", "urls"], "text/vcard": ["vcard"], "text/vnd.curl": ["curl"], "text/vnd.curl.dcurl": ["dcurl"], "text/vnd.curl.mcurl": ["mcurl"], "text/vnd.curl.scurl": ["scurl"], "text/vnd.dvb.subtitle": ["sub"], "text/vnd.fly": ["fly"], "text/vnd.fmi.flexstor": ["flx"], "text/vnd.graphviz": ["gv"], "text/vnd.in3d.3dml": ["3dml"], "text/vnd.in3d.spot": ["spot"], "text/vnd.sun.j2me.app-descriptor": ["jad"], "text/vnd.wap.wml": ["wml"], "text/vnd.wap.wmlscript": ["wmls"], "text/vtt": ["vtt"], "text/x-asm": ["s", "asm"], "text/x-c": ["c", "cc", "cxx", "cpp", "h", "hh", "dic"], "text/x-component": ["htc"], "text/x-fortran": ["f", "for", "f77", "f90"], "text/x-handlebars-template": ["hbs"], "text/x-java-source": ["java"], "text/x-lua": ["lua"], "text/x-markdown": ["mkd"], "text/x-nfo": ["nfo"], "text/x-opml": ["opml"], "text/x-org": [], "text/x-pascal": ["p", "pas"], "text/x-processing": ["pde"], "text/x-sass": ["sass"], "text/x-scss": ["scss"], "text/x-setext": ["etx"], "text/x-sfv": ["sfv"], "text/x-suse-ymp": ["ymp"], "text/x-uuencode": ["uu"], "text/x-vcalendar": ["vcs"], "text/x-vcard": ["vcf"], "text/xml": [], "text/yaml": ["yaml", "yml"], "video/3gpp": ["3gp", "3gpp"], "video/3gpp2": ["3g2"], "video/h261": ["h261"], "video/h263": ["h263"], "video/h264": ["h264"], "video/jpeg": ["jpgv"], "video/jpm": ["jpgm"], "video/mj2": ["mj2", "mjp2"], "video/mp2t": ["ts"], "video/mp4": ["mp4", "mp4v", "mpg4"], "video/mpeg": ["mpeg", "mpg", "mpe", "m1v", "m2v"], "video/ogg": ["ogv"], "video/quicktime": ["qt", "mov"], "video/vnd.dece.hd": ["uvh", "uvvh"], "video/vnd.dece.mobile": ["uvm", "uvvm"], "video/vnd.dece.pd": ["uvp", "uvvp"], "video/vnd.dece.sd": ["uvs", "uvvs"], "video/vnd.dece.video": ["uvv", "uvvv"], "video/vnd.dvb.file": ["dvb"], "video/vnd.fvt": ["fvt"], "video/vnd.mpegurl": ["mxu", "m4u"], "video/vnd.ms-playready.media.pyv": ["pyv"], "video/vnd.uvvu.mp4": ["uvu", "uvvu"], "video/vnd.vivo": ["viv"], "video/webm": ["webm"], "video/x-f4v": ["f4v"], "video/x-fli": ["fli"], "video/x-flv": ["flv"], "video/x-m4v": ["m4v"], "video/x-matroska": ["mkv", "mk3d", "mks"], "video/x-mng": ["mng"], "video/x-ms-asf": ["asf", "asx"], "video/x-ms-vob": ["vob"], "video/x-ms-wm": ["wm"], "video/x-ms-wmv": ["wmv"], "video/x-ms-wmx": ["wmx"], "video/x-ms-wvx": ["wvx"], "video/x-msvideo": ["avi"], "video/x-sgi-movie": ["movie"], "video/x-smv": ["smv"], "x-conference/x-cooltalk": ["ice"] };
});

// node_modules/mime/mime.js
var require_mime = __commonJS((exports, module) => {
  var path = __require("path");
  var fs = __require("fs");
  function Mime() {
    this.types = Object.create(null);
    this.extensions = Object.create(null);
  }
  Mime.prototype.define = function(map) {
    for (var type in map) {
      var exts = map[type];
      for (var i = 0;i < exts.length; i++) {
        if (process.env.DEBUG_MIME && this.types[exts[i]]) {
          console.warn((this._loading || "define()").replace(/.*\//, ""), 'changes "' + exts[i] + '" extension type from ' + this.types[exts[i]] + " to " + type);
        }
        this.types[exts[i]] = type;
      }
      if (!this.extensions[type]) {
        this.extensions[type] = exts[0];
      }
    }
  };
  Mime.prototype.load = function(file) {
    this._loading = file;
    var map = {}, content = fs.readFileSync(file, "ascii"), lines = content.split(/[\r\n]+/);
    lines.forEach(function(line) {
      var fields = line.replace(/\s*#.*|^\s*|\s*$/g, "").split(/\s+/);
      map[fields.shift()] = fields;
    });
    this.define(map);
    this._loading = null;
  };
  Mime.prototype.lookup = function(path2, fallback) {
    var ext = path2.replace(/^.*[\.\/\\]/, "").toLowerCase();
    return this.types[ext] || fallback || this.default_type;
  };
  Mime.prototype.extension = function(mimeType) {
    var type = mimeType.match(/^\s*([^;\s]*)(?:;|\s|$)/)[1].toLowerCase();
    return this.extensions[type];
  };
  var mime = new Mime;
  mime.define(require_types());
  mime.default_type = mime.lookup("bin");
  mime.Mime = Mime;
  mime.charsets = {
    lookup: function(mimeType, fallback) {
      return /^text\/|^application\/(javascript|json)/.test(mimeType) ? "UTF-8" : fallback;
    }
  };
  module.exports = mime;
});

// node_modules/ms/index.js
var require_ms5 = __commonJS((exports, module) => {
  var s = 1000;
  var m = s * 60;
  var h2 = m * 60;
  var d = h2 * 24;
  var w = d * 7;
  var y = d * 365.25;
  module.exports = function(val, options) {
    options = options || {};
    var type = typeof val;
    if (type === "string" && val.length > 0) {
      return parse(val);
    } else if (type === "number" && isFinite(val)) {
      return options.long ? fmtLong(val) : fmtShort(val);
    }
    throw new Error("val is not a non-empty string or a valid number. val=" + JSON.stringify(val));
  };
  function parse(str) {
    str = String(str);
    if (str.length > 100) {
      return;
    }
    var match = /^(-?(?:\d+)?\.?\d+) *(milliseconds?|msecs?|ms|seconds?|secs?|s|minutes?|mins?|m|hours?|hrs?|h|days?|d|weeks?|w|years?|yrs?|y)?$/i.exec(str);
    if (!match) {
      return;
    }
    var n = parseFloat(match[1]);
    var type = (match[2] || "ms").toLowerCase();
    switch (type) {
      case "years":
      case "year":
      case "yrs":
      case "yr":
      case "y":
        return n * y;
      case "weeks":
      case "week":
      case "w":
        return n * w;
      case "days":
      case "day":
      case "d":
        return n * d;
      case "hours":
      case "hour":
      case "hrs":
      case "hr":
      case "h":
        return n * h2;
      case "minutes":
      case "minute":
      case "mins":
      case "min":
      case "m":
        return n * m;
      case "seconds":
      case "second":
      case "secs":
      case "sec":
      case "s":
        return n * s;
      case "milliseconds":
      case "millisecond":
      case "msecs":
      case "msec":
      case "ms":
        return n;
      default:
        return;
    }
  }
  function fmtShort(ms) {
    var msAbs = Math.abs(ms);
    if (msAbs >= d) {
      return Math.round(ms / d) + "d";
    }
    if (msAbs >= h2) {
      return Math.round(ms / h2) + "h";
    }
    if (msAbs >= m) {
      return Math.round(ms / m) + "m";
    }
    if (msAbs >= s) {
      return Math.round(ms / s) + "s";
    }
    return ms + "ms";
  }
  function fmtLong(ms) {
    var msAbs = Math.abs(ms);
    if (msAbs >= d) {
      return plural(ms, msAbs, d, "day");
    }
    if (msAbs >= h2) {
      return plural(ms, msAbs, h2, "hour");
    }
    if (msAbs >= m) {
      return plural(ms, msAbs, m, "minute");
    }
    if (msAbs >= s) {
      return plural(ms, msAbs, s, "second");
    }
    return ms + " ms";
  }
  function plural(ms, msAbs, n, name) {
    var isPlural = msAbs >= n * 1.5;
    return Math.round(ms / n) + " " + name + (isPlural ? "s" : "");
  }
});

// node_modules/range-parser/index.js
var require_range_parser = __commonJS((exports, module) => {
  /*!
   * range-parser
   * Copyright(c) 2012-2014 TJ Holowaychuk
   * Copyright(c) 2015-2016 Douglas Christopher Wilson
   * MIT Licensed
   */
  module.exports = rangeParser;
  function rangeParser(size, str, options) {
    if (typeof str !== "string") {
      throw new TypeError("argument str must be a string");
    }
    var index = str.indexOf("=");
    if (index === -1) {
      return -2;
    }
    var arr = str.slice(index + 1).split(",");
    var ranges = [];
    ranges.type = str.slice(0, index);
    for (var i = 0;i < arr.length; i++) {
      var range = arr[i].split("-");
      var start = parseInt(range[0], 10);
      var end = parseInt(range[1], 10);
      if (isNaN(start)) {
        start = size - end;
        end = size - 1;
      } else if (isNaN(end)) {
        end = size - 1;
      }
      if (end > size - 1) {
        end = size - 1;
      }
      if (isNaN(start) || isNaN(end) || start > end || start < 0) {
        continue;
      }
      ranges.push({
        start,
        end
      });
    }
    if (ranges.length < 1) {
      return -1;
    }
    return options && options.combine ? combineRanges(ranges) : ranges;
  }
  function combineRanges(ranges) {
    var ordered = ranges.map(mapWithIndex).sort(sortByRangeStart);
    for (var j2 = 0, i = 1;i < ordered.length; i++) {
      var range = ordered[i];
      var current = ordered[j2];
      if (range.start > current.end + 1) {
        ordered[++j2] = range;
      } else if (range.end > current.end) {
        current.end = range.end;
        current.index = Math.min(current.index, range.index);
      }
    }
    ordered.length = j2 + 1;
    var combined = ordered.sort(sortByRangeIndex).map(mapWithoutIndex);
    combined.type = ranges.type;
    return combined;
  }
  function mapWithIndex(range, index) {
    return {
      start: range.start,
      end: range.end,
      index
    };
  }
  function mapWithoutIndex(range) {
    return {
      start: range.start,
      end: range.end
    };
  }
  function sortByRangeIndex(a, b2) {
    return a.index - b2.index;
  }
  function sortByRangeStart(a, b2) {
    return a.start - b2.start;
  }
});

// node_modules/send/index.js
var require_send = __commonJS((exports, module) => {
  /*!
   * send
   * Copyright(c) 2012 TJ Holowaychuk
   * Copyright(c) 2014-2022 Douglas Christopher Wilson
   * MIT Licensed
   */
  var createError = require_http_errors();
  var debug = require_src4()("send");
  var deprecate = require_depd()("send");
  var destroy = require_destroy();
  var encodeUrl = require_encodeurl2();
  var escapeHtml = require_escape_html();
  var etag = require_etag();
  var fresh = require_fresh();
  var fs = __require("fs");
  var mime = require_mime();
  var ms = require_ms5();
  var onFinished = require_on_finished();
  var parseRange = require_range_parser();
  var path = __require("path");
  var statuses = require_statuses();
  var Stream = __require("stream");
  var util3 = __require("util");
  var extname = path.extname;
  var join = path.join;
  var normalize = path.normalize;
  var resolve = path.resolve;
  var sep = path.sep;
  var BYTES_RANGE_REGEXP = /^ *bytes=/;
  var MAX_MAXAGE = 60 * 60 * 24 * 365 * 1000;
  var UP_PATH_REGEXP = /(?:^|[\\/])\.\.(?:[\\/]|$)/;
  module.exports = send;
  module.exports.mime = mime;
  function send(req, path2, options) {
    return new SendStream(req, path2, options);
  }
  function SendStream(req, path2, options) {
    Stream.call(this);
    var opts = options || {};
    this.options = opts;
    this.path = path2;
    this.req = req;
    this._acceptRanges = opts.acceptRanges !== undefined ? Boolean(opts.acceptRanges) : true;
    this._cacheControl = opts.cacheControl !== undefined ? Boolean(opts.cacheControl) : true;
    this._etag = opts.etag !== undefined ? Boolean(opts.etag) : true;
    this._dotfiles = opts.dotfiles !== undefined ? opts.dotfiles : "ignore";
    if (this._dotfiles !== "ignore" && this._dotfiles !== "allow" && this._dotfiles !== "deny") {
      throw new TypeError('dotfiles option must be "allow", "deny", or "ignore"');
    }
    this._hidden = Boolean(opts.hidden);
    if (opts.hidden !== undefined) {
      deprecate("hidden: use dotfiles: '" + (this._hidden ? "allow" : "ignore") + "' instead");
    }
    if (opts.dotfiles === undefined) {
      this._dotfiles = undefined;
    }
    this._extensions = opts.extensions !== undefined ? normalizeList(opts.extensions, "extensions option") : [];
    this._immutable = opts.immutable !== undefined ? Boolean(opts.immutable) : false;
    this._index = opts.index !== undefined ? normalizeList(opts.index, "index option") : ["index.html"];
    this._lastModified = opts.lastModified !== undefined ? Boolean(opts.lastModified) : true;
    this._maxage = opts.maxAge || opts.maxage;
    this._maxage = typeof this._maxage === "string" ? ms(this._maxage) : Number(this._maxage);
    this._maxage = !isNaN(this._maxage) ? Math.min(Math.max(0, this._maxage), MAX_MAXAGE) : 0;
    this._root = opts.root ? resolve(opts.root) : null;
    if (!this._root && opts.from) {
      this.from(opts.from);
    }
  }
  util3.inherits(SendStream, Stream);
  SendStream.prototype.etag = deprecate.function(function etag(val) {
    this._etag = Boolean(val);
    debug("etag %s", this._etag);
    return this;
  }, "send.etag: pass etag as option");
  SendStream.prototype.hidden = deprecate.function(function hidden(val) {
    this._hidden = Boolean(val);
    this._dotfiles = undefined;
    debug("hidden %s", this._hidden);
    return this;
  }, "send.hidden: use dotfiles option");
  SendStream.prototype.index = deprecate.function(function index(paths) {
    var index = !paths ? [] : normalizeList(paths, "paths argument");
    debug("index %o", paths);
    this._index = index;
    return this;
  }, "send.index: pass index as option");
  SendStream.prototype.root = function root(path2) {
    this._root = resolve(String(path2));
    debug("root %s", this._root);
    return this;
  };
  SendStream.prototype.from = deprecate.function(SendStream.prototype.root, "send.from: pass root as option");
  SendStream.prototype.root = deprecate.function(SendStream.prototype.root, "send.root: pass root as option");
  SendStream.prototype.maxage = deprecate.function(function maxage(maxAge) {
    this._maxage = typeof maxAge === "string" ? ms(maxAge) : Number(maxAge);
    this._maxage = !isNaN(this._maxage) ? Math.min(Math.max(0, this._maxage), MAX_MAXAGE) : 0;
    debug("max-age %d", this._maxage);
    return this;
  }, "send.maxage: pass maxAge as option");
  SendStream.prototype.error = function error(status, err) {
    if (hasListeners(this, "error")) {
      return this.emit("error", createHttpError(status, err));
    }
    var res = this.res;
    var msg = statuses.message[status] || String(status);
    var doc = createHtmlDocument("Error", escapeHtml(msg));
    clearHeaders(res);
    if (err && err.headers) {
      setHeaders(res, err.headers);
    }
    res.statusCode = status;
    res.setHeader("Content-Type", "text/html; charset=UTF-8");
    res.setHeader("Content-Length", Buffer.byteLength(doc));
    res.setHeader("Content-Security-Policy", "default-src 'none'");
    res.setHeader("X-Content-Type-Options", "nosniff");
    res.end(doc);
  };
  SendStream.prototype.hasTrailingSlash = function hasTrailingSlash() {
    return this.path[this.path.length - 1] === "/";
  };
  SendStream.prototype.isConditionalGET = function isConditionalGET() {
    return this.req.headers["if-match"] || this.req.headers["if-unmodified-since"] || this.req.headers["if-none-match"] || this.req.headers["if-modified-since"];
  };
  SendStream.prototype.isPreconditionFailure = function isPreconditionFailure() {
    var req = this.req;
    var res = this.res;
    var match = req.headers["if-match"];
    if (match) {
      var etag2 = res.getHeader("ETag");
      return !etag2 || match !== "*" && parseTokenList(match).every(function(match2) {
        return match2 !== etag2 && match2 !== "W/" + etag2 && "W/" + match2 !== etag2;
      });
    }
    var unmodifiedSince = parseHttpDate(req.headers["if-unmodified-since"]);
    if (!isNaN(unmodifiedSince)) {
      var lastModified = parseHttpDate(res.getHeader("Last-Modified"));
      return isNaN(lastModified) || lastModified > unmodifiedSince;
    }
    return false;
  };
  SendStream.prototype.removeContentHeaderFields = function removeContentHeaderFields() {
    var res = this.res;
    res.removeHeader("Content-Encoding");
    res.removeHeader("Content-Language");
    res.removeHeader("Content-Length");
    res.removeHeader("Content-Range");
    res.removeHeader("Content-Type");
  };
  SendStream.prototype.notModified = function notModified() {
    var res = this.res;
    debug("not modified");
    this.removeContentHeaderFields();
    res.statusCode = 304;
    res.end();
  };
  SendStream.prototype.headersAlreadySent = function headersAlreadySent() {
    var err = new Error("Can't set headers after they are sent.");
    debug("headers already sent");
    this.error(500, err);
  };
  SendStream.prototype.isCachable = function isCachable() {
    var statusCode = this.res.statusCode;
    return statusCode >= 200 && statusCode < 300 || statusCode === 304;
  };
  SendStream.prototype.onStatError = function onStatError(error) {
    switch (error.code) {
      case "ENAMETOOLONG":
      case "ENOENT":
      case "ENOTDIR":
        this.error(404, error);
        break;
      default:
        this.error(500, error);
        break;
    }
  };
  SendStream.prototype.isFresh = function isFresh() {
    return fresh(this.req.headers, {
      etag: this.res.getHeader("ETag"),
      "last-modified": this.res.getHeader("Last-Modified")
    });
  };
  SendStream.prototype.isRangeFresh = function isRangeFresh() {
    var ifRange = this.req.headers["if-range"];
    if (!ifRange) {
      return true;
    }
    if (ifRange.indexOf('"') !== -1) {
      var etag2 = this.res.getHeader("ETag");
      return Boolean(etag2 && ifRange.indexOf(etag2) !== -1);
    }
    var lastModified = this.res.getHeader("Last-Modified");
    return parseHttpDate(lastModified) <= parseHttpDate(ifRange);
  };
  SendStream.prototype.redirect = function redirect(path2) {
    var res = this.res;
    if (hasListeners(this, "directory")) {
      this.emit("directory", res, path2);
      return;
    }
    if (this.hasTrailingSlash()) {
      this.error(403);
      return;
    }
    var loc = encodeUrl(collapseLeadingSlashes(this.path + "/"));
    var doc = createHtmlDocument("Redirecting", "Redirecting to " + escapeHtml(loc));
    res.statusCode = 301;
    res.setHeader("Content-Type", "text/html; charset=UTF-8");
    res.setHeader("Content-Length", Buffer.byteLength(doc));
    res.setHeader("Content-Security-Policy", "default-src 'none'");
    res.setHeader("X-Content-Type-Options", "nosniff");
    res.setHeader("Location", loc);
    res.end(doc);
  };
  SendStream.prototype.pipe = function pipe(res) {
    var root = this._root;
    this.res = res;
    var path2 = decode(this.path);
    if (path2 === -1) {
      this.error(400);
      return res;
    }
    if (~path2.indexOf("\x00")) {
      this.error(400);
      return res;
    }
    var parts;
    if (root !== null) {
      if (path2) {
        path2 = normalize("." + sep + path2);
      }
      if (UP_PATH_REGEXP.test(path2)) {
        debug('malicious path "%s"', path2);
        this.error(403);
        return res;
      }
      parts = path2.split(sep);
      path2 = normalize(join(root, path2));
    } else {
      if (UP_PATH_REGEXP.test(path2)) {
        debug('malicious path "%s"', path2);
        this.error(403);
        return res;
      }
      parts = normalize(path2).split(sep);
      path2 = resolve(path2);
    }
    if (containsDotFile(parts)) {
      var access = this._dotfiles;
      if (access === undefined) {
        access = parts[parts.length - 1][0] === "." ? this._hidden ? "allow" : "ignore" : "allow";
      }
      debug('%s dotfile "%s"', access, path2);
      switch (access) {
        case "allow":
          break;
        case "deny":
          this.error(403);
          return res;
        case "ignore":
        default:
          this.error(404);
          return res;
      }
    }
    if (this._index.length && this.hasTrailingSlash()) {
      this.sendIndex(path2);
      return res;
    }
    this.sendFile(path2);
    return res;
  };
  SendStream.prototype.send = function send(path2, stat) {
    var len = stat.size;
    var options = this.options;
    var opts = {};
    var res = this.res;
    var req = this.req;
    var ranges = req.headers.range;
    var offset = options.start || 0;
    if (headersSent(res)) {
      this.headersAlreadySent();
      return;
    }
    debug('pipe "%s"', path2);
    this.setHeader(path2, stat);
    this.type(path2);
    if (this.isConditionalGET()) {
      if (this.isPreconditionFailure()) {
        this.error(412);
        return;
      }
      if (this.isCachable() && this.isFresh()) {
        this.notModified();
        return;
      }
    }
    len = Math.max(0, len - offset);
    if (options.end !== undefined) {
      var bytes = options.end - offset + 1;
      if (len > bytes)
        len = bytes;
    }
    if (this._acceptRanges && BYTES_RANGE_REGEXP.test(ranges)) {
      ranges = parseRange(len, ranges, {
        combine: true
      });
      if (!this.isRangeFresh()) {
        debug("range stale");
        ranges = -2;
      }
      if (ranges === -1) {
        debug("range unsatisfiable");
        res.setHeader("Content-Range", contentRange("bytes", len));
        return this.error(416, {
          headers: { "Content-Range": res.getHeader("Content-Range") }
        });
      }
      if (ranges !== -2 && ranges.length === 1) {
        debug("range %j", ranges);
        res.statusCode = 206;
        res.setHeader("Content-Range", contentRange("bytes", len, ranges[0]));
        offset += ranges[0].start;
        len = ranges[0].end - ranges[0].start + 1;
      }
    }
    for (var prop in options) {
      opts[prop] = options[prop];
    }
    opts.start = offset;
    opts.end = Math.max(offset, offset + len - 1);
    res.setHeader("Content-Length", len);
    if (req.method === "HEAD") {
      res.end();
      return;
    }
    this.stream(path2, opts);
  };
  SendStream.prototype.sendFile = function sendFile(path2) {
    var i = 0;
    var self = this;
    debug('stat "%s"', path2);
    fs.stat(path2, function onstat(err, stat) {
      if (err && err.code === "ENOENT" && !extname(path2) && path2[path2.length - 1] !== sep) {
        return next(err);
      }
      if (err)
        return self.onStatError(err);
      if (stat.isDirectory())
        return self.redirect(path2);
      self.emit("file", path2, stat);
      self.send(path2, stat);
    });
    function next(err) {
      if (self._extensions.length <= i) {
        return err ? self.onStatError(err) : self.error(404);
      }
      var p = path2 + "." + self._extensions[i++];
      debug('stat "%s"', p);
      fs.stat(p, function(err2, stat) {
        if (err2)
          return next(err2);
        if (stat.isDirectory())
          return next();
        self.emit("file", p, stat);
        self.send(p, stat);
      });
    }
  };
  SendStream.prototype.sendIndex = function sendIndex(path2) {
    var i = -1;
    var self = this;
    function next(err) {
      if (++i >= self._index.length) {
        if (err)
          return self.onStatError(err);
        return self.error(404);
      }
      var p = join(path2, self._index[i]);
      debug('stat "%s"', p);
      fs.stat(p, function(err2, stat) {
        if (err2)
          return next(err2);
        if (stat.isDirectory())
          return next();
        self.emit("file", p, stat);
        self.send(p, stat);
      });
    }
    next();
  };
  SendStream.prototype.stream = function stream(path2, options) {
    var self = this;
    var res = this.res;
    var stream = fs.createReadStream(path2, options);
    this.emit("stream", stream);
    stream.pipe(res);
    function cleanup() {
      destroy(stream, true);
    }
    onFinished(res, cleanup);
    stream.on("error", function onerror(err) {
      cleanup();
      self.onStatError(err);
    });
    stream.on("end", function onend() {
      self.emit("end");
    });
  };
  SendStream.prototype.type = function type(path2) {
    var res = this.res;
    if (res.getHeader("Content-Type"))
      return;
    var type = mime.lookup(path2);
    if (!type) {
      debug("no content-type");
      return;
    }
    var charset = mime.charsets.lookup(type);
    debug("content-type %s", type);
    res.setHeader("Content-Type", type + (charset ? "; charset=" + charset : ""));
  };
  SendStream.prototype.setHeader = function setHeader(path2, stat) {
    var res = this.res;
    this.emit("headers", res, path2, stat);
    if (this._acceptRanges && !res.getHeader("Accept-Ranges")) {
      debug("accept ranges");
      res.setHeader("Accept-Ranges", "bytes");
    }
    if (this._cacheControl && !res.getHeader("Cache-Control")) {
      var cacheControl = "public, max-age=" + Math.floor(this._maxage / 1000);
      if (this._immutable) {
        cacheControl += ", immutable";
      }
      debug("cache-control %s", cacheControl);
      res.setHeader("Cache-Control", cacheControl);
    }
    if (this._lastModified && !res.getHeader("Last-Modified")) {
      var modified = stat.mtime.toUTCString();
      debug("modified %s", modified);
      res.setHeader("Last-Modified", modified);
    }
    if (this._etag && !res.getHeader("ETag")) {
      var val = etag(stat);
      debug("etag %s", val);
      res.setHeader("ETag", val);
    }
  };
  function clearHeaders(res) {
    var headers = getHeaderNames(res);
    for (var i = 0;i < headers.length; i++) {
      res.removeHeader(headers[i]);
    }
  }
  function collapseLeadingSlashes(str) {
    for (var i = 0;i < str.length; i++) {
      if (str[i] !== "/") {
        break;
      }
    }
    return i > 1 ? "/" + str.substr(i) : str;
  }
  function containsDotFile(parts) {
    for (var i = 0;i < parts.length; i++) {
      var part = parts[i];
      if (part.length > 1 && part[0] === ".") {
        return true;
      }
    }
    return false;
  }
  function contentRange(type, size, range) {
    return type + " " + (range ? range.start + "-" + range.end : "*") + "/" + size;
  }
  function createHtmlDocument(title, body) {
    return `<!DOCTYPE html>
` + `<html lang="en">
` + `<head>
` + `<meta charset="utf-8">
` + "<title>" + title + `</title>
` + `</head>
` + `<body>
` + "<pre>" + body + `</pre>
` + `</body>
` + `</html>
`;
  }
  function createHttpError(status, err) {
    if (!err) {
      return createError(status);
    }
    return err instanceof Error ? createError(status, err, { expose: false }) : createError(status, err);
  }
  function decode(path2) {
    try {
      return decodeURIComponent(path2);
    } catch (err) {
      return -1;
    }
  }
  function getHeaderNames(res) {
    return typeof res.getHeaderNames !== "function" ? Object.keys(res._headers || {}) : res.getHeaderNames();
  }
  function hasListeners(emitter, type) {
    var count = typeof emitter.listenerCount !== "function" ? emitter.listeners(type).length : emitter.listenerCount(type);
    return count > 0;
  }
  function headersSent(res) {
    return typeof res.headersSent !== "boolean" ? Boolean(res._header) : res.headersSent;
  }
  function normalizeList(val, name) {
    var list = [].concat(val || []);
    for (var i = 0;i < list.length; i++) {
      if (typeof list[i] !== "string") {
        throw new TypeError(name + " must be array of strings or false");
      }
    }
    return list;
  }
  function parseHttpDate(date) {
    var timestamp = date && Date.parse(date);
    return typeof timestamp === "number" ? timestamp : NaN;
  }
  function parseTokenList(str) {
    var end = 0;
    var list = [];
    var start = 0;
    for (var i = 0, len = str.length;i < len; i++) {
      switch (str.charCodeAt(i)) {
        case 32:
          if (start === end) {
            start = end = i + 1;
          }
          break;
        case 44:
          if (start !== end) {
            list.push(str.substring(start, end));
          }
          start = end = i + 1;
          break;
        default:
          end = i + 1;
          break;
      }
    }
    if (start !== end) {
      list.push(str.substring(start, end));
    }
    return list;
  }
  function setHeaders(res, headers) {
    var keys = Object.keys(headers);
    for (var i = 0;i < keys.length; i++) {
      var key = keys[i];
      res.setHeader(key, headers[key]);
    }
  }
});

// node_modules/forwarded/index.js
var require_forwarded = __commonJS((exports, module) => {
  /*!
   * forwarded
   * Copyright(c) 2014-2017 Douglas Christopher Wilson
   * MIT Licensed
   */
  module.exports = forwarded;
  function forwarded(req) {
    if (!req) {
      throw new TypeError("argument req is required");
    }
    var proxyAddrs = parse(req.headers["x-forwarded-for"] || "");
    var socketAddr = getSocketAddr(req);
    var addrs = [socketAddr].concat(proxyAddrs);
    return addrs;
  }
  function getSocketAddr(req) {
    return req.socket ? req.socket.remoteAddress : req.connection.remoteAddress;
  }
  function parse(header) {
    var end = header.length;
    var list = [];
    var start = header.length;
    for (var i = header.length - 1;i >= 0; i--) {
      switch (header.charCodeAt(i)) {
        case 32:
          if (start === end) {
            start = end = i;
          }
          break;
        case 44:
          if (start !== end) {
            list.push(header.substring(start, end));
          }
          start = end = i;
          break;
        default:
          start = i;
          break;
      }
    }
    if (start !== end) {
      list.push(header.substring(start, end));
    }
    return list;
  }
});

// node_modules/ipaddr.js/lib/ipaddr.js
var require_ipaddr = __commonJS((exports, module) => {
  (function() {
    var expandIPv6, ipaddr, ipv4Part, ipv4Regexes, ipv6Part, ipv6Regexes, matchCIDR, root, zoneIndex;
    ipaddr = {};
    root = this;
    if (typeof module !== "undefined" && module !== null && module.exports) {
      module.exports = ipaddr;
    } else {
      root["ipaddr"] = ipaddr;
    }
    matchCIDR = function(first, second, partSize, cidrBits) {
      var part, shift;
      if (first.length !== second.length) {
        throw new Error("ipaddr: cannot match CIDR for objects with different lengths");
      }
      part = 0;
      while (cidrBits > 0) {
        shift = partSize - cidrBits;
        if (shift < 0) {
          shift = 0;
        }
        if (first[part] >> shift !== second[part] >> shift) {
          return false;
        }
        cidrBits -= partSize;
        part += 1;
      }
      return true;
    };
    ipaddr.subnetMatch = function(address, rangeList, defaultName) {
      var k2, len, rangeName, rangeSubnets, subnet;
      if (defaultName == null) {
        defaultName = "unicast";
      }
      for (rangeName in rangeList) {
        rangeSubnets = rangeList[rangeName];
        if (rangeSubnets[0] && !(rangeSubnets[0] instanceof Array)) {
          rangeSubnets = [rangeSubnets];
        }
        for (k2 = 0, len = rangeSubnets.length;k2 < len; k2++) {
          subnet = rangeSubnets[k2];
          if (address.kind() === subnet[0].kind()) {
            if (address.match.apply(address, subnet)) {
              return rangeName;
            }
          }
        }
      }
      return defaultName;
    };
    ipaddr.IPv4 = function() {
      function IPv4(octets) {
        var k2, len, octet;
        if (octets.length !== 4) {
          throw new Error("ipaddr: ipv4 octet count should be 4");
        }
        for (k2 = 0, len = octets.length;k2 < len; k2++) {
          octet = octets[k2];
          if (!(0 <= octet && octet <= 255)) {
            throw new Error("ipaddr: ipv4 octet should fit in 8 bits");
          }
        }
        this.octets = octets;
      }
      IPv4.prototype.kind = function() {
        return "ipv4";
      };
      IPv4.prototype.toString = function() {
        return this.octets.join(".");
      };
      IPv4.prototype.toNormalizedString = function() {
        return this.toString();
      };
      IPv4.prototype.toByteArray = function() {
        return this.octets.slice(0);
      };
      IPv4.prototype.match = function(other, cidrRange) {
        var ref;
        if (cidrRange === undefined) {
          ref = other, other = ref[0], cidrRange = ref[1];
        }
        if (other.kind() !== "ipv4") {
          throw new Error("ipaddr: cannot match ipv4 address with non-ipv4 one");
        }
        return matchCIDR(this.octets, other.octets, 8, cidrRange);
      };
      IPv4.prototype.SpecialRanges = {
        unspecified: [[new IPv4([0, 0, 0, 0]), 8]],
        broadcast: [[new IPv4([255, 255, 255, 255]), 32]],
        multicast: [[new IPv4([224, 0, 0, 0]), 4]],
        linkLocal: [[new IPv4([169, 254, 0, 0]), 16]],
        loopback: [[new IPv4([127, 0, 0, 0]), 8]],
        carrierGradeNat: [[new IPv4([100, 64, 0, 0]), 10]],
        private: [[new IPv4([10, 0, 0, 0]), 8], [new IPv4([172, 16, 0, 0]), 12], [new IPv4([192, 168, 0, 0]), 16]],
        reserved: [[new IPv4([192, 0, 0, 0]), 24], [new IPv4([192, 0, 2, 0]), 24], [new IPv4([192, 88, 99, 0]), 24], [new IPv4([198, 51, 100, 0]), 24], [new IPv4([203, 0, 113, 0]), 24], [new IPv4([240, 0, 0, 0]), 4]]
      };
      IPv4.prototype.range = function() {
        return ipaddr.subnetMatch(this, this.SpecialRanges);
      };
      IPv4.prototype.toIPv4MappedAddress = function() {
        return ipaddr.IPv6.parse("::ffff:" + this.toString());
      };
      IPv4.prototype.prefixLengthFromSubnetMask = function() {
        var cidr, i, k2, octet, stop, zeros, zerotable;
        zerotable = {
          0: 8,
          128: 7,
          192: 6,
          224: 5,
          240: 4,
          248: 3,
          252: 2,
          254: 1,
          255: 0
        };
        cidr = 0;
        stop = false;
        for (i = k2 = 3;k2 >= 0; i = k2 += -1) {
          octet = this.octets[i];
          if (octet in zerotable) {
            zeros = zerotable[octet];
            if (stop && zeros !== 0) {
              return null;
            }
            if (zeros !== 8) {
              stop = true;
            }
            cidr += zeros;
          } else {
            return null;
          }
        }
        return 32 - cidr;
      };
      return IPv4;
    }();
    ipv4Part = "(0?\\d+|0x[a-f0-9]+)";
    ipv4Regexes = {
      fourOctet: new RegExp("^" + ipv4Part + "\\." + ipv4Part + "\\." + ipv4Part + "\\." + ipv4Part + "$", "i"),
      longValue: new RegExp("^" + ipv4Part + "$", "i")
    };
    ipaddr.IPv4.parser = function(string) {
      var match, parseIntAuto, part, shift, value;
      parseIntAuto = function(string2) {
        if (string2[0] === "0" && string2[1] !== "x") {
          return parseInt(string2, 8);
        } else {
          return parseInt(string2);
        }
      };
      if (match = string.match(ipv4Regexes.fourOctet)) {
        return function() {
          var k2, len, ref, results;
          ref = match.slice(1, 6);
          results = [];
          for (k2 = 0, len = ref.length;k2 < len; k2++) {
            part = ref[k2];
            results.push(parseIntAuto(part));
          }
          return results;
        }();
      } else if (match = string.match(ipv4Regexes.longValue)) {
        value = parseIntAuto(match[1]);
        if (value > 4294967295 || value < 0) {
          throw new Error("ipaddr: address outside defined range");
        }
        return function() {
          var k2, results;
          results = [];
          for (shift = k2 = 0;k2 <= 24; shift = k2 += 8) {
            results.push(value >> shift & 255);
          }
          return results;
        }().reverse();
      } else {
        return null;
      }
    };
    ipaddr.IPv6 = function() {
      function IPv6(parts, zoneId) {
        var i, k2, l, len, part, ref;
        if (parts.length === 16) {
          this.parts = [];
          for (i = k2 = 0;k2 <= 14; i = k2 += 2) {
            this.parts.push(parts[i] << 8 | parts[i + 1]);
          }
        } else if (parts.length === 8) {
          this.parts = parts;
        } else {
          throw new Error("ipaddr: ipv6 part count should be 8 or 16");
        }
        ref = this.parts;
        for (l = 0, len = ref.length;l < len; l++) {
          part = ref[l];
          if (!(0 <= part && part <= 65535)) {
            throw new Error("ipaddr: ipv6 part should fit in 16 bits");
          }
        }
        if (zoneId) {
          this.zoneId = zoneId;
        }
      }
      IPv6.prototype.kind = function() {
        return "ipv6";
      };
      IPv6.prototype.toString = function() {
        return this.toNormalizedString().replace(/((^|:)(0(:|$))+)/, "::");
      };
      IPv6.prototype.toRFC5952String = function() {
        var bestMatchIndex, bestMatchLength, match, regex, string;
        regex = /((^|:)(0(:|$)){2,})/g;
        string = this.toNormalizedString();
        bestMatchIndex = 0;
        bestMatchLength = -1;
        while (match = regex.exec(string)) {
          if (match[0].length > bestMatchLength) {
            bestMatchIndex = match.index;
            bestMatchLength = match[0].length;
          }
        }
        if (bestMatchLength < 0) {
          return string;
        }
        return string.substring(0, bestMatchIndex) + "::" + string.substring(bestMatchIndex + bestMatchLength);
      };
      IPv6.prototype.toByteArray = function() {
        var bytes, k2, len, part, ref;
        bytes = [];
        ref = this.parts;
        for (k2 = 0, len = ref.length;k2 < len; k2++) {
          part = ref[k2];
          bytes.push(part >> 8);
          bytes.push(part & 255);
        }
        return bytes;
      };
      IPv6.prototype.toNormalizedString = function() {
        var addr, part, suffix;
        addr = function() {
          var k2, len, ref, results;
          ref = this.parts;
          results = [];
          for (k2 = 0, len = ref.length;k2 < len; k2++) {
            part = ref[k2];
            results.push(part.toString(16));
          }
          return results;
        }.call(this).join(":");
        suffix = "";
        if (this.zoneId) {
          suffix = "%" + this.zoneId;
        }
        return addr + suffix;
      };
      IPv6.prototype.toFixedLengthString = function() {
        var addr, part, suffix;
        addr = function() {
          var k2, len, ref, results;
          ref = this.parts;
          results = [];
          for (k2 = 0, len = ref.length;k2 < len; k2++) {
            part = ref[k2];
            results.push(part.toString(16).padStart(4, "0"));
          }
          return results;
        }.call(this).join(":");
        suffix = "";
        if (this.zoneId) {
          suffix = "%" + this.zoneId;
        }
        return addr + suffix;
      };
      IPv6.prototype.match = function(other, cidrRange) {
        var ref;
        if (cidrRange === undefined) {
          ref = other, other = ref[0], cidrRange = ref[1];
        }
        if (other.kind() !== "ipv6") {
          throw new Error("ipaddr: cannot match ipv6 address with non-ipv6 one");
        }
        return matchCIDR(this.parts, other.parts, 16, cidrRange);
      };
      IPv6.prototype.SpecialRanges = {
        unspecified: [new IPv6([0, 0, 0, 0, 0, 0, 0, 0]), 128],
        linkLocal: [new IPv6([65152, 0, 0, 0, 0, 0, 0, 0]), 10],
        multicast: [new IPv6([65280, 0, 0, 0, 0, 0, 0, 0]), 8],
        loopback: [new IPv6([0, 0, 0, 0, 0, 0, 0, 1]), 128],
        uniqueLocal: [new IPv6([64512, 0, 0, 0, 0, 0, 0, 0]), 7],
        ipv4Mapped: [new IPv6([0, 0, 0, 0, 0, 65535, 0, 0]), 96],
        rfc6145: [new IPv6([0, 0, 0, 0, 65535, 0, 0, 0]), 96],
        rfc6052: [new IPv6([100, 65435, 0, 0, 0, 0, 0, 0]), 96],
        "6to4": [new IPv6([8194, 0, 0, 0, 0, 0, 0, 0]), 16],
        teredo: [new IPv6([8193, 0, 0, 0, 0, 0, 0, 0]), 32],
        reserved: [[new IPv6([8193, 3512, 0, 0, 0, 0, 0, 0]), 32]]
      };
      IPv6.prototype.range = function() {
        return ipaddr.subnetMatch(this, this.SpecialRanges);
      };
      IPv6.prototype.isIPv4MappedAddress = function() {
        return this.range() === "ipv4Mapped";
      };
      IPv6.prototype.toIPv4Address = function() {
        var high, low, ref;
        if (!this.isIPv4MappedAddress()) {
          throw new Error("ipaddr: trying to convert a generic ipv6 address to ipv4");
        }
        ref = this.parts.slice(-2), high = ref[0], low = ref[1];
        return new ipaddr.IPv4([high >> 8, high & 255, low >> 8, low & 255]);
      };
      IPv6.prototype.prefixLengthFromSubnetMask = function() {
        var cidr, i, k2, part, stop, zeros, zerotable;
        zerotable = {
          0: 16,
          32768: 15,
          49152: 14,
          57344: 13,
          61440: 12,
          63488: 11,
          64512: 10,
          65024: 9,
          65280: 8,
          65408: 7,
          65472: 6,
          65504: 5,
          65520: 4,
          65528: 3,
          65532: 2,
          65534: 1,
          65535: 0
        };
        cidr = 0;
        stop = false;
        for (i = k2 = 7;k2 >= 0; i = k2 += -1) {
          part = this.parts[i];
          if (part in zerotable) {
            zeros = zerotable[part];
            if (stop && zeros !== 0) {
              return null;
            }
            if (zeros !== 16) {
              stop = true;
            }
            cidr += zeros;
          } else {
            return null;
          }
        }
        return 128 - cidr;
      };
      return IPv6;
    }();
    ipv6Part = "(?:[0-9a-f]+::?)+";
    zoneIndex = "%[0-9a-z]{1,}";
    ipv6Regexes = {
      zoneIndex: new RegExp(zoneIndex, "i"),
      native: new RegExp("^(::)?(" + ipv6Part + ")?([0-9a-f]+)?(::)?(" + zoneIndex + ")?$", "i"),
      transitional: new RegExp("^((?:" + ipv6Part + ")|(?:::)(?:" + ipv6Part + ")?)" + (ipv4Part + "\\." + ipv4Part + "\\." + ipv4Part + "\\." + ipv4Part) + ("(" + zoneIndex + ")?$"), "i")
    };
    expandIPv6 = function(string, parts) {
      var colonCount, lastColon, part, replacement, replacementCount, zoneId;
      if (string.indexOf("::") !== string.lastIndexOf("::")) {
        return null;
      }
      zoneId = (string.match(ipv6Regexes["zoneIndex"]) || [])[0];
      if (zoneId) {
        zoneId = zoneId.substring(1);
        string = string.replace(/%.+$/, "");
      }
      colonCount = 0;
      lastColon = -1;
      while ((lastColon = string.indexOf(":", lastColon + 1)) >= 0) {
        colonCount++;
      }
      if (string.substr(0, 2) === "::") {
        colonCount--;
      }
      if (string.substr(-2, 2) === "::") {
        colonCount--;
      }
      if (colonCount > parts) {
        return null;
      }
      replacementCount = parts - colonCount;
      replacement = ":";
      while (replacementCount--) {
        replacement += "0:";
      }
      string = string.replace("::", replacement);
      if (string[0] === ":") {
        string = string.slice(1);
      }
      if (string[string.length - 1] === ":") {
        string = string.slice(0, -1);
      }
      parts = function() {
        var k2, len, ref, results;
        ref = string.split(":");
        results = [];
        for (k2 = 0, len = ref.length;k2 < len; k2++) {
          part = ref[k2];
          results.push(parseInt(part, 16));
        }
        return results;
      }();
      return {
        parts,
        zoneId
      };
    };
    ipaddr.IPv6.parser = function(string) {
      var addr, k2, len, match, octet, octets, zoneId;
      if (ipv6Regexes["native"].test(string)) {
        return expandIPv6(string, 8);
      } else if (match = string.match(ipv6Regexes["transitional"])) {
        zoneId = match[6] || "";
        addr = expandIPv6(match[1].slice(0, -1) + zoneId, 6);
        if (addr.parts) {
          octets = [parseInt(match[2]), parseInt(match[3]), parseInt(match[4]), parseInt(match[5])];
          for (k2 = 0, len = octets.length;k2 < len; k2++) {
            octet = octets[k2];
            if (!(0 <= octet && octet <= 255)) {
              return null;
            }
          }
          addr.parts.push(octets[0] << 8 | octets[1]);
          addr.parts.push(octets[2] << 8 | octets[3]);
          return {
            parts: addr.parts,
            zoneId: addr.zoneId
          };
        }
      }
      return null;
    };
    ipaddr.IPv4.isIPv4 = ipaddr.IPv6.isIPv6 = function(string) {
      return this.parser(string) !== null;
    };
    ipaddr.IPv4.isValid = function(string) {
      var e;
      try {
        new this(this.parser(string));
        return true;
      } catch (error1) {
        e = error1;
        return false;
      }
    };
    ipaddr.IPv4.isValidFourPartDecimal = function(string) {
      if (ipaddr.IPv4.isValid(string) && string.match(/^(0|[1-9]\d*)(\.(0|[1-9]\d*)){3}$/)) {
        return true;
      } else {
        return false;
      }
    };
    ipaddr.IPv6.isValid = function(string) {
      var addr, e;
      if (typeof string === "string" && string.indexOf(":") === -1) {
        return false;
      }
      try {
        addr = this.parser(string);
        new this(addr.parts, addr.zoneId);
        return true;
      } catch (error1) {
        e = error1;
        return false;
      }
    };
    ipaddr.IPv4.parse = function(string) {
      var parts;
      parts = this.parser(string);
      if (parts === null) {
        throw new Error("ipaddr: string is not formatted like ip address");
      }
      return new this(parts);
    };
    ipaddr.IPv6.parse = function(string) {
      var addr;
      addr = this.parser(string);
      if (addr.parts === null) {
        throw new Error("ipaddr: string is not formatted like ip address");
      }
      return new this(addr.parts, addr.zoneId);
    };
    ipaddr.IPv4.parseCIDR = function(string) {
      var maskLength, match, parsed;
      if (match = string.match(/^(.+)\/(\d+)$/)) {
        maskLength = parseInt(match[2]);
        if (maskLength >= 0 && maskLength <= 32) {
          parsed = [this.parse(match[1]), maskLength];
          Object.defineProperty(parsed, "toString", {
            value: function() {
              return this.join("/");
            }
          });
          return parsed;
        }
      }
      throw new Error("ipaddr: string is not formatted like an IPv4 CIDR range");
    };
    ipaddr.IPv4.subnetMaskFromPrefixLength = function(prefix) {
      var filledOctetCount, j2, octets;
      prefix = parseInt(prefix);
      if (prefix < 0 || prefix > 32) {
        throw new Error("ipaddr: invalid IPv4 prefix length");
      }
      octets = [0, 0, 0, 0];
      j2 = 0;
      filledOctetCount = Math.floor(prefix / 8);
      while (j2 < filledOctetCount) {
        octets[j2] = 255;
        j2++;
      }
      if (filledOctetCount < 4) {
        octets[filledOctetCount] = Math.pow(2, prefix % 8) - 1 << 8 - prefix % 8;
      }
      return new this(octets);
    };
    ipaddr.IPv4.broadcastAddressFromCIDR = function(string) {
      var cidr, error, i, ipInterfaceOctets, octets, subnetMaskOctets;
      try {
        cidr = this.parseCIDR(string);
        ipInterfaceOctets = cidr[0].toByteArray();
        subnetMaskOctets = this.subnetMaskFromPrefixLength(cidr[1]).toByteArray();
        octets = [];
        i = 0;
        while (i < 4) {
          octets.push(parseInt(ipInterfaceOctets[i], 10) | parseInt(subnetMaskOctets[i], 10) ^ 255);
          i++;
        }
        return new this(octets);
      } catch (error1) {
        error = error1;
        throw new Error("ipaddr: the address does not have IPv4 CIDR format");
      }
    };
    ipaddr.IPv4.networkAddressFromCIDR = function(string) {
      var cidr, error, i, ipInterfaceOctets, octets, subnetMaskOctets;
      try {
        cidr = this.parseCIDR(string);
        ipInterfaceOctets = cidr[0].toByteArray();
        subnetMaskOctets = this.subnetMaskFromPrefixLength(cidr[1]).toByteArray();
        octets = [];
        i = 0;
        while (i < 4) {
          octets.push(parseInt(ipInterfaceOctets[i], 10) & parseInt(subnetMaskOctets[i], 10));
          i++;
        }
        return new this(octets);
      } catch (error1) {
        error = error1;
        throw new Error("ipaddr: the address does not have IPv4 CIDR format");
      }
    };
    ipaddr.IPv6.parseCIDR = function(string) {
      var maskLength, match, parsed;
      if (match = string.match(/^(.+)\/(\d+)$/)) {
        maskLength = parseInt(match[2]);
        if (maskLength >= 0 && maskLength <= 128) {
          parsed = [this.parse(match[1]), maskLength];
          Object.defineProperty(parsed, "toString", {
            value: function() {
              return this.join("/");
            }
          });
          return parsed;
        }
      }
      throw new Error("ipaddr: string is not formatted like an IPv6 CIDR range");
    };
    ipaddr.isValid = function(string) {
      return ipaddr.IPv6.isValid(string) || ipaddr.IPv4.isValid(string);
    };
    ipaddr.parse = function(string) {
      if (ipaddr.IPv6.isValid(string)) {
        return ipaddr.IPv6.parse(string);
      } else if (ipaddr.IPv4.isValid(string)) {
        return ipaddr.IPv4.parse(string);
      } else {
        throw new Error("ipaddr: the address has neither IPv6 nor IPv4 format");
      }
    };
    ipaddr.parseCIDR = function(string) {
      var e;
      try {
        return ipaddr.IPv6.parseCIDR(string);
      } catch (error1) {
        e = error1;
        try {
          return ipaddr.IPv4.parseCIDR(string);
        } catch (error12) {
          e = error12;
          throw new Error("ipaddr: the address has neither IPv6 nor IPv4 CIDR format");
        }
      }
    };
    ipaddr.fromByteArray = function(bytes) {
      var length;
      length = bytes.length;
      if (length === 4) {
        return new ipaddr.IPv4(bytes);
      } else if (length === 16) {
        return new ipaddr.IPv6(bytes);
      } else {
        throw new Error("ipaddr: the binary input is neither an IPv6 nor IPv4 address");
      }
    };
    ipaddr.process = function(string) {
      var addr;
      addr = this.parse(string);
      if (addr.kind() === "ipv6" && addr.isIPv4MappedAddress()) {
        return addr.toIPv4Address();
      } else {
        return addr;
      }
    };
  }).call(exports);
});

// node_modules/proxy-addr/index.js
var require_proxy_addr = __commonJS((exports, module) => {
  /*!
   * proxy-addr
   * Copyright(c) 2014-2016 Douglas Christopher Wilson
   * MIT Licensed
   */
  module.exports = proxyaddr;
  module.exports.all = alladdrs;
  module.exports.compile = compile;
  var forwarded = require_forwarded();
  var ipaddr = require_ipaddr();
  var DIGIT_REGEXP = /^[0-9]+$/;
  var isip = ipaddr.isValid;
  var parseip = ipaddr.parse;
  var IP_RANGES = {
    linklocal: ["169.254.0.0/16", "fe80::/10"],
    loopback: ["127.0.0.1/8", "::1/128"],
    uniquelocal: ["10.0.0.0/8", "172.16.0.0/12", "192.168.0.0/16", "fc00::/7"]
  };
  function alladdrs(req, trust) {
    var addrs = forwarded(req);
    if (!trust) {
      return addrs;
    }
    if (typeof trust !== "function") {
      trust = compile(trust);
    }
    for (var i = 0;i < addrs.length - 1; i++) {
      if (trust(addrs[i], i))
        continue;
      addrs.length = i + 1;
    }
    return addrs;
  }
  function compile(val) {
    if (!val) {
      throw new TypeError("argument is required");
    }
    var trust;
    if (typeof val === "string") {
      trust = [val];
    } else if (Array.isArray(val)) {
      trust = val.slice();
    } else {
      throw new TypeError("unsupported trust argument");
    }
    for (var i = 0;i < trust.length; i++) {
      val = trust[i];
      if (!Object.prototype.hasOwnProperty.call(IP_RANGES, val)) {
        continue;
      }
      val = IP_RANGES[val];
      trust.splice.apply(trust, [i, 1].concat(val));
      i += val.length - 1;
    }
    return compileTrust(compileRangeSubnets(trust));
  }
  function compileRangeSubnets(arr) {
    var rangeSubnets = new Array(arr.length);
    for (var i = 0;i < arr.length; i++) {
      rangeSubnets[i] = parseipNotation(arr[i]);
    }
    return rangeSubnets;
  }
  function compileTrust(rangeSubnets) {
    var len = rangeSubnets.length;
    return len === 0 ? trustNone : len === 1 ? trustSingle(rangeSubnets[0]) : trustMulti(rangeSubnets);
  }
  function parseipNotation(note) {
    var pos = note.lastIndexOf("/");
    var str = pos !== -1 ? note.substring(0, pos) : note;
    if (!isip(str)) {
      throw new TypeError("invalid IP address: " + str);
    }
    var ip = parseip(str);
    if (pos === -1 && ip.kind() === "ipv6" && ip.isIPv4MappedAddress()) {
      ip = ip.toIPv4Address();
    }
    var max = ip.kind() === "ipv6" ? 128 : 32;
    var range = pos !== -1 ? note.substring(pos + 1, note.length) : null;
    if (range === null) {
      range = max;
    } else if (DIGIT_REGEXP.test(range)) {
      range = parseInt(range, 10);
    } else if (ip.kind() === "ipv4" && isip(range)) {
      range = parseNetmask(range);
    } else {
      range = null;
    }
    if (range <= 0 || range > max) {
      throw new TypeError("invalid range on address: " + note);
    }
    return [ip, range];
  }
  function parseNetmask(netmask) {
    var ip = parseip(netmask);
    var kind = ip.kind();
    return kind === "ipv4" ? ip.prefixLengthFromSubnetMask() : null;
  }
  function proxyaddr(req, trust) {
    if (!req) {
      throw new TypeError("req argument is required");
    }
    if (!trust) {
      throw new TypeError("trust argument is required");
    }
    var addrs = alladdrs(req, trust);
    var addr = addrs[addrs.length - 1];
    return addr;
  }
  function trustNone() {
    return false;
  }
  function trustMulti(subnets) {
    return function trust(addr) {
      if (!isip(addr))
        return false;
      var ip = parseip(addr);
      var ipconv;
      var kind = ip.kind();
      for (var i = 0;i < subnets.length; i++) {
        var subnet = subnets[i];
        var subnetip = subnet[0];
        var subnetkind = subnetip.kind();
        var subnetrange = subnet[1];
        var trusted = ip;
        if (kind !== subnetkind) {
          if (subnetkind === "ipv4" && !ip.isIPv4MappedAddress()) {
            continue;
          }
          if (!ipconv) {
            ipconv = subnetkind === "ipv4" ? ip.toIPv4Address() : ip.toIPv4MappedAddress();
          }
          trusted = ipconv;
        }
        if (trusted.match(subnetip, subnetrange)) {
          return true;
        }
      }
      return false;
    };
  }
  function trustSingle(subnet) {
    var subnetip = subnet[0];
    var subnetkind = subnetip.kind();
    var subnetisipv4 = subnetkind === "ipv4";
    var subnetrange = subnet[1];
    return function trust(addr) {
      if (!isip(addr))
        return false;
      var ip = parseip(addr);
      var kind = ip.kind();
      if (kind !== subnetkind) {
        if (subnetisipv4 && !ip.isIPv4MappedAddress()) {
          return false;
        }
        ip = subnetisipv4 ? ip.toIPv4Address() : ip.toIPv4MappedAddress();
      }
      return ip.match(subnetip, subnetrange);
    };
  }
});

// node_modules/express/lib/utils.js
var require_utils2 = __commonJS((exports) => {
  /*!
   * express
   * Copyright(c) 2009-2013 TJ Holowaychuk
   * Copyright(c) 2014-2015 Douglas Christopher Wilson
   * MIT Licensed
   */
  var Buffer2 = require_safe_buffer().Buffer;
  var contentDisposition = require_content_disposition();
  var contentType2 = require_content_type();
  var deprecate = require_depd()("express");
  var flatten = require_array_flatten();
  var mime = require_send().mime;
  var etag = require_etag();
  var proxyaddr = require_proxy_addr();
  var qs = require_lib3();
  var querystring = __require("querystring");
  exports.etag = createETagGenerator({ weak: false });
  exports.wetag = createETagGenerator({ weak: true });
  exports.isAbsolute = function(path) {
    if (path[0] === "/")
      return true;
    if (path[1] === ":" && (path[2] === "\\" || path[2] === "/"))
      return true;
    if (path.substring(0, 2) === "\\\\")
      return true;
  };
  exports.flatten = deprecate.function(flatten, "utils.flatten: use array-flatten npm module instead");
  exports.normalizeType = function(type) {
    return ~type.indexOf("/") ? acceptParams(type) : { value: mime.lookup(type), params: {} };
  };
  exports.normalizeTypes = function(types2) {
    var ret = [];
    for (var i = 0;i < types2.length; ++i) {
      ret.push(exports.normalizeType(types2[i]));
    }
    return ret;
  };
  exports.contentDisposition = deprecate.function(contentDisposition, "utils.contentDisposition: use content-disposition npm module instead");
  function acceptParams(str) {
    var parts = str.split(/ *; */);
    var ret = { value: parts[0], quality: 1, params: {} };
    for (var i = 1;i < parts.length; ++i) {
      var pms = parts[i].split(/ *= */);
      if (pms[0] === "q") {
        ret.quality = parseFloat(pms[1]);
      } else {
        ret.params[pms[0]] = pms[1];
      }
    }
    return ret;
  }
  exports.compileETag = function(val) {
    var fn;
    if (typeof val === "function") {
      return val;
    }
    switch (val) {
      case true:
      case "weak":
        fn = exports.wetag;
        break;
      case false:
        break;
      case "strong":
        fn = exports.etag;
        break;
      default:
        throw new TypeError("unknown value for etag function: " + val);
    }
    return fn;
  };
  exports.compileQueryParser = function compileQueryParser(val) {
    var fn;
    if (typeof val === "function") {
      return val;
    }
    switch (val) {
      case true:
      case "simple":
        fn = querystring.parse;
        break;
      case false:
        fn = newObject;
        break;
      case "extended":
        fn = parseExtendedQueryString;
        break;
      default:
        throw new TypeError("unknown value for query parser function: " + val);
    }
    return fn;
  };
  exports.compileTrust = function(val) {
    if (typeof val === "function")
      return val;
    if (val === true) {
      return function() {
        return true;
      };
    }
    if (typeof val === "number") {
      return function(a, i) {
        return i < val;
      };
    }
    if (typeof val === "string") {
      val = val.split(",").map(function(v2) {
        return v2.trim();
      });
    }
    return proxyaddr.compile(val || []);
  };
  exports.setCharset = function setCharset(type, charset) {
    if (!type || !charset) {
      return type;
    }
    var parsed = contentType2.parse(type);
    parsed.parameters.charset = charset;
    return contentType2.format(parsed);
  };
  function createETagGenerator(options) {
    return function generateETag(body, encoding) {
      var buf = !Buffer2.isBuffer(body) ? Buffer2.from(body, encoding) : body;
      return etag(buf, options);
    };
  }
  function parseExtendedQueryString(str) {
    return qs.parse(str, {
      allowPrototypes: true
    });
  }
  function newObject() {
    return {};
  }
});

// node_modules/express/lib/application.js
var require_application = __commonJS((exports, module) => {
  /*!
   * express
   * Copyright(c) 2009-2013 TJ Holowaychuk
   * Copyright(c) 2013 Roman Shtylman
   * Copyright(c) 2014-2015 Douglas Christopher Wilson
   * MIT Licensed
   */
  var finalhandler = require_finalhandler();
  var Router = require_router();
  var methods = require_methods();
  var middleware = require_init();
  var query = require_query();
  var debug = require_src3()("express:application");
  var View = require_view();
  var http = __require("http");
  var compileETag = require_utils2().compileETag;
  var compileQueryParser = require_utils2().compileQueryParser;
  var compileTrust = require_utils2().compileTrust;
  var deprecate = require_depd()("express");
  var flatten = require_array_flatten();
  var merge = require_utils_merge();
  var resolve = __require("path").resolve;
  var setPrototypeOf = require_setprototypeof();
  var hasOwnProperty = Object.prototype.hasOwnProperty;
  var slice = Array.prototype.slice;
  var app = exports = module.exports = {};
  var trustProxyDefaultSymbol = "@@symbol:trust_proxy_default";
  app.init = function init() {
    this.cache = {};
    this.engines = {};
    this.settings = {};
    this.defaultConfiguration();
  };
  app.defaultConfiguration = function defaultConfiguration() {
    var env = "development";
    this.enable("x-powered-by");
    this.set("etag", "weak");
    this.set("env", env);
    this.set("query parser", "extended");
    this.set("subdomain offset", 2);
    this.set("trust proxy", false);
    Object.defineProperty(this.settings, trustProxyDefaultSymbol, {
      configurable: true,
      value: true
    });
    debug("booting in %s mode", env);
    this.on("mount", function onmount(parent) {
      if (this.settings[trustProxyDefaultSymbol] === true && typeof parent.settings["trust proxy fn"] === "function") {
        delete this.settings["trust proxy"];
        delete this.settings["trust proxy fn"];
      }
      setPrototypeOf(this.request, parent.request);
      setPrototypeOf(this.response, parent.response);
      setPrototypeOf(this.engines, parent.engines);
      setPrototypeOf(this.settings, parent.settings);
    });
    this.locals = Object.create(null);
    this.mountpath = "/";
    this.locals.settings = this.settings;
    this.set("view", View);
    this.set("views", resolve("views"));
    this.set("jsonp callback name", "callback");
    if (env === "production") {
      this.enable("view cache");
    }
    Object.defineProperty(this, "router", {
      get: function() {
        throw new Error(`'app.router' is deprecated!
Please see the 3.x to 4.x migration guide for details on how to update your app.`);
      }
    });
  };
  app.lazyrouter = function lazyrouter() {
    if (!this._router) {
      this._router = new Router({
        caseSensitive: this.enabled("case sensitive routing"),
        strict: this.enabled("strict routing")
      });
      this._router.use(query(this.get("query parser fn")));
      this._router.use(middleware.init(this));
    }
  };
  app.handle = function handle(req, res, callback) {
    var router = this._router;
    var done = callback || finalhandler(req, res, {
      env: this.get("env"),
      onerror: logerror.bind(this)
    });
    if (!router) {
      debug("no routes defined on app");
      done();
      return;
    }
    router.handle(req, res, done);
  };
  app.use = function use(fn) {
    var offset = 0;
    var path = "/";
    if (typeof fn !== "function") {
      var arg = fn;
      while (Array.isArray(arg) && arg.length !== 0) {
        arg = arg[0];
      }
      if (typeof arg !== "function") {
        offset = 1;
        path = fn;
      }
    }
    var fns = flatten(slice.call(arguments, offset));
    if (fns.length === 0) {
      throw new TypeError("app.use() requires a middleware function");
    }
    this.lazyrouter();
    var router = this._router;
    fns.forEach(function(fn2) {
      if (!fn2 || !fn2.handle || !fn2.set) {
        return router.use(path, fn2);
      }
      debug(".use app under %s", path);
      fn2.mountpath = path;
      fn2.parent = this;
      router.use(path, function mounted_app(req, res, next) {
        var orig = req.app;
        fn2.handle(req, res, function(err) {
          setPrototypeOf(req, orig.request);
          setPrototypeOf(res, orig.response);
          next(err);
        });
      });
      fn2.emit("mount", this);
    }, this);
    return this;
  };
  app.route = function route(path) {
    this.lazyrouter();
    return this._router.route(path);
  };
  app.engine = function engine(ext, fn) {
    if (typeof fn !== "function") {
      throw new Error("callback function required");
    }
    var extension = ext[0] !== "." ? "." + ext : ext;
    this.engines[extension] = fn;
    return this;
  };
  app.param = function param(name, fn) {
    this.lazyrouter();
    if (Array.isArray(name)) {
      for (var i = 0;i < name.length; i++) {
        this.param(name[i], fn);
      }
      return this;
    }
    this._router.param(name, fn);
    return this;
  };
  app.set = function set(setting, val) {
    if (arguments.length === 1) {
      var settings = this.settings;
      while (settings && settings !== Object.prototype) {
        if (hasOwnProperty.call(settings, setting)) {
          return settings[setting];
        }
        settings = Object.getPrototypeOf(settings);
      }
      return;
    }
    debug('set "%s" to %o', setting, val);
    this.settings[setting] = val;
    switch (setting) {
      case "etag":
        this.set("etag fn", compileETag(val));
        break;
      case "query parser":
        this.set("query parser fn", compileQueryParser(val));
        break;
      case "trust proxy":
        this.set("trust proxy fn", compileTrust(val));
        Object.defineProperty(this.settings, trustProxyDefaultSymbol, {
          configurable: true,
          value: false
        });
        break;
    }
    return this;
  };
  app.path = function path() {
    return this.parent ? this.parent.path() + this.mountpath : "";
  };
  app.enabled = function enabled(setting) {
    return Boolean(this.set(setting));
  };
  app.disabled = function disabled(setting) {
    return !this.set(setting);
  };
  app.enable = function enable(setting) {
    return this.set(setting, true);
  };
  app.disable = function disable(setting) {
    return this.set(setting, false);
  };
  methods.forEach(function(method) {
    app[method] = function(path) {
      if (method === "get" && arguments.length === 1) {
        return this.set(path);
      }
      this.lazyrouter();
      var route = this._router.route(path);
      route[method].apply(route, slice.call(arguments, 1));
      return this;
    };
  });
  app.all = function all(path) {
    this.lazyrouter();
    var route = this._router.route(path);
    var args = slice.call(arguments, 1);
    for (var i = 0;i < methods.length; i++) {
      route[methods[i]].apply(route, args);
    }
    return this;
  };
  app.del = deprecate.function(app.delete, "app.del: Use app.delete instead");
  app.render = function render(name, options, callback) {
    var cache = this.cache;
    var done = callback;
    var engines = this.engines;
    var opts = options;
    var renderOptions = {};
    var view;
    if (typeof options === "function") {
      done = options;
      opts = {};
    }
    merge(renderOptions, this.locals);
    if (opts._locals) {
      merge(renderOptions, opts._locals);
    }
    merge(renderOptions, opts);
    if (renderOptions.cache == null) {
      renderOptions.cache = this.enabled("view cache");
    }
    if (renderOptions.cache) {
      view = cache[name];
    }
    if (!view) {
      var View2 = this.get("view");
      view = new View2(name, {
        defaultEngine: this.get("view engine"),
        root: this.get("views"),
        engines
      });
      if (!view.path) {
        var dirs = Array.isArray(view.root) && view.root.length > 1 ? 'directories "' + view.root.slice(0, -1).join('", "') + '" or "' + view.root[view.root.length - 1] + '"' : 'directory "' + view.root + '"';
        var err = new Error('Failed to lookup view "' + name + '" in views ' + dirs);
        err.view = view;
        return done(err);
      }
      if (renderOptions.cache) {
        cache[name] = view;
      }
    }
    tryRender(view, renderOptions, done);
  };
  app.listen = function listen() {
    var server = http.createServer(this);
    return server.listen.apply(server, arguments);
  };
  function logerror(err) {
    if (this.get("env") !== "test")
      console.error(err.stack || err.toString());
  }
  function tryRender(view, options, callback) {
    try {
      view.render(options, callback);
    } catch (err) {
      callback(err);
    }
  }
});

// node_modules/negotiator/lib/charset.js
var require_charset = __commonJS((exports, module) => {
  module.exports = preferredCharsets;
  module.exports.preferredCharsets = preferredCharsets;
  var simpleCharsetRegExp = /^\s*([^\s;]+)\s*(?:;(.*))?$/;
  function parseAcceptCharset(accept) {
    var accepts = accept.split(",");
    for (var i = 0, j2 = 0;i < accepts.length; i++) {
      var charset = parseCharset(accepts[i].trim(), i);
      if (charset) {
        accepts[j2++] = charset;
      }
    }
    accepts.length = j2;
    return accepts;
  }
  function parseCharset(str, i) {
    var match = simpleCharsetRegExp.exec(str);
    if (!match)
      return null;
    var charset = match[1];
    var q2 = 1;
    if (match[2]) {
      var params = match[2].split(";");
      for (var j2 = 0;j2 < params.length; j2++) {
        var p = params[j2].trim().split("=");
        if (p[0] === "q") {
          q2 = parseFloat(p[1]);
          break;
        }
      }
    }
    return {
      charset,
      q: q2,
      i
    };
  }
  function getCharsetPriority(charset, accepted, index) {
    var priority = { o: -1, q: 0, s: 0 };
    for (var i = 0;i < accepted.length; i++) {
      var spec = specify(charset, accepted[i], index);
      if (spec && (priority.s - spec.s || priority.q - spec.q || priority.o - spec.o) < 0) {
        priority = spec;
      }
    }
    return priority;
  }
  function specify(charset, spec, index) {
    var s = 0;
    if (spec.charset.toLowerCase() === charset.toLowerCase()) {
      s |= 1;
    } else if (spec.charset !== "*") {
      return null;
    }
    return {
      i: index,
      o: spec.i,
      q: spec.q,
      s
    };
  }
  function preferredCharsets(accept, provided) {
    var accepts = parseAcceptCharset(accept === undefined ? "*" : accept || "");
    if (!provided) {
      return accepts.filter(isQuality).sort(compareSpecs).map(getFullCharset);
    }
    var priorities = provided.map(function getPriority(type, index) {
      return getCharsetPriority(type, accepts, index);
    });
    return priorities.filter(isQuality).sort(compareSpecs).map(function getCharset(priority) {
      return provided[priorities.indexOf(priority)];
    });
  }
  function compareSpecs(a, b2) {
    return b2.q - a.q || b2.s - a.s || a.o - b2.o || a.i - b2.i || 0;
  }
  function getFullCharset(spec) {
    return spec.charset;
  }
  function isQuality(spec) {
    return spec.q > 0;
  }
});

// node_modules/negotiator/lib/encoding.js
var require_encoding = __commonJS((exports, module) => {
  module.exports = preferredEncodings;
  module.exports.preferredEncodings = preferredEncodings;
  var simpleEncodingRegExp = /^\s*([^\s;]+)\s*(?:;(.*))?$/;
  function parseAcceptEncoding(accept) {
    var accepts = accept.split(",");
    var hasIdentity = false;
    var minQuality = 1;
    for (var i = 0, j2 = 0;i < accepts.length; i++) {
      var encoding = parseEncoding(accepts[i].trim(), i);
      if (encoding) {
        accepts[j2++] = encoding;
        hasIdentity = hasIdentity || specify("identity", encoding);
        minQuality = Math.min(minQuality, encoding.q || 1);
      }
    }
    if (!hasIdentity) {
      accepts[j2++] = {
        encoding: "identity",
        q: minQuality,
        i
      };
    }
    accepts.length = j2;
    return accepts;
  }
  function parseEncoding(str, i) {
    var match = simpleEncodingRegExp.exec(str);
    if (!match)
      return null;
    var encoding = match[1];
    var q2 = 1;
    if (match[2]) {
      var params = match[2].split(";");
      for (var j2 = 0;j2 < params.length; j2++) {
        var p = params[j2].trim().split("=");
        if (p[0] === "q") {
          q2 = parseFloat(p[1]);
          break;
        }
      }
    }
    return {
      encoding,
      q: q2,
      i
    };
  }
  function getEncodingPriority(encoding, accepted, index) {
    var priority = { o: -1, q: 0, s: 0 };
    for (var i = 0;i < accepted.length; i++) {
      var spec = specify(encoding, accepted[i], index);
      if (spec && (priority.s - spec.s || priority.q - spec.q || priority.o - spec.o) < 0) {
        priority = spec;
      }
    }
    return priority;
  }
  function specify(encoding, spec, index) {
    var s = 0;
    if (spec.encoding.toLowerCase() === encoding.toLowerCase()) {
      s |= 1;
    } else if (spec.encoding !== "*") {
      return null;
    }
    return {
      i: index,
      o: spec.i,
      q: spec.q,
      s
    };
  }
  function preferredEncodings(accept, provided) {
    var accepts = parseAcceptEncoding(accept || "");
    if (!provided) {
      return accepts.filter(isQuality).sort(compareSpecs).map(getFullEncoding);
    }
    var priorities = provided.map(function getPriority(type, index) {
      return getEncodingPriority(type, accepts, index);
    });
    return priorities.filter(isQuality).sort(compareSpecs).map(function getEncoding(priority) {
      return provided[priorities.indexOf(priority)];
    });
  }
  function compareSpecs(a, b2) {
    return b2.q - a.q || b2.s - a.s || a.o - b2.o || a.i - b2.i || 0;
  }
  function getFullEncoding(spec) {
    return spec.encoding;
  }
  function isQuality(spec) {
    return spec.q > 0;
  }
});

// node_modules/negotiator/lib/language.js
var require_language = __commonJS((exports, module) => {
  module.exports = preferredLanguages;
  module.exports.preferredLanguages = preferredLanguages;
  var simpleLanguageRegExp = /^\s*([^\s\-;]+)(?:-([^\s;]+))?\s*(?:;(.*))?$/;
  function parseAcceptLanguage(accept) {
    var accepts = accept.split(",");
    for (var i = 0, j2 = 0;i < accepts.length; i++) {
      var language = parseLanguage(accepts[i].trim(), i);
      if (language) {
        accepts[j2++] = language;
      }
    }
    accepts.length = j2;
    return accepts;
  }
  function parseLanguage(str, i) {
    var match = simpleLanguageRegExp.exec(str);
    if (!match)
      return null;
    var prefix = match[1];
    var suffix = match[2];
    var full = prefix;
    if (suffix)
      full += "-" + suffix;
    var q2 = 1;
    if (match[3]) {
      var params = match[3].split(";");
      for (var j2 = 0;j2 < params.length; j2++) {
        var p = params[j2].split("=");
        if (p[0] === "q")
          q2 = parseFloat(p[1]);
      }
    }
    return {
      prefix,
      suffix,
      q: q2,
      i,
      full
    };
  }
  function getLanguagePriority(language, accepted, index) {
    var priority = { o: -1, q: 0, s: 0 };
    for (var i = 0;i < accepted.length; i++) {
      var spec = specify(language, accepted[i], index);
      if (spec && (priority.s - spec.s || priority.q - spec.q || priority.o - spec.o) < 0) {
        priority = spec;
      }
    }
    return priority;
  }
  function specify(language, spec, index) {
    var p = parseLanguage(language);
    if (!p)
      return null;
    var s = 0;
    if (spec.full.toLowerCase() === p.full.toLowerCase()) {
      s |= 4;
    } else if (spec.prefix.toLowerCase() === p.full.toLowerCase()) {
      s |= 2;
    } else if (spec.full.toLowerCase() === p.prefix.toLowerCase()) {
      s |= 1;
    } else if (spec.full !== "*") {
      return null;
    }
    return {
      i: index,
      o: spec.i,
      q: spec.q,
      s
    };
  }
  function preferredLanguages(accept, provided) {
    var accepts = parseAcceptLanguage(accept === undefined ? "*" : accept || "");
    if (!provided) {
      return accepts.filter(isQuality).sort(compareSpecs).map(getFullLanguage);
    }
    var priorities = provided.map(function getPriority(type, index) {
      return getLanguagePriority(type, accepts, index);
    });
    return priorities.filter(isQuality).sort(compareSpecs).map(function getLanguage(priority) {
      return provided[priorities.indexOf(priority)];
    });
  }
  function compareSpecs(a, b2) {
    return b2.q - a.q || b2.s - a.s || a.o - b2.o || a.i - b2.i || 0;
  }
  function getFullLanguage(spec) {
    return spec.full;
  }
  function isQuality(spec) {
    return spec.q > 0;
  }
});

// node_modules/negotiator/lib/mediaType.js
var require_mediaType = __commonJS((exports, module) => {
  module.exports = preferredMediaTypes;
  module.exports.preferredMediaTypes = preferredMediaTypes;
  var simpleMediaTypeRegExp = /^\s*([^\s\/;]+)\/([^;\s]+)\s*(?:;(.*))?$/;
  function parseAccept(accept) {
    var accepts = splitMediaTypes(accept);
    for (var i = 0, j2 = 0;i < accepts.length; i++) {
      var mediaType = parseMediaType(accepts[i].trim(), i);
      if (mediaType) {
        accepts[j2++] = mediaType;
      }
    }
    accepts.length = j2;
    return accepts;
  }
  function parseMediaType(str, i) {
    var match = simpleMediaTypeRegExp.exec(str);
    if (!match)
      return null;
    var params = Object.create(null);
    var q2 = 1;
    var subtype = match[2];
    var type = match[1];
    if (match[3]) {
      var kvps = splitParameters(match[3]).map(splitKeyValuePair);
      for (var j2 = 0;j2 < kvps.length; j2++) {
        var pair = kvps[j2];
        var key = pair[0].toLowerCase();
        var val = pair[1];
        var value = val && val[0] === '"' && val[val.length - 1] === '"' ? val.substr(1, val.length - 2) : val;
        if (key === "q") {
          q2 = parseFloat(value);
          break;
        }
        params[key] = value;
      }
    }
    return {
      type,
      subtype,
      params,
      q: q2,
      i
    };
  }
  function getMediaTypePriority(type, accepted, index) {
    var priority = { o: -1, q: 0, s: 0 };
    for (var i = 0;i < accepted.length; i++) {
      var spec = specify(type, accepted[i], index);
      if (spec && (priority.s - spec.s || priority.q - spec.q || priority.o - spec.o) < 0) {
        priority = spec;
      }
    }
    return priority;
  }
  function specify(type, spec, index) {
    var p = parseMediaType(type);
    var s = 0;
    if (!p) {
      return null;
    }
    if (spec.type.toLowerCase() == p.type.toLowerCase()) {
      s |= 4;
    } else if (spec.type != "*") {
      return null;
    }
    if (spec.subtype.toLowerCase() == p.subtype.toLowerCase()) {
      s |= 2;
    } else if (spec.subtype != "*") {
      return null;
    }
    var keys = Object.keys(spec.params);
    if (keys.length > 0) {
      if (keys.every(function(k2) {
        return spec.params[k2] == "*" || (spec.params[k2] || "").toLowerCase() == (p.params[k2] || "").toLowerCase();
      })) {
        s |= 1;
      } else {
        return null;
      }
    }
    return {
      i: index,
      o: spec.i,
      q: spec.q,
      s
    };
  }
  function preferredMediaTypes(accept, provided) {
    var accepts = parseAccept(accept === undefined ? "*/*" : accept || "");
    if (!provided) {
      return accepts.filter(isQuality).sort(compareSpecs).map(getFullType);
    }
    var priorities = provided.map(function getPriority(type, index) {
      return getMediaTypePriority(type, accepts, index);
    });
    return priorities.filter(isQuality).sort(compareSpecs).map(function getType(priority) {
      return provided[priorities.indexOf(priority)];
    });
  }
  function compareSpecs(a, b2) {
    return b2.q - a.q || b2.s - a.s || a.o - b2.o || a.i - b2.i || 0;
  }
  function getFullType(spec) {
    return spec.type + "/" + spec.subtype;
  }
  function isQuality(spec) {
    return spec.q > 0;
  }
  function quoteCount(string) {
    var count = 0;
    var index = 0;
    while ((index = string.indexOf('"', index)) !== -1) {
      count++;
      index++;
    }
    return count;
  }
  function splitKeyValuePair(str) {
    var index = str.indexOf("=");
    var key;
    var val;
    if (index === -1) {
      key = str;
    } else {
      key = str.substr(0, index);
      val = str.substr(index + 1);
    }
    return [key, val];
  }
  function splitMediaTypes(accept) {
    var accepts = accept.split(",");
    for (var i = 1, j2 = 0;i < accepts.length; i++) {
      if (quoteCount(accepts[j2]) % 2 == 0) {
        accepts[++j2] = accepts[i];
      } else {
        accepts[j2] += "," + accepts[i];
      }
    }
    accepts.length = j2 + 1;
    return accepts;
  }
  function splitParameters(str) {
    var parameters = str.split(";");
    for (var i = 1, j2 = 0;i < parameters.length; i++) {
      if (quoteCount(parameters[j2]) % 2 == 0) {
        parameters[++j2] = parameters[i];
      } else {
        parameters[j2] += ";" + parameters[i];
      }
    }
    parameters.length = j2 + 1;
    for (var i = 0;i < parameters.length; i++) {
      parameters[i] = parameters[i].trim();
    }
    return parameters;
  }
});

// node_modules/negotiator/index.js
var require_negotiator = __commonJS((exports, module) => {
  /*!
   * negotiator
   * Copyright(c) 2012 Federico Romero
   * Copyright(c) 2012-2014 Isaac Z. Schlueter
   * Copyright(c) 2015 Douglas Christopher Wilson
   * MIT Licensed
   */
  var preferredCharsets = require_charset();
  var preferredEncodings = require_encoding();
  var preferredLanguages = require_language();
  var preferredMediaTypes = require_mediaType();
  module.exports = Negotiator;
  module.exports.Negotiator = Negotiator;
  function Negotiator(request) {
    if (!(this instanceof Negotiator)) {
      return new Negotiator(request);
    }
    this.request = request;
  }
  Negotiator.prototype.charset = function charset(available) {
    var set = this.charsets(available);
    return set && set[0];
  };
  Negotiator.prototype.charsets = function charsets(available) {
    return preferredCharsets(this.request.headers["accept-charset"], available);
  };
  Negotiator.prototype.encoding = function encoding(available) {
    var set = this.encodings(available);
    return set && set[0];
  };
  Negotiator.prototype.encodings = function encodings(available) {
    return preferredEncodings(this.request.headers["accept-encoding"], available);
  };
  Negotiator.prototype.language = function language(available) {
    var set = this.languages(available);
    return set && set[0];
  };
  Negotiator.prototype.languages = function languages(available) {
    return preferredLanguages(this.request.headers["accept-language"], available);
  };
  Negotiator.prototype.mediaType = function mediaType(available) {
    var set = this.mediaTypes(available);
    return set && set[0];
  };
  Negotiator.prototype.mediaTypes = function mediaTypes(available) {
    return preferredMediaTypes(this.request.headers.accept, available);
  };
  Negotiator.prototype.preferredCharset = Negotiator.prototype.charset;
  Negotiator.prototype.preferredCharsets = Negotiator.prototype.charsets;
  Negotiator.prototype.preferredEncoding = Negotiator.prototype.encoding;
  Negotiator.prototype.preferredEncodings = Negotiator.prototype.encodings;
  Negotiator.prototype.preferredLanguage = Negotiator.prototype.language;
  Negotiator.prototype.preferredLanguages = Negotiator.prototype.languages;
  Negotiator.prototype.preferredMediaType = Negotiator.prototype.mediaType;
  Negotiator.prototype.preferredMediaTypes = Negotiator.prototype.mediaTypes;
});

// node_modules/accepts/index.js
var require_accepts = __commonJS((exports, module) => {
  /*!
   * accepts
   * Copyright(c) 2014 Jonathan Ong
   * Copyright(c) 2015 Douglas Christopher Wilson
   * MIT Licensed
   */
  var Negotiator = require_negotiator();
  var mime = require_mime_types();
  module.exports = Accepts;
  function Accepts(req) {
    if (!(this instanceof Accepts)) {
      return new Accepts(req);
    }
    this.headers = req.headers;
    this.negotiator = new Negotiator(req);
  }
  Accepts.prototype.type = Accepts.prototype.types = function(types_) {
    var types2 = types_;
    if (types2 && !Array.isArray(types2)) {
      types2 = new Array(arguments.length);
      for (var i = 0;i < types2.length; i++) {
        types2[i] = arguments[i];
      }
    }
    if (!types2 || types2.length === 0) {
      return this.negotiator.mediaTypes();
    }
    if (!this.headers.accept) {
      return types2[0];
    }
    var mimes = types2.map(extToMime);
    var accepts = this.negotiator.mediaTypes(mimes.filter(validMime));
    var first = accepts[0];
    return first ? types2[mimes.indexOf(first)] : false;
  };
  Accepts.prototype.encoding = Accepts.prototype.encodings = function(encodings_) {
    var encodings = encodings_;
    if (encodings && !Array.isArray(encodings)) {
      encodings = new Array(arguments.length);
      for (var i = 0;i < encodings.length; i++) {
        encodings[i] = arguments[i];
      }
    }
    if (!encodings || encodings.length === 0) {
      return this.negotiator.encodings();
    }
    return this.negotiator.encodings(encodings)[0] || false;
  };
  Accepts.prototype.charset = Accepts.prototype.charsets = function(charsets_) {
    var charsets = charsets_;
    if (charsets && !Array.isArray(charsets)) {
      charsets = new Array(arguments.length);
      for (var i = 0;i < charsets.length; i++) {
        charsets[i] = arguments[i];
      }
    }
    if (!charsets || charsets.length === 0) {
      return this.negotiator.charsets();
    }
    return this.negotiator.charsets(charsets)[0] || false;
  };
  Accepts.prototype.lang = Accepts.prototype.langs = Accepts.prototype.language = Accepts.prototype.languages = function(languages_) {
    var languages = languages_;
    if (languages && !Array.isArray(languages)) {
      languages = new Array(arguments.length);
      for (var i = 0;i < languages.length; i++) {
        languages[i] = arguments[i];
      }
    }
    if (!languages || languages.length === 0) {
      return this.negotiator.languages();
    }
    return this.negotiator.languages(languages)[0] || false;
  };
  function extToMime(type) {
    return type.indexOf("/") === -1 ? mime.lookup(type) : type;
  }
  function validMime(type) {
    return typeof type === "string";
  }
});

// node_modules/express/lib/request.js
var require_request = __commonJS((exports, module) => {
  /*!
   * express
   * Copyright(c) 2009-2013 TJ Holowaychuk
   * Copyright(c) 2013 Roman Shtylman
   * Copyright(c) 2014-2015 Douglas Christopher Wilson
   * MIT Licensed
   */
  var accepts = require_accepts();
  var deprecate = require_depd()("express");
  var isIP = __require("net").isIP;
  var typeis = require_type_is();
  var http = __require("http");
  var fresh = require_fresh();
  var parseRange = require_range_parser();
  var parse = require_parseurl();
  var proxyaddr = require_proxy_addr();
  var req = Object.create(http.IncomingMessage.prototype);
  module.exports = req;
  req.get = req.header = function header(name) {
    if (!name) {
      throw new TypeError("name argument is required to req.get");
    }
    if (typeof name !== "string") {
      throw new TypeError("name must be a string to req.get");
    }
    var lc = name.toLowerCase();
    switch (lc) {
      case "referer":
      case "referrer":
        return this.headers.referrer || this.headers.referer;
      default:
        return this.headers[lc];
    }
  };
  req.accepts = function() {
    var accept = accepts(this);
    return accept.types.apply(accept, arguments);
  };
  req.acceptsEncodings = function() {
    var accept = accepts(this);
    return accept.encodings.apply(accept, arguments);
  };
  req.acceptsEncoding = deprecate.function(req.acceptsEncodings, "req.acceptsEncoding: Use acceptsEncodings instead");
  req.acceptsCharsets = function() {
    var accept = accepts(this);
    return accept.charsets.apply(accept, arguments);
  };
  req.acceptsCharset = deprecate.function(req.acceptsCharsets, "req.acceptsCharset: Use acceptsCharsets instead");
  req.acceptsLanguages = function() {
    var accept = accepts(this);
    return accept.languages.apply(accept, arguments);
  };
  req.acceptsLanguage = deprecate.function(req.acceptsLanguages, "req.acceptsLanguage: Use acceptsLanguages instead");
  req.range = function range(size, options) {
    var range = this.get("Range");
    if (!range)
      return;
    return parseRange(size, range, options);
  };
  req.param = function param(name, defaultValue) {
    var params = this.params || {};
    var body = this.body || {};
    var query = this.query || {};
    var args = arguments.length === 1 ? "name" : "name, default";
    deprecate("req.param(" + args + "): Use req.params, req.body, or req.query instead");
    if (params[name] != null && params.hasOwnProperty(name))
      return params[name];
    if (body[name] != null)
      return body[name];
    if (query[name] != null)
      return query[name];
    return defaultValue;
  };
  req.is = function is(types2) {
    var arr = types2;
    if (!Array.isArray(types2)) {
      arr = new Array(arguments.length);
      for (var i = 0;i < arr.length; i++) {
        arr[i] = arguments[i];
      }
    }
    return typeis(this, arr);
  };
  defineGetter(req, "protocol", function protocol() {
    var proto = this.connection.encrypted ? "https" : "http";
    var trust = this.app.get("trust proxy fn");
    if (!trust(this.connection.remoteAddress, 0)) {
      return proto;
    }
    var header = this.get("X-Forwarded-Proto") || proto;
    var index = header.indexOf(",");
    return index !== -1 ? header.substring(0, index).trim() : header.trim();
  });
  defineGetter(req, "secure", function secure() {
    return this.protocol === "https";
  });
  defineGetter(req, "ip", function ip() {
    var trust = this.app.get("trust proxy fn");
    return proxyaddr(this, trust);
  });
  defineGetter(req, "ips", function ips() {
    var trust = this.app.get("trust proxy fn");
    var addrs = proxyaddr.all(this, trust);
    addrs.reverse().pop();
    return addrs;
  });
  defineGetter(req, "subdomains", function subdomains() {
    var hostname = this.hostname;
    if (!hostname)
      return [];
    var offset = this.app.get("subdomain offset");
    var subdomains = !isIP(hostname) ? hostname.split(".").reverse() : [hostname];
    return subdomains.slice(offset);
  });
  defineGetter(req, "path", function path() {
    return parse(this).pathname;
  });
  defineGetter(req, "hostname", function hostname() {
    var trust = this.app.get("trust proxy fn");
    var host = this.get("X-Forwarded-Host");
    if (!host || !trust(this.connection.remoteAddress, 0)) {
      host = this.get("Host");
    } else if (host.indexOf(",") !== -1) {
      host = host.substring(0, host.indexOf(",")).trimRight();
    }
    if (!host)
      return;
    var offset = host[0] === "[" ? host.indexOf("]") + 1 : 0;
    var index = host.indexOf(":", offset);
    return index !== -1 ? host.substring(0, index) : host;
  });
  defineGetter(req, "host", deprecate.function(function host() {
    return this.hostname;
  }, "req.host: Use req.hostname instead"));
  defineGetter(req, "fresh", function() {
    var method = this.method;
    var res = this.res;
    var status = res.statusCode;
    if (method !== "GET" && method !== "HEAD")
      return false;
    if (status >= 200 && status < 300 || status === 304) {
      return fresh(this.headers, {
        etag: res.get("ETag"),
        "last-modified": res.get("Last-Modified")
      });
    }
    return false;
  });
  defineGetter(req, "stale", function stale() {
    return !this.fresh;
  });
  defineGetter(req, "xhr", function xhr() {
    var val = this.get("X-Requested-With") || "";
    return val.toLowerCase() === "xmlhttprequest";
  });
  function defineGetter(obj, name, getter) {
    Object.defineProperty(obj, name, {
      configurable: true,
      enumerable: true,
      get: getter
    });
  }
});

// node_modules/cookie-signature/index.js
var require_cookie_signature = __commonJS((exports) => {
  var crypto = __require("crypto");
  exports.sign = function(val, secret) {
    if (typeof val != "string")
      throw new TypeError("Cookie value must be provided as a string.");
    if (typeof secret != "string")
      throw new TypeError("Secret string must be provided.");
    return val + "." + crypto.createHmac("sha256", secret).update(val).digest("base64").replace(/\=+$/, "");
  };
  exports.unsign = function(val, secret) {
    if (typeof val != "string")
      throw new TypeError("Signed cookie string must be provided.");
    if (typeof secret != "string")
      throw new TypeError("Secret string must be provided.");
    var str = val.slice(0, val.lastIndexOf(".")), mac = exports.sign(str, secret);
    return sha1(mac) == sha1(val) ? str : false;
  };
  function sha1(str) {
    return crypto.createHash("sha1").update(str).digest("hex");
  }
});

// node_modules/cookie/index.js
var require_cookie = __commonJS((exports) => {
  /*!
   * cookie
   * Copyright(c) 2012-2014 Roman Shtylman
   * Copyright(c) 2015 Douglas Christopher Wilson
   * MIT Licensed
   */
  exports.parse = parse;
  exports.serialize = serialize;
  var __toString = Object.prototype.toString;
  var cookieNameRegExp = /^[!#$%&'*+\-.^_`|~0-9A-Za-z]+$/;
  var cookieValueRegExp = /^("?)[\u0021\u0023-\u002B\u002D-\u003A\u003C-\u005B\u005D-\u007E]*\1$/;
  var domainValueRegExp = /^([.]?[a-z0-9]([a-z0-9-]{0,61}[a-z0-9])?)([.][a-z0-9]([a-z0-9-]{0,61}[a-z0-9])?)*$/i;
  var pathValueRegExp = /^[\u0020-\u003A\u003D-\u007E]*$/;
  function parse(str, opt) {
    if (typeof str !== "string") {
      throw new TypeError("argument str must be a string");
    }
    var obj = {};
    var len = str.length;
    if (len < 2)
      return obj;
    var dec = opt && opt.decode || decode;
    var index = 0;
    var eqIdx = 0;
    var endIdx = 0;
    do {
      eqIdx = str.indexOf("=", index);
      if (eqIdx === -1)
        break;
      endIdx = str.indexOf(";", index);
      if (endIdx === -1) {
        endIdx = len;
      } else if (eqIdx > endIdx) {
        index = str.lastIndexOf(";", eqIdx - 1) + 1;
        continue;
      }
      var keyStartIdx = startIndex(str, index, eqIdx);
      var keyEndIdx = endIndex(str, eqIdx, keyStartIdx);
      var key = str.slice(keyStartIdx, keyEndIdx);
      if (!obj.hasOwnProperty(key)) {
        var valStartIdx = startIndex(str, eqIdx + 1, endIdx);
        var valEndIdx = endIndex(str, endIdx, valStartIdx);
        if (str.charCodeAt(valStartIdx) === 34 && str.charCodeAt(valEndIdx - 1) === 34) {
          valStartIdx++;
          valEndIdx--;
        }
        var val = str.slice(valStartIdx, valEndIdx);
        obj[key] = tryDecode(val, dec);
      }
      index = endIdx + 1;
    } while (index < len);
    return obj;
  }
  function startIndex(str, index, max) {
    do {
      var code = str.charCodeAt(index);
      if (code !== 32 && code !== 9)
        return index;
    } while (++index < max);
    return max;
  }
  function endIndex(str, index, min) {
    while (index > min) {
      var code = str.charCodeAt(--index);
      if (code !== 32 && code !== 9)
        return index + 1;
    }
    return min;
  }
  function serialize(name, val, opt) {
    var enc = opt && opt.encode || encodeURIComponent;
    if (typeof enc !== "function") {
      throw new TypeError("option encode is invalid");
    }
    if (!cookieNameRegExp.test(name)) {
      throw new TypeError("argument name is invalid");
    }
    var value = enc(val);
    if (!cookieValueRegExp.test(value)) {
      throw new TypeError("argument val is invalid");
    }
    var str = name + "=" + value;
    if (!opt)
      return str;
    if (opt.maxAge != null) {
      var maxAge = Math.floor(opt.maxAge);
      if (!isFinite(maxAge)) {
        throw new TypeError("option maxAge is invalid");
      }
      str += "; Max-Age=" + maxAge;
    }
    if (opt.domain) {
      if (!domainValueRegExp.test(opt.domain)) {
        throw new TypeError("option domain is invalid");
      }
      str += "; Domain=" + opt.domain;
    }
    if (opt.path) {
      if (!pathValueRegExp.test(opt.path)) {
        throw new TypeError("option path is invalid");
      }
      str += "; Path=" + opt.path;
    }
    if (opt.expires) {
      var expires = opt.expires;
      if (!isDate(expires) || isNaN(expires.valueOf())) {
        throw new TypeError("option expires is invalid");
      }
      str += "; Expires=" + expires.toUTCString();
    }
    if (opt.httpOnly) {
      str += "; HttpOnly";
    }
    if (opt.secure) {
      str += "; Secure";
    }
    if (opt.partitioned) {
      str += "; Partitioned";
    }
    if (opt.priority) {
      var priority = typeof opt.priority === "string" ? opt.priority.toLowerCase() : opt.priority;
      switch (priority) {
        case "low":
          str += "; Priority=Low";
          break;
        case "medium":
          str += "; Priority=Medium";
          break;
        case "high":
          str += "; Priority=High";
          break;
        default:
          throw new TypeError("option priority is invalid");
      }
    }
    if (opt.sameSite) {
      var sameSite = typeof opt.sameSite === "string" ? opt.sameSite.toLowerCase() : opt.sameSite;
      switch (sameSite) {
        case true:
          str += "; SameSite=Strict";
          break;
        case "lax":
          str += "; SameSite=Lax";
          break;
        case "strict":
          str += "; SameSite=Strict";
          break;
        case "none":
          str += "; SameSite=None";
          break;
        default:
          throw new TypeError("option sameSite is invalid");
      }
    }
    return str;
  }
  function decode(str) {
    return str.indexOf("%") !== -1 ? decodeURIComponent(str) : str;
  }
  function isDate(val) {
    return __toString.call(val) === "[object Date]";
  }
  function tryDecode(str, decode2) {
    try {
      return decode2(str);
    } catch (e) {
      return str;
    }
  }
});

// node_modules/vary/index.js
var require_vary = __commonJS((exports, module) => {
  /*!
   * vary
   * Copyright(c) 2014-2017 Douglas Christopher Wilson
   * MIT Licensed
   */
  module.exports = vary;
  module.exports.append = append;
  var FIELD_NAME_REGEXP = /^[!#$%&'*+\-.^_`|~0-9A-Za-z]+$/;
  function append(header, field) {
    if (typeof header !== "string") {
      throw new TypeError("header argument is required");
    }
    if (!field) {
      throw new TypeError("field argument is required");
    }
    var fields = !Array.isArray(field) ? parse(String(field)) : field;
    for (var j2 = 0;j2 < fields.length; j2++) {
      if (!FIELD_NAME_REGEXP.test(fields[j2])) {
        throw new TypeError("field argument contains an invalid header name");
      }
    }
    if (header === "*") {
      return header;
    }
    var val = header;
    var vals = parse(header.toLowerCase());
    if (fields.indexOf("*") !== -1 || vals.indexOf("*") !== -1) {
      return "*";
    }
    for (var i = 0;i < fields.length; i++) {
      var fld = fields[i].toLowerCase();
      if (vals.indexOf(fld) === -1) {
        vals.push(fld);
        val = val ? val + ", " + fields[i] : fields[i];
      }
    }
    return val;
  }
  function parse(header) {
    var end = 0;
    var list = [];
    var start = 0;
    for (var i = 0, len = header.length;i < len; i++) {
      switch (header.charCodeAt(i)) {
        case 32:
          if (start === end) {
            start = end = i + 1;
          }
          break;
        case 44:
          list.push(header.substring(start, end));
          start = end = i + 1;
          break;
        default:
          end = i + 1;
          break;
      }
    }
    list.push(header.substring(start, end));
    return list;
  }
  function vary(res, field) {
    if (!res || !res.getHeader || !res.setHeader) {
      throw new TypeError("res argument is required");
    }
    var val = res.getHeader("Vary") || "";
    var header = Array.isArray(val) ? val.join(", ") : String(val);
    if (val = append(header, field)) {
      res.setHeader("Vary", val);
    }
  }
});

// node_modules/express/lib/response.js
var require_response = __commonJS((exports, module) => {
  /*!
   * express
   * Copyright(c) 2009-2013 TJ Holowaychuk
   * Copyright(c) 2014-2015 Douglas Christopher Wilson
   * MIT Licensed
   */
  var Buffer2 = require_safe_buffer().Buffer;
  var contentDisposition = require_content_disposition();
  var createError = require_http_errors();
  var deprecate = require_depd()("express");
  var encodeUrl = require_encodeurl();
  var escapeHtml = require_escape_html();
  var http = __require("http");
  var isAbsolute = require_utils2().isAbsolute;
  var onFinished = require_on_finished();
  var path = __require("path");
  var statuses = require_statuses();
  var merge = require_utils_merge();
  var sign = require_cookie_signature().sign;
  var normalizeType = require_utils2().normalizeType;
  var normalizeTypes = require_utils2().normalizeTypes;
  var setCharset = require_utils2().setCharset;
  var cookie = require_cookie();
  var send = require_send();
  var extname = path.extname;
  var mime = send.mime;
  var resolve = path.resolve;
  var vary = require_vary();
  var res = Object.create(http.ServerResponse.prototype);
  module.exports = res;
  var charsetRegExp = /;\s*charset\s*=/;
  res.status = function status(code) {
    if ((typeof code === "string" || Math.floor(code) !== code) && code > 99 && code < 1000) {
      deprecate("res.status(" + JSON.stringify(code) + "): use res.status(" + Math.floor(code) + ") instead");
    }
    this.statusCode = code;
    return this;
  };
  res.links = function(links) {
    var link = this.get("Link") || "";
    if (link)
      link += ", ";
    return this.set("Link", link + Object.keys(links).map(function(rel) {
      return "<" + links[rel] + '>; rel="' + rel + '"';
    }).join(", "));
  };
  res.send = function send(body) {
    var chunk = body;
    var encoding;
    var req = this.req;
    var type;
    var app = this.app;
    if (arguments.length === 2) {
      if (typeof arguments[0] !== "number" && typeof arguments[1] === "number") {
        deprecate("res.send(body, status): Use res.status(status).send(body) instead");
        this.statusCode = arguments[1];
      } else {
        deprecate("res.send(status, body): Use res.status(status).send(body) instead");
        this.statusCode = arguments[0];
        chunk = arguments[1];
      }
    }
    if (typeof chunk === "number" && arguments.length === 1) {
      if (!this.get("Content-Type")) {
        this.type("txt");
      }
      deprecate("res.send(status): Use res.sendStatus(status) instead");
      this.statusCode = chunk;
      chunk = statuses.message[chunk];
    }
    switch (typeof chunk) {
      case "string":
        if (!this.get("Content-Type")) {
          this.type("html");
        }
        break;
      case "boolean":
      case "number":
      case "object":
        if (chunk === null) {
          chunk = "";
        } else if (Buffer2.isBuffer(chunk)) {
          if (!this.get("Content-Type")) {
            this.type("bin");
          }
        } else {
          return this.json(chunk);
        }
        break;
    }
    if (typeof chunk === "string") {
      encoding = "utf8";
      type = this.get("Content-Type");
      if (typeof type === "string") {
        this.set("Content-Type", setCharset(type, "utf-8"));
      }
    }
    var etagFn = app.get("etag fn");
    var generateETag = !this.get("ETag") && typeof etagFn === "function";
    var len;
    if (chunk !== undefined) {
      if (Buffer2.isBuffer(chunk)) {
        len = chunk.length;
      } else if (!generateETag && chunk.length < 1000) {
        len = Buffer2.byteLength(chunk, encoding);
      } else {
        chunk = Buffer2.from(chunk, encoding);
        encoding = undefined;
        len = chunk.length;
      }
      this.set("Content-Length", len);
    }
    var etag;
    if (generateETag && len !== undefined) {
      if (etag = etagFn(chunk, encoding)) {
        this.set("ETag", etag);
      }
    }
    if (req.fresh)
      this.statusCode = 304;
    if (this.statusCode === 204 || this.statusCode === 304) {
      this.removeHeader("Content-Type");
      this.removeHeader("Content-Length");
      this.removeHeader("Transfer-Encoding");
      chunk = "";
    }
    if (this.statusCode === 205) {
      this.set("Content-Length", "0");
      this.removeHeader("Transfer-Encoding");
      chunk = "";
    }
    if (req.method === "HEAD") {
      this.end();
    } else {
      this.end(chunk, encoding);
    }
    return this;
  };
  res.json = function json(obj) {
    var val = obj;
    if (arguments.length === 2) {
      if (typeof arguments[1] === "number") {
        deprecate("res.json(obj, status): Use res.status(status).json(obj) instead");
        this.statusCode = arguments[1];
      } else {
        deprecate("res.json(status, obj): Use res.status(status).json(obj) instead");
        this.statusCode = arguments[0];
        val = arguments[1];
      }
    }
    var app = this.app;
    var escape2 = app.get("json escape");
    var replacer = app.get("json replacer");
    var spaces = app.get("json spaces");
    var body = stringify(val, replacer, spaces, escape2);
    if (!this.get("Content-Type")) {
      this.set("Content-Type", "application/json");
    }
    return this.send(body);
  };
  res.jsonp = function jsonp(obj) {
    var val = obj;
    if (arguments.length === 2) {
      if (typeof arguments[1] === "number") {
        deprecate("res.jsonp(obj, status): Use res.status(status).jsonp(obj) instead");
        this.statusCode = arguments[1];
      } else {
        deprecate("res.jsonp(status, obj): Use res.status(status).jsonp(obj) instead");
        this.statusCode = arguments[0];
        val = arguments[1];
      }
    }
    var app = this.app;
    var escape2 = app.get("json escape");
    var replacer = app.get("json replacer");
    var spaces = app.get("json spaces");
    var body = stringify(val, replacer, spaces, escape2);
    var callback = this.req.query[app.get("jsonp callback name")];
    if (!this.get("Content-Type")) {
      this.set("X-Content-Type-Options", "nosniff");
      this.set("Content-Type", "application/json");
    }
    if (Array.isArray(callback)) {
      callback = callback[0];
    }
    if (typeof callback === "string" && callback.length !== 0) {
      this.set("X-Content-Type-Options", "nosniff");
      this.set("Content-Type", "text/javascript");
      callback = callback.replace(/[^\[\]\w$.]/g, "");
      if (body === undefined) {
        body = "";
      } else if (typeof body === "string") {
        body = body.replace(/\u2028/g, "\\u2028").replace(/\u2029/g, "\\u2029");
      }
      body = "/**/ typeof " + callback + " === 'function' && " + callback + "(" + body + ");";
    }
    return this.send(body);
  };
  res.sendStatus = function sendStatus(statusCode) {
    var body = statuses.message[statusCode] || String(statusCode);
    this.statusCode = statusCode;
    this.type("txt");
    return this.send(body);
  };
  res.sendFile = function sendFile(path2, options, callback) {
    var done = callback;
    var req = this.req;
    var res2 = this;
    var next = req.next;
    var opts = options || {};
    if (!path2) {
      throw new TypeError("path argument is required to res.sendFile");
    }
    if (typeof path2 !== "string") {
      throw new TypeError("path must be a string to res.sendFile");
    }
    if (typeof options === "function") {
      done = options;
      opts = {};
    }
    if (!opts.root && !isAbsolute(path2)) {
      throw new TypeError("path must be absolute or specify root to res.sendFile");
    }
    var pathname = encodeURI(path2);
    var file = send(req, pathname, opts);
    sendfile(res2, file, opts, function(err) {
      if (done)
        return done(err);
      if (err && err.code === "EISDIR")
        return next();
      if (err && err.code !== "ECONNABORTED" && err.syscall !== "write") {
        next(err);
      }
    });
  };
  res.sendfile = function(path2, options, callback) {
    var done = callback;
    var req = this.req;
    var res2 = this;
    var next = req.next;
    var opts = options || {};
    if (typeof options === "function") {
      done = options;
      opts = {};
    }
    var file = send(req, path2, opts);
    sendfile(res2, file, opts, function(err) {
      if (done)
        return done(err);
      if (err && err.code === "EISDIR")
        return next();
      if (err && err.code !== "ECONNABORTED" && err.syscall !== "write") {
        next(err);
      }
    });
  };
  res.sendfile = deprecate.function(res.sendfile, "res.sendfile: Use res.sendFile instead");
  res.download = function download(path2, filename, options, callback) {
    var done = callback;
    var name = filename;
    var opts = options || null;
    if (typeof filename === "function") {
      done = filename;
      name = null;
      opts = null;
    } else if (typeof options === "function") {
      done = options;
      opts = null;
    }
    if (typeof filename === "object" && (typeof options === "function" || options === undefined)) {
      name = null;
      opts = filename;
    }
    var headers = {
      "Content-Disposition": contentDisposition(name || path2)
    };
    if (opts && opts.headers) {
      var keys = Object.keys(opts.headers);
      for (var i = 0;i < keys.length; i++) {
        var key = keys[i];
        if (key.toLowerCase() !== "content-disposition") {
          headers[key] = opts.headers[key];
        }
      }
    }
    opts = Object.create(opts);
    opts.headers = headers;
    var fullPath = !opts.root ? resolve(path2) : path2;
    return this.sendFile(fullPath, opts, done);
  };
  res.contentType = res.type = function contentType(type) {
    var ct = type.indexOf("/") === -1 ? mime.lookup(type) : type;
    return this.set("Content-Type", ct);
  };
  res.format = function(obj) {
    var req = this.req;
    var next = req.next;
    var keys = Object.keys(obj).filter(function(v2) {
      return v2 !== "default";
    });
    var key = keys.length > 0 ? req.accepts(keys) : false;
    this.vary("Accept");
    if (key) {
      this.set("Content-Type", normalizeType(key).value);
      obj[key](req, this, next);
    } else if (obj.default) {
      obj.default(req, this, next);
    } else {
      next(createError(406, {
        types: normalizeTypes(keys).map(function(o) {
          return o.value;
        })
      }));
    }
    return this;
  };
  res.attachment = function attachment(filename) {
    if (filename) {
      this.type(extname(filename));
    }
    this.set("Content-Disposition", contentDisposition(filename));
    return this;
  };
  res.append = function append(field, val) {
    var prev = this.get(field);
    var value = val;
    if (prev) {
      value = Array.isArray(prev) ? prev.concat(val) : Array.isArray(val) ? [prev].concat(val) : [prev, val];
    }
    return this.set(field, value);
  };
  res.set = res.header = function header(field, val) {
    if (arguments.length === 2) {
      var value = Array.isArray(val) ? val.map(String) : String(val);
      if (field.toLowerCase() === "content-type") {
        if (Array.isArray(value)) {
          throw new TypeError("Content-Type cannot be set to an Array");
        }
        if (!charsetRegExp.test(value)) {
          var charset = mime.charsets.lookup(value.split(";")[0]);
          if (charset)
            value += "; charset=" + charset.toLowerCase();
        }
      }
      this.setHeader(field, value);
    } else {
      for (var key in field) {
        this.set(key, field[key]);
      }
    }
    return this;
  };
  res.get = function(field) {
    return this.getHeader(field);
  };
  res.clearCookie = function clearCookie(name, options) {
    if (options) {
      if (options.maxAge) {
        deprecate('res.clearCookie: Passing "options.maxAge" is deprecated. In v5.0.0 of Express, this option will be ignored, as res.clearCookie will automatically set cookies to expire immediately. Please update your code to omit this option.');
      }
      if (options.expires) {
        deprecate('res.clearCookie: Passing "options.expires" is deprecated. In v5.0.0 of Express, this option will be ignored, as res.clearCookie will automatically set cookies to expire immediately. Please update your code to omit this option.');
      }
    }
    var opts = merge({ expires: new Date(1), path: "/" }, options);
    return this.cookie(name, "", opts);
  };
  res.cookie = function(name, value, options) {
    var opts = merge({}, options);
    var secret = this.req.secret;
    var signed = opts.signed;
    if (signed && !secret) {
      throw new Error('cookieParser("secret") required for signed cookies');
    }
    var val = typeof value === "object" ? "j:" + JSON.stringify(value) : String(value);
    if (signed) {
      val = "s:" + sign(val, secret);
    }
    if (opts.maxAge != null) {
      var maxAge = opts.maxAge - 0;
      if (!isNaN(maxAge)) {
        opts.expires = new Date(Date.now() + maxAge);
        opts.maxAge = Math.floor(maxAge / 1000);
      }
    }
    if (opts.path == null) {
      opts.path = "/";
    }
    this.append("Set-Cookie", cookie.serialize(name, String(val), opts));
    return this;
  };
  res.location = function location(url) {
    var loc;
    if (url === "back") {
      deprecate('res.location("back"): use res.location(req.get("Referrer") || "/") and refer to https://dub.sh/security-redirect for best practices');
      loc = this.req.get("Referrer") || "/";
    } else {
      loc = String(url);
    }
    return this.set("Location", encodeUrl(loc));
  };
  res.redirect = function redirect(url) {
    var address = url;
    var body;
    var status = 302;
    if (arguments.length === 2) {
      if (typeof arguments[0] === "number") {
        status = arguments[0];
        address = arguments[1];
      } else {
        deprecate("res.redirect(url, status): Use res.redirect(status, url) instead");
        status = arguments[1];
      }
    }
    address = this.location(address).get("Location");
    this.format({
      text: function() {
        body = statuses.message[status] + ". Redirecting to " + address;
      },
      html: function() {
        var u = escapeHtml(address);
        body = "<p>" + statuses.message[status] + ". Redirecting to " + u + "</p>";
      },
      default: function() {
        body = "";
      }
    });
    this.statusCode = status;
    this.set("Content-Length", Buffer2.byteLength(body));
    if (this.req.method === "HEAD") {
      this.end();
    } else {
      this.end(body);
    }
  };
  res.vary = function(field) {
    if (!field || Array.isArray(field) && !field.length) {
      deprecate("res.vary(): Provide a field name");
      return this;
    }
    vary(this, field);
    return this;
  };
  res.render = function render(view, options, callback) {
    var app = this.req.app;
    var done = callback;
    var opts = options || {};
    var req = this.req;
    var self = this;
    if (typeof options === "function") {
      done = options;
      opts = {};
    }
    opts._locals = self.locals;
    done = done || function(err, str) {
      if (err)
        return req.next(err);
      self.send(str);
    };
    app.render(view, opts, done);
  };
  function sendfile(res2, file, options, callback) {
    var done = false;
    var streaming;
    function onaborted() {
      if (done)
        return;
      done = true;
      var err = new Error("Request aborted");
      err.code = "ECONNABORTED";
      callback(err);
    }
    function ondirectory() {
      if (done)
        return;
      done = true;
      var err = new Error("EISDIR, read");
      err.code = "EISDIR";
      callback(err);
    }
    function onerror(err) {
      if (done)
        return;
      done = true;
      callback(err);
    }
    function onend() {
      if (done)
        return;
      done = true;
      callback();
    }
    function onfile() {
      streaming = false;
    }
    function onfinish(err) {
      if (err && err.code === "ECONNRESET")
        return onaborted();
      if (err)
        return onerror(err);
      if (done)
        return;
      setImmediate(function() {
        if (streaming !== false && !done) {
          onaborted();
          return;
        }
        if (done)
          return;
        done = true;
        callback();
      });
    }
    function onstream() {
      streaming = true;
    }
    file.on("directory", ondirectory);
    file.on("end", onend);
    file.on("error", onerror);
    file.on("file", onfile);
    file.on("stream", onstream);
    onFinished(res2, onfinish);
    if (options.headers) {
      file.on("headers", function headers(res3) {
        var obj = options.headers;
        var keys = Object.keys(obj);
        for (var i = 0;i < keys.length; i++) {
          var k2 = keys[i];
          res3.setHeader(k2, obj[k2]);
        }
      });
    }
    file.pipe(res2);
  }
  function stringify(value, replacer, spaces, escape2) {
    var json = replacer || spaces ? JSON.stringify(value, replacer, spaces) : JSON.stringify(value);
    if (escape2 && typeof json === "string") {
      json = json.replace(/[<>&]/g, function(c) {
        switch (c.charCodeAt(0)) {
          case 60:
            return "\\u003c";
          case 62:
            return "\\u003e";
          case 38:
            return "\\u0026";
          default:
            return c;
        }
      });
    }
    return json;
  }
});

// node_modules/serve-static/index.js
var require_serve_static = __commonJS((exports, module) => {
  /*!
   * serve-static
   * Copyright(c) 2010 Sencha Inc.
   * Copyright(c) 2011 TJ Holowaychuk
   * Copyright(c) 2014-2016 Douglas Christopher Wilson
   * MIT Licensed
   */
  var encodeUrl = require_encodeurl();
  var escapeHtml = require_escape_html();
  var parseUrl = require_parseurl();
  var resolve = __require("path").resolve;
  var send = require_send();
  var url = __require("url");
  module.exports = serveStatic;
  module.exports.mime = send.mime;
  function serveStatic(root, options) {
    if (!root) {
      throw new TypeError("root path required");
    }
    if (typeof root !== "string") {
      throw new TypeError("root path must be a string");
    }
    var opts = Object.create(options || null);
    var fallthrough = opts.fallthrough !== false;
    var redirect = opts.redirect !== false;
    var setHeaders = opts.setHeaders;
    if (setHeaders && typeof setHeaders !== "function") {
      throw new TypeError("option setHeaders must be function");
    }
    opts.maxage = opts.maxage || opts.maxAge || 0;
    opts.root = resolve(root);
    var onDirectory = redirect ? createRedirectDirectoryListener() : createNotFoundDirectoryListener();
    return function serveStatic(req, res, next) {
      if (req.method !== "GET" && req.method !== "HEAD") {
        if (fallthrough) {
          return next();
        }
        res.statusCode = 405;
        res.setHeader("Allow", "GET, HEAD");
        res.setHeader("Content-Length", "0");
        res.end();
        return;
      }
      var forwardError = !fallthrough;
      var originalUrl = parseUrl.original(req);
      var path = parseUrl(req).pathname;
      if (path === "/" && originalUrl.pathname.substr(-1) !== "/") {
        path = "";
      }
      var stream = send(req, path, opts);
      stream.on("directory", onDirectory);
      if (setHeaders) {
        stream.on("headers", setHeaders);
      }
      if (fallthrough) {
        stream.on("file", function onFile() {
          forwardError = true;
        });
      }
      stream.on("error", function error(err) {
        if (forwardError || !(err.statusCode < 500)) {
          next(err);
          return;
        }
        next();
      });
      stream.pipe(res);
    };
  }
  function collapseLeadingSlashes(str) {
    for (var i = 0;i < str.length; i++) {
      if (str.charCodeAt(i) !== 47) {
        break;
      }
    }
    return i > 1 ? "/" + str.substr(i) : str;
  }
  function createHtmlDocument(title, body) {
    return `<!DOCTYPE html>
` + `<html lang="en">
` + `<head>
` + `<meta charset="utf-8">
` + "<title>" + title + `</title>
` + `</head>
` + `<body>
` + "<pre>" + body + `</pre>
` + `</body>
` + `</html>
`;
  }
  function createNotFoundDirectoryListener() {
    return function notFound() {
      this.error(404);
    };
  }
  function createRedirectDirectoryListener() {
    return function redirect(res) {
      if (this.hasTrailingSlash()) {
        this.error(404);
        return;
      }
      var originalUrl = parseUrl.original(this.req);
      originalUrl.path = null;
      originalUrl.pathname = collapseLeadingSlashes(originalUrl.pathname + "/");
      var loc = encodeUrl(url.format(originalUrl));
      var doc = createHtmlDocument("Redirecting", "Redirecting to " + escapeHtml(loc));
      res.statusCode = 301;
      res.setHeader("Content-Type", "text/html; charset=UTF-8");
      res.setHeader("Content-Length", Buffer.byteLength(doc));
      res.setHeader("Content-Security-Policy", "default-src 'none'");
      res.setHeader("X-Content-Type-Options", "nosniff");
      res.setHeader("Location", loc);
      res.end(doc);
    };
  }
});

// node_modules/express/lib/express.js
var require_express = __commonJS((exports, module) => {
  /*!
   * express
   * Copyright(c) 2009-2013 TJ Holowaychuk
   * Copyright(c) 2013 Roman Shtylman
   * Copyright(c) 2014-2015 Douglas Christopher Wilson
   * MIT Licensed
   */
  var bodyParser = require_body_parser();
  var EventEmitter = __require("events").EventEmitter;
  var mixin = require_merge_descriptors();
  var proto = require_application();
  var Route = require_route();
  var Router = require_router();
  var req = require_request();
  var res = require_response();
  exports = module.exports = createApplication;
  function createApplication() {
    var app = function(req2, res2, next) {
      app.handle(req2, res2, next);
    };
    mixin(app, EventEmitter.prototype, false);
    mixin(app, proto, false);
    app.request = Object.create(req, {
      app: { configurable: true, enumerable: true, writable: true, value: app }
    });
    app.response = Object.create(res, {
      app: { configurable: true, enumerable: true, writable: true, value: app }
    });
    app.init();
    return app;
  }
  exports.application = proto;
  exports.request = req;
  exports.response = res;
  exports.Route = Route;
  exports.Router = Router;
  exports.json = bodyParser.json;
  exports.query = require_query();
  exports.raw = bodyParser.raw;
  exports.static = require_serve_static();
  exports.text = bodyParser.text;
  exports.urlencoded = bodyParser.urlencoded;
  var removedMiddlewares = [
    "bodyParser",
    "compress",
    "cookieSession",
    "session",
    "logger",
    "cookieParser",
    "favicon",
    "responseTime",
    "errorHandler",
    "timeout",
    "methodOverride",
    "vhost",
    "csrf",
    "directory",
    "limit",
    "multipart",
    "staticCache"
  ];
  removedMiddlewares.forEach(function(name) {
    Object.defineProperty(exports, name, {
      get: function() {
        throw new Error("Most middleware (like " + name + ") is no longer bundled with Express and must be installed separately. Please see https://github.com/senchalabs/connect#middleware.");
      },
      configurable: true
    });
  });
});

// node_modules/express/index.js
var require_express2 = __commonJS((exports, module) => {
  /*!
   * express
   * Copyright(c) 2009-2013 TJ Holowaychuk
   * Copyright(c) 2013 Roman Shtylman
   * Copyright(c) 2014-2015 Douglas Christopher Wilson
   * MIT Licensed
   */
  module.exports = require_express();
});

// node_modules/@modelcontextprotocol/sdk/dist/esm/shared/protocol.js
class Protocol {
  constructor(_options) {
    this._options = _options;
    this._requestMessageId = 0;
    this._requestHandlers = new Map;
    this._requestHandlerAbortControllers = new Map;
    this._notificationHandlers = new Map;
    this._responseHandlers = new Map;
    this._progressHandlers = new Map;
    this._timeoutInfo = new Map;
    this.setNotificationHandler(CancelledNotificationSchema, (notification) => {
      const controller = this._requestHandlerAbortControllers.get(notification.params.requestId);
      controller === null || controller === undefined || controller.abort(notification.params.reason);
    });
    this.setNotificationHandler(ProgressNotificationSchema, (notification) => {
      this._onprogress(notification);
    });
    this.setRequestHandler(PingRequestSchema, (_request) => ({}));
  }
  _setupTimeout(messageId, timeout, maxTotalTimeout, onTimeout, resetTimeoutOnProgress = false) {
    this._timeoutInfo.set(messageId, {
      timeoutId: setTimeout(onTimeout, timeout),
      startTime: Date.now(),
      timeout,
      maxTotalTimeout,
      resetTimeoutOnProgress,
      onTimeout
    });
  }
  _resetTimeout(messageId) {
    const info = this._timeoutInfo.get(messageId);
    if (!info)
      return false;
    const totalElapsed = Date.now() - info.startTime;
    if (info.maxTotalTimeout && totalElapsed >= info.maxTotalTimeout) {
      this._timeoutInfo.delete(messageId);
      throw new McpError(ErrorCode.RequestTimeout, "Maximum total timeout exceeded", { maxTotalTimeout: info.maxTotalTimeout, totalElapsed });
    }
    clearTimeout(info.timeoutId);
    info.timeoutId = setTimeout(info.onTimeout, info.timeout);
    return true;
  }
  _cleanupTimeout(messageId) {
    const info = this._timeoutInfo.get(messageId);
    if (info) {
      clearTimeout(info.timeoutId);
      this._timeoutInfo.delete(messageId);
    }
  }
  async connect(transport) {
    this._transport = transport;
    this._transport.onclose = () => {
      this._onclose();
    };
    this._transport.onerror = (error) => {
      this._onerror(error);
    };
    this._transport.onmessage = (message) => {
      if (!("method" in message)) {
        this._onresponse(message);
      } else if ("id" in message) {
        this._onrequest(message);
      } else {
        this._onnotification(message);
      }
    };
    await this._transport.start();
  }
  _onclose() {
    var _a;
    const responseHandlers = this._responseHandlers;
    this._responseHandlers = new Map;
    this._progressHandlers.clear();
    this._transport = undefined;
    (_a = this.onclose) === null || _a === undefined || _a.call(this);
    const error = new McpError(ErrorCode.ConnectionClosed, "Connection closed");
    for (const handler of responseHandlers.values()) {
      handler(error);
    }
  }
  _onerror(error) {
    var _a;
    (_a = this.onerror) === null || _a === undefined || _a.call(this, error);
  }
  _onnotification(notification) {
    var _a;
    const handler = (_a = this._notificationHandlers.get(notification.method)) !== null && _a !== undefined ? _a : this.fallbackNotificationHandler;
    if (handler === undefined) {
      return;
    }
    Promise.resolve().then(() => handler(notification)).catch((error) => this._onerror(new Error(`Uncaught error in notification handler: ${error}`)));
  }
  _onrequest(request) {
    var _a, _b, _c;
    const handler = (_a = this._requestHandlers.get(request.method)) !== null && _a !== undefined ? _a : this.fallbackRequestHandler;
    if (handler === undefined) {
      (_b = this._transport) === null || _b === undefined || _b.send({
        jsonrpc: "2.0",
        id: request.id,
        error: {
          code: ErrorCode.MethodNotFound,
          message: "Method not found"
        }
      }).catch((error) => this._onerror(new Error(`Failed to send an error response: ${error}`)));
      return;
    }
    const abortController = new AbortController;
    this._requestHandlerAbortControllers.set(request.id, abortController);
    const extra = {
      signal: abortController.signal,
      sessionId: (_c = this._transport) === null || _c === undefined ? undefined : _c.sessionId
    };
    Promise.resolve().then(() => handler(request, extra)).then((result) => {
      var _a2;
      if (abortController.signal.aborted) {
        return;
      }
      return (_a2 = this._transport) === null || _a2 === undefined ? undefined : _a2.send({
        result,
        jsonrpc: "2.0",
        id: request.id
      });
    }, (error) => {
      var _a2, _b2;
      if (abortController.signal.aborted) {
        return;
      }
      return (_a2 = this._transport) === null || _a2 === undefined ? undefined : _a2.send({
        jsonrpc: "2.0",
        id: request.id,
        error: {
          code: Number.isSafeInteger(error["code"]) ? error["code"] : ErrorCode.InternalError,
          message: (_b2 = error.message) !== null && _b2 !== undefined ? _b2 : "Internal error"
        }
      });
    }).catch((error) => this._onerror(new Error(`Failed to send response: ${error}`))).finally(() => {
      this._requestHandlerAbortControllers.delete(request.id);
    });
  }
  _onprogress(notification) {
    const { progressToken, ...params } = notification.params;
    const messageId = Number(progressToken);
    const handler = this._progressHandlers.get(messageId);
    if (!handler) {
      this._onerror(new Error(`Received a progress notification for an unknown token: ${JSON.stringify(notification)}`));
      return;
    }
    const responseHandler = this._responseHandlers.get(messageId);
    const timeoutInfo = this._timeoutInfo.get(messageId);
    if (timeoutInfo && responseHandler && timeoutInfo.resetTimeoutOnProgress) {
      try {
        this._resetTimeout(messageId);
      } catch (error) {
        responseHandler(error);
        return;
      }
    }
    handler(params);
  }
  _onresponse(response) {
    const messageId = Number(response.id);
    const handler = this._responseHandlers.get(messageId);
    if (handler === undefined) {
      this._onerror(new Error(`Received a response for an unknown message ID: ${JSON.stringify(response)}`));
      return;
    }
    this._responseHandlers.delete(messageId);
    this._progressHandlers.delete(messageId);
    this._cleanupTimeout(messageId);
    if ("result" in response) {
      handler(response);
    } else {
      const error = new McpError(response.error.code, response.error.message, response.error.data);
      handler(error);
    }
  }
  get transport() {
    return this._transport;
  }
  async close() {
    var _a;
    await ((_a = this._transport) === null || _a === undefined ? undefined : _a.close());
  }
  request(request, resultSchema, options) {
    return new Promise((resolve, reject) => {
      var _a, _b, _c, _d, _e;
      if (!this._transport) {
        reject(new Error("Not connected"));
        return;
      }
      if (((_a = this._options) === null || _a === undefined ? undefined : _a.enforceStrictCapabilities) === true) {
        this.assertCapabilityForMethod(request.method);
      }
      (_b = options === null || options === undefined ? undefined : options.signal) === null || _b === undefined || _b.throwIfAborted();
      const messageId = this._requestMessageId++;
      const jsonrpcRequest = {
        ...request,
        jsonrpc: "2.0",
        id: messageId
      };
      if (options === null || options === undefined ? undefined : options.onprogress) {
        this._progressHandlers.set(messageId, options.onprogress);
        jsonrpcRequest.params = {
          ...request.params,
          _meta: { progressToken: messageId }
        };
      }
      const cancel = (reason) => {
        var _a2;
        this._responseHandlers.delete(messageId);
        this._progressHandlers.delete(messageId);
        this._cleanupTimeout(messageId);
        (_a2 = this._transport) === null || _a2 === undefined || _a2.send({
          jsonrpc: "2.0",
          method: "notifications/cancelled",
          params: {
            requestId: messageId,
            reason: String(reason)
          }
        }).catch((error) => this._onerror(new Error(`Failed to send cancellation: ${error}`)));
        reject(reason);
      };
      this._responseHandlers.set(messageId, (response) => {
        var _a2;
        if ((_a2 = options === null || options === undefined ? undefined : options.signal) === null || _a2 === undefined ? undefined : _a2.aborted) {
          return;
        }
        if (response instanceof Error) {
          return reject(response);
        }
        try {
          const result = resultSchema.parse(response.result);
          resolve(result);
        } catch (error) {
          reject(error);
        }
      });
      (_c = options === null || options === undefined ? undefined : options.signal) === null || _c === undefined || _c.addEventListener("abort", () => {
        var _a2;
        cancel((_a2 = options === null || options === undefined ? undefined : options.signal) === null || _a2 === undefined ? undefined : _a2.reason);
      });
      const timeout = (_d = options === null || options === undefined ? undefined : options.timeout) !== null && _d !== undefined ? _d : DEFAULT_REQUEST_TIMEOUT_MSEC;
      const timeoutHandler = () => cancel(new McpError(ErrorCode.RequestTimeout, "Request timed out", { timeout }));
      this._setupTimeout(messageId, timeout, options === null || options === undefined ? undefined : options.maxTotalTimeout, timeoutHandler, (_e = options === null || options === undefined ? undefined : options.resetTimeoutOnProgress) !== null && _e !== undefined ? _e : false);
      this._transport.send(jsonrpcRequest).catch((error) => {
        this._cleanupTimeout(messageId);
        reject(error);
      });
    });
  }
  async notification(notification) {
    if (!this._transport) {
      throw new Error("Not connected");
    }
    this.assertNotificationCapability(notification.method);
    const jsonrpcNotification = {
      ...notification,
      jsonrpc: "2.0"
    };
    await this._transport.send(jsonrpcNotification);
  }
  setRequestHandler(requestSchema, handler) {
    const method = requestSchema.shape.method.value;
    this.assertRequestHandlerCapability(method);
    this._requestHandlers.set(method, (request, extra) => Promise.resolve(handler(requestSchema.parse(request), extra)));
  }
  removeRequestHandler(method) {
    this._requestHandlers.delete(method);
  }
  assertCanSetRequestHandler(method) {
    if (this._requestHandlers.has(method)) {
      throw new Error(`A request handler for ${method} already exists, which would be overridden`);
    }
  }
  setNotificationHandler(notificationSchema, handler) {
    this._notificationHandlers.set(notificationSchema.shape.method.value, (notification) => Promise.resolve(handler(notificationSchema.parse(notification))));
  }
  removeNotificationHandler(method) {
    this._notificationHandlers.delete(method);
  }
}
function mergeCapabilities(base, additional) {
  return Object.entries(additional).reduce((acc, [key, value]) => {
    if (value && typeof value === "object") {
      acc[key] = acc[key] ? { ...acc[key], ...value } : value;
    } else {
      acc[key] = value;
    }
    return acc;
  }, { ...base });
}
var DEFAULT_REQUEST_TIMEOUT_MSEC = 60000;
var init_protocol = __esm(() => {
  init_types2();
});

// node_modules/@modelcontextprotocol/sdk/dist/esm/server/index.js
var Server;
var init_server = __esm(() => {
  init_protocol();
  init_types2();
  Server = class Server extends Protocol {
    constructor(_serverInfo, options) {
      var _a;
      super(options);
      this._serverInfo = _serverInfo;
      this._capabilities = (_a = options === null || options === undefined ? undefined : options.capabilities) !== null && _a !== undefined ? _a : {};
      this._instructions = options === null || options === undefined ? undefined : options.instructions;
      this.setRequestHandler(InitializeRequestSchema, (request) => this._oninitialize(request));
      this.setNotificationHandler(InitializedNotificationSchema, () => {
        var _a2;
        return (_a2 = this.oninitialized) === null || _a2 === undefined ? undefined : _a2.call(this);
      });
    }
    registerCapabilities(capabilities) {
      if (this.transport) {
        throw new Error("Cannot register capabilities after connecting to transport");
      }
      this._capabilities = mergeCapabilities(this._capabilities, capabilities);
    }
    assertCapabilityForMethod(method) {
      var _a, _b;
      switch (method) {
        case "sampling/createMessage":
          if (!((_a = this._clientCapabilities) === null || _a === undefined ? undefined : _a.sampling)) {
            throw new Error(`Client does not support sampling (required for ${method})`);
          }
          break;
        case "roots/list":
          if (!((_b = this._clientCapabilities) === null || _b === undefined ? undefined : _b.roots)) {
            throw new Error(`Client does not support listing roots (required for ${method})`);
          }
          break;
        case "ping":
          break;
      }
    }
    assertNotificationCapability(method) {
      switch (method) {
        case "notifications/message":
          if (!this._capabilities.logging) {
            throw new Error(`Server does not support logging (required for ${method})`);
          }
          break;
        case "notifications/resources/updated":
        case "notifications/resources/list_changed":
          if (!this._capabilities.resources) {
            throw new Error(`Server does not support notifying about resources (required for ${method})`);
          }
          break;
        case "notifications/tools/list_changed":
          if (!this._capabilities.tools) {
            throw new Error(`Server does not support notifying of tool list changes (required for ${method})`);
          }
          break;
        case "notifications/prompts/list_changed":
          if (!this._capabilities.prompts) {
            throw new Error(`Server does not support notifying of prompt list changes (required for ${method})`);
          }
          break;
        case "notifications/cancelled":
          break;
        case "notifications/progress":
          break;
      }
    }
    assertRequestHandlerCapability(method) {
      switch (method) {
        case "sampling/createMessage":
          if (!this._capabilities.sampling) {
            throw new Error(`Server does not support sampling (required for ${method})`);
          }
          break;
        case "logging/setLevel":
          if (!this._capabilities.logging) {
            throw new Error(`Server does not support logging (required for ${method})`);
          }
          break;
        case "prompts/get":
        case "prompts/list":
          if (!this._capabilities.prompts) {
            throw new Error(`Server does not support prompts (required for ${method})`);
          }
          break;
        case "resources/list":
        case "resources/templates/list":
        case "resources/read":
          if (!this._capabilities.resources) {
            throw new Error(`Server does not support resources (required for ${method})`);
          }
          break;
        case "tools/call":
        case "tools/list":
          if (!this._capabilities.tools) {
            throw new Error(`Server does not support tools (required for ${method})`);
          }
          break;
        case "ping":
        case "initialize":
          break;
      }
    }
    async _oninitialize(request) {
      const requestedVersion = request.params.protocolVersion;
      this._clientCapabilities = request.params.capabilities;
      this._clientVersion = request.params.clientInfo;
      return {
        protocolVersion: SUPPORTED_PROTOCOL_VERSIONS.includes(requestedVersion) ? requestedVersion : LATEST_PROTOCOL_VERSION,
        capabilities: this.getCapabilities(),
        serverInfo: this._serverInfo,
        ...this._instructions && { instructions: this._instructions }
      };
    }
    getClientCapabilities() {
      return this._clientCapabilities;
    }
    getClientVersion() {
      return this._clientVersion;
    }
    getCapabilities() {
      return this._capabilities;
    }
    async ping() {
      return this.request({ method: "ping" }, EmptyResultSchema);
    }
    async createMessage(params, options) {
      return this.request({ method: "sampling/createMessage", params }, CreateMessageResultSchema, options);
    }
    async listRoots(params, options) {
      return this.request({ method: "roots/list", params }, ListRootsResultSchema, options);
    }
    async sendLoggingMessage(params) {
      return this.notification({ method: "notifications/message", params });
    }
    async sendResourceUpdated(params) {
      return this.notification({
        method: "notifications/resources/updated",
        params
      });
    }
    async sendResourceListChanged() {
      return this.notification({
        method: "notifications/resources/list_changed"
      });
    }
    async sendToolListChanged() {
      return this.notification({ method: "notifications/tools/list_changed" });
    }
    async sendPromptListChanged() {
      return this.notification({ method: "notifications/prompts/list_changed" });
    }
  };
});

// node_modules/zod-to-json-schema/dist/esm/Options.js
var ignoreOverride, defaultOptions, getDefaultOptions = (options) => typeof options === "string" ? {
  ...defaultOptions,
  name: options
} : {
  ...defaultOptions,
  ...options
};
var init_Options = __esm(() => {
  ignoreOverride = Symbol("Let zodToJsonSchema decide on which parser to use");
  defaultOptions = {
    name: undefined,
    $refStrategy: "root",
    basePath: ["#"],
    effectStrategy: "input",
    pipeStrategy: "all",
    dateStrategy: "format:date-time",
    mapStrategy: "entries",
    removeAdditionalStrategy: "passthrough",
    allowedAdditionalProperties: true,
    rejectedAdditionalProperties: false,
    definitionPath: "definitions",
    target: "jsonSchema7",
    strictUnions: false,
    definitions: {},
    errorMessages: false,
    markdownDescription: false,
    patternStrategy: "escape",
    applyRegexFlags: false,
    emailStrategy: "format:email",
    base64Strategy: "contentEncoding:base64",
    nameStrategy: "ref"
  };
});

// node_modules/zod-to-json-schema/dist/esm/Refs.js
var getRefs = (options) => {
  const _options = getDefaultOptions(options);
  const currentPath = _options.name !== undefined ? [..._options.basePath, _options.definitionPath, _options.name] : _options.basePath;
  return {
    ..._options,
    currentPath,
    propertyPath: undefined,
    seen: new Map(Object.entries(_options.definitions).map(([name, def]) => [
      def._def,
      {
        def: def._def,
        path: [..._options.basePath, _options.definitionPath, name],
        jsonSchema: undefined
      }
    ]))
  };
};
var init_Refs = __esm(() => {
  init_Options();
});

// node_modules/zod-to-json-schema/dist/esm/errorMessages.js
function addErrorMessage(res, key, errorMessage, refs) {
  if (!refs?.errorMessages)
    return;
  if (errorMessage) {
    res.errorMessage = {
      ...res.errorMessage,
      [key]: errorMessage
    };
  }
}
function setResponseValueAndErrors(res, key, value, errorMessage, refs) {
  res[key] = value;
  addErrorMessage(res, key, errorMessage, refs);
}

// node_modules/zod-to-json-schema/dist/esm/parsers/any.js
function parseAnyDef() {
  return {};
}

// node_modules/zod-to-json-schema/dist/esm/parsers/array.js
function parseArrayDef(def, refs) {
  const res = {
    type: "array"
  };
  if (def.type?._def && def.type?._def?.typeName !== ZodFirstPartyTypeKind.ZodAny) {
    res.items = parseDef(def.type._def, {
      ...refs,
      currentPath: [...refs.currentPath, "items"]
    });
  }
  if (def.minLength) {
    setResponseValueAndErrors(res, "minItems", def.minLength.value, def.minLength.message, refs);
  }
  if (def.maxLength) {
    setResponseValueAndErrors(res, "maxItems", def.maxLength.value, def.maxLength.message, refs);
  }
  if (def.exactLength) {
    setResponseValueAndErrors(res, "minItems", def.exactLength.value, def.exactLength.message, refs);
    setResponseValueAndErrors(res, "maxItems", def.exactLength.value, def.exactLength.message, refs);
  }
  return res;
}
var init_array = __esm(() => {
  init_esm();
  init_parseDef();
});

// node_modules/zod-to-json-schema/dist/esm/parsers/bigint.js
function parseBigintDef(def, refs) {
  const res = {
    type: "integer",
    format: "int64"
  };
  if (!def.checks)
    return res;
  for (const check of def.checks) {
    switch (check.kind) {
      case "min":
        if (refs.target === "jsonSchema7") {
          if (check.inclusive) {
            setResponseValueAndErrors(res, "minimum", check.value, check.message, refs);
          } else {
            setResponseValueAndErrors(res, "exclusiveMinimum", check.value, check.message, refs);
          }
        } else {
          if (!check.inclusive) {
            res.exclusiveMinimum = true;
          }
          setResponseValueAndErrors(res, "minimum", check.value, check.message, refs);
        }
        break;
      case "max":
        if (refs.target === "jsonSchema7") {
          if (check.inclusive) {
            setResponseValueAndErrors(res, "maximum", check.value, check.message, refs);
          } else {
            setResponseValueAndErrors(res, "exclusiveMaximum", check.value, check.message, refs);
          }
        } else {
          if (!check.inclusive) {
            res.exclusiveMaximum = true;
          }
          setResponseValueAndErrors(res, "maximum", check.value, check.message, refs);
        }
        break;
      case "multipleOf":
        setResponseValueAndErrors(res, "multipleOf", check.value, check.message, refs);
        break;
    }
  }
  return res;
}
var init_bigint = () => {};

// node_modules/zod-to-json-schema/dist/esm/parsers/boolean.js
function parseBooleanDef() {
  return {
    type: "boolean"
  };
}

// node_modules/zod-to-json-schema/dist/esm/parsers/branded.js
function parseBrandedDef(_def, refs) {
  return parseDef(_def.type._def, refs);
}
var init_branded = __esm(() => {
  init_parseDef();
});

// node_modules/zod-to-json-schema/dist/esm/parsers/catch.js
var parseCatchDef = (def, refs) => {
  return parseDef(def.innerType._def, refs);
};
var init_catch = __esm(() => {
  init_parseDef();
});

// node_modules/zod-to-json-schema/dist/esm/parsers/date.js
function parseDateDef(def, refs, overrideDateStrategy) {
  const strategy = overrideDateStrategy ?? refs.dateStrategy;
  if (Array.isArray(strategy)) {
    return {
      anyOf: strategy.map((item, i) => parseDateDef(def, refs, item))
    };
  }
  switch (strategy) {
    case "string":
    case "format:date-time":
      return {
        type: "string",
        format: "date-time"
      };
    case "format:date":
      return {
        type: "string",
        format: "date"
      };
    case "integer":
      return integerDateParser(def, refs);
  }
}
var integerDateParser = (def, refs) => {
  const res = {
    type: "integer",
    format: "unix-time"
  };
  if (refs.target === "openApi3") {
    return res;
  }
  for (const check of def.checks) {
    switch (check.kind) {
      case "min":
        setResponseValueAndErrors(res, "minimum", check.value, check.message, refs);
        break;
      case "max":
        setResponseValueAndErrors(res, "maximum", check.value, check.message, refs);
        break;
    }
  }
  return res;
};
var init_date = () => {};

// node_modules/zod-to-json-schema/dist/esm/parsers/default.js
function parseDefaultDef(_def, refs) {
  return {
    ...parseDef(_def.innerType._def, refs),
    default: _def.defaultValue()
  };
}
var init_default = __esm(() => {
  init_parseDef();
});

// node_modules/zod-to-json-schema/dist/esm/parsers/effects.js
function parseEffectsDef(_def, refs) {
  return refs.effectStrategy === "input" ? parseDef(_def.schema._def, refs) : {};
}
var init_effects = __esm(() => {
  init_parseDef();
});

// node_modules/zod-to-json-schema/dist/esm/parsers/enum.js
function parseEnumDef(def) {
  return {
    type: "string",
    enum: Array.from(def.values)
  };
}

// node_modules/zod-to-json-schema/dist/esm/parsers/intersection.js
function parseIntersectionDef(def, refs) {
  const allOf = [
    parseDef(def.left._def, {
      ...refs,
      currentPath: [...refs.currentPath, "allOf", "0"]
    }),
    parseDef(def.right._def, {
      ...refs,
      currentPath: [...refs.currentPath, "allOf", "1"]
    })
  ].filter((x2) => !!x2);
  let unevaluatedProperties = refs.target === "jsonSchema2019-09" ? { unevaluatedProperties: false } : undefined;
  const mergedAllOf = [];
  allOf.forEach((schema) => {
    if (isJsonSchema7AllOfType(schema)) {
      mergedAllOf.push(...schema.allOf);
      if (schema.unevaluatedProperties === undefined) {
        unevaluatedProperties = undefined;
      }
    } else {
      let nestedSchema = schema;
      if ("additionalProperties" in schema && schema.additionalProperties === false) {
        const { additionalProperties, ...rest } = schema;
        nestedSchema = rest;
      } else {
        unevaluatedProperties = undefined;
      }
      mergedAllOf.push(nestedSchema);
    }
  });
  return mergedAllOf.length ? {
    allOf: mergedAllOf,
    ...unevaluatedProperties
  } : undefined;
}
var isJsonSchema7AllOfType = (type) => {
  if ("type" in type && type.type === "string")
    return false;
  return "allOf" in type;
};
var init_intersection = __esm(() => {
  init_parseDef();
});

// node_modules/zod-to-json-schema/dist/esm/parsers/literal.js
function parseLiteralDef(def, refs) {
  const parsedType = typeof def.value;
  if (parsedType !== "bigint" && parsedType !== "number" && parsedType !== "boolean" && parsedType !== "string") {
    return {
      type: Array.isArray(def.value) ? "array" : "object"
    };
  }
  if (refs.target === "openApi3") {
    return {
      type: parsedType === "bigint" ? "integer" : parsedType,
      enum: [def.value]
    };
  }
  return {
    type: parsedType === "bigint" ? "integer" : parsedType,
    const: def.value
  };
}

// node_modules/zod-to-json-schema/dist/esm/parsers/string.js
function parseStringDef(def, refs) {
  const res = {
    type: "string"
  };
  if (def.checks) {
    for (const check of def.checks) {
      switch (check.kind) {
        case "min":
          setResponseValueAndErrors(res, "minLength", typeof res.minLength === "number" ? Math.max(res.minLength, check.value) : check.value, check.message, refs);
          break;
        case "max":
          setResponseValueAndErrors(res, "maxLength", typeof res.maxLength === "number" ? Math.min(res.maxLength, check.value) : check.value, check.message, refs);
          break;
        case "email":
          switch (refs.emailStrategy) {
            case "format:email":
              addFormat(res, "email", check.message, refs);
              break;
            case "format:idn-email":
              addFormat(res, "idn-email", check.message, refs);
              break;
            case "pattern:zod":
              addPattern(res, zodPatterns.email, check.message, refs);
              break;
          }
          break;
        case "url":
          addFormat(res, "uri", check.message, refs);
          break;
        case "uuid":
          addFormat(res, "uuid", check.message, refs);
          break;
        case "regex":
          addPattern(res, check.regex, check.message, refs);
          break;
        case "cuid":
          addPattern(res, zodPatterns.cuid, check.message, refs);
          break;
        case "cuid2":
          addPattern(res, zodPatterns.cuid2, check.message, refs);
          break;
        case "startsWith":
          addPattern(res, RegExp(`^${escapeLiteralCheckValue(check.value, refs)}`), check.message, refs);
          break;
        case "endsWith":
          addPattern(res, RegExp(`${escapeLiteralCheckValue(check.value, refs)}$`), check.message, refs);
          break;
        case "datetime":
          addFormat(res, "date-time", check.message, refs);
          break;
        case "date":
          addFormat(res, "date", check.message, refs);
          break;
        case "time":
          addFormat(res, "time", check.message, refs);
          break;
        case "duration":
          addFormat(res, "duration", check.message, refs);
          break;
        case "length":
          setResponseValueAndErrors(res, "minLength", typeof res.minLength === "number" ? Math.max(res.minLength, check.value) : check.value, check.message, refs);
          setResponseValueAndErrors(res, "maxLength", typeof res.maxLength === "number" ? Math.min(res.maxLength, check.value) : check.value, check.message, refs);
          break;
        case "includes": {
          addPattern(res, RegExp(escapeLiteralCheckValue(check.value, refs)), check.message, refs);
          break;
        }
        case "ip": {
          if (check.version !== "v6") {
            addFormat(res, "ipv4", check.message, refs);
          }
          if (check.version !== "v4") {
            addFormat(res, "ipv6", check.message, refs);
          }
          break;
        }
        case "base64url":
          addPattern(res, zodPatterns.base64url, check.message, refs);
          break;
        case "jwt":
          addPattern(res, zodPatterns.jwt, check.message, refs);
          break;
        case "cidr": {
          if (check.version !== "v6") {
            addPattern(res, zodPatterns.ipv4Cidr, check.message, refs);
          }
          if (check.version !== "v4") {
            addPattern(res, zodPatterns.ipv6Cidr, check.message, refs);
          }
          break;
        }
        case "emoji":
          addPattern(res, zodPatterns.emoji(), check.message, refs);
          break;
        case "ulid": {
          addPattern(res, zodPatterns.ulid, check.message, refs);
          break;
        }
        case "base64": {
          switch (refs.base64Strategy) {
            case "format:binary": {
              addFormat(res, "binary", check.message, refs);
              break;
            }
            case "contentEncoding:base64": {
              setResponseValueAndErrors(res, "contentEncoding", "base64", check.message, refs);
              break;
            }
            case "pattern:zod": {
              addPattern(res, zodPatterns.base64, check.message, refs);
              break;
            }
          }
          break;
        }
        case "nanoid": {
          addPattern(res, zodPatterns.nanoid, check.message, refs);
        }
        case "toLowerCase":
        case "toUpperCase":
        case "trim":
          break;
        default:
          ((_2) => {})(check);
      }
    }
  }
  return res;
}
function escapeLiteralCheckValue(literal, refs) {
  return refs.patternStrategy === "escape" ? escapeNonAlphaNumeric(literal) : literal;
}
function escapeNonAlphaNumeric(source) {
  let result = "";
  for (let i = 0;i < source.length; i++) {
    if (!ALPHA_NUMERIC.has(source[i])) {
      result += "\\";
    }
    result += source[i];
  }
  return result;
}
function addFormat(schema, value, message, refs) {
  if (schema.format || schema.anyOf?.some((x2) => x2.format)) {
    if (!schema.anyOf) {
      schema.anyOf = [];
    }
    if (schema.format) {
      schema.anyOf.push({
        format: schema.format,
        ...schema.errorMessage && refs.errorMessages && {
          errorMessage: { format: schema.errorMessage.format }
        }
      });
      delete schema.format;
      if (schema.errorMessage) {
        delete schema.errorMessage.format;
        if (Object.keys(schema.errorMessage).length === 0) {
          delete schema.errorMessage;
        }
      }
    }
    schema.anyOf.push({
      format: value,
      ...message && refs.errorMessages && { errorMessage: { format: message } }
    });
  } else {
    setResponseValueAndErrors(schema, "format", value, message, refs);
  }
}
function addPattern(schema, regex, message, refs) {
  if (schema.pattern || schema.allOf?.some((x2) => x2.pattern)) {
    if (!schema.allOf) {
      schema.allOf = [];
    }
    if (schema.pattern) {
      schema.allOf.push({
        pattern: schema.pattern,
        ...schema.errorMessage && refs.errorMessages && {
          errorMessage: { pattern: schema.errorMessage.pattern }
        }
      });
      delete schema.pattern;
      if (schema.errorMessage) {
        delete schema.errorMessage.pattern;
        if (Object.keys(schema.errorMessage).length === 0) {
          delete schema.errorMessage;
        }
      }
    }
    schema.allOf.push({
      pattern: stringifyRegExpWithFlags(regex, refs),
      ...message && refs.errorMessages && { errorMessage: { pattern: message } }
    });
  } else {
    setResponseValueAndErrors(schema, "pattern", stringifyRegExpWithFlags(regex, refs), message, refs);
  }
}
function stringifyRegExpWithFlags(regex, refs) {
  if (!refs.applyRegexFlags || !regex.flags) {
    return regex.source;
  }
  const flags = {
    i: regex.flags.includes("i"),
    m: regex.flags.includes("m"),
    s: regex.flags.includes("s")
  };
  const source = flags.i ? regex.source.toLowerCase() : regex.source;
  let pattern = "";
  let isEscaped = false;
  let inCharGroup = false;
  let inCharRange = false;
  for (let i = 0;i < source.length; i++) {
    if (isEscaped) {
      pattern += source[i];
      isEscaped = false;
      continue;
    }
    if (flags.i) {
      if (inCharGroup) {
        if (source[i].match(/[a-z]/)) {
          if (inCharRange) {
            pattern += source[i];
            pattern += `${source[i - 2]}-${source[i]}`.toUpperCase();
            inCharRange = false;
          } else if (source[i + 1] === "-" && source[i + 2]?.match(/[a-z]/)) {
            pattern += source[i];
            inCharRange = true;
          } else {
            pattern += `${source[i]}${source[i].toUpperCase()}`;
          }
          continue;
        }
      } else if (source[i].match(/[a-z]/)) {
        pattern += `[${source[i]}${source[i].toUpperCase()}]`;
        continue;
      }
    }
    if (flags.m) {
      if (source[i] === "^") {
        pattern += `(^|(?<=[\r
]))`;
        continue;
      } else if (source[i] === "$") {
        pattern += `($|(?=[\r
]))`;
        continue;
      }
    }
    if (flags.s && source[i] === ".") {
      pattern += inCharGroup ? `${source[i]}\r
` : `[${source[i]}\r
]`;
      continue;
    }
    pattern += source[i];
    if (source[i] === "\\") {
      isEscaped = true;
    } else if (inCharGroup && source[i] === "]") {
      inCharGroup = false;
    } else if (!inCharGroup && source[i] === "[") {
      inCharGroup = true;
    }
  }
  try {
    new RegExp(pattern);
  } catch {
    console.warn(`Could not convert regex pattern at ${refs.currentPath.join("/")} to a flag-independent form! Falling back to the flag-ignorant source`);
    return regex.source;
  }
  return pattern;
}
var emojiRegex2 = undefined, zodPatterns, ALPHA_NUMERIC;
var init_string = __esm(() => {
  zodPatterns = {
    cuid: /^[cC][^\s-]{8,}$/,
    cuid2: /^[0-9a-z]+$/,
    ulid: /^[0-9A-HJKMNP-TV-Z]{26}$/,
    email: /^(?!\.)(?!.*\.\.)([a-zA-Z0-9_'+\-\.]*)[a-zA-Z0-9_+-]@([a-zA-Z0-9][a-zA-Z0-9\-]*\.)+[a-zA-Z]{2,}$/,
    emoji: () => {
      if (emojiRegex2 === undefined) {
        emojiRegex2 = RegExp("^(\\p{Extended_Pictographic}|\\p{Emoji_Component})+$", "u");
      }
      return emojiRegex2;
    },
    uuid: /^[0-9a-fA-F]{8}\b-[0-9a-fA-F]{4}\b-[0-9a-fA-F]{4}\b-[0-9a-fA-F]{4}\b-[0-9a-fA-F]{12}$/,
    ipv4: /^(?:(?:25[0-5]|2[0-4][0-9]|1[0-9][0-9]|[1-9][0-9]|[0-9])\.){3}(?:25[0-5]|2[0-4][0-9]|1[0-9][0-9]|[1-9][0-9]|[0-9])$/,
    ipv4Cidr: /^(?:(?:25[0-5]|2[0-4][0-9]|1[0-9][0-9]|[1-9][0-9]|[0-9])\.){3}(?:25[0-5]|2[0-4][0-9]|1[0-9][0-9]|[1-9][0-9]|[0-9])\/(3[0-2]|[12]?[0-9])$/,
    ipv6: /^(([a-f0-9]{1,4}:){7}|::([a-f0-9]{1,4}:){0,6}|([a-f0-9]{1,4}:){1}:([a-f0-9]{1,4}:){0,5}|([a-f0-9]{1,4}:){2}:([a-f0-9]{1,4}:){0,4}|([a-f0-9]{1,4}:){3}:([a-f0-9]{1,4}:){0,3}|([a-f0-9]{1,4}:){4}:([a-f0-9]{1,4}:){0,2}|([a-f0-9]{1,4}:){5}:([a-f0-9]{1,4}:){0,1})([a-f0-9]{1,4}|(((25[0-5])|(2[0-4][0-9])|(1[0-9]{2})|([0-9]{1,2}))\.){3}((25[0-5])|(2[0-4][0-9])|(1[0-9]{2})|([0-9]{1,2})))$/,
    ipv6Cidr: /^(([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|([0-9a-fA-F]{1,4}:){1,6}:[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,5}(:[0-9a-fA-F]{1,4}){1,2}|([0-9a-fA-F]{1,4}:){1,4}(:[0-9a-fA-F]{1,4}){1,3}|([0-9a-fA-F]{1,4}:){1,3}(:[0-9a-fA-F]{1,4}){1,4}|([0-9a-fA-F]{1,4}:){1,2}(:[0-9a-fA-F]{1,4}){1,5}|[0-9a-fA-F]{1,4}:((:[0-9a-fA-F]{1,4}){1,6})|:((:[0-9a-fA-F]{1,4}){1,7}|:)|fe80:(:[0-9a-fA-F]{0,4}){0,4}%[0-9a-zA-Z]{1,}|::(ffff(:0{1,4}){0,1}:){0,1}((25[0-5]|(2[0-4]|1{0,1}[0-9]){0,1}[0-9])\.){3,3}(25[0-5]|(2[0-4]|1{0,1}[0-9]){0,1}[0-9])|([0-9a-fA-F]{1,4}:){1,4}:((25[0-5]|(2[0-4]|1{0,1}[0-9]){0,1}[0-9])\.){3,3}(25[0-5]|(2[0-4]|1{0,1}[0-9]){0,1}[0-9]))\/(12[0-8]|1[01][0-9]|[1-9]?[0-9])$/,
    base64: /^([0-9a-zA-Z+/]{4})*(([0-9a-zA-Z+/]{2}==)|([0-9a-zA-Z+/]{3}=))?$/,
    base64url: /^([0-9a-zA-Z-_]{4})*(([0-9a-zA-Z-_]{2}(==)?)|([0-9a-zA-Z-_]{3}(=)?))?$/,
    nanoid: /^[a-zA-Z0-9_-]{21}$/,
    jwt: /^[A-Za-z0-9-_]+\.[A-Za-z0-9-_]+\.[A-Za-z0-9-_]*$/
  };
  ALPHA_NUMERIC = new Set("ABCDEFGHIJKLMNOPQRSTUVXYZabcdefghijklmnopqrstuvxyz0123456789");
});

// node_modules/zod-to-json-schema/dist/esm/parsers/record.js
function parseRecordDef(def, refs) {
  if (refs.target === "openAi") {
    console.warn("Warning: OpenAI may not support records in schemas! Try an array of key-value pairs instead.");
  }
  if (refs.target === "openApi3" && def.keyType?._def.typeName === ZodFirstPartyTypeKind.ZodEnum) {
    return {
      type: "object",
      required: def.keyType._def.values,
      properties: def.keyType._def.values.reduce((acc, key) => ({
        ...acc,
        [key]: parseDef(def.valueType._def, {
          ...refs,
          currentPath: [...refs.currentPath, "properties", key]
        }) ?? {}
      }), {}),
      additionalProperties: refs.rejectedAdditionalProperties
    };
  }
  const schema = {
    type: "object",
    additionalProperties: parseDef(def.valueType._def, {
      ...refs,
      currentPath: [...refs.currentPath, "additionalProperties"]
    }) ?? refs.allowedAdditionalProperties
  };
  if (refs.target === "openApi3") {
    return schema;
  }
  if (def.keyType?._def.typeName === ZodFirstPartyTypeKind.ZodString && def.keyType._def.checks?.length) {
    const { type, ...keyType } = parseStringDef(def.keyType._def, refs);
    return {
      ...schema,
      propertyNames: keyType
    };
  } else if (def.keyType?._def.typeName === ZodFirstPartyTypeKind.ZodEnum) {
    return {
      ...schema,
      propertyNames: {
        enum: def.keyType._def.values
      }
    };
  } else if (def.keyType?._def.typeName === ZodFirstPartyTypeKind.ZodBranded && def.keyType._def.type._def.typeName === ZodFirstPartyTypeKind.ZodString && def.keyType._def.type._def.checks?.length) {
    const { type, ...keyType } = parseBrandedDef(def.keyType._def, refs);
    return {
      ...schema,
      propertyNames: keyType
    };
  }
  return schema;
}
var init_record = __esm(() => {
  init_esm();
  init_parseDef();
  init_string();
  init_branded();
});

// node_modules/zod-to-json-schema/dist/esm/parsers/map.js
function parseMapDef(def, refs) {
  if (refs.mapStrategy === "record") {
    return parseRecordDef(def, refs);
  }
  const keys = parseDef(def.keyType._def, {
    ...refs,
    currentPath: [...refs.currentPath, "items", "items", "0"]
  }) || {};
  const values = parseDef(def.valueType._def, {
    ...refs,
    currentPath: [...refs.currentPath, "items", "items", "1"]
  }) || {};
  return {
    type: "array",
    maxItems: 125,
    items: {
      type: "array",
      items: [keys, values],
      minItems: 2,
      maxItems: 2
    }
  };
}
var init_map = __esm(() => {
  init_parseDef();
  init_record();
});

// node_modules/zod-to-json-schema/dist/esm/parsers/nativeEnum.js
function parseNativeEnumDef(def) {
  const object = def.values;
  const actualKeys = Object.keys(def.values).filter((key) => {
    return typeof object[object[key]] !== "number";
  });
  const actualValues = actualKeys.map((key) => object[key]);
  const parsedTypes = Array.from(new Set(actualValues.map((values) => typeof values)));
  return {
    type: parsedTypes.length === 1 ? parsedTypes[0] === "string" ? "string" : "number" : ["string", "number"],
    enum: actualValues
  };
}

// node_modules/zod-to-json-schema/dist/esm/parsers/never.js
function parseNeverDef() {
  return {
    not: {}
  };
}

// node_modules/zod-to-json-schema/dist/esm/parsers/null.js
function parseNullDef(refs) {
  return refs.target === "openApi3" ? {
    enum: ["null"],
    nullable: true
  } : {
    type: "null"
  };
}

// node_modules/zod-to-json-schema/dist/esm/parsers/union.js
function parseUnionDef(def, refs) {
  if (refs.target === "openApi3")
    return asAnyOf(def, refs);
  const options = def.options instanceof Map ? Array.from(def.options.values()) : def.options;
  if (options.every((x2) => (x2._def.typeName in primitiveMappings) && (!x2._def.checks || !x2._def.checks.length))) {
    const types2 = options.reduce((types3, x2) => {
      const type = primitiveMappings[x2._def.typeName];
      return type && !types3.includes(type) ? [...types3, type] : types3;
    }, []);
    return {
      type: types2.length > 1 ? types2 : types2[0]
    };
  } else if (options.every((x2) => x2._def.typeName === "ZodLiteral" && !x2.description)) {
    const types2 = options.reduce((acc, x2) => {
      const type = typeof x2._def.value;
      switch (type) {
        case "string":
        case "number":
        case "boolean":
          return [...acc, type];
        case "bigint":
          return [...acc, "integer"];
        case "object":
          if (x2._def.value === null)
            return [...acc, "null"];
        case "symbol":
        case "undefined":
        case "function":
        default:
          return acc;
      }
    }, []);
    if (types2.length === options.length) {
      const uniqueTypes = types2.filter((x2, i, a) => a.indexOf(x2) === i);
      return {
        type: uniqueTypes.length > 1 ? uniqueTypes : uniqueTypes[0],
        enum: options.reduce((acc, x2) => {
          return acc.includes(x2._def.value) ? acc : [...acc, x2._def.value];
        }, [])
      };
    }
  } else if (options.every((x2) => x2._def.typeName === "ZodEnum")) {
    return {
      type: "string",
      enum: options.reduce((acc, x2) => [
        ...acc,
        ...x2._def.values.filter((x3) => !acc.includes(x3))
      ], [])
    };
  }
  return asAnyOf(def, refs);
}
var primitiveMappings, asAnyOf = (def, refs) => {
  const anyOf = (def.options instanceof Map ? Array.from(def.options.values()) : def.options).map((x2, i) => parseDef(x2._def, {
    ...refs,
    currentPath: [...refs.currentPath, "anyOf", `${i}`]
  })).filter((x2) => !!x2 && (!refs.strictUnions || typeof x2 === "object" && Object.keys(x2).length > 0));
  return anyOf.length ? { anyOf } : undefined;
};
var init_union = __esm(() => {
  init_parseDef();
  primitiveMappings = {
    ZodString: "string",
    ZodNumber: "number",
    ZodBigInt: "integer",
    ZodBoolean: "boolean",
    ZodNull: "null"
  };
});

// node_modules/zod-to-json-schema/dist/esm/parsers/nullable.js
function parseNullableDef(def, refs) {
  if (["ZodString", "ZodNumber", "ZodBigInt", "ZodBoolean", "ZodNull"].includes(def.innerType._def.typeName) && (!def.innerType._def.checks || !def.innerType._def.checks.length)) {
    if (refs.target === "openApi3") {
      return {
        type: primitiveMappings[def.innerType._def.typeName],
        nullable: true
      };
    }
    return {
      type: [
        primitiveMappings[def.innerType._def.typeName],
        "null"
      ]
    };
  }
  if (refs.target === "openApi3") {
    const base2 = parseDef(def.innerType._def, {
      ...refs,
      currentPath: [...refs.currentPath]
    });
    if (base2 && "$ref" in base2)
      return { allOf: [base2], nullable: true };
    return base2 && { ...base2, nullable: true };
  }
  const base = parseDef(def.innerType._def, {
    ...refs,
    currentPath: [...refs.currentPath, "anyOf", "0"]
  });
  return base && { anyOf: [base, { type: "null" }] };
}
var init_nullable = __esm(() => {
  init_parseDef();
  init_union();
});

// node_modules/zod-to-json-schema/dist/esm/parsers/number.js
function parseNumberDef(def, refs) {
  const res = {
    type: "number"
  };
  if (!def.checks)
    return res;
  for (const check of def.checks) {
    switch (check.kind) {
      case "int":
        res.type = "integer";
        addErrorMessage(res, "type", check.message, refs);
        break;
      case "min":
        if (refs.target === "jsonSchema7") {
          if (check.inclusive) {
            setResponseValueAndErrors(res, "minimum", check.value, check.message, refs);
          } else {
            setResponseValueAndErrors(res, "exclusiveMinimum", check.value, check.message, refs);
          }
        } else {
          if (!check.inclusive) {
            res.exclusiveMinimum = true;
          }
          setResponseValueAndErrors(res, "minimum", check.value, check.message, refs);
        }
        break;
      case "max":
        if (refs.target === "jsonSchema7") {
          if (check.inclusive) {
            setResponseValueAndErrors(res, "maximum", check.value, check.message, refs);
          } else {
            setResponseValueAndErrors(res, "exclusiveMaximum", check.value, check.message, refs);
          }
        } else {
          if (!check.inclusive) {
            res.exclusiveMaximum = true;
          }
          setResponseValueAndErrors(res, "maximum", check.value, check.message, refs);
        }
        break;
      case "multipleOf":
        setResponseValueAndErrors(res, "multipleOf", check.value, check.message, refs);
        break;
    }
  }
  return res;
}
var init_number = () => {};

// node_modules/zod-to-json-schema/dist/esm/parsers/object.js
function parseObjectDef(def, refs) {
  const forceOptionalIntoNullable = refs.target === "openAi";
  const result = {
    type: "object",
    properties: {}
  };
  const required = [];
  const shape = def.shape();
  for (const propName in shape) {
    let propDef = shape[propName];
    if (propDef === undefined || propDef._def === undefined) {
      continue;
    }
    let propOptional = safeIsOptional(propDef);
    if (propOptional && forceOptionalIntoNullable) {
      if (propDef instanceof ZodOptional) {
        propDef = propDef._def.innerType;
      }
      if (!propDef.isNullable()) {
        propDef = propDef.nullable();
      }
      propOptional = false;
    }
    const parsedDef = parseDef(propDef._def, {
      ...refs,
      currentPath: [...refs.currentPath, "properties", propName],
      propertyPath: [...refs.currentPath, "properties", propName]
    });
    if (parsedDef === undefined) {
      continue;
    }
    result.properties[propName] = parsedDef;
    if (!propOptional) {
      required.push(propName);
    }
  }
  if (required.length) {
    result.required = required;
  }
  const additionalProperties = decideAdditionalProperties(def, refs);
  if (additionalProperties !== undefined) {
    result.additionalProperties = additionalProperties;
  }
  return result;
}
function decideAdditionalProperties(def, refs) {
  if (def.catchall._def.typeName !== "ZodNever") {
    return parseDef(def.catchall._def, {
      ...refs,
      currentPath: [...refs.currentPath, "additionalProperties"]
    });
  }
  switch (def.unknownKeys) {
    case "passthrough":
      return refs.allowedAdditionalProperties;
    case "strict":
      return refs.rejectedAdditionalProperties;
    case "strip":
      return refs.removeAdditionalStrategy === "strict" ? refs.allowedAdditionalProperties : refs.rejectedAdditionalProperties;
  }
}
function safeIsOptional(schema) {
  try {
    return schema.isOptional();
  } catch {
    return true;
  }
}
var init_object = __esm(() => {
  init_esm();
  init_parseDef();
});

// node_modules/zod-to-json-schema/dist/esm/parsers/optional.js
var parseOptionalDef = (def, refs) => {
  if (refs.currentPath.toString() === refs.propertyPath?.toString()) {
    return parseDef(def.innerType._def, refs);
  }
  const innerSchema = parseDef(def.innerType._def, {
    ...refs,
    currentPath: [...refs.currentPath, "anyOf", "1"]
  });
  return innerSchema ? {
    anyOf: [
      {
        not: {}
      },
      innerSchema
    ]
  } : {};
};
var init_optional = __esm(() => {
  init_parseDef();
});

// node_modules/zod-to-json-schema/dist/esm/parsers/pipeline.js
var parsePipelineDef = (def, refs) => {
  if (refs.pipeStrategy === "input") {
    return parseDef(def.in._def, refs);
  } else if (refs.pipeStrategy === "output") {
    return parseDef(def.out._def, refs);
  }
  const a = parseDef(def.in._def, {
    ...refs,
    currentPath: [...refs.currentPath, "allOf", "0"]
  });
  const b2 = parseDef(def.out._def, {
    ...refs,
    currentPath: [...refs.currentPath, "allOf", a ? "1" : "0"]
  });
  return {
    allOf: [a, b2].filter((x2) => x2 !== undefined)
  };
};
var init_pipeline = __esm(() => {
  init_parseDef();
});

// node_modules/zod-to-json-schema/dist/esm/parsers/promise.js
function parsePromiseDef(def, refs) {
  return parseDef(def.type._def, refs);
}
var init_promise = __esm(() => {
  init_parseDef();
});

// node_modules/zod-to-json-schema/dist/esm/parsers/set.js
function parseSetDef(def, refs) {
  const items = parseDef(def.valueType._def, {
    ...refs,
    currentPath: [...refs.currentPath, "items"]
  });
  const schema = {
    type: "array",
    uniqueItems: true,
    items
  };
  if (def.minSize) {
    setResponseValueAndErrors(schema, "minItems", def.minSize.value, def.minSize.message, refs);
  }
  if (def.maxSize) {
    setResponseValueAndErrors(schema, "maxItems", def.maxSize.value, def.maxSize.message, refs);
  }
  return schema;
}
var init_set = __esm(() => {
  init_parseDef();
});

// node_modules/zod-to-json-schema/dist/esm/parsers/tuple.js
function parseTupleDef(def, refs) {
  if (def.rest) {
    return {
      type: "array",
      minItems: def.items.length,
      items: def.items.map((x2, i) => parseDef(x2._def, {
        ...refs,
        currentPath: [...refs.currentPath, "items", `${i}`]
      })).reduce((acc, x2) => x2 === undefined ? acc : [...acc, x2], []),
      additionalItems: parseDef(def.rest._def, {
        ...refs,
        currentPath: [...refs.currentPath, "additionalItems"]
      })
    };
  } else {
    return {
      type: "array",
      minItems: def.items.length,
      maxItems: def.items.length,
      items: def.items.map((x2, i) => parseDef(x2._def, {
        ...refs,
        currentPath: [...refs.currentPath, "items", `${i}`]
      })).reduce((acc, x2) => x2 === undefined ? acc : [...acc, x2], [])
    };
  }
}
var init_tuple = __esm(() => {
  init_parseDef();
});

// node_modules/zod-to-json-schema/dist/esm/parsers/undefined.js
function parseUndefinedDef() {
  return {
    not: {}
  };
}

// node_modules/zod-to-json-schema/dist/esm/parsers/unknown.js
function parseUnknownDef() {
  return {};
}

// node_modules/zod-to-json-schema/dist/esm/parsers/readonly.js
var parseReadonlyDef = (def, refs) => {
  return parseDef(def.innerType._def, refs);
};
var init_readonly = __esm(() => {
  init_parseDef();
});

// node_modules/zod-to-json-schema/dist/esm/selectParser.js
var selectParser = (def, typeName, refs) => {
  switch (typeName) {
    case ZodFirstPartyTypeKind.ZodString:
      return parseStringDef(def, refs);
    case ZodFirstPartyTypeKind.ZodNumber:
      return parseNumberDef(def, refs);
    case ZodFirstPartyTypeKind.ZodObject:
      return parseObjectDef(def, refs);
    case ZodFirstPartyTypeKind.ZodBigInt:
      return parseBigintDef(def, refs);
    case ZodFirstPartyTypeKind.ZodBoolean:
      return parseBooleanDef();
    case ZodFirstPartyTypeKind.ZodDate:
      return parseDateDef(def, refs);
    case ZodFirstPartyTypeKind.ZodUndefined:
      return parseUndefinedDef();
    case ZodFirstPartyTypeKind.ZodNull:
      return parseNullDef(refs);
    case ZodFirstPartyTypeKind.ZodArray:
      return parseArrayDef(def, refs);
    case ZodFirstPartyTypeKind.ZodUnion:
    case ZodFirstPartyTypeKind.ZodDiscriminatedUnion:
      return parseUnionDef(def, refs);
    case ZodFirstPartyTypeKind.ZodIntersection:
      return parseIntersectionDef(def, refs);
    case ZodFirstPartyTypeKind.ZodTuple:
      return parseTupleDef(def, refs);
    case ZodFirstPartyTypeKind.ZodRecord:
      return parseRecordDef(def, refs);
    case ZodFirstPartyTypeKind.ZodLiteral:
      return parseLiteralDef(def, refs);
    case ZodFirstPartyTypeKind.ZodEnum:
      return parseEnumDef(def);
    case ZodFirstPartyTypeKind.ZodNativeEnum:
      return parseNativeEnumDef(def);
    case ZodFirstPartyTypeKind.ZodNullable:
      return parseNullableDef(def, refs);
    case ZodFirstPartyTypeKind.ZodOptional:
      return parseOptionalDef(def, refs);
    case ZodFirstPartyTypeKind.ZodMap:
      return parseMapDef(def, refs);
    case ZodFirstPartyTypeKind.ZodSet:
      return parseSetDef(def, refs);
    case ZodFirstPartyTypeKind.ZodLazy:
      return () => def.getter()._def;
    case ZodFirstPartyTypeKind.ZodPromise:
      return parsePromiseDef(def, refs);
    case ZodFirstPartyTypeKind.ZodNaN:
    case ZodFirstPartyTypeKind.ZodNever:
      return parseNeverDef();
    case ZodFirstPartyTypeKind.ZodEffects:
      return parseEffectsDef(def, refs);
    case ZodFirstPartyTypeKind.ZodAny:
      return parseAnyDef();
    case ZodFirstPartyTypeKind.ZodUnknown:
      return parseUnknownDef();
    case ZodFirstPartyTypeKind.ZodDefault:
      return parseDefaultDef(def, refs);
    case ZodFirstPartyTypeKind.ZodBranded:
      return parseBrandedDef(def, refs);
    case ZodFirstPartyTypeKind.ZodReadonly:
      return parseReadonlyDef(def, refs);
    case ZodFirstPartyTypeKind.ZodCatch:
      return parseCatchDef(def, refs);
    case ZodFirstPartyTypeKind.ZodPipeline:
      return parsePipelineDef(def, refs);
    case ZodFirstPartyTypeKind.ZodFunction:
    case ZodFirstPartyTypeKind.ZodVoid:
    case ZodFirstPartyTypeKind.ZodSymbol:
      return;
    default:
      return ((_2) => {
        return;
      })(typeName);
  }
};
var init_selectParser = __esm(() => {
  init_esm();
  init_array();
  init_bigint();
  init_branded();
  init_catch();
  init_date();
  init_default();
  init_effects();
  init_intersection();
  init_map();
  init_nullable();
  init_number();
  init_object();
  init_optional();
  init_pipeline();
  init_promise();
  init_record();
  init_set();
  init_string();
  init_tuple();
  init_union();
  init_readonly();
});

// node_modules/zod-to-json-schema/dist/esm/parseDef.js
function parseDef(def, refs, forceResolution = false) {
  const seenItem = refs.seen.get(def);
  if (refs.override) {
    const overrideResult = refs.override?.(def, refs, seenItem, forceResolution);
    if (overrideResult !== ignoreOverride) {
      return overrideResult;
    }
  }
  if (seenItem && !forceResolution) {
    const seenSchema = get$ref(seenItem, refs);
    if (seenSchema !== undefined) {
      return seenSchema;
    }
  }
  const newItem = { def, path: refs.currentPath, jsonSchema: undefined };
  refs.seen.set(def, newItem);
  const jsonSchemaOrGetter = selectParser(def, def.typeName, refs);
  const jsonSchema = typeof jsonSchemaOrGetter === "function" ? parseDef(jsonSchemaOrGetter(), refs) : jsonSchemaOrGetter;
  if (jsonSchema) {
    addMeta(def, refs, jsonSchema);
  }
  if (refs.postProcess) {
    const postProcessResult = refs.postProcess(jsonSchema, def, refs);
    newItem.jsonSchema = jsonSchema;
    return postProcessResult;
  }
  newItem.jsonSchema = jsonSchema;
  return jsonSchema;
}
var get$ref = (item, refs) => {
  switch (refs.$refStrategy) {
    case "root":
      return { $ref: item.path.join("/") };
    case "relative":
      return { $ref: getRelativePath(refs.currentPath, item.path) };
    case "none":
    case "seen": {
      if (item.path.length < refs.currentPath.length && item.path.every((value, index) => refs.currentPath[index] === value)) {
        console.warn(`Recursive reference detected at ${refs.currentPath.join("/")}! Defaulting to any`);
        return {};
      }
      return refs.$refStrategy === "seen" ? {} : undefined;
    }
  }
}, getRelativePath = (pathA, pathB) => {
  let i = 0;
  for (;i < pathA.length && i < pathB.length; i++) {
    if (pathA[i] !== pathB[i])
      break;
  }
  return [(pathA.length - i).toString(), ...pathB.slice(i)].join("/");
}, addMeta = (def, refs, jsonSchema) => {
  if (def.description) {
    jsonSchema.description = def.description;
    if (refs.markdownDescription) {
      jsonSchema.markdownDescription = def.description;
    }
  }
  return jsonSchema;
};
var init_parseDef = __esm(() => {
  init_Options();
  init_selectParser();
});

// node_modules/zod-to-json-schema/dist/esm/parseTypes.js
var init_parseTypes = () => {};

// node_modules/zod-to-json-schema/dist/esm/zodToJsonSchema.js
var zodToJsonSchema = (schema, options) => {
  const refs = getRefs(options);
  const definitions = typeof options === "object" && options.definitions ? Object.entries(options.definitions).reduce((acc, [name2, schema2]) => ({
    ...acc,
    [name2]: parseDef(schema2._def, {
      ...refs,
      currentPath: [...refs.basePath, refs.definitionPath, name2]
    }, true) ?? {}
  }), {}) : undefined;
  const name = typeof options === "string" ? options : options?.nameStrategy === "title" ? undefined : options?.name;
  const main = parseDef(schema._def, name === undefined ? refs : {
    ...refs,
    currentPath: [...refs.basePath, refs.definitionPath, name]
  }, false) ?? {};
  const title = typeof options === "object" && options.name !== undefined && options.nameStrategy === "title" ? options.name : undefined;
  if (title !== undefined) {
    main.title = title;
  }
  const combined = name === undefined ? definitions ? {
    ...main,
    [refs.definitionPath]: definitions
  } : main : {
    $ref: [
      ...refs.$refStrategy === "relative" ? [] : refs.basePath,
      refs.definitionPath,
      name
    ].join("/"),
    [refs.definitionPath]: {
      ...definitions,
      [name]: main
    }
  };
  if (refs.target === "jsonSchema7") {
    combined.$schema = "http://json-schema.org/draft-07/schema#";
  } else if (refs.target === "jsonSchema2019-09" || refs.target === "openAi") {
    combined.$schema = "https://json-schema.org/draft/2019-09/schema#";
  }
  if (refs.target === "openAi" && (("anyOf" in combined) || ("oneOf" in combined) || ("allOf" in combined) || ("type" in combined) && Array.isArray(combined.type))) {
    console.warn("Warning: OpenAI may not support schemas with unions as roots! Try wrapping it in an object property.");
  }
  return combined;
};
var init_zodToJsonSchema = __esm(() => {
  init_parseDef();
  init_Refs();
});

// node_modules/zod-to-json-schema/dist/esm/index.js
var init_esm2 = __esm(() => {
  init_Options();
  init_Refs();
  init_parseDef();
  init_parseTypes();
  init_array();
  init_bigint();
  init_branded();
  init_catch();
  init_date();
  init_default();
  init_effects();
  init_intersection();
  init_map();
  init_nullable();
  init_number();
  init_object();
  init_optional();
  init_pipeline();
  init_promise();
  init_readonly();
  init_record();
  init_set();
  init_string();
  init_tuple();
  init_union();
  init_selectParser();
  init_zodToJsonSchema();
  init_zodToJsonSchema();
});

// node_modules/@modelcontextprotocol/sdk/dist/esm/server/completable.js
function processCreateParams2(params) {
  if (!params)
    return {};
  const { errorMap: errorMap2, invalid_type_error, required_error, description } = params;
  if (errorMap2 && (invalid_type_error || required_error)) {
    throw new Error(`Can't use "invalid_type_error" or "required_error" in conjunction with custom error map.`);
  }
  if (errorMap2)
    return { errorMap: errorMap2, description };
  const customMap = (iss, ctx) => {
    var _a, _b;
    const { message } = params;
    if (iss.code === "invalid_enum_value") {
      return { message: message !== null && message !== undefined ? message : ctx.defaultError };
    }
    if (typeof ctx.data === "undefined") {
      return { message: (_a = message !== null && message !== undefined ? message : required_error) !== null && _a !== undefined ? _a : ctx.defaultError };
    }
    if (iss.code !== "invalid_type")
      return { message: ctx.defaultError };
    return { message: (_b = message !== null && message !== undefined ? message : invalid_type_error) !== null && _b !== undefined ? _b : ctx.defaultError };
  };
  return { errorMap: customMap, description };
}
var McpZodTypeKind, Completable;
var init_completable = __esm(() => {
  init_esm();
  (function(McpZodTypeKind2) {
    McpZodTypeKind2["Completable"] = "McpCompletable";
  })(McpZodTypeKind || (McpZodTypeKind = {}));
  Completable = class Completable extends ZodType {
    _parse(input) {
      const { ctx } = this._processInputParams(input);
      const data = ctx.data;
      return this._def.type._parse({
        data,
        path: ctx.path,
        parent: ctx
      });
    }
    unwrap() {
      return this._def.type;
    }
  };
  Completable.create = (type, params) => {
    return new Completable({
      type,
      typeName: McpZodTypeKind.Completable,
      complete: params.complete,
      ...processCreateParams2(params)
    });
  };
});
// node_modules/@modelcontextprotocol/sdk/dist/esm/server/mcp.js
class McpServer {
  constructor(serverInfo, options) {
    this._registeredResources = {};
    this._registeredResourceTemplates = {};
    this._registeredTools = {};
    this._registeredPrompts = {};
    this._toolHandlersInitialized = false;
    this._completionHandlerInitialized = false;
    this._resourceHandlersInitialized = false;
    this._promptHandlersInitialized = false;
    this.server = new Server(serverInfo, options);
  }
  async connect(transport) {
    return await this.server.connect(transport);
  }
  async close() {
    await this.server.close();
  }
  setToolRequestHandlers() {
    if (this._toolHandlersInitialized) {
      return;
    }
    this.server.assertCanSetRequestHandler(ListToolsRequestSchema.shape.method.value);
    this.server.assertCanSetRequestHandler(CallToolRequestSchema.shape.method.value);
    this.server.registerCapabilities({
      tools: {}
    });
    this.server.setRequestHandler(ListToolsRequestSchema, () => ({
      tools: Object.entries(this._registeredTools).map(([name, tool]) => {
        return {
          name,
          description: tool.description,
          inputSchema: tool.inputSchema ? zodToJsonSchema(tool.inputSchema, {
            strictUnions: true
          }) : EMPTY_OBJECT_JSON_SCHEMA
        };
      })
    }));
    this.server.setRequestHandler(CallToolRequestSchema, async (request, extra) => {
      const tool = this._registeredTools[request.params.name];
      if (!tool) {
        throw new McpError(ErrorCode.InvalidParams, `Tool ${request.params.name} not found`);
      }
      if (tool.inputSchema) {
        const parseResult = await tool.inputSchema.safeParseAsync(request.params.arguments);
        if (!parseResult.success) {
          throw new McpError(ErrorCode.InvalidParams, `Invalid arguments for tool ${request.params.name}: ${parseResult.error.message}`);
        }
        const args = parseResult.data;
        const cb = tool.callback;
        try {
          return await Promise.resolve(cb(args, extra));
        } catch (error) {
          return {
            content: [
              {
                type: "text",
                text: error instanceof Error ? error.message : String(error)
              }
            ],
            isError: true
          };
        }
      } else {
        const cb = tool.callback;
        try {
          return await Promise.resolve(cb(extra));
        } catch (error) {
          return {
            content: [
              {
                type: "text",
                text: error instanceof Error ? error.message : String(error)
              }
            ],
            isError: true
          };
        }
      }
    });
    this._toolHandlersInitialized = true;
  }
  setCompletionRequestHandler() {
    if (this._completionHandlerInitialized) {
      return;
    }
    this.server.assertCanSetRequestHandler(CompleteRequestSchema.shape.method.value);
    this.server.setRequestHandler(CompleteRequestSchema, async (request) => {
      switch (request.params.ref.type) {
        case "ref/prompt":
          return this.handlePromptCompletion(request, request.params.ref);
        case "ref/resource":
          return this.handleResourceCompletion(request, request.params.ref);
        default:
          throw new McpError(ErrorCode.InvalidParams, `Invalid completion reference: ${request.params.ref}`);
      }
    });
    this._completionHandlerInitialized = true;
  }
  async handlePromptCompletion(request, ref) {
    const prompt = this._registeredPrompts[ref.name];
    if (!prompt) {
      throw new McpError(ErrorCode.InvalidParams, `Prompt ${request.params.ref.name} not found`);
    }
    if (!prompt.argsSchema) {
      return EMPTY_COMPLETION_RESULT;
    }
    const field = prompt.argsSchema.shape[request.params.argument.name];
    if (!(field instanceof Completable)) {
      return EMPTY_COMPLETION_RESULT;
    }
    const def = field._def;
    const suggestions = await def.complete(request.params.argument.value);
    return createCompletionResult(suggestions);
  }
  async handleResourceCompletion(request, ref) {
    const template = Object.values(this._registeredResourceTemplates).find((t) => t.resourceTemplate.uriTemplate.toString() === ref.uri);
    if (!template) {
      if (this._registeredResources[ref.uri]) {
        return EMPTY_COMPLETION_RESULT;
      }
      throw new McpError(ErrorCode.InvalidParams, `Resource template ${request.params.ref.uri} not found`);
    }
    const completer = template.resourceTemplate.completeCallback(request.params.argument.name);
    if (!completer) {
      return EMPTY_COMPLETION_RESULT;
    }
    const suggestions = await completer(request.params.argument.value);
    return createCompletionResult(suggestions);
  }
  setResourceRequestHandlers() {
    if (this._resourceHandlersInitialized) {
      return;
    }
    this.server.assertCanSetRequestHandler(ListResourcesRequestSchema.shape.method.value);
    this.server.assertCanSetRequestHandler(ListResourceTemplatesRequestSchema.shape.method.value);
    this.server.assertCanSetRequestHandler(ReadResourceRequestSchema.shape.method.value);
    this.server.registerCapabilities({
      resources: {}
    });
    this.server.setRequestHandler(ListResourcesRequestSchema, async (request, extra) => {
      const resources = Object.entries(this._registeredResources).map(([uri, resource]) => ({
        uri,
        name: resource.name,
        ...resource.metadata
      }));
      const templateResources = [];
      for (const template of Object.values(this._registeredResourceTemplates)) {
        if (!template.resourceTemplate.listCallback) {
          continue;
        }
        const result = await template.resourceTemplate.listCallback(extra);
        for (const resource of result.resources) {
          templateResources.push({
            ...resource,
            ...template.metadata
          });
        }
      }
      return { resources: [...resources, ...templateResources] };
    });
    this.server.setRequestHandler(ListResourceTemplatesRequestSchema, async () => {
      const resourceTemplates = Object.entries(this._registeredResourceTemplates).map(([name, template]) => ({
        name,
        uriTemplate: template.resourceTemplate.uriTemplate.toString(),
        ...template.metadata
      }));
      return { resourceTemplates };
    });
    this.server.setRequestHandler(ReadResourceRequestSchema, async (request, extra) => {
      const uri = new URL(request.params.uri);
      const resource = this._registeredResources[uri.toString()];
      if (resource) {
        return resource.readCallback(uri, extra);
      }
      for (const template of Object.values(this._registeredResourceTemplates)) {
        const variables = template.resourceTemplate.uriTemplate.match(uri.toString());
        if (variables) {
          return template.readCallback(uri, variables, extra);
        }
      }
      throw new McpError(ErrorCode.InvalidParams, `Resource ${uri} not found`);
    });
    this.setCompletionRequestHandler();
    this._resourceHandlersInitialized = true;
  }
  setPromptRequestHandlers() {
    if (this._promptHandlersInitialized) {
      return;
    }
    this.server.assertCanSetRequestHandler(ListPromptsRequestSchema.shape.method.value);
    this.server.assertCanSetRequestHandler(GetPromptRequestSchema.shape.method.value);
    this.server.registerCapabilities({
      prompts: {}
    });
    this.server.setRequestHandler(ListPromptsRequestSchema, () => ({
      prompts: Object.entries(this._registeredPrompts).map(([name, prompt]) => {
        return {
          name,
          description: prompt.description,
          arguments: prompt.argsSchema ? promptArgumentsFromSchema(prompt.argsSchema) : undefined
        };
      })
    }));
    this.server.setRequestHandler(GetPromptRequestSchema, async (request, extra) => {
      const prompt = this._registeredPrompts[request.params.name];
      if (!prompt) {
        throw new McpError(ErrorCode.InvalidParams, `Prompt ${request.params.name} not found`);
      }
      if (prompt.argsSchema) {
        const parseResult = await prompt.argsSchema.safeParseAsync(request.params.arguments);
        if (!parseResult.success) {
          throw new McpError(ErrorCode.InvalidParams, `Invalid arguments for prompt ${request.params.name}: ${parseResult.error.message}`);
        }
        const args = parseResult.data;
        const cb = prompt.callback;
        return await Promise.resolve(cb(args, extra));
      } else {
        const cb = prompt.callback;
        return await Promise.resolve(cb(extra));
      }
    });
    this.setCompletionRequestHandler();
    this._promptHandlersInitialized = true;
  }
  resource(name, uriOrTemplate, ...rest) {
    let metadata;
    if (typeof rest[0] === "object") {
      metadata = rest.shift();
    }
    const readCallback = rest[0];
    if (typeof uriOrTemplate === "string") {
      if (this._registeredResources[uriOrTemplate]) {
        throw new Error(`Resource ${uriOrTemplate} is already registered`);
      }
      this._registeredResources[uriOrTemplate] = {
        name,
        metadata,
        readCallback
      };
    } else {
      if (this._registeredResourceTemplates[name]) {
        throw new Error(`Resource template ${name} is already registered`);
      }
      this._registeredResourceTemplates[name] = {
        resourceTemplate: uriOrTemplate,
        metadata,
        readCallback
      };
    }
    this.setResourceRequestHandlers();
  }
  tool(name, ...rest) {
    if (this._registeredTools[name]) {
      throw new Error(`Tool ${name} is already registered`);
    }
    let description;
    if (typeof rest[0] === "string") {
      description = rest.shift();
    }
    let paramsSchema;
    if (rest.length > 1) {
      paramsSchema = rest.shift();
    }
    const cb = rest[0];
    this._registeredTools[name] = {
      description,
      inputSchema: paramsSchema === undefined ? undefined : exports_external.object(paramsSchema),
      callback: cb
    };
    this.setToolRequestHandlers();
  }
  prompt(name, ...rest) {
    if (this._registeredPrompts[name]) {
      throw new Error(`Prompt ${name} is already registered`);
    }
    let description;
    if (typeof rest[0] === "string") {
      description = rest.shift();
    }
    let argsSchema;
    if (rest.length > 1) {
      argsSchema = rest.shift();
    }
    const cb = rest[0];
    this._registeredPrompts[name] = {
      description,
      argsSchema: argsSchema === undefined ? undefined : exports_external.object(argsSchema),
      callback: cb
    };
    this.setPromptRequestHandlers();
  }
}
function promptArgumentsFromSchema(schema) {
  return Object.entries(schema.shape).map(([name, field]) => ({
    name,
    description: field.description,
    required: !field.isOptional()
  }));
}
function createCompletionResult(suggestions) {
  return {
    completion: {
      values: suggestions.slice(0, 100),
      total: suggestions.length,
      hasMore: suggestions.length > 100
    }
  };
}
var EMPTY_OBJECT_JSON_SCHEMA, EMPTY_COMPLETION_RESULT;
var init_mcp = __esm(() => {
  init_server();
  init_esm2();
  init_esm();
  init_types2();
  init_completable();
  EMPTY_OBJECT_JSON_SCHEMA = {
    type: "object"
  };
  EMPTY_COMPLETION_RESULT = {
    completion: {
      values: [],
      hasMore: false
    }
  };
});

// src/hooks/registration.ts
function initHooks(hooks) {}

// src/hooks/hooks.ts
class SDKHooks {
  sdkInitHooks = [];
  beforeCreateRequestHooks = [];
  beforeRequestHooks = [];
  afterSuccessHooks = [];
  afterErrorHooks = [];
  constructor() {
    const presetHooks = [];
    for (const hook of presetHooks) {
      if ("sdkInit" in hook) {
        this.registerSDKInitHook(hook);
      }
      if ("beforeCreateRequest" in hook) {
        this.registerBeforeCreateRequestHook(hook);
      }
      if ("beforeRequest" in hook) {
        this.registerBeforeRequestHook(hook);
      }
      if ("afterSuccess" in hook) {
        this.registerAfterSuccessHook(hook);
      }
      if ("afterError" in hook) {
        this.registerAfterErrorHook(hook);
      }
    }
    initHooks(this);
  }
  registerSDKInitHook(hook) {
    this.sdkInitHooks.push(hook);
  }
  registerBeforeCreateRequestHook(hook) {
    this.beforeCreateRequestHooks.push(hook);
  }
  registerBeforeRequestHook(hook) {
    this.beforeRequestHooks.push(hook);
  }
  registerAfterSuccessHook(hook) {
    this.afterSuccessHooks.push(hook);
  }
  registerAfterErrorHook(hook) {
    this.afterErrorHooks.push(hook);
  }
  sdkInit(opts) {
    return this.sdkInitHooks.reduce((opts2, hook) => hook.sdkInit(opts2), opts);
  }
  beforeCreateRequest(hookCtx, input) {
    let inp = input;
    for (const hook of this.beforeCreateRequestHooks) {
      inp = hook.beforeCreateRequest(hookCtx, inp);
    }
    return inp;
  }
  async beforeRequest(hookCtx, request) {
    let req = request;
    for (const hook of this.beforeRequestHooks) {
      req = await hook.beforeRequest(hookCtx, req);
    }
    return req;
  }
  async afterSuccess(hookCtx, response) {
    let res = response;
    for (const hook of this.afterSuccessHooks) {
      res = await hook.afterSuccess(hookCtx, res);
    }
    return res;
  }
  async afterError(hookCtx, response, error) {
    let res = response;
    let err = error;
    for (const hook of this.afterErrorHooks) {
      const result = await hook.afterError(hookCtx, res, err);
      res = result.response;
      err = result.error;
    }
    return { response: res, error: err };
  }
}
var init_hooks = () => {};

// src/models/httpclienterrors.ts
var HTTPClientError, UnexpectedClientError, InvalidRequestError, RequestAbortedError, RequestTimeoutError, ConnectionError;
var init_httpclienterrors = __esm(() => {
  HTTPClientError = class HTTPClientError extends Error {
    cause;
    name = "HTTPClientError";
    constructor(message, opts) {
      let msg = message;
      if (opts?.cause) {
        msg += `: ${opts.cause}`;
      }
      super(msg, opts);
      if (typeof this.cause === "undefined") {
        this.cause = opts?.cause;
      }
    }
  };
  UnexpectedClientError = class UnexpectedClientError extends HTTPClientError {
    name = "UnexpectedClientError";
  };
  InvalidRequestError = class InvalidRequestError extends HTTPClientError {
    name = "InvalidRequestError";
  };
  RequestAbortedError = class RequestAbortedError extends HTTPClientError {
    name = "RequestAbortedError";
  };
  RequestTimeoutError = class RequestTimeoutError extends HTTPClientError {
    name = "RequestTimeoutError";
  };
  ConnectionError = class ConnectionError extends HTTPClientError {
    name = "ConnectionError";
  };
});

// src/types/fp.ts
function OK2(value) {
  return { ok: true, value };
}
function ERR(error) {
  return { ok: false, error };
}

// src/lib/base64.ts
function bytesToBase64(u8arr) {
  return btoa(String.fromCodePoint(...u8arr));
}
function bytesFromBase64(encoded) {
  return Uint8Array.from(atob(encoded), (c) => c.charCodeAt(0));
}
function stringToBytes(str) {
  return new TextEncoder().encode(str);
}
function stringToBase64(str) {
  return bytesToBase64(stringToBytes(str));
}
var zodOutbound, zodInbound;
var init_base64 = __esm(() => {
  init_esm();
  zodOutbound = instanceOfType(Uint8Array).or(stringType().transform(stringToBytes));
  zodInbound = instanceOfType(Uint8Array).or(stringType().transform(bytesFromBase64));
});

// src/lib/url.ts
function pathToFunc(pathPattern, options) {
  const paramRE = /\{([a-zA-Z0-9_]+?)\}/g;
  return function buildURLPath(params = {}) {
    return pathPattern.replace(paramRE, function(_2, placeholder) {
      if (!hasOwn.call(params, placeholder)) {
        throw new Error(`Parameter '${placeholder}' is required`);
      }
      const value = params[placeholder];
      if (typeof value !== "string" && typeof value !== "number") {
        throw new Error(`Parameter '${placeholder}' must be a string or number`);
      }
      return options?.charEncoding === "percent" ? encodeURIComponent(`${value}`) : `${value}`;
    });
  };
}
var hasOwn;
var init_url = __esm(() => {
  hasOwn = Object.prototype.hasOwnProperty;
});

// src/lib/config.ts
function serverURLFromOptions(options) {
  let serverURL = options.serverURL;
  const params = {};
  if (!serverURL) {
    const serverIdx = options.serverIdx ?? 0;
    if (serverIdx < 0 || serverIdx >= ServerList.length) {
      throw new Error(`Invalid server index ${serverIdx}`);
    }
    serverURL = ServerList[serverIdx] || "";
  }
  const u = pathToFunc(serverURL)(params);
  return new URL(u);
}
var ServerList, SDK_METADATA;
var init_config = __esm(() => {
  init_url();
  ServerList = [
    "https://api.vercel.com"
  ];
  SDK_METADATA = {
    language: "typescript",
    openapiDocVersion: "0.0.1",
    sdkVersion: "1.7.7",
    genVersion: "2.610.0",
    userAgent: "speakeasy-sdk/typescript 1.7.7 2.610.0 0.0.1 @vercel/sdk"
  };
});

// src/lib/is-plain-object.ts
function isPlainObject(value) {
  if (typeof value !== "object" || value === null) {
    return false;
  }
  const prototype = Object.getPrototypeOf(value);
  return (prototype === null || prototype === Object.prototype || Object.getPrototypeOf(prototype) === null) && !(Symbol.toStringTag in value) && !(Symbol.iterator in value);
}

// src/lib/encodings.ts
function formEncoder(sep) {
  return (key, value, options) => {
    let out = "";
    const pairs = options?.explode ? explode(key, value) : [[key, value]];
    if (pairs.every(([_2, v2]) => v2 == null)) {
      return;
    }
    const encodeString = (v2) => {
      return options?.charEncoding === "percent" ? encodeURIComponent(v2) : v2;
    };
    const encodeValue = (v2) => encodeString(serializeValue(v2));
    const encodedSep = encodeString(sep);
    pairs.forEach(([pk, pv]) => {
      let tmp = "";
      let encValue = null;
      if (pv == null) {
        return;
      } else if (Array.isArray(pv)) {
        encValue = mapDefined(pv, (v2) => `${encodeValue(v2)}`)?.join(encodedSep);
      } else if (isPlainObject(pv)) {
        encValue = mapDefinedEntries(Object.entries(pv), ([k2, v2]) => {
          return `${encodeString(k2)}${encodedSep}${encodeValue(v2)}`;
        })?.join(encodedSep);
      } else {
        encValue = `${encodeValue(pv)}`;
      }
      if (encValue == null) {
        return;
      }
      tmp = `${encodeString(pk)}=${encValue}`;
      if (!tmp || tmp === "=") {
        return;
      }
      out += `&${tmp}`;
    });
    return out.slice(1);
  };
}
function encodeDeepObject(key, value, options) {
  if (value == null) {
    return;
  }
  if (!isPlainObject(value)) {
    throw new EncodingError(`Value of parameter '${key}' which uses deepObject encoding must be an object or null`);
  }
  return encodeDeepObjectObject(key, value, options);
}
function encodeDeepObjectObject(key, value, options) {
  if (value == null) {
    return;
  }
  let out = "";
  const encodeString = (v2) => {
    return options?.charEncoding === "percent" ? encodeURIComponent(v2) : v2;
  };
  if (!isPlainObject(value)) {
    throw new EncodingError(`Expected parameter '${key}' to be an object.`);
  }
  Object.entries(value).forEach(([ck, cv]) => {
    if (cv == null) {
      return;
    }
    const pk = `${key}[${ck}]`;
    if (isPlainObject(cv)) {
      const objOut = encodeDeepObjectObject(pk, cv, options);
      out += objOut == null ? "" : `&${objOut}`;
      return;
    }
    const pairs = Array.isArray(cv) ? cv : [cv];
    const encoded = mapDefined(pairs, (v2) => {
      return `${encodeString(pk)}=${encodeString(serializeValue(v2))}`;
    })?.join("&");
    out += encoded == null ? "" : `&${encoded}`;
  });
  return out.slice(1);
}
function encodeJSON(key, value, options) {
  if (typeof value === "undefined") {
    return;
  }
  const encodeString = (v2) => {
    return options?.charEncoding === "percent" ? encodeURIComponent(v2) : v2;
  };
  const encVal = encodeString(JSON.stringify(value, jsonReplacer));
  return options?.explode ? encVal : `${encodeString(key)}=${encVal}`;
}
function explode(key, value) {
  if (Array.isArray(value)) {
    return value.map((v2) => [key, v2]);
  } else if (isPlainObject(value)) {
    const o = value ?? {};
    return Object.entries(o).map(([k2, v2]) => [k2, v2]);
  } else {
    return [[key, value]];
  }
}
function serializeValue(value) {
  if (value == null) {
    return "";
  } else if (value instanceof Date) {
    return value.toISOString();
  } else if (value instanceof Uint8Array) {
    return bytesToBase64(value);
  } else if (typeof value === "object") {
    return JSON.stringify(value, jsonReplacer);
  }
  return `${value}`;
}
function jsonReplacer(_2, value) {
  if (value instanceof Uint8Array) {
    return bytesToBase64(value);
  } else {
    return value;
  }
}
function mapDefined(inp, mapper) {
  const res = inp.reduce((acc, v2) => {
    if (v2 == null) {
      return acc;
    }
    const m = mapper(v2);
    if (m == null) {
      return acc;
    }
    acc.push(m);
    return acc;
  }, []);
  return res.length ? res : null;
}
function mapDefinedEntries(inp, mapper) {
  const acc = [];
  for (const [k2, v2] of inp) {
    if (v2 == null) {
      continue;
    }
    const m = mapper([k2, v2]);
    if (m == null) {
      continue;
    }
    acc.push(m);
  }
  return acc.length ? acc : null;
}
function queryJoin(...args) {
  return args.filter(Boolean).join("&");
}
function queryEncoder(f) {
  const bulkEncode = function(values, options) {
    const opts = {
      ...options,
      explode: options?.explode ?? true,
      charEncoding: options?.charEncoding ?? "percent"
    };
    const encoded = Object.entries(values).map(([key, value]) => {
      return f(key, value, opts);
    });
    return queryJoin(...encoded);
  };
  return bulkEncode;
}
var EncodingError, encodeForm, encodeSpaceDelimited, encodePipeDelimited, encodeSimple = (key, value, options) => {
  let out = "";
  const pairs = options?.explode ? explode(key, value) : [[key, value]];
  if (pairs.every(([_2, v2]) => v2 == null)) {
    return;
  }
  const encodeString = (v2) => {
    return options?.charEncoding === "percent" ? encodeURIComponent(v2) : v2;
  };
  const encodeValue = (v2) => encodeString(serializeValue(v2));
  pairs.forEach(([pk, pv]) => {
    let tmp = "";
    if (pv == null) {
      return;
    } else if (Array.isArray(pv)) {
      tmp = mapDefined(pv, (v2) => `${encodeValue(v2)}`)?.join(",");
    } else if (isPlainObject(pv)) {
      const mapped = mapDefinedEntries(Object.entries(pv), ([k2, v2]) => {
        return `,${encodeString(k2)},${encodeValue(v2)}`;
      });
      tmp = mapped?.join("").slice(1);
    } else {
      const k2 = options?.explode && isPlainObject(value) ? `${pk}=` : "";
      tmp = `${k2}${encodeValue(pv)}`;
    }
    out += tmp ? `,${tmp}` : "";
  });
  return out.slice(1);
}, encodeJSONQuery, encodeFormQuery, encodeSpaceDelimitedQuery, encodePipeDelimitedQuery, encodeDeepObjectQuery;
var init_encodings = __esm(() => {
  init_base64();
  EncodingError = class EncodingError extends Error {
    constructor(message) {
      super(message);
      this.name = "EncodingError";
    }
  };
  encodeForm = formEncoder(",");
  encodeSpaceDelimited = formEncoder(" ");
  encodePipeDelimited = formEncoder("|");
  encodeJSONQuery = queryEncoder(encodeJSON);
  encodeFormQuery = queryEncoder(encodeForm);
  encodeSpaceDelimitedQuery = queryEncoder(encodeSpaceDelimited);
  encodePipeDelimitedQuery = queryEncoder(encodePipeDelimited);
  encodeDeepObjectQuery = queryEncoder(encodeDeepObject);
});

// src/lib/http.ts
class HTTPClient {
  options;
  fetcher;
  requestHooks = [];
  requestErrorHooks = [];
  responseHooks = [];
  constructor(options = {}) {
    this.options = options;
    this.fetcher = options.fetcher || DEFAULT_FETCHER;
  }
  async request(request) {
    let req = request;
    for (const hook of this.requestHooks) {
      const nextRequest = await hook(req);
      if (nextRequest) {
        req = nextRequest;
      }
    }
    try {
      const res = await this.fetcher(req);
      for (const hook of this.responseHooks) {
        await hook(res, req);
      }
      return res;
    } catch (err) {
      for (const hook of this.requestErrorHooks) {
        await hook(err, req);
      }
      throw err;
    }
  }
  addHook(...args) {
    if (args[0] === "beforeRequest") {
      this.requestHooks.push(args[1]);
    } else if (args[0] === "requestError") {
      this.requestErrorHooks.push(args[1]);
    } else if (args[0] === "response") {
      this.responseHooks.push(args[1]);
    } else {
      throw new Error(`Invalid hook type: ${args[0]}`);
    }
    return this;
  }
  removeHook(...args) {
    let target;
    if (args[0] === "beforeRequest") {
      target = this.requestHooks;
    } else if (args[0] === "requestError") {
      target = this.requestErrorHooks;
    } else if (args[0] === "response") {
      target = this.responseHooks;
    } else {
      throw new Error(`Invalid hook type: ${args[0]}`);
    }
    const index = target.findIndex((v2) => v2 === args[1]);
    if (index >= 0) {
      target.splice(index, 1);
    }
    return this;
  }
  clone() {
    const child = new HTTPClient(this.options);
    child.requestHooks = this.requestHooks.slice();
    child.requestErrorHooks = this.requestErrorHooks.slice();
    child.responseHooks = this.responseHooks.slice();
    return child;
  }
}
function matchContentType(response, pattern) {
  if (pattern === "*") {
    return true;
  }
  let contentType2 = response.headers.get("content-type")?.trim() || "application/octet-stream";
  contentType2 = contentType2.toLowerCase();
  const wantParts = pattern.toLowerCase().trim().split(mediaParamSeparator);
  const [wantType = "", ...wantParams] = wantParts;
  if (wantType.split("/").length !== 2) {
    return false;
  }
  const gotParts = contentType2.split(mediaParamSeparator);
  const [gotType = "", ...gotParams] = gotParts;
  const [type = "", subtype = ""] = gotType.split("/");
  if (!type || !subtype) {
    return false;
  }
  if (wantType !== "*/*" && gotType !== wantType && `${type}/*` !== wantType && `*/${subtype}` !== wantType) {
    return false;
  }
  if (gotParams.length < wantParams.length) {
    return false;
  }
  const params = new Set(gotParams);
  for (const wantParam of wantParams) {
    if (!params.has(wantParam)) {
      return false;
    }
  }
  return true;
}
function matchStatusCode(response, codes) {
  const actual = `${response.status}`;
  const expectedCodes = Array.isArray(codes) ? codes : [codes];
  if (!expectedCodes.length) {
    return false;
  }
  return expectedCodes.some((ec) => {
    const code = `${ec}`;
    if (code === "default") {
      return true;
    }
    if (!codeRangeRE.test(`${code}`)) {
      return code === actual;
    }
    const expectFamily = code.charAt(0);
    if (!expectFamily) {
      throw new Error("Invalid status code range");
    }
    const actualFamily = actual.charAt(0);
    if (!actualFamily) {
      throw new Error(`Invalid response status code: ${actual}`);
    }
    return actualFamily === expectFamily;
  });
}
function matchResponse(response, code, contentTypePattern) {
  return matchStatusCode(response, code) && matchContentType(response, contentTypePattern);
}
function isConnectionError(err) {
  if (typeof err !== "object" || err == null) {
    return false;
  }
  const isBrowserErr = err instanceof TypeError && err.message.toLowerCase().startsWith("failed to fetch");
  const isNodeErr = err instanceof TypeError && err.message.toLowerCase().startsWith("fetch failed");
  const isBunErr = "name" in err && err.name === "ConnectionError";
  const isGenericErr = "code" in err && typeof err.code === "string" && err.code.toLowerCase() === "econnreset";
  return isBrowserErr || isNodeErr || isGenericErr || isBunErr;
}
function isTimeoutError(err) {
  if (typeof err !== "object" || err == null) {
    return false;
  }
  const isNative = "name" in err && err.name === "TimeoutError";
  const isLegacyNative = "code" in err && err.code === 23;
  const isGenericErr = "code" in err && typeof err.code === "string" && err.code.toLowerCase() === "econnaborted";
  return isNative || isLegacyNative || isGenericErr;
}
function isAbortError(err) {
  if (typeof err !== "object" || err == null) {
    return false;
  }
  const isNative = "name" in err && err.name === "AbortError";
  const isLegacyNative = "code" in err && err.code === 20;
  const isGenericErr = "code" in err && typeof err.code === "string" && err.code.toLowerCase() === "econnaborted";
  return isNative || isLegacyNative || isGenericErr;
}
var DEFAULT_FETCHER = (input, init) => {
  if (init == null) {
    return fetch(input);
  } else {
    return fetch(input, init);
  }
}, mediaParamSeparator, codeRangeRE;
var init_http = __esm(() => {
  mediaParamSeparator = /\s*;\s*/g;
  codeRangeRE = new RegExp("^[0-9]xx$", "i");
});

// src/lib/retries.ts
async function retry(fetchFn, options) {
  switch (options.config.strategy) {
    case "backoff":
      return retryBackoff(wrapFetcher(fetchFn, {
        statusCodes: options.statusCodes,
        retryConnectionErrors: !!options.config.retryConnectionErrors
      }), options.config.backoff ?? defaultBackoff);
    default:
      return await fetchFn();
  }
}
function wrapFetcher(fn, options) {
  return async () => {
    try {
      const res = await fn();
      if (isRetryableResponse(res, options.statusCodes)) {
        throw new TemporaryError("Response failed with retryable status code", res);
      }
      return res;
    } catch (err) {
      if (err instanceof TemporaryError) {
        throw err;
      }
      if (options.retryConnectionErrors && (isTimeoutError(err) || isConnectionError(err))) {
        throw err;
      }
      throw new PermanentError("Permanent error", { cause: err });
    }
  };
}
function isRetryableResponse(res, statusCodes) {
  const actual = `${res.status}`;
  return statusCodes.some((code) => {
    if (!codeRangeRE2.test(code)) {
      return code === actual;
    }
    const expectFamily = code.charAt(0);
    if (!expectFamily) {
      throw new Error("Invalid status code range");
    }
    const actualFamily = actual.charAt(0);
    if (!actualFamily) {
      throw new Error(`Invalid response status code: ${actual}`);
    }
    return actualFamily === expectFamily;
  });
}
async function retryBackoff(fn, strategy) {
  const { maxElapsedTime, initialInterval, exponent, maxInterval } = strategy;
  const start = Date.now();
  let x2 = 0;
  while (true) {
    try {
      const res = await fn();
      return res;
    } catch (err) {
      if (err instanceof PermanentError) {
        throw err.cause;
      }
      const elapsed = Date.now() - start;
      if (elapsed > maxElapsedTime) {
        if (err instanceof TemporaryError) {
          return err.response;
        }
        throw err;
      }
      let retryInterval = 0;
      if (err instanceof TemporaryError) {
        retryInterval = retryIntervalFromResponse(err.response);
      }
      if (retryInterval <= 0) {
        retryInterval = initialInterval * Math.pow(x2, exponent) + Math.random() * 1000;
      }
      const d = Math.min(retryInterval, maxInterval);
      await delay(d);
      x2++;
    }
  }
}
function retryIntervalFromResponse(res) {
  const retryVal = res.headers.get("retry-after") || "";
  if (!retryVal) {
    return 0;
  }
  const parsedNumber = Number(retryVal);
  if (Number.isInteger(parsedNumber)) {
    return parsedNumber * 1000;
  }
  const parsedDate = Date.parse(retryVal);
  if (Number.isInteger(parsedDate)) {
    const deltaMS = parsedDate - Date.now();
    return deltaMS > 0 ? Math.ceil(deltaMS) : 0;
  }
  return 0;
}
async function delay(delay2) {
  return new Promise((resolve) => setTimeout(resolve, delay2));
}
var defaultBackoff, PermanentError, TemporaryError, codeRangeRE2;
var init_retries = __esm(() => {
  init_http();
  defaultBackoff = {
    initialInterval: 500,
    maxInterval: 60000,
    exponent: 1.5,
    maxElapsedTime: 3600000
  };
  PermanentError = class PermanentError extends Error {
    cause;
    constructor(message, options) {
      let msg = message;
      if (options?.cause) {
        msg += `: ${options.cause}`;
      }
      super(msg, options);
      this.name = "PermanentError";
      if (typeof this.cause === "undefined") {
        this.cause = options?.cause;
      }
      Object.setPrototypeOf(this, PermanentError.prototype);
    }
  };
  TemporaryError = class TemporaryError extends Error {
    response;
    constructor(message, response) {
      super(message);
      this.response = response;
      this.name = "TemporaryError";
      Object.setPrototypeOf(this, TemporaryError.prototype);
    }
  };
  codeRangeRE2 = new RegExp("^[0-9]xx$", "i");
});

// src/lib/sdks.ts
class ClientSDK {
  #httpClient;
  #hooks;
  #logger;
  _baseURL;
  _options;
  constructor(options = {}) {
    const opt = options;
    if (typeof opt === "object" && opt != null && "hooks" in opt && opt.hooks instanceof SDKHooks) {
      this.#hooks = opt.hooks;
    } else {
      this.#hooks = new SDKHooks;
    }
    this._options = { ...options, hooks: this.#hooks };
    const url = serverURLFromOptions(options);
    if (url) {
      url.pathname = url.pathname.replace(/\/+$/, "") + "/";
    }
    const { baseURL, client } = this.#hooks.sdkInit({
      baseURL: url,
      client: options.httpClient || new HTTPClient
    });
    this._baseURL = baseURL;
    this.#httpClient = client;
    this.#logger = options.debugLogger;
  }
  _createRequest(context, conf, options) {
    const { method, path, query, headers: opHeaders, security } = conf;
    const base = conf.baseURL ?? this._baseURL;
    if (!base) {
      return ERR(new InvalidRequestError("No base URL provided for operation"));
    }
    const reqURL = new URL(base);
    const inputURL = new URL(path, reqURL);
    if (path) {
      reqURL.pathname += reqURL.pathname.endsWith("/") ? "" : "/";
      reqURL.pathname += inputURL.pathname.replace(/^\/+/, "");
    }
    let finalQuery = query || "";
    const secQuery = [];
    for (const [k2, v2] of Object.entries(security?.queryParams || {})) {
      const q2 = encodeForm(k2, v2, { charEncoding: "percent" });
      if (typeof q2 !== "undefined") {
        secQuery.push(q2);
      }
    }
    if (secQuery.length) {
      finalQuery += `&${secQuery.join("&")}`;
    }
    if (finalQuery) {
      const q2 = finalQuery.startsWith("&") ? finalQuery.slice(1) : finalQuery;
      reqURL.search = `?${q2}`;
    }
    const headers = new Headers(opHeaders);
    const username = security?.basic.username;
    const password = security?.basic.password;
    if (username != null || password != null) {
      const encoded = stringToBase64([username || "", password || ""].join(":"));
      headers.set("Authorization", `Basic ${encoded}`);
    }
    const securityHeaders = new Headers(security?.headers || {});
    for (const [k2, v2] of securityHeaders) {
      headers.set(k2, v2);
    }
    let cookie = headers.get("cookie") || "";
    for (const [k2, v2] of Object.entries(security?.cookies || {})) {
      cookie += `; ${k2}=${v2}`;
    }
    cookie = cookie.startsWith("; ") ? cookie.slice(2) : cookie;
    headers.set("cookie", cookie);
    const userHeaders = new Headers(options?.headers ?? options?.fetchOptions?.headers);
    for (const [k2, v2] of userHeaders) {
      headers.set(k2, v2);
    }
    if (!isBrowserLike) {
      headers.set(conf.uaHeader ?? "user-agent", SDK_METADATA.userAgent);
    }
    const fetchOptions = {
      ...options?.fetchOptions,
      ...options
    };
    if (!fetchOptions?.signal && conf.timeoutMs && conf.timeoutMs > 0) {
      const timeoutSignal = AbortSignal.timeout(conf.timeoutMs);
      fetchOptions.signal = timeoutSignal;
    }
    if (conf.body instanceof ReadableStream) {
      Object.assign(fetchOptions, { duplex: "half" });
    }
    let input;
    try {
      input = this.#hooks.beforeCreateRequest(context, {
        url: reqURL,
        options: {
          ...fetchOptions,
          body: conf.body ?? null,
          headers,
          method
        }
      });
    } catch (err) {
      return ERR(new UnexpectedClientError("Create request hook failed to execute", {
        cause: err
      }));
    }
    return OK2(new Request(input.url, input.options));
  }
  async _do(request, options) {
    const { context, errorCodes } = options;
    return retry(async () => {
      const req = await this.#hooks.beforeRequest(context, request.clone());
      await logRequest(this.#logger, req).catch((e) => this.#logger?.log("Failed to log request:", e));
      let response = await this.#httpClient.request(req);
      try {
        if (matchStatusCode(response, errorCodes)) {
          const result = await this.#hooks.afterError(context, response, null);
          if (result.error) {
            throw result.error;
          }
          response = result.response || response;
        } else {
          response = await this.#hooks.afterSuccess(context, response);
        }
      } finally {
        await logResponse(this.#logger, response, req).catch((e) => this.#logger?.log("Failed to log response:", e));
      }
      return response;
    }, { config: options.retryConfig, statusCodes: options.retryCodes }).then((r) => OK2(r), (err) => {
      switch (true) {
        case isAbortError(err):
          return ERR(new RequestAbortedError("Request aborted by client", {
            cause: err
          }));
        case isTimeoutError(err):
          return ERR(new RequestTimeoutError("Request timed out", { cause: err }));
        case isConnectionError(err):
          return ERR(new ConnectionError("Unable to make request", { cause: err }));
        default:
          return ERR(new UnexpectedClientError("Unexpected HTTP client error", {
            cause: err
          }));
      }
    });
  }
}
async function logRequest(logger, req) {
  if (!logger) {
    return;
  }
  const contentType2 = req.headers.get("content-type");
  const ct = contentType2?.split(";")[0] || "";
  logger.group(`> Request: ${req.method} ${req.url}`);
  logger.group("Headers:");
  for (const [k2, v2] of req.headers.entries()) {
    logger.log(`${k2}: ${v2}`);
  }
  logger.groupEnd();
  logger.group("Body:");
  switch (true) {
    case jsonLikeContentTypeRE.test(ct):
      logger.log(await req.clone().json());
      break;
    case ct.startsWith("text/"):
      logger.log(await req.clone().text());
      break;
    case ct === "multipart/form-data": {
      const body = await req.clone().formData();
      for (const [k2, v2] of body) {
        const vlabel = v2 instanceof Blob ? "<Blob>" : v2;
        logger.log(`${k2}: ${vlabel}`);
      }
      break;
    }
    default:
      logger.log(`<${contentType2}>`);
      break;
  }
  logger.groupEnd();
  logger.groupEnd();
}
async function logResponse(logger, res, req) {
  if (!logger) {
    return;
  }
  const contentType2 = res.headers.get("content-type");
  const ct = contentType2?.split(";")[0] || "";
  logger.group(`< Response: ${req.method} ${req.url}`);
  logger.log("Status Code:", res.status, res.statusText);
  logger.group("Headers:");
  for (const [k2, v2] of res.headers.entries()) {
    logger.log(`${k2}: ${v2}`);
  }
  logger.groupEnd();
  logger.group("Body:");
  switch (true) {
    case (matchContentType(res, "application/json") || jsonLikeContentTypeRE.test(ct) && !jsonlLikeContentTypeRE.test(ct)):
      logger.log(await res.clone().json());
      break;
    case (matchContentType(res, "application/jsonl") || jsonlLikeContentTypeRE.test(ct)):
      logger.log(await res.clone().text());
      break;
    case matchContentType(res, "text/event-stream"):
      logger.log(`<${contentType2}>`);
      break;
    case matchContentType(res, "text/*"):
      logger.log(await res.clone().text());
      break;
    case matchContentType(res, "multipart/form-data"): {
      const body = await res.clone().formData();
      for (const [k2, v2] of body) {
        const vlabel = v2 instanceof Blob ? "<Blob>" : v2;
        logger.log(`${k2}: ${vlabel}`);
      }
      break;
    }
    default:
      logger.log(`<${contentType2}>`);
      break;
  }
  logger.groupEnd();
  logger.groupEnd();
}
var gt, webWorkerLike, isBrowserLike, jsonLikeContentTypeRE, jsonlLikeContentTypeRE;
var init_sdks = __esm(() => {
  init_hooks();
  init_httpclienterrors();
  init_base64();
  init_config();
  init_encodings();
  init_http();
  init_retries();
  gt = typeof globalThis === "undefined" ? null : globalThis;
  webWorkerLike = typeof gt === "object" && gt != null && "importScripts" in gt && typeof gt["importScripts"] === "function";
  isBrowserLike = webWorkerLike || typeof navigator !== "undefined" && "serviceWorker" in navigator || typeof window === "object" && typeof window.document !== "undefined";
  jsonLikeContentTypeRE = /(application|text)\/.*?\+*json.*/;
  jsonlLikeContentTypeRE = /(application|text)\/(.*?\+*\bjsonl\b.*|.*?\+*\bx-ndjson\b.*)/;
});

// src/core.ts
var VercelCore;
var init_core = __esm(() => {
  init_sdks();
  VercelCore = class VercelCore extends ClientSDK {
  };
});

// src/mcp-server/prompts.ts
function createRegisterPrompt(logger, server, sdk, allowedScopes) {
  return (prompt) => {
    const scopes = prompt.scopes ?? [];
    if (allowedScopes.size > 0 && scopes.length === 0) {
      return;
    }
    if (allowedScopes.size > 0 && !scopes.every((s) => allowedScopes.has(s))) {
      return;
    }
    if (prompt.args) {
      if (prompt.description) {
        server.prompt(prompt.name, prompt.description, prompt.args, async (args, ctx) => prompt.prompt(sdk, args, ctx));
      } else {
        server.prompt(prompt.name, prompt.args, async (args, ctx) => prompt.prompt(sdk, args, ctx));
      }
    } else {
      if (prompt.description) {
        server.prompt(prompt.name, prompt.description, async (ctx) => prompt.prompt(sdk, ctx));
      } else {
        server.prompt(prompt.name, async (ctx) => prompt.prompt(sdk, ctx));
      }
    }
    logger.debug("Registered prompt", { name: prompt.name });
  };
}

// src/mcp-server/shared.ts
async function consumeStream(stream) {
  const reader = stream.getReader();
  const chunks = [];
  try {
    while (true) {
      const { done, value } = await reader.read();
      if (value != null)
        chunks.push(value);
      if (done)
        break;
    }
  } finally {
    reader.releaseLock();
  }
  return new Uint8Array(await new Blob(chunks).arrayBuffer());
}
function isAsyncIterable(value) {
  return typeof value === "object" && value != null && Symbol.asyncIterator in value;
}
function isBinaryData(value) {
  return value instanceof Uint8Array || value instanceof ArrayBuffer || value instanceof Blob || value instanceof ReadableStream || value instanceof Response || typeof value === "string";
}
async function valueToBase64(value) {
  if (value == null) {
    return null;
  } else if (value instanceof Uint8Array) {
    return bytesToBase64(value);
  } else if (value instanceof ArrayBuffer) {
    return bytesToBase64(new Uint8Array(value));
  } else if (value instanceof Response || value instanceof Blob) {
    return bytesToBase64(new Uint8Array(await value.arrayBuffer()));
  } else if (value instanceof ReadableStream) {
    return bytesToBase64(await consumeStream(value));
  } else if (typeof value === "string") {
    return base64Schema.parse(value);
  } else {
    throw new Error(`Unsupported image value type: ${typeof value}`);
  }
}
var base64Schema;
var init_shared = __esm(() => {
  init_esm();
  init_base64();
  base64Schema = stringType().base64();
});

// src/mcp-server/resources.ts
function createRegisterResource(logger, server, sdk, allowedScopes) {
  return (resource) => {
    const scopes = resource.scopes ?? [];
    if (allowedScopes.size > 0 && scopes.length === 0) {
      return;
    }
    if (allowedScopes.size > 0 && !scopes.every((s) => allowedScopes.has(s))) {
      return;
    }
    const metadata = {
      ...resource.metadata,
      description: resource.description
    };
    server.resource(resource.name, resource.resource, metadata, async (uri, ctx) => resource.read(sdk, uri, ctx));
    logger.debug("Registered resource", { name: resource.name });
  };
}
function createRegisterResourceTemplate(logger, server, sdk, allowedScopes) {
  return (resource) => {
    const scopes = resource.scopes ?? [];
    if (allowedScopes.size > 0 && scopes.length === 0) {
      return;
    }
    if (allowedScopes.size > 0 && !scopes.every((s) => allowedScopes.has(s))) {
      return;
    }
    const metadata = {
      ...resource.metadata,
      description: resource.description
    };
    server.resource(resource.name, resource.resource, metadata, async (uri, vars, ctx) => resource.read(sdk, uri, vars, ctx));
    logger.debug("Registered resource template", { name: resource.name });
  };
}
var init_resources = () => {};

// src/mcp-server/tools.ts
async function formatResult(value, init) {
  if (typeof value === "undefined") {
    return { content: [] };
  }
  const { response } = init;
  const contentType2 = response?.headers.get("content-type") ?? "";
  let content = [];
  if (contentType2.search(/\bjson\b/g)) {
    content = [{ type: "text", text: JSON.stringify(value) }];
  } else if (contentType2.startsWith("text/event-stream") && isAsyncIterable(value)) {
    content = await consumeSSE(value);
  } else if (contentType2.startsWith("text/") && typeof value === "string") {
    content = [{ type: "text", text: value }];
  } else if (isBinaryData(value) && contentType2.startsWith("image/")) {
    const data = await valueToBase64(value);
    content = data == null ? [] : [{ type: "image", data, mimeType: contentType2 }];
  } else {
    return {
      content: [{
        type: "text",
        text: `Unsupported content type: "${contentType2}"`
      }],
      isError: true
    };
  }
  return { content };
}
async function consumeSSE(value) {
  const content = [];
  for await (const chunk of value) {
    if (typeof chunk === "string") {
      content.push({ type: "text", text: chunk });
    } else {
      content.push({ type: "text", text: JSON.stringify(chunk) });
    }
  }
  return content;
}
function createRegisterTool(logger, server, sdk, allowedScopes, allowedTools) {
  return (tool) => {
    if (allowedTools && !allowedTools.has(tool.name)) {
      return;
    }
    const scopes = tool.scopes ?? [];
    if (allowedScopes.size > 0 && scopes.length === 0) {
      return;
    }
    if (allowedScopes.size > 0 && !scopes.every((s) => allowedScopes.has(s))) {
      return;
    }
    if (tool.args) {
      server.tool(tool.name, tool.description, tool.args, async (args, ctx) => {
        return tool.tool(sdk, args, ctx);
      });
    } else {
      server.tool(tool.name, tool.description, async (ctx) => {
        return tool.tool(sdk, ctx);
      });
    }
    logger.debug("Registered tool", { name: tool.name });
  };
}
var init_tools = __esm(() => {
  init_shared();
});

// src/models/sdkerror.ts
var SDKError;
var init_sdkerror = __esm(() => {
  SDKError = class SDKError extends Error {
    rawResponse;
    body;
    statusCode;
    contentType;
    constructor(message, rawResponse, body = "") {
      const statusCode = rawResponse.status;
      const contentType2 = rawResponse.headers.get("content-type") || "";
      const bodyString = body.length > 0 ? `
${body}` : "";
      super(`${message}: Status ${statusCode} Content-Type ${contentType2} Body ${bodyString}`);
      this.rawResponse = rawResponse;
      this.body = body;
      this.statusCode = statusCode;
      this.contentType = contentType2;
      this.name = "SDKError";
    }
  };
});

// src/models/sdkvalidationerror.ts
function formatZodError(err, level = 0) {
  let pre = "  ".repeat(level);
  pre = level > 0 ? `│${pre}` : pre;
  pre += " ".repeat(level);
  let message = "";
  const append = (str) => message += `
${pre}${str}`;
  const len = err.issues.length;
  const headline = len === 1 ? `${len} issue found` : `${len} issues found`;
  if (len) {
    append(`┌ ${headline}:`);
  }
  for (const issue of err.issues) {
    let path = issue.path.join(".");
    path = path ? `<root>.${path}` : "<root>";
    append(`│ • [${path}]: ${issue.message} (${issue.code})`);
    switch (issue.code) {
      case "invalid_literal":
      case "invalid_type": {
        append(`│     Want: ${issue.expected}`);
        append(`│      Got: ${issue.received}`);
        break;
      }
      case "unrecognized_keys": {
        append(`│     Keys: ${issue.keys.join(", ")}`);
        break;
      }
      case "invalid_enum_value": {
        append(`│     Allowed: ${issue.options.join(", ")}`);
        append(`│         Got: ${issue.received}`);
        break;
      }
      case "invalid_union_discriminator": {
        append(`│     Allowed: ${issue.options.join(", ")}`);
        break;
      }
      case "invalid_union": {
        const len2 = issue.unionErrors.length;
        append(`│   ✖︎ Attemped to deserialize into one of ${len2} union members:`);
        issue.unionErrors.forEach((err2, i) => {
          append(`│   ✖︎ Member ${i + 1} of ${len2}`);
          append(`${formatZodError(err2, level + 1)}`);
        });
      }
    }
  }
  if (err.issues.length) {
    append(`└─*`);
  }
  return message.slice(1);
}
var SDKValidationError;
var init_sdkvalidationerror = __esm(() => {
  init_esm();
  SDKValidationError = class SDKValidationError extends Error {
    rawValue;
    rawMessage;
    constructor(message, cause, rawValue) {
      super(`${message}: ${cause}`);
      this.name = "SDKValidationError";
      this.cause = cause;
      this.rawValue = rawValue;
      this.rawMessage = message;
    }
    pretty() {
      if (this.cause instanceof ZodError) {
        return `${this.rawMessage}
${formatZodError(this.cause)}`;
      } else {
        return this.toString();
      }
    }
  };
});

// src/lib/schemas.ts
function safeParse(rawValue, fn, errorMessage) {
  try {
    return OK2(fn(rawValue));
  } catch (err) {
    return ERR(new SDKValidationError(errorMessage, err, rawValue));
  }
}
function collectExtraKeys(obj, extrasKey, optional2) {
  return obj.transform((val) => {
    const extras = {};
    const { shape } = obj;
    for (const [key] of Object.entries(val)) {
      if (key in shape) {
        continue;
      }
      const v2 = val[key];
      if (typeof v2 === "undefined") {
        continue;
      }
      extras[key] = v2;
      delete val[key];
    }
    if (optional2 && Object.keys(extras).length === 0) {
      return val;
    }
    return { ...val, [extrasKey]: extras };
  });
}
var init_schemas = __esm(() => {
  init_sdkvalidationerror();
});

// src/lib/matchers.ts
function jsonErr(codes, schema, options) {
  return { ...options, err: true, enc: "json", codes, schema };
}
function json(codes, schema, options) {
  return { ...options, enc: "json", codes, schema };
}
function stream(codes, schema, options) {
  return { ...options, enc: "stream", codes, schema };
}
function nil(codes, schema, options) {
  return { ...options, enc: "nil", codes, schema };
}
function fail(codes) {
  return { enc: "fail", codes };
}
function match(...matchers) {
  return async function matchFunc(response, options) {
    let raw;
    let matcher;
    for (const match2 of matchers) {
      const { codes } = match2;
      const ctpattern = "ctype" in match2 ? match2.ctype : DEFAULT_CONTENT_TYPES[match2.enc];
      if (ctpattern && matchResponse(response, codes, ctpattern)) {
        matcher = match2;
        break;
      } else if (!ctpattern && matchStatusCode(response, codes)) {
        matcher = match2;
        break;
      }
    }
    if (!matcher) {
      const responseBody = await response.text();
      return [{
        ok: false,
        error: new SDKError("Unexpected API response status or content-type", response, responseBody)
      }, responseBody];
    }
    const encoding = matcher.enc;
    switch (encoding) {
      case "json":
        raw = await response.json();
        break;
      case "jsonl":
        raw = response.body;
        break;
      case "bytes":
        raw = new Uint8Array(await response.arrayBuffer());
        break;
      case "stream":
        raw = response.body;
        break;
      case "text":
        raw = await response.text();
        break;
      case "sse":
        raw = response.body;
        break;
      case "nil":
        raw = await discardResponseBody(response);
        break;
      case "fail":
        raw = await response.text();
        break;
      default:
        throw new Error(`Unsupported response type: ${encoding}`);
    }
    if (matcher.enc === "fail") {
      return [{
        ok: false,
        error: new SDKError("API error occurred", response, typeof raw === "string" ? raw : "")
      }, raw];
    }
    const resultKey = matcher.key || options?.resultKey;
    let data;
    if ("err" in matcher) {
      data = {
        ...options?.extraFields,
        ...matcher.hdrs ? { Headers: unpackHeaders(response.headers) } : null,
        ...isPlainObject(raw) ? raw : null
      };
    } else if (resultKey) {
      data = {
        ...options?.extraFields,
        ...matcher.hdrs ? { Headers: unpackHeaders(response.headers) } : null,
        [resultKey]: raw
      };
    } else if (matcher.hdrs) {
      data = {
        ...options?.extraFields,
        ...matcher.hdrs ? { Headers: unpackHeaders(response.headers) } : null,
        ...isPlainObject(raw) ? raw : null
      };
    } else {
      data = raw;
    }
    if ("err" in matcher) {
      const result = safeParse(data, (v2) => matcher.schema.parse(v2), "Response validation failed");
      return [result.ok ? { ok: false, error: result.value } : result, raw];
    } else {
      return [
        safeParse(data, (v2) => matcher.schema.parse(v2), "Response validation failed"),
        raw
      ];
    }
  };
}
function unpackHeaders(headers) {
  const out = {};
  for (const [k2, v2] of headers.entries()) {
    out[k2] = v2.split(headerValRE);
  }
  return out;
}
async function discardResponseBody(res) {
  const reader = res.body?.getReader();
  if (reader == null) {
    return;
  }
  try {
    let done = false;
    while (!done) {
      const res2 = await reader.read();
      done = res2.done;
    }
  } finally {
    reader.releaseLock();
  }
}
var DEFAULT_CONTENT_TYPES, headerValRE;
var init_matchers = __esm(() => {
  init_sdkerror();
  init_http();
  init_schemas();
  DEFAULT_CONTENT_TYPES = {
    jsonl: "application/jsonl",
    json: "application/json",
    text: "text/plain",
    bytes: "application/octet-stream",
    stream: "application/octet-stream",
    sse: "text/event-stream",
    nil: "*",
    fail: "*"
  };
  headerValRE = /, */;
});

// src/lib/primitives.ts
function remap(inp, mappings) {
  let out = {};
  if (!Object.keys(mappings).length) {
    out = inp;
    return out;
  }
  for (const [k2, v2] of Object.entries(inp)) {
    const j2 = mappings[k2];
    if (j2 === null) {
      continue;
    }
    out[j2 ?? k2] = v2;
  }
  return out;
}
function compactMap(values) {
  const out = {};
  for (const [k2, v2] of Object.entries(values)) {
    if (typeof v2 !== "undefined") {
      out[k2] = v2;
    }
  }
  return out;
}
var init_primitives = () => {};

// src/lib/security.ts
function resolveSecurity(...options) {
  const state = {
    basic: {},
    headers: {},
    queryParams: {},
    cookies: {},
    oauth2: { type: "none" }
  };
  const option = options.find((opts) => {
    return opts.every((o) => {
      if (o.value == null) {
        return false;
      } else if (o.type === "http:basic") {
        return o.value.username != null || o.value.password != null;
      } else if (o.type === "http:custom") {
        return null;
      } else if (o.type === "oauth2:password") {
        return typeof o.value === "string" && !!o.value;
      } else if (o.type === "oauth2:client_credentials") {
        if (typeof o.value == "string") {
          return !!o.value;
        }
        return o.value.clientID != null || o.value.clientSecret != null;
      } else if (typeof o.value === "string") {
        return !!o.value;
      } else {
        throw new Error(`Unrecognized security type: ${o.type} (value type: ${typeof o.value})`);
      }
    });
  });
  if (option == null) {
    return null;
  }
  option.forEach((spec) => {
    if (spec.value == null) {
      return;
    }
    const { type } = spec;
    switch (type) {
      case "apiKey:header":
        state.headers[spec.fieldName] = spec.value;
        break;
      case "apiKey:query":
        state.queryParams[spec.fieldName] = spec.value;
        break;
      case "apiKey:cookie":
        state.cookies[spec.fieldName] = spec.value;
        break;
      case "http:basic":
        applyBasic(state, spec);
        break;
      case "http:custom":
        break;
      case "http:bearer":
        applyBearer(state, spec);
        break;
      case "oauth2":
        applyBearer(state, spec);
        break;
      case "oauth2:password":
        applyBearer(state, spec);
        break;
      case "oauth2:client_credentials":
        break;
      case "openIdConnect":
        applyBearer(state, spec);
        break;
      default:
        throw SecurityError.unrecognizedType(type);
    }
  });
  return state;
}
function applyBasic(state, spec) {
  if (spec.value == null) {
    return;
  }
  state.basic = spec.value;
}
function applyBearer(state, spec) {
  if (typeof spec.value !== "string" || !spec.value) {
    return;
  }
  let value = spec.value;
  if (value.slice(0, 7).toLowerCase() !== "bearer ") {
    value = `Bearer ${value}`;
  }
  if (spec.fieldName !== undefined) {
    state.headers[spec.fieldName] = value;
  }
}
function resolveGlobalSecurity(security) {
  return resolveSecurity([
    {
      fieldName: "Authorization",
      type: "http:bearer",
      value: security?.bearerToken
    }
  ]);
}
async function extractSecurity(sec) {
  if (sec == null) {
    return;
  }
  return typeof sec === "function" ? sec() : sec;
}
var SecurityError;
var init_security = __esm(() => {
  SecurityError = class SecurityError extends Error {
    code;
    constructor(code, message) {
      super(message);
      this.code = code;
      this.name = "SecurityError";
    }
    static incomplete() {
      return new SecurityError("incomplete" /* Incomplete */, "Security requirements not met in order to perform the operation");
    }
    static unrecognizedType(type) {
      return new SecurityError("unrecognized_security_type" /* UnrecognisedSecurityType */, `Unrecognised security type: ${type}`);
    }
  };
});

// src/models/createaccessgroupop.ts
var CreateAccessGroupRole, CreateAccessGroupRole$inboundSchema, CreateAccessGroupRole$outboundSchema, CreateAccessGroupRole$, CreateAccessGroupProjects$inboundSchema, CreateAccessGroupProjects$outboundSchema, CreateAccessGroupProjects$, CreateAccessGroupRequestBody$inboundSchema, CreateAccessGroupRequestBody$outboundSchema, CreateAccessGroupRequestBody$, CreateAccessGroupRequest$inboundSchema, CreateAccessGroupRequest$outboundSchema, CreateAccessGroupRequest$, CreateAccessGroupResponseBody$inboundSchema, CreateAccessGroupResponseBody$outboundSchema, CreateAccessGroupResponseBody$;
var init_createaccessgroupop = __esm(() => {
  init_esm();
  init_primitives();
  CreateAccessGroupRole = {
    Admin: "ADMIN",
    ProjectViewer: "PROJECT_VIEWER",
    ProjectDeveloper: "PROJECT_DEVELOPER"
  };
  CreateAccessGroupRole$inboundSchema = nativeEnumType(CreateAccessGroupRole);
  CreateAccessGroupRole$outboundSchema = CreateAccessGroupRole$inboundSchema;
  ((CreateAccessGroupRole$) => {
    CreateAccessGroupRole$.inboundSchema = CreateAccessGroupRole$inboundSchema;
    CreateAccessGroupRole$.outboundSchema = CreateAccessGroupRole$outboundSchema;
  })(CreateAccessGroupRole$ ||= {});
  CreateAccessGroupProjects$inboundSchema = objectType({
    projectId: stringType(),
    role: nullableType(CreateAccessGroupRole$inboundSchema)
  });
  CreateAccessGroupProjects$outboundSchema = objectType({
    projectId: stringType(),
    role: nullableType(CreateAccessGroupRole$outboundSchema)
  });
  ((CreateAccessGroupProjects$) => {
    CreateAccessGroupProjects$.inboundSchema = CreateAccessGroupProjects$inboundSchema;
    CreateAccessGroupProjects$.outboundSchema = CreateAccessGroupProjects$outboundSchema;
  })(CreateAccessGroupProjects$ ||= {});
  CreateAccessGroupRequestBody$inboundSchema = objectType({
    name: stringType(),
    projects: arrayType(lazyType(() => CreateAccessGroupProjects$inboundSchema)).optional(),
    membersToAdd: arrayType(stringType()).optional()
  });
  CreateAccessGroupRequestBody$outboundSchema = objectType({
    name: stringType(),
    projects: arrayType(lazyType(() => CreateAccessGroupProjects$outboundSchema)).optional(),
    membersToAdd: arrayType(stringType()).optional()
  });
  ((CreateAccessGroupRequestBody$) => {
    CreateAccessGroupRequestBody$.inboundSchema = CreateAccessGroupRequestBody$inboundSchema;
    CreateAccessGroupRequestBody$.outboundSchema = CreateAccessGroupRequestBody$outboundSchema;
  })(CreateAccessGroupRequestBody$ ||= {});
  CreateAccessGroupRequest$inboundSchema = objectType({
    teamId: stringType().optional(),
    slug: stringType().optional(),
    RequestBody: lazyType(() => CreateAccessGroupRequestBody$inboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  CreateAccessGroupRequest$outboundSchema = objectType({
    teamId: stringType().optional(),
    slug: stringType().optional(),
    requestBody: lazyType(() => CreateAccessGroupRequestBody$outboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((CreateAccessGroupRequest$) => {
    CreateAccessGroupRequest$.inboundSchema = CreateAccessGroupRequest$inboundSchema;
    CreateAccessGroupRequest$.outboundSchema = CreateAccessGroupRequest$outboundSchema;
  })(CreateAccessGroupRequest$ ||= {});
  CreateAccessGroupResponseBody$inboundSchema = objectType({
    membersCount: numberType(),
    projectsCount: numberType(),
    name: stringType(),
    createdAt: stringType(),
    teamId: stringType(),
    updatedAt: stringType(),
    accessGroupId: stringType(),
    teamRoles: arrayType(stringType()).optional(),
    teamPermissions: arrayType(stringType()).optional()
  });
  CreateAccessGroupResponseBody$outboundSchema = objectType({
    membersCount: numberType(),
    projectsCount: numberType(),
    name: stringType(),
    createdAt: stringType(),
    teamId: stringType(),
    updatedAt: stringType(),
    accessGroupId: stringType(),
    teamRoles: arrayType(stringType()).optional(),
    teamPermissions: arrayType(stringType()).optional()
  });
  ((CreateAccessGroupResponseBody$) => {
    CreateAccessGroupResponseBody$.inboundSchema = CreateAccessGroupResponseBody$inboundSchema;
    CreateAccessGroupResponseBody$.outboundSchema = CreateAccessGroupResponseBody$outboundSchema;
  })(CreateAccessGroupResponseBody$ ||= {});
});

// src/models/vercelbadrequesterror.ts
var VercelBadRequestError, ErrorT$inboundSchema, ErrorT$outboundSchema, ErrorT$, VercelBadRequestError$inboundSchema, VercelBadRequestError$outboundSchema, VercelBadRequestError$;
var init_vercelbadrequesterror = __esm(() => {
  init_esm();
  VercelBadRequestError = class VercelBadRequestError extends Error {
    error;
    data$;
    constructor(err) {
      const message = "message" in err && typeof err.message === "string" ? err.message : `API error occurred: ${JSON.stringify(err)}`;
      super(message);
      this.data$ = err;
      this.error = err.error;
      this.name = "VercelBadRequestError";
    }
  };
  ErrorT$inboundSchema = objectType({
    code: stringType(),
    message: stringType()
  });
  ErrorT$outboundSchema = objectType({
    code: stringType(),
    message: stringType()
  });
  ((ErrorT$) => {
    ErrorT$.inboundSchema = ErrorT$inboundSchema;
    ErrorT$.outboundSchema = ErrorT$outboundSchema;
  })(ErrorT$ ||= {});
  VercelBadRequestError$inboundSchema = objectType({
    error: lazyType(() => ErrorT$inboundSchema)
  }).transform((v2) => {
    return new VercelBadRequestError(v2);
  });
  VercelBadRequestError$outboundSchema = instanceOfType(VercelBadRequestError).transform((v2) => v2.data$).pipe(objectType({
    error: lazyType(() => ErrorT$outboundSchema)
  }));
  ((VercelBadRequestError$) => {
    VercelBadRequestError$.inboundSchema = VercelBadRequestError$inboundSchema;
    VercelBadRequestError$.outboundSchema = VercelBadRequestError$outboundSchema;
  })(VercelBadRequestError$ ||= {});
});

// src/models/vercelforbiddenerror.ts
var VercelForbiddenError, VercelForbiddenErrorError$inboundSchema, VercelForbiddenErrorError$outboundSchema, VercelForbiddenErrorError$, VercelForbiddenError$inboundSchema, VercelForbiddenError$outboundSchema, VercelForbiddenError$;
var init_vercelforbiddenerror = __esm(() => {
  init_esm();
  VercelForbiddenError = class VercelForbiddenError extends Error {
    error;
    data$;
    constructor(err) {
      const message = "message" in err && typeof err.message === "string" ? err.message : `API error occurred: ${JSON.stringify(err)}`;
      super(message);
      this.data$ = err;
      this.error = err.error;
      this.name = "VercelForbiddenError";
    }
  };
  VercelForbiddenErrorError$inboundSchema = objectType({
    code: stringType(),
    message: stringType()
  });
  VercelForbiddenErrorError$outboundSchema = objectType({
    code: stringType(),
    message: stringType()
  });
  ((VercelForbiddenErrorError$) => {
    VercelForbiddenErrorError$.inboundSchema = VercelForbiddenErrorError$inboundSchema;
    VercelForbiddenErrorError$.outboundSchema = VercelForbiddenErrorError$outboundSchema;
  })(VercelForbiddenErrorError$ ||= {});
  VercelForbiddenError$inboundSchema = objectType({
    error: lazyType(() => VercelForbiddenErrorError$inboundSchema)
  }).transform((v2) => {
    return new VercelForbiddenError(v2);
  });
  VercelForbiddenError$outboundSchema = instanceOfType(VercelForbiddenError).transform((v2) => v2.data$).pipe(objectType({
    error: lazyType(() => VercelForbiddenErrorError$outboundSchema)
  }));
  ((VercelForbiddenError$) => {
    VercelForbiddenError$.inboundSchema = VercelForbiddenError$inboundSchema;
    VercelForbiddenError$.outboundSchema = VercelForbiddenError$outboundSchema;
  })(VercelForbiddenError$ ||= {});
});

// src/models/vercelnotfounderror.ts
var VercelNotFoundError, VercelNotFoundErrorError$inboundSchema, VercelNotFoundErrorError$outboundSchema, VercelNotFoundErrorError$, VercelNotFoundError$inboundSchema, VercelNotFoundError$outboundSchema, VercelNotFoundError$;
var init_vercelnotfounderror = __esm(() => {
  init_esm();
  VercelNotFoundError = class VercelNotFoundError extends Error {
    error;
    data$;
    constructor(err) {
      const message = "message" in err && typeof err.message === "string" ? err.message : `API error occurred: ${JSON.stringify(err)}`;
      super(message);
      this.data$ = err;
      this.error = err.error;
      this.name = "VercelNotFoundError";
    }
  };
  VercelNotFoundErrorError$inboundSchema = objectType({
    code: stringType(),
    message: stringType()
  });
  VercelNotFoundErrorError$outboundSchema = objectType({
    code: stringType(),
    message: stringType()
  });
  ((VercelNotFoundErrorError$) => {
    VercelNotFoundErrorError$.inboundSchema = VercelNotFoundErrorError$inboundSchema;
    VercelNotFoundErrorError$.outboundSchema = VercelNotFoundErrorError$outboundSchema;
  })(VercelNotFoundErrorError$ ||= {});
  VercelNotFoundError$inboundSchema = objectType({
    error: lazyType(() => VercelNotFoundErrorError$inboundSchema)
  }).transform((v2) => {
    return new VercelNotFoundError(v2);
  });
  VercelNotFoundError$outboundSchema = instanceOfType(VercelNotFoundError).transform((v2) => v2.data$).pipe(objectType({
    error: lazyType(() => VercelNotFoundErrorError$outboundSchema)
  }));
  ((VercelNotFoundError$) => {
    VercelNotFoundError$.inboundSchema = VercelNotFoundError$inboundSchema;
    VercelNotFoundError$.outboundSchema = VercelNotFoundError$outboundSchema;
  })(VercelNotFoundError$ ||= {});
});

// src/types/async.ts
var APIPromise;
var init_async = __esm(() => {
  APIPromise = class APIPromise {
    #promise;
    #unwrapped;
    [Symbol.toStringTag] = "APIPromise";
    constructor(p) {
      this.#promise = p instanceof Promise ? p : Promise.resolve(p);
      this.#unwrapped = p instanceof Promise ? this.#promise.then(([value]) => value) : Promise.resolve(p[0]);
    }
    then(onfulfilled, onrejected) {
      return this.#promise.then(onfulfilled ? ([value]) => onfulfilled(value) : undefined, onrejected);
    }
    catch(onrejected) {
      return this.#unwrapped.catch(onrejected);
    }
    finally(onfinally) {
      return this.#unwrapped.finally(onfinally);
    }
    $inspect() {
      return this.#promise;
    }
  };
});

// src/funcs/accessGroupsCreateAccessGroup.ts
function accessGroupsCreateAccessGroup(client, request, options) {
  return new APIPromise($do(client, request, options));
}
async function $do(client, request, options) {
  const parsed = safeParse(request, (value) => CreateAccessGroupRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const path = pathToFunc("/v1/access-groups")();
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "createAccessGroup",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, CreateAccessGroupResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_accessGroupsCreateAccessGroup = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_createaccessgroupop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/accessGroupsCreateAccessGroup.ts
var args, tool$accessGroupsCreateAccessGroup;
var init_accessGroupsCreateAccessGroup2 = __esm(() => {
  init_accessGroupsCreateAccessGroup();
  init_createaccessgroupop();
  init_tools();
  args = {
    request: CreateAccessGroupRequest$inboundSchema
  };
  tool$accessGroupsCreateAccessGroup = {
    name: "access-groups-create-access-group",
    description: `Creates an access group

Allows to create an access group`,
    args,
    tool: async (client, args2, ctx) => {
      const [result, apiCall] = await accessGroupsCreateAccessGroup(client, args2.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/createaccessgroupprojectop.ts
var CreateAccessGroupProjectRole, CreateAccessGroupProjectAccessGroupsRole, CreateAccessGroupProjectRole$inboundSchema, CreateAccessGroupProjectRole$outboundSchema, CreateAccessGroupProjectRole$, CreateAccessGroupProjectRequestBody$inboundSchema, CreateAccessGroupProjectRequestBody$outboundSchema, CreateAccessGroupProjectRequestBody$, CreateAccessGroupProjectRequest$inboundSchema, CreateAccessGroupProjectRequest$outboundSchema, CreateAccessGroupProjectRequest$, CreateAccessGroupProjectAccessGroupsRole$inboundSchema, CreateAccessGroupProjectAccessGroupsRole$outboundSchema, CreateAccessGroupProjectAccessGroupsRole$, CreateAccessGroupProjectResponseBody$inboundSchema, CreateAccessGroupProjectResponseBody$outboundSchema, CreateAccessGroupProjectResponseBody$;
var init_createaccessgroupprojectop = __esm(() => {
  init_esm();
  init_primitives();
  CreateAccessGroupProjectRole = {
    Admin: "ADMIN",
    ProjectViewer: "PROJECT_VIEWER",
    ProjectDeveloper: "PROJECT_DEVELOPER"
  };
  CreateAccessGroupProjectAccessGroupsRole = {
    Admin: "ADMIN",
    ProjectDeveloper: "PROJECT_DEVELOPER",
    ProjectViewer: "PROJECT_VIEWER"
  };
  CreateAccessGroupProjectRole$inboundSchema = nativeEnumType(CreateAccessGroupProjectRole);
  CreateAccessGroupProjectRole$outboundSchema = CreateAccessGroupProjectRole$inboundSchema;
  ((CreateAccessGroupProjectRole$) => {
    CreateAccessGroupProjectRole$.inboundSchema = CreateAccessGroupProjectRole$inboundSchema;
    CreateAccessGroupProjectRole$.outboundSchema = CreateAccessGroupProjectRole$outboundSchema;
  })(CreateAccessGroupProjectRole$ ||= {});
  CreateAccessGroupProjectRequestBody$inboundSchema = objectType({
    projectId: stringType(),
    role: CreateAccessGroupProjectRole$inboundSchema
  });
  CreateAccessGroupProjectRequestBody$outboundSchema = objectType({
    projectId: stringType(),
    role: CreateAccessGroupProjectRole$outboundSchema
  });
  ((CreateAccessGroupProjectRequestBody$) => {
    CreateAccessGroupProjectRequestBody$.inboundSchema = CreateAccessGroupProjectRequestBody$inboundSchema;
    CreateAccessGroupProjectRequestBody$.outboundSchema = CreateAccessGroupProjectRequestBody$outboundSchema;
  })(CreateAccessGroupProjectRequestBody$ ||= {});
  CreateAccessGroupProjectRequest$inboundSchema = objectType({
    accessGroupIdOrName: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    RequestBody: lazyType(() => CreateAccessGroupProjectRequestBody$inboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  CreateAccessGroupProjectRequest$outboundSchema = objectType({
    accessGroupIdOrName: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    requestBody: lazyType(() => CreateAccessGroupProjectRequestBody$outboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((CreateAccessGroupProjectRequest$) => {
    CreateAccessGroupProjectRequest$.inboundSchema = CreateAccessGroupProjectRequest$inboundSchema;
    CreateAccessGroupProjectRequest$.outboundSchema = CreateAccessGroupProjectRequest$outboundSchema;
  })(CreateAccessGroupProjectRequest$ ||= {});
  CreateAccessGroupProjectAccessGroupsRole$inboundSchema = nativeEnumType(CreateAccessGroupProjectAccessGroupsRole);
  CreateAccessGroupProjectAccessGroupsRole$outboundSchema = CreateAccessGroupProjectAccessGroupsRole$inboundSchema;
  ((CreateAccessGroupProjectAccessGroupsRole$) => {
    CreateAccessGroupProjectAccessGroupsRole$.inboundSchema = CreateAccessGroupProjectAccessGroupsRole$inboundSchema;
    CreateAccessGroupProjectAccessGroupsRole$.outboundSchema = CreateAccessGroupProjectAccessGroupsRole$outboundSchema;
  })(CreateAccessGroupProjectAccessGroupsRole$ ||= {});
  CreateAccessGroupProjectResponseBody$inboundSchema = objectType({
    teamId: stringType(),
    accessGroupId: stringType(),
    projectId: stringType(),
    role: CreateAccessGroupProjectAccessGroupsRole$inboundSchema,
    createdAt: stringType(),
    updatedAt: stringType()
  });
  CreateAccessGroupProjectResponseBody$outboundSchema = objectType({
    teamId: stringType(),
    accessGroupId: stringType(),
    projectId: stringType(),
    role: CreateAccessGroupProjectAccessGroupsRole$outboundSchema,
    createdAt: stringType(),
    updatedAt: stringType()
  });
  ((CreateAccessGroupProjectResponseBody$) => {
    CreateAccessGroupProjectResponseBody$.inboundSchema = CreateAccessGroupProjectResponseBody$inboundSchema;
    CreateAccessGroupProjectResponseBody$.outboundSchema = CreateAccessGroupProjectResponseBody$outboundSchema;
  })(CreateAccessGroupProjectResponseBody$ ||= {});
});

// src/funcs/accessGroupsCreateAccessGroupProject.ts
function accessGroupsCreateAccessGroupProject(client, request, options) {
  return new APIPromise($do2(client, request, options));
}
async function $do2(client, request, options) {
  const parsed = safeParse(request, (value) => CreateAccessGroupProjectRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    accessGroupIdOrName: encodeSimple("accessGroupIdOrName", payload.accessGroupIdOrName, { explode: false, charEncoding: "percent" })
  };
  const path = pathToFunc("/v1/access-groups/{accessGroupIdOrName}/projects")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "createAccessGroupProject",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, CreateAccessGroupProjectResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_accessGroupsCreateAccessGroupProject = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_createaccessgroupprojectop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/accessGroupsCreateAccessGroupProject.ts
var args2, tool$accessGroupsCreateAccessGroupProject;
var init_accessGroupsCreateAccessGroupProject2 = __esm(() => {
  init_accessGroupsCreateAccessGroupProject();
  init_createaccessgroupprojectop();
  init_tools();
  args2 = {
    request: CreateAccessGroupProjectRequest$inboundSchema
  };
  tool$accessGroupsCreateAccessGroupProject = {
    name: "access-groups-create-access-group-project",
    description: `Create an access group project

Allows creation of an access group project`,
    args: args2,
    tool: async (client, args3, ctx) => {
      const [result, apiCall] = await accessGroupsCreateAccessGroupProject(client, args3.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/deleteaccessgroupop.ts
var DeleteAccessGroupRequest$inboundSchema, DeleteAccessGroupRequest$outboundSchema, DeleteAccessGroupRequest$;
var init_deleteaccessgroupop = __esm(() => {
  init_esm();
  DeleteAccessGroupRequest$inboundSchema = objectType({
    idOrName: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  DeleteAccessGroupRequest$outboundSchema = objectType({
    idOrName: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((DeleteAccessGroupRequest$) => {
    DeleteAccessGroupRequest$.inboundSchema = DeleteAccessGroupRequest$inboundSchema;
    DeleteAccessGroupRequest$.outboundSchema = DeleteAccessGroupRequest$outboundSchema;
  })(DeleteAccessGroupRequest$ ||= {});
});

// src/funcs/accessGroupsDeleteAccessGroup.ts
function accessGroupsDeleteAccessGroup(client, request, options) {
  return new APIPromise($do3(client, request, options));
}
async function $do3(client, request, options) {
  const parsed = safeParse(request, (value) => DeleteAccessGroupRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/access-groups/{idOrName}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "deleteAccessGroup",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "DELETE",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(nil(200, voidType()), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_accessGroupsDeleteAccessGroup = __esm(() => {
  init_esm();
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_deleteaccessgroupop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/accessGroupsDeleteAccessGroup.ts
var args3, tool$accessGroupsDeleteAccessGroup;
var init_accessGroupsDeleteAccessGroup2 = __esm(() => {
  init_accessGroupsDeleteAccessGroup();
  init_deleteaccessgroupop();
  init_tools();
  args3 = {
    request: DeleteAccessGroupRequest$inboundSchema
  };
  tool$accessGroupsDeleteAccessGroup = {
    name: "access-groups-delete-access-group",
    description: `Deletes an access group

Allows to delete an access group`,
    args: args3,
    tool: async (client, args4, ctx) => {
      const [result, apiCall] = await accessGroupsDeleteAccessGroup(client, args4.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      return formatResult(undefined, apiCall);
    }
  };
});

// src/models/deleteaccessgroupprojectop.ts
var DeleteAccessGroupProjectRequest$inboundSchema, DeleteAccessGroupProjectRequest$outboundSchema, DeleteAccessGroupProjectRequest$;
var init_deleteaccessgroupprojectop = __esm(() => {
  init_esm();
  DeleteAccessGroupProjectRequest$inboundSchema = objectType({
    accessGroupIdOrName: stringType(),
    projectId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  DeleteAccessGroupProjectRequest$outboundSchema = objectType({
    accessGroupIdOrName: stringType(),
    projectId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((DeleteAccessGroupProjectRequest$) => {
    DeleteAccessGroupProjectRequest$.inboundSchema = DeleteAccessGroupProjectRequest$inboundSchema;
    DeleteAccessGroupProjectRequest$.outboundSchema = DeleteAccessGroupProjectRequest$outboundSchema;
  })(DeleteAccessGroupProjectRequest$ ||= {});
});

// src/funcs/accessGroupsDeleteAccessGroupProject.ts
function accessGroupsDeleteAccessGroupProject(client, request, options) {
  return new APIPromise($do4(client, request, options));
}
async function $do4(client, request, options) {
  const parsed = safeParse(request, (value) => DeleteAccessGroupProjectRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    accessGroupIdOrName: encodeSimple("accessGroupIdOrName", payload.accessGroupIdOrName, { explode: false, charEncoding: "percent" }),
    projectId: encodeSimple("projectId", payload.projectId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/access-groups/{accessGroupIdOrName}/projects/{projectId}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "deleteAccessGroupProject",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "DELETE",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(nil(200, voidType()), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_accessGroupsDeleteAccessGroupProject = __esm(() => {
  init_esm();
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_deleteaccessgroupprojectop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/accessGroupsDeleteAccessGroupProject.ts
var args4, tool$accessGroupsDeleteAccessGroupProject;
var init_accessGroupsDeleteAccessGroupProject2 = __esm(() => {
  init_accessGroupsDeleteAccessGroupProject();
  init_deleteaccessgroupprojectop();
  init_tools();
  args4 = {
    request: DeleteAccessGroupProjectRequest$inboundSchema
  };
  tool$accessGroupsDeleteAccessGroupProject = {
    name: "access-groups-delete-access-group-project",
    description: `Delete an access group project

Allows deletion of an access group project`,
    args: args4,
    tool: async (client, args5, ctx) => {
      const [result, apiCall] = await accessGroupsDeleteAccessGroupProject(client, args5.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      return formatResult(undefined, apiCall);
    }
  };
});

// src/models/listaccessgroupmembersop.ts
var TeamRole, ListAccessGroupMembersRequest$inboundSchema, ListAccessGroupMembersRequest$outboundSchema, ListAccessGroupMembersRequest$, TeamRole$inboundSchema, TeamRole$outboundSchema, TeamRole$, Members$inboundSchema, Members$outboundSchema, Members$, ListAccessGroupMembersPagination$inboundSchema, ListAccessGroupMembersPagination$outboundSchema, ListAccessGroupMembersPagination$, ListAccessGroupMembersResponseBody$inboundSchema, ListAccessGroupMembersResponseBody$outboundSchema, ListAccessGroupMembersResponseBody$;
var init_listaccessgroupmembersop = __esm(() => {
  init_esm();
  TeamRole = {
    Owner: "OWNER",
    Member: "MEMBER",
    Developer: "DEVELOPER",
    Security: "SECURITY",
    Billing: "BILLING",
    Viewer: "VIEWER",
    Contributor: "CONTRIBUTOR"
  };
  ListAccessGroupMembersRequest$inboundSchema = objectType({
    idOrName: stringType(),
    limit: numberType().int().optional(),
    next: stringType().optional(),
    search: stringType().optional(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ListAccessGroupMembersRequest$outboundSchema = objectType({
    idOrName: stringType(),
    limit: numberType().int().optional(),
    next: stringType().optional(),
    search: stringType().optional(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((ListAccessGroupMembersRequest$) => {
    ListAccessGroupMembersRequest$.inboundSchema = ListAccessGroupMembersRequest$inboundSchema;
    ListAccessGroupMembersRequest$.outboundSchema = ListAccessGroupMembersRequest$outboundSchema;
  })(ListAccessGroupMembersRequest$ ||= {});
  TeamRole$inboundSchema = nativeEnumType(TeamRole);
  TeamRole$outboundSchema = TeamRole$inboundSchema;
  ((TeamRole$) => {
    TeamRole$.inboundSchema = TeamRole$inboundSchema;
    TeamRole$.outboundSchema = TeamRole$outboundSchema;
  })(TeamRole$ ||= {});
  Members$inboundSchema = objectType({
    avatar: stringType().optional(),
    email: stringType(),
    uid: stringType(),
    username: stringType(),
    name: stringType().optional(),
    createdAt: stringType().optional(),
    teamRole: TeamRole$inboundSchema
  });
  Members$outboundSchema = objectType({
    avatar: stringType().optional(),
    email: stringType(),
    uid: stringType(),
    username: stringType(),
    name: stringType().optional(),
    createdAt: stringType().optional(),
    teamRole: TeamRole$outboundSchema
  });
  ((Members$) => {
    Members$.inboundSchema = Members$inboundSchema;
    Members$.outboundSchema = Members$outboundSchema;
  })(Members$ ||= {});
  ListAccessGroupMembersPagination$inboundSchema = objectType({
    count: numberType(),
    next: nullableType(stringType())
  });
  ListAccessGroupMembersPagination$outboundSchema = objectType({
    count: numberType(),
    next: nullableType(stringType())
  });
  ((ListAccessGroupMembersPagination$) => {
    ListAccessGroupMembersPagination$.inboundSchema = ListAccessGroupMembersPagination$inboundSchema;
    ListAccessGroupMembersPagination$.outboundSchema = ListAccessGroupMembersPagination$outboundSchema;
  })(ListAccessGroupMembersPagination$ ||= {});
  ListAccessGroupMembersResponseBody$inboundSchema = objectType({
    members: arrayType(lazyType(() => Members$inboundSchema)),
    pagination: lazyType(() => ListAccessGroupMembersPagination$inboundSchema)
  });
  ListAccessGroupMembersResponseBody$outboundSchema = objectType({
    members: arrayType(lazyType(() => Members$outboundSchema)),
    pagination: lazyType(() => ListAccessGroupMembersPagination$outboundSchema)
  });
  ((ListAccessGroupMembersResponseBody$) => {
    ListAccessGroupMembersResponseBody$.inboundSchema = ListAccessGroupMembersResponseBody$inboundSchema;
    ListAccessGroupMembersResponseBody$.outboundSchema = ListAccessGroupMembersResponseBody$outboundSchema;
  })(ListAccessGroupMembersResponseBody$ ||= {});
});

// src/funcs/accessGroupsListAccessGroupMembers.ts
function accessGroupsListAccessGroupMembers(client, request, options) {
  return new APIPromise($do5(client, request, options));
}
async function $do5(client, request, options) {
  const parsed = safeParse(request, (value) => ListAccessGroupMembersRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/access-groups/{idOrName}/members")(pathParams);
  const query = encodeFormQuery({
    limit: payload.limit,
    next: payload.next,
    search: payload.search,
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "listAccessGroupMembers",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, ListAccessGroupMembersResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_accessGroupsListAccessGroupMembers = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_listaccessgroupmembersop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/accessGroupsListAccessGroupMembers.ts
var args5, tool$accessGroupsListAccessGroupMembers;
var init_accessGroupsListAccessGroupMembers2 = __esm(() => {
  init_accessGroupsListAccessGroupMembers();
  init_listaccessgroupmembersop();
  init_tools();
  args5 = {
    request: ListAccessGroupMembersRequest$inboundSchema
  };
  tool$accessGroupsListAccessGroupMembers = {
    name: "access-groups-list-access-group-members",
    description: `List members of an access group

List members of an access group`,
    args: args5,
    tool: async (client, args6, ctx) => {
      const [result, apiCall] = await accessGroupsListAccessGroupMembers(client, args6.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/listaccessgroupprojectsop.ts
var ListAccessGroupProjectsRole, ListAccessGroupProjectsRequest$inboundSchema, ListAccessGroupProjectsRequest$outboundSchema, ListAccessGroupProjectsRequest$, ListAccessGroupProjectsRole$inboundSchema, ListAccessGroupProjectsRole$outboundSchema, ListAccessGroupProjectsRole$, ListAccessGroupProjectsProject$inboundSchema, ListAccessGroupProjectsProject$outboundSchema, ListAccessGroupProjectsProject$, ListAccessGroupProjectsProjects$inboundSchema, ListAccessGroupProjectsProjects$outboundSchema, ListAccessGroupProjectsProjects$, ListAccessGroupProjectsPagination$inboundSchema, ListAccessGroupProjectsPagination$outboundSchema, ListAccessGroupProjectsPagination$, ListAccessGroupProjectsResponseBody$inboundSchema, ListAccessGroupProjectsResponseBody$outboundSchema, ListAccessGroupProjectsResponseBody$;
var init_listaccessgroupprojectsop = __esm(() => {
  init_esm();
  ListAccessGroupProjectsRole = {
    Admin: "ADMIN",
    ProjectDeveloper: "PROJECT_DEVELOPER",
    ProjectViewer: "PROJECT_VIEWER"
  };
  ListAccessGroupProjectsRequest$inboundSchema = objectType({
    idOrName: stringType(),
    limit: numberType().int().optional(),
    next: stringType().optional(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ListAccessGroupProjectsRequest$outboundSchema = objectType({
    idOrName: stringType(),
    limit: numberType().int().optional(),
    next: stringType().optional(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((ListAccessGroupProjectsRequest$) => {
    ListAccessGroupProjectsRequest$.inboundSchema = ListAccessGroupProjectsRequest$inboundSchema;
    ListAccessGroupProjectsRequest$.outboundSchema = ListAccessGroupProjectsRequest$outboundSchema;
  })(ListAccessGroupProjectsRequest$ ||= {});
  ListAccessGroupProjectsRole$inboundSchema = nativeEnumType(ListAccessGroupProjectsRole);
  ListAccessGroupProjectsRole$outboundSchema = ListAccessGroupProjectsRole$inboundSchema;
  ((ListAccessGroupProjectsRole$) => {
    ListAccessGroupProjectsRole$.inboundSchema = ListAccessGroupProjectsRole$inboundSchema;
    ListAccessGroupProjectsRole$.outboundSchema = ListAccessGroupProjectsRole$outboundSchema;
  })(ListAccessGroupProjectsRole$ ||= {});
  ListAccessGroupProjectsProject$inboundSchema = objectType({
    name: stringType().optional(),
    framework: nullableType(stringType()).optional(),
    latestDeploymentId: stringType().optional()
  });
  ListAccessGroupProjectsProject$outboundSchema = objectType({
    name: stringType().optional(),
    framework: nullableType(stringType()).optional(),
    latestDeploymentId: stringType().optional()
  });
  ((ListAccessGroupProjectsProject$) => {
    ListAccessGroupProjectsProject$.inboundSchema = ListAccessGroupProjectsProject$inboundSchema;
    ListAccessGroupProjectsProject$.outboundSchema = ListAccessGroupProjectsProject$outboundSchema;
  })(ListAccessGroupProjectsProject$ ||= {});
  ListAccessGroupProjectsProjects$inboundSchema = objectType({
    projectId: stringType(),
    role: ListAccessGroupProjectsRole$inboundSchema,
    createdAt: stringType(),
    updatedAt: stringType(),
    project: lazyType(() => ListAccessGroupProjectsProject$inboundSchema)
  });
  ListAccessGroupProjectsProjects$outboundSchema = objectType({
    projectId: stringType(),
    role: ListAccessGroupProjectsRole$outboundSchema,
    createdAt: stringType(),
    updatedAt: stringType(),
    project: lazyType(() => ListAccessGroupProjectsProject$outboundSchema)
  });
  ((ListAccessGroupProjectsProjects$) => {
    ListAccessGroupProjectsProjects$.inboundSchema = ListAccessGroupProjectsProjects$inboundSchema;
    ListAccessGroupProjectsProjects$.outboundSchema = ListAccessGroupProjectsProjects$outboundSchema;
  })(ListAccessGroupProjectsProjects$ ||= {});
  ListAccessGroupProjectsPagination$inboundSchema = objectType({
    count: numberType(),
    next: nullableType(stringType())
  });
  ListAccessGroupProjectsPagination$outboundSchema = objectType({
    count: numberType(),
    next: nullableType(stringType())
  });
  ((ListAccessGroupProjectsPagination$) => {
    ListAccessGroupProjectsPagination$.inboundSchema = ListAccessGroupProjectsPagination$inboundSchema;
    ListAccessGroupProjectsPagination$.outboundSchema = ListAccessGroupProjectsPagination$outboundSchema;
  })(ListAccessGroupProjectsPagination$ ||= {});
  ListAccessGroupProjectsResponseBody$inboundSchema = objectType({
    projects: arrayType(lazyType(() => ListAccessGroupProjectsProjects$inboundSchema)),
    pagination: lazyType(() => ListAccessGroupProjectsPagination$inboundSchema)
  });
  ListAccessGroupProjectsResponseBody$outboundSchema = objectType({
    projects: arrayType(lazyType(() => ListAccessGroupProjectsProjects$outboundSchema)),
    pagination: lazyType(() => ListAccessGroupProjectsPagination$outboundSchema)
  });
  ((ListAccessGroupProjectsResponseBody$) => {
    ListAccessGroupProjectsResponseBody$.inboundSchema = ListAccessGroupProjectsResponseBody$inboundSchema;
    ListAccessGroupProjectsResponseBody$.outboundSchema = ListAccessGroupProjectsResponseBody$outboundSchema;
  })(ListAccessGroupProjectsResponseBody$ ||= {});
});

// src/funcs/accessGroupsListAccessGroupProjects.ts
function accessGroupsListAccessGroupProjects(client, request, options) {
  return new APIPromise($do6(client, request, options));
}
async function $do6(client, request, options) {
  const parsed = safeParse(request, (value) => ListAccessGroupProjectsRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/access-groups/{idOrName}/projects")(pathParams);
  const query = encodeFormQuery({
    limit: payload.limit,
    next: payload.next,
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "listAccessGroupProjects",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, ListAccessGroupProjectsResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_accessGroupsListAccessGroupProjects = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_listaccessgroupprojectsop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/accessGroupsListAccessGroupProjects.ts
var args6, tool$accessGroupsListAccessGroupProjects;
var init_accessGroupsListAccessGroupProjects2 = __esm(() => {
  init_accessGroupsListAccessGroupProjects();
  init_listaccessgroupprojectsop();
  init_tools();
  args6 = {
    request: ListAccessGroupProjectsRequest$inboundSchema
  };
  tool$accessGroupsListAccessGroupProjects = {
    name: "access-groups-list-access-group-projects",
    description: `List projects of an access group

List projects of an access group`,
    args: args6,
    tool: async (client, args7, ctx) => {
      const [result, apiCall] = await accessGroupsListAccessGroupProjects(client, args7.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/listaccessgroupsop.ts
var ListAccessGroupsRequest$inboundSchema, ListAccessGroupsRequest$outboundSchema, ListAccessGroupsRequest$, AccessGroups$inboundSchema, AccessGroups$outboundSchema, AccessGroups$, ResponseBodyPagination$inboundSchema, ResponseBodyPagination$outboundSchema, ResponseBodyPagination$, ListAccessGroupsResponseBody2$inboundSchema, ListAccessGroupsResponseBody2$outboundSchema, ListAccessGroupsResponseBody2$, ListAccessGroupsResponseBody1$inboundSchema, ListAccessGroupsResponseBody1$outboundSchema, ListAccessGroupsResponseBody1$, ListAccessGroupsResponseBody$inboundSchema, ListAccessGroupsResponseBody$outboundSchema, ListAccessGroupsResponseBody$;
var init_listaccessgroupsop = __esm(() => {
  init_esm();
  ListAccessGroupsRequest$inboundSchema = objectType({
    projectId: stringType().optional(),
    search: stringType().optional(),
    membersLimit: numberType().int().optional(),
    projectsLimit: numberType().int().optional(),
    limit: numberType().int().optional(),
    next: stringType().optional(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ListAccessGroupsRequest$outboundSchema = objectType({
    projectId: stringType().optional(),
    search: stringType().optional(),
    membersLimit: numberType().int().optional(),
    projectsLimit: numberType().int().optional(),
    limit: numberType().int().optional(),
    next: stringType().optional(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((ListAccessGroupsRequest$) => {
    ListAccessGroupsRequest$.inboundSchema = ListAccessGroupsRequest$inboundSchema;
    ListAccessGroupsRequest$.outboundSchema = ListAccessGroupsRequest$outboundSchema;
  })(ListAccessGroupsRequest$ ||= {});
  AccessGroups$inboundSchema = objectType({
    members: arrayType(stringType()).optional(),
    projects: arrayType(stringType()).optional(),
    entitlements: arrayType(stringType()).optional(),
    isDsyncManaged: booleanType(),
    name: stringType(),
    createdAt: stringType(),
    teamId: stringType(),
    updatedAt: stringType(),
    accessGroupId: stringType(),
    membersCount: numberType(),
    projectsCount: numberType(),
    teamRoles: arrayType(stringType()).optional(),
    teamPermissions: arrayType(stringType()).optional()
  });
  AccessGroups$outboundSchema = objectType({
    members: arrayType(stringType()).optional(),
    projects: arrayType(stringType()).optional(),
    entitlements: arrayType(stringType()).optional(),
    isDsyncManaged: booleanType(),
    name: stringType(),
    createdAt: stringType(),
    teamId: stringType(),
    updatedAt: stringType(),
    accessGroupId: stringType(),
    membersCount: numberType(),
    projectsCount: numberType(),
    teamRoles: arrayType(stringType()).optional(),
    teamPermissions: arrayType(stringType()).optional()
  });
  ((AccessGroups$) => {
    AccessGroups$.inboundSchema = AccessGroups$inboundSchema;
    AccessGroups$.outboundSchema = AccessGroups$outboundSchema;
  })(AccessGroups$ ||= {});
  ResponseBodyPagination$inboundSchema = objectType({
    count: numberType(),
    next: nullableType(stringType())
  });
  ResponseBodyPagination$outboundSchema = objectType({
    count: numberType(),
    next: nullableType(stringType())
  });
  ((ResponseBodyPagination$) => {
    ResponseBodyPagination$.inboundSchema = ResponseBodyPagination$inboundSchema;
    ResponseBodyPagination$.outboundSchema = ResponseBodyPagination$outboundSchema;
  })(ResponseBodyPagination$ ||= {});
  ListAccessGroupsResponseBody2$inboundSchema = objectType({
    accessGroups: arrayType(lazyType(() => AccessGroups$inboundSchema)),
    pagination: lazyType(() => ResponseBodyPagination$inboundSchema)
  });
  ListAccessGroupsResponseBody2$outboundSchema = objectType({
    accessGroups: arrayType(lazyType(() => AccessGroups$outboundSchema)),
    pagination: lazyType(() => ResponseBodyPagination$outboundSchema)
  });
  ((ListAccessGroupsResponseBody2$) => {
    ListAccessGroupsResponseBody2$.inboundSchema = ListAccessGroupsResponseBody2$inboundSchema;
    ListAccessGroupsResponseBody2$.outboundSchema = ListAccessGroupsResponseBody2$outboundSchema;
  })(ListAccessGroupsResponseBody2$ ||= {});
  ListAccessGroupsResponseBody1$inboundSchema = objectType({});
  ListAccessGroupsResponseBody1$outboundSchema = objectType({});
  ((ListAccessGroupsResponseBody1$) => {
    ListAccessGroupsResponseBody1$.inboundSchema = ListAccessGroupsResponseBody1$inboundSchema;
    ListAccessGroupsResponseBody1$.outboundSchema = ListAccessGroupsResponseBody1$outboundSchema;
  })(ListAccessGroupsResponseBody1$ ||= {});
  ListAccessGroupsResponseBody$inboundSchema = unionType([
    lazyType(() => ListAccessGroupsResponseBody1$inboundSchema),
    lazyType(() => ListAccessGroupsResponseBody2$inboundSchema)
  ]);
  ListAccessGroupsResponseBody$outboundSchema = unionType([
    lazyType(() => ListAccessGroupsResponseBody1$outboundSchema),
    lazyType(() => ListAccessGroupsResponseBody2$outboundSchema)
  ]);
  ((ListAccessGroupsResponseBody$) => {
    ListAccessGroupsResponseBody$.inboundSchema = ListAccessGroupsResponseBody$inboundSchema;
    ListAccessGroupsResponseBody$.outboundSchema = ListAccessGroupsResponseBody$outboundSchema;
  })(ListAccessGroupsResponseBody$ ||= {});
});

// src/funcs/accessGroupsListAccessGroups.ts
function accessGroupsListAccessGroups(client, request, options) {
  return new APIPromise($do7(client, request, options));
}
async function $do7(client, request, options) {
  const parsed = safeParse(request, (value) => ListAccessGroupsRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const path = pathToFunc("/v1/access-groups")();
  const query = encodeFormQuery({
    limit: payload.limit,
    membersLimit: payload.membersLimit,
    next: payload.next,
    projectId: payload.projectId,
    projectsLimit: payload.projectsLimit,
    search: payload.search,
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "listAccessGroups",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, ListAccessGroupsResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_accessGroupsListAccessGroups = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_listaccessgroupsop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/accessGroupsListAccessGroups.ts
var args7, tool$accessGroupsListAccessGroups;
var init_accessGroupsListAccessGroups2 = __esm(() => {
  init_accessGroupsListAccessGroups();
  init_listaccessgroupsop();
  init_tools();
  args7 = {
    request: ListAccessGroupsRequest$inboundSchema
  };
  tool$accessGroupsListAccessGroups = {
    name: "access-groups-list-access-groups",
    description: `List access groups for a team, project or member

List access groups`,
    args: args7,
    tool: async (client, args8, ctx) => {
      const [result, apiCall] = await accessGroupsListAccessGroups(client, args8.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/readaccessgroupop.ts
var ReadAccessGroupEntitlements, ReadAccessGroupRequest$inboundSchema, ReadAccessGroupRequest$outboundSchema, ReadAccessGroupRequest$, ReadAccessGroupEntitlements$inboundSchema, ReadAccessGroupEntitlements$outboundSchema, ReadAccessGroupEntitlements$, ReadAccessGroupResponseBody$inboundSchema, ReadAccessGroupResponseBody$outboundSchema, ReadAccessGroupResponseBody$;
var init_readaccessgroupop = __esm(() => {
  init_esm();
  ReadAccessGroupEntitlements = {
    V0: "v0"
  };
  ReadAccessGroupRequest$inboundSchema = objectType({
    idOrName: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ReadAccessGroupRequest$outboundSchema = objectType({
    idOrName: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((ReadAccessGroupRequest$) => {
    ReadAccessGroupRequest$.inboundSchema = ReadAccessGroupRequest$inboundSchema;
    ReadAccessGroupRequest$.outboundSchema = ReadAccessGroupRequest$outboundSchema;
  })(ReadAccessGroupRequest$ ||= {});
  ReadAccessGroupEntitlements$inboundSchema = nativeEnumType(ReadAccessGroupEntitlements);
  ReadAccessGroupEntitlements$outboundSchema = ReadAccessGroupEntitlements$inboundSchema;
  ((ReadAccessGroupEntitlements$) => {
    ReadAccessGroupEntitlements$.inboundSchema = ReadAccessGroupEntitlements$inboundSchema;
    ReadAccessGroupEntitlements$.outboundSchema = ReadAccessGroupEntitlements$outboundSchema;
  })(ReadAccessGroupEntitlements$ ||= {});
  ReadAccessGroupResponseBody$inboundSchema = objectType({
    entitlements: arrayType(ReadAccessGroupEntitlements$inboundSchema).optional(),
    isDsyncManaged: booleanType(),
    name: stringType(),
    createdAt: stringType(),
    teamId: stringType(),
    updatedAt: stringType(),
    accessGroupId: stringType(),
    membersCount: numberType(),
    projectsCount: numberType(),
    teamRoles: arrayType(stringType()).optional(),
    teamPermissions: arrayType(stringType()).optional()
  });
  ReadAccessGroupResponseBody$outboundSchema = objectType({
    entitlements: arrayType(ReadAccessGroupEntitlements$outboundSchema).optional(),
    isDsyncManaged: booleanType(),
    name: stringType(),
    createdAt: stringType(),
    teamId: stringType(),
    updatedAt: stringType(),
    accessGroupId: stringType(),
    membersCount: numberType(),
    projectsCount: numberType(),
    teamRoles: arrayType(stringType()).optional(),
    teamPermissions: arrayType(stringType()).optional()
  });
  ((ReadAccessGroupResponseBody$) => {
    ReadAccessGroupResponseBody$.inboundSchema = ReadAccessGroupResponseBody$inboundSchema;
    ReadAccessGroupResponseBody$.outboundSchema = ReadAccessGroupResponseBody$outboundSchema;
  })(ReadAccessGroupResponseBody$ ||= {});
});

// src/funcs/accessGroupsReadAccessGroup.ts
function accessGroupsReadAccessGroup(client, request, options) {
  return new APIPromise($do8(client, request, options));
}
async function $do8(client, request, options) {
  const parsed = safeParse(request, (value) => ReadAccessGroupRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/access-groups/{idOrName}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "readAccessGroup",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, ReadAccessGroupResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_accessGroupsReadAccessGroup = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_readaccessgroupop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/accessGroupsReadAccessGroup.ts
var args8, tool$accessGroupsReadAccessGroup;
var init_accessGroupsReadAccessGroup2 = __esm(() => {
  init_accessGroupsReadAccessGroup();
  init_readaccessgroupop();
  init_tools();
  args8 = {
    request: ReadAccessGroupRequest$inboundSchema
  };
  tool$accessGroupsReadAccessGroup = {
    name: "access-groups-read-access-group",
    description: `Reads an access group

Allows to read an access group`,
    args: args8,
    tool: async (client, args9, ctx) => {
      const [result, apiCall] = await accessGroupsReadAccessGroup(client, args9.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/readaccessgroupprojectop.ts
var ReadAccessGroupProjectRole, ReadAccessGroupProjectRequest$inboundSchema, ReadAccessGroupProjectRequest$outboundSchema, ReadAccessGroupProjectRequest$, ReadAccessGroupProjectRole$inboundSchema, ReadAccessGroupProjectRole$outboundSchema, ReadAccessGroupProjectRole$, ReadAccessGroupProjectResponseBody$inboundSchema, ReadAccessGroupProjectResponseBody$outboundSchema, ReadAccessGroupProjectResponseBody$;
var init_readaccessgroupprojectop = __esm(() => {
  init_esm();
  ReadAccessGroupProjectRole = {
    Admin: "ADMIN",
    ProjectDeveloper: "PROJECT_DEVELOPER",
    ProjectViewer: "PROJECT_VIEWER"
  };
  ReadAccessGroupProjectRequest$inboundSchema = objectType({
    accessGroupIdOrName: stringType(),
    projectId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ReadAccessGroupProjectRequest$outboundSchema = objectType({
    accessGroupIdOrName: stringType(),
    projectId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((ReadAccessGroupProjectRequest$) => {
    ReadAccessGroupProjectRequest$.inboundSchema = ReadAccessGroupProjectRequest$inboundSchema;
    ReadAccessGroupProjectRequest$.outboundSchema = ReadAccessGroupProjectRequest$outboundSchema;
  })(ReadAccessGroupProjectRequest$ ||= {});
  ReadAccessGroupProjectRole$inboundSchema = nativeEnumType(ReadAccessGroupProjectRole);
  ReadAccessGroupProjectRole$outboundSchema = ReadAccessGroupProjectRole$inboundSchema;
  ((ReadAccessGroupProjectRole$) => {
    ReadAccessGroupProjectRole$.inboundSchema = ReadAccessGroupProjectRole$inboundSchema;
    ReadAccessGroupProjectRole$.outboundSchema = ReadAccessGroupProjectRole$outboundSchema;
  })(ReadAccessGroupProjectRole$ ||= {});
  ReadAccessGroupProjectResponseBody$inboundSchema = objectType({
    teamId: stringType(),
    accessGroupId: stringType(),
    projectId: stringType(),
    role: ReadAccessGroupProjectRole$inboundSchema,
    createdAt: stringType(),
    updatedAt: stringType()
  });
  ReadAccessGroupProjectResponseBody$outboundSchema = objectType({
    teamId: stringType(),
    accessGroupId: stringType(),
    projectId: stringType(),
    role: ReadAccessGroupProjectRole$outboundSchema,
    createdAt: stringType(),
    updatedAt: stringType()
  });
  ((ReadAccessGroupProjectResponseBody$) => {
    ReadAccessGroupProjectResponseBody$.inboundSchema = ReadAccessGroupProjectResponseBody$inboundSchema;
    ReadAccessGroupProjectResponseBody$.outboundSchema = ReadAccessGroupProjectResponseBody$outboundSchema;
  })(ReadAccessGroupProjectResponseBody$ ||= {});
});

// src/funcs/accessGroupsReadAccessGroupProject.ts
function accessGroupsReadAccessGroupProject(client, request, options) {
  return new APIPromise($do9(client, request, options));
}
async function $do9(client, request, options) {
  const parsed = safeParse(request, (value) => ReadAccessGroupProjectRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    accessGroupIdOrName: encodeSimple("accessGroupIdOrName", payload.accessGroupIdOrName, { explode: false, charEncoding: "percent" }),
    projectId: encodeSimple("projectId", payload.projectId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/access-groups/{accessGroupIdOrName}/projects/{projectId}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "readAccessGroupProject",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, ReadAccessGroupProjectResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_accessGroupsReadAccessGroupProject = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_readaccessgroupprojectop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/accessGroupsReadAccessGroupProject.ts
var args9, tool$accessGroupsReadAccessGroupProject;
var init_accessGroupsReadAccessGroupProject2 = __esm(() => {
  init_accessGroupsReadAccessGroupProject();
  init_readaccessgroupprojectop();
  init_tools();
  args9 = {
    request: ReadAccessGroupProjectRequest$inboundSchema
  };
  tool$accessGroupsReadAccessGroupProject = {
    name: "access-groups-read-access-group-project",
    description: `Reads an access group project

Allows reading an access group project`,
    args: args9,
    tool: async (client, args10, ctx) => {
      const [result, apiCall] = await accessGroupsReadAccessGroupProject(client, args10.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/updateaccessgroupop.ts
var UpdateAccessGroupRole, UpdateAccessGroupEntitlements, UpdateAccessGroupRole$inboundSchema, UpdateAccessGroupRole$outboundSchema, UpdateAccessGroupRole$, Projects$inboundSchema, Projects$outboundSchema, Projects$, UpdateAccessGroupRequestBody$inboundSchema, UpdateAccessGroupRequestBody$outboundSchema, UpdateAccessGroupRequestBody$, UpdateAccessGroupRequest$inboundSchema, UpdateAccessGroupRequest$outboundSchema, UpdateAccessGroupRequest$, UpdateAccessGroupEntitlements$inboundSchema, UpdateAccessGroupEntitlements$outboundSchema, UpdateAccessGroupEntitlements$, UpdateAccessGroupResponseBody$inboundSchema, UpdateAccessGroupResponseBody$outboundSchema, UpdateAccessGroupResponseBody$;
var init_updateaccessgroupop = __esm(() => {
  init_esm();
  init_primitives();
  UpdateAccessGroupRole = {
    Admin: "ADMIN",
    ProjectViewer: "PROJECT_VIEWER",
    ProjectDeveloper: "PROJECT_DEVELOPER"
  };
  UpdateAccessGroupEntitlements = {
    V0: "v0"
  };
  UpdateAccessGroupRole$inboundSchema = nativeEnumType(UpdateAccessGroupRole);
  UpdateAccessGroupRole$outboundSchema = UpdateAccessGroupRole$inboundSchema;
  ((UpdateAccessGroupRole$) => {
    UpdateAccessGroupRole$.inboundSchema = UpdateAccessGroupRole$inboundSchema;
    UpdateAccessGroupRole$.outboundSchema = UpdateAccessGroupRole$outboundSchema;
  })(UpdateAccessGroupRole$ ||= {});
  Projects$inboundSchema = objectType({
    projectId: stringType(),
    role: nullableType(UpdateAccessGroupRole$inboundSchema)
  });
  Projects$outboundSchema = objectType({
    projectId: stringType(),
    role: nullableType(UpdateAccessGroupRole$outboundSchema)
  });
  ((Projects$) => {
    Projects$.inboundSchema = Projects$inboundSchema;
    Projects$.outboundSchema = Projects$outboundSchema;
  })(Projects$ ||= {});
  UpdateAccessGroupRequestBody$inboundSchema = objectType({
    name: stringType().optional(),
    projects: arrayType(lazyType(() => Projects$inboundSchema)).optional(),
    membersToAdd: arrayType(stringType()).optional(),
    membersToRemove: arrayType(stringType()).optional()
  });
  UpdateAccessGroupRequestBody$outboundSchema = objectType({
    name: stringType().optional(),
    projects: arrayType(lazyType(() => Projects$outboundSchema)).optional(),
    membersToAdd: arrayType(stringType()).optional(),
    membersToRemove: arrayType(stringType()).optional()
  });
  ((UpdateAccessGroupRequestBody$) => {
    UpdateAccessGroupRequestBody$.inboundSchema = UpdateAccessGroupRequestBody$inboundSchema;
    UpdateAccessGroupRequestBody$.outboundSchema = UpdateAccessGroupRequestBody$outboundSchema;
  })(UpdateAccessGroupRequestBody$ ||= {});
  UpdateAccessGroupRequest$inboundSchema = objectType({
    idOrName: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    RequestBody: lazyType(() => UpdateAccessGroupRequestBody$inboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  UpdateAccessGroupRequest$outboundSchema = objectType({
    idOrName: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    requestBody: lazyType(() => UpdateAccessGroupRequestBody$outboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((UpdateAccessGroupRequest$) => {
    UpdateAccessGroupRequest$.inboundSchema = UpdateAccessGroupRequest$inboundSchema;
    UpdateAccessGroupRequest$.outboundSchema = UpdateAccessGroupRequest$outboundSchema;
  })(UpdateAccessGroupRequest$ ||= {});
  UpdateAccessGroupEntitlements$inboundSchema = nativeEnumType(UpdateAccessGroupEntitlements);
  UpdateAccessGroupEntitlements$outboundSchema = UpdateAccessGroupEntitlements$inboundSchema;
  ((UpdateAccessGroupEntitlements$) => {
    UpdateAccessGroupEntitlements$.inboundSchema = UpdateAccessGroupEntitlements$inboundSchema;
    UpdateAccessGroupEntitlements$.outboundSchema = UpdateAccessGroupEntitlements$outboundSchema;
  })(UpdateAccessGroupEntitlements$ ||= {});
  UpdateAccessGroupResponseBody$inboundSchema = objectType({
    entitlements: arrayType(UpdateAccessGroupEntitlements$inboundSchema).optional(),
    name: stringType(),
    createdAt: stringType(),
    teamId: stringType(),
    updatedAt: stringType(),
    accessGroupId: stringType(),
    membersCount: numberType(),
    projectsCount: numberType(),
    teamRoles: arrayType(stringType()).optional(),
    teamPermissions: arrayType(stringType()).optional()
  });
  UpdateAccessGroupResponseBody$outboundSchema = objectType({
    entitlements: arrayType(UpdateAccessGroupEntitlements$outboundSchema).optional(),
    name: stringType(),
    createdAt: stringType(),
    teamId: stringType(),
    updatedAt: stringType(),
    accessGroupId: stringType(),
    membersCount: numberType(),
    projectsCount: numberType(),
    teamRoles: arrayType(stringType()).optional(),
    teamPermissions: arrayType(stringType()).optional()
  });
  ((UpdateAccessGroupResponseBody$) => {
    UpdateAccessGroupResponseBody$.inboundSchema = UpdateAccessGroupResponseBody$inboundSchema;
    UpdateAccessGroupResponseBody$.outboundSchema = UpdateAccessGroupResponseBody$outboundSchema;
  })(UpdateAccessGroupResponseBody$ ||= {});
});

// src/funcs/accessGroupsUpdateAccessGroup.ts
function accessGroupsUpdateAccessGroup(client, request, options) {
  return new APIPromise($do10(client, request, options));
}
async function $do10(client, request, options) {
  const parsed = safeParse(request, (value) => UpdateAccessGroupRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/access-groups/{idOrName}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "updateAccessGroup",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, UpdateAccessGroupResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_accessGroupsUpdateAccessGroup = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_updateaccessgroupop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/accessGroupsUpdateAccessGroup.ts
var args10, tool$accessGroupsUpdateAccessGroup;
var init_accessGroupsUpdateAccessGroup2 = __esm(() => {
  init_accessGroupsUpdateAccessGroup();
  init_updateaccessgroupop();
  init_tools();
  args10 = {
    request: UpdateAccessGroupRequest$inboundSchema
  };
  tool$accessGroupsUpdateAccessGroup = {
    name: "access-groups-update-access-group",
    description: `Update an access group

Allows to update an access group metadata`,
    args: args10,
    tool: async (client, args11, ctx) => {
      const [result, apiCall] = await accessGroupsUpdateAccessGroup(client, args11.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/updateaccessgroupprojectop.ts
var UpdateAccessGroupProjectRole, UpdateAccessGroupProjectAccessGroupsRole, UpdateAccessGroupProjectRole$inboundSchema, UpdateAccessGroupProjectRole$outboundSchema, UpdateAccessGroupProjectRole$, UpdateAccessGroupProjectRequestBody$inboundSchema, UpdateAccessGroupProjectRequestBody$outboundSchema, UpdateAccessGroupProjectRequestBody$, UpdateAccessGroupProjectRequest$inboundSchema, UpdateAccessGroupProjectRequest$outboundSchema, UpdateAccessGroupProjectRequest$, UpdateAccessGroupProjectAccessGroupsRole$inboundSchema, UpdateAccessGroupProjectAccessGroupsRole$outboundSchema, UpdateAccessGroupProjectAccessGroupsRole$, UpdateAccessGroupProjectResponseBody$inboundSchema, UpdateAccessGroupProjectResponseBody$outboundSchema, UpdateAccessGroupProjectResponseBody$;
var init_updateaccessgroupprojectop = __esm(() => {
  init_esm();
  init_primitives();
  UpdateAccessGroupProjectRole = {
    Admin: "ADMIN",
    ProjectViewer: "PROJECT_VIEWER",
    ProjectDeveloper: "PROJECT_DEVELOPER"
  };
  UpdateAccessGroupProjectAccessGroupsRole = {
    Admin: "ADMIN",
    ProjectDeveloper: "PROJECT_DEVELOPER",
    ProjectViewer: "PROJECT_VIEWER"
  };
  UpdateAccessGroupProjectRole$inboundSchema = nativeEnumType(UpdateAccessGroupProjectRole);
  UpdateAccessGroupProjectRole$outboundSchema = UpdateAccessGroupProjectRole$inboundSchema;
  ((UpdateAccessGroupProjectRole$) => {
    UpdateAccessGroupProjectRole$.inboundSchema = UpdateAccessGroupProjectRole$inboundSchema;
    UpdateAccessGroupProjectRole$.outboundSchema = UpdateAccessGroupProjectRole$outboundSchema;
  })(UpdateAccessGroupProjectRole$ ||= {});
  UpdateAccessGroupProjectRequestBody$inboundSchema = objectType({
    role: UpdateAccessGroupProjectRole$inboundSchema
  });
  UpdateAccessGroupProjectRequestBody$outboundSchema = objectType({
    role: UpdateAccessGroupProjectRole$outboundSchema
  });
  ((UpdateAccessGroupProjectRequestBody$) => {
    UpdateAccessGroupProjectRequestBody$.inboundSchema = UpdateAccessGroupProjectRequestBody$inboundSchema;
    UpdateAccessGroupProjectRequestBody$.outboundSchema = UpdateAccessGroupProjectRequestBody$outboundSchema;
  })(UpdateAccessGroupProjectRequestBody$ ||= {});
  UpdateAccessGroupProjectRequest$inboundSchema = objectType({
    accessGroupIdOrName: stringType(),
    projectId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    RequestBody: lazyType(() => UpdateAccessGroupProjectRequestBody$inboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  UpdateAccessGroupProjectRequest$outboundSchema = objectType({
    accessGroupIdOrName: stringType(),
    projectId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    requestBody: lazyType(() => UpdateAccessGroupProjectRequestBody$outboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((UpdateAccessGroupProjectRequest$) => {
    UpdateAccessGroupProjectRequest$.inboundSchema = UpdateAccessGroupProjectRequest$inboundSchema;
    UpdateAccessGroupProjectRequest$.outboundSchema = UpdateAccessGroupProjectRequest$outboundSchema;
  })(UpdateAccessGroupProjectRequest$ ||= {});
  UpdateAccessGroupProjectAccessGroupsRole$inboundSchema = nativeEnumType(UpdateAccessGroupProjectAccessGroupsRole);
  UpdateAccessGroupProjectAccessGroupsRole$outboundSchema = UpdateAccessGroupProjectAccessGroupsRole$inboundSchema;
  ((UpdateAccessGroupProjectAccessGroupsRole$) => {
    UpdateAccessGroupProjectAccessGroupsRole$.inboundSchema = UpdateAccessGroupProjectAccessGroupsRole$inboundSchema;
    UpdateAccessGroupProjectAccessGroupsRole$.outboundSchema = UpdateAccessGroupProjectAccessGroupsRole$outboundSchema;
  })(UpdateAccessGroupProjectAccessGroupsRole$ ||= {});
  UpdateAccessGroupProjectResponseBody$inboundSchema = objectType({
    teamId: stringType(),
    accessGroupId: stringType(),
    projectId: stringType(),
    role: UpdateAccessGroupProjectAccessGroupsRole$inboundSchema,
    createdAt: stringType(),
    updatedAt: stringType()
  });
  UpdateAccessGroupProjectResponseBody$outboundSchema = objectType({
    teamId: stringType(),
    accessGroupId: stringType(),
    projectId: stringType(),
    role: UpdateAccessGroupProjectAccessGroupsRole$outboundSchema,
    createdAt: stringType(),
    updatedAt: stringType()
  });
  ((UpdateAccessGroupProjectResponseBody$) => {
    UpdateAccessGroupProjectResponseBody$.inboundSchema = UpdateAccessGroupProjectResponseBody$inboundSchema;
    UpdateAccessGroupProjectResponseBody$.outboundSchema = UpdateAccessGroupProjectResponseBody$outboundSchema;
  })(UpdateAccessGroupProjectResponseBody$ ||= {});
});

// src/funcs/accessGroupsUpdateAccessGroupProject.ts
function accessGroupsUpdateAccessGroupProject(client, request, options) {
  return new APIPromise($do11(client, request, options));
}
async function $do11(client, request, options) {
  const parsed = safeParse(request, (value) => UpdateAccessGroupProjectRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    accessGroupIdOrName: encodeSimple("accessGroupIdOrName", payload.accessGroupIdOrName, { explode: false, charEncoding: "percent" }),
    projectId: encodeSimple("projectId", payload.projectId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/access-groups/{accessGroupIdOrName}/projects/{projectId}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "updateAccessGroupProject",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "PATCH",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, UpdateAccessGroupProjectResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_accessGroupsUpdateAccessGroupProject = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_updateaccessgroupprojectop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/accessGroupsUpdateAccessGroupProject.ts
var args11, tool$accessGroupsUpdateAccessGroupProject;
var init_accessGroupsUpdateAccessGroupProject2 = __esm(() => {
  init_accessGroupsUpdateAccessGroupProject();
  init_updateaccessgroupprojectop();
  init_tools();
  args11 = {
    request: UpdateAccessGroupProjectRequest$inboundSchema
  };
  tool$accessGroupsUpdateAccessGroupProject = {
    name: "access-groups-update-access-group-project",
    description: `Update an access group project

Allows update of an access group project`,
    args: args11,
    tool: async (client, args12, ctx) => {
      const [result, apiCall] = await accessGroupsUpdateAccessGroupProject(client, args12.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/assignaliasop.ts
var AssignAliasRequestBody$inboundSchema, AssignAliasRequestBody$outboundSchema, AssignAliasRequestBody$, AssignAliasRequest$inboundSchema, AssignAliasRequest$outboundSchema, AssignAliasRequest$, AssignAliasResponseBody$inboundSchema, AssignAliasResponseBody$outboundSchema, AssignAliasResponseBody$;
var init_assignaliasop = __esm(() => {
  init_esm();
  init_primitives();
  AssignAliasRequestBody$inboundSchema = objectType({
    alias: stringType().optional(),
    redirect: nullableType(stringType()).optional()
  });
  AssignAliasRequestBody$outboundSchema = objectType({
    alias: stringType().optional(),
    redirect: nullableType(stringType()).optional()
  });
  ((AssignAliasRequestBody$) => {
    AssignAliasRequestBody$.inboundSchema = AssignAliasRequestBody$inboundSchema;
    AssignAliasRequestBody$.outboundSchema = AssignAliasRequestBody$outboundSchema;
  })(AssignAliasRequestBody$ ||= {});
  AssignAliasRequest$inboundSchema = objectType({
    id: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    RequestBody: lazyType(() => AssignAliasRequestBody$inboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  AssignAliasRequest$outboundSchema = objectType({
    id: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    requestBody: lazyType(() => AssignAliasRequestBody$outboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((AssignAliasRequest$) => {
    AssignAliasRequest$.inboundSchema = AssignAliasRequest$inboundSchema;
    AssignAliasRequest$.outboundSchema = AssignAliasRequest$outboundSchema;
  })(AssignAliasRequest$ ||= {});
  AssignAliasResponseBody$inboundSchema = objectType({
    uid: stringType(),
    alias: stringType(),
    created: stringType().datetime({ offset: true }).transform((v2) => new Date(v2)),
    oldDeploymentId: nullableType(stringType()).optional()
  });
  AssignAliasResponseBody$outboundSchema = objectType({
    uid: stringType(),
    alias: stringType(),
    created: dateType().transform((v2) => v2.toISOString()),
    oldDeploymentId: nullableType(stringType()).optional()
  });
  ((AssignAliasResponseBody$) => {
    AssignAliasResponseBody$.inboundSchema = AssignAliasResponseBody$inboundSchema;
    AssignAliasResponseBody$.outboundSchema = AssignAliasResponseBody$outboundSchema;
  })(AssignAliasResponseBody$ ||= {});
});

// src/funcs/aliasesAssignAlias.ts
function aliasesAssignAlias(client, request, options) {
  return new APIPromise($do12(client, request, options));
}
async function $do12(client, request, options) {
  const parsed = safeParse(request, (value) => AssignAliasRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    id: encodeSimple("id", payload.id, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v2/deployments/{id}/aliases")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "assignAlias",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "404", "409", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, AssignAliasResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([402, 403, 409, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_aliasesAssignAlias = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_assignaliasop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/aliasesAssignAlias.ts
var args12, tool$aliasesAssignAlias;
var init_aliasesAssignAlias2 = __esm(() => {
  init_aliasesAssignAlias();
  init_assignaliasop();
  init_tools();
  args12 = {
    request: AssignAliasRequest$inboundSchema
  };
  tool$aliasesAssignAlias = {
    name: "aliases-assign-alias",
    description: `Assign an Alias

Creates a new alias for the deployment with the given deployment ID. The authenticated user or team must own this deployment. If the desired alias is already assigned to another deployment, then it will be removed from the old deployment and assigned to the new one.`,
    args: args12,
    tool: async (client, args13, ctx) => {
      const [result, apiCall] = await aliasesAssignAlias(client, args13.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/deletealiasop.ts
var DeleteAliasStatus, DeleteAliasRequest$inboundSchema, DeleteAliasRequest$outboundSchema, DeleteAliasRequest$, DeleteAliasStatus$inboundSchema, DeleteAliasStatus$outboundSchema, DeleteAliasStatus$, DeleteAliasResponseBody$inboundSchema, DeleteAliasResponseBody$outboundSchema, DeleteAliasResponseBody$;
var init_deletealiasop = __esm(() => {
  init_esm();
  DeleteAliasStatus = {
    Success: "SUCCESS"
  };
  DeleteAliasRequest$inboundSchema = objectType({
    aliasId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  DeleteAliasRequest$outboundSchema = objectType({
    aliasId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((DeleteAliasRequest$) => {
    DeleteAliasRequest$.inboundSchema = DeleteAliasRequest$inboundSchema;
    DeleteAliasRequest$.outboundSchema = DeleteAliasRequest$outboundSchema;
  })(DeleteAliasRequest$ ||= {});
  DeleteAliasStatus$inboundSchema = nativeEnumType(DeleteAliasStatus);
  DeleteAliasStatus$outboundSchema = DeleteAliasStatus$inboundSchema;
  ((DeleteAliasStatus$) => {
    DeleteAliasStatus$.inboundSchema = DeleteAliasStatus$inboundSchema;
    DeleteAliasStatus$.outboundSchema = DeleteAliasStatus$outboundSchema;
  })(DeleteAliasStatus$ ||= {});
  DeleteAliasResponseBody$inboundSchema = objectType({
    status: DeleteAliasStatus$inboundSchema
  });
  DeleteAliasResponseBody$outboundSchema = objectType({
    status: DeleteAliasStatus$outboundSchema
  });
  ((DeleteAliasResponseBody$) => {
    DeleteAliasResponseBody$.inboundSchema = DeleteAliasResponseBody$inboundSchema;
    DeleteAliasResponseBody$.outboundSchema = DeleteAliasResponseBody$outboundSchema;
  })(DeleteAliasResponseBody$ ||= {});
});

// src/funcs/aliasesDeleteAlias.ts
function aliasesDeleteAlias(client, request, options) {
  return new APIPromise($do13(client, request, options));
}
async function $do13(client, request, options) {
  const parsed = safeParse(request, (value) => DeleteAliasRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    aliasId: encodeSimple("aliasId", payload.aliasId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v2/aliases/{aliasId}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "deleteAlias",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "DELETE",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, DeleteAliasResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_aliasesDeleteAlias = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_deletealiasop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/aliasesDeleteAlias.ts
var args13, tool$aliasesDeleteAlias;
var init_aliasesDeleteAlias2 = __esm(() => {
  init_aliasesDeleteAlias();
  init_deletealiasop();
  init_tools();
  args13 = {
    request: DeleteAliasRequest$inboundSchema
  };
  tool$aliasesDeleteAlias = {
    name: "aliases-delete-alias",
    description: `Delete an Alias

Delete an Alias with the specified ID.`,
    args: args13,
    tool: async (client, args14, ctx) => {
      const [result, apiCall] = await aliasesDeleteAlias(client, args14.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/getaliasop.ts
var GetAliasProtectionBypassAliasesResponse200Scope, GetAliasProtectionBypassAliasesResponseScope, ProtectionBypassAccess, GetAliasProtectionBypassAliasesScope, GetAliasProtectionBypassScope, GetAliasRequest$inboundSchema, GetAliasRequest$outboundSchema, GetAliasRequest$, GetAliasCreator$inboundSchema, GetAliasCreator$outboundSchema, GetAliasCreator$, GetAliasDeployment$inboundSchema, GetAliasDeployment$outboundSchema, GetAliasDeployment$, GetAliasProtectionBypassAliasesResponse200Scope$inboundSchema, GetAliasProtectionBypassAliasesResponse200Scope$outboundSchema, GetAliasProtectionBypassAliasesResponse200Scope$, ProtectionBypass4$inboundSchema, ProtectionBypass4$outboundSchema, ProtectionBypass4$, GetAliasProtectionBypassAliasesResponseScope$inboundSchema, GetAliasProtectionBypassAliasesResponseScope$outboundSchema, GetAliasProtectionBypassAliasesResponseScope$, ProtectionBypass3$inboundSchema, ProtectionBypass3$outboundSchema, ProtectionBypass3$, ProtectionBypassAccess$inboundSchema, ProtectionBypassAccess$outboundSchema, ProtectionBypassAccess$, GetAliasProtectionBypassAliasesScope$inboundSchema, GetAliasProtectionBypassAliasesScope$outboundSchema, GetAliasProtectionBypassAliasesScope$, GetAliasProtectionBypass2$inboundSchema, GetAliasProtectionBypass2$outboundSchema, GetAliasProtectionBypass2$, GetAliasProtectionBypassScope$inboundSchema, GetAliasProtectionBypassScope$outboundSchema, GetAliasProtectionBypassScope$, GetAliasProtectionBypass1$inboundSchema, GetAliasProtectionBypass1$outboundSchema, GetAliasProtectionBypass1$, GetAliasProtectionBypass$inboundSchema, GetAliasProtectionBypass$outboundSchema, GetAliasProtectionBypass$, DefaultApp$inboundSchema, DefaultApp$outboundSchema, DefaultApp$, Applications$inboundSchema, Applications$outboundSchema, Applications$, GetAliasMicrofrontends$inboundSchema, GetAliasMicrofrontends$outboundSchema, GetAliasMicrofrontends$, GetAliasResponseBody$inboundSchema, GetAliasResponseBody$outboundSchema, GetAliasResponseBody$;
var init_getaliasop = __esm(() => {
  init_esm();
  GetAliasProtectionBypassAliasesResponse200Scope = {
    EmailInvite: "email_invite"
  };
  GetAliasProtectionBypassAliasesResponseScope = {
    AliasProtectionOverride: "alias-protection-override"
  };
  ProtectionBypassAccess = {
    Requested: "requested",
    Granted: "granted"
  };
  GetAliasProtectionBypassAliasesScope = {
    User: "user"
  };
  GetAliasProtectionBypassScope = {
    ShareableLink: "shareable-link"
  };
  GetAliasRequest$inboundSchema = objectType({
    from: numberType().optional(),
    idOrAlias: stringType(),
    projectId: stringType().optional(),
    since: numberType().optional(),
    until: numberType().optional(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  GetAliasRequest$outboundSchema = objectType({
    from: numberType().optional(),
    idOrAlias: stringType(),
    projectId: stringType().optional(),
    since: numberType().optional(),
    until: numberType().optional(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((GetAliasRequest$) => {
    GetAliasRequest$.inboundSchema = GetAliasRequest$inboundSchema;
    GetAliasRequest$.outboundSchema = GetAliasRequest$outboundSchema;
  })(GetAliasRequest$ ||= {});
  GetAliasCreator$inboundSchema = objectType({
    uid: stringType(),
    email: stringType(),
    username: stringType()
  });
  GetAliasCreator$outboundSchema = objectType({
    uid: stringType(),
    email: stringType(),
    username: stringType()
  });
  ((GetAliasCreator$) => {
    GetAliasCreator$.inboundSchema = GetAliasCreator$inboundSchema;
    GetAliasCreator$.outboundSchema = GetAliasCreator$outboundSchema;
  })(GetAliasCreator$ ||= {});
  GetAliasDeployment$inboundSchema = objectType({
    id: stringType(),
    url: stringType(),
    meta: stringType().optional()
  });
  GetAliasDeployment$outboundSchema = objectType({
    id: stringType(),
    url: stringType(),
    meta: stringType().optional()
  });
  ((GetAliasDeployment$) => {
    GetAliasDeployment$.inboundSchema = GetAliasDeployment$inboundSchema;
    GetAliasDeployment$.outboundSchema = GetAliasDeployment$outboundSchema;
  })(GetAliasDeployment$ ||= {});
  GetAliasProtectionBypassAliasesResponse200Scope$inboundSchema = nativeEnumType(GetAliasProtectionBypassAliasesResponse200Scope);
  GetAliasProtectionBypassAliasesResponse200Scope$outboundSchema = GetAliasProtectionBypassAliasesResponse200Scope$inboundSchema;
  ((GetAliasProtectionBypassAliasesResponse200Scope$) => {
    GetAliasProtectionBypassAliasesResponse200Scope$.inboundSchema = GetAliasProtectionBypassAliasesResponse200Scope$inboundSchema;
    GetAliasProtectionBypassAliasesResponse200Scope$.outboundSchema = GetAliasProtectionBypassAliasesResponse200Scope$outboundSchema;
  })(GetAliasProtectionBypassAliasesResponse200Scope$ ||= {});
  ProtectionBypass4$inboundSchema = objectType({
    createdAt: numberType(),
    lastUpdatedAt: numberType(),
    lastUpdatedBy: stringType(),
    scope: GetAliasProtectionBypassAliasesResponse200Scope$inboundSchema
  });
  ProtectionBypass4$outboundSchema = objectType({
    createdAt: numberType(),
    lastUpdatedAt: numberType(),
    lastUpdatedBy: stringType(),
    scope: GetAliasProtectionBypassAliasesResponse200Scope$outboundSchema
  });
  ((ProtectionBypass4$) => {
    ProtectionBypass4$.inboundSchema = ProtectionBypass4$inboundSchema;
    ProtectionBypass4$.outboundSchema = ProtectionBypass4$outboundSchema;
  })(ProtectionBypass4$ ||= {});
  GetAliasProtectionBypassAliasesResponseScope$inboundSchema = nativeEnumType(GetAliasProtectionBypassAliasesResponseScope);
  GetAliasProtectionBypassAliasesResponseScope$outboundSchema = GetAliasProtectionBypassAliasesResponseScope$inboundSchema;
  ((GetAliasProtectionBypassAliasesResponseScope$) => {
    GetAliasProtectionBypassAliasesResponseScope$.inboundSchema = GetAliasProtectionBypassAliasesResponseScope$inboundSchema;
    GetAliasProtectionBypassAliasesResponseScope$.outboundSchema = GetAliasProtectionBypassAliasesResponseScope$outboundSchema;
  })(GetAliasProtectionBypassAliasesResponseScope$ ||= {});
  ProtectionBypass3$inboundSchema = objectType({
    createdAt: numberType(),
    createdBy: stringType(),
    scope: GetAliasProtectionBypassAliasesResponseScope$inboundSchema
  });
  ProtectionBypass3$outboundSchema = objectType({
    createdAt: numberType(),
    createdBy: stringType(),
    scope: GetAliasProtectionBypassAliasesResponseScope$outboundSchema
  });
  ((ProtectionBypass3$) => {
    ProtectionBypass3$.inboundSchema = ProtectionBypass3$inboundSchema;
    ProtectionBypass3$.outboundSchema = ProtectionBypass3$outboundSchema;
  })(ProtectionBypass3$ ||= {});
  ProtectionBypassAccess$inboundSchema = nativeEnumType(ProtectionBypassAccess);
  ProtectionBypassAccess$outboundSchema = ProtectionBypassAccess$inboundSchema;
  ((ProtectionBypassAccess$) => {
    ProtectionBypassAccess$.inboundSchema = ProtectionBypassAccess$inboundSchema;
    ProtectionBypassAccess$.outboundSchema = ProtectionBypassAccess$outboundSchema;
  })(ProtectionBypassAccess$ ||= {});
  GetAliasProtectionBypassAliasesScope$inboundSchema = nativeEnumType(GetAliasProtectionBypassAliasesScope);
  GetAliasProtectionBypassAliasesScope$outboundSchema = GetAliasProtectionBypassAliasesScope$inboundSchema;
  ((GetAliasProtectionBypassAliasesScope$) => {
    GetAliasProtectionBypassAliasesScope$.inboundSchema = GetAliasProtectionBypassAliasesScope$inboundSchema;
    GetAliasProtectionBypassAliasesScope$.outboundSchema = GetAliasProtectionBypassAliasesScope$outboundSchema;
  })(GetAliasProtectionBypassAliasesScope$ ||= {});
  GetAliasProtectionBypass2$inboundSchema = objectType({
    createdAt: numberType(),
    lastUpdatedAt: numberType(),
    lastUpdatedBy: stringType(),
    access: ProtectionBypassAccess$inboundSchema,
    scope: GetAliasProtectionBypassAliasesScope$inboundSchema
  });
  GetAliasProtectionBypass2$outboundSchema = objectType({
    createdAt: numberType(),
    lastUpdatedAt: numberType(),
    lastUpdatedBy: stringType(),
    access: ProtectionBypassAccess$outboundSchema,
    scope: GetAliasProtectionBypassAliasesScope$outboundSchema
  });
  ((GetAliasProtectionBypass2$) => {
    GetAliasProtectionBypass2$.inboundSchema = GetAliasProtectionBypass2$inboundSchema;
    GetAliasProtectionBypass2$.outboundSchema = GetAliasProtectionBypass2$outboundSchema;
  })(GetAliasProtectionBypass2$ ||= {});
  GetAliasProtectionBypassScope$inboundSchema = nativeEnumType(GetAliasProtectionBypassScope);
  GetAliasProtectionBypassScope$outboundSchema = GetAliasProtectionBypassScope$inboundSchema;
  ((GetAliasProtectionBypassScope$) => {
    GetAliasProtectionBypassScope$.inboundSchema = GetAliasProtectionBypassScope$inboundSchema;
    GetAliasProtectionBypassScope$.outboundSchema = GetAliasProtectionBypassScope$outboundSchema;
  })(GetAliasProtectionBypassScope$ ||= {});
  GetAliasProtectionBypass1$inboundSchema = objectType({
    createdAt: numberType(),
    createdBy: stringType(),
    scope: GetAliasProtectionBypassScope$inboundSchema
  });
  GetAliasProtectionBypass1$outboundSchema = objectType({
    createdAt: numberType(),
    createdBy: stringType(),
    scope: GetAliasProtectionBypassScope$outboundSchema
  });
  ((GetAliasProtectionBypass1$) => {
    GetAliasProtectionBypass1$.inboundSchema = GetAliasProtectionBypass1$inboundSchema;
    GetAliasProtectionBypass1$.outboundSchema = GetAliasProtectionBypass1$outboundSchema;
  })(GetAliasProtectionBypass1$ ||= {});
  GetAliasProtectionBypass$inboundSchema = unionType([
    lazyType(() => GetAliasProtectionBypass1$inboundSchema),
    lazyType(() => ProtectionBypass3$inboundSchema),
    lazyType(() => ProtectionBypass4$inboundSchema),
    lazyType(() => GetAliasProtectionBypass2$inboundSchema)
  ]);
  GetAliasProtectionBypass$outboundSchema = unionType([
    lazyType(() => GetAliasProtectionBypass1$outboundSchema),
    lazyType(() => ProtectionBypass3$outboundSchema),
    lazyType(() => ProtectionBypass4$outboundSchema),
    lazyType(() => GetAliasProtectionBypass2$outboundSchema)
  ]);
  ((GetAliasProtectionBypass$) => {
    GetAliasProtectionBypass$.inboundSchema = GetAliasProtectionBypass$inboundSchema;
    GetAliasProtectionBypass$.outboundSchema = GetAliasProtectionBypass$outboundSchema;
  })(GetAliasProtectionBypass$ ||= {});
  DefaultApp$inboundSchema = objectType({
    projectId: stringType()
  });
  DefaultApp$outboundSchema = objectType({
    projectId: stringType()
  });
  ((DefaultApp$) => {
    DefaultApp$.inboundSchema = DefaultApp$inboundSchema;
    DefaultApp$.outboundSchema = DefaultApp$outboundSchema;
  })(DefaultApp$ ||= {});
  Applications$inboundSchema = objectType({
    fallbackHost: stringType(),
    deploymentId: stringType().optional(),
    deploymentUrl: stringType().optional()
  });
  Applications$outboundSchema = objectType({
    fallbackHost: stringType(),
    deploymentId: stringType().optional(),
    deploymentUrl: stringType().optional()
  });
  ((Applications$) => {
    Applications$.inboundSchema = Applications$inboundSchema;
    Applications$.outboundSchema = Applications$outboundSchema;
  })(Applications$ ||= {});
  GetAliasMicrofrontends$inboundSchema = objectType({
    defaultApp: lazyType(() => DefaultApp$inboundSchema),
    applications: recordType(lazyType(() => Applications$inboundSchema))
  });
  GetAliasMicrofrontends$outboundSchema = objectType({
    defaultApp: lazyType(() => DefaultApp$outboundSchema),
    applications: recordType(lazyType(() => Applications$outboundSchema))
  });
  ((GetAliasMicrofrontends$) => {
    GetAliasMicrofrontends$.inboundSchema = GetAliasMicrofrontends$inboundSchema;
    GetAliasMicrofrontends$.outboundSchema = GetAliasMicrofrontends$outboundSchema;
  })(GetAliasMicrofrontends$ ||= {});
  GetAliasResponseBody$inboundSchema = objectType({
    alias: stringType(),
    created: stringType().datetime({ offset: true }).transform((v2) => new Date(v2)),
    createdAt: nullableType(numberType()).optional(),
    creator: lazyType(() => GetAliasCreator$inboundSchema).optional(),
    deletedAt: nullableType(numberType()).optional(),
    deployment: lazyType(() => GetAliasDeployment$inboundSchema).optional(),
    deploymentId: nullableType(stringType()),
    projectId: nullableType(stringType()),
    redirect: nullableType(stringType()).optional(),
    redirectStatusCode: nullableType(numberType()).optional(),
    uid: stringType(),
    updatedAt: nullableType(numberType()).optional(),
    protectionBypass: recordType(unionType([
      lazyType(() => GetAliasProtectionBypass1$inboundSchema),
      lazyType(() => ProtectionBypass3$inboundSchema),
      lazyType(() => ProtectionBypass4$inboundSchema),
      lazyType(() => GetAliasProtectionBypass2$inboundSchema)
    ])).optional(),
    microfrontends: lazyType(() => GetAliasMicrofrontends$inboundSchema).optional()
  });
  GetAliasResponseBody$outboundSchema = objectType({
    alias: stringType(),
    created: dateType().transform((v2) => v2.toISOString()),
    createdAt: nullableType(numberType()).optional(),
    creator: lazyType(() => GetAliasCreator$outboundSchema).optional(),
    deletedAt: nullableType(numberType()).optional(),
    deployment: lazyType(() => GetAliasDeployment$outboundSchema).optional(),
    deploymentId: nullableType(stringType()),
    projectId: nullableType(stringType()),
    redirect: nullableType(stringType()).optional(),
    redirectStatusCode: nullableType(numberType()).optional(),
    uid: stringType(),
    updatedAt: nullableType(numberType()).optional(),
    protectionBypass: recordType(unionType([
      lazyType(() => GetAliasProtectionBypass1$outboundSchema),
      lazyType(() => ProtectionBypass3$outboundSchema),
      lazyType(() => ProtectionBypass4$outboundSchema),
      lazyType(() => GetAliasProtectionBypass2$outboundSchema)
    ])).optional(),
    microfrontends: lazyType(() => GetAliasMicrofrontends$outboundSchema).optional()
  });
  ((GetAliasResponseBody$) => {
    GetAliasResponseBody$.inboundSchema = GetAliasResponseBody$inboundSchema;
    GetAliasResponseBody$.outboundSchema = GetAliasResponseBody$outboundSchema;
  })(GetAliasResponseBody$ ||= {});
});

// src/funcs/aliasesGetAlias.ts
function aliasesGetAlias(client, request, options) {
  return new APIPromise($do14(client, request, options));
}
async function $do14(client, request, options) {
  const parsed = safeParse(request, (value) => GetAliasRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    idOrAlias: encodeSimple("idOrAlias", payload.idOrAlias, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v4/aliases/{idOrAlias}")(pathParams);
  const query = encodeFormQuery({
    from: payload.from,
    projectId: payload.projectId,
    since: payload.since,
    slug: payload.slug,
    teamId: payload.teamId,
    until: payload.until
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "getAlias",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetAliasResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_aliasesGetAlias = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_getaliasop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/aliasesGetAlias.ts
var args14, tool$aliasesGetAlias;
var init_aliasesGetAlias2 = __esm(() => {
  init_aliasesGetAlias();
  init_getaliasop();
  init_tools();
  args14 = {
    request: GetAliasRequest$inboundSchema
  };
  tool$aliasesGetAlias = {
    name: "aliases-get-alias",
    description: `Get an Alias

Retrieves an Alias for the given host name or alias ID.`,
    args: args14,
    tool: async (client, args15, ctx) => {
      const [result, apiCall] = await aliasesGetAlias(client, args15.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/pagination.ts
var Pagination$inboundSchema, Pagination$outboundSchema, Pagination$;
var init_pagination = __esm(() => {
  init_esm();
  Pagination$inboundSchema = objectType({
    count: numberType(),
    next: nullableType(numberType()),
    prev: nullableType(numberType())
  });
  Pagination$outboundSchema = objectType({
    count: numberType(),
    next: nullableType(numberType()),
    prev: nullableType(numberType())
  });
  ((Pagination$) => {
    Pagination$.inboundSchema = Pagination$inboundSchema;
    Pagination$.outboundSchema = Pagination$outboundSchema;
  })(Pagination$ ||= {});
});

// src/models/listaliasesop.ts
var ListAliasesProtectionBypassAliasesResponse200Scope, ListAliasesProtectionBypassAliasesResponseScope, ListAliasesProtectionBypassAccess, ListAliasesProtectionBypassAliasesScope, ListAliasesProtectionBypassScope, Domain$inboundSchema, Domain$outboundSchema, Domain$, ListAliasesRequest$inboundSchema, ListAliasesRequest$outboundSchema, ListAliasesRequest$, ListAliasesCreator$inboundSchema, ListAliasesCreator$outboundSchema, ListAliasesCreator$, ListAliasesDeployment$inboundSchema, ListAliasesDeployment$outboundSchema, ListAliasesDeployment$, ListAliasesProtectionBypassAliasesResponse200Scope$inboundSchema, ListAliasesProtectionBypassAliasesResponse200Scope$outboundSchema, ListAliasesProtectionBypassAliasesResponse200Scope$, ListAliasesProtectionBypass4$inboundSchema, ListAliasesProtectionBypass4$outboundSchema, ListAliasesProtectionBypass4$, ListAliasesProtectionBypassAliasesResponseScope$inboundSchema, ListAliasesProtectionBypassAliasesResponseScope$outboundSchema, ListAliasesProtectionBypassAliasesResponseScope$, ListAliasesProtectionBypass3$inboundSchema, ListAliasesProtectionBypass3$outboundSchema, ListAliasesProtectionBypass3$, ListAliasesProtectionBypassAccess$inboundSchema, ListAliasesProtectionBypassAccess$outboundSchema, ListAliasesProtectionBypassAccess$, ListAliasesProtectionBypassAliasesScope$inboundSchema, ListAliasesProtectionBypassAliasesScope$outboundSchema, ListAliasesProtectionBypassAliasesScope$, ListAliasesProtectionBypass2$inboundSchema, ListAliasesProtectionBypass2$outboundSchema, ListAliasesProtectionBypass2$, ListAliasesProtectionBypassScope$inboundSchema, ListAliasesProtectionBypassScope$outboundSchema, ListAliasesProtectionBypassScope$, ListAliasesProtectionBypass1$inboundSchema, ListAliasesProtectionBypass1$outboundSchema, ListAliasesProtectionBypass1$, ListAliasesProtectionBypass$inboundSchema, ListAliasesProtectionBypass$outboundSchema, ListAliasesProtectionBypass$, ListAliasesDefaultApp$inboundSchema, ListAliasesDefaultApp$outboundSchema, ListAliasesDefaultApp$, ListAliasesApplications$inboundSchema, ListAliasesApplications$outboundSchema, ListAliasesApplications$, ListAliasesMicrofrontends$inboundSchema, ListAliasesMicrofrontends$outboundSchema, ListAliasesMicrofrontends$, ListAliasesAliases$inboundSchema, ListAliasesAliases$outboundSchema, ListAliasesAliases$, ListAliasesResponseBody$inboundSchema, ListAliasesResponseBody$outboundSchema, ListAliasesResponseBody$;
var init_listaliasesop = __esm(() => {
  init_esm();
  init_pagination();
  ListAliasesProtectionBypassAliasesResponse200Scope = {
    EmailInvite: "email_invite"
  };
  ListAliasesProtectionBypassAliasesResponseScope = {
    AliasProtectionOverride: "alias-protection-override"
  };
  ListAliasesProtectionBypassAccess = {
    Requested: "requested",
    Granted: "granted"
  };
  ListAliasesProtectionBypassAliasesScope = {
    User: "user"
  };
  ListAliasesProtectionBypassScope = {
    ShareableLink: "shareable-link"
  };
  Domain$inboundSchema = unionType([arrayType(stringType()), stringType()]);
  Domain$outboundSchema = unionType([arrayType(stringType()), stringType()]);
  ((Domain$) => {
    Domain$.inboundSchema = Domain$inboundSchema;
    Domain$.outboundSchema = Domain$outboundSchema;
  })(Domain$ ||= {});
  ListAliasesRequest$inboundSchema = objectType({
    domain: unionType([arrayType(stringType()), stringType()]).optional(),
    from: numberType().optional(),
    limit: numberType().optional(),
    projectId: stringType().optional(),
    since: numberType().optional(),
    until: numberType().optional(),
    rollbackDeploymentId: stringType().optional(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ListAliasesRequest$outboundSchema = objectType({
    domain: unionType([arrayType(stringType()), stringType()]).optional(),
    from: numberType().optional(),
    limit: numberType().optional(),
    projectId: stringType().optional(),
    since: numberType().optional(),
    until: numberType().optional(),
    rollbackDeploymentId: stringType().optional(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((ListAliasesRequest$) => {
    ListAliasesRequest$.inboundSchema = ListAliasesRequest$inboundSchema;
    ListAliasesRequest$.outboundSchema = ListAliasesRequest$outboundSchema;
  })(ListAliasesRequest$ ||= {});
  ListAliasesCreator$inboundSchema = objectType({
    uid: stringType(),
    email: stringType(),
    username: stringType()
  });
  ListAliasesCreator$outboundSchema = objectType({
    uid: stringType(),
    email: stringType(),
    username: stringType()
  });
  ((ListAliasesCreator$) => {
    ListAliasesCreator$.inboundSchema = ListAliasesCreator$inboundSchema;
    ListAliasesCreator$.outboundSchema = ListAliasesCreator$outboundSchema;
  })(ListAliasesCreator$ ||= {});
  ListAliasesDeployment$inboundSchema = objectType({
    id: stringType(),
    url: stringType(),
    meta: stringType().optional()
  });
  ListAliasesDeployment$outboundSchema = objectType({
    id: stringType(),
    url: stringType(),
    meta: stringType().optional()
  });
  ((ListAliasesDeployment$) => {
    ListAliasesDeployment$.inboundSchema = ListAliasesDeployment$inboundSchema;
    ListAliasesDeployment$.outboundSchema = ListAliasesDeployment$outboundSchema;
  })(ListAliasesDeployment$ ||= {});
  ListAliasesProtectionBypassAliasesResponse200Scope$inboundSchema = nativeEnumType(ListAliasesProtectionBypassAliasesResponse200Scope);
  ListAliasesProtectionBypassAliasesResponse200Scope$outboundSchema = ListAliasesProtectionBypassAliasesResponse200Scope$inboundSchema;
  ((ListAliasesProtectionBypassAliasesResponse200Scope$) => {
    ListAliasesProtectionBypassAliasesResponse200Scope$.inboundSchema = ListAliasesProtectionBypassAliasesResponse200Scope$inboundSchema;
    ListAliasesProtectionBypassAliasesResponse200Scope$.outboundSchema = ListAliasesProtectionBypassAliasesResponse200Scope$outboundSchema;
  })(ListAliasesProtectionBypassAliasesResponse200Scope$ ||= {});
  ListAliasesProtectionBypass4$inboundSchema = objectType({
    createdAt: numberType(),
    lastUpdatedAt: numberType(),
    lastUpdatedBy: stringType(),
    scope: ListAliasesProtectionBypassAliasesResponse200Scope$inboundSchema
  });
  ListAliasesProtectionBypass4$outboundSchema = objectType({
    createdAt: numberType(),
    lastUpdatedAt: numberType(),
    lastUpdatedBy: stringType(),
    scope: ListAliasesProtectionBypassAliasesResponse200Scope$outboundSchema
  });
  ((ListAliasesProtectionBypass4$) => {
    ListAliasesProtectionBypass4$.inboundSchema = ListAliasesProtectionBypass4$inboundSchema;
    ListAliasesProtectionBypass4$.outboundSchema = ListAliasesProtectionBypass4$outboundSchema;
  })(ListAliasesProtectionBypass4$ ||= {});
  ListAliasesProtectionBypassAliasesResponseScope$inboundSchema = nativeEnumType(ListAliasesProtectionBypassAliasesResponseScope);
  ListAliasesProtectionBypassAliasesResponseScope$outboundSchema = ListAliasesProtectionBypassAliasesResponseScope$inboundSchema;
  ((ListAliasesProtectionBypassAliasesResponseScope$) => {
    ListAliasesProtectionBypassAliasesResponseScope$.inboundSchema = ListAliasesProtectionBypassAliasesResponseScope$inboundSchema;
    ListAliasesProtectionBypassAliasesResponseScope$.outboundSchema = ListAliasesProtectionBypassAliasesResponseScope$outboundSchema;
  })(ListAliasesProtectionBypassAliasesResponseScope$ ||= {});
  ListAliasesProtectionBypass3$inboundSchema = objectType({
    createdAt: numberType(),
    createdBy: stringType(),
    scope: ListAliasesProtectionBypassAliasesResponseScope$inboundSchema
  });
  ListAliasesProtectionBypass3$outboundSchema = objectType({
    createdAt: numberType(),
    createdBy: stringType(),
    scope: ListAliasesProtectionBypassAliasesResponseScope$outboundSchema
  });
  ((ListAliasesProtectionBypass3$) => {
    ListAliasesProtectionBypass3$.inboundSchema = ListAliasesProtectionBypass3$inboundSchema;
    ListAliasesProtectionBypass3$.outboundSchema = ListAliasesProtectionBypass3$outboundSchema;
  })(ListAliasesProtectionBypass3$ ||= {});
  ListAliasesProtectionBypassAccess$inboundSchema = nativeEnumType(ListAliasesProtectionBypassAccess);
  ListAliasesProtectionBypassAccess$outboundSchema = ListAliasesProtectionBypassAccess$inboundSchema;
  ((ListAliasesProtectionBypassAccess$) => {
    ListAliasesProtectionBypassAccess$.inboundSchema = ListAliasesProtectionBypassAccess$inboundSchema;
    ListAliasesProtectionBypassAccess$.outboundSchema = ListAliasesProtectionBypassAccess$outboundSchema;
  })(ListAliasesProtectionBypassAccess$ ||= {});
  ListAliasesProtectionBypassAliasesScope$inboundSchema = nativeEnumType(ListAliasesProtectionBypassAliasesScope);
  ListAliasesProtectionBypassAliasesScope$outboundSchema = ListAliasesProtectionBypassAliasesScope$inboundSchema;
  ((ListAliasesProtectionBypassAliasesScope$) => {
    ListAliasesProtectionBypassAliasesScope$.inboundSchema = ListAliasesProtectionBypassAliasesScope$inboundSchema;
    ListAliasesProtectionBypassAliasesScope$.outboundSchema = ListAliasesProtectionBypassAliasesScope$outboundSchema;
  })(ListAliasesProtectionBypassAliasesScope$ ||= {});
  ListAliasesProtectionBypass2$inboundSchema = objectType({
    createdAt: numberType(),
    lastUpdatedAt: numberType(),
    lastUpdatedBy: stringType(),
    access: ListAliasesProtectionBypassAccess$inboundSchema,
    scope: ListAliasesProtectionBypassAliasesScope$inboundSchema
  });
  ListAliasesProtectionBypass2$outboundSchema = objectType({
    createdAt: numberType(),
    lastUpdatedAt: numberType(),
    lastUpdatedBy: stringType(),
    access: ListAliasesProtectionBypassAccess$outboundSchema,
    scope: ListAliasesProtectionBypassAliasesScope$outboundSchema
  });
  ((ListAliasesProtectionBypass2$) => {
    ListAliasesProtectionBypass2$.inboundSchema = ListAliasesProtectionBypass2$inboundSchema;
    ListAliasesProtectionBypass2$.outboundSchema = ListAliasesProtectionBypass2$outboundSchema;
  })(ListAliasesProtectionBypass2$ ||= {});
  ListAliasesProtectionBypassScope$inboundSchema = nativeEnumType(ListAliasesProtectionBypassScope);
  ListAliasesProtectionBypassScope$outboundSchema = ListAliasesProtectionBypassScope$inboundSchema;
  ((ListAliasesProtectionBypassScope$) => {
    ListAliasesProtectionBypassScope$.inboundSchema = ListAliasesProtectionBypassScope$inboundSchema;
    ListAliasesProtectionBypassScope$.outboundSchema = ListAliasesProtectionBypassScope$outboundSchema;
  })(ListAliasesProtectionBypassScope$ ||= {});
  ListAliasesProtectionBypass1$inboundSchema = objectType({
    createdAt: numberType(),
    createdBy: stringType(),
    scope: ListAliasesProtectionBypassScope$inboundSchema
  });
  ListAliasesProtectionBypass1$outboundSchema = objectType({
    createdAt: numberType(),
    createdBy: stringType(),
    scope: ListAliasesProtectionBypassScope$outboundSchema
  });
  ((ListAliasesProtectionBypass1$) => {
    ListAliasesProtectionBypass1$.inboundSchema = ListAliasesProtectionBypass1$inboundSchema;
    ListAliasesProtectionBypass1$.outboundSchema = ListAliasesProtectionBypass1$outboundSchema;
  })(ListAliasesProtectionBypass1$ ||= {});
  ListAliasesProtectionBypass$inboundSchema = unionType([
    lazyType(() => ListAliasesProtectionBypass1$inboundSchema),
    lazyType(() => ListAliasesProtectionBypass3$inboundSchema),
    lazyType(() => ListAliasesProtectionBypass4$inboundSchema),
    lazyType(() => ListAliasesProtectionBypass2$inboundSchema)
  ]);
  ListAliasesProtectionBypass$outboundSchema = unionType([
    lazyType(() => ListAliasesProtectionBypass1$outboundSchema),
    lazyType(() => ListAliasesProtectionBypass3$outboundSchema),
    lazyType(() => ListAliasesProtectionBypass4$outboundSchema),
    lazyType(() => ListAliasesProtectionBypass2$outboundSchema)
  ]);
  ((ListAliasesProtectionBypass$) => {
    ListAliasesProtectionBypass$.inboundSchema = ListAliasesProtectionBypass$inboundSchema;
    ListAliasesProtectionBypass$.outboundSchema = ListAliasesProtectionBypass$outboundSchema;
  })(ListAliasesProtectionBypass$ ||= {});
  ListAliasesDefaultApp$inboundSchema = objectType({
    projectId: stringType()
  });
  ListAliasesDefaultApp$outboundSchema = objectType({
    projectId: stringType()
  });
  ((ListAliasesDefaultApp$) => {
    ListAliasesDefaultApp$.inboundSchema = ListAliasesDefaultApp$inboundSchema;
    ListAliasesDefaultApp$.outboundSchema = ListAliasesDefaultApp$outboundSchema;
  })(ListAliasesDefaultApp$ ||= {});
  ListAliasesApplications$inboundSchema = objectType({
    fallbackHost: stringType(),
    deploymentId: stringType().optional(),
    deploymentUrl: stringType().optional()
  });
  ListAliasesApplications$outboundSchema = objectType({
    fallbackHost: stringType(),
    deploymentId: stringType().optional(),
    deploymentUrl: stringType().optional()
  });
  ((ListAliasesApplications$) => {
    ListAliasesApplications$.inboundSchema = ListAliasesApplications$inboundSchema;
    ListAliasesApplications$.outboundSchema = ListAliasesApplications$outboundSchema;
  })(ListAliasesApplications$ ||= {});
  ListAliasesMicrofrontends$inboundSchema = objectType({
    defaultApp: lazyType(() => ListAliasesDefaultApp$inboundSchema),
    applications: recordType(lazyType(() => ListAliasesApplications$inboundSchema))
  });
  ListAliasesMicrofrontends$outboundSchema = objectType({
    defaultApp: lazyType(() => ListAliasesDefaultApp$outboundSchema),
    applications: recordType(lazyType(() => ListAliasesApplications$outboundSchema))
  });
  ((ListAliasesMicrofrontends$) => {
    ListAliasesMicrofrontends$.inboundSchema = ListAliasesMicrofrontends$inboundSchema;
    ListAliasesMicrofrontends$.outboundSchema = ListAliasesMicrofrontends$outboundSchema;
  })(ListAliasesMicrofrontends$ ||= {});
  ListAliasesAliases$inboundSchema = objectType({
    alias: stringType(),
    created: stringType().datetime({ offset: true }).transform((v2) => new Date(v2)),
    createdAt: numberType().optional(),
    creator: lazyType(() => ListAliasesCreator$inboundSchema).optional(),
    deletedAt: nullableType(numberType()).optional(),
    deployment: lazyType(() => ListAliasesDeployment$inboundSchema).optional(),
    deploymentId: nullableType(stringType()),
    projectId: nullableType(stringType()),
    redirect: nullableType(stringType()).optional(),
    redirectStatusCode: nullableType(numberType()).optional(),
    uid: stringType(),
    updatedAt: numberType().optional(),
    protectionBypass: recordType(unionType([
      lazyType(() => ListAliasesProtectionBypass1$inboundSchema),
      lazyType(() => ListAliasesProtectionBypass3$inboundSchema),
      lazyType(() => ListAliasesProtectionBypass4$inboundSchema),
      lazyType(() => ListAliasesProtectionBypass2$inboundSchema)
    ])).optional(),
    microfrontends: lazyType(() => ListAliasesMicrofrontends$inboundSchema).optional()
  });
  ListAliasesAliases$outboundSchema = objectType({
    alias: stringType(),
    created: dateType().transform((v2) => v2.toISOString()),
    createdAt: numberType().optional(),
    creator: lazyType(() => ListAliasesCreator$outboundSchema).optional(),
    deletedAt: nullableType(numberType()).optional(),
    deployment: lazyType(() => ListAliasesDeployment$outboundSchema).optional(),
    deploymentId: nullableType(stringType()),
    projectId: nullableType(stringType()),
    redirect: nullableType(stringType()).optional(),
    redirectStatusCode: nullableType(numberType()).optional(),
    uid: stringType(),
    updatedAt: numberType().optional(),
    protectionBypass: recordType(unionType([
      lazyType(() => ListAliasesProtectionBypass1$outboundSchema),
      lazyType(() => ListAliasesProtectionBypass3$outboundSchema),
      lazyType(() => ListAliasesProtectionBypass4$outboundSchema),
      lazyType(() => ListAliasesProtectionBypass2$outboundSchema)
    ])).optional(),
    microfrontends: lazyType(() => ListAliasesMicrofrontends$outboundSchema).optional()
  });
  ((ListAliasesAliases$) => {
    ListAliasesAliases$.inboundSchema = ListAliasesAliases$inboundSchema;
    ListAliasesAliases$.outboundSchema = ListAliasesAliases$outboundSchema;
  })(ListAliasesAliases$ ||= {});
  ListAliasesResponseBody$inboundSchema = objectType({
    aliases: arrayType(lazyType(() => ListAliasesAliases$inboundSchema)),
    pagination: Pagination$inboundSchema
  });
  ListAliasesResponseBody$outboundSchema = objectType({
    aliases: arrayType(lazyType(() => ListAliasesAliases$outboundSchema)),
    pagination: Pagination$outboundSchema
  });
  ((ListAliasesResponseBody$) => {
    ListAliasesResponseBody$.inboundSchema = ListAliasesResponseBody$inboundSchema;
    ListAliasesResponseBody$.outboundSchema = ListAliasesResponseBody$outboundSchema;
  })(ListAliasesResponseBody$ ||= {});
});

// src/funcs/aliasesListAliases.ts
function aliasesListAliases(client, request, options) {
  return new APIPromise($do15(client, request, options));
}
async function $do15(client, request, options) {
  const parsed = safeParse(request, (value) => ListAliasesRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const path = pathToFunc("/v4/aliases")();
  const query = encodeFormQuery({
    domain: payload.domain,
    from: payload.from,
    limit: payload.limit,
    projectId: payload.projectId,
    rollbackDeploymentId: payload.rollbackDeploymentId,
    since: payload.since,
    slug: payload.slug,
    teamId: payload.teamId,
    until: payload.until
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "listAliases",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, ListAliasesResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_aliasesListAliases = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_listaliasesop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/aliasesListAliases.ts
var args15, tool$aliasesListAliases;
var init_aliasesListAliases2 = __esm(() => {
  init_aliasesListAliases();
  init_listaliasesop();
  init_tools();
  args15 = {
    request: ListAliasesRequest$inboundSchema
  };
  tool$aliasesListAliases = {
    name: "aliases-list-aliases",
    description: `List aliases

Retrieves a list of aliases for the authenticated User or Team. When \`domain\` is provided, only aliases for that domain will be returned. When \`projectId\` is provided, it will only return the given project aliases.`,
    args: args15,
    tool: async (client, args16, ctx) => {
      const [result, apiCall] = await aliasesListAliases(client, args16.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/listdeploymentaliasesop.ts
var ListDeploymentAliasesProtectionBypassAliasesResponse200Scope, ListDeploymentAliasesProtectionBypassAliasesResponseScope, ListDeploymentAliasesProtectionBypassAccess, ListDeploymentAliasesProtectionBypassAliasesScope, ListDeploymentAliasesProtectionBypassScope, ListDeploymentAliasesRequest$inboundSchema, ListDeploymentAliasesRequest$outboundSchema, ListDeploymentAliasesRequest$, ListDeploymentAliasesProtectionBypassAliasesResponse200Scope$inboundSchema, ListDeploymentAliasesProtectionBypassAliasesResponse200Scope$outboundSchema, ListDeploymentAliasesProtectionBypassAliasesResponse200Scope$, ListDeploymentAliasesProtectionBypass4$inboundSchema, ListDeploymentAliasesProtectionBypass4$outboundSchema, ListDeploymentAliasesProtectionBypass4$, ListDeploymentAliasesProtectionBypassAliasesResponseScope$inboundSchema, ListDeploymentAliasesProtectionBypassAliasesResponseScope$outboundSchema, ListDeploymentAliasesProtectionBypassAliasesResponseScope$, ListDeploymentAliasesProtectionBypass3$inboundSchema, ListDeploymentAliasesProtectionBypass3$outboundSchema, ListDeploymentAliasesProtectionBypass3$, ListDeploymentAliasesProtectionBypassAccess$inboundSchema, ListDeploymentAliasesProtectionBypassAccess$outboundSchema, ListDeploymentAliasesProtectionBypassAccess$, ListDeploymentAliasesProtectionBypassAliasesScope$inboundSchema, ListDeploymentAliasesProtectionBypassAliasesScope$outboundSchema, ListDeploymentAliasesProtectionBypassAliasesScope$, ListDeploymentAliasesProtectionBypass2$inboundSchema, ListDeploymentAliasesProtectionBypass2$outboundSchema, ListDeploymentAliasesProtectionBypass2$, ListDeploymentAliasesProtectionBypassScope$inboundSchema, ListDeploymentAliasesProtectionBypassScope$outboundSchema, ListDeploymentAliasesProtectionBypassScope$, ListDeploymentAliasesProtectionBypass1$inboundSchema, ListDeploymentAliasesProtectionBypass1$outboundSchema, ListDeploymentAliasesProtectionBypass1$, ListDeploymentAliasesProtectionBypass$inboundSchema, ListDeploymentAliasesProtectionBypass$outboundSchema, ListDeploymentAliasesProtectionBypass$, Aliases$inboundSchema, Aliases$outboundSchema, Aliases$, ListDeploymentAliasesResponseBody$inboundSchema, ListDeploymentAliasesResponseBody$outboundSchema, ListDeploymentAliasesResponseBody$;
var init_listdeploymentaliasesop = __esm(() => {
  init_esm();
  ListDeploymentAliasesProtectionBypassAliasesResponse200Scope = {
    EmailInvite: "email_invite"
  };
  ListDeploymentAliasesProtectionBypassAliasesResponseScope = {
    AliasProtectionOverride: "alias-protection-override"
  };
  ListDeploymentAliasesProtectionBypassAccess = {
    Requested: "requested",
    Granted: "granted"
  };
  ListDeploymentAliasesProtectionBypassAliasesScope = {
    User: "user"
  };
  ListDeploymentAliasesProtectionBypassScope = {
    ShareableLink: "shareable-link"
  };
  ListDeploymentAliasesRequest$inboundSchema = objectType({
    id: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ListDeploymentAliasesRequest$outboundSchema = objectType({
    id: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((ListDeploymentAliasesRequest$) => {
    ListDeploymentAliasesRequest$.inboundSchema = ListDeploymentAliasesRequest$inboundSchema;
    ListDeploymentAliasesRequest$.outboundSchema = ListDeploymentAliasesRequest$outboundSchema;
  })(ListDeploymentAliasesRequest$ ||= {});
  ListDeploymentAliasesProtectionBypassAliasesResponse200Scope$inboundSchema = nativeEnumType(ListDeploymentAliasesProtectionBypassAliasesResponse200Scope);
  ListDeploymentAliasesProtectionBypassAliasesResponse200Scope$outboundSchema = ListDeploymentAliasesProtectionBypassAliasesResponse200Scope$inboundSchema;
  ((ListDeploymentAliasesProtectionBypassAliasesResponse200Scope$) => {
    ListDeploymentAliasesProtectionBypassAliasesResponse200Scope$.inboundSchema = ListDeploymentAliasesProtectionBypassAliasesResponse200Scope$inboundSchema;
    ListDeploymentAliasesProtectionBypassAliasesResponse200Scope$.outboundSchema = ListDeploymentAliasesProtectionBypassAliasesResponse200Scope$outboundSchema;
  })(ListDeploymentAliasesProtectionBypassAliasesResponse200Scope$ ||= {});
  ListDeploymentAliasesProtectionBypass4$inboundSchema = objectType({
    createdAt: numberType(),
    lastUpdatedAt: numberType(),
    lastUpdatedBy: stringType(),
    scope: ListDeploymentAliasesProtectionBypassAliasesResponse200Scope$inboundSchema
  });
  ListDeploymentAliasesProtectionBypass4$outboundSchema = objectType({
    createdAt: numberType(),
    lastUpdatedAt: numberType(),
    lastUpdatedBy: stringType(),
    scope: ListDeploymentAliasesProtectionBypassAliasesResponse200Scope$outboundSchema
  });
  ((ListDeploymentAliasesProtectionBypass4$) => {
    ListDeploymentAliasesProtectionBypass4$.inboundSchema = ListDeploymentAliasesProtectionBypass4$inboundSchema;
    ListDeploymentAliasesProtectionBypass4$.outboundSchema = ListDeploymentAliasesProtectionBypass4$outboundSchema;
  })(ListDeploymentAliasesProtectionBypass4$ ||= {});
  ListDeploymentAliasesProtectionBypassAliasesResponseScope$inboundSchema = nativeEnumType(ListDeploymentAliasesProtectionBypassAliasesResponseScope);
  ListDeploymentAliasesProtectionBypassAliasesResponseScope$outboundSchema = ListDeploymentAliasesProtectionBypassAliasesResponseScope$inboundSchema;
  ((ListDeploymentAliasesProtectionBypassAliasesResponseScope$) => {
    ListDeploymentAliasesProtectionBypassAliasesResponseScope$.inboundSchema = ListDeploymentAliasesProtectionBypassAliasesResponseScope$inboundSchema;
    ListDeploymentAliasesProtectionBypassAliasesResponseScope$.outboundSchema = ListDeploymentAliasesProtectionBypassAliasesResponseScope$outboundSchema;
  })(ListDeploymentAliasesProtectionBypassAliasesResponseScope$ ||= {});
  ListDeploymentAliasesProtectionBypass3$inboundSchema = objectType({
    createdAt: numberType(),
    createdBy: stringType(),
    scope: ListDeploymentAliasesProtectionBypassAliasesResponseScope$inboundSchema
  });
  ListDeploymentAliasesProtectionBypass3$outboundSchema = objectType({
    createdAt: numberType(),
    createdBy: stringType(),
    scope: ListDeploymentAliasesProtectionBypassAliasesResponseScope$outboundSchema
  });
  ((ListDeploymentAliasesProtectionBypass3$) => {
    ListDeploymentAliasesProtectionBypass3$.inboundSchema = ListDeploymentAliasesProtectionBypass3$inboundSchema;
    ListDeploymentAliasesProtectionBypass3$.outboundSchema = ListDeploymentAliasesProtectionBypass3$outboundSchema;
  })(ListDeploymentAliasesProtectionBypass3$ ||= {});
  ListDeploymentAliasesProtectionBypassAccess$inboundSchema = nativeEnumType(ListDeploymentAliasesProtectionBypassAccess);
  ListDeploymentAliasesProtectionBypassAccess$outboundSchema = ListDeploymentAliasesProtectionBypassAccess$inboundSchema;
  ((ListDeploymentAliasesProtectionBypassAccess$) => {
    ListDeploymentAliasesProtectionBypassAccess$.inboundSchema = ListDeploymentAliasesProtectionBypassAccess$inboundSchema;
    ListDeploymentAliasesProtectionBypassAccess$.outboundSchema = ListDeploymentAliasesProtectionBypassAccess$outboundSchema;
  })(ListDeploymentAliasesProtectionBypassAccess$ ||= {});
  ListDeploymentAliasesProtectionBypassAliasesScope$inboundSchema = nativeEnumType(ListDeploymentAliasesProtectionBypassAliasesScope);
  ListDeploymentAliasesProtectionBypassAliasesScope$outboundSchema = ListDeploymentAliasesProtectionBypassAliasesScope$inboundSchema;
  ((ListDeploymentAliasesProtectionBypassAliasesScope$) => {
    ListDeploymentAliasesProtectionBypassAliasesScope$.inboundSchema = ListDeploymentAliasesProtectionBypassAliasesScope$inboundSchema;
    ListDeploymentAliasesProtectionBypassAliasesScope$.outboundSchema = ListDeploymentAliasesProtectionBypassAliasesScope$outboundSchema;
  })(ListDeploymentAliasesProtectionBypassAliasesScope$ ||= {});
  ListDeploymentAliasesProtectionBypass2$inboundSchema = objectType({
    createdAt: numberType(),
    lastUpdatedAt: numberType(),
    lastUpdatedBy: stringType(),
    access: ListDeploymentAliasesProtectionBypassAccess$inboundSchema,
    scope: ListDeploymentAliasesProtectionBypassAliasesScope$inboundSchema
  });
  ListDeploymentAliasesProtectionBypass2$outboundSchema = objectType({
    createdAt: numberType(),
    lastUpdatedAt: numberType(),
    lastUpdatedBy: stringType(),
    access: ListDeploymentAliasesProtectionBypassAccess$outboundSchema,
    scope: ListDeploymentAliasesProtectionBypassAliasesScope$outboundSchema
  });
  ((ListDeploymentAliasesProtectionBypass2$) => {
    ListDeploymentAliasesProtectionBypass2$.inboundSchema = ListDeploymentAliasesProtectionBypass2$inboundSchema;
    ListDeploymentAliasesProtectionBypass2$.outboundSchema = ListDeploymentAliasesProtectionBypass2$outboundSchema;
  })(ListDeploymentAliasesProtectionBypass2$ ||= {});
  ListDeploymentAliasesProtectionBypassScope$inboundSchema = nativeEnumType(ListDeploymentAliasesProtectionBypassScope);
  ListDeploymentAliasesProtectionBypassScope$outboundSchema = ListDeploymentAliasesProtectionBypassScope$inboundSchema;
  ((ListDeploymentAliasesProtectionBypassScope$) => {
    ListDeploymentAliasesProtectionBypassScope$.inboundSchema = ListDeploymentAliasesProtectionBypassScope$inboundSchema;
    ListDeploymentAliasesProtectionBypassScope$.outboundSchema = ListDeploymentAliasesProtectionBypassScope$outboundSchema;
  })(ListDeploymentAliasesProtectionBypassScope$ ||= {});
  ListDeploymentAliasesProtectionBypass1$inboundSchema = objectType({
    createdAt: numberType(),
    createdBy: stringType(),
    scope: ListDeploymentAliasesProtectionBypassScope$inboundSchema
  });
  ListDeploymentAliasesProtectionBypass1$outboundSchema = objectType({
    createdAt: numberType(),
    createdBy: stringType(),
    scope: ListDeploymentAliasesProtectionBypassScope$outboundSchema
  });
  ((ListDeploymentAliasesProtectionBypass1$) => {
    ListDeploymentAliasesProtectionBypass1$.inboundSchema = ListDeploymentAliasesProtectionBypass1$inboundSchema;
    ListDeploymentAliasesProtectionBypass1$.outboundSchema = ListDeploymentAliasesProtectionBypass1$outboundSchema;
  })(ListDeploymentAliasesProtectionBypass1$ ||= {});
  ListDeploymentAliasesProtectionBypass$inboundSchema = unionType([
    lazyType(() => ListDeploymentAliasesProtectionBypass1$inboundSchema),
    lazyType(() => ListDeploymentAliasesProtectionBypass3$inboundSchema),
    lazyType(() => ListDeploymentAliasesProtectionBypass4$inboundSchema),
    lazyType(() => ListDeploymentAliasesProtectionBypass2$inboundSchema)
  ]);
  ListDeploymentAliasesProtectionBypass$outboundSchema = unionType([
    lazyType(() => ListDeploymentAliasesProtectionBypass1$outboundSchema),
    lazyType(() => ListDeploymentAliasesProtectionBypass3$outboundSchema),
    lazyType(() => ListDeploymentAliasesProtectionBypass4$outboundSchema),
    lazyType(() => ListDeploymentAliasesProtectionBypass2$outboundSchema)
  ]);
  ((ListDeploymentAliasesProtectionBypass$) => {
    ListDeploymentAliasesProtectionBypass$.inboundSchema = ListDeploymentAliasesProtectionBypass$inboundSchema;
    ListDeploymentAliasesProtectionBypass$.outboundSchema = ListDeploymentAliasesProtectionBypass$outboundSchema;
  })(ListDeploymentAliasesProtectionBypass$ ||= {});
  Aliases$inboundSchema = objectType({
    uid: stringType(),
    alias: stringType(),
    created: stringType().datetime({ offset: true }).transform((v2) => new Date(v2)),
    redirect: nullableType(stringType()).optional(),
    protectionBypass: recordType(unionType([
      lazyType(() => ListDeploymentAliasesProtectionBypass1$inboundSchema),
      lazyType(() => ListDeploymentAliasesProtectionBypass3$inboundSchema),
      lazyType(() => ListDeploymentAliasesProtectionBypass4$inboundSchema),
      lazyType(() => ListDeploymentAliasesProtectionBypass2$inboundSchema)
    ])).optional()
  });
  Aliases$outboundSchema = objectType({
    uid: stringType(),
    alias: stringType(),
    created: dateType().transform((v2) => v2.toISOString()),
    redirect: nullableType(stringType()).optional(),
    protectionBypass: recordType(unionType([
      lazyType(() => ListDeploymentAliasesProtectionBypass1$outboundSchema),
      lazyType(() => ListDeploymentAliasesProtectionBypass3$outboundSchema),
      lazyType(() => ListDeploymentAliasesProtectionBypass4$outboundSchema),
      lazyType(() => ListDeploymentAliasesProtectionBypass2$outboundSchema)
    ])).optional()
  });
  ((Aliases$) => {
    Aliases$.inboundSchema = Aliases$inboundSchema;
    Aliases$.outboundSchema = Aliases$outboundSchema;
  })(Aliases$ ||= {});
  ListDeploymentAliasesResponseBody$inboundSchema = objectType({
    aliases: arrayType(lazyType(() => Aliases$inboundSchema))
  });
  ListDeploymentAliasesResponseBody$outboundSchema = objectType({
    aliases: arrayType(lazyType(() => Aliases$outboundSchema))
  });
  ((ListDeploymentAliasesResponseBody$) => {
    ListDeploymentAliasesResponseBody$.inboundSchema = ListDeploymentAliasesResponseBody$inboundSchema;
    ListDeploymentAliasesResponseBody$.outboundSchema = ListDeploymentAliasesResponseBody$outboundSchema;
  })(ListDeploymentAliasesResponseBody$ ||= {});
});

// src/funcs/aliasesListDeploymentAliases.ts
function aliasesListDeploymentAliases(client, request, options) {
  return new APIPromise($do16(client, request, options));
}
async function $do16(client, request, options) {
  const parsed = safeParse(request, (value) => ListDeploymentAliasesRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    id: encodeSimple("id", payload.id, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v2/deployments/{id}/aliases")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "listDeploymentAliases",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, ListDeploymentAliasesResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_aliasesListDeploymentAliases = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_listdeploymentaliasesop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/aliasesListDeploymentAliases.ts
var args16, tool$aliasesListDeploymentAliases;
var init_aliasesListDeploymentAliases2 = __esm(() => {
  init_aliasesListDeploymentAliases();
  init_listdeploymentaliasesop();
  init_tools();
  args16 = {
    request: ListDeploymentAliasesRequest$inboundSchema
  };
  tool$aliasesListDeploymentAliases = {
    name: "aliases-list-deployment-aliases",
    description: `List Deployment Aliases

Retrieves all Aliases for the Deployment with the given ID. The authenticated user or team must own the deployment.`,
    args: args16,
    tool: async (client, args17, ctx) => {
      const [result, apiCall] = await aliasesListDeploymentAliases(client, args17.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/patchurlprotectionbypassop.ts
var RequestBodyScope, PatchUrlProtectionBypassRequestBodyAction, ScopeAccess, Access, RequestBodyScope$inboundSchema, RequestBodyScope$outboundSchema, RequestBodyScope$, PatchUrlProtectionBypassRequestBodyAction$inboundSchema, PatchUrlProtectionBypassRequestBodyAction$outboundSchema, PatchUrlProtectionBypassRequestBodyAction$, Override$inboundSchema, Override$outboundSchema, Override$, PatchUrlProtectionBypassRequestBody3$inboundSchema, PatchUrlProtectionBypassRequestBody3$outboundSchema, PatchUrlProtectionBypassRequestBody3$, ScopeAccess$inboundSchema, ScopeAccess$outboundSchema, ScopeAccess$, Scope2$inboundSchema, Scope2$outboundSchema, Scope2$, Access$inboundSchema, Access$outboundSchema, Access$, Scope1$inboundSchema, Scope1$outboundSchema, Scope1$, Scope$inboundSchema, Scope$outboundSchema, Scope$, PatchUrlProtectionBypassRequestBody2$inboundSchema, PatchUrlProtectionBypassRequestBody2$outboundSchema, PatchUrlProtectionBypassRequestBody2$, RequestBodyRevoke$inboundSchema, RequestBodyRevoke$outboundSchema, RequestBodyRevoke$, PatchUrlProtectionBypassRequestBody1$inboundSchema, PatchUrlProtectionBypassRequestBody1$outboundSchema, PatchUrlProtectionBypassRequestBody1$, PatchUrlProtectionBypassRequestBody$inboundSchema, PatchUrlProtectionBypassRequestBody$outboundSchema, PatchUrlProtectionBypassRequestBody$, PatchUrlProtectionBypassRequest$inboundSchema, PatchUrlProtectionBypassRequest$outboundSchema, PatchUrlProtectionBypassRequest$;
var init_patchurlprotectionbypassop = __esm(() => {
  init_esm();
  init_primitives();
  RequestBodyScope = {
    AliasProtectionOverride: "alias-protection-override"
  };
  PatchUrlProtectionBypassRequestBodyAction = {
    Create: "create",
    Revoke: "revoke"
  };
  ScopeAccess = {
    Denied: "denied",
    Granted: "granted"
  };
  Access = {
    Denied: "denied",
    Granted: "granted"
  };
  RequestBodyScope$inboundSchema = nativeEnumType(RequestBodyScope);
  RequestBodyScope$outboundSchema = RequestBodyScope$inboundSchema;
  ((RequestBodyScope$) => {
    RequestBodyScope$.inboundSchema = RequestBodyScope$inboundSchema;
    RequestBodyScope$.outboundSchema = RequestBodyScope$outboundSchema;
  })(RequestBodyScope$ ||= {});
  PatchUrlProtectionBypassRequestBodyAction$inboundSchema = nativeEnumType(PatchUrlProtectionBypassRequestBodyAction);
  PatchUrlProtectionBypassRequestBodyAction$outboundSchema = PatchUrlProtectionBypassRequestBodyAction$inboundSchema;
  ((PatchUrlProtectionBypassRequestBodyAction$) => {
    PatchUrlProtectionBypassRequestBodyAction$.inboundSchema = PatchUrlProtectionBypassRequestBodyAction$inboundSchema;
    PatchUrlProtectionBypassRequestBodyAction$.outboundSchema = PatchUrlProtectionBypassRequestBodyAction$outboundSchema;
  })(PatchUrlProtectionBypassRequestBodyAction$ ||= {});
  Override$inboundSchema = objectType({
    scope: RequestBodyScope$inboundSchema,
    action: PatchUrlProtectionBypassRequestBodyAction$inboundSchema
  });
  Override$outboundSchema = objectType({
    scope: RequestBodyScope$outboundSchema,
    action: PatchUrlProtectionBypassRequestBodyAction$outboundSchema
  });
  ((Override$) => {
    Override$.inboundSchema = Override$inboundSchema;
    Override$.outboundSchema = Override$outboundSchema;
  })(Override$ ||= {});
  PatchUrlProtectionBypassRequestBody3$inboundSchema = objectType({
    override: lazyType(() => Override$inboundSchema)
  });
  PatchUrlProtectionBypassRequestBody3$outboundSchema = objectType({
    override: lazyType(() => Override$outboundSchema)
  });
  ((PatchUrlProtectionBypassRequestBody3$) => {
    PatchUrlProtectionBypassRequestBody3$.inboundSchema = PatchUrlProtectionBypassRequestBody3$inboundSchema;
    PatchUrlProtectionBypassRequestBody3$.outboundSchema = PatchUrlProtectionBypassRequestBody3$outboundSchema;
  })(PatchUrlProtectionBypassRequestBody3$ ||= {});
  ScopeAccess$inboundSchema = nativeEnumType(ScopeAccess);
  ScopeAccess$outboundSchema = ScopeAccess$inboundSchema;
  ((ScopeAccess$) => {
    ScopeAccess$.inboundSchema = ScopeAccess$inboundSchema;
    ScopeAccess$.outboundSchema = ScopeAccess$outboundSchema;
  })(ScopeAccess$ ||= {});
  Scope2$inboundSchema = objectType({
    userId: stringType().optional(),
    email: stringType(),
    access: ScopeAccess$inboundSchema
  });
  Scope2$outboundSchema = objectType({
    userId: stringType().optional(),
    email: stringType(),
    access: ScopeAccess$outboundSchema
  });
  ((Scope2$) => {
    Scope2$.inboundSchema = Scope2$inboundSchema;
    Scope2$.outboundSchema = Scope2$outboundSchema;
  })(Scope2$ ||= {});
  Access$inboundSchema = nativeEnumType(Access);
  Access$outboundSchema = Access$inboundSchema;
  ((Access$) => {
    Access$.inboundSchema = Access$inboundSchema;
    Access$.outboundSchema = Access$outboundSchema;
  })(Access$ ||= {});
  Scope1$inboundSchema = objectType({
    userId: stringType(),
    email: stringType().optional(),
    access: Access$inboundSchema
  });
  Scope1$outboundSchema = objectType({
    userId: stringType(),
    email: stringType().optional(),
    access: Access$outboundSchema
  });
  ((Scope1$) => {
    Scope1$.inboundSchema = Scope1$inboundSchema;
    Scope1$.outboundSchema = Scope1$outboundSchema;
  })(Scope1$ ||= {});
  Scope$inboundSchema = unionType([
    lazyType(() => Scope1$inboundSchema),
    lazyType(() => Scope2$inboundSchema)
  ]);
  Scope$outboundSchema = unionType([
    lazyType(() => Scope1$outboundSchema),
    lazyType(() => Scope2$outboundSchema)
  ]);
  ((Scope$) => {
    Scope$.inboundSchema = Scope$inboundSchema;
    Scope$.outboundSchema = Scope$outboundSchema;
  })(Scope$ ||= {});
  PatchUrlProtectionBypassRequestBody2$inboundSchema = objectType({
    scope: unionType([
      lazyType(() => Scope1$inboundSchema),
      lazyType(() => Scope2$inboundSchema)
    ])
  });
  PatchUrlProtectionBypassRequestBody2$outboundSchema = objectType({
    scope: unionType([
      lazyType(() => Scope1$outboundSchema),
      lazyType(() => Scope2$outboundSchema)
    ])
  });
  ((PatchUrlProtectionBypassRequestBody2$) => {
    PatchUrlProtectionBypassRequestBody2$.inboundSchema = PatchUrlProtectionBypassRequestBody2$inboundSchema;
    PatchUrlProtectionBypassRequestBody2$.outboundSchema = PatchUrlProtectionBypassRequestBody2$outboundSchema;
  })(PatchUrlProtectionBypassRequestBody2$ ||= {});
  RequestBodyRevoke$inboundSchema = objectType({
    secret: stringType(),
    regenerate: booleanType()
  });
  RequestBodyRevoke$outboundSchema = objectType({
    secret: stringType(),
    regenerate: booleanType()
  });
  ((RequestBodyRevoke$) => {
    RequestBodyRevoke$.inboundSchema = RequestBodyRevoke$inboundSchema;
    RequestBodyRevoke$.outboundSchema = RequestBodyRevoke$outboundSchema;
  })(RequestBodyRevoke$ ||= {});
  PatchUrlProtectionBypassRequestBody1$inboundSchema = objectType({
    revoke: lazyType(() => RequestBodyRevoke$inboundSchema).optional()
  });
  PatchUrlProtectionBypassRequestBody1$outboundSchema = objectType({
    revoke: lazyType(() => RequestBodyRevoke$outboundSchema).optional()
  });
  ((PatchUrlProtectionBypassRequestBody1$) => {
    PatchUrlProtectionBypassRequestBody1$.inboundSchema = PatchUrlProtectionBypassRequestBody1$inboundSchema;
    PatchUrlProtectionBypassRequestBody1$.outboundSchema = PatchUrlProtectionBypassRequestBody1$outboundSchema;
  })(PatchUrlProtectionBypassRequestBody1$ ||= {});
  PatchUrlProtectionBypassRequestBody$inboundSchema = unionType([
    lazyType(() => PatchUrlProtectionBypassRequestBody1$inboundSchema),
    lazyType(() => PatchUrlProtectionBypassRequestBody2$inboundSchema),
    lazyType(() => PatchUrlProtectionBypassRequestBody3$inboundSchema)
  ]);
  PatchUrlProtectionBypassRequestBody$outboundSchema = unionType([
    lazyType(() => PatchUrlProtectionBypassRequestBody1$outboundSchema),
    lazyType(() => PatchUrlProtectionBypassRequestBody2$outboundSchema),
    lazyType(() => PatchUrlProtectionBypassRequestBody3$outboundSchema)
  ]);
  ((PatchUrlProtectionBypassRequestBody$) => {
    PatchUrlProtectionBypassRequestBody$.inboundSchema = PatchUrlProtectionBypassRequestBody$inboundSchema;
    PatchUrlProtectionBypassRequestBody$.outboundSchema = PatchUrlProtectionBypassRequestBody$outboundSchema;
  })(PatchUrlProtectionBypassRequestBody$ ||= {});
  PatchUrlProtectionBypassRequest$inboundSchema = objectType({
    id: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    RequestBody: unionType([
      lazyType(() => PatchUrlProtectionBypassRequestBody1$inboundSchema),
      lazyType(() => PatchUrlProtectionBypassRequestBody2$inboundSchema),
      lazyType(() => PatchUrlProtectionBypassRequestBody3$inboundSchema)
    ]).optional()
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  PatchUrlProtectionBypassRequest$outboundSchema = objectType({
    id: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    requestBody: unionType([
      lazyType(() => PatchUrlProtectionBypassRequestBody1$outboundSchema),
      lazyType(() => PatchUrlProtectionBypassRequestBody2$outboundSchema),
      lazyType(() => PatchUrlProtectionBypassRequestBody3$outboundSchema)
    ]).optional()
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((PatchUrlProtectionBypassRequest$) => {
    PatchUrlProtectionBypassRequest$.inboundSchema = PatchUrlProtectionBypassRequest$inboundSchema;
    PatchUrlProtectionBypassRequest$.outboundSchema = PatchUrlProtectionBypassRequest$outboundSchema;
  })(PatchUrlProtectionBypassRequest$ ||= {});
});

// src/funcs/aliasesPatchUrlProtectionBypass.ts
function aliasesPatchUrlProtectionBypass(client, request, options) {
  return new APIPromise($do17(client, request, options));
}
async function $do17(client, request, options) {
  const parsed = safeParse(request, (value) => PatchUrlProtectionBypassRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    id: encodeSimple("id", payload.id, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/aliases/{id}/protection-bypass")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "patchUrlProtectionBypass",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "PATCH",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "409", "428", "4XX", "500", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, recordType(anyType())), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, 409, 428, "4XX"]), fail([500, "5XX"]))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_aliasesPatchUrlProtectionBypass = __esm(() => {
  init_esm();
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_patchurlprotectionbypassop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/aliasesPatchUrlProtectionBypass.ts
var args17, tool$aliasesPatchUrlProtectionBypass;
var init_aliasesPatchUrlProtectionBypass2 = __esm(() => {
  init_aliasesPatchUrlProtectionBypass();
  init_patchurlprotectionbypassop();
  init_tools();
  args17 = {
    request: PatchUrlProtectionBypassRequest$inboundSchema
  };
  tool$aliasesPatchUrlProtectionBypass = {
    name: "aliases-patch-url-protection-bypass",
    description: `Update the protection bypass for a URL

Update the protection bypass for the alias or deployment URL (used for user access & comment access for deployments). Used as shareable links and user scoped access for Vercel Authentication and also to allow external (logged in) people to comment on previews for Preview Comments (next-live-mode).`,
    args: args17,
    tool: async (client, args18, ctx) => {
      const [result, apiCall] = await aliasesPatchUrlProtectionBypass(client, args18.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/artifactexistsop.ts
var ArtifactExistsRequest$inboundSchema, ArtifactExistsRequest$outboundSchema, ArtifactExistsRequest$;
var init_artifactexistsop = __esm(() => {
  init_esm();
  ArtifactExistsRequest$inboundSchema = objectType({
    hash: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ArtifactExistsRequest$outboundSchema = objectType({
    hash: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((ArtifactExistsRequest$) => {
    ArtifactExistsRequest$.inboundSchema = ArtifactExistsRequest$inboundSchema;
    ArtifactExistsRequest$.outboundSchema = ArtifactExistsRequest$outboundSchema;
  })(ArtifactExistsRequest$ ||= {});
});

// src/funcs/artifactsArtifactExists.ts
function artifactsArtifactExists(client, request, options) {
  return new APIPromise($do18(client, request, options));
}
async function $do18(client, request, options) {
  const parsed = safeParse(request, (value) => ArtifactExistsRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    hash: encodeSimple("hash", payload.hash, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v8/artifacts/{hash}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "artifactExists",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "HEAD",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(nil(200, voidType()), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([402, 403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_artifactsArtifactExists = __esm(() => {
  init_esm();
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_artifactexistsop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/artifactsArtifactExists.ts
var args18, tool$artifactsArtifactExists;
var init_artifactsArtifactExists2 = __esm(() => {
  init_artifactsArtifactExists();
  init_artifactexistsop();
  init_tools();
  args18 = {
    request: ArtifactExistsRequest$inboundSchema
  };
  tool$artifactsArtifactExists = {
    name: "artifacts-artifact-exists",
    description: `Check if a cache artifact exists

Check that a cache artifact with the given \`hash\` exists. This request returns response headers only and is equivalent to a \`GET\` request to this endpoint where the response contains no body.`,
    args: args18,
    tool: async (client, args19, ctx) => {
      const [result, apiCall] = await artifactsArtifactExists(client, args19.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      return formatResult(undefined, apiCall);
    }
  };
});

// src/models/artifactqueryop.ts
var ArtifactQueryRequestBody$inboundSchema, ArtifactQueryRequestBody$outboundSchema, ArtifactQueryRequestBody$, ArtifactQueryRequest$inboundSchema, ArtifactQueryRequest$outboundSchema, ArtifactQueryRequest$, ResponseBodyError$inboundSchema, ResponseBodyError$outboundSchema, ResponseBodyError$, ResponseBody2$inboundSchema, ResponseBody2$outboundSchema, ResponseBody2$, ResponseBody1$inboundSchema, ResponseBody1$outboundSchema, ResponseBody1$, ResponseBody$inboundSchema, ResponseBody$outboundSchema, ResponseBody$;
var init_artifactqueryop = __esm(() => {
  init_esm();
  init_primitives();
  ArtifactQueryRequestBody$inboundSchema = objectType({
    hashes: arrayType(stringType())
  });
  ArtifactQueryRequestBody$outboundSchema = objectType({
    hashes: arrayType(stringType())
  });
  ((ArtifactQueryRequestBody$) => {
    ArtifactQueryRequestBody$.inboundSchema = ArtifactQueryRequestBody$inboundSchema;
    ArtifactQueryRequestBody$.outboundSchema = ArtifactQueryRequestBody$outboundSchema;
  })(ArtifactQueryRequestBody$ ||= {});
  ArtifactQueryRequest$inboundSchema = objectType({
    teamId: stringType().optional(),
    slug: stringType().optional(),
    RequestBody: lazyType(() => ArtifactQueryRequestBody$inboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  ArtifactQueryRequest$outboundSchema = objectType({
    teamId: stringType().optional(),
    slug: stringType().optional(),
    requestBody: lazyType(() => ArtifactQueryRequestBody$outboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((ArtifactQueryRequest$) => {
    ArtifactQueryRequest$.inboundSchema = ArtifactQueryRequest$inboundSchema;
    ArtifactQueryRequest$.outboundSchema = ArtifactQueryRequest$outboundSchema;
  })(ArtifactQueryRequest$ ||= {});
  ResponseBodyError$inboundSchema = objectType({
    message: stringType()
  });
  ResponseBodyError$outboundSchema = objectType({
    message: stringType()
  });
  ((ResponseBodyError$) => {
    ResponseBodyError$.inboundSchema = ResponseBodyError$inboundSchema;
    ResponseBodyError$.outboundSchema = ResponseBodyError$outboundSchema;
  })(ResponseBodyError$ ||= {});
  ResponseBody2$inboundSchema = objectType({
    error: lazyType(() => ResponseBodyError$inboundSchema)
  });
  ResponseBody2$outboundSchema = objectType({
    error: lazyType(() => ResponseBodyError$outboundSchema)
  });
  ((ResponseBody2$) => {
    ResponseBody2$.inboundSchema = ResponseBody2$inboundSchema;
    ResponseBody2$.outboundSchema = ResponseBody2$outboundSchema;
  })(ResponseBody2$ ||= {});
  ResponseBody1$inboundSchema = objectType({
    size: numberType(),
    taskDurationMs: numberType(),
    tag: stringType().optional()
  });
  ResponseBody1$outboundSchema = objectType({
    size: numberType(),
    taskDurationMs: numberType(),
    tag: stringType().optional()
  });
  ((ResponseBody1$) => {
    ResponseBody1$.inboundSchema = ResponseBody1$inboundSchema;
    ResponseBody1$.outboundSchema = ResponseBody1$outboundSchema;
  })(ResponseBody1$ ||= {});
  ResponseBody$inboundSchema = unionType([
    lazyType(() => ResponseBody2$inboundSchema),
    lazyType(() => ResponseBody1$inboundSchema)
  ]);
  ResponseBody$outboundSchema = unionType([
    lazyType(() => ResponseBody2$outboundSchema),
    lazyType(() => ResponseBody1$outboundSchema)
  ]);
  ((ResponseBody$) => {
    ResponseBody$.inboundSchema = ResponseBody$inboundSchema;
    ResponseBody$.outboundSchema = ResponseBody$outboundSchema;
  })(ResponseBody$ ||= {});
});

// src/funcs/artifactsArtifactQuery.ts
function artifactsArtifactQuery(client, request, options) {
  return new APIPromise($do19(client, request, options));
}
async function $do19(client, request, options) {
  const parsed = safeParse(request, (value) => ArtifactQueryRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const path = pathToFunc("/v8/artifacts")();
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "artifactQuery",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, recordType(nullableType(ResponseBody$inboundSchema))), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([402, 403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_artifactsArtifactQuery = __esm(() => {
  init_esm();
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_artifactqueryop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/artifactsArtifactQuery.ts
var args19, tool$artifactsArtifactQuery;
var init_artifactsArtifactQuery2 = __esm(() => {
  init_artifactsArtifactQuery();
  init_artifactqueryop();
  init_tools();
  args19 = {
    request: ArtifactQueryRequest$inboundSchema
  };
  tool$artifactsArtifactQuery = {
    name: "artifacts-artifact-query",
    description: `Query information about an artifact

Query information about an array of artifacts.`,
    args: args19,
    tool: async (client, args20, ctx) => {
      const [result, apiCall] = await artifactsArtifactQuery(client, args20.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/downloadartifactop.ts
var DownloadArtifactRequest$inboundSchema, DownloadArtifactRequest$outboundSchema, DownloadArtifactRequest$;
var init_downloadartifactop = __esm(() => {
  init_esm();
  init_primitives();
  DownloadArtifactRequest$inboundSchema = objectType({
    "x-artifact-client-ci": stringType().optional(),
    "x-artifact-client-interactive": numberType().int().optional(),
    hash: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  }).transform((v2) => {
    return remap(v2, {
      "x-artifact-client-ci": "xArtifactClientCi",
      "x-artifact-client-interactive": "xArtifactClientInteractive"
    });
  });
  DownloadArtifactRequest$outboundSchema = objectType({
    xArtifactClientCi: stringType().optional(),
    xArtifactClientInteractive: numberType().int().optional(),
    hash: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  }).transform((v2) => {
    return remap(v2, {
      xArtifactClientCi: "x-artifact-client-ci",
      xArtifactClientInteractive: "x-artifact-client-interactive"
    });
  });
  ((DownloadArtifactRequest$) => {
    DownloadArtifactRequest$.inboundSchema = DownloadArtifactRequest$inboundSchema;
    DownloadArtifactRequest$.outboundSchema = DownloadArtifactRequest$outboundSchema;
  })(DownloadArtifactRequest$ ||= {});
});

// src/funcs/artifactsDownloadArtifact.ts
function artifactsDownloadArtifact(client, request, options) {
  return new APIPromise($do20(client, request, options));
}
async function $do20(client, request, options) {
  const parsed = safeParse(request, (value) => DownloadArtifactRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    hash: encodeSimple("hash", payload.hash, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v8/artifacts/{hash}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json",
    "x-artifact-client-ci": encodeSimple("x-artifact-client-ci", payload["x-artifact-client-ci"], { explode: false, charEncoding: "none" }),
    "x-artifact-client-interactive": encodeSimple("x-artifact-client-interactive", payload["x-artifact-client-interactive"], { explode: false, charEncoding: "none" })
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "downloadArtifact",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(stream(200, instanceOfType(ReadableStream), {
    ctype: "application/json"
  }), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([402, 403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_artifactsDownloadArtifact = __esm(() => {
  init_esm();
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_downloadartifactop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/artifactsDownloadArtifact.ts
var args20, tool$artifactsDownloadArtifact;
var init_artifactsDownloadArtifact2 = __esm(() => {
  init_artifactsDownloadArtifact();
  init_downloadartifactop();
  init_tools();
  args20 = {
    request: DownloadArtifactRequest$inboundSchema
  };
  tool$artifactsDownloadArtifact = {
    name: "artifacts-download-artifact",
    description: `Download a cache artifact

Downloads a cache artifact indentified by its \`hash\` specified on the request path. The artifact is downloaded as an octet-stream. The client should verify the content-length header and response body.`,
    args: args20,
    tool: async (client, args21, ctx) => {
      const [result, apiCall] = await artifactsDownloadArtifact(client, args21.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/recordeventsop.ts
var Source, Event, Source$inboundSchema, Source$outboundSchema, Source$, Event$inboundSchema, Event$outboundSchema, Event$, RequestBody$inboundSchema, RequestBody$outboundSchema, RequestBody$, RecordEventsRequest$inboundSchema, RecordEventsRequest$outboundSchema, RecordEventsRequest$;
var init_recordeventsop = __esm(() => {
  init_esm();
  init_primitives();
  Source = {
    Local: "LOCAL",
    Remote: "REMOTE"
  };
  Event = {
    Hit: "HIT",
    Miss: "MISS"
  };
  Source$inboundSchema = nativeEnumType(Source);
  Source$outboundSchema = Source$inboundSchema;
  ((Source$) => {
    Source$.inboundSchema = Source$inboundSchema;
    Source$.outboundSchema = Source$outboundSchema;
  })(Source$ ||= {});
  Event$inboundSchema = nativeEnumType(Event);
  Event$outboundSchema = Event$inboundSchema;
  ((Event$) => {
    Event$.inboundSchema = Event$inboundSchema;
    Event$.outboundSchema = Event$outboundSchema;
  })(Event$ ||= {});
  RequestBody$inboundSchema = objectType({
    sessionId: stringType(),
    source: Source$inboundSchema,
    event: Event$inboundSchema,
    hash: stringType(),
    duration: numberType().optional()
  });
  RequestBody$outboundSchema = objectType({
    sessionId: stringType(),
    source: Source$outboundSchema,
    event: Event$outboundSchema,
    hash: stringType(),
    duration: numberType().optional()
  });
  ((RequestBody$) => {
    RequestBody$.inboundSchema = RequestBody$inboundSchema;
    RequestBody$.outboundSchema = RequestBody$outboundSchema;
  })(RequestBody$ ||= {});
  RecordEventsRequest$inboundSchema = objectType({
    "x-artifact-client-ci": stringType().optional(),
    "x-artifact-client-interactive": numberType().int().optional(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    RequestBody: arrayType(lazyType(() => RequestBody$inboundSchema))
  }).transform((v2) => {
    return remap(v2, {
      "x-artifact-client-ci": "xArtifactClientCi",
      "x-artifact-client-interactive": "xArtifactClientInteractive",
      RequestBody: "requestBody"
    });
  });
  RecordEventsRequest$outboundSchema = objectType({
    xArtifactClientCi: stringType().optional(),
    xArtifactClientInteractive: numberType().int().optional(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    requestBody: arrayType(lazyType(() => RequestBody$outboundSchema))
  }).transform((v2) => {
    return remap(v2, {
      xArtifactClientCi: "x-artifact-client-ci",
      xArtifactClientInteractive: "x-artifact-client-interactive",
      requestBody: "RequestBody"
    });
  });
  ((RecordEventsRequest$) => {
    RecordEventsRequest$.inboundSchema = RecordEventsRequest$inboundSchema;
    RecordEventsRequest$.outboundSchema = RecordEventsRequest$outboundSchema;
  })(RecordEventsRequest$ ||= {});
});

// src/funcs/artifactsRecordEvents.ts
function artifactsRecordEvents(client, request, options) {
  return new APIPromise($do21(client, request, options));
}
async function $do21(client, request, options) {
  const parsed = safeParse(request, (value) => RecordEventsRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const path = pathToFunc("/v8/artifacts/events")();
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json",
    "x-artifact-client-ci": encodeSimple("x-artifact-client-ci", payload["x-artifact-client-ci"], { explode: false, charEncoding: "none" }),
    "x-artifact-client-interactive": encodeSimple("x-artifact-client-interactive", payload["x-artifact-client-interactive"], { explode: false, charEncoding: "none" })
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "recordEvents",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(nil(200, voidType()), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([402, 403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_artifactsRecordEvents = __esm(() => {
  init_esm();
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_recordeventsop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/artifactsRecordEvents.ts
var args21, tool$artifactsRecordEvents;
var init_artifactsRecordEvents2 = __esm(() => {
  init_artifactsRecordEvents();
  init_recordeventsop();
  init_tools();
  args21 = {
    request: RecordEventsRequest$inboundSchema
  };
  tool$artifactsRecordEvents = {
    name: "artifacts-record-events",
    description: `Record an artifacts cache usage event

Records an artifacts cache usage event. The body of this request is an array of cache usage events. The supported event types are \`HIT\` and \`MISS\`. The source is either \`LOCAL\` the cache event was on the users filesystem cache or \`REMOTE\` if the cache event is for a remote cache. When the event is a \`HIT\` the request also accepts a number \`duration\` which is the time taken to generate the artifact in the cache.`,
    args: args21,
    tool: async (client, args22, ctx) => {
      const [result, apiCall] = await artifactsRecordEvents(client, args22.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      return formatResult(undefined, apiCall);
    }
  };
});

// src/models/statusop.ts
var StatusStatus, StatusRequest$inboundSchema, StatusRequest$outboundSchema, StatusRequest$, StatusStatus$inboundSchema, StatusStatus$outboundSchema, StatusStatus$, StatusResponseBody$inboundSchema, StatusResponseBody$outboundSchema, StatusResponseBody$;
var init_statusop = __esm(() => {
  init_esm();
  StatusStatus = {
    Disabled: "disabled",
    Enabled: "enabled",
    OverLimit: "over_limit",
    Paused: "paused"
  };
  StatusRequest$inboundSchema = objectType({
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  StatusRequest$outboundSchema = objectType({
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((StatusRequest$) => {
    StatusRequest$.inboundSchema = StatusRequest$inboundSchema;
    StatusRequest$.outboundSchema = StatusRequest$outboundSchema;
  })(StatusRequest$ ||= {});
  StatusStatus$inboundSchema = nativeEnumType(StatusStatus);
  StatusStatus$outboundSchema = StatusStatus$inboundSchema;
  ((StatusStatus$) => {
    StatusStatus$.inboundSchema = StatusStatus$inboundSchema;
    StatusStatus$.outboundSchema = StatusStatus$outboundSchema;
  })(StatusStatus$ ||= {});
  StatusResponseBody$inboundSchema = objectType({
    status: StatusStatus$inboundSchema
  });
  StatusResponseBody$outboundSchema = objectType({
    status: StatusStatus$outboundSchema
  });
  ((StatusResponseBody$) => {
    StatusResponseBody$.inboundSchema = StatusResponseBody$inboundSchema;
    StatusResponseBody$.outboundSchema = StatusResponseBody$outboundSchema;
  })(StatusResponseBody$ ||= {});
});

// src/funcs/artifactsStatus.ts
function artifactsStatus(client, request, options) {
  return new APIPromise($do22(client, request, options));
}
async function $do22(client, request, options) {
  const parsed = safeParse(request, (value) => StatusRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const path = pathToFunc("/v8/artifacts/status")();
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "status",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, StatusResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([402, 403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_artifactsStatus = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_statusop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/artifactsStatus.ts
var args22, tool$artifactsStatus;
var init_artifactsStatus2 = __esm(() => {
  init_artifactsStatus();
  init_statusop();
  init_tools();
  args22 = {
    request: StatusRequest$inboundSchema
  };
  tool$artifactsStatus = {
    name: "artifacts-status",
    description: `Get status of Remote Caching for this principal

Check the status of Remote Caching for this principal. Returns a JSON-encoded status indicating if Remote Caching is enabled, disabled, or disabled due to usage limits.`,
    args: args22,
    tool: async (client, args23, ctx) => {
      const [result, apiCall] = await artifactsStatus(client, args23.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/uploadartifactop.ts
var UploadArtifactRequest$inboundSchema, UploadArtifactRequest$outboundSchema, UploadArtifactRequest$, UploadArtifactResponseBody$inboundSchema, UploadArtifactResponseBody$outboundSchema, UploadArtifactResponseBody$;
var init_uploadartifactop = __esm(() => {
  init_esm();
  init_primitives();
  UploadArtifactRequest$inboundSchema = objectType({
    "Content-Length": numberType(),
    "x-artifact-duration": numberType().optional(),
    "x-artifact-client-ci": stringType().optional(),
    "x-artifact-client-interactive": numberType().int().optional(),
    "x-artifact-tag": stringType().optional(),
    hash: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    RequestBody: unionType([
      instanceOfType(ReadableStream),
      instanceOfType(Blob),
      instanceOfType(ArrayBuffer),
      instanceOfType(Uint8Array)
    ])
  }).transform((v2) => {
    return remap(v2, {
      "Content-Length": "contentLength",
      "x-artifact-duration": "xArtifactDuration",
      "x-artifact-client-ci": "xArtifactClientCi",
      "x-artifact-client-interactive": "xArtifactClientInteractive",
      "x-artifact-tag": "xArtifactTag",
      RequestBody: "requestBody"
    });
  });
  UploadArtifactRequest$outboundSchema = objectType({
    contentLength: numberType(),
    xArtifactDuration: numberType().optional(),
    xArtifactClientCi: stringType().optional(),
    xArtifactClientInteractive: numberType().int().optional(),
    xArtifactTag: stringType().optional(),
    hash: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    requestBody: unionType([
      instanceOfType(ReadableStream),
      instanceOfType(Blob),
      instanceOfType(ArrayBuffer),
      instanceOfType(Uint8Array)
    ])
  }).transform((v2) => {
    return remap(v2, {
      contentLength: "Content-Length",
      xArtifactDuration: "x-artifact-duration",
      xArtifactClientCi: "x-artifact-client-ci",
      xArtifactClientInteractive: "x-artifact-client-interactive",
      xArtifactTag: "x-artifact-tag",
      requestBody: "RequestBody"
    });
  });
  ((UploadArtifactRequest$) => {
    UploadArtifactRequest$.inboundSchema = UploadArtifactRequest$inboundSchema;
    UploadArtifactRequest$.outboundSchema = UploadArtifactRequest$outboundSchema;
  })(UploadArtifactRequest$ ||= {});
  UploadArtifactResponseBody$inboundSchema = objectType({
    urls: arrayType(stringType())
  });
  UploadArtifactResponseBody$outboundSchema = objectType({
    urls: arrayType(stringType())
  });
  ((UploadArtifactResponseBody$) => {
    UploadArtifactResponseBody$.inboundSchema = UploadArtifactResponseBody$inboundSchema;
    UploadArtifactResponseBody$.outboundSchema = UploadArtifactResponseBody$outboundSchema;
  })(UploadArtifactResponseBody$ ||= {});
});

// src/funcs/artifactsUploadArtifact.ts
function artifactsUploadArtifact(client, request, options) {
  return new APIPromise($do23(client, request, options));
}
async function $do23(client, request, options) {
  const parsed = safeParse(request, (value) => UploadArtifactRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = payload.RequestBody;
  const pathParams = {
    hash: encodeSimple("hash", payload.hash, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v8/artifacts/{hash}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/octet-stream",
    Accept: "application/json",
    "Content-Length": encodeSimple("Content-Length", payload["Content-Length"], { explode: false, charEncoding: "none" }),
    "x-artifact-client-ci": encodeSimple("x-artifact-client-ci", payload["x-artifact-client-ci"], { explode: false, charEncoding: "none" }),
    "x-artifact-client-interactive": encodeSimple("x-artifact-client-interactive", payload["x-artifact-client-interactive"], { explode: false, charEncoding: "none" }),
    "x-artifact-duration": encodeSimple("x-artifact-duration", payload["x-artifact-duration"], { explode: false, charEncoding: "none" }),
    "x-artifact-tag": encodeSimple("x-artifact-tag", payload["x-artifact-tag"], { explode: false, charEncoding: "none" })
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "uploadArtifact",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "PUT",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(202, UploadArtifactResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([402, 403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_artifactsUploadArtifact = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_uploadartifactop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/artifactsUploadArtifact.ts
var args23, tool$artifactsUploadArtifact;
var init_artifactsUploadArtifact2 = __esm(() => {
  init_artifactsUploadArtifact();
  init_uploadartifactop();
  init_tools();
  args23 = {
    request: UploadArtifactRequest$inboundSchema
  };
  tool$artifactsUploadArtifact = {
    name: "artifacts-upload-artifact",
    description: `Upload a cache artifact

Uploads a cache artifact identified by the \`hash\` specified on the path. The cache artifact can then be downloaded with the provided \`hash\`.`,
    args: args23,
    tool: async (client, args24, ctx) => {
      const [result, apiCall] = await artifactsUploadArtifact(client, args24.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/authtoken.ts
var AuthTokenScopesType, AuthTokenScopesOrigin, ScopesType, AuthTokenScopes1Origin, ScopesOrigin, AuthTokenScopesType$inboundSchema, AuthTokenScopesType$outboundSchema, AuthTokenScopesType$, AuthTokenScopesOrigin$inboundSchema, AuthTokenScopesOrigin$outboundSchema, AuthTokenScopesOrigin$, Scopes2$inboundSchema, Scopes2$outboundSchema, Scopes2$, ScopesType$inboundSchema, ScopesType$outboundSchema, ScopesType$, AuthTokenScopes1Origin$inboundSchema, AuthTokenScopes1Origin$outboundSchema, AuthTokenScopes1Origin$, Sudo$inboundSchema, Sudo$outboundSchema, Sudo$, ScopesOrigin$inboundSchema, ScopesOrigin$outboundSchema, ScopesOrigin$, Scopes1$inboundSchema, Scopes1$outboundSchema, Scopes1$, Scopes$inboundSchema, Scopes$outboundSchema, Scopes$, AuthToken$inboundSchema, AuthToken$outboundSchema, AuthToken$;
var init_authtoken = __esm(() => {
  init_esm();
  AuthTokenScopesType = {
    Team: "team"
  };
  AuthTokenScopesOrigin = {
    Saml: "saml",
    Github: "github",
    Gitlab: "gitlab",
    Bitbucket: "bitbucket",
    Email: "email",
    Manual: "manual",
    Passkey: "passkey",
    Otp: "otp",
    Sms: "sms",
    Invite: "invite",
    Google: "google"
  };
  ScopesType = {
    User: "user"
  };
  AuthTokenScopes1Origin = {
    Totp: "totp",
    Webauthn: "webauthn",
    RecoveryCode: "recovery-code"
  };
  ScopesOrigin = {
    Saml: "saml",
    Github: "github",
    Gitlab: "gitlab",
    Bitbucket: "bitbucket",
    Email: "email",
    Manual: "manual",
    Passkey: "passkey",
    Otp: "otp",
    Sms: "sms",
    Invite: "invite",
    Google: "google"
  };
  AuthTokenScopesType$inboundSchema = nativeEnumType(AuthTokenScopesType);
  AuthTokenScopesType$outboundSchema = AuthTokenScopesType$inboundSchema;
  ((AuthTokenScopesType$) => {
    AuthTokenScopesType$.inboundSchema = AuthTokenScopesType$inboundSchema;
    AuthTokenScopesType$.outboundSchema = AuthTokenScopesType$outboundSchema;
  })(AuthTokenScopesType$ ||= {});
  AuthTokenScopesOrigin$inboundSchema = nativeEnumType(AuthTokenScopesOrigin);
  AuthTokenScopesOrigin$outboundSchema = AuthTokenScopesOrigin$inboundSchema;
  ((AuthTokenScopesOrigin$) => {
    AuthTokenScopesOrigin$.inboundSchema = AuthTokenScopesOrigin$inboundSchema;
    AuthTokenScopesOrigin$.outboundSchema = AuthTokenScopesOrigin$outboundSchema;
  })(AuthTokenScopesOrigin$ ||= {});
  Scopes2$inboundSchema = objectType({
    type: AuthTokenScopesType$inboundSchema,
    teamId: stringType(),
    origin: AuthTokenScopesOrigin$inboundSchema,
    createdAt: numberType(),
    expiresAt: numberType().optional()
  });
  Scopes2$outboundSchema = objectType({
    type: AuthTokenScopesType$outboundSchema,
    teamId: stringType(),
    origin: AuthTokenScopesOrigin$outboundSchema,
    createdAt: numberType(),
    expiresAt: numberType().optional()
  });
  ((Scopes2$) => {
    Scopes2$.inboundSchema = Scopes2$inboundSchema;
    Scopes2$.outboundSchema = Scopes2$outboundSchema;
  })(Scopes2$ ||= {});
  ScopesType$inboundSchema = nativeEnumType(ScopesType);
  ScopesType$outboundSchema = ScopesType$inboundSchema;
  ((ScopesType$) => {
    ScopesType$.inboundSchema = ScopesType$inboundSchema;
    ScopesType$.outboundSchema = ScopesType$outboundSchema;
  })(ScopesType$ ||= {});
  AuthTokenScopes1Origin$inboundSchema = nativeEnumType(AuthTokenScopes1Origin);
  AuthTokenScopes1Origin$outboundSchema = AuthTokenScopes1Origin$inboundSchema;
  ((AuthTokenScopes1Origin$) => {
    AuthTokenScopes1Origin$.inboundSchema = AuthTokenScopes1Origin$inboundSchema;
    AuthTokenScopes1Origin$.outboundSchema = AuthTokenScopes1Origin$outboundSchema;
  })(AuthTokenScopes1Origin$ ||= {});
  Sudo$inboundSchema = objectType({
    origin: AuthTokenScopes1Origin$inboundSchema,
    expiresAt: numberType()
  });
  Sudo$outboundSchema = objectType({
    origin: AuthTokenScopes1Origin$outboundSchema,
    expiresAt: numberType()
  });
  ((Sudo$) => {
    Sudo$.inboundSchema = Sudo$inboundSchema;
    Sudo$.outboundSchema = Sudo$outboundSchema;
  })(Sudo$ ||= {});
  ScopesOrigin$inboundSchema = nativeEnumType(ScopesOrigin);
  ScopesOrigin$outboundSchema = ScopesOrigin$inboundSchema;
  ((ScopesOrigin$) => {
    ScopesOrigin$.inboundSchema = ScopesOrigin$inboundSchema;
    ScopesOrigin$.outboundSchema = ScopesOrigin$outboundSchema;
  })(ScopesOrigin$ ||= {});
  Scopes1$inboundSchema = objectType({
    type: ScopesType$inboundSchema,
    sudo: lazyType(() => Sudo$inboundSchema).optional(),
    origin: ScopesOrigin$inboundSchema,
    createdAt: numberType(),
    expiresAt: numberType().optional()
  });
  Scopes1$outboundSchema = objectType({
    type: ScopesType$outboundSchema,
    sudo: lazyType(() => Sudo$outboundSchema).optional(),
    origin: ScopesOrigin$outboundSchema,
    createdAt: numberType(),
    expiresAt: numberType().optional()
  });
  ((Scopes1$) => {
    Scopes1$.inboundSchema = Scopes1$inboundSchema;
    Scopes1$.outboundSchema = Scopes1$outboundSchema;
  })(Scopes1$ ||= {});
  Scopes$inboundSchema = unionType([
    lazyType(() => Scopes1$inboundSchema),
    lazyType(() => Scopes2$inboundSchema)
  ]);
  Scopes$outboundSchema = unionType([
    lazyType(() => Scopes1$outboundSchema),
    lazyType(() => Scopes2$outboundSchema)
  ]);
  ((Scopes$) => {
    Scopes$.inboundSchema = Scopes$inboundSchema;
    Scopes$.outboundSchema = Scopes$outboundSchema;
  })(Scopes$ ||= {});
  AuthToken$inboundSchema = objectType({
    id: stringType(),
    name: stringType(),
    type: stringType(),
    origin: stringType().optional(),
    scopes: arrayType(unionType([
      lazyType(() => Scopes1$inboundSchema),
      lazyType(() => Scopes2$inboundSchema)
    ])).optional(),
    expiresAt: numberType().optional(),
    activeAt: numberType(),
    createdAt: numberType()
  });
  AuthToken$outboundSchema = objectType({
    id: stringType(),
    name: stringType(),
    type: stringType(),
    origin: stringType().optional(),
    scopes: arrayType(unionType([
      lazyType(() => Scopes1$outboundSchema),
      lazyType(() => Scopes2$outboundSchema)
    ])).optional(),
    expiresAt: numberType().optional(),
    activeAt: numberType(),
    createdAt: numberType()
  });
  ((AuthToken$) => {
    AuthToken$.inboundSchema = AuthToken$inboundSchema;
    AuthToken$.outboundSchema = AuthToken$outboundSchema;
  })(AuthToken$ ||= {});
});

// src/models/createauthtokenop.ts
var CreateAuthTokenRequestBody$inboundSchema, CreateAuthTokenRequestBody$outboundSchema, CreateAuthTokenRequestBody$, CreateAuthTokenRequest$inboundSchema, CreateAuthTokenRequest$outboundSchema, CreateAuthTokenRequest$, CreateAuthTokenResponseBody$inboundSchema, CreateAuthTokenResponseBody$outboundSchema, CreateAuthTokenResponseBody$;
var init_createauthtokenop = __esm(() => {
  init_esm();
  init_primitives();
  init_authtoken();
  CreateAuthTokenRequestBody$inboundSchema = objectType({
    name: stringType(),
    expiresAt: numberType().optional()
  });
  CreateAuthTokenRequestBody$outboundSchema = objectType({
    name: stringType(),
    expiresAt: numberType().optional()
  });
  ((CreateAuthTokenRequestBody$) => {
    CreateAuthTokenRequestBody$.inboundSchema = CreateAuthTokenRequestBody$inboundSchema;
    CreateAuthTokenRequestBody$.outboundSchema = CreateAuthTokenRequestBody$outboundSchema;
  })(CreateAuthTokenRequestBody$ ||= {});
  CreateAuthTokenRequest$inboundSchema = objectType({
    teamId: stringType().optional(),
    slug: stringType().optional(),
    RequestBody: lazyType(() => CreateAuthTokenRequestBody$inboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  CreateAuthTokenRequest$outboundSchema = objectType({
    teamId: stringType().optional(),
    slug: stringType().optional(),
    requestBody: lazyType(() => CreateAuthTokenRequestBody$outboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((CreateAuthTokenRequest$) => {
    CreateAuthTokenRequest$.inboundSchema = CreateAuthTokenRequest$inboundSchema;
    CreateAuthTokenRequest$.outboundSchema = CreateAuthTokenRequest$outboundSchema;
  })(CreateAuthTokenRequest$ ||= {});
  CreateAuthTokenResponseBody$inboundSchema = objectType({
    token: AuthToken$inboundSchema,
    bearerToken: stringType()
  });
  CreateAuthTokenResponseBody$outboundSchema = objectType({
    token: AuthToken$outboundSchema,
    bearerToken: stringType()
  });
  ((CreateAuthTokenResponseBody$) => {
    CreateAuthTokenResponseBody$.inboundSchema = CreateAuthTokenResponseBody$inboundSchema;
    CreateAuthTokenResponseBody$.outboundSchema = CreateAuthTokenResponseBody$outboundSchema;
  })(CreateAuthTokenResponseBody$ ||= {});
});

// src/funcs/authenticationCreateAuthToken.ts
function authenticationCreateAuthToken(client, request, options) {
  return new APIPromise($do24(client, request, options));
}
async function $do24(client, request, options) {
  const parsed = safeParse(request, (value) => CreateAuthTokenRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const path = pathToFunc("/v3/user/tokens")();
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "createAuthToken",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, CreateAuthTokenResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_authenticationCreateAuthToken = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_createauthtokenop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/authenticationCreateAuthToken.ts
var args24, tool$authenticationCreateAuthToken;
var init_authenticationCreateAuthToken2 = __esm(() => {
  init_authenticationCreateAuthToken();
  init_createauthtokenop();
  init_tools();
  args24 = {
    request: CreateAuthTokenRequest$inboundSchema
  };
  tool$authenticationCreateAuthToken = {
    name: "authentication-create-auth-token",
    description: `Create an Auth Token

Creates and returns a new authentication token for the currently authenticated User. The \`bearerToken\` property is only provided once, in the response body, so be sure to save it on the client for use with API requests.`,
    args: args24,
    tool: async (client, args25, ctx) => {
      const [result, apiCall] = await authenticationCreateAuthToken(client, args25.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/deleteauthtokenop.ts
var DeleteAuthTokenRequest$inboundSchema, DeleteAuthTokenRequest$outboundSchema, DeleteAuthTokenRequest$, DeleteAuthTokenResponseBody$inboundSchema, DeleteAuthTokenResponseBody$outboundSchema, DeleteAuthTokenResponseBody$;
var init_deleteauthtokenop = __esm(() => {
  init_esm();
  DeleteAuthTokenRequest$inboundSchema = objectType({
    tokenId: stringType()
  });
  DeleteAuthTokenRequest$outboundSchema = objectType({
    tokenId: stringType()
  });
  ((DeleteAuthTokenRequest$) => {
    DeleteAuthTokenRequest$.inboundSchema = DeleteAuthTokenRequest$inboundSchema;
    DeleteAuthTokenRequest$.outboundSchema = DeleteAuthTokenRequest$outboundSchema;
  })(DeleteAuthTokenRequest$ ||= {});
  DeleteAuthTokenResponseBody$inboundSchema = objectType({
    tokenId: stringType()
  });
  DeleteAuthTokenResponseBody$outboundSchema = objectType({
    tokenId: stringType()
  });
  ((DeleteAuthTokenResponseBody$) => {
    DeleteAuthTokenResponseBody$.inboundSchema = DeleteAuthTokenResponseBody$inboundSchema;
    DeleteAuthTokenResponseBody$.outboundSchema = DeleteAuthTokenResponseBody$outboundSchema;
  })(DeleteAuthTokenResponseBody$ ||= {});
});

// src/funcs/authenticationDeleteAuthToken.ts
function authenticationDeleteAuthToken(client, request, options) {
  return new APIPromise($do25(client, request, options));
}
async function $do25(client, request, options) {
  const parsed = safeParse(request, (value) => DeleteAuthTokenRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    tokenId: encodeSimple("tokenId", payload.tokenId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v3/user/tokens/{tokenId}")(pathParams);
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "deleteAuthToken",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "DELETE",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, DeleteAuthTokenResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_authenticationDeleteAuthToken = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_deleteauthtokenop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/authenticationDeleteAuthToken.ts
var args25, tool$authenticationDeleteAuthToken;
var init_authenticationDeleteAuthToken2 = __esm(() => {
  init_authenticationDeleteAuthToken();
  init_deleteauthtokenop();
  init_tools();
  args25 = {
    request: DeleteAuthTokenRequest$inboundSchema
  };
  tool$authenticationDeleteAuthToken = {
    name: "authentication-delete-auth-token",
    description: `Delete an authentication token

Invalidate an authentication token, such that it will no longer be valid for future HTTP requests.`,
    args: args25,
    tool: async (client, args26, ctx) => {
      const [result, apiCall] = await authenticationDeleteAuthToken(client, args26.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/exchangessotokenop.ts
var ExchangeSsoTokenGrantType, ExchangeSsoTokenGrantType$inboundSchema, ExchangeSsoTokenGrantType$outboundSchema, ExchangeSsoTokenGrantType$, ExchangeSsoTokenRequestBody$inboundSchema, ExchangeSsoTokenRequestBody$outboundSchema, ExchangeSsoTokenRequestBody$, ExchangeSsoTokenResponseBody$inboundSchema, ExchangeSsoTokenResponseBody$outboundSchema, ExchangeSsoTokenResponseBody$;
var init_exchangessotokenop = __esm(() => {
  init_esm();
  init_primitives();
  ExchangeSsoTokenGrantType = {
    AuthorizationCode: "authorization_code"
  };
  ExchangeSsoTokenGrantType$inboundSchema = nativeEnumType(ExchangeSsoTokenGrantType);
  ExchangeSsoTokenGrantType$outboundSchema = ExchangeSsoTokenGrantType$inboundSchema;
  ((ExchangeSsoTokenGrantType$) => {
    ExchangeSsoTokenGrantType$.inboundSchema = ExchangeSsoTokenGrantType$inboundSchema;
    ExchangeSsoTokenGrantType$.outboundSchema = ExchangeSsoTokenGrantType$outboundSchema;
  })(ExchangeSsoTokenGrantType$ ||= {});
  ExchangeSsoTokenRequestBody$inboundSchema = objectType({
    code: stringType(),
    state: stringType().optional(),
    client_id: stringType(),
    client_secret: stringType(),
    redirect_uri: stringType().optional(),
    grant_type: ExchangeSsoTokenGrantType$inboundSchema.optional()
  }).transform((v2) => {
    return remap(v2, {
      client_id: "clientId",
      client_secret: "clientSecret",
      redirect_uri: "redirectUri",
      grant_type: "grantType"
    });
  });
  ExchangeSsoTokenRequestBody$outboundSchema = objectType({
    code: stringType(),
    state: stringType().optional(),
    clientId: stringType(),
    clientSecret: stringType(),
    redirectUri: stringType().optional(),
    grantType: ExchangeSsoTokenGrantType$outboundSchema.optional()
  }).transform((v2) => {
    return remap(v2, {
      clientId: "client_id",
      clientSecret: "client_secret",
      redirectUri: "redirect_uri",
      grantType: "grant_type"
    });
  });
  ((ExchangeSsoTokenRequestBody$) => {
    ExchangeSsoTokenRequestBody$.inboundSchema = ExchangeSsoTokenRequestBody$inboundSchema;
    ExchangeSsoTokenRequestBody$.outboundSchema = ExchangeSsoTokenRequestBody$outboundSchema;
  })(ExchangeSsoTokenRequestBody$ ||= {});
  ExchangeSsoTokenResponseBody$inboundSchema = objectType({
    id_token: stringType(),
    access_token: nullableType(anyType()).optional(),
    token_type: nullableType(anyType()).optional()
  }).transform((v2) => {
    return remap(v2, {
      id_token: "idToken",
      access_token: "accessToken",
      token_type: "tokenType"
    });
  });
  ExchangeSsoTokenResponseBody$outboundSchema = objectType({
    idToken: stringType(),
    accessToken: nullableType(anyType()).optional(),
    tokenType: nullableType(anyType()).optional()
  }).transform((v2) => {
    return remap(v2, {
      idToken: "id_token",
      accessToken: "access_token",
      tokenType: "token_type"
    });
  });
  ((ExchangeSsoTokenResponseBody$) => {
    ExchangeSsoTokenResponseBody$.inboundSchema = ExchangeSsoTokenResponseBody$inboundSchema;
    ExchangeSsoTokenResponseBody$.outboundSchema = ExchangeSsoTokenResponseBody$outboundSchema;
  })(ExchangeSsoTokenResponseBody$ ||= {});
});

// src/funcs/authenticationExchangeSsoToken.ts
function authenticationExchangeSsoToken(client, request, options) {
  return new APIPromise($do26(client, request, options));
}
async function $do26(client, request, options) {
  const parsed = safeParse(request, (value) => ExchangeSsoTokenRequestBody$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload, { explode: true });
  const path = pathToFunc("/v1/integrations/sso/token")();
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "exchange-sso-token",
    oAuth2Scopes: [],
    resolvedSecurity: null,
    securitySource: null,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "404", "4XX", "500", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, ExchangeSsoTokenResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail("4XX"), fail([500, "5XX"]))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_authenticationExchangeSsoToken = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_url();
  init_exchangessotokenop();
  init_vercelbadrequesterror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/authenticationExchangeSsoToken.ts
var args26, tool$authenticationExchangeSsoToken;
var init_authenticationExchangeSsoToken2 = __esm(() => {
  init_authenticationExchangeSsoToken();
  init_exchangessotokenop();
  init_tools();
  args26 = {
    request: ExchangeSsoTokenRequestBody$inboundSchema
  };
  tool$authenticationExchangeSsoToken = {
    name: "authentication-exchange-sso-token",
    description: `SSO Token Exchange

During the autorization process, Vercel sends the user to the provider [redirectLoginUrl](https://vercel.com/docs/integrations/create-integration/submit-integration#redirect-login-url), that includes the OAuth authorization \`code\` parameter. The provider then calls the SSO Token Exchange endpoint with the sent code and receives the OIDC token. They log the user in based on this token and redirects the user back to the Vercel account using deep-link parameters included the redirectLoginUrl. Providers should not persist the returned \`id_token\` in a database since the token will expire. See [**Authentication with SSO**](https://vercel.com/docs/integrations/create-integration/marketplace-api#authentication-with-sso) for more details.`,
    args: args26,
    tool: async (client, args27, ctx) => {
      const [result, apiCall] = await authenticationExchangeSsoToken(client, args27.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/getauthtokenop.ts
var GetAuthTokenRequest$inboundSchema, GetAuthTokenRequest$outboundSchema, GetAuthTokenRequest$, GetAuthTokenResponseBody$inboundSchema, GetAuthTokenResponseBody$outboundSchema, GetAuthTokenResponseBody$;
var init_getauthtokenop = __esm(() => {
  init_esm();
  init_authtoken();
  GetAuthTokenRequest$inboundSchema = objectType({
    tokenId: stringType()
  });
  GetAuthTokenRequest$outboundSchema = objectType({
    tokenId: stringType()
  });
  ((GetAuthTokenRequest$) => {
    GetAuthTokenRequest$.inboundSchema = GetAuthTokenRequest$inboundSchema;
    GetAuthTokenRequest$.outboundSchema = GetAuthTokenRequest$outboundSchema;
  })(GetAuthTokenRequest$ ||= {});
  GetAuthTokenResponseBody$inboundSchema = objectType({
    token: AuthToken$inboundSchema
  });
  GetAuthTokenResponseBody$outboundSchema = objectType({
    token: AuthToken$outboundSchema
  });
  ((GetAuthTokenResponseBody$) => {
    GetAuthTokenResponseBody$.inboundSchema = GetAuthTokenResponseBody$inboundSchema;
    GetAuthTokenResponseBody$.outboundSchema = GetAuthTokenResponseBody$outboundSchema;
  })(GetAuthTokenResponseBody$ ||= {});
});

// src/funcs/authenticationGetAuthToken.ts
function authenticationGetAuthToken(client, request, options) {
  return new APIPromise($do27(client, request, options));
}
async function $do27(client, request, options) {
  const parsed = safeParse(request, (value) => GetAuthTokenRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    tokenId: encodeSimple("tokenId", payload.tokenId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v5/user/tokens/{tokenId}")(pathParams);
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "getAuthToken",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetAuthTokenResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_authenticationGetAuthToken = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_getauthtokenop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/authenticationGetAuthToken.ts
var args27, tool$authenticationGetAuthToken;
var init_authenticationGetAuthToken2 = __esm(() => {
  init_authenticationGetAuthToken();
  init_getauthtokenop();
  init_tools();
  args27 = {
    request: GetAuthTokenRequest$inboundSchema
  };
  tool$authenticationGetAuthToken = {
    name: "authentication-get-auth-token",
    description: `Get Auth Token Metadata

Retrieve metadata about an authentication token belonging to the currently authenticated User.`,
    args: args27,
    tool: async (client, args28, ctx) => {
      const [result, apiCall] = await authenticationGetAuthToken(client, args28.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/listauthtokensop.ts
var ListAuthTokensResponseBody$inboundSchema, ListAuthTokensResponseBody$outboundSchema, ListAuthTokensResponseBody$;
var init_listauthtokensop = __esm(() => {
  init_esm();
  init_authtoken();
  init_pagination();
  ListAuthTokensResponseBody$inboundSchema = objectType({
    tokens: arrayType(AuthToken$inboundSchema),
    pagination: Pagination$inboundSchema
  });
  ListAuthTokensResponseBody$outboundSchema = objectType({
    tokens: arrayType(AuthToken$outboundSchema),
    pagination: Pagination$outboundSchema
  });
  ((ListAuthTokensResponseBody$) => {
    ListAuthTokensResponseBody$.inboundSchema = ListAuthTokensResponseBody$inboundSchema;
    ListAuthTokensResponseBody$.outboundSchema = ListAuthTokensResponseBody$outboundSchema;
  })(ListAuthTokensResponseBody$ ||= {});
});

// src/funcs/authenticationListAuthTokens.ts
function authenticationListAuthTokens(client, options) {
  return new APIPromise($do28(client, options));
}
async function $do28(client, options) {
  const path = pathToFunc("/v5/user/tokens")();
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "listAuthTokens",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, ListAuthTokensResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_authenticationListAuthTokens = __esm(() => {
  init_matchers();
  init_primitives();
  init_security();
  init_url();
  init_listauthtokensop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/authenticationListAuthTokens.ts
var tool$authenticationListAuthTokens;
var init_authenticationListAuthTokens2 = __esm(() => {
  init_authenticationListAuthTokens();
  init_tools();
  tool$authenticationListAuthTokens = {
    name: "authentication-list-auth-tokens",
    description: `List Auth Tokens

Retrieve a list of the current User's authentication tokens.`,
    tool: async (client, ctx) => {
      const [result, apiCall] = await authenticationListAuthTokens(client, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/getcertbyidop.ts
var GetCertByIdRequest$inboundSchema, GetCertByIdRequest$outboundSchema, GetCertByIdRequest$, GetCertByIdResponseBody$inboundSchema, GetCertByIdResponseBody$outboundSchema, GetCertByIdResponseBody$;
var init_getcertbyidop = __esm(() => {
  init_esm();
  GetCertByIdRequest$inboundSchema = objectType({
    id: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  GetCertByIdRequest$outboundSchema = objectType({
    id: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((GetCertByIdRequest$) => {
    GetCertByIdRequest$.inboundSchema = GetCertByIdRequest$inboundSchema;
    GetCertByIdRequest$.outboundSchema = GetCertByIdRequest$outboundSchema;
  })(GetCertByIdRequest$ ||= {});
  GetCertByIdResponseBody$inboundSchema = objectType({
    id: stringType(),
    createdAt: numberType(),
    expiresAt: numberType(),
    autoRenew: booleanType(),
    cns: arrayType(stringType())
  });
  GetCertByIdResponseBody$outboundSchema = objectType({
    id: stringType(),
    createdAt: numberType(),
    expiresAt: numberType(),
    autoRenew: booleanType(),
    cns: arrayType(stringType())
  });
  ((GetCertByIdResponseBody$) => {
    GetCertByIdResponseBody$.inboundSchema = GetCertByIdResponseBody$inboundSchema;
    GetCertByIdResponseBody$.outboundSchema = GetCertByIdResponseBody$outboundSchema;
  })(GetCertByIdResponseBody$ ||= {});
});

// src/funcs/certsGetCertById.ts
function certsGetCertById(client, request, options) {
  return new APIPromise($do29(client, request, options));
}
async function $do29(client, request, options) {
  const parsed = safeParse(request, (value) => GetCertByIdRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    id: encodeSimple("id", payload.id, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v8/certs/{id}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "getCertById",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetCertByIdResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_certsGetCertById = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_getcertbyidop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/certsGetCertById.ts
var args28, tool$certsGetCertById;
var init_certsGetCertById2 = __esm(() => {
  init_certsGetCertById();
  init_getcertbyidop();
  init_tools();
  args28 = {
    request: GetCertByIdRequest$inboundSchema
  };
  tool$certsGetCertById = {
    name: "certs-get-cert-by-id",
    description: `Get cert by id

Get cert by id`,
    args: args28,
    tool: async (client, args29, ctx) => {
      const [result, apiCall] = await certsGetCertById(client, args29.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/issuecertop.ts
var IssueCertRequestBody$inboundSchema, IssueCertRequestBody$outboundSchema, IssueCertRequestBody$, IssueCertRequest$inboundSchema, IssueCertRequest$outboundSchema, IssueCertRequest$, IssueCertResponseBody$inboundSchema, IssueCertResponseBody$outboundSchema, IssueCertResponseBody$;
var init_issuecertop = __esm(() => {
  init_esm();
  init_primitives();
  IssueCertRequestBody$inboundSchema = objectType({
    cns: arrayType(stringType()).optional()
  });
  IssueCertRequestBody$outboundSchema = objectType({
    cns: arrayType(stringType()).optional()
  });
  ((IssueCertRequestBody$) => {
    IssueCertRequestBody$.inboundSchema = IssueCertRequestBody$inboundSchema;
    IssueCertRequestBody$.outboundSchema = IssueCertRequestBody$outboundSchema;
  })(IssueCertRequestBody$ ||= {});
  IssueCertRequest$inboundSchema = objectType({
    teamId: stringType().optional(),
    slug: stringType().optional(),
    RequestBody: lazyType(() => IssueCertRequestBody$inboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  IssueCertRequest$outboundSchema = objectType({
    teamId: stringType().optional(),
    slug: stringType().optional(),
    requestBody: lazyType(() => IssueCertRequestBody$outboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((IssueCertRequest$) => {
    IssueCertRequest$.inboundSchema = IssueCertRequest$inboundSchema;
    IssueCertRequest$.outboundSchema = IssueCertRequest$outboundSchema;
  })(IssueCertRequest$ ||= {});
  IssueCertResponseBody$inboundSchema = objectType({
    id: stringType(),
    createdAt: numberType(),
    expiresAt: numberType(),
    autoRenew: booleanType(),
    cns: arrayType(stringType())
  });
  IssueCertResponseBody$outboundSchema = objectType({
    id: stringType(),
    createdAt: numberType(),
    expiresAt: numberType(),
    autoRenew: booleanType(),
    cns: arrayType(stringType())
  });
  ((IssueCertResponseBody$) => {
    IssueCertResponseBody$.inboundSchema = IssueCertResponseBody$inboundSchema;
    IssueCertResponseBody$.outboundSchema = IssueCertResponseBody$outboundSchema;
  })(IssueCertResponseBody$ ||= {});
});

// src/funcs/certsIssueCert.ts
function certsIssueCert(client, request, options) {
  return new APIPromise($do30(client, request, options));
}
async function $do30(client, request, options) {
  const parsed = safeParse(request, (value) => IssueCertRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const path = pathToFunc("/v8/certs")();
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "issueCert",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "404", "449", "4XX", "500", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, IssueCertResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([402, 403, 449, "4XX"]), fail([500, "5XX"]))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_certsIssueCert = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_issuecertop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/certsIssueCert.ts
var args29, tool$certsIssueCert;
var init_certsIssueCert2 = __esm(() => {
  init_certsIssueCert();
  init_issuecertop();
  init_tools();
  args29 = {
    request: IssueCertRequest$inboundSchema
  };
  tool$certsIssueCert = {
    name: "certs-issue-cert",
    description: `Issue a new cert

Issue a new cert`,
    args: args29,
    tool: async (client, args30, ctx) => {
      const [result, apiCall] = await certsIssueCert(client, args30.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/removecertop.ts
var RemoveCertRequest$inboundSchema, RemoveCertRequest$outboundSchema, RemoveCertRequest$, RemoveCertResponseBody$inboundSchema, RemoveCertResponseBody$outboundSchema, RemoveCertResponseBody$;
var init_removecertop = __esm(() => {
  init_esm();
  RemoveCertRequest$inboundSchema = objectType({
    id: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  RemoveCertRequest$outboundSchema = objectType({
    id: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((RemoveCertRequest$) => {
    RemoveCertRequest$.inboundSchema = RemoveCertRequest$inboundSchema;
    RemoveCertRequest$.outboundSchema = RemoveCertRequest$outboundSchema;
  })(RemoveCertRequest$ ||= {});
  RemoveCertResponseBody$inboundSchema = objectType({});
  RemoveCertResponseBody$outboundSchema = objectType({});
  ((RemoveCertResponseBody$) => {
    RemoveCertResponseBody$.inboundSchema = RemoveCertResponseBody$inboundSchema;
    RemoveCertResponseBody$.outboundSchema = RemoveCertResponseBody$outboundSchema;
  })(RemoveCertResponseBody$ ||= {});
});

// src/funcs/certsRemoveCert.ts
function certsRemoveCert(client, request, options) {
  return new APIPromise($do31(client, request, options));
}
async function $do31(client, request, options) {
  const parsed = safeParse(request, (value) => RemoveCertRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    id: encodeSimple("id", payload.id, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v8/certs/{id}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "removeCert",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "DELETE",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, RemoveCertResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_certsRemoveCert = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_removecertop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/certsRemoveCert.ts
var args30, tool$certsRemoveCert;
var init_certsRemoveCert2 = __esm(() => {
  init_certsRemoveCert();
  init_removecertop();
  init_tools();
  args30 = {
    request: RemoveCertRequest$inboundSchema
  };
  tool$certsRemoveCert = {
    name: "certs-remove-cert",
    description: `Remove cert

Remove cert`,
    args: args30,
    tool: async (client, args31, ctx) => {
      const [result, apiCall] = await certsRemoveCert(client, args31.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/uploadcertop.ts
var UploadCertRequestBody$inboundSchema, UploadCertRequestBody$outboundSchema, UploadCertRequestBody$, UploadCertRequest$inboundSchema, UploadCertRequest$outboundSchema, UploadCertRequest$, UploadCertResponseBody$inboundSchema, UploadCertResponseBody$outboundSchema, UploadCertResponseBody$;
var init_uploadcertop = __esm(() => {
  init_esm();
  init_primitives();
  UploadCertRequestBody$inboundSchema = objectType({
    ca: stringType(),
    key: stringType(),
    cert: stringType(),
    skipValidation: booleanType().optional()
  });
  UploadCertRequestBody$outboundSchema = objectType({
    ca: stringType(),
    key: stringType(),
    cert: stringType(),
    skipValidation: booleanType().optional()
  });
  ((UploadCertRequestBody$) => {
    UploadCertRequestBody$.inboundSchema = UploadCertRequestBody$inboundSchema;
    UploadCertRequestBody$.outboundSchema = UploadCertRequestBody$outboundSchema;
  })(UploadCertRequestBody$ ||= {});
  UploadCertRequest$inboundSchema = objectType({
    teamId: stringType().optional(),
    slug: stringType().optional(),
    RequestBody: lazyType(() => UploadCertRequestBody$inboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  UploadCertRequest$outboundSchema = objectType({
    teamId: stringType().optional(),
    slug: stringType().optional(),
    requestBody: lazyType(() => UploadCertRequestBody$outboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((UploadCertRequest$) => {
    UploadCertRequest$.inboundSchema = UploadCertRequest$inboundSchema;
    UploadCertRequest$.outboundSchema = UploadCertRequest$outboundSchema;
  })(UploadCertRequest$ ||= {});
  UploadCertResponseBody$inboundSchema = objectType({
    id: stringType(),
    createdAt: numberType(),
    expiresAt: numberType(),
    autoRenew: booleanType(),
    cns: arrayType(stringType())
  });
  UploadCertResponseBody$outboundSchema = objectType({
    id: stringType(),
    createdAt: numberType(),
    expiresAt: numberType(),
    autoRenew: booleanType(),
    cns: arrayType(stringType())
  });
  ((UploadCertResponseBody$) => {
    UploadCertResponseBody$.inboundSchema = UploadCertResponseBody$inboundSchema;
    UploadCertResponseBody$.outboundSchema = UploadCertResponseBody$outboundSchema;
  })(UploadCertResponseBody$ ||= {});
});

// src/funcs/certsUploadCert.ts
function certsUploadCert(client, request, options) {
  return new APIPromise($do32(client, request, options));
}
async function $do32(client, request, options) {
  const parsed = safeParse(request, (value) => UploadCertRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const path = pathToFunc("/v8/certs")();
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "uploadCert",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "PUT",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, UploadCertResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([402, 403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_certsUploadCert = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_uploadcertop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/certsUploadCert.ts
var args31, tool$certsUploadCert;
var init_certsUploadCert2 = __esm(() => {
  init_certsUploadCert();
  init_uploadcertop();
  init_tools();
  args31 = {
    request: UploadCertRequest$inboundSchema
  };
  tool$certsUploadCert = {
    name: "certs-upload-cert",
    description: `Upload a cert

Upload a cert`,
    args: args31,
    tool: async (client, args32, ctx) => {
      const [result, apiCall] = await certsUploadCert(client, args32.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/createcheckop.ts
var CreateCheckStatus, CreateCheckConclusion, CreateCheckSource, CreateCheckChecksSource, CreateCheckChecksResponseSource, CreateCheckChecksResponse200Source, CreateCheckChecksResponse200ApplicationJSONSource, CreateCheckRequestBody$inboundSchema, CreateCheckRequestBody$outboundSchema, CreateCheckRequestBody$, CreateCheckRequest$inboundSchema, CreateCheckRequest$outboundSchema, CreateCheckRequest$, CreateCheckStatus$inboundSchema, CreateCheckStatus$outboundSchema, CreateCheckStatus$, CreateCheckConclusion$inboundSchema, CreateCheckConclusion$outboundSchema, CreateCheckConclusion$, CreateCheckSource$inboundSchema, CreateCheckSource$outboundSchema, CreateCheckSource$, CreateCheckFCP$inboundSchema, CreateCheckFCP$outboundSchema, CreateCheckFCP$, CreateCheckChecksSource$inboundSchema, CreateCheckChecksSource$outboundSchema, CreateCheckChecksSource$, CreateCheckLCP$inboundSchema, CreateCheckLCP$outboundSchema, CreateCheckLCP$, CreateCheckChecksResponseSource$inboundSchema, CreateCheckChecksResponseSource$outboundSchema, CreateCheckChecksResponseSource$, CreateCheckCLS$inboundSchema, CreateCheckCLS$outboundSchema, CreateCheckCLS$, CreateCheckChecksResponse200Source$inboundSchema, CreateCheckChecksResponse200Source$outboundSchema, CreateCheckChecksResponse200Source$, CreateCheckTBT$inboundSchema, CreateCheckTBT$outboundSchema, CreateCheckTBT$, CreateCheckChecksResponse200ApplicationJSONSource$inboundSchema, CreateCheckChecksResponse200ApplicationJSONSource$outboundSchema, CreateCheckChecksResponse200ApplicationJSONSource$, CreateCheckVirtualExperienceScore$inboundSchema, CreateCheckVirtualExperienceScore$outboundSchema, CreateCheckVirtualExperienceScore$, CreateCheckMetrics$inboundSchema, CreateCheckMetrics$outboundSchema, CreateCheckMetrics$, CreateCheckOutput$inboundSchema, CreateCheckOutput$outboundSchema, CreateCheckOutput$, CreateCheckResponseBody$inboundSchema, CreateCheckResponseBody$outboundSchema, CreateCheckResponseBody$;
var init_createcheckop = __esm(() => {
  init_esm();
  init_primitives();
  CreateCheckStatus = {
    Registered: "registered",
    Running: "running",
    Completed: "completed"
  };
  CreateCheckConclusion = {
    Canceled: "canceled",
    Failed: "failed",
    Neutral: "neutral",
    Succeeded: "succeeded",
    Skipped: "skipped",
    Stale: "stale"
  };
  CreateCheckSource = {
    WebVitals: "web-vitals"
  };
  CreateCheckChecksSource = {
    WebVitals: "web-vitals"
  };
  CreateCheckChecksResponseSource = {
    WebVitals: "web-vitals"
  };
  CreateCheckChecksResponse200Source = {
    WebVitals: "web-vitals"
  };
  CreateCheckChecksResponse200ApplicationJSONSource = {
    WebVitals: "web-vitals"
  };
  CreateCheckRequestBody$inboundSchema = objectType({
    name: stringType(),
    path: stringType().optional(),
    blocking: booleanType(),
    detailsUrl: stringType().optional(),
    externalId: stringType().optional(),
    rerequestable: booleanType().optional()
  });
  CreateCheckRequestBody$outboundSchema = objectType({
    name: stringType(),
    path: stringType().optional(),
    blocking: booleanType(),
    detailsUrl: stringType().optional(),
    externalId: stringType().optional(),
    rerequestable: booleanType().optional()
  });
  ((CreateCheckRequestBody$) => {
    CreateCheckRequestBody$.inboundSchema = CreateCheckRequestBody$inboundSchema;
    CreateCheckRequestBody$.outboundSchema = CreateCheckRequestBody$outboundSchema;
  })(CreateCheckRequestBody$ ||= {});
  CreateCheckRequest$inboundSchema = objectType({
    deploymentId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    RequestBody: lazyType(() => CreateCheckRequestBody$inboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  CreateCheckRequest$outboundSchema = objectType({
    deploymentId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    requestBody: lazyType(() => CreateCheckRequestBody$outboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((CreateCheckRequest$) => {
    CreateCheckRequest$.inboundSchema = CreateCheckRequest$inboundSchema;
    CreateCheckRequest$.outboundSchema = CreateCheckRequest$outboundSchema;
  })(CreateCheckRequest$ ||= {});
  CreateCheckStatus$inboundSchema = nativeEnumType(CreateCheckStatus);
  CreateCheckStatus$outboundSchema = CreateCheckStatus$inboundSchema;
  ((CreateCheckStatus$) => {
    CreateCheckStatus$.inboundSchema = CreateCheckStatus$inboundSchema;
    CreateCheckStatus$.outboundSchema = CreateCheckStatus$outboundSchema;
  })(CreateCheckStatus$ ||= {});
  CreateCheckConclusion$inboundSchema = nativeEnumType(CreateCheckConclusion);
  CreateCheckConclusion$outboundSchema = CreateCheckConclusion$inboundSchema;
  ((CreateCheckConclusion$) => {
    CreateCheckConclusion$.inboundSchema = CreateCheckConclusion$inboundSchema;
    CreateCheckConclusion$.outboundSchema = CreateCheckConclusion$outboundSchema;
  })(CreateCheckConclusion$ ||= {});
  CreateCheckSource$inboundSchema = nativeEnumType(CreateCheckSource);
  CreateCheckSource$outboundSchema = CreateCheckSource$inboundSchema;
  ((CreateCheckSource$) => {
    CreateCheckSource$.inboundSchema = CreateCheckSource$inboundSchema;
    CreateCheckSource$.outboundSchema = CreateCheckSource$outboundSchema;
  })(CreateCheckSource$ ||= {});
  CreateCheckFCP$inboundSchema = objectType({
    value: nullableType(numberType()),
    previousValue: numberType().optional(),
    source: CreateCheckSource$inboundSchema
  });
  CreateCheckFCP$outboundSchema = objectType({
    value: nullableType(numberType()),
    previousValue: numberType().optional(),
    source: CreateCheckSource$outboundSchema
  });
  ((CreateCheckFCP$) => {
    CreateCheckFCP$.inboundSchema = CreateCheckFCP$inboundSchema;
    CreateCheckFCP$.outboundSchema = CreateCheckFCP$outboundSchema;
  })(CreateCheckFCP$ ||= {});
  CreateCheckChecksSource$inboundSchema = nativeEnumType(CreateCheckChecksSource);
  CreateCheckChecksSource$outboundSchema = CreateCheckChecksSource$inboundSchema;
  ((CreateCheckChecksSource$) => {
    CreateCheckChecksSource$.inboundSchema = CreateCheckChecksSource$inboundSchema;
    CreateCheckChecksSource$.outboundSchema = CreateCheckChecksSource$outboundSchema;
  })(CreateCheckChecksSource$ ||= {});
  CreateCheckLCP$inboundSchema = objectType({
    value: nullableType(numberType()),
    previousValue: numberType().optional(),
    source: CreateCheckChecksSource$inboundSchema
  });
  CreateCheckLCP$outboundSchema = objectType({
    value: nullableType(numberType()),
    previousValue: numberType().optional(),
    source: CreateCheckChecksSource$outboundSchema
  });
  ((CreateCheckLCP$) => {
    CreateCheckLCP$.inboundSchema = CreateCheckLCP$inboundSchema;
    CreateCheckLCP$.outboundSchema = CreateCheckLCP$outboundSchema;
  })(CreateCheckLCP$ ||= {});
  CreateCheckChecksResponseSource$inboundSchema = nativeEnumType(CreateCheckChecksResponseSource);
  CreateCheckChecksResponseSource$outboundSchema = CreateCheckChecksResponseSource$inboundSchema;
  ((CreateCheckChecksResponseSource$) => {
    CreateCheckChecksResponseSource$.inboundSchema = CreateCheckChecksResponseSource$inboundSchema;
    CreateCheckChecksResponseSource$.outboundSchema = CreateCheckChecksResponseSource$outboundSchema;
  })(CreateCheckChecksResponseSource$ ||= {});
  CreateCheckCLS$inboundSchema = objectType({
    value: nullableType(numberType()),
    previousValue: numberType().optional(),
    source: CreateCheckChecksResponseSource$inboundSchema
  });
  CreateCheckCLS$outboundSchema = objectType({
    value: nullableType(numberType()),
    previousValue: numberType().optional(),
    source: CreateCheckChecksResponseSource$outboundSchema
  });
  ((CreateCheckCLS$) => {
    CreateCheckCLS$.inboundSchema = CreateCheckCLS$inboundSchema;
    CreateCheckCLS$.outboundSchema = CreateCheckCLS$outboundSchema;
  })(CreateCheckCLS$ ||= {});
  CreateCheckChecksResponse200Source$inboundSchema = nativeEnumType(CreateCheckChecksResponse200Source);
  CreateCheckChecksResponse200Source$outboundSchema = CreateCheckChecksResponse200Source$inboundSchema;
  ((CreateCheckChecksResponse200Source$) => {
    CreateCheckChecksResponse200Source$.inboundSchema = CreateCheckChecksResponse200Source$inboundSchema;
    CreateCheckChecksResponse200Source$.outboundSchema = CreateCheckChecksResponse200Source$outboundSchema;
  })(CreateCheckChecksResponse200Source$ ||= {});
  CreateCheckTBT$inboundSchema = objectType({
    value: nullableType(numberType()),
    previousValue: numberType().optional(),
    source: CreateCheckChecksResponse200Source$inboundSchema
  });
  CreateCheckTBT$outboundSchema = objectType({
    value: nullableType(numberType()),
    previousValue: numberType().optional(),
    source: CreateCheckChecksResponse200Source$outboundSchema
  });
  ((CreateCheckTBT$) => {
    CreateCheckTBT$.inboundSchema = CreateCheckTBT$inboundSchema;
    CreateCheckTBT$.outboundSchema = CreateCheckTBT$outboundSchema;
  })(CreateCheckTBT$ ||= {});
  CreateCheckChecksResponse200ApplicationJSONSource$inboundSchema = nativeEnumType(CreateCheckChecksResponse200ApplicationJSONSource);
  CreateCheckChecksResponse200ApplicationJSONSource$outboundSchema = CreateCheckChecksResponse200ApplicationJSONSource$inboundSchema;
  ((CreateCheckChecksResponse200ApplicationJSONSource$) => {
    CreateCheckChecksResponse200ApplicationJSONSource$.inboundSchema = CreateCheckChecksResponse200ApplicationJSONSource$inboundSchema;
    CreateCheckChecksResponse200ApplicationJSONSource$.outboundSchema = CreateCheckChecksResponse200ApplicationJSONSource$outboundSchema;
  })(CreateCheckChecksResponse200ApplicationJSONSource$ ||= {});
  CreateCheckVirtualExperienceScore$inboundSchema = objectType({
    value: nullableType(numberType()),
    previousValue: numberType().optional(),
    source: CreateCheckChecksResponse200ApplicationJSONSource$inboundSchema
  });
  CreateCheckVirtualExperienceScore$outboundSchema = objectType({
    value: nullableType(numberType()),
    previousValue: numberType().optional(),
    source: CreateCheckChecksResponse200ApplicationJSONSource$outboundSchema
  });
  ((CreateCheckVirtualExperienceScore$) => {
    CreateCheckVirtualExperienceScore$.inboundSchema = CreateCheckVirtualExperienceScore$inboundSchema;
    CreateCheckVirtualExperienceScore$.outboundSchema = CreateCheckVirtualExperienceScore$outboundSchema;
  })(CreateCheckVirtualExperienceScore$ ||= {});
  CreateCheckMetrics$inboundSchema = objectType({
    FCP: lazyType(() => CreateCheckFCP$inboundSchema),
    LCP: lazyType(() => CreateCheckLCP$inboundSchema),
    CLS: lazyType(() => CreateCheckCLS$inboundSchema),
    TBT: lazyType(() => CreateCheckTBT$inboundSchema),
    virtualExperienceScore: lazyType(() => CreateCheckVirtualExperienceScore$inboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      FCP: "fcp",
      LCP: "lcp",
      CLS: "cls",
      TBT: "tbt"
    });
  });
  CreateCheckMetrics$outboundSchema = objectType({
    fcp: lazyType(() => CreateCheckFCP$outboundSchema),
    lcp: lazyType(() => CreateCheckLCP$outboundSchema),
    cls: lazyType(() => CreateCheckCLS$outboundSchema),
    tbt: lazyType(() => CreateCheckTBT$outboundSchema),
    virtualExperienceScore: lazyType(() => CreateCheckVirtualExperienceScore$outboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      fcp: "FCP",
      lcp: "LCP",
      cls: "CLS",
      tbt: "TBT"
    });
  });
  ((CreateCheckMetrics$) => {
    CreateCheckMetrics$.inboundSchema = CreateCheckMetrics$inboundSchema;
    CreateCheckMetrics$.outboundSchema = CreateCheckMetrics$outboundSchema;
  })(CreateCheckMetrics$ ||= {});
  CreateCheckOutput$inboundSchema = objectType({
    metrics: lazyType(() => CreateCheckMetrics$inboundSchema).optional()
  });
  CreateCheckOutput$outboundSchema = objectType({
    metrics: lazyType(() => CreateCheckMetrics$outboundSchema).optional()
  });
  ((CreateCheckOutput$) => {
    CreateCheckOutput$.inboundSchema = CreateCheckOutput$inboundSchema;
    CreateCheckOutput$.outboundSchema = CreateCheckOutput$outboundSchema;
  })(CreateCheckOutput$ ||= {});
  CreateCheckResponseBody$inboundSchema = objectType({
    id: stringType(),
    name: stringType(),
    path: stringType().optional(),
    status: CreateCheckStatus$inboundSchema,
    conclusion: CreateCheckConclusion$inboundSchema.optional(),
    blocking: booleanType(),
    output: lazyType(() => CreateCheckOutput$inboundSchema).optional(),
    detailsUrl: stringType().optional(),
    integrationId: stringType(),
    deploymentId: stringType(),
    externalId: stringType().optional(),
    createdAt: numberType(),
    updatedAt: numberType(),
    startedAt: numberType().optional(),
    completedAt: numberType().optional(),
    rerequestable: booleanType().optional()
  });
  CreateCheckResponseBody$outboundSchema = objectType({
    id: stringType(),
    name: stringType(),
    path: stringType().optional(),
    status: CreateCheckStatus$outboundSchema,
    conclusion: CreateCheckConclusion$outboundSchema.optional(),
    blocking: booleanType(),
    output: lazyType(() => CreateCheckOutput$outboundSchema).optional(),
    detailsUrl: stringType().optional(),
    integrationId: stringType(),
    deploymentId: stringType(),
    externalId: stringType().optional(),
    createdAt: numberType(),
    updatedAt: numberType(),
    startedAt: numberType().optional(),
    completedAt: numberType().optional(),
    rerequestable: booleanType().optional()
  });
  ((CreateCheckResponseBody$) => {
    CreateCheckResponseBody$.inboundSchema = CreateCheckResponseBody$inboundSchema;
    CreateCheckResponseBody$.outboundSchema = CreateCheckResponseBody$outboundSchema;
  })(CreateCheckResponseBody$ ||= {});
});

// src/funcs/checksCreateCheck.ts
function checksCreateCheck(client, request, options) {
  return new APIPromise($do33(client, request, options));
}
async function $do33(client, request, options) {
  const parsed = safeParse(request, (value) => CreateCheckRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    deploymentId: encodeSimple("deploymentId", payload.deploymentId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/deployments/{deploymentId}/checks")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "createCheck",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, CreateCheckResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_checksCreateCheck = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_createcheckop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/checksCreateCheck.ts
var args32, tool$checksCreateCheck;
var init_checksCreateCheck2 = __esm(() => {
  init_checksCreateCheck();
  init_createcheckop();
  init_tools();
  args32 = {
    request: CreateCheckRequest$inboundSchema
  };
  tool$checksCreateCheck = {
    name: "checks-create-check",
    description: `Creates a new Check

Creates a new check. This endpoint must be called with an OAuth2 or it will produce a 400 error.`,
    args: args32,
    tool: async (client, args33, ctx) => {
      const [result, apiCall] = await checksCreateCheck(client, args33.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/getallchecksop.ts
var GetAllChecksConclusion, GetAllChecksSource, GetAllChecksChecksSource, GetAllChecksChecksResponseSource, GetAllChecksChecksResponse200Source, GetAllChecksChecksResponse200ApplicationJSONSource, GetAllChecksStatus, GetAllChecksRequest$inboundSchema, GetAllChecksRequest$outboundSchema, GetAllChecksRequest$, GetAllChecksConclusion$inboundSchema, GetAllChecksConclusion$outboundSchema, GetAllChecksConclusion$, GetAllChecksSource$inboundSchema, GetAllChecksSource$outboundSchema, GetAllChecksSource$, GetAllChecksFCP$inboundSchema, GetAllChecksFCP$outboundSchema, GetAllChecksFCP$, GetAllChecksChecksSource$inboundSchema, GetAllChecksChecksSource$outboundSchema, GetAllChecksChecksSource$, GetAllChecksLCP$inboundSchema, GetAllChecksLCP$outboundSchema, GetAllChecksLCP$, GetAllChecksChecksResponseSource$inboundSchema, GetAllChecksChecksResponseSource$outboundSchema, GetAllChecksChecksResponseSource$, GetAllChecksCLS$inboundSchema, GetAllChecksCLS$outboundSchema, GetAllChecksCLS$, GetAllChecksChecksResponse200Source$inboundSchema, GetAllChecksChecksResponse200Source$outboundSchema, GetAllChecksChecksResponse200Source$, GetAllChecksTBT$inboundSchema, GetAllChecksTBT$outboundSchema, GetAllChecksTBT$, GetAllChecksChecksResponse200ApplicationJSONSource$inboundSchema, GetAllChecksChecksResponse200ApplicationJSONSource$outboundSchema, GetAllChecksChecksResponse200ApplicationJSONSource$, GetAllChecksVirtualExperienceScore$inboundSchema, GetAllChecksVirtualExperienceScore$outboundSchema, GetAllChecksVirtualExperienceScore$, GetAllChecksMetrics$inboundSchema, GetAllChecksMetrics$outboundSchema, GetAllChecksMetrics$, GetAllChecksOutput$inboundSchema, GetAllChecksOutput$outboundSchema, GetAllChecksOutput$, GetAllChecksStatus$inboundSchema, GetAllChecksStatus$outboundSchema, GetAllChecksStatus$, Checks$inboundSchema, Checks$outboundSchema, Checks$, GetAllChecksResponseBody$inboundSchema, GetAllChecksResponseBody$outboundSchema, GetAllChecksResponseBody$;
var init_getallchecksop = __esm(() => {
  init_esm();
  init_primitives();
  GetAllChecksConclusion = {
    Canceled: "canceled",
    Failed: "failed",
    Neutral: "neutral",
    Succeeded: "succeeded",
    Skipped: "skipped",
    Stale: "stale"
  };
  GetAllChecksSource = {
    WebVitals: "web-vitals"
  };
  GetAllChecksChecksSource = {
    WebVitals: "web-vitals"
  };
  GetAllChecksChecksResponseSource = {
    WebVitals: "web-vitals"
  };
  GetAllChecksChecksResponse200Source = {
    WebVitals: "web-vitals"
  };
  GetAllChecksChecksResponse200ApplicationJSONSource = {
    WebVitals: "web-vitals"
  };
  GetAllChecksStatus = {
    Registered: "registered",
    Running: "running",
    Completed: "completed"
  };
  GetAllChecksRequest$inboundSchema = objectType({
    deploymentId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  GetAllChecksRequest$outboundSchema = objectType({
    deploymentId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((GetAllChecksRequest$) => {
    GetAllChecksRequest$.inboundSchema = GetAllChecksRequest$inboundSchema;
    GetAllChecksRequest$.outboundSchema = GetAllChecksRequest$outboundSchema;
  })(GetAllChecksRequest$ ||= {});
  GetAllChecksConclusion$inboundSchema = nativeEnumType(GetAllChecksConclusion);
  GetAllChecksConclusion$outboundSchema = GetAllChecksConclusion$inboundSchema;
  ((GetAllChecksConclusion$) => {
    GetAllChecksConclusion$.inboundSchema = GetAllChecksConclusion$inboundSchema;
    GetAllChecksConclusion$.outboundSchema = GetAllChecksConclusion$outboundSchema;
  })(GetAllChecksConclusion$ ||= {});
  GetAllChecksSource$inboundSchema = nativeEnumType(GetAllChecksSource);
  GetAllChecksSource$outboundSchema = GetAllChecksSource$inboundSchema;
  ((GetAllChecksSource$) => {
    GetAllChecksSource$.inboundSchema = GetAllChecksSource$inboundSchema;
    GetAllChecksSource$.outboundSchema = GetAllChecksSource$outboundSchema;
  })(GetAllChecksSource$ ||= {});
  GetAllChecksFCP$inboundSchema = objectType({
    value: nullableType(numberType()),
    previousValue: numberType().optional(),
    source: GetAllChecksSource$inboundSchema
  });
  GetAllChecksFCP$outboundSchema = objectType({
    value: nullableType(numberType()),
    previousValue: numberType().optional(),
    source: GetAllChecksSource$outboundSchema
  });
  ((GetAllChecksFCP$) => {
    GetAllChecksFCP$.inboundSchema = GetAllChecksFCP$inboundSchema;
    GetAllChecksFCP$.outboundSchema = GetAllChecksFCP$outboundSchema;
  })(GetAllChecksFCP$ ||= {});
  GetAllChecksChecksSource$inboundSchema = nativeEnumType(GetAllChecksChecksSource);
  GetAllChecksChecksSource$outboundSchema = GetAllChecksChecksSource$inboundSchema;
  ((GetAllChecksChecksSource$) => {
    GetAllChecksChecksSource$.inboundSchema = GetAllChecksChecksSource$inboundSchema;
    GetAllChecksChecksSource$.outboundSchema = GetAllChecksChecksSource$outboundSchema;
  })(GetAllChecksChecksSource$ ||= {});
  GetAllChecksLCP$inboundSchema = objectType({
    value: nullableType(numberType()),
    previousValue: numberType().optional(),
    source: GetAllChecksChecksSource$inboundSchema
  });
  GetAllChecksLCP$outboundSchema = objectType({
    value: nullableType(numberType()),
    previousValue: numberType().optional(),
    source: GetAllChecksChecksSource$outboundSchema
  });
  ((GetAllChecksLCP$) => {
    GetAllChecksLCP$.inboundSchema = GetAllChecksLCP$inboundSchema;
    GetAllChecksLCP$.outboundSchema = GetAllChecksLCP$outboundSchema;
  })(GetAllChecksLCP$ ||= {});
  GetAllChecksChecksResponseSource$inboundSchema = nativeEnumType(GetAllChecksChecksResponseSource);
  GetAllChecksChecksResponseSource$outboundSchema = GetAllChecksChecksResponseSource$inboundSchema;
  ((GetAllChecksChecksResponseSource$) => {
    GetAllChecksChecksResponseSource$.inboundSchema = GetAllChecksChecksResponseSource$inboundSchema;
    GetAllChecksChecksResponseSource$.outboundSchema = GetAllChecksChecksResponseSource$outboundSchema;
  })(GetAllChecksChecksResponseSource$ ||= {});
  GetAllChecksCLS$inboundSchema = objectType({
    value: nullableType(numberType()),
    previousValue: numberType().optional(),
    source: GetAllChecksChecksResponseSource$inboundSchema
  });
  GetAllChecksCLS$outboundSchema = objectType({
    value: nullableType(numberType()),
    previousValue: numberType().optional(),
    source: GetAllChecksChecksResponseSource$outboundSchema
  });
  ((GetAllChecksCLS$) => {
    GetAllChecksCLS$.inboundSchema = GetAllChecksCLS$inboundSchema;
    GetAllChecksCLS$.outboundSchema = GetAllChecksCLS$outboundSchema;
  })(GetAllChecksCLS$ ||= {});
  GetAllChecksChecksResponse200Source$inboundSchema = nativeEnumType(GetAllChecksChecksResponse200Source);
  GetAllChecksChecksResponse200Source$outboundSchema = GetAllChecksChecksResponse200Source$inboundSchema;
  ((GetAllChecksChecksResponse200Source$) => {
    GetAllChecksChecksResponse200Source$.inboundSchema = GetAllChecksChecksResponse200Source$inboundSchema;
    GetAllChecksChecksResponse200Source$.outboundSchema = GetAllChecksChecksResponse200Source$outboundSchema;
  })(GetAllChecksChecksResponse200Source$ ||= {});
  GetAllChecksTBT$inboundSchema = objectType({
    value: nullableType(numberType()),
    previousValue: numberType().optional(),
    source: GetAllChecksChecksResponse200Source$inboundSchema
  });
  GetAllChecksTBT$outboundSchema = objectType({
    value: nullableType(numberType()),
    previousValue: numberType().optional(),
    source: GetAllChecksChecksResponse200Source$outboundSchema
  });
  ((GetAllChecksTBT$) => {
    GetAllChecksTBT$.inboundSchema = GetAllChecksTBT$inboundSchema;
    GetAllChecksTBT$.outboundSchema = GetAllChecksTBT$outboundSchema;
  })(GetAllChecksTBT$ ||= {});
  GetAllChecksChecksResponse200ApplicationJSONSource$inboundSchema = nativeEnumType(GetAllChecksChecksResponse200ApplicationJSONSource);
  GetAllChecksChecksResponse200ApplicationJSONSource$outboundSchema = GetAllChecksChecksResponse200ApplicationJSONSource$inboundSchema;
  ((GetAllChecksChecksResponse200ApplicationJSONSource$) => {
    GetAllChecksChecksResponse200ApplicationJSONSource$.inboundSchema = GetAllChecksChecksResponse200ApplicationJSONSource$inboundSchema;
    GetAllChecksChecksResponse200ApplicationJSONSource$.outboundSchema = GetAllChecksChecksResponse200ApplicationJSONSource$outboundSchema;
  })(GetAllChecksChecksResponse200ApplicationJSONSource$ ||= {});
  GetAllChecksVirtualExperienceScore$inboundSchema = objectType({
    value: nullableType(numberType()),
    previousValue: numberType().optional(),
    source: GetAllChecksChecksResponse200ApplicationJSONSource$inboundSchema
  });
  GetAllChecksVirtualExperienceScore$outboundSchema = objectType({
    value: nullableType(numberType()),
    previousValue: numberType().optional(),
    source: GetAllChecksChecksResponse200ApplicationJSONSource$outboundSchema
  });
  ((GetAllChecksVirtualExperienceScore$) => {
    GetAllChecksVirtualExperienceScore$.inboundSchema = GetAllChecksVirtualExperienceScore$inboundSchema;
    GetAllChecksVirtualExperienceScore$.outboundSchema = GetAllChecksVirtualExperienceScore$outboundSchema;
  })(GetAllChecksVirtualExperienceScore$ ||= {});
  GetAllChecksMetrics$inboundSchema = objectType({
    FCP: lazyType(() => GetAllChecksFCP$inboundSchema),
    LCP: lazyType(() => GetAllChecksLCP$inboundSchema),
    CLS: lazyType(() => GetAllChecksCLS$inboundSchema),
    TBT: lazyType(() => GetAllChecksTBT$inboundSchema),
    virtualExperienceScore: lazyType(() => GetAllChecksVirtualExperienceScore$inboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      FCP: "fcp",
      LCP: "lcp",
      CLS: "cls",
      TBT: "tbt"
    });
  });
  GetAllChecksMetrics$outboundSchema = objectType({
    fcp: lazyType(() => GetAllChecksFCP$outboundSchema),
    lcp: lazyType(() => GetAllChecksLCP$outboundSchema),
    cls: lazyType(() => GetAllChecksCLS$outboundSchema),
    tbt: lazyType(() => GetAllChecksTBT$outboundSchema),
    virtualExperienceScore: lazyType(() => GetAllChecksVirtualExperienceScore$outboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      fcp: "FCP",
      lcp: "LCP",
      cls: "CLS",
      tbt: "TBT"
    });
  });
  ((GetAllChecksMetrics$) => {
    GetAllChecksMetrics$.inboundSchema = GetAllChecksMetrics$inboundSchema;
    GetAllChecksMetrics$.outboundSchema = GetAllChecksMetrics$outboundSchema;
  })(GetAllChecksMetrics$ ||= {});
  GetAllChecksOutput$inboundSchema = objectType({
    metrics: lazyType(() => GetAllChecksMetrics$inboundSchema).optional()
  });
  GetAllChecksOutput$outboundSchema = objectType({
    metrics: lazyType(() => GetAllChecksMetrics$outboundSchema).optional()
  });
  ((GetAllChecksOutput$) => {
    GetAllChecksOutput$.inboundSchema = GetAllChecksOutput$inboundSchema;
    GetAllChecksOutput$.outboundSchema = GetAllChecksOutput$outboundSchema;
  })(GetAllChecksOutput$ ||= {});
  GetAllChecksStatus$inboundSchema = nativeEnumType(GetAllChecksStatus);
  GetAllChecksStatus$outboundSchema = GetAllChecksStatus$inboundSchema;
  ((GetAllChecksStatus$) => {
    GetAllChecksStatus$.inboundSchema = GetAllChecksStatus$inboundSchema;
    GetAllChecksStatus$.outboundSchema = GetAllChecksStatus$outboundSchema;
  })(GetAllChecksStatus$ ||= {});
  Checks$inboundSchema = objectType({
    completedAt: numberType().optional(),
    conclusion: GetAllChecksConclusion$inboundSchema.optional(),
    createdAt: numberType(),
    detailsUrl: stringType().optional(),
    id: stringType(),
    integrationId: stringType(),
    name: stringType(),
    output: lazyType(() => GetAllChecksOutput$inboundSchema).optional(),
    path: stringType().optional(),
    rerequestable: booleanType(),
    startedAt: numberType().optional(),
    status: GetAllChecksStatus$inboundSchema,
    updatedAt: numberType()
  });
  Checks$outboundSchema = objectType({
    completedAt: numberType().optional(),
    conclusion: GetAllChecksConclusion$outboundSchema.optional(),
    createdAt: numberType(),
    detailsUrl: stringType().optional(),
    id: stringType(),
    integrationId: stringType(),
    name: stringType(),
    output: lazyType(() => GetAllChecksOutput$outboundSchema).optional(),
    path: stringType().optional(),
    rerequestable: booleanType(),
    startedAt: numberType().optional(),
    status: GetAllChecksStatus$outboundSchema,
    updatedAt: numberType()
  });
  ((Checks$) => {
    Checks$.inboundSchema = Checks$inboundSchema;
    Checks$.outboundSchema = Checks$outboundSchema;
  })(Checks$ ||= {});
  GetAllChecksResponseBody$inboundSchema = objectType({
    checks: arrayType(lazyType(() => Checks$inboundSchema))
  });
  GetAllChecksResponseBody$outboundSchema = objectType({
    checks: arrayType(lazyType(() => Checks$outboundSchema))
  });
  ((GetAllChecksResponseBody$) => {
    GetAllChecksResponseBody$.inboundSchema = GetAllChecksResponseBody$inboundSchema;
    GetAllChecksResponseBody$.outboundSchema = GetAllChecksResponseBody$outboundSchema;
  })(GetAllChecksResponseBody$ ||= {});
});

// src/funcs/checksGetAllChecks.ts
function checksGetAllChecks(client, request, options) {
  return new APIPromise($do34(client, request, options));
}
async function $do34(client, request, options) {
  const parsed = safeParse(request, (value) => GetAllChecksRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    deploymentId: encodeSimple("deploymentId", payload.deploymentId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/deployments/{deploymentId}/checks")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "getAllChecks",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetAllChecksResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_checksGetAllChecks = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_getallchecksop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/checksGetAllChecks.ts
var args33, tool$checksGetAllChecks;
var init_checksGetAllChecks2 = __esm(() => {
  init_checksGetAllChecks();
  init_getallchecksop();
  init_tools();
  args33 = {
    request: GetAllChecksRequest$inboundSchema
  };
  tool$checksGetAllChecks = {
    name: "checks-get-all-checks",
    description: `Retrieve a list of all checks

List all of the checks created for a deployment.`,
    args: args33,
    tool: async (client, args34, ctx) => {
      const [result, apiCall] = await checksGetAllChecks(client, args34.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/getcheckop.ts
var GetCheckStatus, GetCheckConclusion, GetCheckSource, GetCheckChecksSource, GetCheckChecksResponseSource, GetCheckChecksResponse200Source, GetCheckChecksResponse200ApplicationJSONSource, GetCheckRequest$inboundSchema, GetCheckRequest$outboundSchema, GetCheckRequest$, GetCheckStatus$inboundSchema, GetCheckStatus$outboundSchema, GetCheckStatus$, GetCheckConclusion$inboundSchema, GetCheckConclusion$outboundSchema, GetCheckConclusion$, GetCheckSource$inboundSchema, GetCheckSource$outboundSchema, GetCheckSource$, GetCheckFCP$inboundSchema, GetCheckFCP$outboundSchema, GetCheckFCP$, GetCheckChecksSource$inboundSchema, GetCheckChecksSource$outboundSchema, GetCheckChecksSource$, GetCheckLCP$inboundSchema, GetCheckLCP$outboundSchema, GetCheckLCP$, GetCheckChecksResponseSource$inboundSchema, GetCheckChecksResponseSource$outboundSchema, GetCheckChecksResponseSource$, GetCheckCLS$inboundSchema, GetCheckCLS$outboundSchema, GetCheckCLS$, GetCheckChecksResponse200Source$inboundSchema, GetCheckChecksResponse200Source$outboundSchema, GetCheckChecksResponse200Source$, GetCheckTBT$inboundSchema, GetCheckTBT$outboundSchema, GetCheckTBT$, GetCheckChecksResponse200ApplicationJSONSource$inboundSchema, GetCheckChecksResponse200ApplicationJSONSource$outboundSchema, GetCheckChecksResponse200ApplicationJSONSource$, GetCheckVirtualExperienceScore$inboundSchema, GetCheckVirtualExperienceScore$outboundSchema, GetCheckVirtualExperienceScore$, GetCheckMetrics$inboundSchema, GetCheckMetrics$outboundSchema, GetCheckMetrics$, GetCheckOutput$inboundSchema, GetCheckOutput$outboundSchema, GetCheckOutput$, GetCheckResponseBody$inboundSchema, GetCheckResponseBody$outboundSchema, GetCheckResponseBody$;
var init_getcheckop = __esm(() => {
  init_esm();
  init_primitives();
  GetCheckStatus = {
    Registered: "registered",
    Running: "running",
    Completed: "completed"
  };
  GetCheckConclusion = {
    Canceled: "canceled",
    Failed: "failed",
    Neutral: "neutral",
    Succeeded: "succeeded",
    Skipped: "skipped",
    Stale: "stale"
  };
  GetCheckSource = {
    WebVitals: "web-vitals"
  };
  GetCheckChecksSource = {
    WebVitals: "web-vitals"
  };
  GetCheckChecksResponseSource = {
    WebVitals: "web-vitals"
  };
  GetCheckChecksResponse200Source = {
    WebVitals: "web-vitals"
  };
  GetCheckChecksResponse200ApplicationJSONSource = {
    WebVitals: "web-vitals"
  };
  GetCheckRequest$inboundSchema = objectType({
    deploymentId: stringType(),
    checkId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  GetCheckRequest$outboundSchema = objectType({
    deploymentId: stringType(),
    checkId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((GetCheckRequest$) => {
    GetCheckRequest$.inboundSchema = GetCheckRequest$inboundSchema;
    GetCheckRequest$.outboundSchema = GetCheckRequest$outboundSchema;
  })(GetCheckRequest$ ||= {});
  GetCheckStatus$inboundSchema = nativeEnumType(GetCheckStatus);
  GetCheckStatus$outboundSchema = GetCheckStatus$inboundSchema;
  ((GetCheckStatus$) => {
    GetCheckStatus$.inboundSchema = GetCheckStatus$inboundSchema;
    GetCheckStatus$.outboundSchema = GetCheckStatus$outboundSchema;
  })(GetCheckStatus$ ||= {});
  GetCheckConclusion$inboundSchema = nativeEnumType(GetCheckConclusion);
  GetCheckConclusion$outboundSchema = GetCheckConclusion$inboundSchema;
  ((GetCheckConclusion$) => {
    GetCheckConclusion$.inboundSchema = GetCheckConclusion$inboundSchema;
    GetCheckConclusion$.outboundSchema = GetCheckConclusion$outboundSchema;
  })(GetCheckConclusion$ ||= {});
  GetCheckSource$inboundSchema = nativeEnumType(GetCheckSource);
  GetCheckSource$outboundSchema = GetCheckSource$inboundSchema;
  ((GetCheckSource$) => {
    GetCheckSource$.inboundSchema = GetCheckSource$inboundSchema;
    GetCheckSource$.outboundSchema = GetCheckSource$outboundSchema;
  })(GetCheckSource$ ||= {});
  GetCheckFCP$inboundSchema = objectType({
    value: nullableType(numberType()),
    previousValue: numberType().optional(),
    source: GetCheckSource$inboundSchema
  });
  GetCheckFCP$outboundSchema = objectType({
    value: nullableType(numberType()),
    previousValue: numberType().optional(),
    source: GetCheckSource$outboundSchema
  });
  ((GetCheckFCP$) => {
    GetCheckFCP$.inboundSchema = GetCheckFCP$inboundSchema;
    GetCheckFCP$.outboundSchema = GetCheckFCP$outboundSchema;
  })(GetCheckFCP$ ||= {});
  GetCheckChecksSource$inboundSchema = nativeEnumType(GetCheckChecksSource);
  GetCheckChecksSource$outboundSchema = GetCheckChecksSource$inboundSchema;
  ((GetCheckChecksSource$) => {
    GetCheckChecksSource$.inboundSchema = GetCheckChecksSource$inboundSchema;
    GetCheckChecksSource$.outboundSchema = GetCheckChecksSource$outboundSchema;
  })(GetCheckChecksSource$ ||= {});
  GetCheckLCP$inboundSchema = objectType({
    value: nullableType(numberType()),
    previousValue: numberType().optional(),
    source: GetCheckChecksSource$inboundSchema
  });
  GetCheckLCP$outboundSchema = objectType({
    value: nullableType(numberType()),
    previousValue: numberType().optional(),
    source: GetCheckChecksSource$outboundSchema
  });
  ((GetCheckLCP$) => {
    GetCheckLCP$.inboundSchema = GetCheckLCP$inboundSchema;
    GetCheckLCP$.outboundSchema = GetCheckLCP$outboundSchema;
  })(GetCheckLCP$ ||= {});
  GetCheckChecksResponseSource$inboundSchema = nativeEnumType(GetCheckChecksResponseSource);
  GetCheckChecksResponseSource$outboundSchema = GetCheckChecksResponseSource$inboundSchema;
  ((GetCheckChecksResponseSource$) => {
    GetCheckChecksResponseSource$.inboundSchema = GetCheckChecksResponseSource$inboundSchema;
    GetCheckChecksResponseSource$.outboundSchema = GetCheckChecksResponseSource$outboundSchema;
  })(GetCheckChecksResponseSource$ ||= {});
  GetCheckCLS$inboundSchema = objectType({
    value: nullableType(numberType()),
    previousValue: numberType().optional(),
    source: GetCheckChecksResponseSource$inboundSchema
  });
  GetCheckCLS$outboundSchema = objectType({
    value: nullableType(numberType()),
    previousValue: numberType().optional(),
    source: GetCheckChecksResponseSource$outboundSchema
  });
  ((GetCheckCLS$) => {
    GetCheckCLS$.inboundSchema = GetCheckCLS$inboundSchema;
    GetCheckCLS$.outboundSchema = GetCheckCLS$outboundSchema;
  })(GetCheckCLS$ ||= {});
  GetCheckChecksResponse200Source$inboundSchema = nativeEnumType(GetCheckChecksResponse200Source);
  GetCheckChecksResponse200Source$outboundSchema = GetCheckChecksResponse200Source$inboundSchema;
  ((GetCheckChecksResponse200Source$) => {
    GetCheckChecksResponse200Source$.inboundSchema = GetCheckChecksResponse200Source$inboundSchema;
    GetCheckChecksResponse200Source$.outboundSchema = GetCheckChecksResponse200Source$outboundSchema;
  })(GetCheckChecksResponse200Source$ ||= {});
  GetCheckTBT$inboundSchema = objectType({
    value: nullableType(numberType()),
    previousValue: numberType().optional(),
    source: GetCheckChecksResponse200Source$inboundSchema
  });
  GetCheckTBT$outboundSchema = objectType({
    value: nullableType(numberType()),
    previousValue: numberType().optional(),
    source: GetCheckChecksResponse200Source$outboundSchema
  });
  ((GetCheckTBT$) => {
    GetCheckTBT$.inboundSchema = GetCheckTBT$inboundSchema;
    GetCheckTBT$.outboundSchema = GetCheckTBT$outboundSchema;
  })(GetCheckTBT$ ||= {});
  GetCheckChecksResponse200ApplicationJSONSource$inboundSchema = nativeEnumType(GetCheckChecksResponse200ApplicationJSONSource);
  GetCheckChecksResponse200ApplicationJSONSource$outboundSchema = GetCheckChecksResponse200ApplicationJSONSource$inboundSchema;
  ((GetCheckChecksResponse200ApplicationJSONSource$) => {
    GetCheckChecksResponse200ApplicationJSONSource$.inboundSchema = GetCheckChecksResponse200ApplicationJSONSource$inboundSchema;
    GetCheckChecksResponse200ApplicationJSONSource$.outboundSchema = GetCheckChecksResponse200ApplicationJSONSource$outboundSchema;
  })(GetCheckChecksResponse200ApplicationJSONSource$ ||= {});
  GetCheckVirtualExperienceScore$inboundSchema = objectType({
    value: nullableType(numberType()),
    previousValue: numberType().optional(),
    source: GetCheckChecksResponse200ApplicationJSONSource$inboundSchema
  });
  GetCheckVirtualExperienceScore$outboundSchema = objectType({
    value: nullableType(numberType()),
    previousValue: numberType().optional(),
    source: GetCheckChecksResponse200ApplicationJSONSource$outboundSchema
  });
  ((GetCheckVirtualExperienceScore$) => {
    GetCheckVirtualExperienceScore$.inboundSchema = GetCheckVirtualExperienceScore$inboundSchema;
    GetCheckVirtualExperienceScore$.outboundSchema = GetCheckVirtualExperienceScore$outboundSchema;
  })(GetCheckVirtualExperienceScore$ ||= {});
  GetCheckMetrics$inboundSchema = objectType({
    FCP: lazyType(() => GetCheckFCP$inboundSchema),
    LCP: lazyType(() => GetCheckLCP$inboundSchema),
    CLS: lazyType(() => GetCheckCLS$inboundSchema),
    TBT: lazyType(() => GetCheckTBT$inboundSchema),
    virtualExperienceScore: lazyType(() => GetCheckVirtualExperienceScore$inboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      FCP: "fcp",
      LCP: "lcp",
      CLS: "cls",
      TBT: "tbt"
    });
  });
  GetCheckMetrics$outboundSchema = objectType({
    fcp: lazyType(() => GetCheckFCP$outboundSchema),
    lcp: lazyType(() => GetCheckLCP$outboundSchema),
    cls: lazyType(() => GetCheckCLS$outboundSchema),
    tbt: lazyType(() => GetCheckTBT$outboundSchema),
    virtualExperienceScore: lazyType(() => GetCheckVirtualExperienceScore$outboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      fcp: "FCP",
      lcp: "LCP",
      cls: "CLS",
      tbt: "TBT"
    });
  });
  ((GetCheckMetrics$) => {
    GetCheckMetrics$.inboundSchema = GetCheckMetrics$inboundSchema;
    GetCheckMetrics$.outboundSchema = GetCheckMetrics$outboundSchema;
  })(GetCheckMetrics$ ||= {});
  GetCheckOutput$inboundSchema = objectType({
    metrics: lazyType(() => GetCheckMetrics$inboundSchema).optional()
  });
  GetCheckOutput$outboundSchema = objectType({
    metrics: lazyType(() => GetCheckMetrics$outboundSchema).optional()
  });
  ((GetCheckOutput$) => {
    GetCheckOutput$.inboundSchema = GetCheckOutput$inboundSchema;
    GetCheckOutput$.outboundSchema = GetCheckOutput$outboundSchema;
  })(GetCheckOutput$ ||= {});
  GetCheckResponseBody$inboundSchema = objectType({
    id: stringType(),
    name: stringType(),
    path: stringType().optional(),
    status: GetCheckStatus$inboundSchema,
    conclusion: GetCheckConclusion$inboundSchema.optional(),
    blocking: booleanType(),
    output: lazyType(() => GetCheckOutput$inboundSchema).optional(),
    detailsUrl: stringType().optional(),
    integrationId: stringType(),
    deploymentId: stringType(),
    externalId: stringType().optional(),
    createdAt: numberType(),
    updatedAt: numberType(),
    startedAt: numberType().optional(),
    completedAt: numberType().optional(),
    rerequestable: booleanType().optional()
  });
  GetCheckResponseBody$outboundSchema = objectType({
    id: stringType(),
    name: stringType(),
    path: stringType().optional(),
    status: GetCheckStatus$outboundSchema,
    conclusion: GetCheckConclusion$outboundSchema.optional(),
    blocking: booleanType(),
    output: lazyType(() => GetCheckOutput$outboundSchema).optional(),
    detailsUrl: stringType().optional(),
    integrationId: stringType(),
    deploymentId: stringType(),
    externalId: stringType().optional(),
    createdAt: numberType(),
    updatedAt: numberType(),
    startedAt: numberType().optional(),
    completedAt: numberType().optional(),
    rerequestable: booleanType().optional()
  });
  ((GetCheckResponseBody$) => {
    GetCheckResponseBody$.inboundSchema = GetCheckResponseBody$inboundSchema;
    GetCheckResponseBody$.outboundSchema = GetCheckResponseBody$outboundSchema;
  })(GetCheckResponseBody$ ||= {});
});

// src/funcs/checksGetCheck.ts
function checksGetCheck(client, request, options) {
  return new APIPromise($do35(client, request, options));
}
async function $do35(client, request, options) {
  const parsed = safeParse(request, (value) => GetCheckRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    checkId: encodeSimple("checkId", payload.checkId, {
      explode: false,
      charEncoding: "percent"
    }),
    deploymentId: encodeSimple("deploymentId", payload.deploymentId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/deployments/{deploymentId}/checks/{checkId}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "getCheck",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetCheckResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_checksGetCheck = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_getcheckop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/checksGetCheck.ts
var args34, tool$checksGetCheck;
var init_checksGetCheck2 = __esm(() => {
  init_checksGetCheck();
  init_getcheckop();
  init_tools();
  args34 = {
    request: GetCheckRequest$inboundSchema
  };
  tool$checksGetCheck = {
    name: "checks-get-check",
    description: `Get a single check

Return a detailed response for a single check.`,
    args: args34,
    tool: async (client, args35, ctx) => {
      const [result, apiCall] = await checksGetCheck(client, args35.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/rerequestcheckop.ts
var RerequestCheckRequest$inboundSchema, RerequestCheckRequest$outboundSchema, RerequestCheckRequest$, RerequestCheckResponseBody$inboundSchema, RerequestCheckResponseBody$outboundSchema, RerequestCheckResponseBody$;
var init_rerequestcheckop = __esm(() => {
  init_esm();
  RerequestCheckRequest$inboundSchema = objectType({
    deploymentId: stringType(),
    checkId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  RerequestCheckRequest$outboundSchema = objectType({
    deploymentId: stringType(),
    checkId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((RerequestCheckRequest$) => {
    RerequestCheckRequest$.inboundSchema = RerequestCheckRequest$inboundSchema;
    RerequestCheckRequest$.outboundSchema = RerequestCheckRequest$outboundSchema;
  })(RerequestCheckRequest$ ||= {});
  RerequestCheckResponseBody$inboundSchema = objectType({});
  RerequestCheckResponseBody$outboundSchema = objectType({});
  ((RerequestCheckResponseBody$) => {
    RerequestCheckResponseBody$.inboundSchema = RerequestCheckResponseBody$inboundSchema;
    RerequestCheckResponseBody$.outboundSchema = RerequestCheckResponseBody$outboundSchema;
  })(RerequestCheckResponseBody$ ||= {});
});

// src/funcs/checksRerequestCheck.ts
function checksRerequestCheck(client, request, options) {
  return new APIPromise($do36(client, request, options));
}
async function $do36(client, request, options) {
  const parsed = safeParse(request, (value) => RerequestCheckRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    checkId: encodeSimple("checkId", payload.checkId, {
      explode: false,
      charEncoding: "percent"
    }),
    deploymentId: encodeSimple("deploymentId", payload.deploymentId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/deployments/{deploymentId}/checks/{checkId}/rerequest")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "rerequestCheck",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, RerequestCheckResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_checksRerequestCheck = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_rerequestcheckop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/checksRerequestCheck.ts
var args35, tool$checksRerequestCheck;
var init_checksRerequestCheck2 = __esm(() => {
  init_checksRerequestCheck();
  init_rerequestcheckop();
  init_tools();
  args35 = {
    request: RerequestCheckRequest$inboundSchema
  };
  tool$checksRerequestCheck = {
    name: "checks-rerequest-check",
    description: `Rerequest a check

Rerequest a selected check that has failed.`,
    args: args35,
    tool: async (client, args36, ctx) => {
      const [result, apiCall] = await checksRerequestCheck(client, args36.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/updatecheckop.ts
var Status, Conclusion, UpdateCheckSource, UpdateCheckChecksSource, UpdateCheckChecksRequestSource, UpdateCheckChecksRequestRequestBodySource, UpdateCheckChecksRequestRequestBodyOutputSource, UpdateCheckStatus, UpdateCheckConclusion, UpdateCheckChecksResponseSource, UpdateCheckChecksResponse200Source, UpdateCheckChecksResponse200ApplicationJSONSource, UpdateCheckChecksResponse200ApplicationJSONResponseBodySource, UpdateCheckChecksResponse200ApplicationJSONResponseBodyOutputSource, Status$inboundSchema, Status$outboundSchema, Status$, Conclusion$inboundSchema, Conclusion$outboundSchema, Conclusion$, UpdateCheckSource$inboundSchema, UpdateCheckSource$outboundSchema, UpdateCheckSource$, Fcp$inboundSchema, Fcp$outboundSchema, Fcp$, UpdateCheckChecksSource$inboundSchema, UpdateCheckChecksSource$outboundSchema, UpdateCheckChecksSource$, Lcp$inboundSchema, Lcp$outboundSchema, Lcp$, UpdateCheckChecksRequestSource$inboundSchema, UpdateCheckChecksRequestSource$outboundSchema, UpdateCheckChecksRequestSource$, Cls$inboundSchema, Cls$outboundSchema, Cls$, UpdateCheckChecksRequestRequestBodySource$inboundSchema, UpdateCheckChecksRequestRequestBodySource$outboundSchema, UpdateCheckChecksRequestRequestBodySource$, Tbt$inboundSchema, Tbt$outboundSchema, Tbt$, UpdateCheckChecksRequestRequestBodyOutputSource$inboundSchema, UpdateCheckChecksRequestRequestBodyOutputSource$outboundSchema, UpdateCheckChecksRequestRequestBodyOutputSource$, VirtualExperienceScore$inboundSchema, VirtualExperienceScore$outboundSchema, VirtualExperienceScore$, Metrics$inboundSchema, Metrics$outboundSchema, Metrics$, Output$inboundSchema, Output$outboundSchema, Output$, UpdateCheckRequestBody$inboundSchema, UpdateCheckRequestBody$outboundSchema, UpdateCheckRequestBody$, UpdateCheckRequest$inboundSchema, UpdateCheckRequest$outboundSchema, UpdateCheckRequest$, UpdateCheckStatus$inboundSchema, UpdateCheckStatus$outboundSchema, UpdateCheckStatus$, UpdateCheckConclusion$inboundSchema, UpdateCheckConclusion$outboundSchema, UpdateCheckConclusion$, UpdateCheckChecksResponseSource$inboundSchema, UpdateCheckChecksResponseSource$outboundSchema, UpdateCheckChecksResponseSource$, UpdateCheckFCP$inboundSchema, UpdateCheckFCP$outboundSchema, UpdateCheckFCP$, UpdateCheckChecksResponse200Source$inboundSchema, UpdateCheckChecksResponse200Source$outboundSchema, UpdateCheckChecksResponse200Source$, UpdateCheckLCP$inboundSchema, UpdateCheckLCP$outboundSchema, UpdateCheckLCP$, UpdateCheckChecksResponse200ApplicationJSONSource$inboundSchema, UpdateCheckChecksResponse200ApplicationJSONSource$outboundSchema, UpdateCheckChecksResponse200ApplicationJSONSource$, UpdateCheckCLS$inboundSchema, UpdateCheckCLS$outboundSchema, UpdateCheckCLS$, UpdateCheckChecksResponse200ApplicationJSONResponseBodySource$inboundSchema, UpdateCheckChecksResponse200ApplicationJSONResponseBodySource$outboundSchema, UpdateCheckChecksResponse200ApplicationJSONResponseBodySource$, UpdateCheckTBT$inboundSchema, UpdateCheckTBT$outboundSchema, UpdateCheckTBT$, UpdateCheckChecksResponse200ApplicationJSONResponseBodyOutputSource$inboundSchema, UpdateCheckChecksResponse200ApplicationJSONResponseBodyOutputSource$outboundSchema, UpdateCheckChecksResponse200ApplicationJSONResponseBodyOutputSource$, UpdateCheckVirtualExperienceScore$inboundSchema, UpdateCheckVirtualExperienceScore$outboundSchema, UpdateCheckVirtualExperienceScore$, UpdateCheckMetrics$inboundSchema, UpdateCheckMetrics$outboundSchema, UpdateCheckMetrics$, UpdateCheckOutput$inboundSchema, UpdateCheckOutput$outboundSchema, UpdateCheckOutput$, UpdateCheckResponseBody$inboundSchema, UpdateCheckResponseBody$outboundSchema, UpdateCheckResponseBody$;
var init_updatecheckop = __esm(() => {
  init_esm();
  init_primitives();
  Status = {
    Running: "running",
    Completed: "completed"
  };
  Conclusion = {
    Canceled: "canceled",
    Failed: "failed",
    Neutral: "neutral",
    Succeeded: "succeeded",
    Skipped: "skipped"
  };
  UpdateCheckSource = {
    WebVitals: "web-vitals"
  };
  UpdateCheckChecksSource = {
    WebVitals: "web-vitals"
  };
  UpdateCheckChecksRequestSource = {
    WebVitals: "web-vitals"
  };
  UpdateCheckChecksRequestRequestBodySource = {
    WebVitals: "web-vitals"
  };
  UpdateCheckChecksRequestRequestBodyOutputSource = {
    WebVitals: "web-vitals"
  };
  UpdateCheckStatus = {
    Registered: "registered",
    Running: "running",
    Completed: "completed"
  };
  UpdateCheckConclusion = {
    Canceled: "canceled",
    Failed: "failed",
    Neutral: "neutral",
    Succeeded: "succeeded",
    Skipped: "skipped",
    Stale: "stale"
  };
  UpdateCheckChecksResponseSource = {
    WebVitals: "web-vitals"
  };
  UpdateCheckChecksResponse200Source = {
    WebVitals: "web-vitals"
  };
  UpdateCheckChecksResponse200ApplicationJSONSource = {
    WebVitals: "web-vitals"
  };
  UpdateCheckChecksResponse200ApplicationJSONResponseBodySource = {
    WebVitals: "web-vitals"
  };
  UpdateCheckChecksResponse200ApplicationJSONResponseBodyOutputSource = {
    WebVitals: "web-vitals"
  };
  Status$inboundSchema = nativeEnumType(Status);
  Status$outboundSchema = Status$inboundSchema;
  ((Status$) => {
    Status$.inboundSchema = Status$inboundSchema;
    Status$.outboundSchema = Status$outboundSchema;
  })(Status$ ||= {});
  Conclusion$inboundSchema = nativeEnumType(Conclusion);
  Conclusion$outboundSchema = Conclusion$inboundSchema;
  ((Conclusion$) => {
    Conclusion$.inboundSchema = Conclusion$inboundSchema;
    Conclusion$.outboundSchema = Conclusion$outboundSchema;
  })(Conclusion$ ||= {});
  UpdateCheckSource$inboundSchema = nativeEnumType(UpdateCheckSource);
  UpdateCheckSource$outboundSchema = UpdateCheckSource$inboundSchema;
  ((UpdateCheckSource$) => {
    UpdateCheckSource$.inboundSchema = UpdateCheckSource$inboundSchema;
    UpdateCheckSource$.outboundSchema = UpdateCheckSource$outboundSchema;
  })(UpdateCheckSource$ ||= {});
  Fcp$inboundSchema = objectType({
    value: nullableType(numberType()),
    previousValue: numberType().optional(),
    source: UpdateCheckSource$inboundSchema
  });
  Fcp$outboundSchema = objectType({
    value: nullableType(numberType()),
    previousValue: numberType().optional(),
    source: UpdateCheckSource$outboundSchema
  });
  ((Fcp$) => {
    Fcp$.inboundSchema = Fcp$inboundSchema;
    Fcp$.outboundSchema = Fcp$outboundSchema;
  })(Fcp$ ||= {});
  UpdateCheckChecksSource$inboundSchema = nativeEnumType(UpdateCheckChecksSource);
  UpdateCheckChecksSource$outboundSchema = UpdateCheckChecksSource$inboundSchema;
  ((UpdateCheckChecksSource$) => {
    UpdateCheckChecksSource$.inboundSchema = UpdateCheckChecksSource$inboundSchema;
    UpdateCheckChecksSource$.outboundSchema = UpdateCheckChecksSource$outboundSchema;
  })(UpdateCheckChecksSource$ ||= {});
  Lcp$inboundSchema = objectType({
    value: nullableType(numberType()),
    previousValue: numberType().optional(),
    source: UpdateCheckChecksSource$inboundSchema
  });
  Lcp$outboundSchema = objectType({
    value: nullableType(numberType()),
    previousValue: numberType().optional(),
    source: UpdateCheckChecksSource$outboundSchema
  });
  ((Lcp$) => {
    Lcp$.inboundSchema = Lcp$inboundSchema;
    Lcp$.outboundSchema = Lcp$outboundSchema;
  })(Lcp$ ||= {});
  UpdateCheckChecksRequestSource$inboundSchema = nativeEnumType(UpdateCheckChecksRequestSource);
  UpdateCheckChecksRequestSource$outboundSchema = UpdateCheckChecksRequestSource$inboundSchema;
  ((UpdateCheckChecksRequestSource$) => {
    UpdateCheckChecksRequestSource$.inboundSchema = UpdateCheckChecksRequestSource$inboundSchema;
    UpdateCheckChecksRequestSource$.outboundSchema = UpdateCheckChecksRequestSource$outboundSchema;
  })(UpdateCheckChecksRequestSource$ ||= {});
  Cls$inboundSchema = objectType({
    value: nullableType(numberType()),
    previousValue: numberType().optional(),
    source: UpdateCheckChecksRequestSource$inboundSchema
  });
  Cls$outboundSchema = objectType({
    value: nullableType(numberType()),
    previousValue: numberType().optional(),
    source: UpdateCheckChecksRequestSource$outboundSchema
  });
  ((Cls$) => {
    Cls$.inboundSchema = Cls$inboundSchema;
    Cls$.outboundSchema = Cls$outboundSchema;
  })(Cls$ ||= {});
  UpdateCheckChecksRequestRequestBodySource$inboundSchema = nativeEnumType(UpdateCheckChecksRequestRequestBodySource);
  UpdateCheckChecksRequestRequestBodySource$outboundSchema = UpdateCheckChecksRequestRequestBodySource$inboundSchema;
  ((UpdateCheckChecksRequestRequestBodySource$) => {
    UpdateCheckChecksRequestRequestBodySource$.inboundSchema = UpdateCheckChecksRequestRequestBodySource$inboundSchema;
    UpdateCheckChecksRequestRequestBodySource$.outboundSchema = UpdateCheckChecksRequestRequestBodySource$outboundSchema;
  })(UpdateCheckChecksRequestRequestBodySource$ ||= {});
  Tbt$inboundSchema = objectType({
    value: nullableType(numberType()),
    previousValue: numberType().optional(),
    source: UpdateCheckChecksRequestRequestBodySource$inboundSchema
  });
  Tbt$outboundSchema = objectType({
    value: nullableType(numberType()),
    previousValue: numberType().optional(),
    source: UpdateCheckChecksRequestRequestBodySource$outboundSchema
  });
  ((Tbt$) => {
    Tbt$.inboundSchema = Tbt$inboundSchema;
    Tbt$.outboundSchema = Tbt$outboundSchema;
  })(Tbt$ ||= {});
  UpdateCheckChecksRequestRequestBodyOutputSource$inboundSchema = nativeEnumType(UpdateCheckChecksRequestRequestBodyOutputSource);
  UpdateCheckChecksRequestRequestBodyOutputSource$outboundSchema = UpdateCheckChecksRequestRequestBodyOutputSource$inboundSchema;
  ((UpdateCheckChecksRequestRequestBodyOutputSource$) => {
    UpdateCheckChecksRequestRequestBodyOutputSource$.inboundSchema = UpdateCheckChecksRequestRequestBodyOutputSource$inboundSchema;
    UpdateCheckChecksRequestRequestBodyOutputSource$.outboundSchema = UpdateCheckChecksRequestRequestBodyOutputSource$outboundSchema;
  })(UpdateCheckChecksRequestRequestBodyOutputSource$ ||= {});
  VirtualExperienceScore$inboundSchema = objectType({
    value: nullableType(numberType().int()),
    previousValue: numberType().int().optional(),
    source: UpdateCheckChecksRequestRequestBodyOutputSource$inboundSchema
  });
  VirtualExperienceScore$outboundSchema = objectType({
    value: nullableType(numberType().int()),
    previousValue: numberType().int().optional(),
    source: UpdateCheckChecksRequestRequestBodyOutputSource$outboundSchema
  });
  ((VirtualExperienceScore$) => {
    VirtualExperienceScore$.inboundSchema = VirtualExperienceScore$inboundSchema;
    VirtualExperienceScore$.outboundSchema = VirtualExperienceScore$outboundSchema;
  })(VirtualExperienceScore$ ||= {});
  Metrics$inboundSchema = objectType({
    FCP: lazyType(() => Fcp$inboundSchema),
    LCP: lazyType(() => Lcp$inboundSchema),
    CLS: lazyType(() => Cls$inboundSchema),
    TBT: lazyType(() => Tbt$inboundSchema),
    virtualExperienceScore: lazyType(() => VirtualExperienceScore$inboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      FCP: "fcp",
      LCP: "lcp",
      CLS: "cls",
      TBT: "tbt"
    });
  });
  Metrics$outboundSchema = objectType({
    fcp: lazyType(() => Fcp$outboundSchema),
    lcp: lazyType(() => Lcp$outboundSchema),
    cls: lazyType(() => Cls$outboundSchema),
    tbt: lazyType(() => Tbt$outboundSchema),
    virtualExperienceScore: lazyType(() => VirtualExperienceScore$outboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      fcp: "FCP",
      lcp: "LCP",
      cls: "CLS",
      tbt: "TBT"
    });
  });
  ((Metrics$) => {
    Metrics$.inboundSchema = Metrics$inboundSchema;
    Metrics$.outboundSchema = Metrics$outboundSchema;
  })(Metrics$ ||= {});
  Output$inboundSchema = objectType({
    metrics: lazyType(() => Metrics$inboundSchema).optional()
  });
  Output$outboundSchema = objectType({
    metrics: lazyType(() => Metrics$outboundSchema).optional()
  });
  ((Output$) => {
    Output$.inboundSchema = Output$inboundSchema;
    Output$.outboundSchema = Output$outboundSchema;
  })(Output$ ||= {});
  UpdateCheckRequestBody$inboundSchema = objectType({
    name: stringType().optional(),
    path: stringType().optional(),
    status: Status$inboundSchema.optional(),
    conclusion: Conclusion$inboundSchema.optional(),
    detailsUrl: stringType().optional(),
    output: lazyType(() => Output$inboundSchema).optional(),
    externalId: stringType().optional()
  });
  UpdateCheckRequestBody$outboundSchema = objectType({
    name: stringType().optional(),
    path: stringType().optional(),
    status: Status$outboundSchema.optional(),
    conclusion: Conclusion$outboundSchema.optional(),
    detailsUrl: stringType().optional(),
    output: lazyType(() => Output$outboundSchema).optional(),
    externalId: stringType().optional()
  });
  ((UpdateCheckRequestBody$) => {
    UpdateCheckRequestBody$.inboundSchema = UpdateCheckRequestBody$inboundSchema;
    UpdateCheckRequestBody$.outboundSchema = UpdateCheckRequestBody$outboundSchema;
  })(UpdateCheckRequestBody$ ||= {});
  UpdateCheckRequest$inboundSchema = objectType({
    deploymentId: stringType(),
    checkId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    RequestBody: lazyType(() => UpdateCheckRequestBody$inboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  UpdateCheckRequest$outboundSchema = objectType({
    deploymentId: stringType(),
    checkId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    requestBody: lazyType(() => UpdateCheckRequestBody$outboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((UpdateCheckRequest$) => {
    UpdateCheckRequest$.inboundSchema = UpdateCheckRequest$inboundSchema;
    UpdateCheckRequest$.outboundSchema = UpdateCheckRequest$outboundSchema;
  })(UpdateCheckRequest$ ||= {});
  UpdateCheckStatus$inboundSchema = nativeEnumType(UpdateCheckStatus);
  UpdateCheckStatus$outboundSchema = UpdateCheckStatus$inboundSchema;
  ((UpdateCheckStatus$) => {
    UpdateCheckStatus$.inboundSchema = UpdateCheckStatus$inboundSchema;
    UpdateCheckStatus$.outboundSchema = UpdateCheckStatus$outboundSchema;
  })(UpdateCheckStatus$ ||= {});
  UpdateCheckConclusion$inboundSchema = nativeEnumType(UpdateCheckConclusion);
  UpdateCheckConclusion$outboundSchema = UpdateCheckConclusion$inboundSchema;
  ((UpdateCheckConclusion$) => {
    UpdateCheckConclusion$.inboundSchema = UpdateCheckConclusion$inboundSchema;
    UpdateCheckConclusion$.outboundSchema = UpdateCheckConclusion$outboundSchema;
  })(UpdateCheckConclusion$ ||= {});
  UpdateCheckChecksResponseSource$inboundSchema = nativeEnumType(UpdateCheckChecksResponseSource);
  UpdateCheckChecksResponseSource$outboundSchema = UpdateCheckChecksResponseSource$inboundSchema;
  ((UpdateCheckChecksResponseSource$) => {
    UpdateCheckChecksResponseSource$.inboundSchema = UpdateCheckChecksResponseSource$inboundSchema;
    UpdateCheckChecksResponseSource$.outboundSchema = UpdateCheckChecksResponseSource$outboundSchema;
  })(UpdateCheckChecksResponseSource$ ||= {});
  UpdateCheckFCP$inboundSchema = objectType({
    value: nullableType(numberType()),
    previousValue: numberType().optional(),
    source: UpdateCheckChecksResponseSource$inboundSchema
  });
  UpdateCheckFCP$outboundSchema = objectType({
    value: nullableType(numberType()),
    previousValue: numberType().optional(),
    source: UpdateCheckChecksResponseSource$outboundSchema
  });
  ((UpdateCheckFCP$) => {
    UpdateCheckFCP$.inboundSchema = UpdateCheckFCP$inboundSchema;
    UpdateCheckFCP$.outboundSchema = UpdateCheckFCP$outboundSchema;
  })(UpdateCheckFCP$ ||= {});
  UpdateCheckChecksResponse200Source$inboundSchema = nativeEnumType(UpdateCheckChecksResponse200Source);
  UpdateCheckChecksResponse200Source$outboundSchema = UpdateCheckChecksResponse200Source$inboundSchema;
  ((UpdateCheckChecksResponse200Source$) => {
    UpdateCheckChecksResponse200Source$.inboundSchema = UpdateCheckChecksResponse200Source$inboundSchema;
    UpdateCheckChecksResponse200Source$.outboundSchema = UpdateCheckChecksResponse200Source$outboundSchema;
  })(UpdateCheckChecksResponse200Source$ ||= {});
  UpdateCheckLCP$inboundSchema = objectType({
    value: nullableType(numberType()),
    previousValue: numberType().optional(),
    source: UpdateCheckChecksResponse200Source$inboundSchema
  });
  UpdateCheckLCP$outboundSchema = objectType({
    value: nullableType(numberType()),
    previousValue: numberType().optional(),
    source: UpdateCheckChecksResponse200Source$outboundSchema
  });
  ((UpdateCheckLCP$) => {
    UpdateCheckLCP$.inboundSchema = UpdateCheckLCP$inboundSchema;
    UpdateCheckLCP$.outboundSchema = UpdateCheckLCP$outboundSchema;
  })(UpdateCheckLCP$ ||= {});
  UpdateCheckChecksResponse200ApplicationJSONSource$inboundSchema = nativeEnumType(UpdateCheckChecksResponse200ApplicationJSONSource);
  UpdateCheckChecksResponse200ApplicationJSONSource$outboundSchema = UpdateCheckChecksResponse200ApplicationJSONSource$inboundSchema;
  ((UpdateCheckChecksResponse200ApplicationJSONSource$) => {
    UpdateCheckChecksResponse200ApplicationJSONSource$.inboundSchema = UpdateCheckChecksResponse200ApplicationJSONSource$inboundSchema;
    UpdateCheckChecksResponse200ApplicationJSONSource$.outboundSchema = UpdateCheckChecksResponse200ApplicationJSONSource$outboundSchema;
  })(UpdateCheckChecksResponse200ApplicationJSONSource$ ||= {});
  UpdateCheckCLS$inboundSchema = objectType({
    value: nullableType(numberType()),
    previousValue: numberType().optional(),
    source: UpdateCheckChecksResponse200ApplicationJSONSource$inboundSchema
  });
  UpdateCheckCLS$outboundSchema = objectType({
    value: nullableType(numberType()),
    previousValue: numberType().optional(),
    source: UpdateCheckChecksResponse200ApplicationJSONSource$outboundSchema
  });
  ((UpdateCheckCLS$) => {
    UpdateCheckCLS$.inboundSchema = UpdateCheckCLS$inboundSchema;
    UpdateCheckCLS$.outboundSchema = UpdateCheckCLS$outboundSchema;
  })(UpdateCheckCLS$ ||= {});
  UpdateCheckChecksResponse200ApplicationJSONResponseBodySource$inboundSchema = nativeEnumType(UpdateCheckChecksResponse200ApplicationJSONResponseBodySource);
  UpdateCheckChecksResponse200ApplicationJSONResponseBodySource$outboundSchema = UpdateCheckChecksResponse200ApplicationJSONResponseBodySource$inboundSchema;
  ((UpdateCheckChecksResponse200ApplicationJSONResponseBodySource$) => {
    UpdateCheckChecksResponse200ApplicationJSONResponseBodySource$.inboundSchema = UpdateCheckChecksResponse200ApplicationJSONResponseBodySource$inboundSchema;
    UpdateCheckChecksResponse200ApplicationJSONResponseBodySource$.outboundSchema = UpdateCheckChecksResponse200ApplicationJSONResponseBodySource$outboundSchema;
  })(UpdateCheckChecksResponse200ApplicationJSONResponseBodySource$ ||= {});
  UpdateCheckTBT$inboundSchema = objectType({
    value: nullableType(numberType()),
    previousValue: numberType().optional(),
    source: UpdateCheckChecksResponse200ApplicationJSONResponseBodySource$inboundSchema
  });
  UpdateCheckTBT$outboundSchema = objectType({
    value: nullableType(numberType()),
    previousValue: numberType().optional(),
    source: UpdateCheckChecksResponse200ApplicationJSONResponseBodySource$outboundSchema
  });
  ((UpdateCheckTBT$) => {
    UpdateCheckTBT$.inboundSchema = UpdateCheckTBT$inboundSchema;
    UpdateCheckTBT$.outboundSchema = UpdateCheckTBT$outboundSchema;
  })(UpdateCheckTBT$ ||= {});
  UpdateCheckChecksResponse200ApplicationJSONResponseBodyOutputSource$inboundSchema = nativeEnumType(UpdateCheckChecksResponse200ApplicationJSONResponseBodyOutputSource);
  UpdateCheckChecksResponse200ApplicationJSONResponseBodyOutputSource$outboundSchema = UpdateCheckChecksResponse200ApplicationJSONResponseBodyOutputSource$inboundSchema;
  ((UpdateCheckChecksResponse200ApplicationJSONResponseBodyOutputSource$) => {
    UpdateCheckChecksResponse200ApplicationJSONResponseBodyOutputSource$.inboundSchema = UpdateCheckChecksResponse200ApplicationJSONResponseBodyOutputSource$inboundSchema;
    UpdateCheckChecksResponse200ApplicationJSONResponseBodyOutputSource$.outboundSchema = UpdateCheckChecksResponse200ApplicationJSONResponseBodyOutputSource$outboundSchema;
  })(UpdateCheckChecksResponse200ApplicationJSONResponseBodyOutputSource$ ||= {});
  UpdateCheckVirtualExperienceScore$inboundSchema = objectType({
    value: nullableType(numberType()),
    previousValue: numberType().optional(),
    source: UpdateCheckChecksResponse200ApplicationJSONResponseBodyOutputSource$inboundSchema
  });
  UpdateCheckVirtualExperienceScore$outboundSchema = objectType({
    value: nullableType(numberType()),
    previousValue: numberType().optional(),
    source: UpdateCheckChecksResponse200ApplicationJSONResponseBodyOutputSource$outboundSchema
  });
  ((UpdateCheckVirtualExperienceScore$) => {
    UpdateCheckVirtualExperienceScore$.inboundSchema = UpdateCheckVirtualExperienceScore$inboundSchema;
    UpdateCheckVirtualExperienceScore$.outboundSchema = UpdateCheckVirtualExperienceScore$outboundSchema;
  })(UpdateCheckVirtualExperienceScore$ ||= {});
  UpdateCheckMetrics$inboundSchema = objectType({
    FCP: lazyType(() => UpdateCheckFCP$inboundSchema),
    LCP: lazyType(() => UpdateCheckLCP$inboundSchema),
    CLS: lazyType(() => UpdateCheckCLS$inboundSchema),
    TBT: lazyType(() => UpdateCheckTBT$inboundSchema),
    virtualExperienceScore: lazyType(() => UpdateCheckVirtualExperienceScore$inboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      FCP: "fcp",
      LCP: "lcp",
      CLS: "cls",
      TBT: "tbt"
    });
  });
  UpdateCheckMetrics$outboundSchema = objectType({
    fcp: lazyType(() => UpdateCheckFCP$outboundSchema),
    lcp: lazyType(() => UpdateCheckLCP$outboundSchema),
    cls: lazyType(() => UpdateCheckCLS$outboundSchema),
    tbt: lazyType(() => UpdateCheckTBT$outboundSchema),
    virtualExperienceScore: lazyType(() => UpdateCheckVirtualExperienceScore$outboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      fcp: "FCP",
      lcp: "LCP",
      cls: "CLS",
      tbt: "TBT"
    });
  });
  ((UpdateCheckMetrics$) => {
    UpdateCheckMetrics$.inboundSchema = UpdateCheckMetrics$inboundSchema;
    UpdateCheckMetrics$.outboundSchema = UpdateCheckMetrics$outboundSchema;
  })(UpdateCheckMetrics$ ||= {});
  UpdateCheckOutput$inboundSchema = objectType({
    metrics: lazyType(() => UpdateCheckMetrics$inboundSchema).optional()
  });
  UpdateCheckOutput$outboundSchema = objectType({
    metrics: lazyType(() => UpdateCheckMetrics$outboundSchema).optional()
  });
  ((UpdateCheckOutput$) => {
    UpdateCheckOutput$.inboundSchema = UpdateCheckOutput$inboundSchema;
    UpdateCheckOutput$.outboundSchema = UpdateCheckOutput$outboundSchema;
  })(UpdateCheckOutput$ ||= {});
  UpdateCheckResponseBody$inboundSchema = objectType({
    id: stringType(),
    name: stringType(),
    path: stringType().optional(),
    status: UpdateCheckStatus$inboundSchema,
    conclusion: UpdateCheckConclusion$inboundSchema.optional(),
    blocking: booleanType(),
    output: lazyType(() => UpdateCheckOutput$inboundSchema).optional(),
    detailsUrl: stringType().optional(),
    integrationId: stringType(),
    deploymentId: stringType(),
    externalId: stringType().optional(),
    createdAt: numberType(),
    updatedAt: numberType(),
    startedAt: numberType().optional(),
    completedAt: numberType().optional(),
    rerequestable: booleanType().optional()
  });
  UpdateCheckResponseBody$outboundSchema = objectType({
    id: stringType(),
    name: stringType(),
    path: stringType().optional(),
    status: UpdateCheckStatus$outboundSchema,
    conclusion: UpdateCheckConclusion$outboundSchema.optional(),
    blocking: booleanType(),
    output: lazyType(() => UpdateCheckOutput$outboundSchema).optional(),
    detailsUrl: stringType().optional(),
    integrationId: stringType(),
    deploymentId: stringType(),
    externalId: stringType().optional(),
    createdAt: numberType(),
    updatedAt: numberType(),
    startedAt: numberType().optional(),
    completedAt: numberType().optional(),
    rerequestable: booleanType().optional()
  });
  ((UpdateCheckResponseBody$) => {
    UpdateCheckResponseBody$.inboundSchema = UpdateCheckResponseBody$inboundSchema;
    UpdateCheckResponseBody$.outboundSchema = UpdateCheckResponseBody$outboundSchema;
  })(UpdateCheckResponseBody$ ||= {});
});

// src/funcs/checksUpdateCheck.ts
function checksUpdateCheck(client, request, options) {
  return new APIPromise($do37(client, request, options));
}
async function $do37(client, request, options) {
  const parsed = safeParse(request, (value) => UpdateCheckRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    checkId: encodeSimple("checkId", payload.checkId, {
      explode: false,
      charEncoding: "percent"
    }),
    deploymentId: encodeSimple("deploymentId", payload.deploymentId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/deployments/{deploymentId}/checks/{checkId}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "updateCheck",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "PATCH",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "413", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, UpdateCheckResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, 413, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_checksUpdateCheck = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_updatecheckop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/checksUpdateCheck.ts
var args36, tool$checksUpdateCheck;
var init_checksUpdateCheck2 = __esm(() => {
  init_checksUpdateCheck();
  init_updatecheckop();
  init_tools();
  args36 = {
    request: UpdateCheckRequest$inboundSchema
  };
  tool$checksUpdateCheck = {
    name: "checks-update-check",
    description: `Update a check

Update an existing check. This endpoint must be called with an OAuth2 or it will produce a 400 error.`,
    args: args36,
    tool: async (client, args37, ctx) => {
      const [result, apiCall] = await checksUpdateCheck(client, args37.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/deleteprojectsprojectidlogspresetsidop.ts
var DeleteProjectsProjectIdLogsPresetsIdRequest$inboundSchema, DeleteProjectsProjectIdLogsPresetsIdRequest$outboundSchema, DeleteProjectsProjectIdLogsPresetsIdRequest$;
var init_deleteprojectsprojectidlogspresetsidop = __esm(() => {
  init_esm();
  DeleteProjectsProjectIdLogsPresetsIdRequest$inboundSchema = objectType({
    projectId: stringType(),
    id: stringType()
  });
  DeleteProjectsProjectIdLogsPresetsIdRequest$outboundSchema = objectType({
    projectId: stringType(),
    id: stringType()
  });
  ((DeleteProjectsProjectIdLogsPresetsIdRequest$) => {
    DeleteProjectsProjectIdLogsPresetsIdRequest$.inboundSchema = DeleteProjectsProjectIdLogsPresetsIdRequest$inboundSchema;
    DeleteProjectsProjectIdLogsPresetsIdRequest$.outboundSchema = DeleteProjectsProjectIdLogsPresetsIdRequest$outboundSchema;
  })(DeleteProjectsProjectIdLogsPresetsIdRequest$ ||= {});
});

// src/funcs/deleteProjectsProjectIdLogsPresetsId.ts
function deleteProjectsProjectIdLogsPresetsId(client, request, options) {
  return new APIPromise($do38(client, request, options));
}
async function $do38(client, request, options) {
  const parsed = safeParse(request, (value) => DeleteProjectsProjectIdLogsPresetsIdRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    id: encodeSimple("id", payload.id, {
      explode: false,
      charEncoding: "percent"
    }),
    projectId: encodeSimple("projectId", payload.projectId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/projects/{projectId}/logs-presets/{id}")(pathParams);
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "delete_/projects/{projectId}/logs-presets/{id}",
    oAuth2Scopes: [],
    resolvedSecurity: null,
    securitySource: null,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    method: "DELETE",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(nil(204, voidType()), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_deleteProjectsProjectIdLogsPresetsId = __esm(() => {
  init_esm();
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_url();
  init_deleteprojectsprojectidlogspresetsidop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/deleteProjectsProjectIdLogsPresetsId.ts
var args37, tool$deleteProjectsProjectIdLogsPresetsId;
var init_deleteProjectsProjectIdLogsPresetsId2 = __esm(() => {
  init_deleteProjectsProjectIdLogsPresetsId();
  init_deleteprojectsprojectidlogspresetsidop();
  init_tools();
  args37 = {
    request: DeleteProjectsProjectIdLogsPresetsIdRequest$inboundSchema
  };
  tool$deleteProjectsProjectIdLogsPresetsId = {
    name: "delete-projects-project-id-logs-presets-id",
    description: ``,
    args: args37,
    tool: async (client, args38, ctx) => {
      const [result, apiCall] = await deleteProjectsProjectIdLogsPresetsId(client, args38.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      return formatResult(undefined, apiCall);
    }
  };
});

// src/models/flagjsonvalue.ts
var FlagJSONValue$inboundSchema, FlagJSONValue$outboundSchema, FlagJSONValue$;
var init_flagjsonvalue = __esm(() => {
  init_esm();
  FlagJSONValue$inboundSchema = unionType([
    stringType(),
    numberType(),
    booleanType(),
    arrayType(nullableType(lazyType(() => FlagJSONValue$inboundSchema))),
    recordType(nullableType(lazyType(() => FlagJSONValue$inboundSchema)))
  ]);
  FlagJSONValue$outboundSchema = unionType([
    stringType(),
    numberType(),
    booleanType(),
    arrayType(nullableType(lazyType(() => FlagJSONValue$outboundSchema))),
    recordType(nullableType(lazyType(() => FlagJSONValue$outboundSchema)))
  ]);
  ((FlagJSONValue$) => {
    FlagJSONValue$.inboundSchema = FlagJSONValue$inboundSchema;
    FlagJSONValue$.outboundSchema = FlagJSONValue$outboundSchema;
  })(FlagJSONValue$ ||= {});
});

// src/models/canceldeploymentop.ts
var CancelDeploymentFramework, CancelDeploymentDeploymentsStatus, CancelDeploymentProtocol, CancelDeploymentFormats, CancelDeploymentContentDispositionType, CancelDeploymentDeploymentsReadyState, CancelDeploymentStatus, CancelDeploymentCustomEnvironmentType, CancelDeploymentCustomEnvironmentDeploymentsType, CancelDeploymentChecksState, CancelDeploymentChecksConclusion, CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody12Type, CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type, CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody10Type, CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type, CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type, CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type, CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType, CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONType, CancelDeploymentGitSourceDeploymentsResponse200Type, CancelDeploymentGitSourceDeploymentsResponseType, CancelDeploymentGitSourceDeploymentsType, CancelDeploymentGitSourceType, CancelDeploymentReadyState, CancelDeploymentReadySubstate, CancelDeploymentSource, CancelDeploymentTarget, CancelDeploymentType, CancelDeploymentPlan, CancelDeploymentRoutesHandle, CancelDeploymentHasDeploymentsType, CancelDeploymentHasType, CancelDeploymentMissingDeploymentsType, CancelDeploymentMissingType, CancelDeploymentGitRepoDeploymentsResponseType, CancelDeploymentGitRepoDeploymentsResponseOwnerType, CancelDeploymentGitRepoDeploymentsType, CancelDeploymentGitRepoDeploymentsOwnerType, CancelDeploymentGitRepoType, CancelDeploymentGitRepoOwnerType, CancelDeploymentFunctionType, CancelDeploymentFunctionMemoryType, CancelDeploymentRequest$inboundSchema, CancelDeploymentRequest$outboundSchema, CancelDeploymentRequest$, CancelDeploymentAliasAssignedAt$inboundSchema, CancelDeploymentAliasAssignedAt$outboundSchema, CancelDeploymentAliasAssignedAt$, CancelDeploymentBuild$inboundSchema, CancelDeploymentBuild$outboundSchema, CancelDeploymentBuild$, CancelDeploymentBuilds$inboundSchema, CancelDeploymentBuilds$outboundSchema, CancelDeploymentBuilds$, CancelDeploymentFramework$inboundSchema, CancelDeploymentFramework$outboundSchema, CancelDeploymentFramework$, CancelDeploymentSpeedInsights$inboundSchema, CancelDeploymentSpeedInsights$outboundSchema, CancelDeploymentSpeedInsights$, CancelDeploymentWebAnalytics$inboundSchema, CancelDeploymentWebAnalytics$outboundSchema, CancelDeploymentWebAnalytics$, CancelDeploymentProjectSettings$inboundSchema, CancelDeploymentProjectSettings$outboundSchema, CancelDeploymentProjectSettings$, CancelDeploymentDeploymentsStatus$inboundSchema, CancelDeploymentDeploymentsStatus$outboundSchema, CancelDeploymentDeploymentsStatus$, CancelDeploymentIntegrations$inboundSchema, CancelDeploymentIntegrations$outboundSchema, CancelDeploymentIntegrations$, CancelDeploymentProtocol$inboundSchema, CancelDeploymentProtocol$outboundSchema, CancelDeploymentProtocol$, CancelDeploymentRemotePatterns$inboundSchema, CancelDeploymentRemotePatterns$outboundSchema, CancelDeploymentRemotePatterns$, CancelDeploymentLocalPatterns$inboundSchema, CancelDeploymentLocalPatterns$outboundSchema, CancelDeploymentLocalPatterns$, CancelDeploymentFormats$inboundSchema, CancelDeploymentFormats$outboundSchema, CancelDeploymentFormats$, CancelDeploymentContentDispositionType$inboundSchema, CancelDeploymentContentDispositionType$outboundSchema, CancelDeploymentContentDispositionType$, CancelDeploymentImages$inboundSchema, CancelDeploymentImages$outboundSchema, CancelDeploymentImages$, CancelDeploymentCreator$inboundSchema, CancelDeploymentCreator$outboundSchema, CancelDeploymentCreator$, CancelDeploymentDeploymentsReadyState$inboundSchema, CancelDeploymentDeploymentsReadyState$outboundSchema, CancelDeploymentDeploymentsReadyState$, CancelDeploymentOutput$inboundSchema, CancelDeploymentOutput$outboundSchema, CancelDeploymentOutput$, CancelDeploymentLambdas$inboundSchema, CancelDeploymentLambdas$outboundSchema, CancelDeploymentLambdas$, CancelDeploymentStatus$inboundSchema, CancelDeploymentStatus$outboundSchema, CancelDeploymentStatus$, CancelDeploymentTeam$inboundSchema, CancelDeploymentTeam$outboundSchema, CancelDeploymentTeam$, CancelDeploymentCustomEnvironment2$inboundSchema, CancelDeploymentCustomEnvironment2$outboundSchema, CancelDeploymentCustomEnvironment2$, CancelDeploymentCustomEnvironmentType$inboundSchema, CancelDeploymentCustomEnvironmentType$outboundSchema, CancelDeploymentCustomEnvironmentType$, CancelDeploymentCustomEnvironmentDeploymentsType$inboundSchema, CancelDeploymentCustomEnvironmentDeploymentsType$outboundSchema, CancelDeploymentCustomEnvironmentDeploymentsType$, CancelDeploymentCustomEnvironmentBranchMatcher$inboundSchema, CancelDeploymentCustomEnvironmentBranchMatcher$outboundSchema, CancelDeploymentCustomEnvironmentBranchMatcher$, CancelDeploymentCustomEnvironmentVerification$inboundSchema, CancelDeploymentCustomEnvironmentVerification$outboundSchema, CancelDeploymentCustomEnvironmentVerification$, CancelDeploymentCustomEnvironmentDomains$inboundSchema, CancelDeploymentCustomEnvironmentDomains$outboundSchema, CancelDeploymentCustomEnvironmentDomains$, CancelDeploymentCustomEnvironment1$inboundSchema, CancelDeploymentCustomEnvironment1$outboundSchema, CancelDeploymentCustomEnvironment1$, CancelDeploymentCustomEnvironment$inboundSchema, CancelDeploymentCustomEnvironment$outboundSchema, CancelDeploymentCustomEnvironment$, CancelDeploymentAliasError$inboundSchema, CancelDeploymentAliasError$outboundSchema, CancelDeploymentAliasError$, CancelDeploymentAliasWarning$inboundSchema, CancelDeploymentAliasWarning$outboundSchema, CancelDeploymentAliasWarning$, CancelDeploymentChecksState$inboundSchema, CancelDeploymentChecksState$outboundSchema, CancelDeploymentChecksState$, CancelDeploymentChecksConclusion$inboundSchema, CancelDeploymentChecksConclusion$outboundSchema, CancelDeploymentChecksConclusion$, CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody12Type$inboundSchema, CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody12Type$outboundSchema, CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody12Type$, GitSource12$inboundSchema, GitSource12$outboundSchema, GitSource12$, CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type$inboundSchema, CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type$outboundSchema, CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type$, GitSource11$inboundSchema, GitSource11$outboundSchema, GitSource11$, CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody10Type$inboundSchema, CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody10Type$outboundSchema, CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody10Type$, GitSource10$inboundSchema, GitSource10$outboundSchema, GitSource10$, CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type$inboundSchema, CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type$outboundSchema, CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type$, GitSource9$inboundSchema, GitSource9$outboundSchema, GitSource9$, CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type$inboundSchema, CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type$outboundSchema, CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type$, GitSource8$inboundSchema, GitSource8$outboundSchema, GitSource8$, CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type$inboundSchema, CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type$outboundSchema, CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type$, GitSource7$inboundSchema, GitSource7$outboundSchema, GitSource7$, CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$inboundSchema, CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$outboundSchema, CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$, CancelDeploymentGitSource6$inboundSchema, CancelDeploymentGitSource6$outboundSchema, CancelDeploymentGitSource6$, CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$inboundSchema, CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$outboundSchema, CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$, CancelDeploymentGitSourceProjectId$inboundSchema, CancelDeploymentGitSourceProjectId$outboundSchema, CancelDeploymentGitSourceProjectId$, CancelDeploymentGitSource5$inboundSchema, CancelDeploymentGitSource5$outboundSchema, CancelDeploymentGitSource5$, CancelDeploymentGitSourceDeploymentsResponse200Type$inboundSchema, CancelDeploymentGitSourceDeploymentsResponse200Type$outboundSchema, CancelDeploymentGitSourceDeploymentsResponse200Type$, CancelDeploymentGitSource4$inboundSchema, CancelDeploymentGitSource4$outboundSchema, CancelDeploymentGitSource4$, CancelDeploymentGitSourceDeploymentsResponseType$inboundSchema, CancelDeploymentGitSourceDeploymentsResponseType$outboundSchema, CancelDeploymentGitSourceDeploymentsResponseType$, CancelDeploymentGitSourceDeploymentsRepoId$inboundSchema, CancelDeploymentGitSourceDeploymentsRepoId$outboundSchema, CancelDeploymentGitSourceDeploymentsRepoId$, CancelDeploymentGitSource3$inboundSchema, CancelDeploymentGitSource3$outboundSchema, CancelDeploymentGitSource3$, CancelDeploymentGitSourceDeploymentsType$inboundSchema, CancelDeploymentGitSourceDeploymentsType$outboundSchema, CancelDeploymentGitSourceDeploymentsType$, CancelDeploymentGitSource2$inboundSchema, CancelDeploymentGitSource2$outboundSchema, CancelDeploymentGitSource2$, CancelDeploymentGitSourceType$inboundSchema, CancelDeploymentGitSourceType$outboundSchema, CancelDeploymentGitSourceType$, CancelDeploymentGitSourceRepoId$inboundSchema, CancelDeploymentGitSourceRepoId$outboundSchema, CancelDeploymentGitSourceRepoId$, CancelDeploymentGitSource1$inboundSchema, CancelDeploymentGitSource1$outboundSchema, CancelDeploymentGitSource1$, CancelDeploymentGitSource$inboundSchema, CancelDeploymentGitSource$outboundSchema, CancelDeploymentGitSource$, CancelDeploymentProject$inboundSchema, CancelDeploymentProject$outboundSchema, CancelDeploymentProject$, CancelDeploymentReadyState$inboundSchema, CancelDeploymentReadyState$outboundSchema, CancelDeploymentReadyState$, CancelDeploymentReadySubstate$inboundSchema, CancelDeploymentReadySubstate$outboundSchema, CancelDeploymentReadySubstate$, CancelDeploymentSource$inboundSchema, CancelDeploymentSource$outboundSchema, CancelDeploymentSource$, CancelDeploymentTarget$inboundSchema, CancelDeploymentTarget$outboundSchema, CancelDeploymentTarget$, CancelDeploymentType$inboundSchema, CancelDeploymentType$outboundSchema, CancelDeploymentType$, CancelDeploymentOidcTokenClaims$inboundSchema, CancelDeploymentOidcTokenClaims$outboundSchema, CancelDeploymentOidcTokenClaims$, CancelDeploymentCrons$inboundSchema, CancelDeploymentCrons$outboundSchema, CancelDeploymentCrons$, CancelDeploymentFunctions$inboundSchema, CancelDeploymentFunctions$outboundSchema, CancelDeploymentFunctions$, CancelDeploymentPlan$inboundSchema, CancelDeploymentPlan$outboundSchema, CancelDeploymentPlan$, CancelDeploymentRoutes3$inboundSchema, CancelDeploymentRoutes3$outboundSchema, CancelDeploymentRoutes3$, CancelDeploymentRoutesHandle$inboundSchema, CancelDeploymentRoutesHandle$outboundSchema, CancelDeploymentRoutesHandle$, CancelDeploymentRoutes2$inboundSchema, CancelDeploymentRoutes2$outboundSchema, CancelDeploymentRoutes2$, CancelDeploymentHasDeploymentsType$inboundSchema, CancelDeploymentHasDeploymentsType$outboundSchema, CancelDeploymentHasDeploymentsType$, CancelDeploymentHas2$inboundSchema, CancelDeploymentHas2$outboundSchema, CancelDeploymentHas2$, CancelDeploymentHasType$inboundSchema, CancelDeploymentHasType$outboundSchema, CancelDeploymentHasType$, CancelDeploymentHas1$inboundSchema, CancelDeploymentHas1$outboundSchema, CancelDeploymentHas1$, CancelDeploymentRoutesHas$inboundSchema, CancelDeploymentRoutesHas$outboundSchema, CancelDeploymentRoutesHas$, CancelDeploymentMissingDeploymentsType$inboundSchema, CancelDeploymentMissingDeploymentsType$outboundSchema, CancelDeploymentMissingDeploymentsType$, CancelDeploymentMissing2$inboundSchema, CancelDeploymentMissing2$outboundSchema, CancelDeploymentMissing2$, CancelDeploymentMissingType$inboundSchema, CancelDeploymentMissingType$outboundSchema, CancelDeploymentMissingType$, CancelDeploymentMissing1$inboundSchema, CancelDeploymentMissing1$outboundSchema, CancelDeploymentMissing1$, CancelDeploymentRoutesMissing$inboundSchema, CancelDeploymentRoutesMissing$outboundSchema, CancelDeploymentRoutesMissing$, RoutesLocale$inboundSchema, RoutesLocale$outboundSchema, RoutesLocale$, CancelDeploymentRoutes1$inboundSchema, CancelDeploymentRoutes1$outboundSchema, CancelDeploymentRoutes1$, CancelDeploymentRoutes$inboundSchema, CancelDeploymentRoutes$outboundSchema, CancelDeploymentRoutes$, CancelDeploymentGitRepoDeploymentsResponseType$inboundSchema, CancelDeploymentGitRepoDeploymentsResponseType$outboundSchema, CancelDeploymentGitRepoDeploymentsResponseType$, CancelDeploymentGitRepoDeploymentsResponseOwnerType$inboundSchema, CancelDeploymentGitRepoDeploymentsResponseOwnerType$outboundSchema, CancelDeploymentGitRepoDeploymentsResponseOwnerType$, CancelDeploymentGitRepo3$inboundSchema, CancelDeploymentGitRepo3$outboundSchema, CancelDeploymentGitRepo3$, CancelDeploymentGitRepoDeploymentsType$inboundSchema, CancelDeploymentGitRepoDeploymentsType$outboundSchema, CancelDeploymentGitRepoDeploymentsType$, CancelDeploymentGitRepoDeploymentsOwnerType$inboundSchema, CancelDeploymentGitRepoDeploymentsOwnerType$outboundSchema, CancelDeploymentGitRepoDeploymentsOwnerType$, CancelDeploymentGitRepo2$inboundSchema, CancelDeploymentGitRepo2$outboundSchema, CancelDeploymentGitRepo2$, CancelDeploymentGitRepoType$inboundSchema, CancelDeploymentGitRepoType$outboundSchema, CancelDeploymentGitRepoType$, CancelDeploymentGitRepoOwnerType$inboundSchema, CancelDeploymentGitRepoOwnerType$outboundSchema, CancelDeploymentGitRepoOwnerType$, CancelDeploymentGitRepo1$inboundSchema, CancelDeploymentGitRepo1$outboundSchema, CancelDeploymentGitRepo1$, CancelDeploymentGitRepo$inboundSchema, CancelDeploymentGitRepo$outboundSchema, CancelDeploymentGitRepo$, CancelDeploymentFlags2$inboundSchema, CancelDeploymentFlags2$outboundSchema, CancelDeploymentFlags2$, FlagsOptions$inboundSchema, FlagsOptions$outboundSchema, FlagsOptions$, CancelDeploymentFlagsDefinitions$inboundSchema, CancelDeploymentFlagsDefinitions$outboundSchema, CancelDeploymentFlagsDefinitions$, CancelDeploymentFlags1$inboundSchema, CancelDeploymentFlags1$outboundSchema, CancelDeploymentFlags1$, CancelDeploymentFlags$inboundSchema, CancelDeploymentFlags$outboundSchema, CancelDeploymentFlags$, MicrofrontendsApplications$inboundSchema, MicrofrontendsApplications$outboundSchema, MicrofrontendsApplications$, CancelDeploymentMicrofrontends2$inboundSchema, CancelDeploymentMicrofrontends2$outboundSchema, CancelDeploymentMicrofrontends2$, CancelDeploymentMicrofrontends1$inboundSchema, CancelDeploymentMicrofrontends1$outboundSchema, CancelDeploymentMicrofrontends1$, CancelDeploymentMicrofrontends$inboundSchema, CancelDeploymentMicrofrontends$outboundSchema, CancelDeploymentMicrofrontends$, CancelDeploymentFunctionType$inboundSchema, CancelDeploymentFunctionType$outboundSchema, CancelDeploymentFunctionType$, CancelDeploymentFunctionMemoryType$inboundSchema, CancelDeploymentFunctionMemoryType$outboundSchema, CancelDeploymentFunctionMemoryType$, CancelDeploymentConfig$inboundSchema, CancelDeploymentConfig$outboundSchema, CancelDeploymentConfig$, CancelDeploymentResponseBody$inboundSchema, CancelDeploymentResponseBody$outboundSchema, CancelDeploymentResponseBody$;
var init_canceldeploymentop = __esm(() => {
  init_esm();
  init_primitives();
  init_flagjsonvalue();
  CancelDeploymentFramework = {
    Blitzjs: "blitzjs",
    Nextjs: "nextjs",
    Gatsby: "gatsby",
    Remix: "remix",
    ReactRouter: "react-router",
    Astro: "astro",
    Hexo: "hexo",
    Eleventy: "eleventy",
    Docusaurus2: "docusaurus-2",
    Docusaurus: "docusaurus",
    Preact: "preact",
    Solidstart1: "solidstart-1",
    Solidstart: "solidstart",
    Dojo: "dojo",
    Ember: "ember",
    Vue: "vue",
    Scully: "scully",
    IonicAngular: "ionic-angular",
    Angular: "angular",
    Polymer: "polymer",
    Svelte: "svelte",
    Sveltekit: "sveltekit",
    Sveltekit1: "sveltekit-1",
    IonicReact: "ionic-react",
    CreateReactApp: "create-react-app",
    Gridsome: "gridsome",
    Umijs: "umijs",
    Sapper: "sapper",
    Saber: "saber",
    Stencil: "stencil",
    Nuxtjs: "nuxtjs",
    Redwoodjs: "redwoodjs",
    Hugo: "hugo",
    Jekyll: "jekyll",
    Brunch: "brunch",
    Middleman: "middleman",
    Zola: "zola",
    Hydrogen: "hydrogen",
    Vite: "vite",
    Vitepress: "vitepress",
    Vuepress: "vuepress",
    Parcel: "parcel",
    Fasthtml: "fasthtml",
    SanityV3: "sanity-v3",
    Sanity: "sanity",
    Storybook: "storybook"
  };
  CancelDeploymentDeploymentsStatus = {
    Error: "error",
    Skipped: "skipped",
    Pending: "pending",
    Ready: "ready",
    Timeout: "timeout"
  };
  CancelDeploymentProtocol = {
    Http: "http",
    Https: "https"
  };
  CancelDeploymentFormats = {
    ImageAvif: "image/avif",
    ImageWebp: "image/webp"
  };
  CancelDeploymentContentDispositionType = {
    Inline: "inline",
    Attachment: "attachment"
  };
  CancelDeploymentDeploymentsReadyState = {
    Building: "BUILDING",
    Error: "ERROR",
    Initializing: "INITIALIZING",
    Ready: "READY"
  };
  CancelDeploymentStatus = {
    Building: "BUILDING",
    Error: "ERROR",
    Initializing: "INITIALIZING",
    Queued: "QUEUED",
    Ready: "READY",
    Canceled: "CANCELED"
  };
  CancelDeploymentCustomEnvironmentType = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  CancelDeploymentCustomEnvironmentDeploymentsType = {
    StartsWith: "startsWith",
    Equals: "equals",
    EndsWith: "endsWith"
  };
  CancelDeploymentChecksState = {
    Registered: "registered",
    Running: "running",
    Completed: "completed"
  };
  CancelDeploymentChecksConclusion = {
    Skipped: "skipped",
    Succeeded: "succeeded",
    Failed: "failed",
    Canceled: "canceled"
  };
  CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody12Type = {
    Bitbucket: "bitbucket"
  };
  CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type = {
    Gitlab: "gitlab"
  };
  CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody10Type = {
    GithubCustomHost: "github-custom-host"
  };
  CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type = {
    Github: "github"
  };
  CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type = {
    Custom: "custom"
  };
  CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type = {
    Bitbucket: "bitbucket"
  };
  CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType = {
    Bitbucket: "bitbucket"
  };
  CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONType = {
    Gitlab: "gitlab"
  };
  CancelDeploymentGitSourceDeploymentsResponse200Type = {
    GithubCustomHost: "github-custom-host"
  };
  CancelDeploymentGitSourceDeploymentsResponseType = {
    GithubCustomHost: "github-custom-host"
  };
  CancelDeploymentGitSourceDeploymentsType = {
    Github: "github"
  };
  CancelDeploymentGitSourceType = {
    Github: "github"
  };
  CancelDeploymentReadyState = {
    Building: "BUILDING",
    Error: "ERROR",
    Initializing: "INITIALIZING",
    Queued: "QUEUED",
    Ready: "READY",
    Canceled: "CANCELED"
  };
  CancelDeploymentReadySubstate = {
    Staged: "STAGED",
    Rolling: "ROLLING",
    Promoted: "PROMOTED"
  };
  CancelDeploymentSource = {
    ApiTriggerGitDeploy: "api-trigger-git-deploy",
    Cli: "cli",
    CloneRepo: "clone/repo",
    Git: "git",
    Import: "import",
    ImportRepo: "import/repo",
    Redeploy: "redeploy",
    V0Web: "v0-web"
  };
  CancelDeploymentTarget = {
    Staging: "staging",
    Production: "production"
  };
  CancelDeploymentType = {
    Lambdas: "LAMBDAS"
  };
  CancelDeploymentPlan = {
    Pro: "pro",
    Enterprise: "enterprise",
    Hobby: "hobby"
  };
  CancelDeploymentRoutesHandle = {
    Error: "error",
    Filesystem: "filesystem",
    Hit: "hit",
    Miss: "miss",
    Rewrite: "rewrite",
    Resource: "resource"
  };
  CancelDeploymentHasDeploymentsType = {
    Header: "header",
    Cookie: "cookie",
    Query: "query"
  };
  CancelDeploymentHasType = {
    Host: "host"
  };
  CancelDeploymentMissingDeploymentsType = {
    Header: "header",
    Cookie: "cookie",
    Query: "query"
  };
  CancelDeploymentMissingType = {
    Host: "host"
  };
  CancelDeploymentGitRepoDeploymentsResponseType = {
    Bitbucket: "bitbucket"
  };
  CancelDeploymentGitRepoDeploymentsResponseOwnerType = {
    Team: "team",
    User: "user"
  };
  CancelDeploymentGitRepoDeploymentsType = {
    Github: "github"
  };
  CancelDeploymentGitRepoDeploymentsOwnerType = {
    Team: "team",
    User: "user"
  };
  CancelDeploymentGitRepoType = {
    Gitlab: "gitlab"
  };
  CancelDeploymentGitRepoOwnerType = {
    Team: "team",
    User: "user"
  };
  CancelDeploymentFunctionType = {
    Fluid: "fluid",
    Standard: "standard"
  };
  CancelDeploymentFunctionMemoryType = {
    Standard: "standard",
    StandardLegacy: "standard_legacy",
    Performance: "performance"
  };
  CancelDeploymentRequest$inboundSchema = objectType({
    id: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  CancelDeploymentRequest$outboundSchema = objectType({
    id: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((CancelDeploymentRequest$) => {
    CancelDeploymentRequest$.inboundSchema = CancelDeploymentRequest$inboundSchema;
    CancelDeploymentRequest$.outboundSchema = CancelDeploymentRequest$outboundSchema;
  })(CancelDeploymentRequest$ ||= {});
  CancelDeploymentAliasAssignedAt$inboundSchema = unionType([numberType(), booleanType()]);
  CancelDeploymentAliasAssignedAt$outboundSchema = unionType([numberType(), booleanType()]);
  ((CancelDeploymentAliasAssignedAt$) => {
    CancelDeploymentAliasAssignedAt$.inboundSchema = CancelDeploymentAliasAssignedAt$inboundSchema;
    CancelDeploymentAliasAssignedAt$.outboundSchema = CancelDeploymentAliasAssignedAt$outboundSchema;
  })(CancelDeploymentAliasAssignedAt$ ||= {});
  CancelDeploymentBuild$inboundSchema = objectType({
    env: arrayType(stringType())
  });
  CancelDeploymentBuild$outboundSchema = objectType({
    env: arrayType(stringType())
  });
  ((CancelDeploymentBuild$) => {
    CancelDeploymentBuild$.inboundSchema = CancelDeploymentBuild$inboundSchema;
    CancelDeploymentBuild$.outboundSchema = CancelDeploymentBuild$outboundSchema;
  })(CancelDeploymentBuild$ ||= {});
  CancelDeploymentBuilds$inboundSchema = objectType({
    use: stringType(),
    src: stringType().optional(),
    config: recordType(anyType()).optional()
  });
  CancelDeploymentBuilds$outboundSchema = objectType({
    use: stringType(),
    src: stringType().optional(),
    config: recordType(anyType()).optional()
  });
  ((CancelDeploymentBuilds$) => {
    CancelDeploymentBuilds$.inboundSchema = CancelDeploymentBuilds$inboundSchema;
    CancelDeploymentBuilds$.outboundSchema = CancelDeploymentBuilds$outboundSchema;
  })(CancelDeploymentBuilds$ ||= {});
  CancelDeploymentFramework$inboundSchema = nativeEnumType(CancelDeploymentFramework);
  CancelDeploymentFramework$outboundSchema = CancelDeploymentFramework$inboundSchema;
  ((CancelDeploymentFramework$) => {
    CancelDeploymentFramework$.inboundSchema = CancelDeploymentFramework$inboundSchema;
    CancelDeploymentFramework$.outboundSchema = CancelDeploymentFramework$outboundSchema;
  })(CancelDeploymentFramework$ ||= {});
  CancelDeploymentSpeedInsights$inboundSchema = objectType({
    id: stringType(),
    enabledAt: numberType().optional(),
    disabledAt: numberType().optional(),
    canceledAt: numberType().optional(),
    hasData: booleanType().optional(),
    paidAt: numberType().optional()
  });
  CancelDeploymentSpeedInsights$outboundSchema = objectType({
    id: stringType(),
    enabledAt: numberType().optional(),
    disabledAt: numberType().optional(),
    canceledAt: numberType().optional(),
    hasData: booleanType().optional(),
    paidAt: numberType().optional()
  });
  ((CancelDeploymentSpeedInsights$) => {
    CancelDeploymentSpeedInsights$.inboundSchema = CancelDeploymentSpeedInsights$inboundSchema;
    CancelDeploymentSpeedInsights$.outboundSchema = CancelDeploymentSpeedInsights$outboundSchema;
  })(CancelDeploymentSpeedInsights$ ||= {});
  CancelDeploymentWebAnalytics$inboundSchema = objectType({
    id: stringType(),
    disabledAt: numberType().optional(),
    canceledAt: numberType().optional(),
    enabledAt: numberType().optional(),
    hasData: booleanType().optional()
  });
  CancelDeploymentWebAnalytics$outboundSchema = objectType({
    id: stringType(),
    disabledAt: numberType().optional(),
    canceledAt: numberType().optional(),
    enabledAt: numberType().optional(),
    hasData: booleanType().optional()
  });
  ((CancelDeploymentWebAnalytics$) => {
    CancelDeploymentWebAnalytics$.inboundSchema = CancelDeploymentWebAnalytics$inboundSchema;
    CancelDeploymentWebAnalytics$.outboundSchema = CancelDeploymentWebAnalytics$outboundSchema;
  })(CancelDeploymentWebAnalytics$ ||= {});
  CancelDeploymentProjectSettings$inboundSchema = objectType({
    buildCommand: nullableType(stringType()).optional(),
    devCommand: nullableType(stringType()).optional(),
    framework: nullableType(CancelDeploymentFramework$inboundSchema).optional(),
    commandForIgnoringBuildStep: nullableType(stringType()).optional(),
    installCommand: nullableType(stringType()).optional(),
    outputDirectory: nullableType(stringType()).optional(),
    speedInsights: lazyType(() => CancelDeploymentSpeedInsights$inboundSchema).optional(),
    webAnalytics: lazyType(() => CancelDeploymentWebAnalytics$inboundSchema).optional()
  });
  CancelDeploymentProjectSettings$outboundSchema = objectType({
    buildCommand: nullableType(stringType()).optional(),
    devCommand: nullableType(stringType()).optional(),
    framework: nullableType(CancelDeploymentFramework$outboundSchema).optional(),
    commandForIgnoringBuildStep: nullableType(stringType()).optional(),
    installCommand: nullableType(stringType()).optional(),
    outputDirectory: nullableType(stringType()).optional(),
    speedInsights: lazyType(() => CancelDeploymentSpeedInsights$outboundSchema).optional(),
    webAnalytics: lazyType(() => CancelDeploymentWebAnalytics$outboundSchema).optional()
  });
  ((CancelDeploymentProjectSettings$) => {
    CancelDeploymentProjectSettings$.inboundSchema = CancelDeploymentProjectSettings$inboundSchema;
    CancelDeploymentProjectSettings$.outboundSchema = CancelDeploymentProjectSettings$outboundSchema;
  })(CancelDeploymentProjectSettings$ ||= {});
  CancelDeploymentDeploymentsStatus$inboundSchema = nativeEnumType(CancelDeploymentDeploymentsStatus);
  CancelDeploymentDeploymentsStatus$outboundSchema = CancelDeploymentDeploymentsStatus$inboundSchema;
  ((CancelDeploymentDeploymentsStatus$) => {
    CancelDeploymentDeploymentsStatus$.inboundSchema = CancelDeploymentDeploymentsStatus$inboundSchema;
    CancelDeploymentDeploymentsStatus$.outboundSchema = CancelDeploymentDeploymentsStatus$outboundSchema;
  })(CancelDeploymentDeploymentsStatus$ ||= {});
  CancelDeploymentIntegrations$inboundSchema = objectType({
    status: CancelDeploymentDeploymentsStatus$inboundSchema,
    startedAt: numberType(),
    completedAt: numberType().optional(),
    skippedAt: numberType().optional(),
    skippedBy: stringType().optional()
  });
  CancelDeploymentIntegrations$outboundSchema = objectType({
    status: CancelDeploymentDeploymentsStatus$outboundSchema,
    startedAt: numberType(),
    completedAt: numberType().optional(),
    skippedAt: numberType().optional(),
    skippedBy: stringType().optional()
  });
  ((CancelDeploymentIntegrations$) => {
    CancelDeploymentIntegrations$.inboundSchema = CancelDeploymentIntegrations$inboundSchema;
    CancelDeploymentIntegrations$.outboundSchema = CancelDeploymentIntegrations$outboundSchema;
  })(CancelDeploymentIntegrations$ ||= {});
  CancelDeploymentProtocol$inboundSchema = nativeEnumType(CancelDeploymentProtocol);
  CancelDeploymentProtocol$outboundSchema = CancelDeploymentProtocol$inboundSchema;
  ((CancelDeploymentProtocol$) => {
    CancelDeploymentProtocol$.inboundSchema = CancelDeploymentProtocol$inboundSchema;
    CancelDeploymentProtocol$.outboundSchema = CancelDeploymentProtocol$outboundSchema;
  })(CancelDeploymentProtocol$ ||= {});
  CancelDeploymentRemotePatterns$inboundSchema = objectType({
    protocol: CancelDeploymentProtocol$inboundSchema.optional(),
    hostname: stringType(),
    port: stringType().optional(),
    pathname: stringType().optional(),
    search: stringType().optional()
  });
  CancelDeploymentRemotePatterns$outboundSchema = objectType({
    protocol: CancelDeploymentProtocol$outboundSchema.optional(),
    hostname: stringType(),
    port: stringType().optional(),
    pathname: stringType().optional(),
    search: stringType().optional()
  });
  ((CancelDeploymentRemotePatterns$) => {
    CancelDeploymentRemotePatterns$.inboundSchema = CancelDeploymentRemotePatterns$inboundSchema;
    CancelDeploymentRemotePatterns$.outboundSchema = CancelDeploymentRemotePatterns$outboundSchema;
  })(CancelDeploymentRemotePatterns$ ||= {});
  CancelDeploymentLocalPatterns$inboundSchema = objectType({
    pathname: stringType().optional(),
    search: stringType().optional()
  });
  CancelDeploymentLocalPatterns$outboundSchema = objectType({
    pathname: stringType().optional(),
    search: stringType().optional()
  });
  ((CancelDeploymentLocalPatterns$) => {
    CancelDeploymentLocalPatterns$.inboundSchema = CancelDeploymentLocalPatterns$inboundSchema;
    CancelDeploymentLocalPatterns$.outboundSchema = CancelDeploymentLocalPatterns$outboundSchema;
  })(CancelDeploymentLocalPatterns$ ||= {});
  CancelDeploymentFormats$inboundSchema = nativeEnumType(CancelDeploymentFormats);
  CancelDeploymentFormats$outboundSchema = CancelDeploymentFormats$inboundSchema;
  ((CancelDeploymentFormats$) => {
    CancelDeploymentFormats$.inboundSchema = CancelDeploymentFormats$inboundSchema;
    CancelDeploymentFormats$.outboundSchema = CancelDeploymentFormats$outboundSchema;
  })(CancelDeploymentFormats$ ||= {});
  CancelDeploymentContentDispositionType$inboundSchema = nativeEnumType(CancelDeploymentContentDispositionType);
  CancelDeploymentContentDispositionType$outboundSchema = CancelDeploymentContentDispositionType$inboundSchema;
  ((CancelDeploymentContentDispositionType$) => {
    CancelDeploymentContentDispositionType$.inboundSchema = CancelDeploymentContentDispositionType$inboundSchema;
    CancelDeploymentContentDispositionType$.outboundSchema = CancelDeploymentContentDispositionType$outboundSchema;
  })(CancelDeploymentContentDispositionType$ ||= {});
  CancelDeploymentImages$inboundSchema = objectType({
    sizes: arrayType(numberType()).optional(),
    qualities: arrayType(numberType()).optional(),
    domains: arrayType(stringType()).optional(),
    remotePatterns: arrayType(lazyType(() => CancelDeploymentRemotePatterns$inboundSchema)).optional(),
    localPatterns: arrayType(lazyType(() => CancelDeploymentLocalPatterns$inboundSchema)).optional(),
    minimumCacheTTL: numberType().optional(),
    formats: arrayType(CancelDeploymentFormats$inboundSchema).optional(),
    dangerouslyAllowSVG: booleanType().optional(),
    contentSecurityPolicy: stringType().optional(),
    contentDispositionType: CancelDeploymentContentDispositionType$inboundSchema.optional()
  });
  CancelDeploymentImages$outboundSchema = objectType({
    sizes: arrayType(numberType()).optional(),
    qualities: arrayType(numberType()).optional(),
    domains: arrayType(stringType()).optional(),
    remotePatterns: arrayType(lazyType(() => CancelDeploymentRemotePatterns$outboundSchema)).optional(),
    localPatterns: arrayType(lazyType(() => CancelDeploymentLocalPatterns$outboundSchema)).optional(),
    minimumCacheTTL: numberType().optional(),
    formats: arrayType(CancelDeploymentFormats$outboundSchema).optional(),
    dangerouslyAllowSVG: booleanType().optional(),
    contentSecurityPolicy: stringType().optional(),
    contentDispositionType: CancelDeploymentContentDispositionType$outboundSchema.optional()
  });
  ((CancelDeploymentImages$) => {
    CancelDeploymentImages$.inboundSchema = CancelDeploymentImages$inboundSchema;
    CancelDeploymentImages$.outboundSchema = CancelDeploymentImages$outboundSchema;
  })(CancelDeploymentImages$ ||= {});
  CancelDeploymentCreator$inboundSchema = objectType({
    uid: stringType(),
    username: stringType().optional(),
    avatar: stringType().optional()
  });
  CancelDeploymentCreator$outboundSchema = objectType({
    uid: stringType(),
    username: stringType().optional(),
    avatar: stringType().optional()
  });
  ((CancelDeploymentCreator$) => {
    CancelDeploymentCreator$.inboundSchema = CancelDeploymentCreator$inboundSchema;
    CancelDeploymentCreator$.outboundSchema = CancelDeploymentCreator$outboundSchema;
  })(CancelDeploymentCreator$ ||= {});
  CancelDeploymentDeploymentsReadyState$inboundSchema = nativeEnumType(CancelDeploymentDeploymentsReadyState);
  CancelDeploymentDeploymentsReadyState$outboundSchema = CancelDeploymentDeploymentsReadyState$inboundSchema;
  ((CancelDeploymentDeploymentsReadyState$) => {
    CancelDeploymentDeploymentsReadyState$.inboundSchema = CancelDeploymentDeploymentsReadyState$inboundSchema;
    CancelDeploymentDeploymentsReadyState$.outboundSchema = CancelDeploymentDeploymentsReadyState$outboundSchema;
  })(CancelDeploymentDeploymentsReadyState$ ||= {});
  CancelDeploymentOutput$inboundSchema = objectType({
    path: stringType(),
    functionName: stringType()
  });
  CancelDeploymentOutput$outboundSchema = objectType({
    path: stringType(),
    functionName: stringType()
  });
  ((CancelDeploymentOutput$) => {
    CancelDeploymentOutput$.inboundSchema = CancelDeploymentOutput$inboundSchema;
    CancelDeploymentOutput$.outboundSchema = CancelDeploymentOutput$outboundSchema;
  })(CancelDeploymentOutput$ ||= {});
  CancelDeploymentLambdas$inboundSchema = objectType({
    id: stringType().optional(),
    createdAt: numberType().optional(),
    entrypoint: nullableType(stringType()).optional(),
    readyState: CancelDeploymentDeploymentsReadyState$inboundSchema.optional(),
    readyStateAt: numberType().optional(),
    output: arrayType(lazyType(() => CancelDeploymentOutput$inboundSchema))
  });
  CancelDeploymentLambdas$outboundSchema = objectType({
    id: stringType().optional(),
    createdAt: numberType().optional(),
    entrypoint: nullableType(stringType()).optional(),
    readyState: CancelDeploymentDeploymentsReadyState$outboundSchema.optional(),
    readyStateAt: numberType().optional(),
    output: arrayType(lazyType(() => CancelDeploymentOutput$outboundSchema))
  });
  ((CancelDeploymentLambdas$) => {
    CancelDeploymentLambdas$.inboundSchema = CancelDeploymentLambdas$inboundSchema;
    CancelDeploymentLambdas$.outboundSchema = CancelDeploymentLambdas$outboundSchema;
  })(CancelDeploymentLambdas$ ||= {});
  CancelDeploymentStatus$inboundSchema = nativeEnumType(CancelDeploymentStatus);
  CancelDeploymentStatus$outboundSchema = CancelDeploymentStatus$inboundSchema;
  ((CancelDeploymentStatus$) => {
    CancelDeploymentStatus$.inboundSchema = CancelDeploymentStatus$inboundSchema;
    CancelDeploymentStatus$.outboundSchema = CancelDeploymentStatus$outboundSchema;
  })(CancelDeploymentStatus$ ||= {});
  CancelDeploymentTeam$inboundSchema = objectType({
    id: stringType(),
    name: stringType(),
    avatar: stringType().optional(),
    slug: stringType()
  });
  CancelDeploymentTeam$outboundSchema = objectType({
    id: stringType(),
    name: stringType(),
    avatar: stringType().optional(),
    slug: stringType()
  });
  ((CancelDeploymentTeam$) => {
    CancelDeploymentTeam$.inboundSchema = CancelDeploymentTeam$inboundSchema;
    CancelDeploymentTeam$.outboundSchema = CancelDeploymentTeam$outboundSchema;
  })(CancelDeploymentTeam$ ||= {});
  CancelDeploymentCustomEnvironment2$inboundSchema = objectType({
    id: stringType()
  });
  CancelDeploymentCustomEnvironment2$outboundSchema = objectType({
    id: stringType()
  });
  ((CancelDeploymentCustomEnvironment2$) => {
    CancelDeploymentCustomEnvironment2$.inboundSchema = CancelDeploymentCustomEnvironment2$inboundSchema;
    CancelDeploymentCustomEnvironment2$.outboundSchema = CancelDeploymentCustomEnvironment2$outboundSchema;
  })(CancelDeploymentCustomEnvironment2$ ||= {});
  CancelDeploymentCustomEnvironmentType$inboundSchema = nativeEnumType(CancelDeploymentCustomEnvironmentType);
  CancelDeploymentCustomEnvironmentType$outboundSchema = CancelDeploymentCustomEnvironmentType$inboundSchema;
  ((CancelDeploymentCustomEnvironmentType$) => {
    CancelDeploymentCustomEnvironmentType$.inboundSchema = CancelDeploymentCustomEnvironmentType$inboundSchema;
    CancelDeploymentCustomEnvironmentType$.outboundSchema = CancelDeploymentCustomEnvironmentType$outboundSchema;
  })(CancelDeploymentCustomEnvironmentType$ ||= {});
  CancelDeploymentCustomEnvironmentDeploymentsType$inboundSchema = nativeEnumType(CancelDeploymentCustomEnvironmentDeploymentsType);
  CancelDeploymentCustomEnvironmentDeploymentsType$outboundSchema = CancelDeploymentCustomEnvironmentDeploymentsType$inboundSchema;
  ((CancelDeploymentCustomEnvironmentDeploymentsType$) => {
    CancelDeploymentCustomEnvironmentDeploymentsType$.inboundSchema = CancelDeploymentCustomEnvironmentDeploymentsType$inboundSchema;
    CancelDeploymentCustomEnvironmentDeploymentsType$.outboundSchema = CancelDeploymentCustomEnvironmentDeploymentsType$outboundSchema;
  })(CancelDeploymentCustomEnvironmentDeploymentsType$ ||= {});
  CancelDeploymentCustomEnvironmentBranchMatcher$inboundSchema = objectType({
    type: CancelDeploymentCustomEnvironmentDeploymentsType$inboundSchema,
    pattern: stringType()
  });
  CancelDeploymentCustomEnvironmentBranchMatcher$outboundSchema = objectType({
    type: CancelDeploymentCustomEnvironmentDeploymentsType$outboundSchema,
    pattern: stringType()
  });
  ((CancelDeploymentCustomEnvironmentBranchMatcher$) => {
    CancelDeploymentCustomEnvironmentBranchMatcher$.inboundSchema = CancelDeploymentCustomEnvironmentBranchMatcher$inboundSchema;
    CancelDeploymentCustomEnvironmentBranchMatcher$.outboundSchema = CancelDeploymentCustomEnvironmentBranchMatcher$outboundSchema;
  })(CancelDeploymentCustomEnvironmentBranchMatcher$ ||= {});
  CancelDeploymentCustomEnvironmentVerification$inboundSchema = objectType({
    type: stringType(),
    domain: stringType(),
    value: stringType(),
    reason: stringType()
  });
  CancelDeploymentCustomEnvironmentVerification$outboundSchema = objectType({
    type: stringType(),
    domain: stringType(),
    value: stringType(),
    reason: stringType()
  });
  ((CancelDeploymentCustomEnvironmentVerification$) => {
    CancelDeploymentCustomEnvironmentVerification$.inboundSchema = CancelDeploymentCustomEnvironmentVerification$inboundSchema;
    CancelDeploymentCustomEnvironmentVerification$.outboundSchema = CancelDeploymentCustomEnvironmentVerification$outboundSchema;
  })(CancelDeploymentCustomEnvironmentVerification$ ||= {});
  CancelDeploymentCustomEnvironmentDomains$inboundSchema = objectType({
    name: stringType(),
    apexName: stringType(),
    projectId: stringType(),
    redirect: nullableType(stringType()).optional(),
    redirectStatusCode: nullableType(numberType()).optional(),
    gitBranch: nullableType(stringType()).optional(),
    customEnvironmentId: nullableType(stringType()).optional(),
    updatedAt: numberType().optional(),
    createdAt: numberType().optional(),
    verified: booleanType(),
    verification: arrayType(lazyType(() => CancelDeploymentCustomEnvironmentVerification$inboundSchema)).optional()
  });
  CancelDeploymentCustomEnvironmentDomains$outboundSchema = objectType({
    name: stringType(),
    apexName: stringType(),
    projectId: stringType(),
    redirect: nullableType(stringType()).optional(),
    redirectStatusCode: nullableType(numberType()).optional(),
    gitBranch: nullableType(stringType()).optional(),
    customEnvironmentId: nullableType(stringType()).optional(),
    updatedAt: numberType().optional(),
    createdAt: numberType().optional(),
    verified: booleanType(),
    verification: arrayType(lazyType(() => CancelDeploymentCustomEnvironmentVerification$outboundSchema)).optional()
  });
  ((CancelDeploymentCustomEnvironmentDomains$) => {
    CancelDeploymentCustomEnvironmentDomains$.inboundSchema = CancelDeploymentCustomEnvironmentDomains$inboundSchema;
    CancelDeploymentCustomEnvironmentDomains$.outboundSchema = CancelDeploymentCustomEnvironmentDomains$outboundSchema;
  })(CancelDeploymentCustomEnvironmentDomains$ ||= {});
  CancelDeploymentCustomEnvironment1$inboundSchema = objectType({
    id: stringType(),
    slug: stringType(),
    type: CancelDeploymentCustomEnvironmentType$inboundSchema,
    description: stringType().optional(),
    branchMatcher: lazyType(() => CancelDeploymentCustomEnvironmentBranchMatcher$inboundSchema).optional(),
    domains: arrayType(lazyType(() => CancelDeploymentCustomEnvironmentDomains$inboundSchema)).optional(),
    currentDeploymentAliases: arrayType(stringType()).optional(),
    createdAt: numberType(),
    updatedAt: numberType()
  });
  CancelDeploymentCustomEnvironment1$outboundSchema = objectType({
    id: stringType(),
    slug: stringType(),
    type: CancelDeploymentCustomEnvironmentType$outboundSchema,
    description: stringType().optional(),
    branchMatcher: lazyType(() => CancelDeploymentCustomEnvironmentBranchMatcher$outboundSchema).optional(),
    domains: arrayType(lazyType(() => CancelDeploymentCustomEnvironmentDomains$outboundSchema)).optional(),
    currentDeploymentAliases: arrayType(stringType()).optional(),
    createdAt: numberType(),
    updatedAt: numberType()
  });
  ((CancelDeploymentCustomEnvironment1$) => {
    CancelDeploymentCustomEnvironment1$.inboundSchema = CancelDeploymentCustomEnvironment1$inboundSchema;
    CancelDeploymentCustomEnvironment1$.outboundSchema = CancelDeploymentCustomEnvironment1$outboundSchema;
  })(CancelDeploymentCustomEnvironment1$ ||= {});
  CancelDeploymentCustomEnvironment$inboundSchema = unionType([
    lazyType(() => CancelDeploymentCustomEnvironment2$inboundSchema),
    lazyType(() => CancelDeploymentCustomEnvironment1$inboundSchema)
  ]);
  CancelDeploymentCustomEnvironment$outboundSchema = unionType([
    lazyType(() => CancelDeploymentCustomEnvironment2$outboundSchema),
    lazyType(() => CancelDeploymentCustomEnvironment1$outboundSchema)
  ]);
  ((CancelDeploymentCustomEnvironment$) => {
    CancelDeploymentCustomEnvironment$.inboundSchema = CancelDeploymentCustomEnvironment$inboundSchema;
    CancelDeploymentCustomEnvironment$.outboundSchema = CancelDeploymentCustomEnvironment$outboundSchema;
  })(CancelDeploymentCustomEnvironment$ ||= {});
  CancelDeploymentAliasError$inboundSchema = objectType({
    code: stringType(),
    message: stringType()
  });
  CancelDeploymentAliasError$outboundSchema = objectType({
    code: stringType(),
    message: stringType()
  });
  ((CancelDeploymentAliasError$) => {
    CancelDeploymentAliasError$.inboundSchema = CancelDeploymentAliasError$inboundSchema;
    CancelDeploymentAliasError$.outboundSchema = CancelDeploymentAliasError$outboundSchema;
  })(CancelDeploymentAliasError$ ||= {});
  CancelDeploymentAliasWarning$inboundSchema = objectType({
    code: stringType(),
    message: stringType(),
    link: stringType().optional(),
    action: stringType().optional()
  });
  CancelDeploymentAliasWarning$outboundSchema = objectType({
    code: stringType(),
    message: stringType(),
    link: stringType().optional(),
    action: stringType().optional()
  });
  ((CancelDeploymentAliasWarning$) => {
    CancelDeploymentAliasWarning$.inboundSchema = CancelDeploymentAliasWarning$inboundSchema;
    CancelDeploymentAliasWarning$.outboundSchema = CancelDeploymentAliasWarning$outboundSchema;
  })(CancelDeploymentAliasWarning$ ||= {});
  CancelDeploymentChecksState$inboundSchema = nativeEnumType(CancelDeploymentChecksState);
  CancelDeploymentChecksState$outboundSchema = CancelDeploymentChecksState$inboundSchema;
  ((CancelDeploymentChecksState$) => {
    CancelDeploymentChecksState$.inboundSchema = CancelDeploymentChecksState$inboundSchema;
    CancelDeploymentChecksState$.outboundSchema = CancelDeploymentChecksState$outboundSchema;
  })(CancelDeploymentChecksState$ ||= {});
  CancelDeploymentChecksConclusion$inboundSchema = nativeEnumType(CancelDeploymentChecksConclusion);
  CancelDeploymentChecksConclusion$outboundSchema = CancelDeploymentChecksConclusion$inboundSchema;
  ((CancelDeploymentChecksConclusion$) => {
    CancelDeploymentChecksConclusion$.inboundSchema = CancelDeploymentChecksConclusion$inboundSchema;
    CancelDeploymentChecksConclusion$.outboundSchema = CancelDeploymentChecksConclusion$outboundSchema;
  })(CancelDeploymentChecksConclusion$ ||= {});
  CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody12Type$inboundSchema = nativeEnumType(CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody12Type);
  CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody12Type$outboundSchema = CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody12Type$inboundSchema;
  ((CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody12Type$) => {
    CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody12Type$.inboundSchema = CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody12Type$inboundSchema;
    CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody12Type$.outboundSchema = CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody12Type$outboundSchema;
  })(CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody12Type$ ||= {});
  GitSource12$inboundSchema = objectType({
    type: CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody12Type$inboundSchema,
    ref: stringType(),
    sha: stringType(),
    owner: stringType().optional(),
    slug: stringType().optional(),
    workspaceUuid: stringType(),
    repoUuid: stringType()
  });
  GitSource12$outboundSchema = objectType({
    type: CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody12Type$outboundSchema,
    ref: stringType(),
    sha: stringType(),
    owner: stringType().optional(),
    slug: stringType().optional(),
    workspaceUuid: stringType(),
    repoUuid: stringType()
  });
  ((GitSource12$) => {
    GitSource12$.inboundSchema = GitSource12$inboundSchema;
    GitSource12$.outboundSchema = GitSource12$outboundSchema;
  })(GitSource12$ ||= {});
  CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type$inboundSchema = nativeEnumType(CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type);
  CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type$outboundSchema = CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type$inboundSchema;
  ((CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type$) => {
    CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type$.inboundSchema = CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type$inboundSchema;
    CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type$.outboundSchema = CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type$outboundSchema;
  })(CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type$ ||= {});
  GitSource11$inboundSchema = objectType({
    type: CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type$inboundSchema,
    ref: stringType(),
    sha: stringType(),
    projectId: numberType()
  });
  GitSource11$outboundSchema = objectType({
    type: CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type$outboundSchema,
    ref: stringType(),
    sha: stringType(),
    projectId: numberType()
  });
  ((GitSource11$) => {
    GitSource11$.inboundSchema = GitSource11$inboundSchema;
    GitSource11$.outboundSchema = GitSource11$outboundSchema;
  })(GitSource11$ ||= {});
  CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody10Type$inboundSchema = nativeEnumType(CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody10Type);
  CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody10Type$outboundSchema = CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody10Type$inboundSchema;
  ((CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody10Type$) => {
    CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody10Type$.inboundSchema = CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody10Type$inboundSchema;
    CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody10Type$.outboundSchema = CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody10Type$outboundSchema;
  })(CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody10Type$ ||= {});
  GitSource10$inboundSchema = objectType({
    type: CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody10Type$inboundSchema,
    host: stringType(),
    ref: stringType(),
    sha: stringType(),
    repoId: numberType(),
    org: stringType().optional(),
    repo: stringType().optional()
  });
  GitSource10$outboundSchema = objectType({
    type: CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody10Type$outboundSchema,
    host: stringType(),
    ref: stringType(),
    sha: stringType(),
    repoId: numberType(),
    org: stringType().optional(),
    repo: stringType().optional()
  });
  ((GitSource10$) => {
    GitSource10$.inboundSchema = GitSource10$inboundSchema;
    GitSource10$.outboundSchema = GitSource10$outboundSchema;
  })(GitSource10$ ||= {});
  CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type$inboundSchema = nativeEnumType(CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type);
  CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type$outboundSchema = CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type$inboundSchema;
  ((CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type$) => {
    CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type$.inboundSchema = CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type$inboundSchema;
    CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type$.outboundSchema = CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type$outboundSchema;
  })(CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type$ ||= {});
  GitSource9$inboundSchema = objectType({
    type: CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type$inboundSchema,
    ref: stringType(),
    sha: stringType(),
    repoId: numberType(),
    org: stringType().optional(),
    repo: stringType().optional()
  });
  GitSource9$outboundSchema = objectType({
    type: CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type$outboundSchema,
    ref: stringType(),
    sha: stringType(),
    repoId: numberType(),
    org: stringType().optional(),
    repo: stringType().optional()
  });
  ((GitSource9$) => {
    GitSource9$.inboundSchema = GitSource9$inboundSchema;
    GitSource9$.outboundSchema = GitSource9$outboundSchema;
  })(GitSource9$ ||= {});
  CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type$inboundSchema = nativeEnumType(CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type);
  CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type$outboundSchema = CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type$inboundSchema;
  ((CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type$) => {
    CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type$.inboundSchema = CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type$inboundSchema;
    CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type$.outboundSchema = CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type$outboundSchema;
  })(CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type$ ||= {});
  GitSource8$inboundSchema = objectType({
    type: CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type$inboundSchema,
    ref: stringType(),
    sha: stringType(),
    gitUrl: stringType()
  });
  GitSource8$outboundSchema = objectType({
    type: CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type$outboundSchema,
    ref: stringType(),
    sha: stringType(),
    gitUrl: stringType()
  });
  ((GitSource8$) => {
    GitSource8$.inboundSchema = GitSource8$inboundSchema;
    GitSource8$.outboundSchema = GitSource8$outboundSchema;
  })(GitSource8$ ||= {});
  CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type$inboundSchema = nativeEnumType(CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type);
  CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type$outboundSchema = CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type$inboundSchema;
  ((CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type$) => {
    CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type$.inboundSchema = CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type$inboundSchema;
    CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type$.outboundSchema = CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type$outboundSchema;
  })(CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type$ ||= {});
  GitSource7$inboundSchema = objectType({
    type: CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type$inboundSchema,
    owner: stringType(),
    slug: stringType(),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  GitSource7$outboundSchema = objectType({
    type: CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type$outboundSchema,
    owner: stringType(),
    slug: stringType(),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  ((GitSource7$) => {
    GitSource7$.inboundSchema = GitSource7$inboundSchema;
    GitSource7$.outboundSchema = GitSource7$outboundSchema;
  })(GitSource7$ ||= {});
  CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$inboundSchema = nativeEnumType(CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType);
  CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$outboundSchema = CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$inboundSchema;
  ((CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$) => {
    CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$.inboundSchema = CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$inboundSchema;
    CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$.outboundSchema = CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$outboundSchema;
  })(CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$ ||= {});
  CancelDeploymentGitSource6$inboundSchema = objectType({
    type: CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$inboundSchema,
    workspaceUuid: stringType().optional(),
    repoUuid: stringType(),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  CancelDeploymentGitSource6$outboundSchema = objectType({
    type: CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$outboundSchema,
    workspaceUuid: stringType().optional(),
    repoUuid: stringType(),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  ((CancelDeploymentGitSource6$) => {
    CancelDeploymentGitSource6$.inboundSchema = CancelDeploymentGitSource6$inboundSchema;
    CancelDeploymentGitSource6$.outboundSchema = CancelDeploymentGitSource6$outboundSchema;
  })(CancelDeploymentGitSource6$ ||= {});
  CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$inboundSchema = nativeEnumType(CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONType);
  CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$outboundSchema = CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$inboundSchema;
  ((CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$) => {
    CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$.inboundSchema = CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$inboundSchema;
    CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$.outboundSchema = CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$outboundSchema;
  })(CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$ ||= {});
  CancelDeploymentGitSourceProjectId$inboundSchema = unionType([stringType(), numberType()]);
  CancelDeploymentGitSourceProjectId$outboundSchema = unionType([stringType(), numberType()]);
  ((CancelDeploymentGitSourceProjectId$) => {
    CancelDeploymentGitSourceProjectId$.inboundSchema = CancelDeploymentGitSourceProjectId$inboundSchema;
    CancelDeploymentGitSourceProjectId$.outboundSchema = CancelDeploymentGitSourceProjectId$outboundSchema;
  })(CancelDeploymentGitSourceProjectId$ ||= {});
  CancelDeploymentGitSource5$inboundSchema = objectType({
    type: CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$inboundSchema,
    projectId: unionType([stringType(), numberType()]),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  CancelDeploymentGitSource5$outboundSchema = objectType({
    type: CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$outboundSchema,
    projectId: unionType([stringType(), numberType()]),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  ((CancelDeploymentGitSource5$) => {
    CancelDeploymentGitSource5$.inboundSchema = CancelDeploymentGitSource5$inboundSchema;
    CancelDeploymentGitSource5$.outboundSchema = CancelDeploymentGitSource5$outboundSchema;
  })(CancelDeploymentGitSource5$ ||= {});
  CancelDeploymentGitSourceDeploymentsResponse200Type$inboundSchema = nativeEnumType(CancelDeploymentGitSourceDeploymentsResponse200Type);
  CancelDeploymentGitSourceDeploymentsResponse200Type$outboundSchema = CancelDeploymentGitSourceDeploymentsResponse200Type$inboundSchema;
  ((CancelDeploymentGitSourceDeploymentsResponse200Type$) => {
    CancelDeploymentGitSourceDeploymentsResponse200Type$.inboundSchema = CancelDeploymentGitSourceDeploymentsResponse200Type$inboundSchema;
    CancelDeploymentGitSourceDeploymentsResponse200Type$.outboundSchema = CancelDeploymentGitSourceDeploymentsResponse200Type$outboundSchema;
  })(CancelDeploymentGitSourceDeploymentsResponse200Type$ ||= {});
  CancelDeploymentGitSource4$inboundSchema = objectType({
    type: CancelDeploymentGitSourceDeploymentsResponse200Type$inboundSchema,
    host: stringType(),
    org: stringType(),
    repo: stringType(),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  CancelDeploymentGitSource4$outboundSchema = objectType({
    type: CancelDeploymentGitSourceDeploymentsResponse200Type$outboundSchema,
    host: stringType(),
    org: stringType(),
    repo: stringType(),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  ((CancelDeploymentGitSource4$) => {
    CancelDeploymentGitSource4$.inboundSchema = CancelDeploymentGitSource4$inboundSchema;
    CancelDeploymentGitSource4$.outboundSchema = CancelDeploymentGitSource4$outboundSchema;
  })(CancelDeploymentGitSource4$ ||= {});
  CancelDeploymentGitSourceDeploymentsResponseType$inboundSchema = nativeEnumType(CancelDeploymentGitSourceDeploymentsResponseType);
  CancelDeploymentGitSourceDeploymentsResponseType$outboundSchema = CancelDeploymentGitSourceDeploymentsResponseType$inboundSchema;
  ((CancelDeploymentGitSourceDeploymentsResponseType$) => {
    CancelDeploymentGitSourceDeploymentsResponseType$.inboundSchema = CancelDeploymentGitSourceDeploymentsResponseType$inboundSchema;
    CancelDeploymentGitSourceDeploymentsResponseType$.outboundSchema = CancelDeploymentGitSourceDeploymentsResponseType$outboundSchema;
  })(CancelDeploymentGitSourceDeploymentsResponseType$ ||= {});
  CancelDeploymentGitSourceDeploymentsRepoId$inboundSchema = unionType([stringType(), numberType()]);
  CancelDeploymentGitSourceDeploymentsRepoId$outboundSchema = unionType([stringType(), numberType()]);
  ((CancelDeploymentGitSourceDeploymentsRepoId$) => {
    CancelDeploymentGitSourceDeploymentsRepoId$.inboundSchema = CancelDeploymentGitSourceDeploymentsRepoId$inboundSchema;
    CancelDeploymentGitSourceDeploymentsRepoId$.outboundSchema = CancelDeploymentGitSourceDeploymentsRepoId$outboundSchema;
  })(CancelDeploymentGitSourceDeploymentsRepoId$ ||= {});
  CancelDeploymentGitSource3$inboundSchema = objectType({
    type: CancelDeploymentGitSourceDeploymentsResponseType$inboundSchema,
    host: stringType(),
    repoId: unionType([stringType(), numberType()]),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  CancelDeploymentGitSource3$outboundSchema = objectType({
    type: CancelDeploymentGitSourceDeploymentsResponseType$outboundSchema,
    host: stringType(),
    repoId: unionType([stringType(), numberType()]),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  ((CancelDeploymentGitSource3$) => {
    CancelDeploymentGitSource3$.inboundSchema = CancelDeploymentGitSource3$inboundSchema;
    CancelDeploymentGitSource3$.outboundSchema = CancelDeploymentGitSource3$outboundSchema;
  })(CancelDeploymentGitSource3$ ||= {});
  CancelDeploymentGitSourceDeploymentsType$inboundSchema = nativeEnumType(CancelDeploymentGitSourceDeploymentsType);
  CancelDeploymentGitSourceDeploymentsType$outboundSchema = CancelDeploymentGitSourceDeploymentsType$inboundSchema;
  ((CancelDeploymentGitSourceDeploymentsType$) => {
    CancelDeploymentGitSourceDeploymentsType$.inboundSchema = CancelDeploymentGitSourceDeploymentsType$inboundSchema;
    CancelDeploymentGitSourceDeploymentsType$.outboundSchema = CancelDeploymentGitSourceDeploymentsType$outboundSchema;
  })(CancelDeploymentGitSourceDeploymentsType$ ||= {});
  CancelDeploymentGitSource2$inboundSchema = objectType({
    type: CancelDeploymentGitSourceDeploymentsType$inboundSchema,
    org: stringType(),
    repo: stringType(),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  CancelDeploymentGitSource2$outboundSchema = objectType({
    type: CancelDeploymentGitSourceDeploymentsType$outboundSchema,
    org: stringType(),
    repo: stringType(),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  ((CancelDeploymentGitSource2$) => {
    CancelDeploymentGitSource2$.inboundSchema = CancelDeploymentGitSource2$inboundSchema;
    CancelDeploymentGitSource2$.outboundSchema = CancelDeploymentGitSource2$outboundSchema;
  })(CancelDeploymentGitSource2$ ||= {});
  CancelDeploymentGitSourceType$inboundSchema = nativeEnumType(CancelDeploymentGitSourceType);
  CancelDeploymentGitSourceType$outboundSchema = CancelDeploymentGitSourceType$inboundSchema;
  ((CancelDeploymentGitSourceType$) => {
    CancelDeploymentGitSourceType$.inboundSchema = CancelDeploymentGitSourceType$inboundSchema;
    CancelDeploymentGitSourceType$.outboundSchema = CancelDeploymentGitSourceType$outboundSchema;
  })(CancelDeploymentGitSourceType$ ||= {});
  CancelDeploymentGitSourceRepoId$inboundSchema = unionType([stringType(), numberType()]);
  CancelDeploymentGitSourceRepoId$outboundSchema = unionType([stringType(), numberType()]);
  ((CancelDeploymentGitSourceRepoId$) => {
    CancelDeploymentGitSourceRepoId$.inboundSchema = CancelDeploymentGitSourceRepoId$inboundSchema;
    CancelDeploymentGitSourceRepoId$.outboundSchema = CancelDeploymentGitSourceRepoId$outboundSchema;
  })(CancelDeploymentGitSourceRepoId$ ||= {});
  CancelDeploymentGitSource1$inboundSchema = objectType({
    type: CancelDeploymentGitSourceType$inboundSchema,
    repoId: unionType([stringType(), numberType()]),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  CancelDeploymentGitSource1$outboundSchema = objectType({
    type: CancelDeploymentGitSourceType$outboundSchema,
    repoId: unionType([stringType(), numberType()]),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  ((CancelDeploymentGitSource1$) => {
    CancelDeploymentGitSource1$.inboundSchema = CancelDeploymentGitSource1$inboundSchema;
    CancelDeploymentGitSource1$.outboundSchema = CancelDeploymentGitSource1$outboundSchema;
  })(CancelDeploymentGitSource1$ ||= {});
  CancelDeploymentGitSource$inboundSchema = unionType([
    lazyType(() => GitSource8$inboundSchema),
    lazyType(() => GitSource11$inboundSchema),
    lazyType(() => CancelDeploymentGitSource1$inboundSchema),
    lazyType(() => CancelDeploymentGitSource5$inboundSchema),
    lazyType(() => CancelDeploymentGitSource2$inboundSchema),
    lazyType(() => CancelDeploymentGitSource3$inboundSchema),
    lazyType(() => CancelDeploymentGitSource6$inboundSchema),
    lazyType(() => GitSource7$inboundSchema),
    lazyType(() => GitSource9$inboundSchema),
    lazyType(() => CancelDeploymentGitSource4$inboundSchema),
    lazyType(() => GitSource10$inboundSchema),
    lazyType(() => GitSource12$inboundSchema)
  ]);
  CancelDeploymentGitSource$outboundSchema = unionType([
    lazyType(() => GitSource8$outboundSchema),
    lazyType(() => GitSource11$outboundSchema),
    lazyType(() => CancelDeploymentGitSource1$outboundSchema),
    lazyType(() => CancelDeploymentGitSource5$outboundSchema),
    lazyType(() => CancelDeploymentGitSource2$outboundSchema),
    lazyType(() => CancelDeploymentGitSource3$outboundSchema),
    lazyType(() => CancelDeploymentGitSource6$outboundSchema),
    lazyType(() => GitSource7$outboundSchema),
    lazyType(() => GitSource9$outboundSchema),
    lazyType(() => CancelDeploymentGitSource4$outboundSchema),
    lazyType(() => GitSource10$outboundSchema),
    lazyType(() => GitSource12$outboundSchema)
  ]);
  ((CancelDeploymentGitSource$) => {
    CancelDeploymentGitSource$.inboundSchema = CancelDeploymentGitSource$inboundSchema;
    CancelDeploymentGitSource$.outboundSchema = CancelDeploymentGitSource$outboundSchema;
  })(CancelDeploymentGitSource$ ||= {});
  CancelDeploymentProject$inboundSchema = objectType({
    id: stringType(),
    name: stringType(),
    framework: nullableType(stringType()).optional()
  });
  CancelDeploymentProject$outboundSchema = objectType({
    id: stringType(),
    name: stringType(),
    framework: nullableType(stringType()).optional()
  });
  ((CancelDeploymentProject$) => {
    CancelDeploymentProject$.inboundSchema = CancelDeploymentProject$inboundSchema;
    CancelDeploymentProject$.outboundSchema = CancelDeploymentProject$outboundSchema;
  })(CancelDeploymentProject$ ||= {});
  CancelDeploymentReadyState$inboundSchema = nativeEnumType(CancelDeploymentReadyState);
  CancelDeploymentReadyState$outboundSchema = CancelDeploymentReadyState$inboundSchema;
  ((CancelDeploymentReadyState$) => {
    CancelDeploymentReadyState$.inboundSchema = CancelDeploymentReadyState$inboundSchema;
    CancelDeploymentReadyState$.outboundSchema = CancelDeploymentReadyState$outboundSchema;
  })(CancelDeploymentReadyState$ ||= {});
  CancelDeploymentReadySubstate$inboundSchema = nativeEnumType(CancelDeploymentReadySubstate);
  CancelDeploymentReadySubstate$outboundSchema = CancelDeploymentReadySubstate$inboundSchema;
  ((CancelDeploymentReadySubstate$) => {
    CancelDeploymentReadySubstate$.inboundSchema = CancelDeploymentReadySubstate$inboundSchema;
    CancelDeploymentReadySubstate$.outboundSchema = CancelDeploymentReadySubstate$outboundSchema;
  })(CancelDeploymentReadySubstate$ ||= {});
  CancelDeploymentSource$inboundSchema = nativeEnumType(CancelDeploymentSource);
  CancelDeploymentSource$outboundSchema = CancelDeploymentSource$inboundSchema;
  ((CancelDeploymentSource$) => {
    CancelDeploymentSource$.inboundSchema = CancelDeploymentSource$inboundSchema;
    CancelDeploymentSource$.outboundSchema = CancelDeploymentSource$outboundSchema;
  })(CancelDeploymentSource$ ||= {});
  CancelDeploymentTarget$inboundSchema = nativeEnumType(CancelDeploymentTarget);
  CancelDeploymentTarget$outboundSchema = CancelDeploymentTarget$inboundSchema;
  ((CancelDeploymentTarget$) => {
    CancelDeploymentTarget$.inboundSchema = CancelDeploymentTarget$inboundSchema;
    CancelDeploymentTarget$.outboundSchema = CancelDeploymentTarget$outboundSchema;
  })(CancelDeploymentTarget$ ||= {});
  CancelDeploymentType$inboundSchema = nativeEnumType(CancelDeploymentType);
  CancelDeploymentType$outboundSchema = CancelDeploymentType$inboundSchema;
  ((CancelDeploymentType$) => {
    CancelDeploymentType$.inboundSchema = CancelDeploymentType$inboundSchema;
    CancelDeploymentType$.outboundSchema = CancelDeploymentType$outboundSchema;
  })(CancelDeploymentType$ ||= {});
  CancelDeploymentOidcTokenClaims$inboundSchema = objectType({
    iss: stringType(),
    sub: stringType(),
    scope: stringType(),
    aud: stringType(),
    owner: stringType(),
    owner_id: stringType(),
    project: stringType(),
    project_id: stringType(),
    environment: stringType()
  }).transform((v2) => {
    return remap(v2, {
      owner_id: "ownerId",
      project_id: "projectId"
    });
  });
  CancelDeploymentOidcTokenClaims$outboundSchema = objectType({
    iss: stringType(),
    sub: stringType(),
    scope: stringType(),
    aud: stringType(),
    owner: stringType(),
    ownerId: stringType(),
    project: stringType(),
    projectId: stringType(),
    environment: stringType()
  }).transform((v2) => {
    return remap(v2, {
      ownerId: "owner_id",
      projectId: "project_id"
    });
  });
  ((CancelDeploymentOidcTokenClaims$) => {
    CancelDeploymentOidcTokenClaims$.inboundSchema = CancelDeploymentOidcTokenClaims$inboundSchema;
    CancelDeploymentOidcTokenClaims$.outboundSchema = CancelDeploymentOidcTokenClaims$outboundSchema;
  })(CancelDeploymentOidcTokenClaims$ ||= {});
  CancelDeploymentCrons$inboundSchema = objectType({
    schedule: stringType(),
    path: stringType()
  });
  CancelDeploymentCrons$outboundSchema = objectType({
    schedule: stringType(),
    path: stringType()
  });
  ((CancelDeploymentCrons$) => {
    CancelDeploymentCrons$.inboundSchema = CancelDeploymentCrons$inboundSchema;
    CancelDeploymentCrons$.outboundSchema = CancelDeploymentCrons$outboundSchema;
  })(CancelDeploymentCrons$ ||= {});
  CancelDeploymentFunctions$inboundSchema = objectType({
    memory: numberType().optional(),
    maxDuration: numberType().optional(),
    runtime: stringType().optional(),
    includeFiles: stringType().optional(),
    excludeFiles: stringType().optional()
  });
  CancelDeploymentFunctions$outboundSchema = objectType({
    memory: numberType().optional(),
    maxDuration: numberType().optional(),
    runtime: stringType().optional(),
    includeFiles: stringType().optional(),
    excludeFiles: stringType().optional()
  });
  ((CancelDeploymentFunctions$) => {
    CancelDeploymentFunctions$.inboundSchema = CancelDeploymentFunctions$inboundSchema;
    CancelDeploymentFunctions$.outboundSchema = CancelDeploymentFunctions$outboundSchema;
  })(CancelDeploymentFunctions$ ||= {});
  CancelDeploymentPlan$inboundSchema = nativeEnumType(CancelDeploymentPlan);
  CancelDeploymentPlan$outboundSchema = CancelDeploymentPlan$inboundSchema;
  ((CancelDeploymentPlan$) => {
    CancelDeploymentPlan$.inboundSchema = CancelDeploymentPlan$inboundSchema;
    CancelDeploymentPlan$.outboundSchema = CancelDeploymentPlan$outboundSchema;
  })(CancelDeploymentPlan$ ||= {});
  CancelDeploymentRoutes3$inboundSchema = objectType({
    src: stringType(),
    continue: booleanType(),
    middleware: numberType()
  });
  CancelDeploymentRoutes3$outboundSchema = objectType({
    src: stringType(),
    continue: booleanType(),
    middleware: numberType()
  });
  ((CancelDeploymentRoutes3$) => {
    CancelDeploymentRoutes3$.inboundSchema = CancelDeploymentRoutes3$inboundSchema;
    CancelDeploymentRoutes3$.outboundSchema = CancelDeploymentRoutes3$outboundSchema;
  })(CancelDeploymentRoutes3$ ||= {});
  CancelDeploymentRoutesHandle$inboundSchema = nativeEnumType(CancelDeploymentRoutesHandle);
  CancelDeploymentRoutesHandle$outboundSchema = CancelDeploymentRoutesHandle$inboundSchema;
  ((CancelDeploymentRoutesHandle$) => {
    CancelDeploymentRoutesHandle$.inboundSchema = CancelDeploymentRoutesHandle$inboundSchema;
    CancelDeploymentRoutesHandle$.outboundSchema = CancelDeploymentRoutesHandle$outboundSchema;
  })(CancelDeploymentRoutesHandle$ ||= {});
  CancelDeploymentRoutes2$inboundSchema = objectType({
    handle: CancelDeploymentRoutesHandle$inboundSchema,
    src: stringType().optional(),
    dest: stringType().optional(),
    status: numberType().optional()
  });
  CancelDeploymentRoutes2$outboundSchema = objectType({
    handle: CancelDeploymentRoutesHandle$outboundSchema,
    src: stringType().optional(),
    dest: stringType().optional(),
    status: numberType().optional()
  });
  ((CancelDeploymentRoutes2$) => {
    CancelDeploymentRoutes2$.inboundSchema = CancelDeploymentRoutes2$inboundSchema;
    CancelDeploymentRoutes2$.outboundSchema = CancelDeploymentRoutes2$outboundSchema;
  })(CancelDeploymentRoutes2$ ||= {});
  CancelDeploymentHasDeploymentsType$inboundSchema = nativeEnumType(CancelDeploymentHasDeploymentsType);
  CancelDeploymentHasDeploymentsType$outboundSchema = CancelDeploymentHasDeploymentsType$inboundSchema;
  ((CancelDeploymentHasDeploymentsType$) => {
    CancelDeploymentHasDeploymentsType$.inboundSchema = CancelDeploymentHasDeploymentsType$inboundSchema;
    CancelDeploymentHasDeploymentsType$.outboundSchema = CancelDeploymentHasDeploymentsType$outboundSchema;
  })(CancelDeploymentHasDeploymentsType$ ||= {});
  CancelDeploymentHas2$inboundSchema = objectType({
    type: CancelDeploymentHasDeploymentsType$inboundSchema,
    key: stringType(),
    value: stringType().optional()
  });
  CancelDeploymentHas2$outboundSchema = objectType({
    type: CancelDeploymentHasDeploymentsType$outboundSchema,
    key: stringType(),
    value: stringType().optional()
  });
  ((CancelDeploymentHas2$) => {
    CancelDeploymentHas2$.inboundSchema = CancelDeploymentHas2$inboundSchema;
    CancelDeploymentHas2$.outboundSchema = CancelDeploymentHas2$outboundSchema;
  })(CancelDeploymentHas2$ ||= {});
  CancelDeploymentHasType$inboundSchema = nativeEnumType(CancelDeploymentHasType);
  CancelDeploymentHasType$outboundSchema = CancelDeploymentHasType$inboundSchema;
  ((CancelDeploymentHasType$) => {
    CancelDeploymentHasType$.inboundSchema = CancelDeploymentHasType$inboundSchema;
    CancelDeploymentHasType$.outboundSchema = CancelDeploymentHasType$outboundSchema;
  })(CancelDeploymentHasType$ ||= {});
  CancelDeploymentHas1$inboundSchema = objectType({
    type: CancelDeploymentHasType$inboundSchema,
    value: stringType()
  });
  CancelDeploymentHas1$outboundSchema = objectType({
    type: CancelDeploymentHasType$outboundSchema,
    value: stringType()
  });
  ((CancelDeploymentHas1$) => {
    CancelDeploymentHas1$.inboundSchema = CancelDeploymentHas1$inboundSchema;
    CancelDeploymentHas1$.outboundSchema = CancelDeploymentHas1$outboundSchema;
  })(CancelDeploymentHas1$ ||= {});
  CancelDeploymentRoutesHas$inboundSchema = unionType([
    lazyType(() => CancelDeploymentHas1$inboundSchema),
    lazyType(() => CancelDeploymentHas2$inboundSchema)
  ]);
  CancelDeploymentRoutesHas$outboundSchema = unionType([
    lazyType(() => CancelDeploymentHas1$outboundSchema),
    lazyType(() => CancelDeploymentHas2$outboundSchema)
  ]);
  ((CancelDeploymentRoutesHas$) => {
    CancelDeploymentRoutesHas$.inboundSchema = CancelDeploymentRoutesHas$inboundSchema;
    CancelDeploymentRoutesHas$.outboundSchema = CancelDeploymentRoutesHas$outboundSchema;
  })(CancelDeploymentRoutesHas$ ||= {});
  CancelDeploymentMissingDeploymentsType$inboundSchema = nativeEnumType(CancelDeploymentMissingDeploymentsType);
  CancelDeploymentMissingDeploymentsType$outboundSchema = CancelDeploymentMissingDeploymentsType$inboundSchema;
  ((CancelDeploymentMissingDeploymentsType$) => {
    CancelDeploymentMissingDeploymentsType$.inboundSchema = CancelDeploymentMissingDeploymentsType$inboundSchema;
    CancelDeploymentMissingDeploymentsType$.outboundSchema = CancelDeploymentMissingDeploymentsType$outboundSchema;
  })(CancelDeploymentMissingDeploymentsType$ ||= {});
  CancelDeploymentMissing2$inboundSchema = objectType({
    type: CancelDeploymentMissingDeploymentsType$inboundSchema,
    key: stringType(),
    value: stringType().optional()
  });
  CancelDeploymentMissing2$outboundSchema = objectType({
    type: CancelDeploymentMissingDeploymentsType$outboundSchema,
    key: stringType(),
    value: stringType().optional()
  });
  ((CancelDeploymentMissing2$) => {
    CancelDeploymentMissing2$.inboundSchema = CancelDeploymentMissing2$inboundSchema;
    CancelDeploymentMissing2$.outboundSchema = CancelDeploymentMissing2$outboundSchema;
  })(CancelDeploymentMissing2$ ||= {});
  CancelDeploymentMissingType$inboundSchema = nativeEnumType(CancelDeploymentMissingType);
  CancelDeploymentMissingType$outboundSchema = CancelDeploymentMissingType$inboundSchema;
  ((CancelDeploymentMissingType$) => {
    CancelDeploymentMissingType$.inboundSchema = CancelDeploymentMissingType$inboundSchema;
    CancelDeploymentMissingType$.outboundSchema = CancelDeploymentMissingType$outboundSchema;
  })(CancelDeploymentMissingType$ ||= {});
  CancelDeploymentMissing1$inboundSchema = objectType({
    type: CancelDeploymentMissingType$inboundSchema,
    value: stringType()
  });
  CancelDeploymentMissing1$outboundSchema = objectType({
    type: CancelDeploymentMissingType$outboundSchema,
    value: stringType()
  });
  ((CancelDeploymentMissing1$) => {
    CancelDeploymentMissing1$.inboundSchema = CancelDeploymentMissing1$inboundSchema;
    CancelDeploymentMissing1$.outboundSchema = CancelDeploymentMissing1$outboundSchema;
  })(CancelDeploymentMissing1$ ||= {});
  CancelDeploymentRoutesMissing$inboundSchema = unionType([
    lazyType(() => CancelDeploymentMissing1$inboundSchema),
    lazyType(() => CancelDeploymentMissing2$inboundSchema)
  ]);
  CancelDeploymentRoutesMissing$outboundSchema = unionType([
    lazyType(() => CancelDeploymentMissing1$outboundSchema),
    lazyType(() => CancelDeploymentMissing2$outboundSchema)
  ]);
  ((CancelDeploymentRoutesMissing$) => {
    CancelDeploymentRoutesMissing$.inboundSchema = CancelDeploymentRoutesMissing$inboundSchema;
    CancelDeploymentRoutesMissing$.outboundSchema = CancelDeploymentRoutesMissing$outboundSchema;
  })(CancelDeploymentRoutesMissing$ ||= {});
  RoutesLocale$inboundSchema = objectType({
    redirect: recordType(stringType()).optional(),
    cookie: stringType().optional()
  });
  RoutesLocale$outboundSchema = objectType({
    redirect: recordType(stringType()).optional(),
    cookie: stringType().optional()
  });
  ((RoutesLocale$) => {
    RoutesLocale$.inboundSchema = RoutesLocale$inboundSchema;
    RoutesLocale$.outboundSchema = RoutesLocale$outboundSchema;
  })(RoutesLocale$ ||= {});
  CancelDeploymentRoutes1$inboundSchema = objectType({
    src: stringType(),
    dest: stringType().optional(),
    headers: recordType(stringType()).optional(),
    methods: arrayType(stringType()).optional(),
    continue: booleanType().optional(),
    override: booleanType().optional(),
    caseSensitive: booleanType().optional(),
    check: booleanType().optional(),
    important: booleanType().optional(),
    status: numberType().optional(),
    has: arrayType(unionType([
      lazyType(() => CancelDeploymentHas1$inboundSchema),
      lazyType(() => CancelDeploymentHas2$inboundSchema)
    ])).optional(),
    missing: arrayType(unionType([
      lazyType(() => CancelDeploymentMissing1$inboundSchema),
      lazyType(() => CancelDeploymentMissing2$inboundSchema)
    ])).optional(),
    locale: lazyType(() => RoutesLocale$inboundSchema).optional(),
    middlewarePath: stringType().optional(),
    middlewareRawSrc: arrayType(stringType()).optional(),
    middleware: numberType().optional()
  });
  CancelDeploymentRoutes1$outboundSchema = objectType({
    src: stringType(),
    dest: stringType().optional(),
    headers: recordType(stringType()).optional(),
    methods: arrayType(stringType()).optional(),
    continue: booleanType().optional(),
    override: booleanType().optional(),
    caseSensitive: booleanType().optional(),
    check: booleanType().optional(),
    important: booleanType().optional(),
    status: numberType().optional(),
    has: arrayType(unionType([
      lazyType(() => CancelDeploymentHas1$outboundSchema),
      lazyType(() => CancelDeploymentHas2$outboundSchema)
    ])).optional(),
    missing: arrayType(unionType([
      lazyType(() => CancelDeploymentMissing1$outboundSchema),
      lazyType(() => CancelDeploymentMissing2$outboundSchema)
    ])).optional(),
    locale: lazyType(() => RoutesLocale$outboundSchema).optional(),
    middlewarePath: stringType().optional(),
    middlewareRawSrc: arrayType(stringType()).optional(),
    middleware: numberType().optional()
  });
  ((CancelDeploymentRoutes1$) => {
    CancelDeploymentRoutes1$.inboundSchema = CancelDeploymentRoutes1$inboundSchema;
    CancelDeploymentRoutes1$.outboundSchema = CancelDeploymentRoutes1$outboundSchema;
  })(CancelDeploymentRoutes1$ ||= {});
  CancelDeploymentRoutes$inboundSchema = unionType([
    lazyType(() => CancelDeploymentRoutes3$inboundSchema),
    lazyType(() => CancelDeploymentRoutes2$inboundSchema),
    lazyType(() => CancelDeploymentRoutes1$inboundSchema)
  ]);
  CancelDeploymentRoutes$outboundSchema = unionType([
    lazyType(() => CancelDeploymentRoutes3$outboundSchema),
    lazyType(() => CancelDeploymentRoutes2$outboundSchema),
    lazyType(() => CancelDeploymentRoutes1$outboundSchema)
  ]);
  ((CancelDeploymentRoutes$) => {
    CancelDeploymentRoutes$.inboundSchema = CancelDeploymentRoutes$inboundSchema;
    CancelDeploymentRoutes$.outboundSchema = CancelDeploymentRoutes$outboundSchema;
  })(CancelDeploymentRoutes$ ||= {});
  CancelDeploymentGitRepoDeploymentsResponseType$inboundSchema = nativeEnumType(CancelDeploymentGitRepoDeploymentsResponseType);
  CancelDeploymentGitRepoDeploymentsResponseType$outboundSchema = CancelDeploymentGitRepoDeploymentsResponseType$inboundSchema;
  ((CancelDeploymentGitRepoDeploymentsResponseType$) => {
    CancelDeploymentGitRepoDeploymentsResponseType$.inboundSchema = CancelDeploymentGitRepoDeploymentsResponseType$inboundSchema;
    CancelDeploymentGitRepoDeploymentsResponseType$.outboundSchema = CancelDeploymentGitRepoDeploymentsResponseType$outboundSchema;
  })(CancelDeploymentGitRepoDeploymentsResponseType$ ||= {});
  CancelDeploymentGitRepoDeploymentsResponseOwnerType$inboundSchema = nativeEnumType(CancelDeploymentGitRepoDeploymentsResponseOwnerType);
  CancelDeploymentGitRepoDeploymentsResponseOwnerType$outboundSchema = CancelDeploymentGitRepoDeploymentsResponseOwnerType$inboundSchema;
  ((CancelDeploymentGitRepoDeploymentsResponseOwnerType$) => {
    CancelDeploymentGitRepoDeploymentsResponseOwnerType$.inboundSchema = CancelDeploymentGitRepoDeploymentsResponseOwnerType$inboundSchema;
    CancelDeploymentGitRepoDeploymentsResponseOwnerType$.outboundSchema = CancelDeploymentGitRepoDeploymentsResponseOwnerType$outboundSchema;
  })(CancelDeploymentGitRepoDeploymentsResponseOwnerType$ ||= {});
  CancelDeploymentGitRepo3$inboundSchema = objectType({
    owner: stringType(),
    repoUuid: stringType(),
    slug: stringType(),
    type: CancelDeploymentGitRepoDeploymentsResponseType$inboundSchema,
    workspaceUuid: stringType(),
    path: stringType(),
    defaultBranch: stringType(),
    name: stringType(),
    private: booleanType(),
    ownerType: CancelDeploymentGitRepoDeploymentsResponseOwnerType$inboundSchema
  });
  CancelDeploymentGitRepo3$outboundSchema = objectType({
    owner: stringType(),
    repoUuid: stringType(),
    slug: stringType(),
    type: CancelDeploymentGitRepoDeploymentsResponseType$outboundSchema,
    workspaceUuid: stringType(),
    path: stringType(),
    defaultBranch: stringType(),
    name: stringType(),
    private: booleanType(),
    ownerType: CancelDeploymentGitRepoDeploymentsResponseOwnerType$outboundSchema
  });
  ((CancelDeploymentGitRepo3$) => {
    CancelDeploymentGitRepo3$.inboundSchema = CancelDeploymentGitRepo3$inboundSchema;
    CancelDeploymentGitRepo3$.outboundSchema = CancelDeploymentGitRepo3$outboundSchema;
  })(CancelDeploymentGitRepo3$ ||= {});
  CancelDeploymentGitRepoDeploymentsType$inboundSchema = nativeEnumType(CancelDeploymentGitRepoDeploymentsType);
  CancelDeploymentGitRepoDeploymentsType$outboundSchema = CancelDeploymentGitRepoDeploymentsType$inboundSchema;
  ((CancelDeploymentGitRepoDeploymentsType$) => {
    CancelDeploymentGitRepoDeploymentsType$.inboundSchema = CancelDeploymentGitRepoDeploymentsType$inboundSchema;
    CancelDeploymentGitRepoDeploymentsType$.outboundSchema = CancelDeploymentGitRepoDeploymentsType$outboundSchema;
  })(CancelDeploymentGitRepoDeploymentsType$ ||= {});
  CancelDeploymentGitRepoDeploymentsOwnerType$inboundSchema = nativeEnumType(CancelDeploymentGitRepoDeploymentsOwnerType);
  CancelDeploymentGitRepoDeploymentsOwnerType$outboundSchema = CancelDeploymentGitRepoDeploymentsOwnerType$inboundSchema;
  ((CancelDeploymentGitRepoDeploymentsOwnerType$) => {
    CancelDeploymentGitRepoDeploymentsOwnerType$.inboundSchema = CancelDeploymentGitRepoDeploymentsOwnerType$inboundSchema;
    CancelDeploymentGitRepoDeploymentsOwnerType$.outboundSchema = CancelDeploymentGitRepoDeploymentsOwnerType$outboundSchema;
  })(CancelDeploymentGitRepoDeploymentsOwnerType$ ||= {});
  CancelDeploymentGitRepo2$inboundSchema = objectType({
    org: stringType(),
    repo: stringType(),
    repoId: numberType(),
    type: CancelDeploymentGitRepoDeploymentsType$inboundSchema,
    repoOwnerId: numberType(),
    path: stringType(),
    defaultBranch: stringType(),
    name: stringType(),
    private: booleanType(),
    ownerType: CancelDeploymentGitRepoDeploymentsOwnerType$inboundSchema
  });
  CancelDeploymentGitRepo2$outboundSchema = objectType({
    org: stringType(),
    repo: stringType(),
    repoId: numberType(),
    type: CancelDeploymentGitRepoDeploymentsType$outboundSchema,
    repoOwnerId: numberType(),
    path: stringType(),
    defaultBranch: stringType(),
    name: stringType(),
    private: booleanType(),
    ownerType: CancelDeploymentGitRepoDeploymentsOwnerType$outboundSchema
  });
  ((CancelDeploymentGitRepo2$) => {
    CancelDeploymentGitRepo2$.inboundSchema = CancelDeploymentGitRepo2$inboundSchema;
    CancelDeploymentGitRepo2$.outboundSchema = CancelDeploymentGitRepo2$outboundSchema;
  })(CancelDeploymentGitRepo2$ ||= {});
  CancelDeploymentGitRepoType$inboundSchema = nativeEnumType(CancelDeploymentGitRepoType);
  CancelDeploymentGitRepoType$outboundSchema = CancelDeploymentGitRepoType$inboundSchema;
  ((CancelDeploymentGitRepoType$) => {
    CancelDeploymentGitRepoType$.inboundSchema = CancelDeploymentGitRepoType$inboundSchema;
    CancelDeploymentGitRepoType$.outboundSchema = CancelDeploymentGitRepoType$outboundSchema;
  })(CancelDeploymentGitRepoType$ ||= {});
  CancelDeploymentGitRepoOwnerType$inboundSchema = nativeEnumType(CancelDeploymentGitRepoOwnerType);
  CancelDeploymentGitRepoOwnerType$outboundSchema = CancelDeploymentGitRepoOwnerType$inboundSchema;
  ((CancelDeploymentGitRepoOwnerType$) => {
    CancelDeploymentGitRepoOwnerType$.inboundSchema = CancelDeploymentGitRepoOwnerType$inboundSchema;
    CancelDeploymentGitRepoOwnerType$.outboundSchema = CancelDeploymentGitRepoOwnerType$outboundSchema;
  })(CancelDeploymentGitRepoOwnerType$ ||= {});
  CancelDeploymentGitRepo1$inboundSchema = objectType({
    namespace: stringType(),
    projectId: numberType(),
    type: CancelDeploymentGitRepoType$inboundSchema,
    url: stringType(),
    path: stringType(),
    defaultBranch: stringType(),
    name: stringType(),
    private: booleanType(),
    ownerType: CancelDeploymentGitRepoOwnerType$inboundSchema
  });
  CancelDeploymentGitRepo1$outboundSchema = objectType({
    namespace: stringType(),
    projectId: numberType(),
    type: CancelDeploymentGitRepoType$outboundSchema,
    url: stringType(),
    path: stringType(),
    defaultBranch: stringType(),
    name: stringType(),
    private: booleanType(),
    ownerType: CancelDeploymentGitRepoOwnerType$outboundSchema
  });
  ((CancelDeploymentGitRepo1$) => {
    CancelDeploymentGitRepo1$.inboundSchema = CancelDeploymentGitRepo1$inboundSchema;
    CancelDeploymentGitRepo1$.outboundSchema = CancelDeploymentGitRepo1$outboundSchema;
  })(CancelDeploymentGitRepo1$ ||= {});
  CancelDeploymentGitRepo$inboundSchema = unionType([
    lazyType(() => CancelDeploymentGitRepo1$inboundSchema),
    lazyType(() => CancelDeploymentGitRepo2$inboundSchema),
    lazyType(() => CancelDeploymentGitRepo3$inboundSchema)
  ]);
  CancelDeploymentGitRepo$outboundSchema = unionType([
    lazyType(() => CancelDeploymentGitRepo1$outboundSchema),
    lazyType(() => CancelDeploymentGitRepo2$outboundSchema),
    lazyType(() => CancelDeploymentGitRepo3$outboundSchema)
  ]);
  ((CancelDeploymentGitRepo$) => {
    CancelDeploymentGitRepo$.inboundSchema = CancelDeploymentGitRepo$inboundSchema;
    CancelDeploymentGitRepo$.outboundSchema = CancelDeploymentGitRepo$outboundSchema;
  })(CancelDeploymentGitRepo$ ||= {});
  CancelDeploymentFlags2$inboundSchema = objectType({});
  CancelDeploymentFlags2$outboundSchema = objectType({});
  ((CancelDeploymentFlags2$) => {
    CancelDeploymentFlags2$.inboundSchema = CancelDeploymentFlags2$inboundSchema;
    CancelDeploymentFlags2$.outboundSchema = CancelDeploymentFlags2$outboundSchema;
  })(CancelDeploymentFlags2$ ||= {});
  FlagsOptions$inboundSchema = objectType({
    value: nullableType(FlagJSONValue$inboundSchema),
    label: stringType().optional()
  });
  FlagsOptions$outboundSchema = objectType({
    value: nullableType(FlagJSONValue$outboundSchema),
    label: stringType().optional()
  });
  ((FlagsOptions$) => {
    FlagsOptions$.inboundSchema = FlagsOptions$inboundSchema;
    FlagsOptions$.outboundSchema = FlagsOptions$outboundSchema;
  })(FlagsOptions$ ||= {});
  CancelDeploymentFlagsDefinitions$inboundSchema = objectType({
    options: arrayType(lazyType(() => FlagsOptions$inboundSchema)).optional(),
    url: stringType().optional(),
    description: stringType().optional()
  });
  CancelDeploymentFlagsDefinitions$outboundSchema = objectType({
    options: arrayType(lazyType(() => FlagsOptions$outboundSchema)).optional(),
    url: stringType().optional(),
    description: stringType().optional()
  });
  ((CancelDeploymentFlagsDefinitions$) => {
    CancelDeploymentFlagsDefinitions$.inboundSchema = CancelDeploymentFlagsDefinitions$inboundSchema;
    CancelDeploymentFlagsDefinitions$.outboundSchema = CancelDeploymentFlagsDefinitions$outboundSchema;
  })(CancelDeploymentFlagsDefinitions$ ||= {});
  CancelDeploymentFlags1$inboundSchema = objectType({
    definitions: recordType(lazyType(() => CancelDeploymentFlagsDefinitions$inboundSchema))
  });
  CancelDeploymentFlags1$outboundSchema = objectType({
    definitions: recordType(lazyType(() => CancelDeploymentFlagsDefinitions$outboundSchema))
  });
  ((CancelDeploymentFlags1$) => {
    CancelDeploymentFlags1$.inboundSchema = CancelDeploymentFlags1$inboundSchema;
    CancelDeploymentFlags1$.outboundSchema = CancelDeploymentFlags1$outboundSchema;
  })(CancelDeploymentFlags1$ ||= {});
  CancelDeploymentFlags$inboundSchema = unionType([
    lazyType(() => CancelDeploymentFlags1$inboundSchema),
    arrayType(lazyType(() => CancelDeploymentFlags2$inboundSchema))
  ]);
  CancelDeploymentFlags$outboundSchema = unionType([
    lazyType(() => CancelDeploymentFlags1$outboundSchema),
    arrayType(lazyType(() => CancelDeploymentFlags2$outboundSchema))
  ]);
  ((CancelDeploymentFlags$) => {
    CancelDeploymentFlags$.inboundSchema = CancelDeploymentFlags$inboundSchema;
    CancelDeploymentFlags$.outboundSchema = CancelDeploymentFlags$outboundSchema;
  })(CancelDeploymentFlags$ ||= {});
  MicrofrontendsApplications$inboundSchema = objectType({
    productionHost: stringType(),
    deploymentAlias: stringType().optional(),
    deploymentHost: stringType().optional()
  });
  MicrofrontendsApplications$outboundSchema = objectType({
    productionHost: stringType(),
    deploymentAlias: stringType().optional(),
    deploymentHost: stringType().optional()
  });
  ((MicrofrontendsApplications$) => {
    MicrofrontendsApplications$.inboundSchema = MicrofrontendsApplications$inboundSchema;
    MicrofrontendsApplications$.outboundSchema = MicrofrontendsApplications$outboundSchema;
  })(MicrofrontendsApplications$ ||= {});
  CancelDeploymentMicrofrontends2$inboundSchema = objectType({
    applications: recordType(lazyType(() => MicrofrontendsApplications$inboundSchema)).optional(),
    isDefaultApp: booleanType(),
    defaultAppProjectName: stringType(),
    defaultRoute: stringType().optional(),
    groupIds: arrayType(stringType())
  });
  CancelDeploymentMicrofrontends2$outboundSchema = objectType({
    applications: recordType(lazyType(() => MicrofrontendsApplications$outboundSchema)).optional(),
    isDefaultApp: booleanType(),
    defaultAppProjectName: stringType(),
    defaultRoute: stringType().optional(),
    groupIds: arrayType(stringType())
  });
  ((CancelDeploymentMicrofrontends2$) => {
    CancelDeploymentMicrofrontends2$.inboundSchema = CancelDeploymentMicrofrontends2$inboundSchema;
    CancelDeploymentMicrofrontends2$.outboundSchema = CancelDeploymentMicrofrontends2$outboundSchema;
  })(CancelDeploymentMicrofrontends2$ ||= {});
  CancelDeploymentMicrofrontends1$inboundSchema = objectType({
    isDefaultApp: booleanType().optional(),
    defaultAppProjectName: stringType(),
    defaultRoute: stringType().optional(),
    groupIds: arrayType(stringType())
  });
  CancelDeploymentMicrofrontends1$outboundSchema = objectType({
    isDefaultApp: booleanType().optional(),
    defaultAppProjectName: stringType(),
    defaultRoute: stringType().optional(),
    groupIds: arrayType(stringType())
  });
  ((CancelDeploymentMicrofrontends1$) => {
    CancelDeploymentMicrofrontends1$.inboundSchema = CancelDeploymentMicrofrontends1$inboundSchema;
    CancelDeploymentMicrofrontends1$.outboundSchema = CancelDeploymentMicrofrontends1$outboundSchema;
  })(CancelDeploymentMicrofrontends1$ ||= {});
  CancelDeploymentMicrofrontends$inboundSchema = unionType([
    lazyType(() => CancelDeploymentMicrofrontends1$inboundSchema),
    lazyType(() => CancelDeploymentMicrofrontends2$inboundSchema)
  ]);
  CancelDeploymentMicrofrontends$outboundSchema = unionType([
    lazyType(() => CancelDeploymentMicrofrontends1$outboundSchema),
    lazyType(() => CancelDeploymentMicrofrontends2$outboundSchema)
  ]);
  ((CancelDeploymentMicrofrontends$) => {
    CancelDeploymentMicrofrontends$.inboundSchema = CancelDeploymentMicrofrontends$inboundSchema;
    CancelDeploymentMicrofrontends$.outboundSchema = CancelDeploymentMicrofrontends$outboundSchema;
  })(CancelDeploymentMicrofrontends$ ||= {});
  CancelDeploymentFunctionType$inboundSchema = nativeEnumType(CancelDeploymentFunctionType);
  CancelDeploymentFunctionType$outboundSchema = CancelDeploymentFunctionType$inboundSchema;
  ((CancelDeploymentFunctionType$) => {
    CancelDeploymentFunctionType$.inboundSchema = CancelDeploymentFunctionType$inboundSchema;
    CancelDeploymentFunctionType$.outboundSchema = CancelDeploymentFunctionType$outboundSchema;
  })(CancelDeploymentFunctionType$ ||= {});
  CancelDeploymentFunctionMemoryType$inboundSchema = nativeEnumType(CancelDeploymentFunctionMemoryType);
  CancelDeploymentFunctionMemoryType$outboundSchema = CancelDeploymentFunctionMemoryType$inboundSchema;
  ((CancelDeploymentFunctionMemoryType$) => {
    CancelDeploymentFunctionMemoryType$.inboundSchema = CancelDeploymentFunctionMemoryType$inboundSchema;
    CancelDeploymentFunctionMemoryType$.outboundSchema = CancelDeploymentFunctionMemoryType$outboundSchema;
  })(CancelDeploymentFunctionMemoryType$ ||= {});
  CancelDeploymentConfig$inboundSchema = objectType({
    version: numberType().optional(),
    functionType: CancelDeploymentFunctionType$inboundSchema,
    functionMemoryType: CancelDeploymentFunctionMemoryType$inboundSchema,
    functionTimeout: nullableType(numberType()),
    secureComputePrimaryRegion: nullableType(stringType()),
    secureComputeFallbackRegion: nullableType(stringType())
  });
  CancelDeploymentConfig$outboundSchema = objectType({
    version: numberType().optional(),
    functionType: CancelDeploymentFunctionType$outboundSchema,
    functionMemoryType: CancelDeploymentFunctionMemoryType$outboundSchema,
    functionTimeout: nullableType(numberType()),
    secureComputePrimaryRegion: nullableType(stringType()),
    secureComputeFallbackRegion: nullableType(stringType())
  });
  ((CancelDeploymentConfig$) => {
    CancelDeploymentConfig$.inboundSchema = CancelDeploymentConfig$inboundSchema;
    CancelDeploymentConfig$.outboundSchema = CancelDeploymentConfig$outboundSchema;
  })(CancelDeploymentConfig$ ||= {});
  CancelDeploymentResponseBody$inboundSchema = objectType({
    aliasAssignedAt: nullableType(unionType([numberType(), booleanType()])).optional(),
    alwaysRefuseToBuild: booleanType().optional(),
    build: lazyType(() => CancelDeploymentBuild$inboundSchema),
    buildArtifactUrls: arrayType(stringType()).optional(),
    builds: arrayType(lazyType(() => CancelDeploymentBuilds$inboundSchema)).optional(),
    env: arrayType(stringType()),
    inspectorUrl: nullableType(stringType()),
    isInConcurrentBuildsQueue: booleanType(),
    isInSystemBuildsQueue: booleanType(),
    projectSettings: lazyType(() => CancelDeploymentProjectSettings$inboundSchema),
    readyStateReason: stringType().optional(),
    integrations: lazyType(() => CancelDeploymentIntegrations$inboundSchema).optional(),
    images: lazyType(() => CancelDeploymentImages$inboundSchema).optional(),
    alias: arrayType(stringType()).optional(),
    aliasAssigned: booleanType(),
    bootedAt: numberType(),
    buildingAt: numberType(),
    buildContainerFinishedAt: numberType().optional(),
    buildSkipped: booleanType(),
    creator: lazyType(() => CancelDeploymentCreator$inboundSchema),
    initReadyAt: numberType().optional(),
    isFirstBranchDeployment: booleanType().optional(),
    lambdas: arrayType(lazyType(() => CancelDeploymentLambdas$inboundSchema)).optional(),
    public: booleanType(),
    ready: numberType().optional(),
    status: CancelDeploymentStatus$inboundSchema,
    team: lazyType(() => CancelDeploymentTeam$inboundSchema).optional(),
    userAliases: arrayType(stringType()).optional(),
    previewCommentsEnabled: booleanType().optional(),
    ttyBuildLogs: booleanType().optional(),
    customEnvironment: unionType([
      lazyType(() => CancelDeploymentCustomEnvironment2$inboundSchema),
      lazyType(() => CancelDeploymentCustomEnvironment1$inboundSchema)
    ]).optional(),
    id: stringType(),
    aliasError: nullableType(lazyType(() => CancelDeploymentAliasError$inboundSchema)).optional(),
    aliasFinal: nullableType(stringType()).optional(),
    aliasWarning: nullableType(lazyType(() => CancelDeploymentAliasWarning$inboundSchema)).optional(),
    autoAssignCustomDomains: booleanType().optional(),
    automaticAliases: arrayType(stringType()).optional(),
    buildErrorAt: numberType().optional(),
    checksState: CancelDeploymentChecksState$inboundSchema.optional(),
    checksConclusion: CancelDeploymentChecksConclusion$inboundSchema.optional(),
    createdAt: numberType(),
    deletedAt: nullableType(numberType()).optional(),
    defaultRoute: stringType().optional(),
    canceledAt: numberType().optional(),
    errorCode: stringType().optional(),
    errorLink: stringType().optional(),
    errorMessage: nullableType(stringType()).optional(),
    errorStep: stringType().optional(),
    passiveRegions: arrayType(stringType()).optional(),
    gitSource: unionType([
      lazyType(() => GitSource8$inboundSchema),
      lazyType(() => GitSource11$inboundSchema),
      lazyType(() => CancelDeploymentGitSource1$inboundSchema),
      lazyType(() => CancelDeploymentGitSource5$inboundSchema),
      lazyType(() => CancelDeploymentGitSource2$inboundSchema),
      lazyType(() => CancelDeploymentGitSource3$inboundSchema),
      lazyType(() => CancelDeploymentGitSource6$inboundSchema),
      lazyType(() => GitSource7$inboundSchema),
      lazyType(() => GitSource9$inboundSchema),
      lazyType(() => CancelDeploymentGitSource4$inboundSchema),
      lazyType(() => GitSource10$inboundSchema),
      lazyType(() => GitSource12$inboundSchema)
    ]).optional(),
    name: stringType(),
    meta: recordType(stringType()),
    originCacheRegion: stringType().optional(),
    project: lazyType(() => CancelDeploymentProject$inboundSchema).optional(),
    readyState: CancelDeploymentReadyState$inboundSchema,
    readySubstate: CancelDeploymentReadySubstate$inboundSchema.optional(),
    regions: arrayType(stringType()),
    softDeletedByRetention: booleanType().optional(),
    source: CancelDeploymentSource$inboundSchema.optional(),
    target: nullableType(CancelDeploymentTarget$inboundSchema).optional(),
    type: CancelDeploymentType$inboundSchema,
    undeletedAt: numberType().optional(),
    url: stringType(),
    version: numberType(),
    oidcTokenClaims: lazyType(() => CancelDeploymentOidcTokenClaims$inboundSchema).optional(),
    connectBuildsEnabled: booleanType().optional(),
    connectConfigurationId: stringType().optional(),
    createdIn: stringType(),
    crons: arrayType(lazyType(() => CancelDeploymentCrons$inboundSchema)).optional(),
    functions: nullableType(recordType(lazyType(() => CancelDeploymentFunctions$inboundSchema))).optional(),
    monorepoManager: nullableType(stringType()).optional(),
    ownerId: stringType(),
    passiveConnectConfigurationId: stringType().optional(),
    plan: CancelDeploymentPlan$inboundSchema,
    projectId: stringType(),
    routes: nullableType(arrayType(unionType([
      lazyType(() => CancelDeploymentRoutes3$inboundSchema),
      lazyType(() => CancelDeploymentRoutes2$inboundSchema),
      lazyType(() => CancelDeploymentRoutes1$inboundSchema)
    ]))),
    gitRepo: nullableType(unionType([
      lazyType(() => CancelDeploymentGitRepo1$inboundSchema),
      lazyType(() => CancelDeploymentGitRepo2$inboundSchema),
      lazyType(() => CancelDeploymentGitRepo3$inboundSchema)
    ])).optional(),
    flags: unionType([
      lazyType(() => CancelDeploymentFlags1$inboundSchema),
      arrayType(lazyType(() => CancelDeploymentFlags2$inboundSchema))
    ]).optional(),
    microfrontends: unionType([
      lazyType(() => CancelDeploymentMicrofrontends1$inboundSchema),
      lazyType(() => CancelDeploymentMicrofrontends2$inboundSchema)
    ]).optional(),
    config: lazyType(() => CancelDeploymentConfig$inboundSchema).optional()
  });
  CancelDeploymentResponseBody$outboundSchema = objectType({
    aliasAssignedAt: nullableType(unionType([numberType(), booleanType()])).optional(),
    alwaysRefuseToBuild: booleanType().optional(),
    build: lazyType(() => CancelDeploymentBuild$outboundSchema),
    buildArtifactUrls: arrayType(stringType()).optional(),
    builds: arrayType(lazyType(() => CancelDeploymentBuilds$outboundSchema)).optional(),
    env: arrayType(stringType()),
    inspectorUrl: nullableType(stringType()),
    isInConcurrentBuildsQueue: booleanType(),
    isInSystemBuildsQueue: booleanType(),
    projectSettings: lazyType(() => CancelDeploymentProjectSettings$outboundSchema),
    readyStateReason: stringType().optional(),
    integrations: lazyType(() => CancelDeploymentIntegrations$outboundSchema).optional(),
    images: lazyType(() => CancelDeploymentImages$outboundSchema).optional(),
    alias: arrayType(stringType()).optional(),
    aliasAssigned: booleanType(),
    bootedAt: numberType(),
    buildingAt: numberType(),
    buildContainerFinishedAt: numberType().optional(),
    buildSkipped: booleanType(),
    creator: lazyType(() => CancelDeploymentCreator$outboundSchema),
    initReadyAt: numberType().optional(),
    isFirstBranchDeployment: booleanType().optional(),
    lambdas: arrayType(lazyType(() => CancelDeploymentLambdas$outboundSchema)).optional(),
    public: booleanType(),
    ready: numberType().optional(),
    status: CancelDeploymentStatus$outboundSchema,
    team: lazyType(() => CancelDeploymentTeam$outboundSchema).optional(),
    userAliases: arrayType(stringType()).optional(),
    previewCommentsEnabled: booleanType().optional(),
    ttyBuildLogs: booleanType().optional(),
    customEnvironment: unionType([
      lazyType(() => CancelDeploymentCustomEnvironment2$outboundSchema),
      lazyType(() => CancelDeploymentCustomEnvironment1$outboundSchema)
    ]).optional(),
    id: stringType(),
    aliasError: nullableType(lazyType(() => CancelDeploymentAliasError$outboundSchema)).optional(),
    aliasFinal: nullableType(stringType()).optional(),
    aliasWarning: nullableType(lazyType(() => CancelDeploymentAliasWarning$outboundSchema)).optional(),
    autoAssignCustomDomains: booleanType().optional(),
    automaticAliases: arrayType(stringType()).optional(),
    buildErrorAt: numberType().optional(),
    checksState: CancelDeploymentChecksState$outboundSchema.optional(),
    checksConclusion: CancelDeploymentChecksConclusion$outboundSchema.optional(),
    createdAt: numberType(),
    deletedAt: nullableType(numberType()).optional(),
    defaultRoute: stringType().optional(),
    canceledAt: numberType().optional(),
    errorCode: stringType().optional(),
    errorLink: stringType().optional(),
    errorMessage: nullableType(stringType()).optional(),
    errorStep: stringType().optional(),
    passiveRegions: arrayType(stringType()).optional(),
    gitSource: unionType([
      lazyType(() => GitSource8$outboundSchema),
      lazyType(() => GitSource11$outboundSchema),
      lazyType(() => CancelDeploymentGitSource1$outboundSchema),
      lazyType(() => CancelDeploymentGitSource5$outboundSchema),
      lazyType(() => CancelDeploymentGitSource2$outboundSchema),
      lazyType(() => CancelDeploymentGitSource3$outboundSchema),
      lazyType(() => CancelDeploymentGitSource6$outboundSchema),
      lazyType(() => GitSource7$outboundSchema),
      lazyType(() => GitSource9$outboundSchema),
      lazyType(() => CancelDeploymentGitSource4$outboundSchema),
      lazyType(() => GitSource10$outboundSchema),
      lazyType(() => GitSource12$outboundSchema)
    ]).optional(),
    name: stringType(),
    meta: recordType(stringType()),
    originCacheRegion: stringType().optional(),
    project: lazyType(() => CancelDeploymentProject$outboundSchema).optional(),
    readyState: CancelDeploymentReadyState$outboundSchema,
    readySubstate: CancelDeploymentReadySubstate$outboundSchema.optional(),
    regions: arrayType(stringType()),
    softDeletedByRetention: booleanType().optional(),
    source: CancelDeploymentSource$outboundSchema.optional(),
    target: nullableType(CancelDeploymentTarget$outboundSchema).optional(),
    type: CancelDeploymentType$outboundSchema,
    undeletedAt: numberType().optional(),
    url: stringType(),
    version: numberType(),
    oidcTokenClaims: lazyType(() => CancelDeploymentOidcTokenClaims$outboundSchema).optional(),
    connectBuildsEnabled: booleanType().optional(),
    connectConfigurationId: stringType().optional(),
    createdIn: stringType(),
    crons: arrayType(lazyType(() => CancelDeploymentCrons$outboundSchema)).optional(),
    functions: nullableType(recordType(lazyType(() => CancelDeploymentFunctions$outboundSchema))).optional(),
    monorepoManager: nullableType(stringType()).optional(),
    ownerId: stringType(),
    passiveConnectConfigurationId: stringType().optional(),
    plan: CancelDeploymentPlan$outboundSchema,
    projectId: stringType(),
    routes: nullableType(arrayType(unionType([
      lazyType(() => CancelDeploymentRoutes3$outboundSchema),
      lazyType(() => CancelDeploymentRoutes2$outboundSchema),
      lazyType(() => CancelDeploymentRoutes1$outboundSchema)
    ]))),
    gitRepo: nullableType(unionType([
      lazyType(() => CancelDeploymentGitRepo1$outboundSchema),
      lazyType(() => CancelDeploymentGitRepo2$outboundSchema),
      lazyType(() => CancelDeploymentGitRepo3$outboundSchema)
    ])).optional(),
    flags: unionType([
      lazyType(() => CancelDeploymentFlags1$outboundSchema),
      arrayType(lazyType(() => CancelDeploymentFlags2$outboundSchema))
    ]).optional(),
    microfrontends: unionType([
      lazyType(() => CancelDeploymentMicrofrontends1$outboundSchema),
      lazyType(() => CancelDeploymentMicrofrontends2$outboundSchema)
    ]).optional(),
    config: lazyType(() => CancelDeploymentConfig$outboundSchema).optional()
  });
  ((CancelDeploymentResponseBody$) => {
    CancelDeploymentResponseBody$.inboundSchema = CancelDeploymentResponseBody$inboundSchema;
    CancelDeploymentResponseBody$.outboundSchema = CancelDeploymentResponseBody$outboundSchema;
  })(CancelDeploymentResponseBody$ ||= {});
});

// src/funcs/deploymentsCancelDeployment.ts
function deploymentsCancelDeployment(client, request, options) {
  return new APIPromise($do39(client, request, options));
}
async function $do39(client, request, options) {
  const parsed = safeParse(request, (value) => CancelDeploymentRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    id: encodeSimple("id", payload.id, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v12/deployments/{id}/cancel")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "cancelDeployment",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "PATCH",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, CancelDeploymentResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_deploymentsCancelDeployment = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_canceldeploymentop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/deploymentsCancelDeployment.ts
var args38, tool$deploymentsCancelDeployment;
var init_deploymentsCancelDeployment2 = __esm(() => {
  init_deploymentsCancelDeployment();
  init_canceldeploymentop();
  init_tools();
  args38 = {
    request: CancelDeploymentRequest$inboundSchema
  };
  tool$deploymentsCancelDeployment = {
    name: "deployments-cancel-deployment",
    description: `Cancel a deployment

This endpoint allows you to cancel a deployment which is currently building, by supplying its \`id\` in the URL.`,
    args: args38,
    tool: async (client, args39, ctx) => {
      const [result, apiCall] = await deploymentsCancelDeployment(client, args39.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/createdeploymentop.ts
var ForceNew, SkipAutoDetectionConfirmation, Encoding, CreateDeploymentGitSourceDeploymentsRequestRequestBodyType, CreateDeploymentGitSourceDeploymentsRequestType, CreateDeploymentGitSourceDeploymentsType, CreateDeploymentGitSourceType, GitSourceType, CreateDeploymentGitSourceDeploymentsRequestRequestBody1Type, Framework, NodeVersion, CreateDeploymentFramework, CreateDeploymentDeploymentsStatus, Protocol2, Formats, ContentDispositionType, CreateDeploymentReadyState, CreateDeploymentStatus, CustomEnvironmentType, CreateDeploymentCustomEnvironmentType, CreateDeploymentType, CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody12Type, CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type, CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody10Type, CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type, CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type, CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type, CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody6Type, CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody5Type, CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType, CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONType, CreateDeploymentGitSourceDeploymentsResponse200Type, CreateDeploymentGitSourceDeploymentsResponseType, ReadyState, CreateDeploymentSource, CreateDeploymentTarget, ChecksState, ChecksConclusion, ReadySubstate, CreateDeploymentPlan, FunctionType, FunctionMemoryType, RoutesHandle, CreateDeploymentHasType, HasType, CreateDeploymentMissingType, MissingType, CreateDeploymentGitRepoDeploymentsType, CreateDeploymentGitRepoOwnerType, CreateDeploymentGitRepoType, GitRepoOwnerType, GitRepoType, OwnerType, ForceNew$inboundSchema, ForceNew$outboundSchema, ForceNew$, SkipAutoDetectionConfirmation$inboundSchema, SkipAutoDetectionConfirmation$outboundSchema, SkipAutoDetectionConfirmation$, UploadedFile$inboundSchema, UploadedFile$outboundSchema, UploadedFile$, Encoding$inboundSchema, Encoding$outboundSchema, Encoding$, InlinedFile$inboundSchema, InlinedFile$outboundSchema, InlinedFile$, Files$inboundSchema, Files$outboundSchema, Files$, GitMetadata$inboundSchema, GitMetadata$outboundSchema, GitMetadata$, CreateDeploymentGitSourceDeploymentsRequestRequestBodyType$inboundSchema, CreateDeploymentGitSourceDeploymentsRequestRequestBodyType$outboundSchema, CreateDeploymentGitSourceDeploymentsRequestRequestBodyType$, GitSource6$inboundSchema, GitSource6$outboundSchema, GitSource6$, CreateDeploymentGitSourceDeploymentsRequestType$inboundSchema, CreateDeploymentGitSourceDeploymentsRequestType$outboundSchema, CreateDeploymentGitSourceDeploymentsRequestType$, GitSource5$inboundSchema, GitSource5$outboundSchema, GitSource5$, ProjectId$inboundSchema, ProjectId$outboundSchema, ProjectId$, CreateDeploymentGitSourceDeploymentsType$inboundSchema, CreateDeploymentGitSourceDeploymentsType$outboundSchema, CreateDeploymentGitSourceDeploymentsType$, GitSource4$inboundSchema, GitSource4$outboundSchema, GitSource4$, CreateDeploymentGitSourceType$inboundSchema, CreateDeploymentGitSourceType$outboundSchema, CreateDeploymentGitSourceType$, GitSource3$inboundSchema, GitSource3$outboundSchema, GitSource3$, GitSourceType$inboundSchema, GitSourceType$outboundSchema, GitSourceType$, GitSource2$inboundSchema, GitSource2$outboundSchema, GitSource2$, RepoId$inboundSchema, RepoId$outboundSchema, RepoId$, CreateDeploymentGitSourceDeploymentsRequestRequestBody1Type$inboundSchema, CreateDeploymentGitSourceDeploymentsRequestRequestBody1Type$outboundSchema, CreateDeploymentGitSourceDeploymentsRequestRequestBody1Type$, GitSource1$inboundSchema, GitSource1$outboundSchema, GitSource1$, GitSource$inboundSchema, GitSource$outboundSchema, GitSource$, Framework$inboundSchema, Framework$outboundSchema, Framework$, NodeVersion$inboundSchema, NodeVersion$outboundSchema, NodeVersion$, ProjectSettings$inboundSchema, ProjectSettings$outboundSchema, ProjectSettings$, CreateDeploymentRequestBody$inboundSchema, CreateDeploymentRequestBody$outboundSchema, CreateDeploymentRequestBody$, CreateDeploymentRequest$inboundSchema, CreateDeploymentRequest$outboundSchema, CreateDeploymentRequest$, AliasAssignedAt$inboundSchema, AliasAssignedAt$outboundSchema, AliasAssignedAt$, Build$inboundSchema, Build$outboundSchema, Build$, Builds$inboundSchema, Builds$outboundSchema, Builds$, CreateDeploymentFramework$inboundSchema, CreateDeploymentFramework$outboundSchema, CreateDeploymentFramework$, CreateDeploymentSpeedInsights$inboundSchema, CreateDeploymentSpeedInsights$outboundSchema, CreateDeploymentSpeedInsights$, CreateDeploymentWebAnalytics$inboundSchema, CreateDeploymentWebAnalytics$outboundSchema, CreateDeploymentWebAnalytics$, CreateDeploymentProjectSettings$inboundSchema, CreateDeploymentProjectSettings$outboundSchema, CreateDeploymentProjectSettings$, CreateDeploymentDeploymentsStatus$inboundSchema, CreateDeploymentDeploymentsStatus$outboundSchema, CreateDeploymentDeploymentsStatus$, Integrations$inboundSchema, Integrations$outboundSchema, Integrations$, Protocol$inboundSchema, Protocol$outboundSchema, Protocol$, RemotePatterns$inboundSchema, RemotePatterns$outboundSchema, RemotePatterns$, LocalPatterns$inboundSchema, LocalPatterns$outboundSchema, LocalPatterns$, Formats$inboundSchema, Formats$outboundSchema, Formats$, ContentDispositionType$inboundSchema, ContentDispositionType$outboundSchema, ContentDispositionType$, Images$inboundSchema, Images$outboundSchema, Images$, Creator$inboundSchema, Creator$outboundSchema, Creator$, CreateDeploymentReadyState$inboundSchema, CreateDeploymentReadyState$outboundSchema, CreateDeploymentReadyState$, CreateDeploymentOutput$inboundSchema, CreateDeploymentOutput$outboundSchema, CreateDeploymentOutput$, Lambdas$inboundSchema, Lambdas$outboundSchema, Lambdas$, CreateDeploymentStatus$inboundSchema, CreateDeploymentStatus$outboundSchema, CreateDeploymentStatus$, CreateDeploymentTeam$inboundSchema, CreateDeploymentTeam$outboundSchema, CreateDeploymentTeam$, CustomEnvironment2$inboundSchema, CustomEnvironment2$outboundSchema, CustomEnvironment2$, CustomEnvironmentType$inboundSchema, CustomEnvironmentType$outboundSchema, CustomEnvironmentType$, CreateDeploymentCustomEnvironmentType$inboundSchema, CreateDeploymentCustomEnvironmentType$outboundSchema, CreateDeploymentCustomEnvironmentType$, CustomEnvironmentBranchMatcher$inboundSchema, CustomEnvironmentBranchMatcher$outboundSchema, CustomEnvironmentBranchMatcher$, CustomEnvironmentVerification$inboundSchema, CustomEnvironmentVerification$outboundSchema, CustomEnvironmentVerification$, CustomEnvironmentDomains$inboundSchema, CustomEnvironmentDomains$outboundSchema, CustomEnvironmentDomains$, CustomEnvironment1$inboundSchema, CustomEnvironment1$outboundSchema, CustomEnvironment1$, CustomEnvironment$inboundSchema, CustomEnvironment$outboundSchema, CustomEnvironment$, CreateDeploymentType$inboundSchema, CreateDeploymentType$outboundSchema, CreateDeploymentType$, CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody12Type$inboundSchema, CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody12Type$outboundSchema, CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody12Type$, CreateDeploymentGitSource12$inboundSchema, CreateDeploymentGitSource12$outboundSchema, CreateDeploymentGitSource12$, CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type$inboundSchema, CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type$outboundSchema, CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type$, CreateDeploymentGitSource11$inboundSchema, CreateDeploymentGitSource11$outboundSchema, CreateDeploymentGitSource11$, CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody10Type$inboundSchema, CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody10Type$outboundSchema, CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody10Type$, CreateDeploymentGitSource10$inboundSchema, CreateDeploymentGitSource10$outboundSchema, CreateDeploymentGitSource10$, CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type$inboundSchema, CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type$outboundSchema, CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type$, CreateDeploymentGitSource9$inboundSchema, CreateDeploymentGitSource9$outboundSchema, CreateDeploymentGitSource9$, CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type$inboundSchema, CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type$outboundSchema, CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type$, CreateDeploymentGitSource8$inboundSchema, CreateDeploymentGitSource8$outboundSchema, CreateDeploymentGitSource8$, CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type$inboundSchema, CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type$outboundSchema, CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type$, CreateDeploymentGitSource7$inboundSchema, CreateDeploymentGitSource7$outboundSchema, CreateDeploymentGitSource7$, CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody6Type$inboundSchema, CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody6Type$outboundSchema, CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody6Type$, CreateDeploymentGitSource6$inboundSchema, CreateDeploymentGitSource6$outboundSchema, CreateDeploymentGitSource6$, CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody5Type$inboundSchema, CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody5Type$outboundSchema, CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody5Type$, GitSourceProjectId$inboundSchema, GitSourceProjectId$outboundSchema, GitSourceProjectId$, CreateDeploymentGitSource5$inboundSchema, CreateDeploymentGitSource5$outboundSchema, CreateDeploymentGitSource5$, CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$inboundSchema, CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$outboundSchema, CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$, CreateDeploymentGitSource4$inboundSchema, CreateDeploymentGitSource4$outboundSchema, CreateDeploymentGitSource4$, CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$inboundSchema, CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$outboundSchema, CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$, CreateDeploymentGitSourceRepoId$inboundSchema, CreateDeploymentGitSourceRepoId$outboundSchema, CreateDeploymentGitSourceRepoId$, CreateDeploymentGitSource3$inboundSchema, CreateDeploymentGitSource3$outboundSchema, CreateDeploymentGitSource3$, CreateDeploymentGitSourceDeploymentsResponse200Type$inboundSchema, CreateDeploymentGitSourceDeploymentsResponse200Type$outboundSchema, CreateDeploymentGitSourceDeploymentsResponse200Type$, CreateDeploymentGitSource2$inboundSchema, CreateDeploymentGitSource2$outboundSchema, CreateDeploymentGitSource2$, CreateDeploymentGitSourceDeploymentsResponseType$inboundSchema, CreateDeploymentGitSourceDeploymentsResponseType$outboundSchema, CreateDeploymentGitSourceDeploymentsResponseType$, GitSourceRepoId$inboundSchema, GitSourceRepoId$outboundSchema, GitSourceRepoId$, CreateDeploymentGitSource1$inboundSchema, CreateDeploymentGitSource1$outboundSchema, CreateDeploymentGitSource1$, CreateDeploymentGitSource$inboundSchema, CreateDeploymentGitSource$outboundSchema, CreateDeploymentGitSource$, CreateDeploymentProject$inboundSchema, CreateDeploymentProject$outboundSchema, CreateDeploymentProject$, ReadyState$inboundSchema, ReadyState$outboundSchema, ReadyState$, CreateDeploymentSource$inboundSchema, CreateDeploymentSource$outboundSchema, CreateDeploymentSource$, CreateDeploymentTarget$inboundSchema, CreateDeploymentTarget$outboundSchema, CreateDeploymentTarget$, AliasWarning$inboundSchema, AliasWarning$outboundSchema, AliasWarning$, AliasError$inboundSchema, AliasError$outboundSchema, AliasError$, ChecksState$inboundSchema, ChecksState$outboundSchema, ChecksState$, ChecksConclusion$inboundSchema, ChecksConclusion$outboundSchema, ChecksConclusion$, ReadySubstate$inboundSchema, ReadySubstate$outboundSchema, ReadySubstate$, OidcTokenClaims$inboundSchema, OidcTokenClaims$outboundSchema, OidcTokenClaims$, CreateDeploymentPlan$inboundSchema, CreateDeploymentPlan$outboundSchema, CreateDeploymentPlan$, CreateDeploymentMicrofrontendsApplications$inboundSchema, CreateDeploymentMicrofrontendsApplications$outboundSchema, CreateDeploymentMicrofrontendsApplications$, CreateDeploymentMicrofrontends2$inboundSchema, CreateDeploymentMicrofrontends2$outboundSchema, CreateDeploymentMicrofrontends2$, CreateDeploymentMicrofrontends1$inboundSchema, CreateDeploymentMicrofrontends1$outboundSchema, CreateDeploymentMicrofrontends1$, CreateDeploymentMicrofrontends$inboundSchema, CreateDeploymentMicrofrontends$outboundSchema, CreateDeploymentMicrofrontends$, FunctionType$inboundSchema, FunctionType$outboundSchema, FunctionType$, FunctionMemoryType$inboundSchema, FunctionMemoryType$outboundSchema, FunctionMemoryType$, Config$inboundSchema, Config$outboundSchema, Config$, Functions$inboundSchema, Functions$outboundSchema, Functions$, Routes3$inboundSchema, Routes3$outboundSchema, Routes3$, RoutesHandle$inboundSchema, RoutesHandle$outboundSchema, RoutesHandle$, Routes2$inboundSchema, Routes2$outboundSchema, Routes2$, CreateDeploymentHasType$inboundSchema, CreateDeploymentHasType$outboundSchema, CreateDeploymentHasType$, Has2$inboundSchema, Has2$outboundSchema, Has2$, HasType$inboundSchema, HasType$outboundSchema, HasType$, Has1$inboundSchema, Has1$outboundSchema, Has1$, RoutesHas$inboundSchema, RoutesHas$outboundSchema, RoutesHas$, CreateDeploymentMissingType$inboundSchema, CreateDeploymentMissingType$outboundSchema, CreateDeploymentMissingType$, Missing2$inboundSchema, Missing2$outboundSchema, Missing2$, MissingType$inboundSchema, MissingType$outboundSchema, MissingType$, Missing1$inboundSchema, Missing1$outboundSchema, Missing1$, RoutesMissing$inboundSchema, RoutesMissing$outboundSchema, RoutesMissing$, Locale$inboundSchema, Locale$outboundSchema, Locale$, Routes1$inboundSchema, Routes1$outboundSchema, Routes1$, Routes$inboundSchema, Routes$outboundSchema, Routes$, CreateDeploymentCrons$inboundSchema, CreateDeploymentCrons$outboundSchema, CreateDeploymentCrons$, CreateDeploymentGitRepoDeploymentsType$inboundSchema, CreateDeploymentGitRepoDeploymentsType$outboundSchema, CreateDeploymentGitRepoDeploymentsType$, CreateDeploymentGitRepoOwnerType$inboundSchema, CreateDeploymentGitRepoOwnerType$outboundSchema, CreateDeploymentGitRepoOwnerType$, GitRepo3$inboundSchema, GitRepo3$outboundSchema, GitRepo3$, CreateDeploymentGitRepoType$inboundSchema, CreateDeploymentGitRepoType$outboundSchema, CreateDeploymentGitRepoType$, GitRepoOwnerType$inboundSchema, GitRepoOwnerType$outboundSchema, GitRepoOwnerType$, GitRepo2$inboundSchema, GitRepo2$outboundSchema, GitRepo2$, GitRepoType$inboundSchema, GitRepoType$outboundSchema, GitRepoType$, OwnerType$inboundSchema, OwnerType$outboundSchema, OwnerType$, GitRepo1$inboundSchema, GitRepo1$outboundSchema, GitRepo1$, GitRepo$inboundSchema, GitRepo$outboundSchema, GitRepo$, Flags2$inboundSchema, Flags2$outboundSchema, Flags2$, Options$inboundSchema, Options$outboundSchema, Options$, FlagsDefinitions$inboundSchema, FlagsDefinitions$outboundSchema, FlagsDefinitions$, Flags1$inboundSchema, Flags1$outboundSchema, Flags1$, Flags$inboundSchema, Flags$outboundSchema, Flags$, CreateDeploymentResponseBody$inboundSchema, CreateDeploymentResponseBody$outboundSchema, CreateDeploymentResponseBody$;
var init_createdeploymentop = __esm(() => {
  init_esm();
  init_primitives();
  init_flagjsonvalue();
  ForceNew = {
    Zero: "0",
    One: "1"
  };
  SkipAutoDetectionConfirmation = {
    Zero: "0",
    One: "1"
  };
  Encoding = {
    Base64: "base64",
    Utf8: "utf-8"
  };
  CreateDeploymentGitSourceDeploymentsRequestRequestBodyType = {
    Bitbucket: "bitbucket"
  };
  CreateDeploymentGitSourceDeploymentsRequestType = {
    Bitbucket: "bitbucket"
  };
  CreateDeploymentGitSourceDeploymentsType = {
    Gitlab: "gitlab"
  };
  CreateDeploymentGitSourceType = {
    GithubCustomHost: "github-custom-host"
  };
  GitSourceType = {
    Github: "github"
  };
  CreateDeploymentGitSourceDeploymentsRequestRequestBody1Type = {
    Github: "github"
  };
  Framework = {
    Blitzjs: "blitzjs",
    Nextjs: "nextjs",
    Gatsby: "gatsby",
    Remix: "remix",
    ReactRouter: "react-router",
    Astro: "astro",
    Hexo: "hexo",
    Eleventy: "eleventy",
    Docusaurus2: "docusaurus-2",
    Docusaurus: "docusaurus",
    Preact: "preact",
    Solidstart1: "solidstart-1",
    Solidstart: "solidstart",
    Dojo: "dojo",
    Ember: "ember",
    Vue: "vue",
    Scully: "scully",
    IonicAngular: "ionic-angular",
    Angular: "angular",
    Polymer: "polymer",
    Svelte: "svelte",
    Sveltekit: "sveltekit",
    Sveltekit1: "sveltekit-1",
    IonicReact: "ionic-react",
    CreateReactApp: "create-react-app",
    Gridsome: "gridsome",
    Umijs: "umijs",
    Sapper: "sapper",
    Saber: "saber",
    Stencil: "stencil",
    Nuxtjs: "nuxtjs",
    Redwoodjs: "redwoodjs",
    Hugo: "hugo",
    Jekyll: "jekyll",
    Brunch: "brunch",
    Middleman: "middleman",
    Zola: "zola",
    Hydrogen: "hydrogen",
    Vite: "vite",
    Vitepress: "vitepress",
    Vuepress: "vuepress",
    Parcel: "parcel",
    Fasthtml: "fasthtml",
    SanityV3: "sanity-v3",
    Sanity: "sanity",
    Storybook: "storybook"
  };
  NodeVersion = {
    TwentyTwoDotX: "22.x",
    TwentyDotX: "20.x",
    EighteenDotX: "18.x",
    SixteenDotX: "16.x",
    FourteenDotX: "14.x",
    TwelveDotX: "12.x",
    TenDotX: "10.x",
    EightDot10DotX: "8.10.x"
  };
  CreateDeploymentFramework = {
    Blitzjs: "blitzjs",
    Nextjs: "nextjs",
    Gatsby: "gatsby",
    Remix: "remix",
    ReactRouter: "react-router",
    Astro: "astro",
    Hexo: "hexo",
    Eleventy: "eleventy",
    Docusaurus2: "docusaurus-2",
    Docusaurus: "docusaurus",
    Preact: "preact",
    Solidstart1: "solidstart-1",
    Solidstart: "solidstart",
    Dojo: "dojo",
    Ember: "ember",
    Vue: "vue",
    Scully: "scully",
    IonicAngular: "ionic-angular",
    Angular: "angular",
    Polymer: "polymer",
    Svelte: "svelte",
    Sveltekit: "sveltekit",
    Sveltekit1: "sveltekit-1",
    IonicReact: "ionic-react",
    CreateReactApp: "create-react-app",
    Gridsome: "gridsome",
    Umijs: "umijs",
    Sapper: "sapper",
    Saber: "saber",
    Stencil: "stencil",
    Nuxtjs: "nuxtjs",
    Redwoodjs: "redwoodjs",
    Hugo: "hugo",
    Jekyll: "jekyll",
    Brunch: "brunch",
    Middleman: "middleman",
    Zola: "zola",
    Hydrogen: "hydrogen",
    Vite: "vite",
    Vitepress: "vitepress",
    Vuepress: "vuepress",
    Parcel: "parcel",
    Fasthtml: "fasthtml",
    SanityV3: "sanity-v3",
    Sanity: "sanity",
    Storybook: "storybook"
  };
  CreateDeploymentDeploymentsStatus = {
    Error: "error",
    Skipped: "skipped",
    Pending: "pending",
    Ready: "ready",
    Timeout: "timeout"
  };
  Protocol2 = {
    Http: "http",
    Https: "https"
  };
  Formats = {
    ImageAvif: "image/avif",
    ImageWebp: "image/webp"
  };
  ContentDispositionType = {
    Inline: "inline",
    Attachment: "attachment"
  };
  CreateDeploymentReadyState = {
    Error: "ERROR",
    Building: "BUILDING",
    Initializing: "INITIALIZING",
    Ready: "READY"
  };
  CreateDeploymentStatus = {
    Canceled: "CANCELED",
    Error: "ERROR",
    Queued: "QUEUED",
    Building: "BUILDING",
    Initializing: "INITIALIZING",
    Ready: "READY"
  };
  CustomEnvironmentType = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  CreateDeploymentCustomEnvironmentType = {
    EndsWith: "endsWith",
    StartsWith: "startsWith",
    Equals: "equals"
  };
  CreateDeploymentType = {
    Lambdas: "LAMBDAS"
  };
  CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody12Type = {
    Bitbucket: "bitbucket"
  };
  CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type = {
    Gitlab: "gitlab"
  };
  CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody10Type = {
    GithubCustomHost: "github-custom-host"
  };
  CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type = {
    Github: "github"
  };
  CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type = {
    Custom: "custom"
  };
  CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type = {
    Bitbucket: "bitbucket"
  };
  CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody6Type = {
    Bitbucket: "bitbucket"
  };
  CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody5Type = {
    Gitlab: "gitlab"
  };
  CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType = {
    GithubCustomHost: "github-custom-host"
  };
  CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONType = {
    GithubCustomHost: "github-custom-host"
  };
  CreateDeploymentGitSourceDeploymentsResponse200Type = {
    Github: "github"
  };
  CreateDeploymentGitSourceDeploymentsResponseType = {
    Github: "github"
  };
  ReadyState = {
    Canceled: "CANCELED",
    Error: "ERROR",
    Queued: "QUEUED",
    Building: "BUILDING",
    Initializing: "INITIALIZING",
    Ready: "READY"
  };
  CreateDeploymentSource = {
    Cli: "cli",
    Git: "git",
    Import: "import",
    ImportRepo: "import/repo",
    CloneRepo: "clone/repo",
    ApiTriggerGitDeploy: "api-trigger-git-deploy",
    Redeploy: "redeploy",
    V0Web: "v0-web"
  };
  CreateDeploymentTarget = {
    Production: "production",
    Staging: "staging"
  };
  ChecksState = {
    Registered: "registered",
    Running: "running",
    Completed: "completed"
  };
  ChecksConclusion = {
    Succeeded: "succeeded",
    Failed: "failed",
    Skipped: "skipped",
    Canceled: "canceled"
  };
  ReadySubstate = {
    Staged: "STAGED",
    Rolling: "ROLLING",
    Promoted: "PROMOTED"
  };
  CreateDeploymentPlan = {
    Pro: "pro",
    Enterprise: "enterprise",
    Hobby: "hobby"
  };
  FunctionType = {
    Standard: "standard",
    Fluid: "fluid"
  };
  FunctionMemoryType = {
    StandardLegacy: "standard_legacy",
    Standard: "standard",
    Performance: "performance"
  };
  RoutesHandle = {
    Error: "error",
    Resource: "resource",
    Filesystem: "filesystem",
    Hit: "hit",
    Miss: "miss",
    Rewrite: "rewrite"
  };
  CreateDeploymentHasType = {
    Header: "header",
    Cookie: "cookie",
    Query: "query"
  };
  HasType = {
    Host: "host"
  };
  CreateDeploymentMissingType = {
    Header: "header",
    Cookie: "cookie",
    Query: "query"
  };
  MissingType = {
    Host: "host"
  };
  CreateDeploymentGitRepoDeploymentsType = {
    Bitbucket: "bitbucket"
  };
  CreateDeploymentGitRepoOwnerType = {
    User: "user",
    Team: "team"
  };
  CreateDeploymentGitRepoType = {
    Github: "github"
  };
  GitRepoOwnerType = {
    User: "user",
    Team: "team"
  };
  GitRepoType = {
    Gitlab: "gitlab"
  };
  OwnerType = {
    User: "user",
    Team: "team"
  };
  ForceNew$inboundSchema = nativeEnumType(ForceNew);
  ForceNew$outboundSchema = ForceNew$inboundSchema;
  ((ForceNew$) => {
    ForceNew$.inboundSchema = ForceNew$inboundSchema;
    ForceNew$.outboundSchema = ForceNew$outboundSchema;
  })(ForceNew$ ||= {});
  SkipAutoDetectionConfirmation$inboundSchema = nativeEnumType(SkipAutoDetectionConfirmation);
  SkipAutoDetectionConfirmation$outboundSchema = SkipAutoDetectionConfirmation$inboundSchema;
  ((SkipAutoDetectionConfirmation$) => {
    SkipAutoDetectionConfirmation$.inboundSchema = SkipAutoDetectionConfirmation$inboundSchema;
    SkipAutoDetectionConfirmation$.outboundSchema = SkipAutoDetectionConfirmation$outboundSchema;
  })(SkipAutoDetectionConfirmation$ ||= {});
  UploadedFile$inboundSchema = objectType({
    file: stringType(),
    sha: stringType().optional(),
    size: numberType().int().optional()
  });
  UploadedFile$outboundSchema = objectType({
    file: stringType(),
    sha: stringType().optional(),
    size: numberType().int().optional()
  });
  ((UploadedFile$) => {
    UploadedFile$.inboundSchema = UploadedFile$inboundSchema;
    UploadedFile$.outboundSchema = UploadedFile$outboundSchema;
  })(UploadedFile$ ||= {});
  Encoding$inboundSchema = nativeEnumType(Encoding);
  Encoding$outboundSchema = Encoding$inboundSchema;
  ((Encoding$) => {
    Encoding$.inboundSchema = Encoding$inboundSchema;
    Encoding$.outboundSchema = Encoding$outboundSchema;
  })(Encoding$ ||= {});
  InlinedFile$inboundSchema = objectType({
    data: stringType(),
    encoding: Encoding$inboundSchema.optional(),
    file: stringType()
  });
  InlinedFile$outboundSchema = objectType({
    data: stringType(),
    encoding: Encoding$outboundSchema.optional(),
    file: stringType()
  });
  ((InlinedFile$) => {
    InlinedFile$.inboundSchema = InlinedFile$inboundSchema;
    InlinedFile$.outboundSchema = InlinedFile$outboundSchema;
  })(InlinedFile$ ||= {});
  Files$inboundSchema = unionType([
    lazyType(() => InlinedFile$inboundSchema),
    lazyType(() => UploadedFile$inboundSchema)
  ]);
  Files$outboundSchema = unionType([
    lazyType(() => InlinedFile$outboundSchema),
    lazyType(() => UploadedFile$outboundSchema)
  ]);
  ((Files$) => {
    Files$.inboundSchema = Files$inboundSchema;
    Files$.outboundSchema = Files$outboundSchema;
  })(Files$ ||= {});
  GitMetadata$inboundSchema = objectType({
    remoteUrl: stringType().optional(),
    commitAuthorName: stringType().optional(),
    commitMessage: stringType().optional(),
    commitRef: stringType().optional(),
    commitSha: stringType().optional(),
    dirty: booleanType().optional()
  });
  GitMetadata$outboundSchema = objectType({
    remoteUrl: stringType().optional(),
    commitAuthorName: stringType().optional(),
    commitMessage: stringType().optional(),
    commitRef: stringType().optional(),
    commitSha: stringType().optional(),
    dirty: booleanType().optional()
  });
  ((GitMetadata$) => {
    GitMetadata$.inboundSchema = GitMetadata$inboundSchema;
    GitMetadata$.outboundSchema = GitMetadata$outboundSchema;
  })(GitMetadata$ ||= {});
  CreateDeploymentGitSourceDeploymentsRequestRequestBodyType$inboundSchema = nativeEnumType(CreateDeploymentGitSourceDeploymentsRequestRequestBodyType);
  CreateDeploymentGitSourceDeploymentsRequestRequestBodyType$outboundSchema = CreateDeploymentGitSourceDeploymentsRequestRequestBodyType$inboundSchema;
  ((CreateDeploymentGitSourceDeploymentsRequestRequestBodyType$) => {
    CreateDeploymentGitSourceDeploymentsRequestRequestBodyType$.inboundSchema = CreateDeploymentGitSourceDeploymentsRequestRequestBodyType$inboundSchema;
    CreateDeploymentGitSourceDeploymentsRequestRequestBodyType$.outboundSchema = CreateDeploymentGitSourceDeploymentsRequestRequestBodyType$outboundSchema;
  })(CreateDeploymentGitSourceDeploymentsRequestRequestBodyType$ ||= {});
  GitSource6$inboundSchema = objectType({
    owner: stringType(),
    ref: stringType(),
    sha: stringType().optional(),
    slug: stringType(),
    type: CreateDeploymentGitSourceDeploymentsRequestRequestBodyType$inboundSchema
  });
  GitSource6$outboundSchema = objectType({
    owner: stringType(),
    ref: stringType(),
    sha: stringType().optional(),
    slug: stringType(),
    type: CreateDeploymentGitSourceDeploymentsRequestRequestBodyType$outboundSchema
  });
  ((GitSource6$) => {
    GitSource6$.inboundSchema = GitSource6$inboundSchema;
    GitSource6$.outboundSchema = GitSource6$outboundSchema;
  })(GitSource6$ ||= {});
  CreateDeploymentGitSourceDeploymentsRequestType$inboundSchema = nativeEnumType(CreateDeploymentGitSourceDeploymentsRequestType);
  CreateDeploymentGitSourceDeploymentsRequestType$outboundSchema = CreateDeploymentGitSourceDeploymentsRequestType$inboundSchema;
  ((CreateDeploymentGitSourceDeploymentsRequestType$) => {
    CreateDeploymentGitSourceDeploymentsRequestType$.inboundSchema = CreateDeploymentGitSourceDeploymentsRequestType$inboundSchema;
    CreateDeploymentGitSourceDeploymentsRequestType$.outboundSchema = CreateDeploymentGitSourceDeploymentsRequestType$outboundSchema;
  })(CreateDeploymentGitSourceDeploymentsRequestType$ ||= {});
  GitSource5$inboundSchema = objectType({
    ref: stringType(),
    repoUuid: stringType(),
    sha: stringType().optional(),
    type: CreateDeploymentGitSourceDeploymentsRequestType$inboundSchema,
    workspaceUuid: stringType().optional()
  });
  GitSource5$outboundSchema = objectType({
    ref: stringType(),
    repoUuid: stringType(),
    sha: stringType().optional(),
    type: CreateDeploymentGitSourceDeploymentsRequestType$outboundSchema,
    workspaceUuid: stringType().optional()
  });
  ((GitSource5$) => {
    GitSource5$.inboundSchema = GitSource5$inboundSchema;
    GitSource5$.outboundSchema = GitSource5$outboundSchema;
  })(GitSource5$ ||= {});
  ProjectId$inboundSchema = unionType([numberType(), stringType()]);
  ProjectId$outboundSchema = unionType([numberType(), stringType()]);
  ((ProjectId$) => {
    ProjectId$.inboundSchema = ProjectId$inboundSchema;
    ProjectId$.outboundSchema = ProjectId$outboundSchema;
  })(ProjectId$ ||= {});
  CreateDeploymentGitSourceDeploymentsType$inboundSchema = nativeEnumType(CreateDeploymentGitSourceDeploymentsType);
  CreateDeploymentGitSourceDeploymentsType$outboundSchema = CreateDeploymentGitSourceDeploymentsType$inboundSchema;
  ((CreateDeploymentGitSourceDeploymentsType$) => {
    CreateDeploymentGitSourceDeploymentsType$.inboundSchema = CreateDeploymentGitSourceDeploymentsType$inboundSchema;
    CreateDeploymentGitSourceDeploymentsType$.outboundSchema = CreateDeploymentGitSourceDeploymentsType$outboundSchema;
  })(CreateDeploymentGitSourceDeploymentsType$ ||= {});
  GitSource4$inboundSchema = objectType({
    projectId: unionType([numberType(), stringType()]),
    ref: stringType(),
    sha: stringType().optional(),
    type: CreateDeploymentGitSourceDeploymentsType$inboundSchema
  });
  GitSource4$outboundSchema = objectType({
    projectId: unionType([numberType(), stringType()]),
    ref: stringType(),
    sha: stringType().optional(),
    type: CreateDeploymentGitSourceDeploymentsType$outboundSchema
  });
  ((GitSource4$) => {
    GitSource4$.inboundSchema = GitSource4$inboundSchema;
    GitSource4$.outboundSchema = GitSource4$outboundSchema;
  })(GitSource4$ ||= {});
  CreateDeploymentGitSourceType$inboundSchema = nativeEnumType(CreateDeploymentGitSourceType);
  CreateDeploymentGitSourceType$outboundSchema = CreateDeploymentGitSourceType$inboundSchema;
  ((CreateDeploymentGitSourceType$) => {
    CreateDeploymentGitSourceType$.inboundSchema = CreateDeploymentGitSourceType$inboundSchema;
    CreateDeploymentGitSourceType$.outboundSchema = CreateDeploymentGitSourceType$outboundSchema;
  })(CreateDeploymentGitSourceType$ ||= {});
  GitSource3$inboundSchema = objectType({
    org: stringType(),
    ref: stringType(),
    repo: stringType(),
    sha: stringType().optional(),
    host: stringType(),
    type: CreateDeploymentGitSourceType$inboundSchema
  });
  GitSource3$outboundSchema = objectType({
    org: stringType(),
    ref: stringType(),
    repo: stringType(),
    sha: stringType().optional(),
    host: stringType(),
    type: CreateDeploymentGitSourceType$outboundSchema
  });
  ((GitSource3$) => {
    GitSource3$.inboundSchema = GitSource3$inboundSchema;
    GitSource3$.outboundSchema = GitSource3$outboundSchema;
  })(GitSource3$ ||= {});
  GitSourceType$inboundSchema = nativeEnumType(GitSourceType);
  GitSourceType$outboundSchema = GitSourceType$inboundSchema;
  ((GitSourceType$) => {
    GitSourceType$.inboundSchema = GitSourceType$inboundSchema;
    GitSourceType$.outboundSchema = GitSourceType$outboundSchema;
  })(GitSourceType$ ||= {});
  GitSource2$inboundSchema = objectType({
    org: stringType(),
    ref: stringType(),
    repo: stringType(),
    sha: stringType().optional(),
    type: GitSourceType$inboundSchema
  });
  GitSource2$outboundSchema = objectType({
    org: stringType(),
    ref: stringType(),
    repo: stringType(),
    sha: stringType().optional(),
    type: GitSourceType$outboundSchema
  });
  ((GitSource2$) => {
    GitSource2$.inboundSchema = GitSource2$inboundSchema;
    GitSource2$.outboundSchema = GitSource2$outboundSchema;
  })(GitSource2$ ||= {});
  RepoId$inboundSchema = unionType([numberType(), stringType()]);
  RepoId$outboundSchema = unionType([numberType(), stringType()]);
  ((RepoId$) => {
    RepoId$.inboundSchema = RepoId$inboundSchema;
    RepoId$.outboundSchema = RepoId$outboundSchema;
  })(RepoId$ ||= {});
  CreateDeploymentGitSourceDeploymentsRequestRequestBody1Type$inboundSchema = nativeEnumType(CreateDeploymentGitSourceDeploymentsRequestRequestBody1Type);
  CreateDeploymentGitSourceDeploymentsRequestRequestBody1Type$outboundSchema = CreateDeploymentGitSourceDeploymentsRequestRequestBody1Type$inboundSchema;
  ((CreateDeploymentGitSourceDeploymentsRequestRequestBody1Type$) => {
    CreateDeploymentGitSourceDeploymentsRequestRequestBody1Type$.inboundSchema = CreateDeploymentGitSourceDeploymentsRequestRequestBody1Type$inboundSchema;
    CreateDeploymentGitSourceDeploymentsRequestRequestBody1Type$.outboundSchema = CreateDeploymentGitSourceDeploymentsRequestRequestBody1Type$outboundSchema;
  })(CreateDeploymentGitSourceDeploymentsRequestRequestBody1Type$ ||= {});
  GitSource1$inboundSchema = objectType({
    ref: stringType(),
    repoId: unionType([numberType(), stringType()]),
    sha: stringType().optional(),
    type: CreateDeploymentGitSourceDeploymentsRequestRequestBody1Type$inboundSchema
  });
  GitSource1$outboundSchema = objectType({
    ref: stringType(),
    repoId: unionType([numberType(), stringType()]),
    sha: stringType().optional(),
    type: CreateDeploymentGitSourceDeploymentsRequestRequestBody1Type$outboundSchema
  });
  ((GitSource1$) => {
    GitSource1$.inboundSchema = GitSource1$inboundSchema;
    GitSource1$.outboundSchema = GitSource1$outboundSchema;
  })(GitSource1$ ||= {});
  GitSource$inboundSchema = unionType([
    lazyType(() => GitSource1$inboundSchema),
    lazyType(() => GitSource4$inboundSchema),
    lazyType(() => GitSource2$inboundSchema),
    lazyType(() => GitSource5$inboundSchema),
    lazyType(() => GitSource6$inboundSchema),
    lazyType(() => GitSource3$inboundSchema)
  ]);
  GitSource$outboundSchema = unionType([
    lazyType(() => GitSource1$outboundSchema),
    lazyType(() => GitSource4$outboundSchema),
    lazyType(() => GitSource2$outboundSchema),
    lazyType(() => GitSource5$outboundSchema),
    lazyType(() => GitSource6$outboundSchema),
    lazyType(() => GitSource3$outboundSchema)
  ]);
  ((GitSource$) => {
    GitSource$.inboundSchema = GitSource$inboundSchema;
    GitSource$.outboundSchema = GitSource$outboundSchema;
  })(GitSource$ ||= {});
  Framework$inboundSchema = nativeEnumType(Framework);
  Framework$outboundSchema = Framework$inboundSchema;
  ((Framework$) => {
    Framework$.inboundSchema = Framework$inboundSchema;
    Framework$.outboundSchema = Framework$outboundSchema;
  })(Framework$ ||= {});
  NodeVersion$inboundSchema = nativeEnumType(NodeVersion);
  NodeVersion$outboundSchema = NodeVersion$inboundSchema;
  ((NodeVersion$) => {
    NodeVersion$.inboundSchema = NodeVersion$inboundSchema;
    NodeVersion$.outboundSchema = NodeVersion$outboundSchema;
  })(NodeVersion$ ||= {});
  ProjectSettings$inboundSchema = objectType({
    buildCommand: nullableType(stringType()).optional(),
    commandForIgnoringBuildStep: nullableType(stringType()).optional(),
    devCommand: nullableType(stringType()).optional(),
    framework: nullableType(Framework$inboundSchema).optional(),
    installCommand: nullableType(stringType()).optional(),
    nodeVersion: NodeVersion$inboundSchema.optional(),
    outputDirectory: nullableType(stringType()).optional(),
    rootDirectory: nullableType(stringType()).optional(),
    serverlessFunctionRegion: nullableType(stringType()).optional(),
    skipGitConnectDuringLink: booleanType().optional(),
    sourceFilesOutsideRootDirectory: booleanType().optional()
  });
  ProjectSettings$outboundSchema = objectType({
    buildCommand: nullableType(stringType()).optional(),
    commandForIgnoringBuildStep: nullableType(stringType()).optional(),
    devCommand: nullableType(stringType()).optional(),
    framework: nullableType(Framework$outboundSchema).optional(),
    installCommand: nullableType(stringType()).optional(),
    nodeVersion: NodeVersion$outboundSchema.optional(),
    outputDirectory: nullableType(stringType()).optional(),
    rootDirectory: nullableType(stringType()).optional(),
    serverlessFunctionRegion: nullableType(stringType()).optional(),
    skipGitConnectDuringLink: booleanType().optional(),
    sourceFilesOutsideRootDirectory: booleanType().optional()
  });
  ((ProjectSettings$) => {
    ProjectSettings$.inboundSchema = ProjectSettings$inboundSchema;
    ProjectSettings$.outboundSchema = ProjectSettings$outboundSchema;
  })(ProjectSettings$ ||= {});
  CreateDeploymentRequestBody$inboundSchema = objectType({
    customEnvironmentSlugOrId: stringType().optional(),
    deploymentId: stringType().optional(),
    files: arrayType(unionType([
      lazyType(() => InlinedFile$inboundSchema),
      lazyType(() => UploadedFile$inboundSchema)
    ])).optional(),
    gitMetadata: lazyType(() => GitMetadata$inboundSchema).optional(),
    gitSource: unionType([
      lazyType(() => GitSource1$inboundSchema),
      lazyType(() => GitSource4$inboundSchema),
      lazyType(() => GitSource2$inboundSchema),
      lazyType(() => GitSource5$inboundSchema),
      lazyType(() => GitSource6$inboundSchema),
      lazyType(() => GitSource3$inboundSchema)
    ]).optional(),
    meta: recordType(stringType()).optional(),
    monorepoManager: nullableType(stringType()).optional(),
    name: stringType(),
    project: stringType().optional(),
    projectSettings: lazyType(() => ProjectSettings$inboundSchema).optional(),
    target: stringType().optional(),
    withLatestCommit: booleanType().optional()
  });
  CreateDeploymentRequestBody$outboundSchema = objectType({
    customEnvironmentSlugOrId: stringType().optional(),
    deploymentId: stringType().optional(),
    files: arrayType(unionType([
      lazyType(() => InlinedFile$outboundSchema),
      lazyType(() => UploadedFile$outboundSchema)
    ])).optional(),
    gitMetadata: lazyType(() => GitMetadata$outboundSchema).optional(),
    gitSource: unionType([
      lazyType(() => GitSource1$outboundSchema),
      lazyType(() => GitSource4$outboundSchema),
      lazyType(() => GitSource2$outboundSchema),
      lazyType(() => GitSource5$outboundSchema),
      lazyType(() => GitSource6$outboundSchema),
      lazyType(() => GitSource3$outboundSchema)
    ]).optional(),
    meta: recordType(stringType()).optional(),
    monorepoManager: nullableType(stringType()).optional(),
    name: stringType(),
    project: stringType().optional(),
    projectSettings: lazyType(() => ProjectSettings$outboundSchema).optional(),
    target: stringType().optional(),
    withLatestCommit: booleanType().optional()
  });
  ((CreateDeploymentRequestBody$) => {
    CreateDeploymentRequestBody$.inboundSchema = CreateDeploymentRequestBody$inboundSchema;
    CreateDeploymentRequestBody$.outboundSchema = CreateDeploymentRequestBody$outboundSchema;
  })(CreateDeploymentRequestBody$ ||= {});
  CreateDeploymentRequest$inboundSchema = objectType({
    forceNew: ForceNew$inboundSchema.optional(),
    skipAutoDetectionConfirmation: SkipAutoDetectionConfirmation$inboundSchema.optional(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    RequestBody: lazyType(() => CreateDeploymentRequestBody$inboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  CreateDeploymentRequest$outboundSchema = objectType({
    forceNew: ForceNew$outboundSchema.optional(),
    skipAutoDetectionConfirmation: SkipAutoDetectionConfirmation$outboundSchema.optional(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    requestBody: lazyType(() => CreateDeploymentRequestBody$outboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((CreateDeploymentRequest$) => {
    CreateDeploymentRequest$.inboundSchema = CreateDeploymentRequest$inboundSchema;
    CreateDeploymentRequest$.outboundSchema = CreateDeploymentRequest$outboundSchema;
  })(CreateDeploymentRequest$ ||= {});
  AliasAssignedAt$inboundSchema = unionType([numberType(), booleanType()]);
  AliasAssignedAt$outboundSchema = unionType([numberType(), booleanType()]);
  ((AliasAssignedAt$) => {
    AliasAssignedAt$.inboundSchema = AliasAssignedAt$inboundSchema;
    AliasAssignedAt$.outboundSchema = AliasAssignedAt$outboundSchema;
  })(AliasAssignedAt$ ||= {});
  Build$inboundSchema = objectType({
    env: arrayType(stringType())
  });
  Build$outboundSchema = objectType({
    env: arrayType(stringType())
  });
  ((Build$) => {
    Build$.inboundSchema = Build$inboundSchema;
    Build$.outboundSchema = Build$outboundSchema;
  })(Build$ ||= {});
  Builds$inboundSchema = objectType({
    use: stringType(),
    src: stringType().optional(),
    config: recordType(anyType()).optional()
  });
  Builds$outboundSchema = objectType({
    use: stringType(),
    src: stringType().optional(),
    config: recordType(anyType()).optional()
  });
  ((Builds$) => {
    Builds$.inboundSchema = Builds$inboundSchema;
    Builds$.outboundSchema = Builds$outboundSchema;
  })(Builds$ ||= {});
  CreateDeploymentFramework$inboundSchema = nativeEnumType(CreateDeploymentFramework);
  CreateDeploymentFramework$outboundSchema = CreateDeploymentFramework$inboundSchema;
  ((CreateDeploymentFramework$) => {
    CreateDeploymentFramework$.inboundSchema = CreateDeploymentFramework$inboundSchema;
    CreateDeploymentFramework$.outboundSchema = CreateDeploymentFramework$outboundSchema;
  })(CreateDeploymentFramework$ ||= {});
  CreateDeploymentSpeedInsights$inboundSchema = objectType({
    id: stringType(),
    enabledAt: numberType().optional(),
    disabledAt: numberType().optional(),
    canceledAt: numberType().optional(),
    hasData: booleanType().optional(),
    paidAt: numberType().optional()
  });
  CreateDeploymentSpeedInsights$outboundSchema = objectType({
    id: stringType(),
    enabledAt: numberType().optional(),
    disabledAt: numberType().optional(),
    canceledAt: numberType().optional(),
    hasData: booleanType().optional(),
    paidAt: numberType().optional()
  });
  ((CreateDeploymentSpeedInsights$) => {
    CreateDeploymentSpeedInsights$.inboundSchema = CreateDeploymentSpeedInsights$inboundSchema;
    CreateDeploymentSpeedInsights$.outboundSchema = CreateDeploymentSpeedInsights$outboundSchema;
  })(CreateDeploymentSpeedInsights$ ||= {});
  CreateDeploymentWebAnalytics$inboundSchema = objectType({
    id: stringType(),
    disabledAt: numberType().optional(),
    canceledAt: numberType().optional(),
    enabledAt: numberType().optional(),
    hasData: booleanType().optional()
  });
  CreateDeploymentWebAnalytics$outboundSchema = objectType({
    id: stringType(),
    disabledAt: numberType().optional(),
    canceledAt: numberType().optional(),
    enabledAt: numberType().optional(),
    hasData: booleanType().optional()
  });
  ((CreateDeploymentWebAnalytics$) => {
    CreateDeploymentWebAnalytics$.inboundSchema = CreateDeploymentWebAnalytics$inboundSchema;
    CreateDeploymentWebAnalytics$.outboundSchema = CreateDeploymentWebAnalytics$outboundSchema;
  })(CreateDeploymentWebAnalytics$ ||= {});
  CreateDeploymentProjectSettings$inboundSchema = objectType({
    buildCommand: nullableType(stringType()).optional(),
    commandForIgnoringBuildStep: nullableType(stringType()).optional(),
    devCommand: nullableType(stringType()).optional(),
    framework: nullableType(CreateDeploymentFramework$inboundSchema).optional(),
    installCommand: nullableType(stringType()).optional(),
    outputDirectory: nullableType(stringType()).optional(),
    speedInsights: lazyType(() => CreateDeploymentSpeedInsights$inboundSchema).optional(),
    webAnalytics: lazyType(() => CreateDeploymentWebAnalytics$inboundSchema).optional()
  });
  CreateDeploymentProjectSettings$outboundSchema = objectType({
    buildCommand: nullableType(stringType()).optional(),
    commandForIgnoringBuildStep: nullableType(stringType()).optional(),
    devCommand: nullableType(stringType()).optional(),
    framework: nullableType(CreateDeploymentFramework$outboundSchema).optional(),
    installCommand: nullableType(stringType()).optional(),
    outputDirectory: nullableType(stringType()).optional(),
    speedInsights: lazyType(() => CreateDeploymentSpeedInsights$outboundSchema).optional(),
    webAnalytics: lazyType(() => CreateDeploymentWebAnalytics$outboundSchema).optional()
  });
  ((CreateDeploymentProjectSettings$) => {
    CreateDeploymentProjectSettings$.inboundSchema = CreateDeploymentProjectSettings$inboundSchema;
    CreateDeploymentProjectSettings$.outboundSchema = CreateDeploymentProjectSettings$outboundSchema;
  })(CreateDeploymentProjectSettings$ ||= {});
  CreateDeploymentDeploymentsStatus$inboundSchema = nativeEnumType(CreateDeploymentDeploymentsStatus);
  CreateDeploymentDeploymentsStatus$outboundSchema = CreateDeploymentDeploymentsStatus$inboundSchema;
  ((CreateDeploymentDeploymentsStatus$) => {
    CreateDeploymentDeploymentsStatus$.inboundSchema = CreateDeploymentDeploymentsStatus$inboundSchema;
    CreateDeploymentDeploymentsStatus$.outboundSchema = CreateDeploymentDeploymentsStatus$outboundSchema;
  })(CreateDeploymentDeploymentsStatus$ ||= {});
  Integrations$inboundSchema = objectType({
    status: CreateDeploymentDeploymentsStatus$inboundSchema,
    startedAt: numberType(),
    completedAt: numberType().optional(),
    skippedAt: numberType().optional(),
    skippedBy: stringType().optional()
  });
  Integrations$outboundSchema = objectType({
    status: CreateDeploymentDeploymentsStatus$outboundSchema,
    startedAt: numberType(),
    completedAt: numberType().optional(),
    skippedAt: numberType().optional(),
    skippedBy: stringType().optional()
  });
  ((Integrations$) => {
    Integrations$.inboundSchema = Integrations$inboundSchema;
    Integrations$.outboundSchema = Integrations$outboundSchema;
  })(Integrations$ ||= {});
  Protocol$inboundSchema = nativeEnumType(Protocol2);
  Protocol$outboundSchema = Protocol$inboundSchema;
  ((Protocol$) => {
    Protocol$.inboundSchema = Protocol$inboundSchema;
    Protocol$.outboundSchema = Protocol$outboundSchema;
  })(Protocol$ ||= {});
  RemotePatterns$inboundSchema = objectType({
    protocol: Protocol$inboundSchema.optional(),
    hostname: stringType(),
    port: stringType().optional(),
    pathname: stringType().optional(),
    search: stringType().optional()
  });
  RemotePatterns$outboundSchema = objectType({
    protocol: Protocol$outboundSchema.optional(),
    hostname: stringType(),
    port: stringType().optional(),
    pathname: stringType().optional(),
    search: stringType().optional()
  });
  ((RemotePatterns$) => {
    RemotePatterns$.inboundSchema = RemotePatterns$inboundSchema;
    RemotePatterns$.outboundSchema = RemotePatterns$outboundSchema;
  })(RemotePatterns$ ||= {});
  LocalPatterns$inboundSchema = objectType({
    pathname: stringType().optional(),
    search: stringType().optional()
  });
  LocalPatterns$outboundSchema = objectType({
    pathname: stringType().optional(),
    search: stringType().optional()
  });
  ((LocalPatterns$) => {
    LocalPatterns$.inboundSchema = LocalPatterns$inboundSchema;
    LocalPatterns$.outboundSchema = LocalPatterns$outboundSchema;
  })(LocalPatterns$ ||= {});
  Formats$inboundSchema = nativeEnumType(Formats);
  Formats$outboundSchema = Formats$inboundSchema;
  ((Formats$) => {
    Formats$.inboundSchema = Formats$inboundSchema;
    Formats$.outboundSchema = Formats$outboundSchema;
  })(Formats$ ||= {});
  ContentDispositionType$inboundSchema = nativeEnumType(ContentDispositionType);
  ContentDispositionType$outboundSchema = ContentDispositionType$inboundSchema;
  ((ContentDispositionType$) => {
    ContentDispositionType$.inboundSchema = ContentDispositionType$inboundSchema;
    ContentDispositionType$.outboundSchema = ContentDispositionType$outboundSchema;
  })(ContentDispositionType$ ||= {});
  Images$inboundSchema = objectType({
    sizes: arrayType(numberType()).optional(),
    qualities: arrayType(numberType()).optional(),
    domains: arrayType(stringType()).optional(),
    remotePatterns: arrayType(lazyType(() => RemotePatterns$inboundSchema)).optional(),
    localPatterns: arrayType(lazyType(() => LocalPatterns$inboundSchema)).optional(),
    minimumCacheTTL: numberType().optional(),
    formats: arrayType(Formats$inboundSchema).optional(),
    dangerouslyAllowSVG: booleanType().optional(),
    contentSecurityPolicy: stringType().optional(),
    contentDispositionType: ContentDispositionType$inboundSchema.optional()
  });
  Images$outboundSchema = objectType({
    sizes: arrayType(numberType()).optional(),
    qualities: arrayType(numberType()).optional(),
    domains: arrayType(stringType()).optional(),
    remotePatterns: arrayType(lazyType(() => RemotePatterns$outboundSchema)).optional(),
    localPatterns: arrayType(lazyType(() => LocalPatterns$outboundSchema)).optional(),
    minimumCacheTTL: numberType().optional(),
    formats: arrayType(Formats$outboundSchema).optional(),
    dangerouslyAllowSVG: booleanType().optional(),
    contentSecurityPolicy: stringType().optional(),
    contentDispositionType: ContentDispositionType$outboundSchema.optional()
  });
  ((Images$) => {
    Images$.inboundSchema = Images$inboundSchema;
    Images$.outboundSchema = Images$outboundSchema;
  })(Images$ ||= {});
  Creator$inboundSchema = objectType({
    uid: stringType(),
    username: stringType().optional(),
    avatar: stringType().optional()
  });
  Creator$outboundSchema = objectType({
    uid: stringType(),
    username: stringType().optional(),
    avatar: stringType().optional()
  });
  ((Creator$) => {
    Creator$.inboundSchema = Creator$inboundSchema;
    Creator$.outboundSchema = Creator$outboundSchema;
  })(Creator$ ||= {});
  CreateDeploymentReadyState$inboundSchema = nativeEnumType(CreateDeploymentReadyState);
  CreateDeploymentReadyState$outboundSchema = CreateDeploymentReadyState$inboundSchema;
  ((CreateDeploymentReadyState$) => {
    CreateDeploymentReadyState$.inboundSchema = CreateDeploymentReadyState$inboundSchema;
    CreateDeploymentReadyState$.outboundSchema = CreateDeploymentReadyState$outboundSchema;
  })(CreateDeploymentReadyState$ ||= {});
  CreateDeploymentOutput$inboundSchema = objectType({
    path: stringType(),
    functionName: stringType()
  });
  CreateDeploymentOutput$outboundSchema = objectType({
    path: stringType(),
    functionName: stringType()
  });
  ((CreateDeploymentOutput$) => {
    CreateDeploymentOutput$.inboundSchema = CreateDeploymentOutput$inboundSchema;
    CreateDeploymentOutput$.outboundSchema = CreateDeploymentOutput$outboundSchema;
  })(CreateDeploymentOutput$ ||= {});
  Lambdas$inboundSchema = objectType({
    createdAt: numberType().optional(),
    id: stringType().optional(),
    readyState: CreateDeploymentReadyState$inboundSchema.optional(),
    entrypoint: nullableType(stringType()).optional(),
    readyStateAt: numberType().optional(),
    output: arrayType(lazyType(() => CreateDeploymentOutput$inboundSchema))
  });
  Lambdas$outboundSchema = objectType({
    createdAt: numberType().optional(),
    id: stringType().optional(),
    readyState: CreateDeploymentReadyState$outboundSchema.optional(),
    entrypoint: nullableType(stringType()).optional(),
    readyStateAt: numberType().optional(),
    output: arrayType(lazyType(() => CreateDeploymentOutput$outboundSchema))
  });
  ((Lambdas$) => {
    Lambdas$.inboundSchema = Lambdas$inboundSchema;
    Lambdas$.outboundSchema = Lambdas$outboundSchema;
  })(Lambdas$ ||= {});
  CreateDeploymentStatus$inboundSchema = nativeEnumType(CreateDeploymentStatus);
  CreateDeploymentStatus$outboundSchema = CreateDeploymentStatus$inboundSchema;
  ((CreateDeploymentStatus$) => {
    CreateDeploymentStatus$.inboundSchema = CreateDeploymentStatus$inboundSchema;
    CreateDeploymentStatus$.outboundSchema = CreateDeploymentStatus$outboundSchema;
  })(CreateDeploymentStatus$ ||= {});
  CreateDeploymentTeam$inboundSchema = objectType({
    name: stringType(),
    id: stringType(),
    slug: stringType(),
    avatar: stringType().optional()
  });
  CreateDeploymentTeam$outboundSchema = objectType({
    name: stringType(),
    id: stringType(),
    slug: stringType(),
    avatar: stringType().optional()
  });
  ((CreateDeploymentTeam$) => {
    CreateDeploymentTeam$.inboundSchema = CreateDeploymentTeam$inboundSchema;
    CreateDeploymentTeam$.outboundSchema = CreateDeploymentTeam$outboundSchema;
  })(CreateDeploymentTeam$ ||= {});
  CustomEnvironment2$inboundSchema = objectType({
    id: stringType()
  });
  CustomEnvironment2$outboundSchema = objectType({
    id: stringType()
  });
  ((CustomEnvironment2$) => {
    CustomEnvironment2$.inboundSchema = CustomEnvironment2$inboundSchema;
    CustomEnvironment2$.outboundSchema = CustomEnvironment2$outboundSchema;
  })(CustomEnvironment2$ ||= {});
  CustomEnvironmentType$inboundSchema = nativeEnumType(CustomEnvironmentType);
  CustomEnvironmentType$outboundSchema = CustomEnvironmentType$inboundSchema;
  ((CustomEnvironmentType$) => {
    CustomEnvironmentType$.inboundSchema = CustomEnvironmentType$inboundSchema;
    CustomEnvironmentType$.outboundSchema = CustomEnvironmentType$outboundSchema;
  })(CustomEnvironmentType$ ||= {});
  CreateDeploymentCustomEnvironmentType$inboundSchema = nativeEnumType(CreateDeploymentCustomEnvironmentType);
  CreateDeploymentCustomEnvironmentType$outboundSchema = CreateDeploymentCustomEnvironmentType$inboundSchema;
  ((CreateDeploymentCustomEnvironmentType$) => {
    CreateDeploymentCustomEnvironmentType$.inboundSchema = CreateDeploymentCustomEnvironmentType$inboundSchema;
    CreateDeploymentCustomEnvironmentType$.outboundSchema = CreateDeploymentCustomEnvironmentType$outboundSchema;
  })(CreateDeploymentCustomEnvironmentType$ ||= {});
  CustomEnvironmentBranchMatcher$inboundSchema = objectType({
    type: CreateDeploymentCustomEnvironmentType$inboundSchema,
    pattern: stringType()
  });
  CustomEnvironmentBranchMatcher$outboundSchema = objectType({
    type: CreateDeploymentCustomEnvironmentType$outboundSchema,
    pattern: stringType()
  });
  ((CustomEnvironmentBranchMatcher$) => {
    CustomEnvironmentBranchMatcher$.inboundSchema = CustomEnvironmentBranchMatcher$inboundSchema;
    CustomEnvironmentBranchMatcher$.outboundSchema = CustomEnvironmentBranchMatcher$outboundSchema;
  })(CustomEnvironmentBranchMatcher$ ||= {});
  CustomEnvironmentVerification$inboundSchema = objectType({
    type: stringType(),
    domain: stringType(),
    value: stringType(),
    reason: stringType()
  });
  CustomEnvironmentVerification$outboundSchema = objectType({
    type: stringType(),
    domain: stringType(),
    value: stringType(),
    reason: stringType()
  });
  ((CustomEnvironmentVerification$) => {
    CustomEnvironmentVerification$.inboundSchema = CustomEnvironmentVerification$inboundSchema;
    CustomEnvironmentVerification$.outboundSchema = CustomEnvironmentVerification$outboundSchema;
  })(CustomEnvironmentVerification$ ||= {});
  CustomEnvironmentDomains$inboundSchema = objectType({
    name: stringType(),
    apexName: stringType(),
    projectId: stringType(),
    redirect: nullableType(stringType()).optional(),
    redirectStatusCode: nullableType(numberType()).optional(),
    gitBranch: nullableType(stringType()).optional(),
    customEnvironmentId: nullableType(stringType()).optional(),
    updatedAt: numberType().optional(),
    createdAt: numberType().optional(),
    verified: booleanType(),
    verification: arrayType(lazyType(() => CustomEnvironmentVerification$inboundSchema)).optional()
  });
  CustomEnvironmentDomains$outboundSchema = objectType({
    name: stringType(),
    apexName: stringType(),
    projectId: stringType(),
    redirect: nullableType(stringType()).optional(),
    redirectStatusCode: nullableType(numberType()).optional(),
    gitBranch: nullableType(stringType()).optional(),
    customEnvironmentId: nullableType(stringType()).optional(),
    updatedAt: numberType().optional(),
    createdAt: numberType().optional(),
    verified: booleanType(),
    verification: arrayType(lazyType(() => CustomEnvironmentVerification$outboundSchema)).optional()
  });
  ((CustomEnvironmentDomains$) => {
    CustomEnvironmentDomains$.inboundSchema = CustomEnvironmentDomains$inboundSchema;
    CustomEnvironmentDomains$.outboundSchema = CustomEnvironmentDomains$outboundSchema;
  })(CustomEnvironmentDomains$ ||= {});
  CustomEnvironment1$inboundSchema = objectType({
    id: stringType(),
    slug: stringType(),
    type: CustomEnvironmentType$inboundSchema,
    description: stringType().optional(),
    branchMatcher: lazyType(() => CustomEnvironmentBranchMatcher$inboundSchema).optional(),
    domains: arrayType(lazyType(() => CustomEnvironmentDomains$inboundSchema)).optional(),
    currentDeploymentAliases: arrayType(stringType()).optional(),
    createdAt: numberType(),
    updatedAt: numberType()
  });
  CustomEnvironment1$outboundSchema = objectType({
    id: stringType(),
    slug: stringType(),
    type: CustomEnvironmentType$outboundSchema,
    description: stringType().optional(),
    branchMatcher: lazyType(() => CustomEnvironmentBranchMatcher$outboundSchema).optional(),
    domains: arrayType(lazyType(() => CustomEnvironmentDomains$outboundSchema)).optional(),
    currentDeploymentAliases: arrayType(stringType()).optional(),
    createdAt: numberType(),
    updatedAt: numberType()
  });
  ((CustomEnvironment1$) => {
    CustomEnvironment1$.inboundSchema = CustomEnvironment1$inboundSchema;
    CustomEnvironment1$.outboundSchema = CustomEnvironment1$outboundSchema;
  })(CustomEnvironment1$ ||= {});
  CustomEnvironment$inboundSchema = unionType([
    lazyType(() => CustomEnvironment2$inboundSchema),
    lazyType(() => CustomEnvironment1$inboundSchema)
  ]);
  CustomEnvironment$outboundSchema = unionType([
    lazyType(() => CustomEnvironment2$outboundSchema),
    lazyType(() => CustomEnvironment1$outboundSchema)
  ]);
  ((CustomEnvironment$) => {
    CustomEnvironment$.inboundSchema = CustomEnvironment$inboundSchema;
    CustomEnvironment$.outboundSchema = CustomEnvironment$outboundSchema;
  })(CustomEnvironment$ ||= {});
  CreateDeploymentType$inboundSchema = nativeEnumType(CreateDeploymentType);
  CreateDeploymentType$outboundSchema = CreateDeploymentType$inboundSchema;
  ((CreateDeploymentType$) => {
    CreateDeploymentType$.inboundSchema = CreateDeploymentType$inboundSchema;
    CreateDeploymentType$.outboundSchema = CreateDeploymentType$outboundSchema;
  })(CreateDeploymentType$ ||= {});
  CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody12Type$inboundSchema = nativeEnumType(CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody12Type);
  CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody12Type$outboundSchema = CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody12Type$inboundSchema;
  ((CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody12Type$) => {
    CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody12Type$.inboundSchema = CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody12Type$inboundSchema;
    CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody12Type$.outboundSchema = CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody12Type$outboundSchema;
  })(CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody12Type$ ||= {});
  CreateDeploymentGitSource12$inboundSchema = objectType({
    type: CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody12Type$inboundSchema,
    ref: stringType(),
    sha: stringType(),
    owner: stringType().optional(),
    slug: stringType().optional(),
    workspaceUuid: stringType(),
    repoUuid: stringType()
  });
  CreateDeploymentGitSource12$outboundSchema = objectType({
    type: CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody12Type$outboundSchema,
    ref: stringType(),
    sha: stringType(),
    owner: stringType().optional(),
    slug: stringType().optional(),
    workspaceUuid: stringType(),
    repoUuid: stringType()
  });
  ((CreateDeploymentGitSource12$) => {
    CreateDeploymentGitSource12$.inboundSchema = CreateDeploymentGitSource12$inboundSchema;
    CreateDeploymentGitSource12$.outboundSchema = CreateDeploymentGitSource12$outboundSchema;
  })(CreateDeploymentGitSource12$ ||= {});
  CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type$inboundSchema = nativeEnumType(CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type);
  CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type$outboundSchema = CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type$inboundSchema;
  ((CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type$) => {
    CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type$.inboundSchema = CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type$inboundSchema;
    CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type$.outboundSchema = CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type$outboundSchema;
  })(CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type$ ||= {});
  CreateDeploymentGitSource11$inboundSchema = objectType({
    type: CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type$inboundSchema,
    ref: stringType(),
    sha: stringType(),
    projectId: numberType()
  });
  CreateDeploymentGitSource11$outboundSchema = objectType({
    type: CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type$outboundSchema,
    ref: stringType(),
    sha: stringType(),
    projectId: numberType()
  });
  ((CreateDeploymentGitSource11$) => {
    CreateDeploymentGitSource11$.inboundSchema = CreateDeploymentGitSource11$inboundSchema;
    CreateDeploymentGitSource11$.outboundSchema = CreateDeploymentGitSource11$outboundSchema;
  })(CreateDeploymentGitSource11$ ||= {});
  CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody10Type$inboundSchema = nativeEnumType(CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody10Type);
  CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody10Type$outboundSchema = CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody10Type$inboundSchema;
  ((CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody10Type$) => {
    CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody10Type$.inboundSchema = CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody10Type$inboundSchema;
    CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody10Type$.outboundSchema = CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody10Type$outboundSchema;
  })(CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody10Type$ ||= {});
  CreateDeploymentGitSource10$inboundSchema = objectType({
    type: CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody10Type$inboundSchema,
    host: stringType(),
    ref: stringType(),
    sha: stringType(),
    repoId: numberType(),
    org: stringType().optional(),
    repo: stringType().optional()
  });
  CreateDeploymentGitSource10$outboundSchema = objectType({
    type: CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody10Type$outboundSchema,
    host: stringType(),
    ref: stringType(),
    sha: stringType(),
    repoId: numberType(),
    org: stringType().optional(),
    repo: stringType().optional()
  });
  ((CreateDeploymentGitSource10$) => {
    CreateDeploymentGitSource10$.inboundSchema = CreateDeploymentGitSource10$inboundSchema;
    CreateDeploymentGitSource10$.outboundSchema = CreateDeploymentGitSource10$outboundSchema;
  })(CreateDeploymentGitSource10$ ||= {});
  CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type$inboundSchema = nativeEnumType(CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type);
  CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type$outboundSchema = CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type$inboundSchema;
  ((CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type$) => {
    CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type$.inboundSchema = CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type$inboundSchema;
    CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type$.outboundSchema = CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type$outboundSchema;
  })(CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type$ ||= {});
  CreateDeploymentGitSource9$inboundSchema = objectType({
    type: CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type$inboundSchema,
    ref: stringType(),
    sha: stringType(),
    repoId: numberType(),
    org: stringType().optional(),
    repo: stringType().optional()
  });
  CreateDeploymentGitSource9$outboundSchema = objectType({
    type: CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type$outboundSchema,
    ref: stringType(),
    sha: stringType(),
    repoId: numberType(),
    org: stringType().optional(),
    repo: stringType().optional()
  });
  ((CreateDeploymentGitSource9$) => {
    CreateDeploymentGitSource9$.inboundSchema = CreateDeploymentGitSource9$inboundSchema;
    CreateDeploymentGitSource9$.outboundSchema = CreateDeploymentGitSource9$outboundSchema;
  })(CreateDeploymentGitSource9$ ||= {});
  CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type$inboundSchema = nativeEnumType(CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type);
  CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type$outboundSchema = CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type$inboundSchema;
  ((CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type$) => {
    CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type$.inboundSchema = CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type$inboundSchema;
    CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type$.outboundSchema = CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type$outboundSchema;
  })(CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type$ ||= {});
  CreateDeploymentGitSource8$inboundSchema = objectType({
    type: CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type$inboundSchema,
    ref: stringType(),
    sha: stringType(),
    gitUrl: stringType()
  });
  CreateDeploymentGitSource8$outboundSchema = objectType({
    type: CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type$outboundSchema,
    ref: stringType(),
    sha: stringType(),
    gitUrl: stringType()
  });
  ((CreateDeploymentGitSource8$) => {
    CreateDeploymentGitSource8$.inboundSchema = CreateDeploymentGitSource8$inboundSchema;
    CreateDeploymentGitSource8$.outboundSchema = CreateDeploymentGitSource8$outboundSchema;
  })(CreateDeploymentGitSource8$ ||= {});
  CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type$inboundSchema = nativeEnumType(CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type);
  CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type$outboundSchema = CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type$inboundSchema;
  ((CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type$) => {
    CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type$.inboundSchema = CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type$inboundSchema;
    CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type$.outboundSchema = CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type$outboundSchema;
  })(CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type$ ||= {});
  CreateDeploymentGitSource7$inboundSchema = objectType({
    type: CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type$inboundSchema,
    owner: stringType(),
    slug: stringType(),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  CreateDeploymentGitSource7$outboundSchema = objectType({
    type: CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type$outboundSchema,
    owner: stringType(),
    slug: stringType(),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  ((CreateDeploymentGitSource7$) => {
    CreateDeploymentGitSource7$.inboundSchema = CreateDeploymentGitSource7$inboundSchema;
    CreateDeploymentGitSource7$.outboundSchema = CreateDeploymentGitSource7$outboundSchema;
  })(CreateDeploymentGitSource7$ ||= {});
  CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody6Type$inboundSchema = nativeEnumType(CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody6Type);
  CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody6Type$outboundSchema = CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody6Type$inboundSchema;
  ((CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody6Type$) => {
    CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody6Type$.inboundSchema = CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody6Type$inboundSchema;
    CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody6Type$.outboundSchema = CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody6Type$outboundSchema;
  })(CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody6Type$ ||= {});
  CreateDeploymentGitSource6$inboundSchema = objectType({
    type: CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody6Type$inboundSchema,
    workspaceUuid: stringType().optional(),
    repoUuid: stringType(),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  CreateDeploymentGitSource6$outboundSchema = objectType({
    type: CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody6Type$outboundSchema,
    workspaceUuid: stringType().optional(),
    repoUuid: stringType(),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  ((CreateDeploymentGitSource6$) => {
    CreateDeploymentGitSource6$.inboundSchema = CreateDeploymentGitSource6$inboundSchema;
    CreateDeploymentGitSource6$.outboundSchema = CreateDeploymentGitSource6$outboundSchema;
  })(CreateDeploymentGitSource6$ ||= {});
  CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody5Type$inboundSchema = nativeEnumType(CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody5Type);
  CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody5Type$outboundSchema = CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody5Type$inboundSchema;
  ((CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody5Type$) => {
    CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody5Type$.inboundSchema = CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody5Type$inboundSchema;
    CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody5Type$.outboundSchema = CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody5Type$outboundSchema;
  })(CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody5Type$ ||= {});
  GitSourceProjectId$inboundSchema = unionType([stringType(), numberType()]);
  GitSourceProjectId$outboundSchema = unionType([stringType(), numberType()]);
  ((GitSourceProjectId$) => {
    GitSourceProjectId$.inboundSchema = GitSourceProjectId$inboundSchema;
    GitSourceProjectId$.outboundSchema = GitSourceProjectId$outboundSchema;
  })(GitSourceProjectId$ ||= {});
  CreateDeploymentGitSource5$inboundSchema = objectType({
    type: CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody5Type$inboundSchema,
    projectId: unionType([stringType(), numberType()]),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  CreateDeploymentGitSource5$outboundSchema = objectType({
    type: CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody5Type$outboundSchema,
    projectId: unionType([stringType(), numberType()]),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  ((CreateDeploymentGitSource5$) => {
    CreateDeploymentGitSource5$.inboundSchema = CreateDeploymentGitSource5$inboundSchema;
    CreateDeploymentGitSource5$.outboundSchema = CreateDeploymentGitSource5$outboundSchema;
  })(CreateDeploymentGitSource5$ ||= {});
  CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$inboundSchema = nativeEnumType(CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType);
  CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$outboundSchema = CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$inboundSchema;
  ((CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$) => {
    CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$.inboundSchema = CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$inboundSchema;
    CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$.outboundSchema = CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$outboundSchema;
  })(CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$ ||= {});
  CreateDeploymentGitSource4$inboundSchema = objectType({
    type: CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$inboundSchema,
    host: stringType(),
    org: stringType(),
    repo: stringType(),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  CreateDeploymentGitSource4$outboundSchema = objectType({
    type: CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$outboundSchema,
    host: stringType(),
    org: stringType(),
    repo: stringType(),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  ((CreateDeploymentGitSource4$) => {
    CreateDeploymentGitSource4$.inboundSchema = CreateDeploymentGitSource4$inboundSchema;
    CreateDeploymentGitSource4$.outboundSchema = CreateDeploymentGitSource4$outboundSchema;
  })(CreateDeploymentGitSource4$ ||= {});
  CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$inboundSchema = nativeEnumType(CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONType);
  CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$outboundSchema = CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$inboundSchema;
  ((CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$) => {
    CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$.inboundSchema = CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$inboundSchema;
    CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$.outboundSchema = CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$outboundSchema;
  })(CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$ ||= {});
  CreateDeploymentGitSourceRepoId$inboundSchema = unionType([stringType(), numberType()]);
  CreateDeploymentGitSourceRepoId$outboundSchema = unionType([stringType(), numberType()]);
  ((CreateDeploymentGitSourceRepoId$) => {
    CreateDeploymentGitSourceRepoId$.inboundSchema = CreateDeploymentGitSourceRepoId$inboundSchema;
    CreateDeploymentGitSourceRepoId$.outboundSchema = CreateDeploymentGitSourceRepoId$outboundSchema;
  })(CreateDeploymentGitSourceRepoId$ ||= {});
  CreateDeploymentGitSource3$inboundSchema = objectType({
    type: CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$inboundSchema,
    host: stringType(),
    repoId: unionType([stringType(), numberType()]),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  CreateDeploymentGitSource3$outboundSchema = objectType({
    type: CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$outboundSchema,
    host: stringType(),
    repoId: unionType([stringType(), numberType()]),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  ((CreateDeploymentGitSource3$) => {
    CreateDeploymentGitSource3$.inboundSchema = CreateDeploymentGitSource3$inboundSchema;
    CreateDeploymentGitSource3$.outboundSchema = CreateDeploymentGitSource3$outboundSchema;
  })(CreateDeploymentGitSource3$ ||= {});
  CreateDeploymentGitSourceDeploymentsResponse200Type$inboundSchema = nativeEnumType(CreateDeploymentGitSourceDeploymentsResponse200Type);
  CreateDeploymentGitSourceDeploymentsResponse200Type$outboundSchema = CreateDeploymentGitSourceDeploymentsResponse200Type$inboundSchema;
  ((CreateDeploymentGitSourceDeploymentsResponse200Type$) => {
    CreateDeploymentGitSourceDeploymentsResponse200Type$.inboundSchema = CreateDeploymentGitSourceDeploymentsResponse200Type$inboundSchema;
    CreateDeploymentGitSourceDeploymentsResponse200Type$.outboundSchema = CreateDeploymentGitSourceDeploymentsResponse200Type$outboundSchema;
  })(CreateDeploymentGitSourceDeploymentsResponse200Type$ ||= {});
  CreateDeploymentGitSource2$inboundSchema = objectType({
    type: CreateDeploymentGitSourceDeploymentsResponse200Type$inboundSchema,
    org: stringType(),
    repo: stringType(),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  CreateDeploymentGitSource2$outboundSchema = objectType({
    type: CreateDeploymentGitSourceDeploymentsResponse200Type$outboundSchema,
    org: stringType(),
    repo: stringType(),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  ((CreateDeploymentGitSource2$) => {
    CreateDeploymentGitSource2$.inboundSchema = CreateDeploymentGitSource2$inboundSchema;
    CreateDeploymentGitSource2$.outboundSchema = CreateDeploymentGitSource2$outboundSchema;
  })(CreateDeploymentGitSource2$ ||= {});
  CreateDeploymentGitSourceDeploymentsResponseType$inboundSchema = nativeEnumType(CreateDeploymentGitSourceDeploymentsResponseType);
  CreateDeploymentGitSourceDeploymentsResponseType$outboundSchema = CreateDeploymentGitSourceDeploymentsResponseType$inboundSchema;
  ((CreateDeploymentGitSourceDeploymentsResponseType$) => {
    CreateDeploymentGitSourceDeploymentsResponseType$.inboundSchema = CreateDeploymentGitSourceDeploymentsResponseType$inboundSchema;
    CreateDeploymentGitSourceDeploymentsResponseType$.outboundSchema = CreateDeploymentGitSourceDeploymentsResponseType$outboundSchema;
  })(CreateDeploymentGitSourceDeploymentsResponseType$ ||= {});
  GitSourceRepoId$inboundSchema = unionType([stringType(), numberType()]);
  GitSourceRepoId$outboundSchema = unionType([stringType(), numberType()]);
  ((GitSourceRepoId$) => {
    GitSourceRepoId$.inboundSchema = GitSourceRepoId$inboundSchema;
    GitSourceRepoId$.outboundSchema = GitSourceRepoId$outboundSchema;
  })(GitSourceRepoId$ ||= {});
  CreateDeploymentGitSource1$inboundSchema = objectType({
    type: CreateDeploymentGitSourceDeploymentsResponseType$inboundSchema,
    repoId: unionType([stringType(), numberType()]),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  CreateDeploymentGitSource1$outboundSchema = objectType({
    type: CreateDeploymentGitSourceDeploymentsResponseType$outboundSchema,
    repoId: unionType([stringType(), numberType()]),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  ((CreateDeploymentGitSource1$) => {
    CreateDeploymentGitSource1$.inboundSchema = CreateDeploymentGitSource1$inboundSchema;
    CreateDeploymentGitSource1$.outboundSchema = CreateDeploymentGitSource1$outboundSchema;
  })(CreateDeploymentGitSource1$ ||= {});
  CreateDeploymentGitSource$inboundSchema = unionType([
    lazyType(() => CreateDeploymentGitSource8$inboundSchema),
    lazyType(() => CreateDeploymentGitSource11$inboundSchema),
    lazyType(() => CreateDeploymentGitSource1$inboundSchema),
    lazyType(() => CreateDeploymentGitSource5$inboundSchema),
    lazyType(() => CreateDeploymentGitSource2$inboundSchema),
    lazyType(() => CreateDeploymentGitSource3$inboundSchema),
    lazyType(() => CreateDeploymentGitSource6$inboundSchema),
    lazyType(() => CreateDeploymentGitSource7$inboundSchema),
    lazyType(() => CreateDeploymentGitSource9$inboundSchema),
    lazyType(() => CreateDeploymentGitSource4$inboundSchema),
    lazyType(() => CreateDeploymentGitSource10$inboundSchema),
    lazyType(() => CreateDeploymentGitSource12$inboundSchema)
  ]);
  CreateDeploymentGitSource$outboundSchema = unionType([
    lazyType(() => CreateDeploymentGitSource8$outboundSchema),
    lazyType(() => CreateDeploymentGitSource11$outboundSchema),
    lazyType(() => CreateDeploymentGitSource1$outboundSchema),
    lazyType(() => CreateDeploymentGitSource5$outboundSchema),
    lazyType(() => CreateDeploymentGitSource2$outboundSchema),
    lazyType(() => CreateDeploymentGitSource3$outboundSchema),
    lazyType(() => CreateDeploymentGitSource6$outboundSchema),
    lazyType(() => CreateDeploymentGitSource7$outboundSchema),
    lazyType(() => CreateDeploymentGitSource9$outboundSchema),
    lazyType(() => CreateDeploymentGitSource4$outboundSchema),
    lazyType(() => CreateDeploymentGitSource10$outboundSchema),
    lazyType(() => CreateDeploymentGitSource12$outboundSchema)
  ]);
  ((CreateDeploymentGitSource$) => {
    CreateDeploymentGitSource$.inboundSchema = CreateDeploymentGitSource$inboundSchema;
    CreateDeploymentGitSource$.outboundSchema = CreateDeploymentGitSource$outboundSchema;
  })(CreateDeploymentGitSource$ ||= {});
  CreateDeploymentProject$inboundSchema = objectType({
    id: stringType(),
    name: stringType(),
    framework: nullableType(stringType()).optional()
  });
  CreateDeploymentProject$outboundSchema = objectType({
    id: stringType(),
    name: stringType(),
    framework: nullableType(stringType()).optional()
  });
  ((CreateDeploymentProject$) => {
    CreateDeploymentProject$.inboundSchema = CreateDeploymentProject$inboundSchema;
    CreateDeploymentProject$.outboundSchema = CreateDeploymentProject$outboundSchema;
  })(CreateDeploymentProject$ ||= {});
  ReadyState$inboundSchema = nativeEnumType(ReadyState);
  ReadyState$outboundSchema = ReadyState$inboundSchema;
  ((ReadyState$) => {
    ReadyState$.inboundSchema = ReadyState$inboundSchema;
    ReadyState$.outboundSchema = ReadyState$outboundSchema;
  })(ReadyState$ ||= {});
  CreateDeploymentSource$inboundSchema = nativeEnumType(CreateDeploymentSource);
  CreateDeploymentSource$outboundSchema = CreateDeploymentSource$inboundSchema;
  ((CreateDeploymentSource$) => {
    CreateDeploymentSource$.inboundSchema = CreateDeploymentSource$inboundSchema;
    CreateDeploymentSource$.outboundSchema = CreateDeploymentSource$outboundSchema;
  })(CreateDeploymentSource$ ||= {});
  CreateDeploymentTarget$inboundSchema = nativeEnumType(CreateDeploymentTarget);
  CreateDeploymentTarget$outboundSchema = CreateDeploymentTarget$inboundSchema;
  ((CreateDeploymentTarget$) => {
    CreateDeploymentTarget$.inboundSchema = CreateDeploymentTarget$inboundSchema;
    CreateDeploymentTarget$.outboundSchema = CreateDeploymentTarget$outboundSchema;
  })(CreateDeploymentTarget$ ||= {});
  AliasWarning$inboundSchema = objectType({
    code: stringType(),
    message: stringType(),
    link: stringType().optional(),
    action: stringType().optional()
  });
  AliasWarning$outboundSchema = objectType({
    code: stringType(),
    message: stringType(),
    link: stringType().optional(),
    action: stringType().optional()
  });
  ((AliasWarning$) => {
    AliasWarning$.inboundSchema = AliasWarning$inboundSchema;
    AliasWarning$.outboundSchema = AliasWarning$outboundSchema;
  })(AliasWarning$ ||= {});
  AliasError$inboundSchema = objectType({
    code: stringType(),
    message: stringType()
  });
  AliasError$outboundSchema = objectType({
    code: stringType(),
    message: stringType()
  });
  ((AliasError$) => {
    AliasError$.inboundSchema = AliasError$inboundSchema;
    AliasError$.outboundSchema = AliasError$outboundSchema;
  })(AliasError$ ||= {});
  ChecksState$inboundSchema = nativeEnumType(ChecksState);
  ChecksState$outboundSchema = ChecksState$inboundSchema;
  ((ChecksState$) => {
    ChecksState$.inboundSchema = ChecksState$inboundSchema;
    ChecksState$.outboundSchema = ChecksState$outboundSchema;
  })(ChecksState$ ||= {});
  ChecksConclusion$inboundSchema = nativeEnumType(ChecksConclusion);
  ChecksConclusion$outboundSchema = ChecksConclusion$inboundSchema;
  ((ChecksConclusion$) => {
    ChecksConclusion$.inboundSchema = ChecksConclusion$inboundSchema;
    ChecksConclusion$.outboundSchema = ChecksConclusion$outboundSchema;
  })(ChecksConclusion$ ||= {});
  ReadySubstate$inboundSchema = nativeEnumType(ReadySubstate);
  ReadySubstate$outboundSchema = ReadySubstate$inboundSchema;
  ((ReadySubstate$) => {
    ReadySubstate$.inboundSchema = ReadySubstate$inboundSchema;
    ReadySubstate$.outboundSchema = ReadySubstate$outboundSchema;
  })(ReadySubstate$ ||= {});
  OidcTokenClaims$inboundSchema = objectType({
    iss: stringType(),
    sub: stringType(),
    scope: stringType(),
    aud: stringType(),
    owner: stringType(),
    owner_id: stringType(),
    project: stringType(),
    project_id: stringType(),
    environment: stringType()
  }).transform((v2) => {
    return remap(v2, {
      owner_id: "ownerId",
      project_id: "projectId"
    });
  });
  OidcTokenClaims$outboundSchema = objectType({
    iss: stringType(),
    sub: stringType(),
    scope: stringType(),
    aud: stringType(),
    owner: stringType(),
    ownerId: stringType(),
    project: stringType(),
    projectId: stringType(),
    environment: stringType()
  }).transform((v2) => {
    return remap(v2, {
      ownerId: "owner_id",
      projectId: "project_id"
    });
  });
  ((OidcTokenClaims$) => {
    OidcTokenClaims$.inboundSchema = OidcTokenClaims$inboundSchema;
    OidcTokenClaims$.outboundSchema = OidcTokenClaims$outboundSchema;
  })(OidcTokenClaims$ ||= {});
  CreateDeploymentPlan$inboundSchema = nativeEnumType(CreateDeploymentPlan);
  CreateDeploymentPlan$outboundSchema = CreateDeploymentPlan$inboundSchema;
  ((CreateDeploymentPlan$) => {
    CreateDeploymentPlan$.inboundSchema = CreateDeploymentPlan$inboundSchema;
    CreateDeploymentPlan$.outboundSchema = CreateDeploymentPlan$outboundSchema;
  })(CreateDeploymentPlan$ ||= {});
  CreateDeploymentMicrofrontendsApplications$inboundSchema = objectType({
    productionHost: stringType(),
    deploymentAlias: stringType().optional(),
    deploymentHost: stringType().optional()
  });
  CreateDeploymentMicrofrontendsApplications$outboundSchema = objectType({
    productionHost: stringType(),
    deploymentAlias: stringType().optional(),
    deploymentHost: stringType().optional()
  });
  ((CreateDeploymentMicrofrontendsApplications$) => {
    CreateDeploymentMicrofrontendsApplications$.inboundSchema = CreateDeploymentMicrofrontendsApplications$inboundSchema;
    CreateDeploymentMicrofrontendsApplications$.outboundSchema = CreateDeploymentMicrofrontendsApplications$outboundSchema;
  })(CreateDeploymentMicrofrontendsApplications$ ||= {});
  CreateDeploymentMicrofrontends2$inboundSchema = objectType({
    applications: recordType(lazyType(() => CreateDeploymentMicrofrontendsApplications$inboundSchema)).optional(),
    isDefaultApp: booleanType(),
    defaultAppProjectName: stringType(),
    defaultRoute: stringType().optional(),
    groupIds: arrayType(stringType())
  });
  CreateDeploymentMicrofrontends2$outboundSchema = objectType({
    applications: recordType(lazyType(() => CreateDeploymentMicrofrontendsApplications$outboundSchema)).optional(),
    isDefaultApp: booleanType(),
    defaultAppProjectName: stringType(),
    defaultRoute: stringType().optional(),
    groupIds: arrayType(stringType())
  });
  ((CreateDeploymentMicrofrontends2$) => {
    CreateDeploymentMicrofrontends2$.inboundSchema = CreateDeploymentMicrofrontends2$inboundSchema;
    CreateDeploymentMicrofrontends2$.outboundSchema = CreateDeploymentMicrofrontends2$outboundSchema;
  })(CreateDeploymentMicrofrontends2$ ||= {});
  CreateDeploymentMicrofrontends1$inboundSchema = objectType({
    isDefaultApp: booleanType().optional(),
    defaultAppProjectName: stringType(),
    defaultRoute: stringType().optional(),
    groupIds: arrayType(stringType())
  });
  CreateDeploymentMicrofrontends1$outboundSchema = objectType({
    isDefaultApp: booleanType().optional(),
    defaultAppProjectName: stringType(),
    defaultRoute: stringType().optional(),
    groupIds: arrayType(stringType())
  });
  ((CreateDeploymentMicrofrontends1$) => {
    CreateDeploymentMicrofrontends1$.inboundSchema = CreateDeploymentMicrofrontends1$inboundSchema;
    CreateDeploymentMicrofrontends1$.outboundSchema = CreateDeploymentMicrofrontends1$outboundSchema;
  })(CreateDeploymentMicrofrontends1$ ||= {});
  CreateDeploymentMicrofrontends$inboundSchema = unionType([
    lazyType(() => CreateDeploymentMicrofrontends1$inboundSchema),
    lazyType(() => CreateDeploymentMicrofrontends2$inboundSchema)
  ]);
  CreateDeploymentMicrofrontends$outboundSchema = unionType([
    lazyType(() => CreateDeploymentMicrofrontends1$outboundSchema),
    lazyType(() => CreateDeploymentMicrofrontends2$outboundSchema)
  ]);
  ((CreateDeploymentMicrofrontends$) => {
    CreateDeploymentMicrofrontends$.inboundSchema = CreateDeploymentMicrofrontends$inboundSchema;
    CreateDeploymentMicrofrontends$.outboundSchema = CreateDeploymentMicrofrontends$outboundSchema;
  })(CreateDeploymentMicrofrontends$ ||= {});
  FunctionType$inboundSchema = nativeEnumType(FunctionType);
  FunctionType$outboundSchema = FunctionType$inboundSchema;
  ((FunctionType$) => {
    FunctionType$.inboundSchema = FunctionType$inboundSchema;
    FunctionType$.outboundSchema = FunctionType$outboundSchema;
  })(FunctionType$ ||= {});
  FunctionMemoryType$inboundSchema = nativeEnumType(FunctionMemoryType);
  FunctionMemoryType$outboundSchema = FunctionMemoryType$inboundSchema;
  ((FunctionMemoryType$) => {
    FunctionMemoryType$.inboundSchema = FunctionMemoryType$inboundSchema;
    FunctionMemoryType$.outboundSchema = FunctionMemoryType$outboundSchema;
  })(FunctionMemoryType$ ||= {});
  Config$inboundSchema = objectType({
    version: numberType().optional(),
    functionType: FunctionType$inboundSchema,
    functionMemoryType: FunctionMemoryType$inboundSchema,
    functionTimeout: nullableType(numberType()),
    secureComputePrimaryRegion: nullableType(stringType()),
    secureComputeFallbackRegion: nullableType(stringType())
  });
  Config$outboundSchema = objectType({
    version: numberType().optional(),
    functionType: FunctionType$outboundSchema,
    functionMemoryType: FunctionMemoryType$outboundSchema,
    functionTimeout: nullableType(numberType()),
    secureComputePrimaryRegion: nullableType(stringType()),
    secureComputeFallbackRegion: nullableType(stringType())
  });
  ((Config$) => {
    Config$.inboundSchema = Config$inboundSchema;
    Config$.outboundSchema = Config$outboundSchema;
  })(Config$ ||= {});
  Functions$inboundSchema = objectType({
    memory: numberType().optional(),
    maxDuration: numberType().optional(),
    runtime: stringType().optional(),
    includeFiles: stringType().optional(),
    excludeFiles: stringType().optional()
  });
  Functions$outboundSchema = objectType({
    memory: numberType().optional(),
    maxDuration: numberType().optional(),
    runtime: stringType().optional(),
    includeFiles: stringType().optional(),
    excludeFiles: stringType().optional()
  });
  ((Functions$) => {
    Functions$.inboundSchema = Functions$inboundSchema;
    Functions$.outboundSchema = Functions$outboundSchema;
  })(Functions$ ||= {});
  Routes3$inboundSchema = objectType({
    src: stringType(),
    continue: booleanType(),
    middleware: numberType()
  });
  Routes3$outboundSchema = objectType({
    src: stringType(),
    continue: booleanType(),
    middleware: numberType()
  });
  ((Routes3$) => {
    Routes3$.inboundSchema = Routes3$inboundSchema;
    Routes3$.outboundSchema = Routes3$outboundSchema;
  })(Routes3$ ||= {});
  RoutesHandle$inboundSchema = nativeEnumType(RoutesHandle);
  RoutesHandle$outboundSchema = RoutesHandle$inboundSchema;
  ((RoutesHandle$) => {
    RoutesHandle$.inboundSchema = RoutesHandle$inboundSchema;
    RoutesHandle$.outboundSchema = RoutesHandle$outboundSchema;
  })(RoutesHandle$ ||= {});
  Routes2$inboundSchema = objectType({
    handle: RoutesHandle$inboundSchema,
    src: stringType().optional(),
    dest: stringType().optional(),
    status: numberType().optional()
  });
  Routes2$outboundSchema = objectType({
    handle: RoutesHandle$outboundSchema,
    src: stringType().optional(),
    dest: stringType().optional(),
    status: numberType().optional()
  });
  ((Routes2$) => {
    Routes2$.inboundSchema = Routes2$inboundSchema;
    Routes2$.outboundSchema = Routes2$outboundSchema;
  })(Routes2$ ||= {});
  CreateDeploymentHasType$inboundSchema = nativeEnumType(CreateDeploymentHasType);
  CreateDeploymentHasType$outboundSchema = CreateDeploymentHasType$inboundSchema;
  ((CreateDeploymentHasType$) => {
    CreateDeploymentHasType$.inboundSchema = CreateDeploymentHasType$inboundSchema;
    CreateDeploymentHasType$.outboundSchema = CreateDeploymentHasType$outboundSchema;
  })(CreateDeploymentHasType$ ||= {});
  Has2$inboundSchema = objectType({
    type: CreateDeploymentHasType$inboundSchema,
    key: stringType(),
    value: stringType().optional()
  });
  Has2$outboundSchema = objectType({
    type: CreateDeploymentHasType$outboundSchema,
    key: stringType(),
    value: stringType().optional()
  });
  ((Has2$) => {
    Has2$.inboundSchema = Has2$inboundSchema;
    Has2$.outboundSchema = Has2$outboundSchema;
  })(Has2$ ||= {});
  HasType$inboundSchema = nativeEnumType(HasType);
  HasType$outboundSchema = HasType$inboundSchema;
  ((HasType$) => {
    HasType$.inboundSchema = HasType$inboundSchema;
    HasType$.outboundSchema = HasType$outboundSchema;
  })(HasType$ ||= {});
  Has1$inboundSchema = objectType({
    type: HasType$inboundSchema,
    value: stringType()
  });
  Has1$outboundSchema = objectType({
    type: HasType$outboundSchema,
    value: stringType()
  });
  ((Has1$) => {
    Has1$.inboundSchema = Has1$inboundSchema;
    Has1$.outboundSchema = Has1$outboundSchema;
  })(Has1$ ||= {});
  RoutesHas$inboundSchema = unionType([
    lazyType(() => Has1$inboundSchema),
    lazyType(() => Has2$inboundSchema)
  ]);
  RoutesHas$outboundSchema = unionType([
    lazyType(() => Has1$outboundSchema),
    lazyType(() => Has2$outboundSchema)
  ]);
  ((RoutesHas$) => {
    RoutesHas$.inboundSchema = RoutesHas$inboundSchema;
    RoutesHas$.outboundSchema = RoutesHas$outboundSchema;
  })(RoutesHas$ ||= {});
  CreateDeploymentMissingType$inboundSchema = nativeEnumType(CreateDeploymentMissingType);
  CreateDeploymentMissingType$outboundSchema = CreateDeploymentMissingType$inboundSchema;
  ((CreateDeploymentMissingType$) => {
    CreateDeploymentMissingType$.inboundSchema = CreateDeploymentMissingType$inboundSchema;
    CreateDeploymentMissingType$.outboundSchema = CreateDeploymentMissingType$outboundSchema;
  })(CreateDeploymentMissingType$ ||= {});
  Missing2$inboundSchema = objectType({
    type: CreateDeploymentMissingType$inboundSchema,
    key: stringType(),
    value: stringType().optional()
  });
  Missing2$outboundSchema = objectType({
    type: CreateDeploymentMissingType$outboundSchema,
    key: stringType(),
    value: stringType().optional()
  });
  ((Missing2$) => {
    Missing2$.inboundSchema = Missing2$inboundSchema;
    Missing2$.outboundSchema = Missing2$outboundSchema;
  })(Missing2$ ||= {});
  MissingType$inboundSchema = nativeEnumType(MissingType);
  MissingType$outboundSchema = MissingType$inboundSchema;
  ((MissingType$) => {
    MissingType$.inboundSchema = MissingType$inboundSchema;
    MissingType$.outboundSchema = MissingType$outboundSchema;
  })(MissingType$ ||= {});
  Missing1$inboundSchema = objectType({
    type: MissingType$inboundSchema,
    value: stringType()
  });
  Missing1$outboundSchema = objectType({
    type: MissingType$outboundSchema,
    value: stringType()
  });
  ((Missing1$) => {
    Missing1$.inboundSchema = Missing1$inboundSchema;
    Missing1$.outboundSchema = Missing1$outboundSchema;
  })(Missing1$ ||= {});
  RoutesMissing$inboundSchema = unionType([
    lazyType(() => Missing1$inboundSchema),
    lazyType(() => Missing2$inboundSchema)
  ]);
  RoutesMissing$outboundSchema = unionType([
    lazyType(() => Missing1$outboundSchema),
    lazyType(() => Missing2$outboundSchema)
  ]);
  ((RoutesMissing$) => {
    RoutesMissing$.inboundSchema = RoutesMissing$inboundSchema;
    RoutesMissing$.outboundSchema = RoutesMissing$outboundSchema;
  })(RoutesMissing$ ||= {});
  Locale$inboundSchema = objectType({
    redirect: recordType(stringType()).optional(),
    cookie: stringType().optional()
  });
  Locale$outboundSchema = objectType({
    redirect: recordType(stringType()).optional(),
    cookie: stringType().optional()
  });
  ((Locale$) => {
    Locale$.inboundSchema = Locale$inboundSchema;
    Locale$.outboundSchema = Locale$outboundSchema;
  })(Locale$ ||= {});
  Routes1$inboundSchema = objectType({
    src: stringType(),
    dest: stringType().optional(),
    headers: recordType(stringType()).optional(),
    methods: arrayType(stringType()).optional(),
    continue: booleanType().optional(),
    override: booleanType().optional(),
    caseSensitive: booleanType().optional(),
    check: booleanType().optional(),
    important: booleanType().optional(),
    status: numberType().optional(),
    has: arrayType(unionType([
      lazyType(() => Has1$inboundSchema),
      lazyType(() => Has2$inboundSchema)
    ])).optional(),
    missing: arrayType(unionType([
      lazyType(() => Missing1$inboundSchema),
      lazyType(() => Missing2$inboundSchema)
    ])).optional(),
    locale: lazyType(() => Locale$inboundSchema).optional(),
    middlewarePath: stringType().optional(),
    middlewareRawSrc: arrayType(stringType()).optional(),
    middleware: numberType().optional()
  });
  Routes1$outboundSchema = objectType({
    src: stringType(),
    dest: stringType().optional(),
    headers: recordType(stringType()).optional(),
    methods: arrayType(stringType()).optional(),
    continue: booleanType().optional(),
    override: booleanType().optional(),
    caseSensitive: booleanType().optional(),
    check: booleanType().optional(),
    important: booleanType().optional(),
    status: numberType().optional(),
    has: arrayType(unionType([
      lazyType(() => Has1$outboundSchema),
      lazyType(() => Has2$outboundSchema)
    ])).optional(),
    missing: arrayType(unionType([
      lazyType(() => Missing1$outboundSchema),
      lazyType(() => Missing2$outboundSchema)
    ])).optional(),
    locale: lazyType(() => Locale$outboundSchema).optional(),
    middlewarePath: stringType().optional(),
    middlewareRawSrc: arrayType(stringType()).optional(),
    middleware: numberType().optional()
  });
  ((Routes1$) => {
    Routes1$.inboundSchema = Routes1$inboundSchema;
    Routes1$.outboundSchema = Routes1$outboundSchema;
  })(Routes1$ ||= {});
  Routes$inboundSchema = unionType([
    lazyType(() => Routes3$inboundSchema),
    lazyType(() => Routes2$inboundSchema),
    lazyType(() => Routes1$inboundSchema)
  ]);
  Routes$outboundSchema = unionType([
    lazyType(() => Routes3$outboundSchema),
    lazyType(() => Routes2$outboundSchema),
    lazyType(() => Routes1$outboundSchema)
  ]);
  ((Routes$) => {
    Routes$.inboundSchema = Routes$inboundSchema;
    Routes$.outboundSchema = Routes$outboundSchema;
  })(Routes$ ||= {});
  CreateDeploymentCrons$inboundSchema = objectType({
    schedule: stringType(),
    path: stringType()
  });
  CreateDeploymentCrons$outboundSchema = objectType({
    schedule: stringType(),
    path: stringType()
  });
  ((CreateDeploymentCrons$) => {
    CreateDeploymentCrons$.inboundSchema = CreateDeploymentCrons$inboundSchema;
    CreateDeploymentCrons$.outboundSchema = CreateDeploymentCrons$outboundSchema;
  })(CreateDeploymentCrons$ ||= {});
  CreateDeploymentGitRepoDeploymentsType$inboundSchema = nativeEnumType(CreateDeploymentGitRepoDeploymentsType);
  CreateDeploymentGitRepoDeploymentsType$outboundSchema = CreateDeploymentGitRepoDeploymentsType$inboundSchema;
  ((CreateDeploymentGitRepoDeploymentsType$) => {
    CreateDeploymentGitRepoDeploymentsType$.inboundSchema = CreateDeploymentGitRepoDeploymentsType$inboundSchema;
    CreateDeploymentGitRepoDeploymentsType$.outboundSchema = CreateDeploymentGitRepoDeploymentsType$outboundSchema;
  })(CreateDeploymentGitRepoDeploymentsType$ ||= {});
  CreateDeploymentGitRepoOwnerType$inboundSchema = nativeEnumType(CreateDeploymentGitRepoOwnerType);
  CreateDeploymentGitRepoOwnerType$outboundSchema = CreateDeploymentGitRepoOwnerType$inboundSchema;
  ((CreateDeploymentGitRepoOwnerType$) => {
    CreateDeploymentGitRepoOwnerType$.inboundSchema = CreateDeploymentGitRepoOwnerType$inboundSchema;
    CreateDeploymentGitRepoOwnerType$.outboundSchema = CreateDeploymentGitRepoOwnerType$outboundSchema;
  })(CreateDeploymentGitRepoOwnerType$ ||= {});
  GitRepo3$inboundSchema = objectType({
    owner: stringType(),
    repoUuid: stringType(),
    slug: stringType(),
    type: CreateDeploymentGitRepoDeploymentsType$inboundSchema,
    workspaceUuid: stringType(),
    path: stringType(),
    defaultBranch: stringType(),
    name: stringType(),
    private: booleanType(),
    ownerType: CreateDeploymentGitRepoOwnerType$inboundSchema
  });
  GitRepo3$outboundSchema = objectType({
    owner: stringType(),
    repoUuid: stringType(),
    slug: stringType(),
    type: CreateDeploymentGitRepoDeploymentsType$outboundSchema,
    workspaceUuid: stringType(),
    path: stringType(),
    defaultBranch: stringType(),
    name: stringType(),
    private: booleanType(),
    ownerType: CreateDeploymentGitRepoOwnerType$outboundSchema
  });
  ((GitRepo3$) => {
    GitRepo3$.inboundSchema = GitRepo3$inboundSchema;
    GitRepo3$.outboundSchema = GitRepo3$outboundSchema;
  })(GitRepo3$ ||= {});
  CreateDeploymentGitRepoType$inboundSchema = nativeEnumType(CreateDeploymentGitRepoType);
  CreateDeploymentGitRepoType$outboundSchema = CreateDeploymentGitRepoType$inboundSchema;
  ((CreateDeploymentGitRepoType$) => {
    CreateDeploymentGitRepoType$.inboundSchema = CreateDeploymentGitRepoType$inboundSchema;
    CreateDeploymentGitRepoType$.outboundSchema = CreateDeploymentGitRepoType$outboundSchema;
  })(CreateDeploymentGitRepoType$ ||= {});
  GitRepoOwnerType$inboundSchema = nativeEnumType(GitRepoOwnerType);
  GitRepoOwnerType$outboundSchema = GitRepoOwnerType$inboundSchema;
  ((GitRepoOwnerType$) => {
    GitRepoOwnerType$.inboundSchema = GitRepoOwnerType$inboundSchema;
    GitRepoOwnerType$.outboundSchema = GitRepoOwnerType$outboundSchema;
  })(GitRepoOwnerType$ ||= {});
  GitRepo2$inboundSchema = objectType({
    org: stringType(),
    repo: stringType(),
    repoId: numberType(),
    type: CreateDeploymentGitRepoType$inboundSchema,
    repoOwnerId: numberType(),
    path: stringType(),
    defaultBranch: stringType(),
    name: stringType(),
    private: booleanType(),
    ownerType: GitRepoOwnerType$inboundSchema
  });
  GitRepo2$outboundSchema = objectType({
    org: stringType(),
    repo: stringType(),
    repoId: numberType(),
    type: CreateDeploymentGitRepoType$outboundSchema,
    repoOwnerId: numberType(),
    path: stringType(),
    defaultBranch: stringType(),
    name: stringType(),
    private: booleanType(),
    ownerType: GitRepoOwnerType$outboundSchema
  });
  ((GitRepo2$) => {
    GitRepo2$.inboundSchema = GitRepo2$inboundSchema;
    GitRepo2$.outboundSchema = GitRepo2$outboundSchema;
  })(GitRepo2$ ||= {});
  GitRepoType$inboundSchema = nativeEnumType(GitRepoType);
  GitRepoType$outboundSchema = GitRepoType$inboundSchema;
  ((GitRepoType$) => {
    GitRepoType$.inboundSchema = GitRepoType$inboundSchema;
    GitRepoType$.outboundSchema = GitRepoType$outboundSchema;
  })(GitRepoType$ ||= {});
  OwnerType$inboundSchema = nativeEnumType(OwnerType);
  OwnerType$outboundSchema = OwnerType$inboundSchema;
  ((OwnerType$) => {
    OwnerType$.inboundSchema = OwnerType$inboundSchema;
    OwnerType$.outboundSchema = OwnerType$outboundSchema;
  })(OwnerType$ ||= {});
  GitRepo1$inboundSchema = objectType({
    namespace: stringType(),
    projectId: numberType(),
    type: GitRepoType$inboundSchema,
    url: stringType(),
    path: stringType(),
    defaultBranch: stringType(),
    name: stringType(),
    private: booleanType(),
    ownerType: OwnerType$inboundSchema
  });
  GitRepo1$outboundSchema = objectType({
    namespace: stringType(),
    projectId: numberType(),
    type: GitRepoType$outboundSchema,
    url: stringType(),
    path: stringType(),
    defaultBranch: stringType(),
    name: stringType(),
    private: booleanType(),
    ownerType: OwnerType$outboundSchema
  });
  ((GitRepo1$) => {
    GitRepo1$.inboundSchema = GitRepo1$inboundSchema;
    GitRepo1$.outboundSchema = GitRepo1$outboundSchema;
  })(GitRepo1$ ||= {});
  GitRepo$inboundSchema = unionType([
    lazyType(() => GitRepo1$inboundSchema),
    lazyType(() => GitRepo2$inboundSchema),
    lazyType(() => GitRepo3$inboundSchema)
  ]);
  GitRepo$outboundSchema = unionType([
    lazyType(() => GitRepo1$outboundSchema),
    lazyType(() => GitRepo2$outboundSchema),
    lazyType(() => GitRepo3$outboundSchema)
  ]);
  ((GitRepo$) => {
    GitRepo$.inboundSchema = GitRepo$inboundSchema;
    GitRepo$.outboundSchema = GitRepo$outboundSchema;
  })(GitRepo$ ||= {});
  Flags2$inboundSchema = objectType({});
  Flags2$outboundSchema = objectType({});
  ((Flags2$) => {
    Flags2$.inboundSchema = Flags2$inboundSchema;
    Flags2$.outboundSchema = Flags2$outboundSchema;
  })(Flags2$ ||= {});
  Options$inboundSchema = objectType({
    value: nullableType(FlagJSONValue$inboundSchema),
    label: stringType().optional()
  });
  Options$outboundSchema = objectType({
    value: nullableType(FlagJSONValue$outboundSchema),
    label: stringType().optional()
  });
  ((Options$) => {
    Options$.inboundSchema = Options$inboundSchema;
    Options$.outboundSchema = Options$outboundSchema;
  })(Options$ ||= {});
  FlagsDefinitions$inboundSchema = objectType({
    options: arrayType(lazyType(() => Options$inboundSchema)).optional(),
    url: stringType().optional(),
    description: stringType().optional()
  });
  FlagsDefinitions$outboundSchema = objectType({
    options: arrayType(lazyType(() => Options$outboundSchema)).optional(),
    url: stringType().optional(),
    description: stringType().optional()
  });
  ((FlagsDefinitions$) => {
    FlagsDefinitions$.inboundSchema = FlagsDefinitions$inboundSchema;
    FlagsDefinitions$.outboundSchema = FlagsDefinitions$outboundSchema;
  })(FlagsDefinitions$ ||= {});
  Flags1$inboundSchema = objectType({
    definitions: recordType(lazyType(() => FlagsDefinitions$inboundSchema))
  });
  Flags1$outboundSchema = objectType({
    definitions: recordType(lazyType(() => FlagsDefinitions$outboundSchema))
  });
  ((Flags1$) => {
    Flags1$.inboundSchema = Flags1$inboundSchema;
    Flags1$.outboundSchema = Flags1$outboundSchema;
  })(Flags1$ ||= {});
  Flags$inboundSchema = unionType([
    lazyType(() => Flags1$inboundSchema),
    arrayType(lazyType(() => Flags2$inboundSchema))
  ]);
  Flags$outboundSchema = unionType([
    lazyType(() => Flags1$outboundSchema),
    arrayType(lazyType(() => Flags2$outboundSchema))
  ]);
  ((Flags$) => {
    Flags$.inboundSchema = Flags$inboundSchema;
    Flags$.outboundSchema = Flags$outboundSchema;
  })(Flags$ ||= {});
  CreateDeploymentResponseBody$inboundSchema = objectType({
    aliasAssignedAt: nullableType(unionType([numberType(), booleanType()])).optional(),
    alwaysRefuseToBuild: booleanType().optional(),
    build: lazyType(() => Build$inboundSchema),
    buildArtifactUrls: arrayType(stringType()).optional(),
    builds: arrayType(lazyType(() => Builds$inboundSchema)).optional(),
    env: arrayType(stringType()),
    inspectorUrl: nullableType(stringType()),
    isInConcurrentBuildsQueue: booleanType(),
    isInSystemBuildsQueue: booleanType(),
    projectSettings: lazyType(() => CreateDeploymentProjectSettings$inboundSchema),
    readyStateReason: stringType().optional(),
    integrations: lazyType(() => Integrations$inboundSchema).optional(),
    images: lazyType(() => Images$inboundSchema).optional(),
    alias: arrayType(stringType()).optional(),
    aliasAssigned: booleanType(),
    bootedAt: numberType(),
    buildingAt: numberType(),
    buildContainerFinishedAt: numberType().optional(),
    buildSkipped: booleanType(),
    creator: lazyType(() => Creator$inboundSchema),
    initReadyAt: numberType().optional(),
    isFirstBranchDeployment: booleanType().optional(),
    lambdas: arrayType(lazyType(() => Lambdas$inboundSchema)).optional(),
    public: booleanType(),
    ready: numberType().optional(),
    status: CreateDeploymentStatus$inboundSchema,
    team: lazyType(() => CreateDeploymentTeam$inboundSchema).optional(),
    userAliases: arrayType(stringType()).optional(),
    previewCommentsEnabled: booleanType().optional(),
    ttyBuildLogs: booleanType().optional(),
    customEnvironment: unionType([
      lazyType(() => CustomEnvironment2$inboundSchema),
      lazyType(() => CustomEnvironment1$inboundSchema)
    ]).optional(),
    type: CreateDeploymentType$inboundSchema,
    name: stringType(),
    createdAt: numberType(),
    deletedAt: nullableType(numberType()).optional(),
    id: stringType(),
    version: numberType(),
    autoAssignCustomDomains: booleanType().optional(),
    gitSource: unionType([
      lazyType(() => CreateDeploymentGitSource8$inboundSchema),
      lazyType(() => CreateDeploymentGitSource11$inboundSchema),
      lazyType(() => CreateDeploymentGitSource1$inboundSchema),
      lazyType(() => CreateDeploymentGitSource5$inboundSchema),
      lazyType(() => CreateDeploymentGitSource2$inboundSchema),
      lazyType(() => CreateDeploymentGitSource3$inboundSchema),
      lazyType(() => CreateDeploymentGitSource6$inboundSchema),
      lazyType(() => CreateDeploymentGitSource7$inboundSchema),
      lazyType(() => CreateDeploymentGitSource9$inboundSchema),
      lazyType(() => CreateDeploymentGitSource4$inboundSchema),
      lazyType(() => CreateDeploymentGitSource10$inboundSchema),
      lazyType(() => CreateDeploymentGitSource12$inboundSchema)
    ]).optional(),
    meta: recordType(stringType()),
    project: lazyType(() => CreateDeploymentProject$inboundSchema).optional(),
    readyState: ReadyState$inboundSchema,
    source: CreateDeploymentSource$inboundSchema.optional(),
    target: nullableType(CreateDeploymentTarget$inboundSchema).optional(),
    passiveRegions: arrayType(stringType()).optional(),
    regions: arrayType(stringType()),
    errorMessage: nullableType(stringType()).optional(),
    aliasWarning: nullableType(lazyType(() => AliasWarning$inboundSchema)).optional(),
    aliasError: nullableType(lazyType(() => AliasError$inboundSchema)).optional(),
    aliasFinal: nullableType(stringType()).optional(),
    automaticAliases: arrayType(stringType()).optional(),
    buildErrorAt: numberType().optional(),
    checksState: ChecksState$inboundSchema.optional(),
    checksConclusion: ChecksConclusion$inboundSchema.optional(),
    defaultRoute: stringType().optional(),
    canceledAt: numberType().optional(),
    errorCode: stringType().optional(),
    errorLink: stringType().optional(),
    errorStep: stringType().optional(),
    originCacheRegion: stringType().optional(),
    readySubstate: ReadySubstate$inboundSchema.optional(),
    softDeletedByRetention: booleanType().optional(),
    undeletedAt: numberType().optional(),
    url: stringType(),
    oidcTokenClaims: lazyType(() => OidcTokenClaims$inboundSchema).optional(),
    plan: CreateDeploymentPlan$inboundSchema,
    projectId: stringType(),
    ownerId: stringType(),
    microfrontends: unionType([
      lazyType(() => CreateDeploymentMicrofrontends1$inboundSchema),
      lazyType(() => CreateDeploymentMicrofrontends2$inboundSchema)
    ]).optional(),
    monorepoManager: nullableType(stringType()).optional(),
    config: lazyType(() => Config$inboundSchema).optional(),
    functions: nullableType(recordType(lazyType(() => Functions$inboundSchema))).optional(),
    routes: nullableType(arrayType(unionType([
      lazyType(() => Routes3$inboundSchema),
      lazyType(() => Routes2$inboundSchema),
      lazyType(() => Routes1$inboundSchema)
    ]))),
    crons: arrayType(lazyType(() => CreateDeploymentCrons$inboundSchema)).optional(),
    connectBuildsEnabled: booleanType().optional(),
    connectConfigurationId: stringType().optional(),
    createdIn: stringType(),
    passiveConnectConfigurationId: stringType().optional(),
    gitRepo: nullableType(unionType([
      lazyType(() => GitRepo1$inboundSchema),
      lazyType(() => GitRepo2$inboundSchema),
      lazyType(() => GitRepo3$inboundSchema)
    ])).optional(),
    flags: unionType([
      lazyType(() => Flags1$inboundSchema),
      arrayType(lazyType(() => Flags2$inboundSchema))
    ]).optional()
  });
  CreateDeploymentResponseBody$outboundSchema = objectType({
    aliasAssignedAt: nullableType(unionType([numberType(), booleanType()])).optional(),
    alwaysRefuseToBuild: booleanType().optional(),
    build: lazyType(() => Build$outboundSchema),
    buildArtifactUrls: arrayType(stringType()).optional(),
    builds: arrayType(lazyType(() => Builds$outboundSchema)).optional(),
    env: arrayType(stringType()),
    inspectorUrl: nullableType(stringType()),
    isInConcurrentBuildsQueue: booleanType(),
    isInSystemBuildsQueue: booleanType(),
    projectSettings: lazyType(() => CreateDeploymentProjectSettings$outboundSchema),
    readyStateReason: stringType().optional(),
    integrations: lazyType(() => Integrations$outboundSchema).optional(),
    images: lazyType(() => Images$outboundSchema).optional(),
    alias: arrayType(stringType()).optional(),
    aliasAssigned: booleanType(),
    bootedAt: numberType(),
    buildingAt: numberType(),
    buildContainerFinishedAt: numberType().optional(),
    buildSkipped: booleanType(),
    creator: lazyType(() => Creator$outboundSchema),
    initReadyAt: numberType().optional(),
    isFirstBranchDeployment: booleanType().optional(),
    lambdas: arrayType(lazyType(() => Lambdas$outboundSchema)).optional(),
    public: booleanType(),
    ready: numberType().optional(),
    status: CreateDeploymentStatus$outboundSchema,
    team: lazyType(() => CreateDeploymentTeam$outboundSchema).optional(),
    userAliases: arrayType(stringType()).optional(),
    previewCommentsEnabled: booleanType().optional(),
    ttyBuildLogs: booleanType().optional(),
    customEnvironment: unionType([
      lazyType(() => CustomEnvironment2$outboundSchema),
      lazyType(() => CustomEnvironment1$outboundSchema)
    ]).optional(),
    type: CreateDeploymentType$outboundSchema,
    name: stringType(),
    createdAt: numberType(),
    deletedAt: nullableType(numberType()).optional(),
    id: stringType(),
    version: numberType(),
    autoAssignCustomDomains: booleanType().optional(),
    gitSource: unionType([
      lazyType(() => CreateDeploymentGitSource8$outboundSchema),
      lazyType(() => CreateDeploymentGitSource11$outboundSchema),
      lazyType(() => CreateDeploymentGitSource1$outboundSchema),
      lazyType(() => CreateDeploymentGitSource5$outboundSchema),
      lazyType(() => CreateDeploymentGitSource2$outboundSchema),
      lazyType(() => CreateDeploymentGitSource3$outboundSchema),
      lazyType(() => CreateDeploymentGitSource6$outboundSchema),
      lazyType(() => CreateDeploymentGitSource7$outboundSchema),
      lazyType(() => CreateDeploymentGitSource9$outboundSchema),
      lazyType(() => CreateDeploymentGitSource4$outboundSchema),
      lazyType(() => CreateDeploymentGitSource10$outboundSchema),
      lazyType(() => CreateDeploymentGitSource12$outboundSchema)
    ]).optional(),
    meta: recordType(stringType()),
    project: lazyType(() => CreateDeploymentProject$outboundSchema).optional(),
    readyState: ReadyState$outboundSchema,
    source: CreateDeploymentSource$outboundSchema.optional(),
    target: nullableType(CreateDeploymentTarget$outboundSchema).optional(),
    passiveRegions: arrayType(stringType()).optional(),
    regions: arrayType(stringType()),
    errorMessage: nullableType(stringType()).optional(),
    aliasWarning: nullableType(lazyType(() => AliasWarning$outboundSchema)).optional(),
    aliasError: nullableType(lazyType(() => AliasError$outboundSchema)).optional(),
    aliasFinal: nullableType(stringType()).optional(),
    automaticAliases: arrayType(stringType()).optional(),
    buildErrorAt: numberType().optional(),
    checksState: ChecksState$outboundSchema.optional(),
    checksConclusion: ChecksConclusion$outboundSchema.optional(),
    defaultRoute: stringType().optional(),
    canceledAt: numberType().optional(),
    errorCode: stringType().optional(),
    errorLink: stringType().optional(),
    errorStep: stringType().optional(),
    originCacheRegion: stringType().optional(),
    readySubstate: ReadySubstate$outboundSchema.optional(),
    softDeletedByRetention: booleanType().optional(),
    undeletedAt: numberType().optional(),
    url: stringType(),
    oidcTokenClaims: lazyType(() => OidcTokenClaims$outboundSchema).optional(),
    plan: CreateDeploymentPlan$outboundSchema,
    projectId: stringType(),
    ownerId: stringType(),
    microfrontends: unionType([
      lazyType(() => CreateDeploymentMicrofrontends1$outboundSchema),
      lazyType(() => CreateDeploymentMicrofrontends2$outboundSchema)
    ]).optional(),
    monorepoManager: nullableType(stringType()).optional(),
    config: lazyType(() => Config$outboundSchema).optional(),
    functions: nullableType(recordType(lazyType(() => Functions$outboundSchema))).optional(),
    routes: nullableType(arrayType(unionType([
      lazyType(() => Routes3$outboundSchema),
      lazyType(() => Routes2$outboundSchema),
      lazyType(() => Routes1$outboundSchema)
    ]))),
    crons: arrayType(lazyType(() => CreateDeploymentCrons$outboundSchema)).optional(),
    connectBuildsEnabled: booleanType().optional(),
    connectConfigurationId: stringType().optional(),
    createdIn: stringType(),
    passiveConnectConfigurationId: stringType().optional(),
    gitRepo: nullableType(unionType([
      lazyType(() => GitRepo1$outboundSchema),
      lazyType(() => GitRepo2$outboundSchema),
      lazyType(() => GitRepo3$outboundSchema)
    ])).optional(),
    flags: unionType([
      lazyType(() => Flags1$outboundSchema),
      arrayType(lazyType(() => Flags2$outboundSchema))
    ]).optional()
  });
  ((CreateDeploymentResponseBody$) => {
    CreateDeploymentResponseBody$.inboundSchema = CreateDeploymentResponseBody$inboundSchema;
    CreateDeploymentResponseBody$.outboundSchema = CreateDeploymentResponseBody$outboundSchema;
  })(CreateDeploymentResponseBody$ ||= {});
});

// src/funcs/deploymentsCreateDeployment.ts
function deploymentsCreateDeployment(client, request, options) {
  return new APIPromise($do40(client, request, options));
}
async function $do40(client, request, options) {
  const parsed = safeParse(request, (value) => CreateDeploymentRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const path = pathToFunc("/v13/deployments")();
  const query = encodeFormQuery({
    forceNew: payload.forceNew,
    skipAutoDetectionConfirmation: payload.skipAutoDetectionConfirmation,
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "createDeployment",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "404", "409", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, CreateDeploymentResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([402, 403, 409, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_deploymentsCreateDeployment = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_createdeploymentop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/deploymentsCreateDeployment.ts
var args39, tool$deploymentsCreateDeployment;
var init_deploymentsCreateDeployment2 = __esm(() => {
  init_deploymentsCreateDeployment();
  init_createdeploymentop();
  init_tools();
  args39 = {
    request: CreateDeploymentRequest$inboundSchema
  };
  tool$deploymentsCreateDeployment = {
    name: "deployments-create-deployment",
    description: `Create a new deployment

Create a new deployment with all the required and intended data. If the deployment is not a git deployment, all files must be provided with the request, either referenced or inlined. Additionally, a deployment id can be specified to redeploy a previous deployment.`,
    args: args39,
    tool: async (client, args40, ctx) => {
      const [result, apiCall] = await deploymentsCreateDeployment(client, args40.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/deletedeploymentop.ts
var DeleteDeploymentState, DeleteDeploymentRequest$inboundSchema, DeleteDeploymentRequest$outboundSchema, DeleteDeploymentRequest$, DeleteDeploymentState$inboundSchema, DeleteDeploymentState$outboundSchema, DeleteDeploymentState$, DeleteDeploymentResponseBody$inboundSchema, DeleteDeploymentResponseBody$outboundSchema, DeleteDeploymentResponseBody$;
var init_deletedeploymentop = __esm(() => {
  init_esm();
  DeleteDeploymentState = {
    Deleted: "DELETED"
  };
  DeleteDeploymentRequest$inboundSchema = objectType({
    id: stringType(),
    url: stringType().optional(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  DeleteDeploymentRequest$outboundSchema = objectType({
    id: stringType(),
    url: stringType().optional(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((DeleteDeploymentRequest$) => {
    DeleteDeploymentRequest$.inboundSchema = DeleteDeploymentRequest$inboundSchema;
    DeleteDeploymentRequest$.outboundSchema = DeleteDeploymentRequest$outboundSchema;
  })(DeleteDeploymentRequest$ ||= {});
  DeleteDeploymentState$inboundSchema = nativeEnumType(DeleteDeploymentState);
  DeleteDeploymentState$outboundSchema = DeleteDeploymentState$inboundSchema;
  ((DeleteDeploymentState$) => {
    DeleteDeploymentState$.inboundSchema = DeleteDeploymentState$inboundSchema;
    DeleteDeploymentState$.outboundSchema = DeleteDeploymentState$outboundSchema;
  })(DeleteDeploymentState$ ||= {});
  DeleteDeploymentResponseBody$inboundSchema = objectType({
    uid: stringType(),
    state: DeleteDeploymentState$inboundSchema
  });
  DeleteDeploymentResponseBody$outboundSchema = objectType({
    uid: stringType(),
    state: DeleteDeploymentState$outboundSchema
  });
  ((DeleteDeploymentResponseBody$) => {
    DeleteDeploymentResponseBody$.inboundSchema = DeleteDeploymentResponseBody$inboundSchema;
    DeleteDeploymentResponseBody$.outboundSchema = DeleteDeploymentResponseBody$outboundSchema;
  })(DeleteDeploymentResponseBody$ ||= {});
});

// src/funcs/deploymentsDeleteDeployment.ts
function deploymentsDeleteDeployment(client, request, options) {
  return new APIPromise($do41(client, request, options));
}
async function $do41(client, request, options) {
  const parsed = safeParse(request, (value) => DeleteDeploymentRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    id: encodeSimple("id", payload.id, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v13/deployments/{id}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId,
    url: payload.url
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "deleteDeployment",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "DELETE",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, DeleteDeploymentResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_deploymentsDeleteDeployment = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_deletedeploymentop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/deploymentsDeleteDeployment.ts
var args40, tool$deploymentsDeleteDeployment;
var init_deploymentsDeleteDeployment2 = __esm(() => {
  init_deploymentsDeleteDeployment();
  init_deletedeploymentop();
  init_tools();
  args40 = {
    request: DeleteDeploymentRequest$inboundSchema
  };
  tool$deploymentsDeleteDeployment = {
    name: "deployments-delete-deployment",
    description: `Delete a Deployment

This API allows you to delete a deployment, either by supplying its \`id\` in the URL or the \`url\` of the deployment as a query parameter. You can obtain the ID, for example, by listing all deployments.`,
    args: args40,
    tool: async (client, args41, ctx) => {
      const [result, apiCall] = await deploymentsDeleteDeployment(client, args41.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/getdeploymentop.ts
var GetDeploymentResponseBodyDeploymentsReadyState, GetDeploymentResponseBodyStatus, GetDeploymentCustomEnvironmentType, GetDeploymentCustomEnvironmentDeploymentsResponseType, GetDeploymentResponseBodyDeploymentsType, GetDeploymentResponseBodyReadyState, GetDeploymentResponseBodyChecksState, GetDeploymentResponseBodyChecksConclusion, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody212Type, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody211Type, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody210Type, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody29Type, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody28Type, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody27Type, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody26Type, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody25Type, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody24Type, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody23Type, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody22Type, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody2Type, GetDeploymentResponseBodyReadySubstate, GetDeploymentResponseBodySource, GetDeploymentResponseBodyTarget, ResponseBodyFramework, GetDeploymentResponseBodyDeploymentsStatus, ResponseBodyProtocol, ResponseBodyFormats, ResponseBodyContentDispositionType, GetDeploymentResponseBodyDeploymentsResponseReadyState, ResponseBodyStatus, GetDeploymentCustomEnvironmentDeploymentsType, GetDeploymentCustomEnvironmentDeploymentsResponse200Type, GetDeploymentResponseBodyType, ResponseBodyReadyState, ResponseBodyChecksState, ResponseBodyChecksConclusion, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody112Type, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody111Type, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody110Type, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody19Type, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody1Type, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONType, GetDeploymentGitSourceDeploymentsResponse200Type, GetDeploymentGitSourceDeploymentsResponseType, GetDeploymentGitSourceDeploymentsType, GetDeploymentGitSourceType, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type, ResponseBodyReadySubstate, ResponseBodySource, ResponseBodyTarget, ResponseBodyPlan, GetDeploymentRoutesHandle, GetDeploymentHasType, GetDeploymentHasDeploymentsType, GetDeploymentMissingType, GetDeploymentMissingDeploymentsType, GetDeploymentGitRepoDeploymentsType, GetDeploymentGitRepoOwnerType, GetDeploymentGitRepoType, GetDeploymentGitRepoDeploymentsResponseOwnerType, GetDeploymentGitRepoDeploymentsResponseType, GetDeploymentGitRepoDeploymentsOwnerType, ResponseBodyFunctionType, ResponseBodyFunctionMemoryType, GetDeploymentRequest$inboundSchema, GetDeploymentRequest$outboundSchema, GetDeploymentRequest$, GetDeploymentResponseBodyCreator$inboundSchema, GetDeploymentResponseBodyCreator$outboundSchema, GetDeploymentResponseBodyCreator$, GetDeploymentResponseBodyDeploymentsReadyState$inboundSchema, GetDeploymentResponseBodyDeploymentsReadyState$outboundSchema, GetDeploymentResponseBodyDeploymentsReadyState$, GetDeploymentResponseBodyOutput$inboundSchema, GetDeploymentResponseBodyOutput$outboundSchema, GetDeploymentResponseBodyOutput$, ResponseBodyLambdas$inboundSchema, ResponseBodyLambdas$outboundSchema, ResponseBodyLambdas$, GetDeploymentResponseBodyStatus$inboundSchema, GetDeploymentResponseBodyStatus$outboundSchema, GetDeploymentResponseBodyStatus$, ResponseBodyTeam$inboundSchema, ResponseBodyTeam$outboundSchema, ResponseBodyTeam$, GetDeploymentCustomEnvironment2$inboundSchema, GetDeploymentCustomEnvironment2$outboundSchema, GetDeploymentCustomEnvironment2$, GetDeploymentCustomEnvironmentType$inboundSchema, GetDeploymentCustomEnvironmentType$outboundSchema, GetDeploymentCustomEnvironmentType$, GetDeploymentCustomEnvironmentDeploymentsResponseType$inboundSchema, GetDeploymentCustomEnvironmentDeploymentsResponseType$outboundSchema, GetDeploymentCustomEnvironmentDeploymentsResponseType$, GetDeploymentCustomEnvironmentBranchMatcher$inboundSchema, GetDeploymentCustomEnvironmentBranchMatcher$outboundSchema, GetDeploymentCustomEnvironmentBranchMatcher$, GetDeploymentCustomEnvironmentVerification$inboundSchema, GetDeploymentCustomEnvironmentVerification$outboundSchema, GetDeploymentCustomEnvironmentVerification$, GetDeploymentCustomEnvironmentDomains$inboundSchema, GetDeploymentCustomEnvironmentDomains$outboundSchema, GetDeploymentCustomEnvironmentDomains$, GetDeploymentCustomEnvironment1$inboundSchema, GetDeploymentCustomEnvironment1$outboundSchema, GetDeploymentCustomEnvironment1$, ResponseBodyCustomEnvironment$inboundSchema, ResponseBodyCustomEnvironment$outboundSchema, ResponseBodyCustomEnvironment$, ResponseBodyAliasWarning$inboundSchema, ResponseBodyAliasWarning$outboundSchema, ResponseBodyAliasWarning$, GetDeploymentResponseBodyDeploymentsType$inboundSchema, GetDeploymentResponseBodyDeploymentsType$outboundSchema, GetDeploymentResponseBodyDeploymentsType$, GetDeploymentResponseBodyReadyState$inboundSchema, GetDeploymentResponseBodyReadyState$outboundSchema, GetDeploymentResponseBodyReadyState$, GetDeploymentResponseBodyAliasError$inboundSchema, GetDeploymentResponseBodyAliasError$outboundSchema, GetDeploymentResponseBodyAliasError$, GetDeploymentResponseBodyChecksState$inboundSchema, GetDeploymentResponseBodyChecksState$outboundSchema, GetDeploymentResponseBodyChecksState$, GetDeploymentResponseBodyChecksConclusion$inboundSchema, GetDeploymentResponseBodyChecksConclusion$outboundSchema, GetDeploymentResponseBodyChecksConclusion$, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody212Type$inboundSchema, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody212Type$outboundSchema, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody212Type$, GetDeploymentGitSource12$inboundSchema, GetDeploymentGitSource12$outboundSchema, GetDeploymentGitSource12$, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody211Type$inboundSchema, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody211Type$outboundSchema, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody211Type$, GetDeploymentGitSource11$inboundSchema, GetDeploymentGitSource11$outboundSchema, GetDeploymentGitSource11$, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody210Type$inboundSchema, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody210Type$outboundSchema, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody210Type$, GetDeploymentGitSource10$inboundSchema, GetDeploymentGitSource10$outboundSchema, GetDeploymentGitSource10$, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody29Type$inboundSchema, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody29Type$outboundSchema, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody29Type$, GetDeploymentGitSource9$inboundSchema, GetDeploymentGitSource9$outboundSchema, GetDeploymentGitSource9$, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody28Type$inboundSchema, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody28Type$outboundSchema, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody28Type$, GetDeploymentGitSource8$inboundSchema, GetDeploymentGitSource8$outboundSchema, GetDeploymentGitSource8$, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody27Type$inboundSchema, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody27Type$outboundSchema, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody27Type$, GetDeploymentGitSource7$inboundSchema, GetDeploymentGitSource7$outboundSchema, GetDeploymentGitSource7$, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody26Type$inboundSchema, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody26Type$outboundSchema, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody26Type$, GetDeploymentGitSource6$inboundSchema, GetDeploymentGitSource6$outboundSchema, GetDeploymentGitSource6$, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody25Type$inboundSchema, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody25Type$outboundSchema, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody25Type$, GetDeploymentGitSourceDeploymentsProjectId$inboundSchema, GetDeploymentGitSourceDeploymentsProjectId$outboundSchema, GetDeploymentGitSourceDeploymentsProjectId$, GetDeploymentGitSource5$inboundSchema, GetDeploymentGitSource5$outboundSchema, GetDeploymentGitSource5$, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody24Type$inboundSchema, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody24Type$outboundSchema, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody24Type$, GetDeploymentGitSource4$inboundSchema, GetDeploymentGitSource4$outboundSchema, GetDeploymentGitSource4$, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody23Type$inboundSchema, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody23Type$outboundSchema, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody23Type$, GetDeploymentGitSourceDeploymentsRepoId$inboundSchema, GetDeploymentGitSourceDeploymentsRepoId$outboundSchema, GetDeploymentGitSourceDeploymentsRepoId$, GetDeploymentGitSource3$inboundSchema, GetDeploymentGitSource3$outboundSchema, GetDeploymentGitSource3$, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody22Type$inboundSchema, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody22Type$outboundSchema, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody22Type$, GetDeploymentGitSource2$inboundSchema, GetDeploymentGitSource2$outboundSchema, GetDeploymentGitSource2$, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody2Type$inboundSchema, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody2Type$outboundSchema, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody2Type$, GetDeploymentGitSourceRepoId$inboundSchema, GetDeploymentGitSourceRepoId$outboundSchema, GetDeploymentGitSourceRepoId$, GetDeploymentGitSource1$inboundSchema, GetDeploymentGitSource1$outboundSchema, GetDeploymentGitSource1$, ResponseBodyGitSource$inboundSchema, ResponseBodyGitSource$outboundSchema, ResponseBodyGitSource$, GetDeploymentResponseBodyProject$inboundSchema, GetDeploymentResponseBodyProject$outboundSchema, GetDeploymentResponseBodyProject$, GetDeploymentResponseBodyReadySubstate$inboundSchema, GetDeploymentResponseBodyReadySubstate$outboundSchema, GetDeploymentResponseBodyReadySubstate$, GetDeploymentResponseBodySource$inboundSchema, GetDeploymentResponseBodySource$outboundSchema, GetDeploymentResponseBodySource$, GetDeploymentResponseBodyTarget$inboundSchema, GetDeploymentResponseBodyTarget$outboundSchema, GetDeploymentResponseBodyTarget$, GetDeploymentResponseBodyOidcTokenClaims$inboundSchema, GetDeploymentResponseBodyOidcTokenClaims$outboundSchema, GetDeploymentResponseBodyOidcTokenClaims$, GetDeploymentResponseBody2$inboundSchema, GetDeploymentResponseBody2$outboundSchema, GetDeploymentResponseBody2$, ResponseBodyAliasAssignedAt$inboundSchema, ResponseBodyAliasAssignedAt$outboundSchema, ResponseBodyAliasAssignedAt$, ResponseBodyBuild$inboundSchema, ResponseBodyBuild$outboundSchema, ResponseBodyBuild$, ResponseBodyBuilds$inboundSchema, ResponseBodyBuilds$outboundSchema, ResponseBodyBuilds$, ResponseBodyFramework$inboundSchema, ResponseBodyFramework$outboundSchema, ResponseBodyFramework$, ResponseBodySpeedInsights$inboundSchema, ResponseBodySpeedInsights$outboundSchema, ResponseBodySpeedInsights$, ResponseBodyWebAnalytics$inboundSchema, ResponseBodyWebAnalytics$outboundSchema, ResponseBodyWebAnalytics$, ResponseBodyProjectSettings$inboundSchema, ResponseBodyProjectSettings$outboundSchema, ResponseBodyProjectSettings$, GetDeploymentResponseBodyDeploymentsStatus$inboundSchema, GetDeploymentResponseBodyDeploymentsStatus$outboundSchema, GetDeploymentResponseBodyDeploymentsStatus$, ResponseBodyIntegrations$inboundSchema, ResponseBodyIntegrations$outboundSchema, ResponseBodyIntegrations$, ResponseBodyProtocol$inboundSchema, ResponseBodyProtocol$outboundSchema, ResponseBodyProtocol$, ResponseBodyRemotePatterns$inboundSchema, ResponseBodyRemotePatterns$outboundSchema, ResponseBodyRemotePatterns$, ResponseBodyLocalPatterns$inboundSchema, ResponseBodyLocalPatterns$outboundSchema, ResponseBodyLocalPatterns$, ResponseBodyFormats$inboundSchema, ResponseBodyFormats$outboundSchema, ResponseBodyFormats$, ResponseBodyContentDispositionType$inboundSchema, ResponseBodyContentDispositionType$outboundSchema, ResponseBodyContentDispositionType$, ResponseBodyImages$inboundSchema, ResponseBodyImages$outboundSchema, ResponseBodyImages$, ResponseBodyCreator$inboundSchema, ResponseBodyCreator$outboundSchema, ResponseBodyCreator$, GetDeploymentResponseBodyDeploymentsResponseReadyState$inboundSchema, GetDeploymentResponseBodyDeploymentsResponseReadyState$outboundSchema, GetDeploymentResponseBodyDeploymentsResponseReadyState$, ResponseBodyOutput$inboundSchema, ResponseBodyOutput$outboundSchema, ResponseBodyOutput$, GetDeploymentResponseBodyLambdas$inboundSchema, GetDeploymentResponseBodyLambdas$outboundSchema, GetDeploymentResponseBodyLambdas$, ResponseBodyStatus$inboundSchema, ResponseBodyStatus$outboundSchema, ResponseBodyStatus$, GetDeploymentResponseBodyTeam$inboundSchema, GetDeploymentResponseBodyTeam$outboundSchema, GetDeploymentResponseBodyTeam$, GetDeploymentCustomEnvironmentDeployments2$inboundSchema, GetDeploymentCustomEnvironmentDeployments2$outboundSchema, GetDeploymentCustomEnvironmentDeployments2$, GetDeploymentCustomEnvironmentDeploymentsType$inboundSchema, GetDeploymentCustomEnvironmentDeploymentsType$outboundSchema, GetDeploymentCustomEnvironmentDeploymentsType$, GetDeploymentCustomEnvironmentDeploymentsResponse200Type$inboundSchema, GetDeploymentCustomEnvironmentDeploymentsResponse200Type$outboundSchema, GetDeploymentCustomEnvironmentDeploymentsResponse200Type$, GetDeploymentCustomEnvironmentDeploymentsBranchMatcher$inboundSchema, GetDeploymentCustomEnvironmentDeploymentsBranchMatcher$outboundSchema, GetDeploymentCustomEnvironmentDeploymentsBranchMatcher$, GetDeploymentCustomEnvironmentDeploymentsVerification$inboundSchema, GetDeploymentCustomEnvironmentDeploymentsVerification$outboundSchema, GetDeploymentCustomEnvironmentDeploymentsVerification$, GetDeploymentCustomEnvironmentDeploymentsDomains$inboundSchema, GetDeploymentCustomEnvironmentDeploymentsDomains$outboundSchema, GetDeploymentCustomEnvironmentDeploymentsDomains$, GetDeploymentCustomEnvironmentDeployments1$inboundSchema, GetDeploymentCustomEnvironmentDeployments1$outboundSchema, GetDeploymentCustomEnvironmentDeployments1$, GetDeploymentResponseBodyCustomEnvironment$inboundSchema, GetDeploymentResponseBodyCustomEnvironment$outboundSchema, GetDeploymentResponseBodyCustomEnvironment$, GetDeploymentResponseBodyAliasWarning$inboundSchema, GetDeploymentResponseBodyAliasWarning$outboundSchema, GetDeploymentResponseBodyAliasWarning$, GetDeploymentResponseBodyType$inboundSchema, GetDeploymentResponseBodyType$outboundSchema, GetDeploymentResponseBodyType$, ResponseBodyReadyState$inboundSchema, ResponseBodyReadyState$outboundSchema, ResponseBodyReadyState$, ResponseBodyAliasError$inboundSchema, ResponseBodyAliasError$outboundSchema, ResponseBodyAliasError$, ResponseBodyChecksState$inboundSchema, ResponseBodyChecksState$outboundSchema, ResponseBodyChecksState$, ResponseBodyChecksConclusion$inboundSchema, ResponseBodyChecksConclusion$outboundSchema, ResponseBodyChecksConclusion$, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody112Type$inboundSchema, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody112Type$outboundSchema, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody112Type$, GetDeploymentGitSourceDeployments12$inboundSchema, GetDeploymentGitSourceDeployments12$outboundSchema, GetDeploymentGitSourceDeployments12$, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody111Type$inboundSchema, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody111Type$outboundSchema, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody111Type$, GetDeploymentGitSourceDeployments11$inboundSchema, GetDeploymentGitSourceDeployments11$outboundSchema, GetDeploymentGitSourceDeployments11$, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody110Type$inboundSchema, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody110Type$outboundSchema, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody110Type$, GetDeploymentGitSourceDeployments10$inboundSchema, GetDeploymentGitSourceDeployments10$outboundSchema, GetDeploymentGitSourceDeployments10$, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody19Type$inboundSchema, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody19Type$outboundSchema, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody19Type$, GetDeploymentGitSourceDeployments9$inboundSchema, GetDeploymentGitSourceDeployments9$outboundSchema, GetDeploymentGitSourceDeployments9$, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody1Type$inboundSchema, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody1Type$outboundSchema, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody1Type$, GetDeploymentGitSourceDeployments8$inboundSchema, GetDeploymentGitSourceDeployments8$outboundSchema, GetDeploymentGitSourceDeployments8$, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$inboundSchema, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$outboundSchema, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$, GetDeploymentGitSourceDeployments7$inboundSchema, GetDeploymentGitSourceDeployments7$outboundSchema, GetDeploymentGitSourceDeployments7$, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$inboundSchema, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$outboundSchema, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$, GetDeploymentGitSourceDeployments6$inboundSchema, GetDeploymentGitSourceDeployments6$outboundSchema, GetDeploymentGitSourceDeployments6$, GetDeploymentGitSourceDeploymentsResponse200Type$inboundSchema, GetDeploymentGitSourceDeploymentsResponse200Type$outboundSchema, GetDeploymentGitSourceDeploymentsResponse200Type$, GetDeploymentGitSourceProjectId$inboundSchema, GetDeploymentGitSourceProjectId$outboundSchema, GetDeploymentGitSourceProjectId$, GetDeploymentGitSourceDeployments5$inboundSchema, GetDeploymentGitSourceDeployments5$outboundSchema, GetDeploymentGitSourceDeployments5$, GetDeploymentGitSourceDeploymentsResponseType$inboundSchema, GetDeploymentGitSourceDeploymentsResponseType$outboundSchema, GetDeploymentGitSourceDeploymentsResponseType$, GetDeploymentGitSourceDeployments4$inboundSchema, GetDeploymentGitSourceDeployments4$outboundSchema, GetDeploymentGitSourceDeployments4$, GetDeploymentGitSourceDeploymentsType$inboundSchema, GetDeploymentGitSourceDeploymentsType$outboundSchema, GetDeploymentGitSourceDeploymentsType$, GetDeploymentGitSourceDeploymentsResponse200RepoId$inboundSchema, GetDeploymentGitSourceDeploymentsResponse200RepoId$outboundSchema, GetDeploymentGitSourceDeploymentsResponse200RepoId$, GetDeploymentGitSourceDeployments3$inboundSchema, GetDeploymentGitSourceDeployments3$outboundSchema, GetDeploymentGitSourceDeployments3$, GetDeploymentGitSourceType$inboundSchema, GetDeploymentGitSourceType$outboundSchema, GetDeploymentGitSourceType$, GetDeploymentGitSourceDeployments2$inboundSchema, GetDeploymentGitSourceDeployments2$outboundSchema, GetDeploymentGitSourceDeployments2$, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type$inboundSchema, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type$outboundSchema, GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type$, GetDeploymentGitSourceDeploymentsResponseRepoId$inboundSchema, GetDeploymentGitSourceDeploymentsResponseRepoId$outboundSchema, GetDeploymentGitSourceDeploymentsResponseRepoId$, GetDeploymentGitSourceDeployments1$inboundSchema, GetDeploymentGitSourceDeployments1$outboundSchema, GetDeploymentGitSourceDeployments1$, GetDeploymentResponseBodyGitSource$inboundSchema, GetDeploymentResponseBodyGitSource$outboundSchema, GetDeploymentResponseBodyGitSource$, ResponseBodyProject$inboundSchema, ResponseBodyProject$outboundSchema, ResponseBodyProject$, ResponseBodyReadySubstate$inboundSchema, ResponseBodyReadySubstate$outboundSchema, ResponseBodyReadySubstate$, ResponseBodySource$inboundSchema, ResponseBodySource$outboundSchema, ResponseBodySource$, ResponseBodyTarget$inboundSchema, ResponseBodyTarget$outboundSchema, ResponseBodyTarget$, ResponseBodyOidcTokenClaims$inboundSchema, ResponseBodyOidcTokenClaims$outboundSchema, ResponseBodyOidcTokenClaims$, ResponseBodyPlan$inboundSchema, ResponseBodyPlan$outboundSchema, ResponseBodyPlan$, ResponseBodyCrons$inboundSchema, ResponseBodyCrons$outboundSchema, ResponseBodyCrons$, ResponseBodyFunctions$inboundSchema, ResponseBodyFunctions$outboundSchema, ResponseBodyFunctions$, GetDeploymentRoutes3$inboundSchema, GetDeploymentRoutes3$outboundSchema, GetDeploymentRoutes3$, GetDeploymentRoutesHandle$inboundSchema, GetDeploymentRoutesHandle$outboundSchema, GetDeploymentRoutesHandle$, GetDeploymentRoutes2$inboundSchema, GetDeploymentRoutes2$outboundSchema, GetDeploymentRoutes2$, GetDeploymentHasType$inboundSchema, GetDeploymentHasType$outboundSchema, GetDeploymentHasType$, GetDeploymentHas2$inboundSchema, GetDeploymentHas2$outboundSchema, GetDeploymentHas2$, GetDeploymentHasDeploymentsType$inboundSchema, GetDeploymentHasDeploymentsType$outboundSchema, GetDeploymentHasDeploymentsType$, GetDeploymentHas1$inboundSchema, GetDeploymentHas1$outboundSchema, GetDeploymentHas1$, GetDeploymentRoutesHas$inboundSchema, GetDeploymentRoutesHas$outboundSchema, GetDeploymentRoutesHas$, GetDeploymentMissingType$inboundSchema, GetDeploymentMissingType$outboundSchema, GetDeploymentMissingType$, GetDeploymentMissing2$inboundSchema, GetDeploymentMissing2$outboundSchema, GetDeploymentMissing2$, GetDeploymentMissingDeploymentsType$inboundSchema, GetDeploymentMissingDeploymentsType$outboundSchema, GetDeploymentMissingDeploymentsType$, GetDeploymentMissing1$inboundSchema, GetDeploymentMissing1$outboundSchema, GetDeploymentMissing1$, GetDeploymentRoutesMissing$inboundSchema, GetDeploymentRoutesMissing$outboundSchema, GetDeploymentRoutesMissing$, GetDeploymentRoutesLocale$inboundSchema, GetDeploymentRoutesLocale$outboundSchema, GetDeploymentRoutesLocale$, GetDeploymentRoutes1$inboundSchema, GetDeploymentRoutes1$outboundSchema, GetDeploymentRoutes1$, ResponseBodyRoutes$inboundSchema, ResponseBodyRoutes$outboundSchema, ResponseBodyRoutes$, GetDeploymentGitRepoDeploymentsType$inboundSchema, GetDeploymentGitRepoDeploymentsType$outboundSchema, GetDeploymentGitRepoDeploymentsType$, GetDeploymentGitRepoOwnerType$inboundSchema, GetDeploymentGitRepoOwnerType$outboundSchema, GetDeploymentGitRepoOwnerType$, GetDeploymentGitRepo3$inboundSchema, GetDeploymentGitRepo3$outboundSchema, GetDeploymentGitRepo3$, GetDeploymentGitRepoType$inboundSchema, GetDeploymentGitRepoType$outboundSchema, GetDeploymentGitRepoType$, GetDeploymentGitRepoDeploymentsResponseOwnerType$inboundSchema, GetDeploymentGitRepoDeploymentsResponseOwnerType$outboundSchema, GetDeploymentGitRepoDeploymentsResponseOwnerType$, GetDeploymentGitRepo2$inboundSchema, GetDeploymentGitRepo2$outboundSchema, GetDeploymentGitRepo2$, GetDeploymentGitRepoDeploymentsResponseType$inboundSchema, GetDeploymentGitRepoDeploymentsResponseType$outboundSchema, GetDeploymentGitRepoDeploymentsResponseType$, GetDeploymentGitRepoDeploymentsOwnerType$inboundSchema, GetDeploymentGitRepoDeploymentsOwnerType$outboundSchema, GetDeploymentGitRepoDeploymentsOwnerType$, GetDeploymentGitRepo1$inboundSchema, GetDeploymentGitRepo1$outboundSchema, GetDeploymentGitRepo1$, ResponseBodyGitRepo$inboundSchema, ResponseBodyGitRepo$outboundSchema, ResponseBodyGitRepo$, GetDeploymentFlags2$inboundSchema, GetDeploymentFlags2$outboundSchema, GetDeploymentFlags2$, GetDeploymentFlagsOptions$inboundSchema, GetDeploymentFlagsOptions$outboundSchema, GetDeploymentFlagsOptions$, GetDeploymentFlagsDefinitions$inboundSchema, GetDeploymentFlagsDefinitions$outboundSchema, GetDeploymentFlagsDefinitions$, GetDeploymentFlags1$inboundSchema, GetDeploymentFlags1$outboundSchema, GetDeploymentFlags1$, ResponseBodyFlags$inboundSchema, ResponseBodyFlags$outboundSchema, ResponseBodyFlags$, GetDeploymentMicrofrontendsApplications$inboundSchema, GetDeploymentMicrofrontendsApplications$outboundSchema, GetDeploymentMicrofrontendsApplications$, GetDeploymentMicrofrontends2$inboundSchema, GetDeploymentMicrofrontends2$outboundSchema, GetDeploymentMicrofrontends2$, GetDeploymentMicrofrontends1$inboundSchema, GetDeploymentMicrofrontends1$outboundSchema, GetDeploymentMicrofrontends1$, ResponseBodyMicrofrontends$inboundSchema, ResponseBodyMicrofrontends$outboundSchema, ResponseBodyMicrofrontends$, ResponseBodyFunctionType$inboundSchema, ResponseBodyFunctionType$outboundSchema, ResponseBodyFunctionType$, ResponseBodyFunctionMemoryType$inboundSchema, ResponseBodyFunctionMemoryType$outboundSchema, ResponseBodyFunctionMemoryType$, ResponseBodyConfig$inboundSchema, ResponseBodyConfig$outboundSchema, ResponseBodyConfig$, GetDeploymentResponseBody1$inboundSchema, GetDeploymentResponseBody1$outboundSchema, GetDeploymentResponseBody1$, GetDeploymentResponseBody$inboundSchema, GetDeploymentResponseBody$outboundSchema, GetDeploymentResponseBody$;
var init_getdeploymentop = __esm(() => {
  init_esm();
  init_primitives();
  init_flagjsonvalue();
  GetDeploymentResponseBodyDeploymentsReadyState = {
    Building: "BUILDING",
    Error: "ERROR",
    Initializing: "INITIALIZING",
    Ready: "READY"
  };
  GetDeploymentResponseBodyStatus = {
    Queued: "QUEUED",
    Building: "BUILDING",
    Error: "ERROR",
    Initializing: "INITIALIZING",
    Ready: "READY",
    Canceled: "CANCELED"
  };
  GetDeploymentCustomEnvironmentType = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  GetDeploymentCustomEnvironmentDeploymentsResponseType = {
    StartsWith: "startsWith",
    Equals: "equals",
    EndsWith: "endsWith"
  };
  GetDeploymentResponseBodyDeploymentsType = {
    Lambdas: "LAMBDAS"
  };
  GetDeploymentResponseBodyReadyState = {
    Queued: "QUEUED",
    Building: "BUILDING",
    Error: "ERROR",
    Initializing: "INITIALIZING",
    Ready: "READY",
    Canceled: "CANCELED"
  };
  GetDeploymentResponseBodyChecksState = {
    Registered: "registered",
    Running: "running",
    Completed: "completed"
  };
  GetDeploymentResponseBodyChecksConclusion = {
    Succeeded: "succeeded",
    Failed: "failed",
    Skipped: "skipped",
    Canceled: "canceled"
  };
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody212Type = {
    Bitbucket: "bitbucket"
  };
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody211Type = {
    Gitlab: "gitlab"
  };
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody210Type = {
    GithubCustomHost: "github-custom-host"
  };
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody29Type = {
    Github: "github"
  };
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody28Type = {
    Custom: "custom"
  };
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody27Type = {
    Bitbucket: "bitbucket"
  };
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody26Type = {
    Bitbucket: "bitbucket"
  };
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody25Type = {
    Gitlab: "gitlab"
  };
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody24Type = {
    GithubCustomHost: "github-custom-host"
  };
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody23Type = {
    GithubCustomHost: "github-custom-host"
  };
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody22Type = {
    Github: "github"
  };
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody2Type = {
    Github: "github"
  };
  GetDeploymentResponseBodyReadySubstate = {
    Staged: "STAGED",
    Rolling: "ROLLING",
    Promoted: "PROMOTED"
  };
  GetDeploymentResponseBodySource = {
    ApiTriggerGitDeploy: "api-trigger-git-deploy",
    Cli: "cli",
    CloneRepo: "clone/repo",
    Git: "git",
    Import: "import",
    ImportRepo: "import/repo",
    Redeploy: "redeploy",
    V0Web: "v0-web"
  };
  GetDeploymentResponseBodyTarget = {
    Staging: "staging",
    Production: "production"
  };
  ResponseBodyFramework = {
    Blitzjs: "blitzjs",
    Nextjs: "nextjs",
    Gatsby: "gatsby",
    Remix: "remix",
    ReactRouter: "react-router",
    Astro: "astro",
    Hexo: "hexo",
    Eleventy: "eleventy",
    Docusaurus2: "docusaurus-2",
    Docusaurus: "docusaurus",
    Preact: "preact",
    Solidstart1: "solidstart-1",
    Solidstart: "solidstart",
    Dojo: "dojo",
    Ember: "ember",
    Vue: "vue",
    Scully: "scully",
    IonicAngular: "ionic-angular",
    Angular: "angular",
    Polymer: "polymer",
    Svelte: "svelte",
    Sveltekit: "sveltekit",
    Sveltekit1: "sveltekit-1",
    IonicReact: "ionic-react",
    CreateReactApp: "create-react-app",
    Gridsome: "gridsome",
    Umijs: "umijs",
    Sapper: "sapper",
    Saber: "saber",
    Stencil: "stencil",
    Nuxtjs: "nuxtjs",
    Redwoodjs: "redwoodjs",
    Hugo: "hugo",
    Jekyll: "jekyll",
    Brunch: "brunch",
    Middleman: "middleman",
    Zola: "zola",
    Hydrogen: "hydrogen",
    Vite: "vite",
    Vitepress: "vitepress",
    Vuepress: "vuepress",
    Parcel: "parcel",
    Fasthtml: "fasthtml",
    SanityV3: "sanity-v3",
    Sanity: "sanity",
    Storybook: "storybook"
  };
  GetDeploymentResponseBodyDeploymentsStatus = {
    Error: "error",
    Skipped: "skipped",
    Pending: "pending",
    Ready: "ready",
    Timeout: "timeout"
  };
  ResponseBodyProtocol = {
    Http: "http",
    Https: "https"
  };
  ResponseBodyFormats = {
    ImageAvif: "image/avif",
    ImageWebp: "image/webp"
  };
  ResponseBodyContentDispositionType = {
    Inline: "inline",
    Attachment: "attachment"
  };
  GetDeploymentResponseBodyDeploymentsResponseReadyState = {
    Building: "BUILDING",
    Error: "ERROR",
    Initializing: "INITIALIZING",
    Ready: "READY"
  };
  ResponseBodyStatus = {
    Queued: "QUEUED",
    Building: "BUILDING",
    Error: "ERROR",
    Initializing: "INITIALIZING",
    Ready: "READY",
    Canceled: "CANCELED"
  };
  GetDeploymentCustomEnvironmentDeploymentsType = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  GetDeploymentCustomEnvironmentDeploymentsResponse200Type = {
    StartsWith: "startsWith",
    Equals: "equals",
    EndsWith: "endsWith"
  };
  GetDeploymentResponseBodyType = {
    Lambdas: "LAMBDAS"
  };
  ResponseBodyReadyState = {
    Queued: "QUEUED",
    Building: "BUILDING",
    Error: "ERROR",
    Initializing: "INITIALIZING",
    Ready: "READY",
    Canceled: "CANCELED"
  };
  ResponseBodyChecksState = {
    Registered: "registered",
    Running: "running",
    Completed: "completed"
  };
  ResponseBodyChecksConclusion = {
    Succeeded: "succeeded",
    Failed: "failed",
    Skipped: "skipped",
    Canceled: "canceled"
  };
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody112Type = {
    Bitbucket: "bitbucket"
  };
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody111Type = {
    Gitlab: "gitlab"
  };
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody110Type = {
    GithubCustomHost: "github-custom-host"
  };
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody19Type = {
    Github: "github"
  };
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody1Type = {
    Custom: "custom"
  };
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType = {
    Bitbucket: "bitbucket"
  };
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONType = {
    Bitbucket: "bitbucket"
  };
  GetDeploymentGitSourceDeploymentsResponse200Type = {
    Gitlab: "gitlab"
  };
  GetDeploymentGitSourceDeploymentsResponseType = {
    GithubCustomHost: "github-custom-host"
  };
  GetDeploymentGitSourceDeploymentsType = {
    GithubCustomHost: "github-custom-host"
  };
  GetDeploymentGitSourceType = {
    Github: "github"
  };
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type = {
    Github: "github"
  };
  ResponseBodyReadySubstate = {
    Staged: "STAGED",
    Rolling: "ROLLING",
    Promoted: "PROMOTED"
  };
  ResponseBodySource = {
    ApiTriggerGitDeploy: "api-trigger-git-deploy",
    Cli: "cli",
    CloneRepo: "clone/repo",
    Git: "git",
    Import: "import",
    ImportRepo: "import/repo",
    Redeploy: "redeploy",
    V0Web: "v0-web"
  };
  ResponseBodyTarget = {
    Staging: "staging",
    Production: "production"
  };
  ResponseBodyPlan = {
    Pro: "pro",
    Enterprise: "enterprise",
    Hobby: "hobby"
  };
  GetDeploymentRoutesHandle = {
    Error: "error",
    Filesystem: "filesystem",
    Hit: "hit",
    Miss: "miss",
    Rewrite: "rewrite",
    Resource: "resource"
  };
  GetDeploymentHasType = {
    Header: "header",
    Cookie: "cookie",
    Query: "query"
  };
  GetDeploymentHasDeploymentsType = {
    Host: "host"
  };
  GetDeploymentMissingType = {
    Header: "header",
    Cookie: "cookie",
    Query: "query"
  };
  GetDeploymentMissingDeploymentsType = {
    Host: "host"
  };
  GetDeploymentGitRepoDeploymentsType = {
    Bitbucket: "bitbucket"
  };
  GetDeploymentGitRepoOwnerType = {
    Team: "team",
    User: "user"
  };
  GetDeploymentGitRepoType = {
    Github: "github"
  };
  GetDeploymentGitRepoDeploymentsResponseOwnerType = {
    Team: "team",
    User: "user"
  };
  GetDeploymentGitRepoDeploymentsResponseType = {
    Gitlab: "gitlab"
  };
  GetDeploymentGitRepoDeploymentsOwnerType = {
    Team: "team",
    User: "user"
  };
  ResponseBodyFunctionType = {
    Fluid: "fluid",
    Standard: "standard"
  };
  ResponseBodyFunctionMemoryType = {
    Standard: "standard",
    StandardLegacy: "standard_legacy",
    Performance: "performance"
  };
  GetDeploymentRequest$inboundSchema = objectType({
    idOrUrl: stringType(),
    withGitRepoInfo: stringType().optional(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  GetDeploymentRequest$outboundSchema = objectType({
    idOrUrl: stringType(),
    withGitRepoInfo: stringType().optional(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((GetDeploymentRequest$) => {
    GetDeploymentRequest$.inboundSchema = GetDeploymentRequest$inboundSchema;
    GetDeploymentRequest$.outboundSchema = GetDeploymentRequest$outboundSchema;
  })(GetDeploymentRequest$ ||= {});
  GetDeploymentResponseBodyCreator$inboundSchema = objectType({
    uid: stringType(),
    username: stringType().optional(),
    avatar: stringType().optional()
  });
  GetDeploymentResponseBodyCreator$outboundSchema = objectType({
    uid: stringType(),
    username: stringType().optional(),
    avatar: stringType().optional()
  });
  ((GetDeploymentResponseBodyCreator$) => {
    GetDeploymentResponseBodyCreator$.inboundSchema = GetDeploymentResponseBodyCreator$inboundSchema;
    GetDeploymentResponseBodyCreator$.outboundSchema = GetDeploymentResponseBodyCreator$outboundSchema;
  })(GetDeploymentResponseBodyCreator$ ||= {});
  GetDeploymentResponseBodyDeploymentsReadyState$inboundSchema = nativeEnumType(GetDeploymentResponseBodyDeploymentsReadyState);
  GetDeploymentResponseBodyDeploymentsReadyState$outboundSchema = GetDeploymentResponseBodyDeploymentsReadyState$inboundSchema;
  ((GetDeploymentResponseBodyDeploymentsReadyState$) => {
    GetDeploymentResponseBodyDeploymentsReadyState$.inboundSchema = GetDeploymentResponseBodyDeploymentsReadyState$inboundSchema;
    GetDeploymentResponseBodyDeploymentsReadyState$.outboundSchema = GetDeploymentResponseBodyDeploymentsReadyState$outboundSchema;
  })(GetDeploymentResponseBodyDeploymentsReadyState$ ||= {});
  GetDeploymentResponseBodyOutput$inboundSchema = objectType({
    path: stringType(),
    functionName: stringType()
  });
  GetDeploymentResponseBodyOutput$outboundSchema = objectType({
    path: stringType(),
    functionName: stringType()
  });
  ((GetDeploymentResponseBodyOutput$) => {
    GetDeploymentResponseBodyOutput$.inboundSchema = GetDeploymentResponseBodyOutput$inboundSchema;
    GetDeploymentResponseBodyOutput$.outboundSchema = GetDeploymentResponseBodyOutput$outboundSchema;
  })(GetDeploymentResponseBodyOutput$ ||= {});
  ResponseBodyLambdas$inboundSchema = objectType({
    id: stringType().optional(),
    createdAt: numberType().optional(),
    entrypoint: nullableType(stringType()).optional(),
    readyState: GetDeploymentResponseBodyDeploymentsReadyState$inboundSchema.optional(),
    readyStateAt: numberType().optional(),
    output: arrayType(lazyType(() => GetDeploymentResponseBodyOutput$inboundSchema))
  });
  ResponseBodyLambdas$outboundSchema = objectType({
    id: stringType().optional(),
    createdAt: numberType().optional(),
    entrypoint: nullableType(stringType()).optional(),
    readyState: GetDeploymentResponseBodyDeploymentsReadyState$outboundSchema.optional(),
    readyStateAt: numberType().optional(),
    output: arrayType(lazyType(() => GetDeploymentResponseBodyOutput$outboundSchema))
  });
  ((ResponseBodyLambdas$) => {
    ResponseBodyLambdas$.inboundSchema = ResponseBodyLambdas$inboundSchema;
    ResponseBodyLambdas$.outboundSchema = ResponseBodyLambdas$outboundSchema;
  })(ResponseBodyLambdas$ ||= {});
  GetDeploymentResponseBodyStatus$inboundSchema = nativeEnumType(GetDeploymentResponseBodyStatus);
  GetDeploymentResponseBodyStatus$outboundSchema = GetDeploymentResponseBodyStatus$inboundSchema;
  ((GetDeploymentResponseBodyStatus$) => {
    GetDeploymentResponseBodyStatus$.inboundSchema = GetDeploymentResponseBodyStatus$inboundSchema;
    GetDeploymentResponseBodyStatus$.outboundSchema = GetDeploymentResponseBodyStatus$outboundSchema;
  })(GetDeploymentResponseBodyStatus$ ||= {});
  ResponseBodyTeam$inboundSchema = objectType({
    id: stringType(),
    name: stringType(),
    slug: stringType(),
    avatar: stringType().optional()
  });
  ResponseBodyTeam$outboundSchema = objectType({
    id: stringType(),
    name: stringType(),
    slug: stringType(),
    avatar: stringType().optional()
  });
  ((ResponseBodyTeam$) => {
    ResponseBodyTeam$.inboundSchema = ResponseBodyTeam$inboundSchema;
    ResponseBodyTeam$.outboundSchema = ResponseBodyTeam$outboundSchema;
  })(ResponseBodyTeam$ ||= {});
  GetDeploymentCustomEnvironment2$inboundSchema = objectType({
    id: stringType()
  });
  GetDeploymentCustomEnvironment2$outboundSchema = objectType({
    id: stringType()
  });
  ((GetDeploymentCustomEnvironment2$) => {
    GetDeploymentCustomEnvironment2$.inboundSchema = GetDeploymentCustomEnvironment2$inboundSchema;
    GetDeploymentCustomEnvironment2$.outboundSchema = GetDeploymentCustomEnvironment2$outboundSchema;
  })(GetDeploymentCustomEnvironment2$ ||= {});
  GetDeploymentCustomEnvironmentType$inboundSchema = nativeEnumType(GetDeploymentCustomEnvironmentType);
  GetDeploymentCustomEnvironmentType$outboundSchema = GetDeploymentCustomEnvironmentType$inboundSchema;
  ((GetDeploymentCustomEnvironmentType$) => {
    GetDeploymentCustomEnvironmentType$.inboundSchema = GetDeploymentCustomEnvironmentType$inboundSchema;
    GetDeploymentCustomEnvironmentType$.outboundSchema = GetDeploymentCustomEnvironmentType$outboundSchema;
  })(GetDeploymentCustomEnvironmentType$ ||= {});
  GetDeploymentCustomEnvironmentDeploymentsResponseType$inboundSchema = nativeEnumType(GetDeploymentCustomEnvironmentDeploymentsResponseType);
  GetDeploymentCustomEnvironmentDeploymentsResponseType$outboundSchema = GetDeploymentCustomEnvironmentDeploymentsResponseType$inboundSchema;
  ((GetDeploymentCustomEnvironmentDeploymentsResponseType$) => {
    GetDeploymentCustomEnvironmentDeploymentsResponseType$.inboundSchema = GetDeploymentCustomEnvironmentDeploymentsResponseType$inboundSchema;
    GetDeploymentCustomEnvironmentDeploymentsResponseType$.outboundSchema = GetDeploymentCustomEnvironmentDeploymentsResponseType$outboundSchema;
  })(GetDeploymentCustomEnvironmentDeploymentsResponseType$ ||= {});
  GetDeploymentCustomEnvironmentBranchMatcher$inboundSchema = objectType({
    type: GetDeploymentCustomEnvironmentDeploymentsResponseType$inboundSchema,
    pattern: stringType()
  });
  GetDeploymentCustomEnvironmentBranchMatcher$outboundSchema = objectType({
    type: GetDeploymentCustomEnvironmentDeploymentsResponseType$outboundSchema,
    pattern: stringType()
  });
  ((GetDeploymentCustomEnvironmentBranchMatcher$) => {
    GetDeploymentCustomEnvironmentBranchMatcher$.inboundSchema = GetDeploymentCustomEnvironmentBranchMatcher$inboundSchema;
    GetDeploymentCustomEnvironmentBranchMatcher$.outboundSchema = GetDeploymentCustomEnvironmentBranchMatcher$outboundSchema;
  })(GetDeploymentCustomEnvironmentBranchMatcher$ ||= {});
  GetDeploymentCustomEnvironmentVerification$inboundSchema = objectType({
    type: stringType(),
    domain: stringType(),
    value: stringType(),
    reason: stringType()
  });
  GetDeploymentCustomEnvironmentVerification$outboundSchema = objectType({
    type: stringType(),
    domain: stringType(),
    value: stringType(),
    reason: stringType()
  });
  ((GetDeploymentCustomEnvironmentVerification$) => {
    GetDeploymentCustomEnvironmentVerification$.inboundSchema = GetDeploymentCustomEnvironmentVerification$inboundSchema;
    GetDeploymentCustomEnvironmentVerification$.outboundSchema = GetDeploymentCustomEnvironmentVerification$outboundSchema;
  })(GetDeploymentCustomEnvironmentVerification$ ||= {});
  GetDeploymentCustomEnvironmentDomains$inboundSchema = objectType({
    name: stringType(),
    apexName: stringType(),
    projectId: stringType(),
    redirect: nullableType(stringType()).optional(),
    redirectStatusCode: nullableType(numberType()).optional(),
    gitBranch: nullableType(stringType()).optional(),
    customEnvironmentId: nullableType(stringType()).optional(),
    updatedAt: numberType().optional(),
    createdAt: numberType().optional(),
    verified: booleanType(),
    verification: arrayType(lazyType(() => GetDeploymentCustomEnvironmentVerification$inboundSchema)).optional()
  });
  GetDeploymentCustomEnvironmentDomains$outboundSchema = objectType({
    name: stringType(),
    apexName: stringType(),
    projectId: stringType(),
    redirect: nullableType(stringType()).optional(),
    redirectStatusCode: nullableType(numberType()).optional(),
    gitBranch: nullableType(stringType()).optional(),
    customEnvironmentId: nullableType(stringType()).optional(),
    updatedAt: numberType().optional(),
    createdAt: numberType().optional(),
    verified: booleanType(),
    verification: arrayType(lazyType(() => GetDeploymentCustomEnvironmentVerification$outboundSchema)).optional()
  });
  ((GetDeploymentCustomEnvironmentDomains$) => {
    GetDeploymentCustomEnvironmentDomains$.inboundSchema = GetDeploymentCustomEnvironmentDomains$inboundSchema;
    GetDeploymentCustomEnvironmentDomains$.outboundSchema = GetDeploymentCustomEnvironmentDomains$outboundSchema;
  })(GetDeploymentCustomEnvironmentDomains$ ||= {});
  GetDeploymentCustomEnvironment1$inboundSchema = objectType({
    id: stringType(),
    slug: stringType(),
    type: GetDeploymentCustomEnvironmentType$inboundSchema,
    description: stringType().optional(),
    branchMatcher: lazyType(() => GetDeploymentCustomEnvironmentBranchMatcher$inboundSchema).optional(),
    domains: arrayType(lazyType(() => GetDeploymentCustomEnvironmentDomains$inboundSchema)).optional(),
    currentDeploymentAliases: arrayType(stringType()).optional(),
    createdAt: numberType(),
    updatedAt: numberType()
  });
  GetDeploymentCustomEnvironment1$outboundSchema = objectType({
    id: stringType(),
    slug: stringType(),
    type: GetDeploymentCustomEnvironmentType$outboundSchema,
    description: stringType().optional(),
    branchMatcher: lazyType(() => GetDeploymentCustomEnvironmentBranchMatcher$outboundSchema).optional(),
    domains: arrayType(lazyType(() => GetDeploymentCustomEnvironmentDomains$outboundSchema)).optional(),
    currentDeploymentAliases: arrayType(stringType()).optional(),
    createdAt: numberType(),
    updatedAt: numberType()
  });
  ((GetDeploymentCustomEnvironment1$) => {
    GetDeploymentCustomEnvironment1$.inboundSchema = GetDeploymentCustomEnvironment1$inboundSchema;
    GetDeploymentCustomEnvironment1$.outboundSchema = GetDeploymentCustomEnvironment1$outboundSchema;
  })(GetDeploymentCustomEnvironment1$ ||= {});
  ResponseBodyCustomEnvironment$inboundSchema = unionType([
    lazyType(() => GetDeploymentCustomEnvironment2$inboundSchema),
    lazyType(() => GetDeploymentCustomEnvironment1$inboundSchema)
  ]);
  ResponseBodyCustomEnvironment$outboundSchema = unionType([
    lazyType(() => GetDeploymentCustomEnvironment2$outboundSchema),
    lazyType(() => GetDeploymentCustomEnvironment1$outboundSchema)
  ]);
  ((ResponseBodyCustomEnvironment$) => {
    ResponseBodyCustomEnvironment$.inboundSchema = ResponseBodyCustomEnvironment$inboundSchema;
    ResponseBodyCustomEnvironment$.outboundSchema = ResponseBodyCustomEnvironment$outboundSchema;
  })(ResponseBodyCustomEnvironment$ ||= {});
  ResponseBodyAliasWarning$inboundSchema = objectType({
    code: stringType(),
    message: stringType(),
    link: stringType().optional(),
    action: stringType().optional()
  });
  ResponseBodyAliasWarning$outboundSchema = objectType({
    code: stringType(),
    message: stringType(),
    link: stringType().optional(),
    action: stringType().optional()
  });
  ((ResponseBodyAliasWarning$) => {
    ResponseBodyAliasWarning$.inboundSchema = ResponseBodyAliasWarning$inboundSchema;
    ResponseBodyAliasWarning$.outboundSchema = ResponseBodyAliasWarning$outboundSchema;
  })(ResponseBodyAliasWarning$ ||= {});
  GetDeploymentResponseBodyDeploymentsType$inboundSchema = nativeEnumType(GetDeploymentResponseBodyDeploymentsType);
  GetDeploymentResponseBodyDeploymentsType$outboundSchema = GetDeploymentResponseBodyDeploymentsType$inboundSchema;
  ((GetDeploymentResponseBodyDeploymentsType$) => {
    GetDeploymentResponseBodyDeploymentsType$.inboundSchema = GetDeploymentResponseBodyDeploymentsType$inboundSchema;
    GetDeploymentResponseBodyDeploymentsType$.outboundSchema = GetDeploymentResponseBodyDeploymentsType$outboundSchema;
  })(GetDeploymentResponseBodyDeploymentsType$ ||= {});
  GetDeploymentResponseBodyReadyState$inboundSchema = nativeEnumType(GetDeploymentResponseBodyReadyState);
  GetDeploymentResponseBodyReadyState$outboundSchema = GetDeploymentResponseBodyReadyState$inboundSchema;
  ((GetDeploymentResponseBodyReadyState$) => {
    GetDeploymentResponseBodyReadyState$.inboundSchema = GetDeploymentResponseBodyReadyState$inboundSchema;
    GetDeploymentResponseBodyReadyState$.outboundSchema = GetDeploymentResponseBodyReadyState$outboundSchema;
  })(GetDeploymentResponseBodyReadyState$ ||= {});
  GetDeploymentResponseBodyAliasError$inboundSchema = objectType({
    code: stringType(),
    message: stringType()
  });
  GetDeploymentResponseBodyAliasError$outboundSchema = objectType({
    code: stringType(),
    message: stringType()
  });
  ((GetDeploymentResponseBodyAliasError$) => {
    GetDeploymentResponseBodyAliasError$.inboundSchema = GetDeploymentResponseBodyAliasError$inboundSchema;
    GetDeploymentResponseBodyAliasError$.outboundSchema = GetDeploymentResponseBodyAliasError$outboundSchema;
  })(GetDeploymentResponseBodyAliasError$ ||= {});
  GetDeploymentResponseBodyChecksState$inboundSchema = nativeEnumType(GetDeploymentResponseBodyChecksState);
  GetDeploymentResponseBodyChecksState$outboundSchema = GetDeploymentResponseBodyChecksState$inboundSchema;
  ((GetDeploymentResponseBodyChecksState$) => {
    GetDeploymentResponseBodyChecksState$.inboundSchema = GetDeploymentResponseBodyChecksState$inboundSchema;
    GetDeploymentResponseBodyChecksState$.outboundSchema = GetDeploymentResponseBodyChecksState$outboundSchema;
  })(GetDeploymentResponseBodyChecksState$ ||= {});
  GetDeploymentResponseBodyChecksConclusion$inboundSchema = nativeEnumType(GetDeploymentResponseBodyChecksConclusion);
  GetDeploymentResponseBodyChecksConclusion$outboundSchema = GetDeploymentResponseBodyChecksConclusion$inboundSchema;
  ((GetDeploymentResponseBodyChecksConclusion$) => {
    GetDeploymentResponseBodyChecksConclusion$.inboundSchema = GetDeploymentResponseBodyChecksConclusion$inboundSchema;
    GetDeploymentResponseBodyChecksConclusion$.outboundSchema = GetDeploymentResponseBodyChecksConclusion$outboundSchema;
  })(GetDeploymentResponseBodyChecksConclusion$ ||= {});
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody212Type$inboundSchema = nativeEnumType(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody212Type);
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody212Type$outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody212Type$inboundSchema;
  ((GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody212Type$) => {
    GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody212Type$.inboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody212Type$inboundSchema;
    GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody212Type$.outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody212Type$outboundSchema;
  })(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody212Type$ ||= {});
  GetDeploymentGitSource12$inboundSchema = objectType({
    type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody212Type$inboundSchema,
    ref: stringType(),
    sha: stringType(),
    owner: stringType().optional(),
    slug: stringType().optional(),
    workspaceUuid: stringType(),
    repoUuid: stringType()
  });
  GetDeploymentGitSource12$outboundSchema = objectType({
    type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody212Type$outboundSchema,
    ref: stringType(),
    sha: stringType(),
    owner: stringType().optional(),
    slug: stringType().optional(),
    workspaceUuid: stringType(),
    repoUuid: stringType()
  });
  ((GetDeploymentGitSource12$) => {
    GetDeploymentGitSource12$.inboundSchema = GetDeploymentGitSource12$inboundSchema;
    GetDeploymentGitSource12$.outboundSchema = GetDeploymentGitSource12$outboundSchema;
  })(GetDeploymentGitSource12$ ||= {});
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody211Type$inboundSchema = nativeEnumType(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody211Type);
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody211Type$outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody211Type$inboundSchema;
  ((GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody211Type$) => {
    GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody211Type$.inboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody211Type$inboundSchema;
    GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody211Type$.outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody211Type$outboundSchema;
  })(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody211Type$ ||= {});
  GetDeploymentGitSource11$inboundSchema = objectType({
    type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody211Type$inboundSchema,
    ref: stringType(),
    sha: stringType(),
    projectId: numberType()
  });
  GetDeploymentGitSource11$outboundSchema = objectType({
    type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody211Type$outboundSchema,
    ref: stringType(),
    sha: stringType(),
    projectId: numberType()
  });
  ((GetDeploymentGitSource11$) => {
    GetDeploymentGitSource11$.inboundSchema = GetDeploymentGitSource11$inboundSchema;
    GetDeploymentGitSource11$.outboundSchema = GetDeploymentGitSource11$outboundSchema;
  })(GetDeploymentGitSource11$ ||= {});
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody210Type$inboundSchema = nativeEnumType(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody210Type);
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody210Type$outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody210Type$inboundSchema;
  ((GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody210Type$) => {
    GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody210Type$.inboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody210Type$inboundSchema;
    GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody210Type$.outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody210Type$outboundSchema;
  })(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody210Type$ ||= {});
  GetDeploymentGitSource10$inboundSchema = objectType({
    type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody210Type$inboundSchema,
    host: stringType(),
    ref: stringType(),
    sha: stringType(),
    repoId: numberType(),
    org: stringType().optional(),
    repo: stringType().optional()
  });
  GetDeploymentGitSource10$outboundSchema = objectType({
    type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody210Type$outboundSchema,
    host: stringType(),
    ref: stringType(),
    sha: stringType(),
    repoId: numberType(),
    org: stringType().optional(),
    repo: stringType().optional()
  });
  ((GetDeploymentGitSource10$) => {
    GetDeploymentGitSource10$.inboundSchema = GetDeploymentGitSource10$inboundSchema;
    GetDeploymentGitSource10$.outboundSchema = GetDeploymentGitSource10$outboundSchema;
  })(GetDeploymentGitSource10$ ||= {});
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody29Type$inboundSchema = nativeEnumType(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody29Type);
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody29Type$outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody29Type$inboundSchema;
  ((GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody29Type$) => {
    GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody29Type$.inboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody29Type$inboundSchema;
    GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody29Type$.outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody29Type$outboundSchema;
  })(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody29Type$ ||= {});
  GetDeploymentGitSource9$inboundSchema = objectType({
    type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody29Type$inboundSchema,
    ref: stringType(),
    sha: stringType(),
    repoId: numberType(),
    org: stringType().optional(),
    repo: stringType().optional()
  });
  GetDeploymentGitSource9$outboundSchema = objectType({
    type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody29Type$outboundSchema,
    ref: stringType(),
    sha: stringType(),
    repoId: numberType(),
    org: stringType().optional(),
    repo: stringType().optional()
  });
  ((GetDeploymentGitSource9$) => {
    GetDeploymentGitSource9$.inboundSchema = GetDeploymentGitSource9$inboundSchema;
    GetDeploymentGitSource9$.outboundSchema = GetDeploymentGitSource9$outboundSchema;
  })(GetDeploymentGitSource9$ ||= {});
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody28Type$inboundSchema = nativeEnumType(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody28Type);
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody28Type$outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody28Type$inboundSchema;
  ((GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody28Type$) => {
    GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody28Type$.inboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody28Type$inboundSchema;
    GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody28Type$.outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody28Type$outboundSchema;
  })(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody28Type$ ||= {});
  GetDeploymentGitSource8$inboundSchema = objectType({
    type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody28Type$inboundSchema,
    ref: stringType(),
    sha: stringType(),
    gitUrl: stringType()
  });
  GetDeploymentGitSource8$outboundSchema = objectType({
    type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody28Type$outboundSchema,
    ref: stringType(),
    sha: stringType(),
    gitUrl: stringType()
  });
  ((GetDeploymentGitSource8$) => {
    GetDeploymentGitSource8$.inboundSchema = GetDeploymentGitSource8$inboundSchema;
    GetDeploymentGitSource8$.outboundSchema = GetDeploymentGitSource8$outboundSchema;
  })(GetDeploymentGitSource8$ ||= {});
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody27Type$inboundSchema = nativeEnumType(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody27Type);
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody27Type$outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody27Type$inboundSchema;
  ((GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody27Type$) => {
    GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody27Type$.inboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody27Type$inboundSchema;
    GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody27Type$.outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody27Type$outboundSchema;
  })(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody27Type$ ||= {});
  GetDeploymentGitSource7$inboundSchema = objectType({
    type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody27Type$inboundSchema,
    owner: stringType(),
    slug: stringType(),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  GetDeploymentGitSource7$outboundSchema = objectType({
    type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody27Type$outboundSchema,
    owner: stringType(),
    slug: stringType(),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  ((GetDeploymentGitSource7$) => {
    GetDeploymentGitSource7$.inboundSchema = GetDeploymentGitSource7$inboundSchema;
    GetDeploymentGitSource7$.outboundSchema = GetDeploymentGitSource7$outboundSchema;
  })(GetDeploymentGitSource7$ ||= {});
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody26Type$inboundSchema = nativeEnumType(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody26Type);
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody26Type$outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody26Type$inboundSchema;
  ((GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody26Type$) => {
    GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody26Type$.inboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody26Type$inboundSchema;
    GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody26Type$.outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody26Type$outboundSchema;
  })(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody26Type$ ||= {});
  GetDeploymentGitSource6$inboundSchema = objectType({
    type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody26Type$inboundSchema,
    workspaceUuid: stringType().optional(),
    repoUuid: stringType(),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  GetDeploymentGitSource6$outboundSchema = objectType({
    type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody26Type$outboundSchema,
    workspaceUuid: stringType().optional(),
    repoUuid: stringType(),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  ((GetDeploymentGitSource6$) => {
    GetDeploymentGitSource6$.inboundSchema = GetDeploymentGitSource6$inboundSchema;
    GetDeploymentGitSource6$.outboundSchema = GetDeploymentGitSource6$outboundSchema;
  })(GetDeploymentGitSource6$ ||= {});
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody25Type$inboundSchema = nativeEnumType(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody25Type);
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody25Type$outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody25Type$inboundSchema;
  ((GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody25Type$) => {
    GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody25Type$.inboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody25Type$inboundSchema;
    GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody25Type$.outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody25Type$outboundSchema;
  })(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody25Type$ ||= {});
  GetDeploymentGitSourceDeploymentsProjectId$inboundSchema = unionType([stringType(), numberType()]);
  GetDeploymentGitSourceDeploymentsProjectId$outboundSchema = unionType([stringType(), numberType()]);
  ((GetDeploymentGitSourceDeploymentsProjectId$) => {
    GetDeploymentGitSourceDeploymentsProjectId$.inboundSchema = GetDeploymentGitSourceDeploymentsProjectId$inboundSchema;
    GetDeploymentGitSourceDeploymentsProjectId$.outboundSchema = GetDeploymentGitSourceDeploymentsProjectId$outboundSchema;
  })(GetDeploymentGitSourceDeploymentsProjectId$ ||= {});
  GetDeploymentGitSource5$inboundSchema = objectType({
    type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody25Type$inboundSchema,
    projectId: unionType([stringType(), numberType()]),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  GetDeploymentGitSource5$outboundSchema = objectType({
    type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody25Type$outboundSchema,
    projectId: unionType([stringType(), numberType()]),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  ((GetDeploymentGitSource5$) => {
    GetDeploymentGitSource5$.inboundSchema = GetDeploymentGitSource5$inboundSchema;
    GetDeploymentGitSource5$.outboundSchema = GetDeploymentGitSource5$outboundSchema;
  })(GetDeploymentGitSource5$ ||= {});
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody24Type$inboundSchema = nativeEnumType(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody24Type);
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody24Type$outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody24Type$inboundSchema;
  ((GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody24Type$) => {
    GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody24Type$.inboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody24Type$inboundSchema;
    GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody24Type$.outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody24Type$outboundSchema;
  })(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody24Type$ ||= {});
  GetDeploymentGitSource4$inboundSchema = objectType({
    type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody24Type$inboundSchema,
    host: stringType(),
    org: stringType(),
    repo: stringType(),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  GetDeploymentGitSource4$outboundSchema = objectType({
    type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody24Type$outboundSchema,
    host: stringType(),
    org: stringType(),
    repo: stringType(),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  ((GetDeploymentGitSource4$) => {
    GetDeploymentGitSource4$.inboundSchema = GetDeploymentGitSource4$inboundSchema;
    GetDeploymentGitSource4$.outboundSchema = GetDeploymentGitSource4$outboundSchema;
  })(GetDeploymentGitSource4$ ||= {});
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody23Type$inboundSchema = nativeEnumType(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody23Type);
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody23Type$outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody23Type$inboundSchema;
  ((GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody23Type$) => {
    GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody23Type$.inboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody23Type$inboundSchema;
    GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody23Type$.outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody23Type$outboundSchema;
  })(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody23Type$ ||= {});
  GetDeploymentGitSourceDeploymentsRepoId$inboundSchema = unionType([stringType(), numberType()]);
  GetDeploymentGitSourceDeploymentsRepoId$outboundSchema = unionType([stringType(), numberType()]);
  ((GetDeploymentGitSourceDeploymentsRepoId$) => {
    GetDeploymentGitSourceDeploymentsRepoId$.inboundSchema = GetDeploymentGitSourceDeploymentsRepoId$inboundSchema;
    GetDeploymentGitSourceDeploymentsRepoId$.outboundSchema = GetDeploymentGitSourceDeploymentsRepoId$outboundSchema;
  })(GetDeploymentGitSourceDeploymentsRepoId$ ||= {});
  GetDeploymentGitSource3$inboundSchema = objectType({
    type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody23Type$inboundSchema,
    host: stringType(),
    repoId: unionType([stringType(), numberType()]),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  GetDeploymentGitSource3$outboundSchema = objectType({
    type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody23Type$outboundSchema,
    host: stringType(),
    repoId: unionType([stringType(), numberType()]),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  ((GetDeploymentGitSource3$) => {
    GetDeploymentGitSource3$.inboundSchema = GetDeploymentGitSource3$inboundSchema;
    GetDeploymentGitSource3$.outboundSchema = GetDeploymentGitSource3$outboundSchema;
  })(GetDeploymentGitSource3$ ||= {});
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody22Type$inboundSchema = nativeEnumType(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody22Type);
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody22Type$outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody22Type$inboundSchema;
  ((GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody22Type$) => {
    GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody22Type$.inboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody22Type$inboundSchema;
    GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody22Type$.outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody22Type$outboundSchema;
  })(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody22Type$ ||= {});
  GetDeploymentGitSource2$inboundSchema = objectType({
    type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody22Type$inboundSchema,
    org: stringType(),
    repo: stringType(),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  GetDeploymentGitSource2$outboundSchema = objectType({
    type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody22Type$outboundSchema,
    org: stringType(),
    repo: stringType(),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  ((GetDeploymentGitSource2$) => {
    GetDeploymentGitSource2$.inboundSchema = GetDeploymentGitSource2$inboundSchema;
    GetDeploymentGitSource2$.outboundSchema = GetDeploymentGitSource2$outboundSchema;
  })(GetDeploymentGitSource2$ ||= {});
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody2Type$inboundSchema = nativeEnumType(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody2Type);
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody2Type$outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody2Type$inboundSchema;
  ((GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody2Type$) => {
    GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody2Type$.inboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody2Type$inboundSchema;
    GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody2Type$.outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody2Type$outboundSchema;
  })(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody2Type$ ||= {});
  GetDeploymentGitSourceRepoId$inboundSchema = unionType([stringType(), numberType()]);
  GetDeploymentGitSourceRepoId$outboundSchema = unionType([stringType(), numberType()]);
  ((GetDeploymentGitSourceRepoId$) => {
    GetDeploymentGitSourceRepoId$.inboundSchema = GetDeploymentGitSourceRepoId$inboundSchema;
    GetDeploymentGitSourceRepoId$.outboundSchema = GetDeploymentGitSourceRepoId$outboundSchema;
  })(GetDeploymentGitSourceRepoId$ ||= {});
  GetDeploymentGitSource1$inboundSchema = objectType({
    type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody2Type$inboundSchema,
    repoId: unionType([stringType(), numberType()]),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  GetDeploymentGitSource1$outboundSchema = objectType({
    type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody2Type$outboundSchema,
    repoId: unionType([stringType(), numberType()]),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  ((GetDeploymentGitSource1$) => {
    GetDeploymentGitSource1$.inboundSchema = GetDeploymentGitSource1$inboundSchema;
    GetDeploymentGitSource1$.outboundSchema = GetDeploymentGitSource1$outboundSchema;
  })(GetDeploymentGitSource1$ ||= {});
  ResponseBodyGitSource$inboundSchema = unionType([
    lazyType(() => GetDeploymentGitSource8$inboundSchema),
    lazyType(() => GetDeploymentGitSource11$inboundSchema),
    lazyType(() => GetDeploymentGitSource1$inboundSchema),
    lazyType(() => GetDeploymentGitSource5$inboundSchema),
    lazyType(() => GetDeploymentGitSource2$inboundSchema),
    lazyType(() => GetDeploymentGitSource3$inboundSchema),
    lazyType(() => GetDeploymentGitSource6$inboundSchema),
    lazyType(() => GetDeploymentGitSource7$inboundSchema),
    lazyType(() => GetDeploymentGitSource9$inboundSchema),
    lazyType(() => GetDeploymentGitSource4$inboundSchema),
    lazyType(() => GetDeploymentGitSource10$inboundSchema),
    lazyType(() => GetDeploymentGitSource12$inboundSchema)
  ]);
  ResponseBodyGitSource$outboundSchema = unionType([
    lazyType(() => GetDeploymentGitSource8$outboundSchema),
    lazyType(() => GetDeploymentGitSource11$outboundSchema),
    lazyType(() => GetDeploymentGitSource1$outboundSchema),
    lazyType(() => GetDeploymentGitSource5$outboundSchema),
    lazyType(() => GetDeploymentGitSource2$outboundSchema),
    lazyType(() => GetDeploymentGitSource3$outboundSchema),
    lazyType(() => GetDeploymentGitSource6$outboundSchema),
    lazyType(() => GetDeploymentGitSource7$outboundSchema),
    lazyType(() => GetDeploymentGitSource9$outboundSchema),
    lazyType(() => GetDeploymentGitSource4$outboundSchema),
    lazyType(() => GetDeploymentGitSource10$outboundSchema),
    lazyType(() => GetDeploymentGitSource12$outboundSchema)
  ]);
  ((ResponseBodyGitSource$) => {
    ResponseBodyGitSource$.inboundSchema = ResponseBodyGitSource$inboundSchema;
    ResponseBodyGitSource$.outboundSchema = ResponseBodyGitSource$outboundSchema;
  })(ResponseBodyGitSource$ ||= {});
  GetDeploymentResponseBodyProject$inboundSchema = objectType({
    id: stringType(),
    name: stringType(),
    framework: nullableType(stringType()).optional()
  });
  GetDeploymentResponseBodyProject$outboundSchema = objectType({
    id: stringType(),
    name: stringType(),
    framework: nullableType(stringType()).optional()
  });
  ((GetDeploymentResponseBodyProject$) => {
    GetDeploymentResponseBodyProject$.inboundSchema = GetDeploymentResponseBodyProject$inboundSchema;
    GetDeploymentResponseBodyProject$.outboundSchema = GetDeploymentResponseBodyProject$outboundSchema;
  })(GetDeploymentResponseBodyProject$ ||= {});
  GetDeploymentResponseBodyReadySubstate$inboundSchema = nativeEnumType(GetDeploymentResponseBodyReadySubstate);
  GetDeploymentResponseBodyReadySubstate$outboundSchema = GetDeploymentResponseBodyReadySubstate$inboundSchema;
  ((GetDeploymentResponseBodyReadySubstate$) => {
    GetDeploymentResponseBodyReadySubstate$.inboundSchema = GetDeploymentResponseBodyReadySubstate$inboundSchema;
    GetDeploymentResponseBodyReadySubstate$.outboundSchema = GetDeploymentResponseBodyReadySubstate$outboundSchema;
  })(GetDeploymentResponseBodyReadySubstate$ ||= {});
  GetDeploymentResponseBodySource$inboundSchema = nativeEnumType(GetDeploymentResponseBodySource);
  GetDeploymentResponseBodySource$outboundSchema = GetDeploymentResponseBodySource$inboundSchema;
  ((GetDeploymentResponseBodySource$) => {
    GetDeploymentResponseBodySource$.inboundSchema = GetDeploymentResponseBodySource$inboundSchema;
    GetDeploymentResponseBodySource$.outboundSchema = GetDeploymentResponseBodySource$outboundSchema;
  })(GetDeploymentResponseBodySource$ ||= {});
  GetDeploymentResponseBodyTarget$inboundSchema = nativeEnumType(GetDeploymentResponseBodyTarget);
  GetDeploymentResponseBodyTarget$outboundSchema = GetDeploymentResponseBodyTarget$inboundSchema;
  ((GetDeploymentResponseBodyTarget$) => {
    GetDeploymentResponseBodyTarget$.inboundSchema = GetDeploymentResponseBodyTarget$inboundSchema;
    GetDeploymentResponseBodyTarget$.outboundSchema = GetDeploymentResponseBodyTarget$outboundSchema;
  })(GetDeploymentResponseBodyTarget$ ||= {});
  GetDeploymentResponseBodyOidcTokenClaims$inboundSchema = objectType({
    iss: stringType(),
    sub: stringType(),
    scope: stringType(),
    aud: stringType(),
    owner: stringType(),
    owner_id: stringType(),
    project: stringType(),
    project_id: stringType(),
    environment: stringType()
  }).transform((v2) => {
    return remap(v2, {
      owner_id: "ownerId",
      project_id: "projectId"
    });
  });
  GetDeploymentResponseBodyOidcTokenClaims$outboundSchema = objectType({
    iss: stringType(),
    sub: stringType(),
    scope: stringType(),
    aud: stringType(),
    owner: stringType(),
    ownerId: stringType(),
    project: stringType(),
    projectId: stringType(),
    environment: stringType()
  }).transform((v2) => {
    return remap(v2, {
      ownerId: "owner_id",
      projectId: "project_id"
    });
  });
  ((GetDeploymentResponseBodyOidcTokenClaims$) => {
    GetDeploymentResponseBodyOidcTokenClaims$.inboundSchema = GetDeploymentResponseBodyOidcTokenClaims$inboundSchema;
    GetDeploymentResponseBodyOidcTokenClaims$.outboundSchema = GetDeploymentResponseBodyOidcTokenClaims$outboundSchema;
  })(GetDeploymentResponseBodyOidcTokenClaims$ ||= {});
  GetDeploymentResponseBody2$inboundSchema = objectType({
    alias: arrayType(stringType()).optional(),
    aliasAssigned: booleanType(),
    bootedAt: numberType(),
    buildingAt: numberType(),
    buildContainerFinishedAt: numberType().optional(),
    buildSkipped: booleanType(),
    creator: lazyType(() => GetDeploymentResponseBodyCreator$inboundSchema),
    initReadyAt: numberType().optional(),
    isFirstBranchDeployment: booleanType().optional(),
    lambdas: arrayType(lazyType(() => ResponseBodyLambdas$inboundSchema)).optional(),
    public: booleanType(),
    ready: numberType().optional(),
    status: GetDeploymentResponseBodyStatus$inboundSchema,
    team: lazyType(() => ResponseBodyTeam$inboundSchema).optional(),
    userAliases: arrayType(stringType()).optional(),
    previewCommentsEnabled: booleanType().optional(),
    ttyBuildLogs: booleanType().optional(),
    customEnvironment: unionType([
      lazyType(() => GetDeploymentCustomEnvironment2$inboundSchema),
      lazyType(() => GetDeploymentCustomEnvironment1$inboundSchema)
    ]).optional(),
    aliasWarning: nullableType(lazyType(() => ResponseBodyAliasWarning$inboundSchema)).optional(),
    id: stringType(),
    name: stringType(),
    type: GetDeploymentResponseBodyDeploymentsType$inboundSchema,
    createdAt: numberType(),
    readyState: GetDeploymentResponseBodyReadyState$inboundSchema,
    aliasError: nullableType(lazyType(() => GetDeploymentResponseBodyAliasError$inboundSchema)).optional(),
    aliasFinal: nullableType(stringType()).optional(),
    autoAssignCustomDomains: booleanType().optional(),
    automaticAliases: arrayType(stringType()).optional(),
    buildErrorAt: numberType().optional(),
    checksState: GetDeploymentResponseBodyChecksState$inboundSchema.optional(),
    checksConclusion: GetDeploymentResponseBodyChecksConclusion$inboundSchema.optional(),
    deletedAt: nullableType(numberType()).optional(),
    defaultRoute: stringType().optional(),
    canceledAt: numberType().optional(),
    errorCode: stringType().optional(),
    errorLink: stringType().optional(),
    errorMessage: nullableType(stringType()).optional(),
    errorStep: stringType().optional(),
    passiveRegions: arrayType(stringType()).optional(),
    gitSource: unionType([
      lazyType(() => GetDeploymentGitSource8$inboundSchema),
      lazyType(() => GetDeploymentGitSource11$inboundSchema),
      lazyType(() => GetDeploymentGitSource1$inboundSchema),
      lazyType(() => GetDeploymentGitSource5$inboundSchema),
      lazyType(() => GetDeploymentGitSource2$inboundSchema),
      lazyType(() => GetDeploymentGitSource3$inboundSchema),
      lazyType(() => GetDeploymentGitSource6$inboundSchema),
      lazyType(() => GetDeploymentGitSource7$inboundSchema),
      lazyType(() => GetDeploymentGitSource9$inboundSchema),
      lazyType(() => GetDeploymentGitSource4$inboundSchema),
      lazyType(() => GetDeploymentGitSource10$inboundSchema),
      lazyType(() => GetDeploymentGitSource12$inboundSchema)
    ]).optional(),
    meta: recordType(stringType()),
    originCacheRegion: stringType().optional(),
    project: lazyType(() => GetDeploymentResponseBodyProject$inboundSchema).optional(),
    readySubstate: GetDeploymentResponseBodyReadySubstate$inboundSchema.optional(),
    regions: arrayType(stringType()),
    softDeletedByRetention: booleanType().optional(),
    source: GetDeploymentResponseBodySource$inboundSchema.optional(),
    target: nullableType(GetDeploymentResponseBodyTarget$inboundSchema).optional(),
    undeletedAt: numberType().optional(),
    url: stringType(),
    version: numberType(),
    oidcTokenClaims: lazyType(() => GetDeploymentResponseBodyOidcTokenClaims$inboundSchema).optional()
  });
  GetDeploymentResponseBody2$outboundSchema = objectType({
    alias: arrayType(stringType()).optional(),
    aliasAssigned: booleanType(),
    bootedAt: numberType(),
    buildingAt: numberType(),
    buildContainerFinishedAt: numberType().optional(),
    buildSkipped: booleanType(),
    creator: lazyType(() => GetDeploymentResponseBodyCreator$outboundSchema),
    initReadyAt: numberType().optional(),
    isFirstBranchDeployment: booleanType().optional(),
    lambdas: arrayType(lazyType(() => ResponseBodyLambdas$outboundSchema)).optional(),
    public: booleanType(),
    ready: numberType().optional(),
    status: GetDeploymentResponseBodyStatus$outboundSchema,
    team: lazyType(() => ResponseBodyTeam$outboundSchema).optional(),
    userAliases: arrayType(stringType()).optional(),
    previewCommentsEnabled: booleanType().optional(),
    ttyBuildLogs: booleanType().optional(),
    customEnvironment: unionType([
      lazyType(() => GetDeploymentCustomEnvironment2$outboundSchema),
      lazyType(() => GetDeploymentCustomEnvironment1$outboundSchema)
    ]).optional(),
    aliasWarning: nullableType(lazyType(() => ResponseBodyAliasWarning$outboundSchema)).optional(),
    id: stringType(),
    name: stringType(),
    type: GetDeploymentResponseBodyDeploymentsType$outboundSchema,
    createdAt: numberType(),
    readyState: GetDeploymentResponseBodyReadyState$outboundSchema,
    aliasError: nullableType(lazyType(() => GetDeploymentResponseBodyAliasError$outboundSchema)).optional(),
    aliasFinal: nullableType(stringType()).optional(),
    autoAssignCustomDomains: booleanType().optional(),
    automaticAliases: arrayType(stringType()).optional(),
    buildErrorAt: numberType().optional(),
    checksState: GetDeploymentResponseBodyChecksState$outboundSchema.optional(),
    checksConclusion: GetDeploymentResponseBodyChecksConclusion$outboundSchema.optional(),
    deletedAt: nullableType(numberType()).optional(),
    defaultRoute: stringType().optional(),
    canceledAt: numberType().optional(),
    errorCode: stringType().optional(),
    errorLink: stringType().optional(),
    errorMessage: nullableType(stringType()).optional(),
    errorStep: stringType().optional(),
    passiveRegions: arrayType(stringType()).optional(),
    gitSource: unionType([
      lazyType(() => GetDeploymentGitSource8$outboundSchema),
      lazyType(() => GetDeploymentGitSource11$outboundSchema),
      lazyType(() => GetDeploymentGitSource1$outboundSchema),
      lazyType(() => GetDeploymentGitSource5$outboundSchema),
      lazyType(() => GetDeploymentGitSource2$outboundSchema),
      lazyType(() => GetDeploymentGitSource3$outboundSchema),
      lazyType(() => GetDeploymentGitSource6$outboundSchema),
      lazyType(() => GetDeploymentGitSource7$outboundSchema),
      lazyType(() => GetDeploymentGitSource9$outboundSchema),
      lazyType(() => GetDeploymentGitSource4$outboundSchema),
      lazyType(() => GetDeploymentGitSource10$outboundSchema),
      lazyType(() => GetDeploymentGitSource12$outboundSchema)
    ]).optional(),
    meta: recordType(stringType()),
    originCacheRegion: stringType().optional(),
    project: lazyType(() => GetDeploymentResponseBodyProject$outboundSchema).optional(),
    readySubstate: GetDeploymentResponseBodyReadySubstate$outboundSchema.optional(),
    regions: arrayType(stringType()),
    softDeletedByRetention: booleanType().optional(),
    source: GetDeploymentResponseBodySource$outboundSchema.optional(),
    target: nullableType(GetDeploymentResponseBodyTarget$outboundSchema).optional(),
    undeletedAt: numberType().optional(),
    url: stringType(),
    version: numberType(),
    oidcTokenClaims: lazyType(() => GetDeploymentResponseBodyOidcTokenClaims$outboundSchema).optional()
  });
  ((GetDeploymentResponseBody2$) => {
    GetDeploymentResponseBody2$.inboundSchema = GetDeploymentResponseBody2$inboundSchema;
    GetDeploymentResponseBody2$.outboundSchema = GetDeploymentResponseBody2$outboundSchema;
  })(GetDeploymentResponseBody2$ ||= {});
  ResponseBodyAliasAssignedAt$inboundSchema = unionType([numberType(), booleanType()]);
  ResponseBodyAliasAssignedAt$outboundSchema = unionType([numberType(), booleanType()]);
  ((ResponseBodyAliasAssignedAt$) => {
    ResponseBodyAliasAssignedAt$.inboundSchema = ResponseBodyAliasAssignedAt$inboundSchema;
    ResponseBodyAliasAssignedAt$.outboundSchema = ResponseBodyAliasAssignedAt$outboundSchema;
  })(ResponseBodyAliasAssignedAt$ ||= {});
  ResponseBodyBuild$inboundSchema = objectType({
    env: arrayType(stringType())
  });
  ResponseBodyBuild$outboundSchema = objectType({
    env: arrayType(stringType())
  });
  ((ResponseBodyBuild$) => {
    ResponseBodyBuild$.inboundSchema = ResponseBodyBuild$inboundSchema;
    ResponseBodyBuild$.outboundSchema = ResponseBodyBuild$outboundSchema;
  })(ResponseBodyBuild$ ||= {});
  ResponseBodyBuilds$inboundSchema = objectType({
    use: stringType(),
    src: stringType().optional(),
    config: recordType(anyType()).optional()
  });
  ResponseBodyBuilds$outboundSchema = objectType({
    use: stringType(),
    src: stringType().optional(),
    config: recordType(anyType()).optional()
  });
  ((ResponseBodyBuilds$) => {
    ResponseBodyBuilds$.inboundSchema = ResponseBodyBuilds$inboundSchema;
    ResponseBodyBuilds$.outboundSchema = ResponseBodyBuilds$outboundSchema;
  })(ResponseBodyBuilds$ ||= {});
  ResponseBodyFramework$inboundSchema = nativeEnumType(ResponseBodyFramework);
  ResponseBodyFramework$outboundSchema = ResponseBodyFramework$inboundSchema;
  ((ResponseBodyFramework$) => {
    ResponseBodyFramework$.inboundSchema = ResponseBodyFramework$inboundSchema;
    ResponseBodyFramework$.outboundSchema = ResponseBodyFramework$outboundSchema;
  })(ResponseBodyFramework$ ||= {});
  ResponseBodySpeedInsights$inboundSchema = objectType({
    id: stringType(),
    enabledAt: numberType().optional(),
    disabledAt: numberType().optional(),
    canceledAt: numberType().optional(),
    hasData: booleanType().optional(),
    paidAt: numberType().optional()
  });
  ResponseBodySpeedInsights$outboundSchema = objectType({
    id: stringType(),
    enabledAt: numberType().optional(),
    disabledAt: numberType().optional(),
    canceledAt: numberType().optional(),
    hasData: booleanType().optional(),
    paidAt: numberType().optional()
  });
  ((ResponseBodySpeedInsights$) => {
    ResponseBodySpeedInsights$.inboundSchema = ResponseBodySpeedInsights$inboundSchema;
    ResponseBodySpeedInsights$.outboundSchema = ResponseBodySpeedInsights$outboundSchema;
  })(ResponseBodySpeedInsights$ ||= {});
  ResponseBodyWebAnalytics$inboundSchema = objectType({
    id: stringType(),
    disabledAt: numberType().optional(),
    canceledAt: numberType().optional(),
    enabledAt: numberType().optional(),
    hasData: booleanType().optional()
  });
  ResponseBodyWebAnalytics$outboundSchema = objectType({
    id: stringType(),
    disabledAt: numberType().optional(),
    canceledAt: numberType().optional(),
    enabledAt: numberType().optional(),
    hasData: booleanType().optional()
  });
  ((ResponseBodyWebAnalytics$) => {
    ResponseBodyWebAnalytics$.inboundSchema = ResponseBodyWebAnalytics$inboundSchema;
    ResponseBodyWebAnalytics$.outboundSchema = ResponseBodyWebAnalytics$outboundSchema;
  })(ResponseBodyWebAnalytics$ ||= {});
  ResponseBodyProjectSettings$inboundSchema = objectType({
    buildCommand: nullableType(stringType()).optional(),
    devCommand: nullableType(stringType()).optional(),
    framework: nullableType(ResponseBodyFramework$inboundSchema).optional(),
    commandForIgnoringBuildStep: nullableType(stringType()).optional(),
    installCommand: nullableType(stringType()).optional(),
    outputDirectory: nullableType(stringType()).optional(),
    speedInsights: lazyType(() => ResponseBodySpeedInsights$inboundSchema).optional(),
    webAnalytics: lazyType(() => ResponseBodyWebAnalytics$inboundSchema).optional()
  });
  ResponseBodyProjectSettings$outboundSchema = objectType({
    buildCommand: nullableType(stringType()).optional(),
    devCommand: nullableType(stringType()).optional(),
    framework: nullableType(ResponseBodyFramework$outboundSchema).optional(),
    commandForIgnoringBuildStep: nullableType(stringType()).optional(),
    installCommand: nullableType(stringType()).optional(),
    outputDirectory: nullableType(stringType()).optional(),
    speedInsights: lazyType(() => ResponseBodySpeedInsights$outboundSchema).optional(),
    webAnalytics: lazyType(() => ResponseBodyWebAnalytics$outboundSchema).optional()
  });
  ((ResponseBodyProjectSettings$) => {
    ResponseBodyProjectSettings$.inboundSchema = ResponseBodyProjectSettings$inboundSchema;
    ResponseBodyProjectSettings$.outboundSchema = ResponseBodyProjectSettings$outboundSchema;
  })(ResponseBodyProjectSettings$ ||= {});
  GetDeploymentResponseBodyDeploymentsStatus$inboundSchema = nativeEnumType(GetDeploymentResponseBodyDeploymentsStatus);
  GetDeploymentResponseBodyDeploymentsStatus$outboundSchema = GetDeploymentResponseBodyDeploymentsStatus$inboundSchema;
  ((GetDeploymentResponseBodyDeploymentsStatus$) => {
    GetDeploymentResponseBodyDeploymentsStatus$.inboundSchema = GetDeploymentResponseBodyDeploymentsStatus$inboundSchema;
    GetDeploymentResponseBodyDeploymentsStatus$.outboundSchema = GetDeploymentResponseBodyDeploymentsStatus$outboundSchema;
  })(GetDeploymentResponseBodyDeploymentsStatus$ ||= {});
  ResponseBodyIntegrations$inboundSchema = objectType({
    status: GetDeploymentResponseBodyDeploymentsStatus$inboundSchema,
    startedAt: numberType(),
    completedAt: numberType().optional(),
    skippedAt: numberType().optional(),
    skippedBy: stringType().optional()
  });
  ResponseBodyIntegrations$outboundSchema = objectType({
    status: GetDeploymentResponseBodyDeploymentsStatus$outboundSchema,
    startedAt: numberType(),
    completedAt: numberType().optional(),
    skippedAt: numberType().optional(),
    skippedBy: stringType().optional()
  });
  ((ResponseBodyIntegrations$) => {
    ResponseBodyIntegrations$.inboundSchema = ResponseBodyIntegrations$inboundSchema;
    ResponseBodyIntegrations$.outboundSchema = ResponseBodyIntegrations$outboundSchema;
  })(ResponseBodyIntegrations$ ||= {});
  ResponseBodyProtocol$inboundSchema = nativeEnumType(ResponseBodyProtocol);
  ResponseBodyProtocol$outboundSchema = ResponseBodyProtocol$inboundSchema;
  ((ResponseBodyProtocol$) => {
    ResponseBodyProtocol$.inboundSchema = ResponseBodyProtocol$inboundSchema;
    ResponseBodyProtocol$.outboundSchema = ResponseBodyProtocol$outboundSchema;
  })(ResponseBodyProtocol$ ||= {});
  ResponseBodyRemotePatterns$inboundSchema = objectType({
    protocol: ResponseBodyProtocol$inboundSchema.optional(),
    hostname: stringType(),
    port: stringType().optional(),
    pathname: stringType().optional(),
    search: stringType().optional()
  });
  ResponseBodyRemotePatterns$outboundSchema = objectType({
    protocol: ResponseBodyProtocol$outboundSchema.optional(),
    hostname: stringType(),
    port: stringType().optional(),
    pathname: stringType().optional(),
    search: stringType().optional()
  });
  ((ResponseBodyRemotePatterns$) => {
    ResponseBodyRemotePatterns$.inboundSchema = ResponseBodyRemotePatterns$inboundSchema;
    ResponseBodyRemotePatterns$.outboundSchema = ResponseBodyRemotePatterns$outboundSchema;
  })(ResponseBodyRemotePatterns$ ||= {});
  ResponseBodyLocalPatterns$inboundSchema = objectType({
    pathname: stringType().optional(),
    search: stringType().optional()
  });
  ResponseBodyLocalPatterns$outboundSchema = objectType({
    pathname: stringType().optional(),
    search: stringType().optional()
  });
  ((ResponseBodyLocalPatterns$) => {
    ResponseBodyLocalPatterns$.inboundSchema = ResponseBodyLocalPatterns$inboundSchema;
    ResponseBodyLocalPatterns$.outboundSchema = ResponseBodyLocalPatterns$outboundSchema;
  })(ResponseBodyLocalPatterns$ ||= {});
  ResponseBodyFormats$inboundSchema = nativeEnumType(ResponseBodyFormats);
  ResponseBodyFormats$outboundSchema = ResponseBodyFormats$inboundSchema;
  ((ResponseBodyFormats$) => {
    ResponseBodyFormats$.inboundSchema = ResponseBodyFormats$inboundSchema;
    ResponseBodyFormats$.outboundSchema = ResponseBodyFormats$outboundSchema;
  })(ResponseBodyFormats$ ||= {});
  ResponseBodyContentDispositionType$inboundSchema = nativeEnumType(ResponseBodyContentDispositionType);
  ResponseBodyContentDispositionType$outboundSchema = ResponseBodyContentDispositionType$inboundSchema;
  ((ResponseBodyContentDispositionType$) => {
    ResponseBodyContentDispositionType$.inboundSchema = ResponseBodyContentDispositionType$inboundSchema;
    ResponseBodyContentDispositionType$.outboundSchema = ResponseBodyContentDispositionType$outboundSchema;
  })(ResponseBodyContentDispositionType$ ||= {});
  ResponseBodyImages$inboundSchema = objectType({
    sizes: arrayType(numberType()).optional(),
    qualities: arrayType(numberType()).optional(),
    domains: arrayType(stringType()).optional(),
    remotePatterns: arrayType(lazyType(() => ResponseBodyRemotePatterns$inboundSchema)).optional(),
    localPatterns: arrayType(lazyType(() => ResponseBodyLocalPatterns$inboundSchema)).optional(),
    minimumCacheTTL: numberType().optional(),
    formats: arrayType(ResponseBodyFormats$inboundSchema).optional(),
    dangerouslyAllowSVG: booleanType().optional(),
    contentSecurityPolicy: stringType().optional(),
    contentDispositionType: ResponseBodyContentDispositionType$inboundSchema.optional()
  });
  ResponseBodyImages$outboundSchema = objectType({
    sizes: arrayType(numberType()).optional(),
    qualities: arrayType(numberType()).optional(),
    domains: arrayType(stringType()).optional(),
    remotePatterns: arrayType(lazyType(() => ResponseBodyRemotePatterns$outboundSchema)).optional(),
    localPatterns: arrayType(lazyType(() => ResponseBodyLocalPatterns$outboundSchema)).optional(),
    minimumCacheTTL: numberType().optional(),
    formats: arrayType(ResponseBodyFormats$outboundSchema).optional(),
    dangerouslyAllowSVG: booleanType().optional(),
    contentSecurityPolicy: stringType().optional(),
    contentDispositionType: ResponseBodyContentDispositionType$outboundSchema.optional()
  });
  ((ResponseBodyImages$) => {
    ResponseBodyImages$.inboundSchema = ResponseBodyImages$inboundSchema;
    ResponseBodyImages$.outboundSchema = ResponseBodyImages$outboundSchema;
  })(ResponseBodyImages$ ||= {});
  ResponseBodyCreator$inboundSchema = objectType({
    uid: stringType(),
    username: stringType().optional(),
    avatar: stringType().optional()
  });
  ResponseBodyCreator$outboundSchema = objectType({
    uid: stringType(),
    username: stringType().optional(),
    avatar: stringType().optional()
  });
  ((ResponseBodyCreator$) => {
    ResponseBodyCreator$.inboundSchema = ResponseBodyCreator$inboundSchema;
    ResponseBodyCreator$.outboundSchema = ResponseBodyCreator$outboundSchema;
  })(ResponseBodyCreator$ ||= {});
  GetDeploymentResponseBodyDeploymentsResponseReadyState$inboundSchema = nativeEnumType(GetDeploymentResponseBodyDeploymentsResponseReadyState);
  GetDeploymentResponseBodyDeploymentsResponseReadyState$outboundSchema = GetDeploymentResponseBodyDeploymentsResponseReadyState$inboundSchema;
  ((GetDeploymentResponseBodyDeploymentsResponseReadyState$) => {
    GetDeploymentResponseBodyDeploymentsResponseReadyState$.inboundSchema = GetDeploymentResponseBodyDeploymentsResponseReadyState$inboundSchema;
    GetDeploymentResponseBodyDeploymentsResponseReadyState$.outboundSchema = GetDeploymentResponseBodyDeploymentsResponseReadyState$outboundSchema;
  })(GetDeploymentResponseBodyDeploymentsResponseReadyState$ ||= {});
  ResponseBodyOutput$inboundSchema = objectType({
    path: stringType(),
    functionName: stringType()
  });
  ResponseBodyOutput$outboundSchema = objectType({
    path: stringType(),
    functionName: stringType()
  });
  ((ResponseBodyOutput$) => {
    ResponseBodyOutput$.inboundSchema = ResponseBodyOutput$inboundSchema;
    ResponseBodyOutput$.outboundSchema = ResponseBodyOutput$outboundSchema;
  })(ResponseBodyOutput$ ||= {});
  GetDeploymentResponseBodyLambdas$inboundSchema = objectType({
    id: stringType().optional(),
    createdAt: numberType().optional(),
    entrypoint: nullableType(stringType()).optional(),
    readyState: GetDeploymentResponseBodyDeploymentsResponseReadyState$inboundSchema.optional(),
    readyStateAt: numberType().optional(),
    output: arrayType(lazyType(() => ResponseBodyOutput$inboundSchema))
  });
  GetDeploymentResponseBodyLambdas$outboundSchema = objectType({
    id: stringType().optional(),
    createdAt: numberType().optional(),
    entrypoint: nullableType(stringType()).optional(),
    readyState: GetDeploymentResponseBodyDeploymentsResponseReadyState$outboundSchema.optional(),
    readyStateAt: numberType().optional(),
    output: arrayType(lazyType(() => ResponseBodyOutput$outboundSchema))
  });
  ((GetDeploymentResponseBodyLambdas$) => {
    GetDeploymentResponseBodyLambdas$.inboundSchema = GetDeploymentResponseBodyLambdas$inboundSchema;
    GetDeploymentResponseBodyLambdas$.outboundSchema = GetDeploymentResponseBodyLambdas$outboundSchema;
  })(GetDeploymentResponseBodyLambdas$ ||= {});
  ResponseBodyStatus$inboundSchema = nativeEnumType(ResponseBodyStatus);
  ResponseBodyStatus$outboundSchema = ResponseBodyStatus$inboundSchema;
  ((ResponseBodyStatus$) => {
    ResponseBodyStatus$.inboundSchema = ResponseBodyStatus$inboundSchema;
    ResponseBodyStatus$.outboundSchema = ResponseBodyStatus$outboundSchema;
  })(ResponseBodyStatus$ ||= {});
  GetDeploymentResponseBodyTeam$inboundSchema = objectType({
    id: stringType(),
    name: stringType(),
    slug: stringType(),
    avatar: stringType().optional()
  });
  GetDeploymentResponseBodyTeam$outboundSchema = objectType({
    id: stringType(),
    name: stringType(),
    slug: stringType(),
    avatar: stringType().optional()
  });
  ((GetDeploymentResponseBodyTeam$) => {
    GetDeploymentResponseBodyTeam$.inboundSchema = GetDeploymentResponseBodyTeam$inboundSchema;
    GetDeploymentResponseBodyTeam$.outboundSchema = GetDeploymentResponseBodyTeam$outboundSchema;
  })(GetDeploymentResponseBodyTeam$ ||= {});
  GetDeploymentCustomEnvironmentDeployments2$inboundSchema = objectType({
    id: stringType()
  });
  GetDeploymentCustomEnvironmentDeployments2$outboundSchema = objectType({
    id: stringType()
  });
  ((GetDeploymentCustomEnvironmentDeployments2$) => {
    GetDeploymentCustomEnvironmentDeployments2$.inboundSchema = GetDeploymentCustomEnvironmentDeployments2$inboundSchema;
    GetDeploymentCustomEnvironmentDeployments2$.outboundSchema = GetDeploymentCustomEnvironmentDeployments2$outboundSchema;
  })(GetDeploymentCustomEnvironmentDeployments2$ ||= {});
  GetDeploymentCustomEnvironmentDeploymentsType$inboundSchema = nativeEnumType(GetDeploymentCustomEnvironmentDeploymentsType);
  GetDeploymentCustomEnvironmentDeploymentsType$outboundSchema = GetDeploymentCustomEnvironmentDeploymentsType$inboundSchema;
  ((GetDeploymentCustomEnvironmentDeploymentsType$) => {
    GetDeploymentCustomEnvironmentDeploymentsType$.inboundSchema = GetDeploymentCustomEnvironmentDeploymentsType$inboundSchema;
    GetDeploymentCustomEnvironmentDeploymentsType$.outboundSchema = GetDeploymentCustomEnvironmentDeploymentsType$outboundSchema;
  })(GetDeploymentCustomEnvironmentDeploymentsType$ ||= {});
  GetDeploymentCustomEnvironmentDeploymentsResponse200Type$inboundSchema = nativeEnumType(GetDeploymentCustomEnvironmentDeploymentsResponse200Type);
  GetDeploymentCustomEnvironmentDeploymentsResponse200Type$outboundSchema = GetDeploymentCustomEnvironmentDeploymentsResponse200Type$inboundSchema;
  ((GetDeploymentCustomEnvironmentDeploymentsResponse200Type$) => {
    GetDeploymentCustomEnvironmentDeploymentsResponse200Type$.inboundSchema = GetDeploymentCustomEnvironmentDeploymentsResponse200Type$inboundSchema;
    GetDeploymentCustomEnvironmentDeploymentsResponse200Type$.outboundSchema = GetDeploymentCustomEnvironmentDeploymentsResponse200Type$outboundSchema;
  })(GetDeploymentCustomEnvironmentDeploymentsResponse200Type$ ||= {});
  GetDeploymentCustomEnvironmentDeploymentsBranchMatcher$inboundSchema = objectType({
    type: GetDeploymentCustomEnvironmentDeploymentsResponse200Type$inboundSchema,
    pattern: stringType()
  });
  GetDeploymentCustomEnvironmentDeploymentsBranchMatcher$outboundSchema = objectType({
    type: GetDeploymentCustomEnvironmentDeploymentsResponse200Type$outboundSchema,
    pattern: stringType()
  });
  ((GetDeploymentCustomEnvironmentDeploymentsBranchMatcher$) => {
    GetDeploymentCustomEnvironmentDeploymentsBranchMatcher$.inboundSchema = GetDeploymentCustomEnvironmentDeploymentsBranchMatcher$inboundSchema;
    GetDeploymentCustomEnvironmentDeploymentsBranchMatcher$.outboundSchema = GetDeploymentCustomEnvironmentDeploymentsBranchMatcher$outboundSchema;
  })(GetDeploymentCustomEnvironmentDeploymentsBranchMatcher$ ||= {});
  GetDeploymentCustomEnvironmentDeploymentsVerification$inboundSchema = objectType({
    type: stringType(),
    domain: stringType(),
    value: stringType(),
    reason: stringType()
  });
  GetDeploymentCustomEnvironmentDeploymentsVerification$outboundSchema = objectType({
    type: stringType(),
    domain: stringType(),
    value: stringType(),
    reason: stringType()
  });
  ((GetDeploymentCustomEnvironmentDeploymentsVerification$) => {
    GetDeploymentCustomEnvironmentDeploymentsVerification$.inboundSchema = GetDeploymentCustomEnvironmentDeploymentsVerification$inboundSchema;
    GetDeploymentCustomEnvironmentDeploymentsVerification$.outboundSchema = GetDeploymentCustomEnvironmentDeploymentsVerification$outboundSchema;
  })(GetDeploymentCustomEnvironmentDeploymentsVerification$ ||= {});
  GetDeploymentCustomEnvironmentDeploymentsDomains$inboundSchema = objectType({
    name: stringType(),
    apexName: stringType(),
    projectId: stringType(),
    redirect: nullableType(stringType()).optional(),
    redirectStatusCode: nullableType(numberType()).optional(),
    gitBranch: nullableType(stringType()).optional(),
    customEnvironmentId: nullableType(stringType()).optional(),
    updatedAt: numberType().optional(),
    createdAt: numberType().optional(),
    verified: booleanType(),
    verification: arrayType(lazyType(() => GetDeploymentCustomEnvironmentDeploymentsVerification$inboundSchema)).optional()
  });
  GetDeploymentCustomEnvironmentDeploymentsDomains$outboundSchema = objectType({
    name: stringType(),
    apexName: stringType(),
    projectId: stringType(),
    redirect: nullableType(stringType()).optional(),
    redirectStatusCode: nullableType(numberType()).optional(),
    gitBranch: nullableType(stringType()).optional(),
    customEnvironmentId: nullableType(stringType()).optional(),
    updatedAt: numberType().optional(),
    createdAt: numberType().optional(),
    verified: booleanType(),
    verification: arrayType(lazyType(() => GetDeploymentCustomEnvironmentDeploymentsVerification$outboundSchema)).optional()
  });
  ((GetDeploymentCustomEnvironmentDeploymentsDomains$) => {
    GetDeploymentCustomEnvironmentDeploymentsDomains$.inboundSchema = GetDeploymentCustomEnvironmentDeploymentsDomains$inboundSchema;
    GetDeploymentCustomEnvironmentDeploymentsDomains$.outboundSchema = GetDeploymentCustomEnvironmentDeploymentsDomains$outboundSchema;
  })(GetDeploymentCustomEnvironmentDeploymentsDomains$ ||= {});
  GetDeploymentCustomEnvironmentDeployments1$inboundSchema = objectType({
    id: stringType(),
    slug: stringType(),
    type: GetDeploymentCustomEnvironmentDeploymentsType$inboundSchema,
    description: stringType().optional(),
    branchMatcher: lazyType(() => GetDeploymentCustomEnvironmentDeploymentsBranchMatcher$inboundSchema).optional(),
    domains: arrayType(lazyType(() => GetDeploymentCustomEnvironmentDeploymentsDomains$inboundSchema)).optional(),
    currentDeploymentAliases: arrayType(stringType()).optional(),
    createdAt: numberType(),
    updatedAt: numberType()
  });
  GetDeploymentCustomEnvironmentDeployments1$outboundSchema = objectType({
    id: stringType(),
    slug: stringType(),
    type: GetDeploymentCustomEnvironmentDeploymentsType$outboundSchema,
    description: stringType().optional(),
    branchMatcher: lazyType(() => GetDeploymentCustomEnvironmentDeploymentsBranchMatcher$outboundSchema).optional(),
    domains: arrayType(lazyType(() => GetDeploymentCustomEnvironmentDeploymentsDomains$outboundSchema)).optional(),
    currentDeploymentAliases: arrayType(stringType()).optional(),
    createdAt: numberType(),
    updatedAt: numberType()
  });
  ((GetDeploymentCustomEnvironmentDeployments1$) => {
    GetDeploymentCustomEnvironmentDeployments1$.inboundSchema = GetDeploymentCustomEnvironmentDeployments1$inboundSchema;
    GetDeploymentCustomEnvironmentDeployments1$.outboundSchema = GetDeploymentCustomEnvironmentDeployments1$outboundSchema;
  })(GetDeploymentCustomEnvironmentDeployments1$ ||= {});
  GetDeploymentResponseBodyCustomEnvironment$inboundSchema = unionType([
    lazyType(() => GetDeploymentCustomEnvironmentDeployments2$inboundSchema),
    lazyType(() => GetDeploymentCustomEnvironmentDeployments1$inboundSchema)
  ]);
  GetDeploymentResponseBodyCustomEnvironment$outboundSchema = unionType([
    lazyType(() => GetDeploymentCustomEnvironmentDeployments2$outboundSchema),
    lazyType(() => GetDeploymentCustomEnvironmentDeployments1$outboundSchema)
  ]);
  ((GetDeploymentResponseBodyCustomEnvironment$) => {
    GetDeploymentResponseBodyCustomEnvironment$.inboundSchema = GetDeploymentResponseBodyCustomEnvironment$inboundSchema;
    GetDeploymentResponseBodyCustomEnvironment$.outboundSchema = GetDeploymentResponseBodyCustomEnvironment$outboundSchema;
  })(GetDeploymentResponseBodyCustomEnvironment$ ||= {});
  GetDeploymentResponseBodyAliasWarning$inboundSchema = objectType({
    code: stringType(),
    message: stringType(),
    link: stringType().optional(),
    action: stringType().optional()
  });
  GetDeploymentResponseBodyAliasWarning$outboundSchema = objectType({
    code: stringType(),
    message: stringType(),
    link: stringType().optional(),
    action: stringType().optional()
  });
  ((GetDeploymentResponseBodyAliasWarning$) => {
    GetDeploymentResponseBodyAliasWarning$.inboundSchema = GetDeploymentResponseBodyAliasWarning$inboundSchema;
    GetDeploymentResponseBodyAliasWarning$.outboundSchema = GetDeploymentResponseBodyAliasWarning$outboundSchema;
  })(GetDeploymentResponseBodyAliasWarning$ ||= {});
  GetDeploymentResponseBodyType$inboundSchema = nativeEnumType(GetDeploymentResponseBodyType);
  GetDeploymentResponseBodyType$outboundSchema = GetDeploymentResponseBodyType$inboundSchema;
  ((GetDeploymentResponseBodyType$) => {
    GetDeploymentResponseBodyType$.inboundSchema = GetDeploymentResponseBodyType$inboundSchema;
    GetDeploymentResponseBodyType$.outboundSchema = GetDeploymentResponseBodyType$outboundSchema;
  })(GetDeploymentResponseBodyType$ ||= {});
  ResponseBodyReadyState$inboundSchema = nativeEnumType(ResponseBodyReadyState);
  ResponseBodyReadyState$outboundSchema = ResponseBodyReadyState$inboundSchema;
  ((ResponseBodyReadyState$) => {
    ResponseBodyReadyState$.inboundSchema = ResponseBodyReadyState$inboundSchema;
    ResponseBodyReadyState$.outboundSchema = ResponseBodyReadyState$outboundSchema;
  })(ResponseBodyReadyState$ ||= {});
  ResponseBodyAliasError$inboundSchema = objectType({
    code: stringType(),
    message: stringType()
  });
  ResponseBodyAliasError$outboundSchema = objectType({
    code: stringType(),
    message: stringType()
  });
  ((ResponseBodyAliasError$) => {
    ResponseBodyAliasError$.inboundSchema = ResponseBodyAliasError$inboundSchema;
    ResponseBodyAliasError$.outboundSchema = ResponseBodyAliasError$outboundSchema;
  })(ResponseBodyAliasError$ ||= {});
  ResponseBodyChecksState$inboundSchema = nativeEnumType(ResponseBodyChecksState);
  ResponseBodyChecksState$outboundSchema = ResponseBodyChecksState$inboundSchema;
  ((ResponseBodyChecksState$) => {
    ResponseBodyChecksState$.inboundSchema = ResponseBodyChecksState$inboundSchema;
    ResponseBodyChecksState$.outboundSchema = ResponseBodyChecksState$outboundSchema;
  })(ResponseBodyChecksState$ ||= {});
  ResponseBodyChecksConclusion$inboundSchema = nativeEnumType(ResponseBodyChecksConclusion);
  ResponseBodyChecksConclusion$outboundSchema = ResponseBodyChecksConclusion$inboundSchema;
  ((ResponseBodyChecksConclusion$) => {
    ResponseBodyChecksConclusion$.inboundSchema = ResponseBodyChecksConclusion$inboundSchema;
    ResponseBodyChecksConclusion$.outboundSchema = ResponseBodyChecksConclusion$outboundSchema;
  })(ResponseBodyChecksConclusion$ ||= {});
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody112Type$inboundSchema = nativeEnumType(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody112Type);
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody112Type$outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody112Type$inboundSchema;
  ((GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody112Type$) => {
    GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody112Type$.inboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody112Type$inboundSchema;
    GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody112Type$.outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody112Type$outboundSchema;
  })(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody112Type$ ||= {});
  GetDeploymentGitSourceDeployments12$inboundSchema = objectType({
    type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody112Type$inboundSchema,
    ref: stringType(),
    sha: stringType(),
    owner: stringType().optional(),
    slug: stringType().optional(),
    workspaceUuid: stringType(),
    repoUuid: stringType()
  });
  GetDeploymentGitSourceDeployments12$outboundSchema = objectType({
    type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody112Type$outboundSchema,
    ref: stringType(),
    sha: stringType(),
    owner: stringType().optional(),
    slug: stringType().optional(),
    workspaceUuid: stringType(),
    repoUuid: stringType()
  });
  ((GetDeploymentGitSourceDeployments12$) => {
    GetDeploymentGitSourceDeployments12$.inboundSchema = GetDeploymentGitSourceDeployments12$inboundSchema;
    GetDeploymentGitSourceDeployments12$.outboundSchema = GetDeploymentGitSourceDeployments12$outboundSchema;
  })(GetDeploymentGitSourceDeployments12$ ||= {});
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody111Type$inboundSchema = nativeEnumType(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody111Type);
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody111Type$outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody111Type$inboundSchema;
  ((GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody111Type$) => {
    GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody111Type$.inboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody111Type$inboundSchema;
    GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody111Type$.outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody111Type$outboundSchema;
  })(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody111Type$ ||= {});
  GetDeploymentGitSourceDeployments11$inboundSchema = objectType({
    type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody111Type$inboundSchema,
    ref: stringType(),
    sha: stringType(),
    projectId: numberType()
  });
  GetDeploymentGitSourceDeployments11$outboundSchema = objectType({
    type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody111Type$outboundSchema,
    ref: stringType(),
    sha: stringType(),
    projectId: numberType()
  });
  ((GetDeploymentGitSourceDeployments11$) => {
    GetDeploymentGitSourceDeployments11$.inboundSchema = GetDeploymentGitSourceDeployments11$inboundSchema;
    GetDeploymentGitSourceDeployments11$.outboundSchema = GetDeploymentGitSourceDeployments11$outboundSchema;
  })(GetDeploymentGitSourceDeployments11$ ||= {});
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody110Type$inboundSchema = nativeEnumType(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody110Type);
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody110Type$outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody110Type$inboundSchema;
  ((GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody110Type$) => {
    GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody110Type$.inboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody110Type$inboundSchema;
    GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody110Type$.outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody110Type$outboundSchema;
  })(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody110Type$ ||= {});
  GetDeploymentGitSourceDeployments10$inboundSchema = objectType({
    type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody110Type$inboundSchema,
    host: stringType(),
    ref: stringType(),
    sha: stringType(),
    repoId: numberType(),
    org: stringType().optional(),
    repo: stringType().optional()
  });
  GetDeploymentGitSourceDeployments10$outboundSchema = objectType({
    type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody110Type$outboundSchema,
    host: stringType(),
    ref: stringType(),
    sha: stringType(),
    repoId: numberType(),
    org: stringType().optional(),
    repo: stringType().optional()
  });
  ((GetDeploymentGitSourceDeployments10$) => {
    GetDeploymentGitSourceDeployments10$.inboundSchema = GetDeploymentGitSourceDeployments10$inboundSchema;
    GetDeploymentGitSourceDeployments10$.outboundSchema = GetDeploymentGitSourceDeployments10$outboundSchema;
  })(GetDeploymentGitSourceDeployments10$ ||= {});
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody19Type$inboundSchema = nativeEnumType(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody19Type);
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody19Type$outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody19Type$inboundSchema;
  ((GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody19Type$) => {
    GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody19Type$.inboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody19Type$inboundSchema;
    GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody19Type$.outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody19Type$outboundSchema;
  })(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody19Type$ ||= {});
  GetDeploymentGitSourceDeployments9$inboundSchema = objectType({
    type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody19Type$inboundSchema,
    ref: stringType(),
    sha: stringType(),
    repoId: numberType(),
    org: stringType().optional(),
    repo: stringType().optional()
  });
  GetDeploymentGitSourceDeployments9$outboundSchema = objectType({
    type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody19Type$outboundSchema,
    ref: stringType(),
    sha: stringType(),
    repoId: numberType(),
    org: stringType().optional(),
    repo: stringType().optional()
  });
  ((GetDeploymentGitSourceDeployments9$) => {
    GetDeploymentGitSourceDeployments9$.inboundSchema = GetDeploymentGitSourceDeployments9$inboundSchema;
    GetDeploymentGitSourceDeployments9$.outboundSchema = GetDeploymentGitSourceDeployments9$outboundSchema;
  })(GetDeploymentGitSourceDeployments9$ ||= {});
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody1Type$inboundSchema = nativeEnumType(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody1Type);
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody1Type$outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody1Type$inboundSchema;
  ((GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody1Type$) => {
    GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody1Type$.inboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody1Type$inboundSchema;
    GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody1Type$.outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody1Type$outboundSchema;
  })(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody1Type$ ||= {});
  GetDeploymentGitSourceDeployments8$inboundSchema = objectType({
    type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody1Type$inboundSchema,
    ref: stringType(),
    sha: stringType(),
    gitUrl: stringType()
  });
  GetDeploymentGitSourceDeployments8$outboundSchema = objectType({
    type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody1Type$outboundSchema,
    ref: stringType(),
    sha: stringType(),
    gitUrl: stringType()
  });
  ((GetDeploymentGitSourceDeployments8$) => {
    GetDeploymentGitSourceDeployments8$.inboundSchema = GetDeploymentGitSourceDeployments8$inboundSchema;
    GetDeploymentGitSourceDeployments8$.outboundSchema = GetDeploymentGitSourceDeployments8$outboundSchema;
  })(GetDeploymentGitSourceDeployments8$ ||= {});
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$inboundSchema = nativeEnumType(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType);
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$inboundSchema;
  ((GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$) => {
    GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$.inboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$inboundSchema;
    GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$.outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$outboundSchema;
  })(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$ ||= {});
  GetDeploymentGitSourceDeployments7$inboundSchema = objectType({
    type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$inboundSchema,
    owner: stringType(),
    slug: stringType(),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  GetDeploymentGitSourceDeployments7$outboundSchema = objectType({
    type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$outboundSchema,
    owner: stringType(),
    slug: stringType(),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  ((GetDeploymentGitSourceDeployments7$) => {
    GetDeploymentGitSourceDeployments7$.inboundSchema = GetDeploymentGitSourceDeployments7$inboundSchema;
    GetDeploymentGitSourceDeployments7$.outboundSchema = GetDeploymentGitSourceDeployments7$outboundSchema;
  })(GetDeploymentGitSourceDeployments7$ ||= {});
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$inboundSchema = nativeEnumType(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONType);
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$inboundSchema;
  ((GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$) => {
    GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$.inboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$inboundSchema;
    GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$.outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$outboundSchema;
  })(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$ ||= {});
  GetDeploymentGitSourceDeployments6$inboundSchema = objectType({
    type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$inboundSchema,
    workspaceUuid: stringType().optional(),
    repoUuid: stringType(),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  GetDeploymentGitSourceDeployments6$outboundSchema = objectType({
    type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$outboundSchema,
    workspaceUuid: stringType().optional(),
    repoUuid: stringType(),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  ((GetDeploymentGitSourceDeployments6$) => {
    GetDeploymentGitSourceDeployments6$.inboundSchema = GetDeploymentGitSourceDeployments6$inboundSchema;
    GetDeploymentGitSourceDeployments6$.outboundSchema = GetDeploymentGitSourceDeployments6$outboundSchema;
  })(GetDeploymentGitSourceDeployments6$ ||= {});
  GetDeploymentGitSourceDeploymentsResponse200Type$inboundSchema = nativeEnumType(GetDeploymentGitSourceDeploymentsResponse200Type);
  GetDeploymentGitSourceDeploymentsResponse200Type$outboundSchema = GetDeploymentGitSourceDeploymentsResponse200Type$inboundSchema;
  ((GetDeploymentGitSourceDeploymentsResponse200Type$) => {
    GetDeploymentGitSourceDeploymentsResponse200Type$.inboundSchema = GetDeploymentGitSourceDeploymentsResponse200Type$inboundSchema;
    GetDeploymentGitSourceDeploymentsResponse200Type$.outboundSchema = GetDeploymentGitSourceDeploymentsResponse200Type$outboundSchema;
  })(GetDeploymentGitSourceDeploymentsResponse200Type$ ||= {});
  GetDeploymentGitSourceProjectId$inboundSchema = unionType([stringType(), numberType()]);
  GetDeploymentGitSourceProjectId$outboundSchema = unionType([stringType(), numberType()]);
  ((GetDeploymentGitSourceProjectId$) => {
    GetDeploymentGitSourceProjectId$.inboundSchema = GetDeploymentGitSourceProjectId$inboundSchema;
    GetDeploymentGitSourceProjectId$.outboundSchema = GetDeploymentGitSourceProjectId$outboundSchema;
  })(GetDeploymentGitSourceProjectId$ ||= {});
  GetDeploymentGitSourceDeployments5$inboundSchema = objectType({
    type: GetDeploymentGitSourceDeploymentsResponse200Type$inboundSchema,
    projectId: unionType([stringType(), numberType()]),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  GetDeploymentGitSourceDeployments5$outboundSchema = objectType({
    type: GetDeploymentGitSourceDeploymentsResponse200Type$outboundSchema,
    projectId: unionType([stringType(), numberType()]),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  ((GetDeploymentGitSourceDeployments5$) => {
    GetDeploymentGitSourceDeployments5$.inboundSchema = GetDeploymentGitSourceDeployments5$inboundSchema;
    GetDeploymentGitSourceDeployments5$.outboundSchema = GetDeploymentGitSourceDeployments5$outboundSchema;
  })(GetDeploymentGitSourceDeployments5$ ||= {});
  GetDeploymentGitSourceDeploymentsResponseType$inboundSchema = nativeEnumType(GetDeploymentGitSourceDeploymentsResponseType);
  GetDeploymentGitSourceDeploymentsResponseType$outboundSchema = GetDeploymentGitSourceDeploymentsResponseType$inboundSchema;
  ((GetDeploymentGitSourceDeploymentsResponseType$) => {
    GetDeploymentGitSourceDeploymentsResponseType$.inboundSchema = GetDeploymentGitSourceDeploymentsResponseType$inboundSchema;
    GetDeploymentGitSourceDeploymentsResponseType$.outboundSchema = GetDeploymentGitSourceDeploymentsResponseType$outboundSchema;
  })(GetDeploymentGitSourceDeploymentsResponseType$ ||= {});
  GetDeploymentGitSourceDeployments4$inboundSchema = objectType({
    type: GetDeploymentGitSourceDeploymentsResponseType$inboundSchema,
    host: stringType(),
    org: stringType(),
    repo: stringType(),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  GetDeploymentGitSourceDeployments4$outboundSchema = objectType({
    type: GetDeploymentGitSourceDeploymentsResponseType$outboundSchema,
    host: stringType(),
    org: stringType(),
    repo: stringType(),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  ((GetDeploymentGitSourceDeployments4$) => {
    GetDeploymentGitSourceDeployments4$.inboundSchema = GetDeploymentGitSourceDeployments4$inboundSchema;
    GetDeploymentGitSourceDeployments4$.outboundSchema = GetDeploymentGitSourceDeployments4$outboundSchema;
  })(GetDeploymentGitSourceDeployments4$ ||= {});
  GetDeploymentGitSourceDeploymentsType$inboundSchema = nativeEnumType(GetDeploymentGitSourceDeploymentsType);
  GetDeploymentGitSourceDeploymentsType$outboundSchema = GetDeploymentGitSourceDeploymentsType$inboundSchema;
  ((GetDeploymentGitSourceDeploymentsType$) => {
    GetDeploymentGitSourceDeploymentsType$.inboundSchema = GetDeploymentGitSourceDeploymentsType$inboundSchema;
    GetDeploymentGitSourceDeploymentsType$.outboundSchema = GetDeploymentGitSourceDeploymentsType$outboundSchema;
  })(GetDeploymentGitSourceDeploymentsType$ ||= {});
  GetDeploymentGitSourceDeploymentsResponse200RepoId$inboundSchema = unionType([stringType(), numberType()]);
  GetDeploymentGitSourceDeploymentsResponse200RepoId$outboundSchema = unionType([stringType(), numberType()]);
  ((GetDeploymentGitSourceDeploymentsResponse200RepoId$) => {
    GetDeploymentGitSourceDeploymentsResponse200RepoId$.inboundSchema = GetDeploymentGitSourceDeploymentsResponse200RepoId$inboundSchema;
    GetDeploymentGitSourceDeploymentsResponse200RepoId$.outboundSchema = GetDeploymentGitSourceDeploymentsResponse200RepoId$outboundSchema;
  })(GetDeploymentGitSourceDeploymentsResponse200RepoId$ ||= {});
  GetDeploymentGitSourceDeployments3$inboundSchema = objectType({
    type: GetDeploymentGitSourceDeploymentsType$inboundSchema,
    host: stringType(),
    repoId: unionType([stringType(), numberType()]),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  GetDeploymentGitSourceDeployments3$outboundSchema = objectType({
    type: GetDeploymentGitSourceDeploymentsType$outboundSchema,
    host: stringType(),
    repoId: unionType([stringType(), numberType()]),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  ((GetDeploymentGitSourceDeployments3$) => {
    GetDeploymentGitSourceDeployments3$.inboundSchema = GetDeploymentGitSourceDeployments3$inboundSchema;
    GetDeploymentGitSourceDeployments3$.outboundSchema = GetDeploymentGitSourceDeployments3$outboundSchema;
  })(GetDeploymentGitSourceDeployments3$ ||= {});
  GetDeploymentGitSourceType$inboundSchema = nativeEnumType(GetDeploymentGitSourceType);
  GetDeploymentGitSourceType$outboundSchema = GetDeploymentGitSourceType$inboundSchema;
  ((GetDeploymentGitSourceType$) => {
    GetDeploymentGitSourceType$.inboundSchema = GetDeploymentGitSourceType$inboundSchema;
    GetDeploymentGitSourceType$.outboundSchema = GetDeploymentGitSourceType$outboundSchema;
  })(GetDeploymentGitSourceType$ ||= {});
  GetDeploymentGitSourceDeployments2$inboundSchema = objectType({
    type: GetDeploymentGitSourceType$inboundSchema,
    org: stringType(),
    repo: stringType(),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  GetDeploymentGitSourceDeployments2$outboundSchema = objectType({
    type: GetDeploymentGitSourceType$outboundSchema,
    org: stringType(),
    repo: stringType(),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  ((GetDeploymentGitSourceDeployments2$) => {
    GetDeploymentGitSourceDeployments2$.inboundSchema = GetDeploymentGitSourceDeployments2$inboundSchema;
    GetDeploymentGitSourceDeployments2$.outboundSchema = GetDeploymentGitSourceDeployments2$outboundSchema;
  })(GetDeploymentGitSourceDeployments2$ ||= {});
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type$inboundSchema = nativeEnumType(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type);
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type$outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type$inboundSchema;
  ((GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type$) => {
    GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type$.inboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type$inboundSchema;
    GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type$.outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type$outboundSchema;
  })(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type$ ||= {});
  GetDeploymentGitSourceDeploymentsResponseRepoId$inboundSchema = unionType([stringType(), numberType()]);
  GetDeploymentGitSourceDeploymentsResponseRepoId$outboundSchema = unionType([stringType(), numberType()]);
  ((GetDeploymentGitSourceDeploymentsResponseRepoId$) => {
    GetDeploymentGitSourceDeploymentsResponseRepoId$.inboundSchema = GetDeploymentGitSourceDeploymentsResponseRepoId$inboundSchema;
    GetDeploymentGitSourceDeploymentsResponseRepoId$.outboundSchema = GetDeploymentGitSourceDeploymentsResponseRepoId$outboundSchema;
  })(GetDeploymentGitSourceDeploymentsResponseRepoId$ ||= {});
  GetDeploymentGitSourceDeployments1$inboundSchema = objectType({
    type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type$inboundSchema,
    repoId: unionType([stringType(), numberType()]),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  GetDeploymentGitSourceDeployments1$outboundSchema = objectType({
    type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type$outboundSchema,
    repoId: unionType([stringType(), numberType()]),
    ref: nullableType(stringType()).optional(),
    sha: stringType().optional(),
    prId: nullableType(numberType()).optional()
  });
  ((GetDeploymentGitSourceDeployments1$) => {
    GetDeploymentGitSourceDeployments1$.inboundSchema = GetDeploymentGitSourceDeployments1$inboundSchema;
    GetDeploymentGitSourceDeployments1$.outboundSchema = GetDeploymentGitSourceDeployments1$outboundSchema;
  })(GetDeploymentGitSourceDeployments1$ ||= {});
  GetDeploymentResponseBodyGitSource$inboundSchema = unionType([
    lazyType(() => GetDeploymentGitSourceDeployments8$inboundSchema),
    lazyType(() => GetDeploymentGitSourceDeployments11$inboundSchema),
    lazyType(() => GetDeploymentGitSourceDeployments1$inboundSchema),
    lazyType(() => GetDeploymentGitSourceDeployments5$inboundSchema),
    lazyType(() => GetDeploymentGitSourceDeployments2$inboundSchema),
    lazyType(() => GetDeploymentGitSourceDeployments3$inboundSchema),
    lazyType(() => GetDeploymentGitSourceDeployments6$inboundSchema),
    lazyType(() => GetDeploymentGitSourceDeployments7$inboundSchema),
    lazyType(() => GetDeploymentGitSourceDeployments9$inboundSchema),
    lazyType(() => GetDeploymentGitSourceDeployments4$inboundSchema),
    lazyType(() => GetDeploymentGitSourceDeployments10$inboundSchema),
    lazyType(() => GetDeploymentGitSourceDeployments12$inboundSchema)
  ]);
  GetDeploymentResponseBodyGitSource$outboundSchema = unionType([
    lazyType(() => GetDeploymentGitSourceDeployments8$outboundSchema),
    lazyType(() => GetDeploymentGitSourceDeployments11$outboundSchema),
    lazyType(() => GetDeploymentGitSourceDeployments1$outboundSchema),
    lazyType(() => GetDeploymentGitSourceDeployments5$outboundSchema),
    lazyType(() => GetDeploymentGitSourceDeployments2$outboundSchema),
    lazyType(() => GetDeploymentGitSourceDeployments3$outboundSchema),
    lazyType(() => GetDeploymentGitSourceDeployments6$outboundSchema),
    lazyType(() => GetDeploymentGitSourceDeployments7$outboundSchema),
    lazyType(() => GetDeploymentGitSourceDeployments9$outboundSchema),
    lazyType(() => GetDeploymentGitSourceDeployments4$outboundSchema),
    lazyType(() => GetDeploymentGitSourceDeployments10$outboundSchema),
    lazyType(() => GetDeploymentGitSourceDeployments12$outboundSchema)
  ]);
  ((GetDeploymentResponseBodyGitSource$) => {
    GetDeploymentResponseBodyGitSource$.inboundSchema = GetDeploymentResponseBodyGitSource$inboundSchema;
    GetDeploymentResponseBodyGitSource$.outboundSchema = GetDeploymentResponseBodyGitSource$outboundSchema;
  })(GetDeploymentResponseBodyGitSource$ ||= {});
  ResponseBodyProject$inboundSchema = objectType({
    id: stringType(),
    name: stringType(),
    framework: nullableType(stringType()).optional()
  });
  ResponseBodyProject$outboundSchema = objectType({
    id: stringType(),
    name: stringType(),
    framework: nullableType(stringType()).optional()
  });
  ((ResponseBodyProject$) => {
    ResponseBodyProject$.inboundSchema = ResponseBodyProject$inboundSchema;
    ResponseBodyProject$.outboundSchema = ResponseBodyProject$outboundSchema;
  })(ResponseBodyProject$ ||= {});
  ResponseBodyReadySubstate$inboundSchema = nativeEnumType(ResponseBodyReadySubstate);
  ResponseBodyReadySubstate$outboundSchema = ResponseBodyReadySubstate$inboundSchema;
  ((ResponseBodyReadySubstate$) => {
    ResponseBodyReadySubstate$.inboundSchema = ResponseBodyReadySubstate$inboundSchema;
    ResponseBodyReadySubstate$.outboundSchema = ResponseBodyReadySubstate$outboundSchema;
  })(ResponseBodyReadySubstate$ ||= {});
  ResponseBodySource$inboundSchema = nativeEnumType(ResponseBodySource);
  ResponseBodySource$outboundSchema = ResponseBodySource$inboundSchema;
  ((ResponseBodySource$) => {
    ResponseBodySource$.inboundSchema = ResponseBodySource$inboundSchema;
    ResponseBodySource$.outboundSchema = ResponseBodySource$outboundSchema;
  })(ResponseBodySource$ ||= {});
  ResponseBodyTarget$inboundSchema = nativeEnumType(ResponseBodyTarget);
  ResponseBodyTarget$outboundSchema = ResponseBodyTarget$inboundSchema;
  ((ResponseBodyTarget$) => {
    ResponseBodyTarget$.inboundSchema = ResponseBodyTarget$inboundSchema;
    ResponseBodyTarget$.outboundSchema = ResponseBodyTarget$outboundSchema;
  })(ResponseBodyTarget$ ||= {});
  ResponseBodyOidcTokenClaims$inboundSchema = objectType({
    iss: stringType(),
    sub: stringType(),
    scope: stringType(),
    aud: stringType(),
    owner: stringType(),
    owner_id: stringType(),
    project: stringType(),
    project_id: stringType(),
    environment: stringType()
  }).transform((v2) => {
    return remap(v2, {
      owner_id: "ownerId",
      project_id: "projectId"
    });
  });
  ResponseBodyOidcTokenClaims$outboundSchema = objectType({
    iss: stringType(),
    sub: stringType(),
    scope: stringType(),
    aud: stringType(),
    owner: stringType(),
    ownerId: stringType(),
    project: stringType(),
    projectId: stringType(),
    environment: stringType()
  }).transform((v2) => {
    return remap(v2, {
      ownerId: "owner_id",
      projectId: "project_id"
    });
  });
  ((ResponseBodyOidcTokenClaims$) => {
    ResponseBodyOidcTokenClaims$.inboundSchema = ResponseBodyOidcTokenClaims$inboundSchema;
    ResponseBodyOidcTokenClaims$.outboundSchema = ResponseBodyOidcTokenClaims$outboundSchema;
  })(ResponseBodyOidcTokenClaims$ ||= {});
  ResponseBodyPlan$inboundSchema = nativeEnumType(ResponseBodyPlan);
  ResponseBodyPlan$outboundSchema = ResponseBodyPlan$inboundSchema;
  ((ResponseBodyPlan$) => {
    ResponseBodyPlan$.inboundSchema = ResponseBodyPlan$inboundSchema;
    ResponseBodyPlan$.outboundSchema = ResponseBodyPlan$outboundSchema;
  })(ResponseBodyPlan$ ||= {});
  ResponseBodyCrons$inboundSchema = objectType({
    schedule: stringType(),
    path: stringType()
  });
  ResponseBodyCrons$outboundSchema = objectType({
    schedule: stringType(),
    path: stringType()
  });
  ((ResponseBodyCrons$) => {
    ResponseBodyCrons$.inboundSchema = ResponseBodyCrons$inboundSchema;
    ResponseBodyCrons$.outboundSchema = ResponseBodyCrons$outboundSchema;
  })(ResponseBodyCrons$ ||= {});
  ResponseBodyFunctions$inboundSchema = objectType({
    memory: numberType().optional(),
    maxDuration: numberType().optional(),
    runtime: stringType().optional(),
    includeFiles: stringType().optional(),
    excludeFiles: stringType().optional()
  });
  ResponseBodyFunctions$outboundSchema = objectType({
    memory: numberType().optional(),
    maxDuration: numberType().optional(),
    runtime: stringType().optional(),
    includeFiles: stringType().optional(),
    excludeFiles: stringType().optional()
  });
  ((ResponseBodyFunctions$) => {
    ResponseBodyFunctions$.inboundSchema = ResponseBodyFunctions$inboundSchema;
    ResponseBodyFunctions$.outboundSchema = ResponseBodyFunctions$outboundSchema;
  })(ResponseBodyFunctions$ ||= {});
  GetDeploymentRoutes3$inboundSchema = objectType({
    src: stringType(),
    continue: booleanType(),
    middleware: numberType()
  });
  GetDeploymentRoutes3$outboundSchema = objectType({
    src: stringType(),
    continue: booleanType(),
    middleware: numberType()
  });
  ((GetDeploymentRoutes3$) => {
    GetDeploymentRoutes3$.inboundSchema = GetDeploymentRoutes3$inboundSchema;
    GetDeploymentRoutes3$.outboundSchema = GetDeploymentRoutes3$outboundSchema;
  })(GetDeploymentRoutes3$ ||= {});
  GetDeploymentRoutesHandle$inboundSchema = nativeEnumType(GetDeploymentRoutesHandle);
  GetDeploymentRoutesHandle$outboundSchema = GetDeploymentRoutesHandle$inboundSchema;
  ((GetDeploymentRoutesHandle$) => {
    GetDeploymentRoutesHandle$.inboundSchema = GetDeploymentRoutesHandle$inboundSchema;
    GetDeploymentRoutesHandle$.outboundSchema = GetDeploymentRoutesHandle$outboundSchema;
  })(GetDeploymentRoutesHandle$ ||= {});
  GetDeploymentRoutes2$inboundSchema = objectType({
    handle: GetDeploymentRoutesHandle$inboundSchema,
    src: stringType().optional(),
    dest: stringType().optional(),
    status: numberType().optional()
  });
  GetDeploymentRoutes2$outboundSchema = objectType({
    handle: GetDeploymentRoutesHandle$outboundSchema,
    src: stringType().optional(),
    dest: stringType().optional(),
    status: numberType().optional()
  });
  ((GetDeploymentRoutes2$) => {
    GetDeploymentRoutes2$.inboundSchema = GetDeploymentRoutes2$inboundSchema;
    GetDeploymentRoutes2$.outboundSchema = GetDeploymentRoutes2$outboundSchema;
  })(GetDeploymentRoutes2$ ||= {});
  GetDeploymentHasType$inboundSchema = nativeEnumType(GetDeploymentHasType);
  GetDeploymentHasType$outboundSchema = GetDeploymentHasType$inboundSchema;
  ((GetDeploymentHasType$) => {
    GetDeploymentHasType$.inboundSchema = GetDeploymentHasType$inboundSchema;
    GetDeploymentHasType$.outboundSchema = GetDeploymentHasType$outboundSchema;
  })(GetDeploymentHasType$ ||= {});
  GetDeploymentHas2$inboundSchema = objectType({
    type: GetDeploymentHasType$inboundSchema,
    key: stringType(),
    value: stringType().optional()
  });
  GetDeploymentHas2$outboundSchema = objectType({
    type: GetDeploymentHasType$outboundSchema,
    key: stringType(),
    value: stringType().optional()
  });
  ((GetDeploymentHas2$) => {
    GetDeploymentHas2$.inboundSchema = GetDeploymentHas2$inboundSchema;
    GetDeploymentHas2$.outboundSchema = GetDeploymentHas2$outboundSchema;
  })(GetDeploymentHas2$ ||= {});
  GetDeploymentHasDeploymentsType$inboundSchema = nativeEnumType(GetDeploymentHasDeploymentsType);
  GetDeploymentHasDeploymentsType$outboundSchema = GetDeploymentHasDeploymentsType$inboundSchema;
  ((GetDeploymentHasDeploymentsType$) => {
    GetDeploymentHasDeploymentsType$.inboundSchema = GetDeploymentHasDeploymentsType$inboundSchema;
    GetDeploymentHasDeploymentsType$.outboundSchema = GetDeploymentHasDeploymentsType$outboundSchema;
  })(GetDeploymentHasDeploymentsType$ ||= {});
  GetDeploymentHas1$inboundSchema = objectType({
    type: GetDeploymentHasDeploymentsType$inboundSchema,
    value: stringType()
  });
  GetDeploymentHas1$outboundSchema = objectType({
    type: GetDeploymentHasDeploymentsType$outboundSchema,
    value: stringType()
  });
  ((GetDeploymentHas1$) => {
    GetDeploymentHas1$.inboundSchema = GetDeploymentHas1$inboundSchema;
    GetDeploymentHas1$.outboundSchema = GetDeploymentHas1$outboundSchema;
  })(GetDeploymentHas1$ ||= {});
  GetDeploymentRoutesHas$inboundSchema = unionType([
    lazyType(() => GetDeploymentHas1$inboundSchema),
    lazyType(() => GetDeploymentHas2$inboundSchema)
  ]);
  GetDeploymentRoutesHas$outboundSchema = unionType([
    lazyType(() => GetDeploymentHas1$outboundSchema),
    lazyType(() => GetDeploymentHas2$outboundSchema)
  ]);
  ((GetDeploymentRoutesHas$) => {
    GetDeploymentRoutesHas$.inboundSchema = GetDeploymentRoutesHas$inboundSchema;
    GetDeploymentRoutesHas$.outboundSchema = GetDeploymentRoutesHas$outboundSchema;
  })(GetDeploymentRoutesHas$ ||= {});
  GetDeploymentMissingType$inboundSchema = nativeEnumType(GetDeploymentMissingType);
  GetDeploymentMissingType$outboundSchema = GetDeploymentMissingType$inboundSchema;
  ((GetDeploymentMissingType$) => {
    GetDeploymentMissingType$.inboundSchema = GetDeploymentMissingType$inboundSchema;
    GetDeploymentMissingType$.outboundSchema = GetDeploymentMissingType$outboundSchema;
  })(GetDeploymentMissingType$ ||= {});
  GetDeploymentMissing2$inboundSchema = objectType({
    type: GetDeploymentMissingType$inboundSchema,
    key: stringType(),
    value: stringType().optional()
  });
  GetDeploymentMissing2$outboundSchema = objectType({
    type: GetDeploymentMissingType$outboundSchema,
    key: stringType(),
    value: stringType().optional()
  });
  ((GetDeploymentMissing2$) => {
    GetDeploymentMissing2$.inboundSchema = GetDeploymentMissing2$inboundSchema;
    GetDeploymentMissing2$.outboundSchema = GetDeploymentMissing2$outboundSchema;
  })(GetDeploymentMissing2$ ||= {});
  GetDeploymentMissingDeploymentsType$inboundSchema = nativeEnumType(GetDeploymentMissingDeploymentsType);
  GetDeploymentMissingDeploymentsType$outboundSchema = GetDeploymentMissingDeploymentsType$inboundSchema;
  ((GetDeploymentMissingDeploymentsType$) => {
    GetDeploymentMissingDeploymentsType$.inboundSchema = GetDeploymentMissingDeploymentsType$inboundSchema;
    GetDeploymentMissingDeploymentsType$.outboundSchema = GetDeploymentMissingDeploymentsType$outboundSchema;
  })(GetDeploymentMissingDeploymentsType$ ||= {});
  GetDeploymentMissing1$inboundSchema = objectType({
    type: GetDeploymentMissingDeploymentsType$inboundSchema,
    value: stringType()
  });
  GetDeploymentMissing1$outboundSchema = objectType({
    type: GetDeploymentMissingDeploymentsType$outboundSchema,
    value: stringType()
  });
  ((GetDeploymentMissing1$) => {
    GetDeploymentMissing1$.inboundSchema = GetDeploymentMissing1$inboundSchema;
    GetDeploymentMissing1$.outboundSchema = GetDeploymentMissing1$outboundSchema;
  })(GetDeploymentMissing1$ ||= {});
  GetDeploymentRoutesMissing$inboundSchema = unionType([
    lazyType(() => GetDeploymentMissing1$inboundSchema),
    lazyType(() => GetDeploymentMissing2$inboundSchema)
  ]);
  GetDeploymentRoutesMissing$outboundSchema = unionType([
    lazyType(() => GetDeploymentMissing1$outboundSchema),
    lazyType(() => GetDeploymentMissing2$outboundSchema)
  ]);
  ((GetDeploymentRoutesMissing$) => {
    GetDeploymentRoutesMissing$.inboundSchema = GetDeploymentRoutesMissing$inboundSchema;
    GetDeploymentRoutesMissing$.outboundSchema = GetDeploymentRoutesMissing$outboundSchema;
  })(GetDeploymentRoutesMissing$ ||= {});
  GetDeploymentRoutesLocale$inboundSchema = objectType({
    redirect: recordType(stringType()).optional(),
    cookie: stringType().optional()
  });
  GetDeploymentRoutesLocale$outboundSchema = objectType({
    redirect: recordType(stringType()).optional(),
    cookie: stringType().optional()
  });
  ((GetDeploymentRoutesLocale$) => {
    GetDeploymentRoutesLocale$.inboundSchema = GetDeploymentRoutesLocale$inboundSchema;
    GetDeploymentRoutesLocale$.outboundSchema = GetDeploymentRoutesLocale$outboundSchema;
  })(GetDeploymentRoutesLocale$ ||= {});
  GetDeploymentRoutes1$inboundSchema = objectType({
    src: stringType(),
    dest: stringType().optional(),
    headers: recordType(stringType()).optional(),
    methods: arrayType(stringType()).optional(),
    continue: booleanType().optional(),
    override: booleanType().optional(),
    caseSensitive: booleanType().optional(),
    check: booleanType().optional(),
    important: booleanType().optional(),
    status: numberType().optional(),
    has: arrayType(unionType([
      lazyType(() => GetDeploymentHas1$inboundSchema),
      lazyType(() => GetDeploymentHas2$inboundSchema)
    ])).optional(),
    missing: arrayType(unionType([
      lazyType(() => GetDeploymentMissing1$inboundSchema),
      lazyType(() => GetDeploymentMissing2$inboundSchema)
    ])).optional(),
    locale: lazyType(() => GetDeploymentRoutesLocale$inboundSchema).optional(),
    middlewarePath: stringType().optional(),
    middlewareRawSrc: arrayType(stringType()).optional(),
    middleware: numberType().optional()
  });
  GetDeploymentRoutes1$outboundSchema = objectType({
    src: stringType(),
    dest: stringType().optional(),
    headers: recordType(stringType()).optional(),
    methods: arrayType(stringType()).optional(),
    continue: booleanType().optional(),
    override: booleanType().optional(),
    caseSensitive: booleanType().optional(),
    check: booleanType().optional(),
    important: booleanType().optional(),
    status: numberType().optional(),
    has: arrayType(unionType([
      lazyType(() => GetDeploymentHas1$outboundSchema),
      lazyType(() => GetDeploymentHas2$outboundSchema)
    ])).optional(),
    missing: arrayType(unionType([
      lazyType(() => GetDeploymentMissing1$outboundSchema),
      lazyType(() => GetDeploymentMissing2$outboundSchema)
    ])).optional(),
    locale: lazyType(() => GetDeploymentRoutesLocale$outboundSchema).optional(),
    middlewarePath: stringType().optional(),
    middlewareRawSrc: arrayType(stringType()).optional(),
    middleware: numberType().optional()
  });
  ((GetDeploymentRoutes1$) => {
    GetDeploymentRoutes1$.inboundSchema = GetDeploymentRoutes1$inboundSchema;
    GetDeploymentRoutes1$.outboundSchema = GetDeploymentRoutes1$outboundSchema;
  })(GetDeploymentRoutes1$ ||= {});
  ResponseBodyRoutes$inboundSchema = unionType([
    lazyType(() => GetDeploymentRoutes3$inboundSchema),
    lazyType(() => GetDeploymentRoutes2$inboundSchema),
    lazyType(() => GetDeploymentRoutes1$inboundSchema)
  ]);
  ResponseBodyRoutes$outboundSchema = unionType([
    lazyType(() => GetDeploymentRoutes3$outboundSchema),
    lazyType(() => GetDeploymentRoutes2$outboundSchema),
    lazyType(() => GetDeploymentRoutes1$outboundSchema)
  ]);
  ((ResponseBodyRoutes$) => {
    ResponseBodyRoutes$.inboundSchema = ResponseBodyRoutes$inboundSchema;
    ResponseBodyRoutes$.outboundSchema = ResponseBodyRoutes$outboundSchema;
  })(ResponseBodyRoutes$ ||= {});
  GetDeploymentGitRepoDeploymentsType$inboundSchema = nativeEnumType(GetDeploymentGitRepoDeploymentsType);
  GetDeploymentGitRepoDeploymentsType$outboundSchema = GetDeploymentGitRepoDeploymentsType$inboundSchema;
  ((GetDeploymentGitRepoDeploymentsType$) => {
    GetDeploymentGitRepoDeploymentsType$.inboundSchema = GetDeploymentGitRepoDeploymentsType$inboundSchema;
    GetDeploymentGitRepoDeploymentsType$.outboundSchema = GetDeploymentGitRepoDeploymentsType$outboundSchema;
  })(GetDeploymentGitRepoDeploymentsType$ ||= {});
  GetDeploymentGitRepoOwnerType$inboundSchema = nativeEnumType(GetDeploymentGitRepoOwnerType);
  GetDeploymentGitRepoOwnerType$outboundSchema = GetDeploymentGitRepoOwnerType$inboundSchema;
  ((GetDeploymentGitRepoOwnerType$) => {
    GetDeploymentGitRepoOwnerType$.inboundSchema = GetDeploymentGitRepoOwnerType$inboundSchema;
    GetDeploymentGitRepoOwnerType$.outboundSchema = GetDeploymentGitRepoOwnerType$outboundSchema;
  })(GetDeploymentGitRepoOwnerType$ ||= {});
  GetDeploymentGitRepo3$inboundSchema = objectType({
    owner: stringType(),
    repoUuid: stringType(),
    slug: stringType(),
    type: GetDeploymentGitRepoDeploymentsType$inboundSchema,
    workspaceUuid: stringType(),
    path: stringType(),
    defaultBranch: stringType(),
    name: stringType(),
    private: booleanType(),
    ownerType: GetDeploymentGitRepoOwnerType$inboundSchema
  });
  GetDeploymentGitRepo3$outboundSchema = objectType({
    owner: stringType(),
    repoUuid: stringType(),
    slug: stringType(),
    type: GetDeploymentGitRepoDeploymentsType$outboundSchema,
    workspaceUuid: stringType(),
    path: stringType(),
    defaultBranch: stringType(),
    name: stringType(),
    private: booleanType(),
    ownerType: GetDeploymentGitRepoOwnerType$outboundSchema
  });
  ((GetDeploymentGitRepo3$) => {
    GetDeploymentGitRepo3$.inboundSchema = GetDeploymentGitRepo3$inboundSchema;
    GetDeploymentGitRepo3$.outboundSchema = GetDeploymentGitRepo3$outboundSchema;
  })(GetDeploymentGitRepo3$ ||= {});
  GetDeploymentGitRepoType$inboundSchema = nativeEnumType(GetDeploymentGitRepoType);
  GetDeploymentGitRepoType$outboundSchema = GetDeploymentGitRepoType$inboundSchema;
  ((GetDeploymentGitRepoType$) => {
    GetDeploymentGitRepoType$.inboundSchema = GetDeploymentGitRepoType$inboundSchema;
    GetDeploymentGitRepoType$.outboundSchema = GetDeploymentGitRepoType$outboundSchema;
  })(GetDeploymentGitRepoType$ ||= {});
  GetDeploymentGitRepoDeploymentsResponseOwnerType$inboundSchema = nativeEnumType(GetDeploymentGitRepoDeploymentsResponseOwnerType);
  GetDeploymentGitRepoDeploymentsResponseOwnerType$outboundSchema = GetDeploymentGitRepoDeploymentsResponseOwnerType$inboundSchema;
  ((GetDeploymentGitRepoDeploymentsResponseOwnerType$) => {
    GetDeploymentGitRepoDeploymentsResponseOwnerType$.inboundSchema = GetDeploymentGitRepoDeploymentsResponseOwnerType$inboundSchema;
    GetDeploymentGitRepoDeploymentsResponseOwnerType$.outboundSchema = GetDeploymentGitRepoDeploymentsResponseOwnerType$outboundSchema;
  })(GetDeploymentGitRepoDeploymentsResponseOwnerType$ ||= {});
  GetDeploymentGitRepo2$inboundSchema = objectType({
    org: stringType(),
    repo: stringType(),
    repoId: numberType(),
    type: GetDeploymentGitRepoType$inboundSchema,
    repoOwnerId: numberType(),
    path: stringType(),
    defaultBranch: stringType(),
    name: stringType(),
    private: booleanType(),
    ownerType: GetDeploymentGitRepoDeploymentsResponseOwnerType$inboundSchema
  });
  GetDeploymentGitRepo2$outboundSchema = objectType({
    org: stringType(),
    repo: stringType(),
    repoId: numberType(),
    type: GetDeploymentGitRepoType$outboundSchema,
    repoOwnerId: numberType(),
    path: stringType(),
    defaultBranch: stringType(),
    name: stringType(),
    private: booleanType(),
    ownerType: GetDeploymentGitRepoDeploymentsResponseOwnerType$outboundSchema
  });
  ((GetDeploymentGitRepo2$) => {
    GetDeploymentGitRepo2$.inboundSchema = GetDeploymentGitRepo2$inboundSchema;
    GetDeploymentGitRepo2$.outboundSchema = GetDeploymentGitRepo2$outboundSchema;
  })(GetDeploymentGitRepo2$ ||= {});
  GetDeploymentGitRepoDeploymentsResponseType$inboundSchema = nativeEnumType(GetDeploymentGitRepoDeploymentsResponseType);
  GetDeploymentGitRepoDeploymentsResponseType$outboundSchema = GetDeploymentGitRepoDeploymentsResponseType$inboundSchema;
  ((GetDeploymentGitRepoDeploymentsResponseType$) => {
    GetDeploymentGitRepoDeploymentsResponseType$.inboundSchema = GetDeploymentGitRepoDeploymentsResponseType$inboundSchema;
    GetDeploymentGitRepoDeploymentsResponseType$.outboundSchema = GetDeploymentGitRepoDeploymentsResponseType$outboundSchema;
  })(GetDeploymentGitRepoDeploymentsResponseType$ ||= {});
  GetDeploymentGitRepoDeploymentsOwnerType$inboundSchema = nativeEnumType(GetDeploymentGitRepoDeploymentsOwnerType);
  GetDeploymentGitRepoDeploymentsOwnerType$outboundSchema = GetDeploymentGitRepoDeploymentsOwnerType$inboundSchema;
  ((GetDeploymentGitRepoDeploymentsOwnerType$) => {
    GetDeploymentGitRepoDeploymentsOwnerType$.inboundSchema = GetDeploymentGitRepoDeploymentsOwnerType$inboundSchema;
    GetDeploymentGitRepoDeploymentsOwnerType$.outboundSchema = GetDeploymentGitRepoDeploymentsOwnerType$outboundSchema;
  })(GetDeploymentGitRepoDeploymentsOwnerType$ ||= {});
  GetDeploymentGitRepo1$inboundSchema = objectType({
    namespace: stringType(),
    projectId: numberType(),
    type: GetDeploymentGitRepoDeploymentsResponseType$inboundSchema,
    url: stringType(),
    path: stringType(),
    defaultBranch: stringType(),
    name: stringType(),
    private: booleanType(),
    ownerType: GetDeploymentGitRepoDeploymentsOwnerType$inboundSchema
  });
  GetDeploymentGitRepo1$outboundSchema = objectType({
    namespace: stringType(),
    projectId: numberType(),
    type: GetDeploymentGitRepoDeploymentsResponseType$outboundSchema,
    url: stringType(),
    path: stringType(),
    defaultBranch: stringType(),
    name: stringType(),
    private: booleanType(),
    ownerType: GetDeploymentGitRepoDeploymentsOwnerType$outboundSchema
  });
  ((GetDeploymentGitRepo1$) => {
    GetDeploymentGitRepo1$.inboundSchema = GetDeploymentGitRepo1$inboundSchema;
    GetDeploymentGitRepo1$.outboundSchema = GetDeploymentGitRepo1$outboundSchema;
  })(GetDeploymentGitRepo1$ ||= {});
  ResponseBodyGitRepo$inboundSchema = unionType([
    lazyType(() => GetDeploymentGitRepo1$inboundSchema),
    lazyType(() => GetDeploymentGitRepo2$inboundSchema),
    lazyType(() => GetDeploymentGitRepo3$inboundSchema)
  ]);
  ResponseBodyGitRepo$outboundSchema = unionType([
    lazyType(() => GetDeploymentGitRepo1$outboundSchema),
    lazyType(() => GetDeploymentGitRepo2$outboundSchema),
    lazyType(() => GetDeploymentGitRepo3$outboundSchema)
  ]);
  ((ResponseBodyGitRepo$) => {
    ResponseBodyGitRepo$.inboundSchema = ResponseBodyGitRepo$inboundSchema;
    ResponseBodyGitRepo$.outboundSchema = ResponseBodyGitRepo$outboundSchema;
  })(ResponseBodyGitRepo$ ||= {});
  GetDeploymentFlags2$inboundSchema = objectType({});
  GetDeploymentFlags2$outboundSchema = objectType({});
  ((GetDeploymentFlags2$) => {
    GetDeploymentFlags2$.inboundSchema = GetDeploymentFlags2$inboundSchema;
    GetDeploymentFlags2$.outboundSchema = GetDeploymentFlags2$outboundSchema;
  })(GetDeploymentFlags2$ ||= {});
  GetDeploymentFlagsOptions$inboundSchema = objectType({
    value: nullableType(FlagJSONValue$inboundSchema),
    label: stringType().optional()
  });
  GetDeploymentFlagsOptions$outboundSchema = objectType({
    value: nullableType(FlagJSONValue$outboundSchema),
    label: stringType().optional()
  });
  ((GetDeploymentFlagsOptions$) => {
    GetDeploymentFlagsOptions$.inboundSchema = GetDeploymentFlagsOptions$inboundSchema;
    GetDeploymentFlagsOptions$.outboundSchema = GetDeploymentFlagsOptions$outboundSchema;
  })(GetDeploymentFlagsOptions$ ||= {});
  GetDeploymentFlagsDefinitions$inboundSchema = objectType({
    options: arrayType(lazyType(() => GetDeploymentFlagsOptions$inboundSchema)).optional(),
    url: stringType().optional(),
    description: stringType().optional()
  });
  GetDeploymentFlagsDefinitions$outboundSchema = objectType({
    options: arrayType(lazyType(() => GetDeploymentFlagsOptions$outboundSchema)).optional(),
    url: stringType().optional(),
    description: stringType().optional()
  });
  ((GetDeploymentFlagsDefinitions$) => {
    GetDeploymentFlagsDefinitions$.inboundSchema = GetDeploymentFlagsDefinitions$inboundSchema;
    GetDeploymentFlagsDefinitions$.outboundSchema = GetDeploymentFlagsDefinitions$outboundSchema;
  })(GetDeploymentFlagsDefinitions$ ||= {});
  GetDeploymentFlags1$inboundSchema = objectType({
    definitions: recordType(lazyType(() => GetDeploymentFlagsDefinitions$inboundSchema))
  });
  GetDeploymentFlags1$outboundSchema = objectType({
    definitions: recordType(lazyType(() => GetDeploymentFlagsDefinitions$outboundSchema))
  });
  ((GetDeploymentFlags1$) => {
    GetDeploymentFlags1$.inboundSchema = GetDeploymentFlags1$inboundSchema;
    GetDeploymentFlags1$.outboundSchema = GetDeploymentFlags1$outboundSchema;
  })(GetDeploymentFlags1$ ||= {});
  ResponseBodyFlags$inboundSchema = unionType([
    lazyType(() => GetDeploymentFlags1$inboundSchema),
    arrayType(lazyType(() => GetDeploymentFlags2$inboundSchema))
  ]);
  ResponseBodyFlags$outboundSchema = unionType([
    lazyType(() => GetDeploymentFlags1$outboundSchema),
    arrayType(lazyType(() => GetDeploymentFlags2$outboundSchema))
  ]);
  ((ResponseBodyFlags$) => {
    ResponseBodyFlags$.inboundSchema = ResponseBodyFlags$inboundSchema;
    ResponseBodyFlags$.outboundSchema = ResponseBodyFlags$outboundSchema;
  })(ResponseBodyFlags$ ||= {});
  GetDeploymentMicrofrontendsApplications$inboundSchema = objectType({
    productionHost: stringType(),
    deploymentAlias: stringType().optional(),
    deploymentHost: stringType().optional()
  });
  GetDeploymentMicrofrontendsApplications$outboundSchema = objectType({
    productionHost: stringType(),
    deploymentAlias: stringType().optional(),
    deploymentHost: stringType().optional()
  });
  ((GetDeploymentMicrofrontendsApplications$) => {
    GetDeploymentMicrofrontendsApplications$.inboundSchema = GetDeploymentMicrofrontendsApplications$inboundSchema;
    GetDeploymentMicrofrontendsApplications$.outboundSchema = GetDeploymentMicrofrontendsApplications$outboundSchema;
  })(GetDeploymentMicrofrontendsApplications$ ||= {});
  GetDeploymentMicrofrontends2$inboundSchema = objectType({
    applications: recordType(lazyType(() => GetDeploymentMicrofrontendsApplications$inboundSchema)).optional(),
    isDefaultApp: booleanType(),
    defaultAppProjectName: stringType(),
    defaultRoute: stringType().optional(),
    groupIds: arrayType(stringType())
  });
  GetDeploymentMicrofrontends2$outboundSchema = objectType({
    applications: recordType(lazyType(() => GetDeploymentMicrofrontendsApplications$outboundSchema)).optional(),
    isDefaultApp: booleanType(),
    defaultAppProjectName: stringType(),
    defaultRoute: stringType().optional(),
    groupIds: arrayType(stringType())
  });
  ((GetDeploymentMicrofrontends2$) => {
    GetDeploymentMicrofrontends2$.inboundSchema = GetDeploymentMicrofrontends2$inboundSchema;
    GetDeploymentMicrofrontends2$.outboundSchema = GetDeploymentMicrofrontends2$outboundSchema;
  })(GetDeploymentMicrofrontends2$ ||= {});
  GetDeploymentMicrofrontends1$inboundSchema = objectType({
    isDefaultApp: booleanType().optional(),
    defaultAppProjectName: stringType(),
    defaultRoute: stringType().optional(),
    groupIds: arrayType(stringType())
  });
  GetDeploymentMicrofrontends1$outboundSchema = objectType({
    isDefaultApp: booleanType().optional(),
    defaultAppProjectName: stringType(),
    defaultRoute: stringType().optional(),
    groupIds: arrayType(stringType())
  });
  ((GetDeploymentMicrofrontends1$) => {
    GetDeploymentMicrofrontends1$.inboundSchema = GetDeploymentMicrofrontends1$inboundSchema;
    GetDeploymentMicrofrontends1$.outboundSchema = GetDeploymentMicrofrontends1$outboundSchema;
  })(GetDeploymentMicrofrontends1$ ||= {});
  ResponseBodyMicrofrontends$inboundSchema = unionType([
    lazyType(() => GetDeploymentMicrofrontends1$inboundSchema),
    lazyType(() => GetDeploymentMicrofrontends2$inboundSchema)
  ]);
  ResponseBodyMicrofrontends$outboundSchema = unionType([
    lazyType(() => GetDeploymentMicrofrontends1$outboundSchema),
    lazyType(() => GetDeploymentMicrofrontends2$outboundSchema)
  ]);
  ((ResponseBodyMicrofrontends$) => {
    ResponseBodyMicrofrontends$.inboundSchema = ResponseBodyMicrofrontends$inboundSchema;
    ResponseBodyMicrofrontends$.outboundSchema = ResponseBodyMicrofrontends$outboundSchema;
  })(ResponseBodyMicrofrontends$ ||= {});
  ResponseBodyFunctionType$inboundSchema = nativeEnumType(ResponseBodyFunctionType);
  ResponseBodyFunctionType$outboundSchema = ResponseBodyFunctionType$inboundSchema;
  ((ResponseBodyFunctionType$) => {
    ResponseBodyFunctionType$.inboundSchema = ResponseBodyFunctionType$inboundSchema;
    ResponseBodyFunctionType$.outboundSchema = ResponseBodyFunctionType$outboundSchema;
  })(ResponseBodyFunctionType$ ||= {});
  ResponseBodyFunctionMemoryType$inboundSchema = nativeEnumType(ResponseBodyFunctionMemoryType);
  ResponseBodyFunctionMemoryType$outboundSchema = ResponseBodyFunctionMemoryType$inboundSchema;
  ((ResponseBodyFunctionMemoryType$) => {
    ResponseBodyFunctionMemoryType$.inboundSchema = ResponseBodyFunctionMemoryType$inboundSchema;
    ResponseBodyFunctionMemoryType$.outboundSchema = ResponseBodyFunctionMemoryType$outboundSchema;
  })(ResponseBodyFunctionMemoryType$ ||= {});
  ResponseBodyConfig$inboundSchema = objectType({
    version: numberType().optional(),
    functionType: ResponseBodyFunctionType$inboundSchema,
    functionMemoryType: ResponseBodyFunctionMemoryType$inboundSchema,
    functionTimeout: nullableType(numberType()),
    secureComputePrimaryRegion: nullableType(stringType()),
    secureComputeFallbackRegion: nullableType(stringType())
  });
  ResponseBodyConfig$outboundSchema = objectType({
    version: numberType().optional(),
    functionType: ResponseBodyFunctionType$outboundSchema,
    functionMemoryType: ResponseBodyFunctionMemoryType$outboundSchema,
    functionTimeout: nullableType(numberType()),
    secureComputePrimaryRegion: nullableType(stringType()),
    secureComputeFallbackRegion: nullableType(stringType())
  });
  ((ResponseBodyConfig$) => {
    ResponseBodyConfig$.inboundSchema = ResponseBodyConfig$inboundSchema;
    ResponseBodyConfig$.outboundSchema = ResponseBodyConfig$outboundSchema;
  })(ResponseBodyConfig$ ||= {});
  GetDeploymentResponseBody1$inboundSchema = objectType({
    aliasAssignedAt: nullableType(unionType([numberType(), booleanType()])).optional(),
    alwaysRefuseToBuild: booleanType().optional(),
    build: lazyType(() => ResponseBodyBuild$inboundSchema),
    buildArtifactUrls: arrayType(stringType()).optional(),
    builds: arrayType(lazyType(() => ResponseBodyBuilds$inboundSchema)).optional(),
    env: arrayType(stringType()),
    inspectorUrl: nullableType(stringType()),
    isInConcurrentBuildsQueue: booleanType(),
    isInSystemBuildsQueue: booleanType(),
    projectSettings: lazyType(() => ResponseBodyProjectSettings$inboundSchema),
    readyStateReason: stringType().optional(),
    integrations: lazyType(() => ResponseBodyIntegrations$inboundSchema).optional(),
    images: lazyType(() => ResponseBodyImages$inboundSchema).optional(),
    alias: arrayType(stringType()).optional(),
    aliasAssigned: booleanType(),
    bootedAt: numberType(),
    buildingAt: numberType(),
    buildContainerFinishedAt: numberType().optional(),
    buildSkipped: booleanType(),
    creator: lazyType(() => ResponseBodyCreator$inboundSchema),
    initReadyAt: numberType().optional(),
    isFirstBranchDeployment: booleanType().optional(),
    lambdas: arrayType(lazyType(() => GetDeploymentResponseBodyLambdas$inboundSchema)).optional(),
    public: booleanType(),
    ready: numberType().optional(),
    status: ResponseBodyStatus$inboundSchema,
    team: lazyType(() => GetDeploymentResponseBodyTeam$inboundSchema).optional(),
    userAliases: arrayType(stringType()).optional(),
    previewCommentsEnabled: booleanType().optional(),
    ttyBuildLogs: booleanType().optional(),
    customEnvironment: unionType([
      lazyType(() => GetDeploymentCustomEnvironmentDeployments2$inboundSchema),
      lazyType(() => GetDeploymentCustomEnvironmentDeployments1$inboundSchema)
    ]).optional(),
    aliasWarning: nullableType(lazyType(() => GetDeploymentResponseBodyAliasWarning$inboundSchema)).optional(),
    id: stringType(),
    name: stringType(),
    type: GetDeploymentResponseBodyType$inboundSchema,
    createdAt: numberType(),
    readyState: ResponseBodyReadyState$inboundSchema,
    aliasError: nullableType(lazyType(() => ResponseBodyAliasError$inboundSchema)).optional(),
    aliasFinal: nullableType(stringType()).optional(),
    autoAssignCustomDomains: booleanType().optional(),
    automaticAliases: arrayType(stringType()).optional(),
    buildErrorAt: numberType().optional(),
    checksState: ResponseBodyChecksState$inboundSchema.optional(),
    checksConclusion: ResponseBodyChecksConclusion$inboundSchema.optional(),
    deletedAt: nullableType(numberType()).optional(),
    defaultRoute: stringType().optional(),
    canceledAt: numberType().optional(),
    errorCode: stringType().optional(),
    errorLink: stringType().optional(),
    errorMessage: nullableType(stringType()).optional(),
    errorStep: stringType().optional(),
    passiveRegions: arrayType(stringType()).optional(),
    gitSource: unionType([
      lazyType(() => GetDeploymentGitSourceDeployments8$inboundSchema),
      lazyType(() => GetDeploymentGitSourceDeployments11$inboundSchema),
      lazyType(() => GetDeploymentGitSourceDeployments1$inboundSchema),
      lazyType(() => GetDeploymentGitSourceDeployments5$inboundSchema),
      lazyType(() => GetDeploymentGitSourceDeployments2$inboundSchema),
      lazyType(() => GetDeploymentGitSourceDeployments3$inboundSchema),
      lazyType(() => GetDeploymentGitSourceDeployments6$inboundSchema),
      lazyType(() => GetDeploymentGitSourceDeployments7$inboundSchema),
      lazyType(() => GetDeploymentGitSourceDeployments9$inboundSchema),
      lazyType(() => GetDeploymentGitSourceDeployments4$inboundSchema),
      lazyType(() => GetDeploymentGitSourceDeployments10$inboundSchema),
      lazyType(() => GetDeploymentGitSourceDeployments12$inboundSchema)
    ]).optional(),
    meta: recordType(stringType()),
    originCacheRegion: stringType().optional(),
    project: lazyType(() => ResponseBodyProject$inboundSchema).optional(),
    readySubstate: ResponseBodyReadySubstate$inboundSchema.optional(),
    regions: arrayType(stringType()),
    softDeletedByRetention: booleanType().optional(),
    source: ResponseBodySource$inboundSchema.optional(),
    target: nullableType(ResponseBodyTarget$inboundSchema).optional(),
    undeletedAt: numberType().optional(),
    url: stringType(),
    version: numberType(),
    oidcTokenClaims: lazyType(() => ResponseBodyOidcTokenClaims$inboundSchema).optional(),
    projectId: stringType(),
    plan: ResponseBodyPlan$inboundSchema,
    connectBuildsEnabled: booleanType().optional(),
    connectConfigurationId: stringType().optional(),
    createdIn: stringType(),
    crons: arrayType(lazyType(() => ResponseBodyCrons$inboundSchema)).optional(),
    functions: nullableType(recordType(lazyType(() => ResponseBodyFunctions$inboundSchema))).optional(),
    monorepoManager: nullableType(stringType()).optional(),
    ownerId: stringType(),
    passiveConnectConfigurationId: stringType().optional(),
    routes: nullableType(arrayType(unionType([
      lazyType(() => GetDeploymentRoutes3$inboundSchema),
      lazyType(() => GetDeploymentRoutes2$inboundSchema),
      lazyType(() => GetDeploymentRoutes1$inboundSchema)
    ]))),
    gitRepo: nullableType(unionType([
      lazyType(() => GetDeploymentGitRepo1$inboundSchema),
      lazyType(() => GetDeploymentGitRepo2$inboundSchema),
      lazyType(() => GetDeploymentGitRepo3$inboundSchema)
    ])).optional(),
    flags: unionType([
      lazyType(() => GetDeploymentFlags1$inboundSchema),
      arrayType(lazyType(() => GetDeploymentFlags2$inboundSchema))
    ]).optional(),
    microfrontends: unionType([
      lazyType(() => GetDeploymentMicrofrontends1$inboundSchema),
      lazyType(() => GetDeploymentMicrofrontends2$inboundSchema)
    ]).optional(),
    config: lazyType(() => ResponseBodyConfig$inboundSchema).optional()
  });
  GetDeploymentResponseBody1$outboundSchema = objectType({
    aliasAssignedAt: nullableType(unionType([numberType(), booleanType()])).optional(),
    alwaysRefuseToBuild: booleanType().optional(),
    build: lazyType(() => ResponseBodyBuild$outboundSchema),
    buildArtifactUrls: arrayType(stringType()).optional(),
    builds: arrayType(lazyType(() => ResponseBodyBuilds$outboundSchema)).optional(),
    env: arrayType(stringType()),
    inspectorUrl: nullableType(stringType()),
    isInConcurrentBuildsQueue: booleanType(),
    isInSystemBuildsQueue: booleanType(),
    projectSettings: lazyType(() => ResponseBodyProjectSettings$outboundSchema),
    readyStateReason: stringType().optional(),
    integrations: lazyType(() => ResponseBodyIntegrations$outboundSchema).optional(),
    images: lazyType(() => ResponseBodyImages$outboundSchema).optional(),
    alias: arrayType(stringType()).optional(),
    aliasAssigned: booleanType(),
    bootedAt: numberType(),
    buildingAt: numberType(),
    buildContainerFinishedAt: numberType().optional(),
    buildSkipped: booleanType(),
    creator: lazyType(() => ResponseBodyCreator$outboundSchema),
    initReadyAt: numberType().optional(),
    isFirstBranchDeployment: booleanType().optional(),
    lambdas: arrayType(lazyType(() => GetDeploymentResponseBodyLambdas$outboundSchema)).optional(),
    public: booleanType(),
    ready: numberType().optional(),
    status: ResponseBodyStatus$outboundSchema,
    team: lazyType(() => GetDeploymentResponseBodyTeam$outboundSchema).optional(),
    userAliases: arrayType(stringType()).optional(),
    previewCommentsEnabled: booleanType().optional(),
    ttyBuildLogs: booleanType().optional(),
    customEnvironment: unionType([
      lazyType(() => GetDeploymentCustomEnvironmentDeployments2$outboundSchema),
      lazyType(() => GetDeploymentCustomEnvironmentDeployments1$outboundSchema)
    ]).optional(),
    aliasWarning: nullableType(lazyType(() => GetDeploymentResponseBodyAliasWarning$outboundSchema)).optional(),
    id: stringType(),
    name: stringType(),
    type: GetDeploymentResponseBodyType$outboundSchema,
    createdAt: numberType(),
    readyState: ResponseBodyReadyState$outboundSchema,
    aliasError: nullableType(lazyType(() => ResponseBodyAliasError$outboundSchema)).optional(),
    aliasFinal: nullableType(stringType()).optional(),
    autoAssignCustomDomains: booleanType().optional(),
    automaticAliases: arrayType(stringType()).optional(),
    buildErrorAt: numberType().optional(),
    checksState: ResponseBodyChecksState$outboundSchema.optional(),
    checksConclusion: ResponseBodyChecksConclusion$outboundSchema.optional(),
    deletedAt: nullableType(numberType()).optional(),
    defaultRoute: stringType().optional(),
    canceledAt: numberType().optional(),
    errorCode: stringType().optional(),
    errorLink: stringType().optional(),
    errorMessage: nullableType(stringType()).optional(),
    errorStep: stringType().optional(),
    passiveRegions: arrayType(stringType()).optional(),
    gitSource: unionType([
      lazyType(() => GetDeploymentGitSourceDeployments8$outboundSchema),
      lazyType(() => GetDeploymentGitSourceDeployments11$outboundSchema),
      lazyType(() => GetDeploymentGitSourceDeployments1$outboundSchema),
      lazyType(() => GetDeploymentGitSourceDeployments5$outboundSchema),
      lazyType(() => GetDeploymentGitSourceDeployments2$outboundSchema),
      lazyType(() => GetDeploymentGitSourceDeployments3$outboundSchema),
      lazyType(() => GetDeploymentGitSourceDeployments6$outboundSchema),
      lazyType(() => GetDeploymentGitSourceDeployments7$outboundSchema),
      lazyType(() => GetDeploymentGitSourceDeployments9$outboundSchema),
      lazyType(() => GetDeploymentGitSourceDeployments4$outboundSchema),
      lazyType(() => GetDeploymentGitSourceDeployments10$outboundSchema),
      lazyType(() => GetDeploymentGitSourceDeployments12$outboundSchema)
    ]).optional(),
    meta: recordType(stringType()),
    originCacheRegion: stringType().optional(),
    project: lazyType(() => ResponseBodyProject$outboundSchema).optional(),
    readySubstate: ResponseBodyReadySubstate$outboundSchema.optional(),
    regions: arrayType(stringType()),
    softDeletedByRetention: booleanType().optional(),
    source: ResponseBodySource$outboundSchema.optional(),
    target: nullableType(ResponseBodyTarget$outboundSchema).optional(),
    undeletedAt: numberType().optional(),
    url: stringType(),
    version: numberType(),
    oidcTokenClaims: lazyType(() => ResponseBodyOidcTokenClaims$outboundSchema).optional(),
    projectId: stringType(),
    plan: ResponseBodyPlan$outboundSchema,
    connectBuildsEnabled: booleanType().optional(),
    connectConfigurationId: stringType().optional(),
    createdIn: stringType(),
    crons: arrayType(lazyType(() => ResponseBodyCrons$outboundSchema)).optional(),
    functions: nullableType(recordType(lazyType(() => ResponseBodyFunctions$outboundSchema))).optional(),
    monorepoManager: nullableType(stringType()).optional(),
    ownerId: stringType(),
    passiveConnectConfigurationId: stringType().optional(),
    routes: nullableType(arrayType(unionType([
      lazyType(() => GetDeploymentRoutes3$outboundSchema),
      lazyType(() => GetDeploymentRoutes2$outboundSchema),
      lazyType(() => GetDeploymentRoutes1$outboundSchema)
    ]))),
    gitRepo: nullableType(unionType([
      lazyType(() => GetDeploymentGitRepo1$outboundSchema),
      lazyType(() => GetDeploymentGitRepo2$outboundSchema),
      lazyType(() => GetDeploymentGitRepo3$outboundSchema)
    ])).optional(),
    flags: unionType([
      lazyType(() => GetDeploymentFlags1$outboundSchema),
      arrayType(lazyType(() => GetDeploymentFlags2$outboundSchema))
    ]).optional(),
    microfrontends: unionType([
      lazyType(() => GetDeploymentMicrofrontends1$outboundSchema),
      lazyType(() => GetDeploymentMicrofrontends2$outboundSchema)
    ]).optional(),
    config: lazyType(() => ResponseBodyConfig$outboundSchema).optional()
  });
  ((GetDeploymentResponseBody1$) => {
    GetDeploymentResponseBody1$.inboundSchema = GetDeploymentResponseBody1$inboundSchema;
    GetDeploymentResponseBody1$.outboundSchema = GetDeploymentResponseBody1$outboundSchema;
  })(GetDeploymentResponseBody1$ ||= {});
  GetDeploymentResponseBody$inboundSchema = unionType([
    lazyType(() => GetDeploymentResponseBody2$inboundSchema),
    lazyType(() => GetDeploymentResponseBody1$inboundSchema)
  ]);
  GetDeploymentResponseBody$outboundSchema = unionType([
    lazyType(() => GetDeploymentResponseBody2$outboundSchema),
    lazyType(() => GetDeploymentResponseBody1$outboundSchema)
  ]);
  ((GetDeploymentResponseBody$) => {
    GetDeploymentResponseBody$.inboundSchema = GetDeploymentResponseBody$inboundSchema;
    GetDeploymentResponseBody$.outboundSchema = GetDeploymentResponseBody$outboundSchema;
  })(GetDeploymentResponseBody$ ||= {});
});

// src/funcs/deploymentsGetDeployment.ts
function deploymentsGetDeployment(client, request, options) {
  return new APIPromise($do42(client, request, options));
}
async function $do42(client, request, options) {
  const parsed = safeParse(request, (value) => GetDeploymentRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    idOrUrl: encodeSimple("idOrUrl", payload.idOrUrl, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v13/deployments/{idOrUrl}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId,
    withGitRepoInfo: payload.withGitRepoInfo
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "getDeployment",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetDeploymentResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_deploymentsGetDeployment = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_getdeploymentop();
  init_vercelbadrequesterror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/deploymentsGetDeployment.ts
var args41, tool$deploymentsGetDeployment;
var init_deploymentsGetDeployment2 = __esm(() => {
  init_deploymentsGetDeployment();
  init_getdeploymentop();
  init_tools();
  args41 = {
    request: GetDeploymentRequest$inboundSchema
  };
  tool$deploymentsGetDeployment = {
    name: "deployments-get-deployment",
    description: `Get a deployment by ID or URL

Retrieves information for a deployment either by supplying its ID (\`id\` property) or Hostname (\`url\` property). Additional details will be included when the authenticated user or team is an owner of the deployment.`,
    args: args41,
    tool: async (client, args42, ctx) => {
      const [result, apiCall] = await deploymentsGetDeployment(client, args42.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/getdeploymenteventsop.ts
var Direction, GetDeploymentEventsResponseBodyDeploymentsResponseType, ResponseBodyLevel, GetDeploymentEventsResponseBodyDeploymentsType, ResponseBodyVercelCache, ResponseBodyWafAction, GetDeploymentEventsResponseBodyType, GetDeploymentEventsResponseBodyLevel, ResponseBodyType, VercelCache, WafAction, Direction$inboundSchema, Direction$outboundSchema, Direction$, StatusCode$inboundSchema, StatusCode$outboundSchema, StatusCode$, GetDeploymentEventsRequest$inboundSchema, GetDeploymentEventsRequest$outboundSchema, GetDeploymentEventsRequest$, ResponseBodyInfo$inboundSchema, ResponseBodyInfo$outboundSchema, ResponseBodyInfo$, GetDeploymentEventsResponseBodyDeploymentsResponseType$inboundSchema, GetDeploymentEventsResponseBodyDeploymentsResponseType$outboundSchema, GetDeploymentEventsResponseBodyDeploymentsResponseType$, ResponseBodyLevel$inboundSchema, ResponseBodyLevel$outboundSchema, ResponseBodyLevel$, GetDeploymentEventsResponseBodyDeployments2$inboundSchema, GetDeploymentEventsResponseBodyDeployments2$outboundSchema, GetDeploymentEventsResponseBodyDeployments2$, GetDeploymentEventsResponseBodyDeploymentsType$inboundSchema, GetDeploymentEventsResponseBodyDeploymentsType$outboundSchema, GetDeploymentEventsResponseBodyDeploymentsType$, GetDeploymentEventsResponseBodyInfo$inboundSchema, GetDeploymentEventsResponseBodyInfo$outboundSchema, GetDeploymentEventsResponseBodyInfo$, ResponseBodyVercelCache$inboundSchema, ResponseBodyVercelCache$outboundSchema, ResponseBodyVercelCache$, ResponseBodyWafAction$inboundSchema, ResponseBodyWafAction$outboundSchema, ResponseBodyWafAction$, ResponseBodyProxy$inboundSchema, ResponseBodyProxy$outboundSchema, ResponseBodyProxy$, ResponseBodyPayload$inboundSchema, ResponseBodyPayload$outboundSchema, ResponseBodyPayload$, GetDeploymentEventsResponseBodyDeployments1$inboundSchema, GetDeploymentEventsResponseBodyDeployments1$outboundSchema, GetDeploymentEventsResponseBodyDeployments1$, GetDeploymentEventsResponseBody$inboundSchema, GetDeploymentEventsResponseBody$outboundSchema, GetDeploymentEventsResponseBody$, Info$inboundSchema, Info$outboundSchema, Info$, GetDeploymentEventsResponseBodyType$inboundSchema, GetDeploymentEventsResponseBodyType$outboundSchema, GetDeploymentEventsResponseBodyType$, GetDeploymentEventsResponseBodyLevel$inboundSchema, GetDeploymentEventsResponseBodyLevel$outboundSchema, GetDeploymentEventsResponseBodyLevel$, GetDeploymentEventsResponseBody2$inboundSchema, GetDeploymentEventsResponseBody2$outboundSchema, GetDeploymentEventsResponseBody2$, ResponseBodyType$inboundSchema, ResponseBodyType$outboundSchema, ResponseBodyType$, GetDeploymentEventsResponseBodyDeploymentsInfo$inboundSchema, GetDeploymentEventsResponseBodyDeploymentsInfo$outboundSchema, GetDeploymentEventsResponseBodyDeploymentsInfo$, VercelCache$inboundSchema, VercelCache$outboundSchema, VercelCache$, WafAction$inboundSchema, WafAction$outboundSchema, WafAction$, Proxy$inboundSchema, Proxy$outboundSchema, Proxy$, GetDeploymentEventsResponseBodyPayload$inboundSchema, GetDeploymentEventsResponseBodyPayload$outboundSchema, GetDeploymentEventsResponseBodyPayload$, GetDeploymentEventsResponseBody1$inboundSchema, GetDeploymentEventsResponseBody1$outboundSchema, GetDeploymentEventsResponseBody1$, GetDeploymentEventsDeploymentsResponseBody$inboundSchema, GetDeploymentEventsDeploymentsResponseBody$outboundSchema, GetDeploymentEventsDeploymentsResponseBody$, GetDeploymentEventsResponse$inboundSchema, GetDeploymentEventsResponse$outboundSchema, GetDeploymentEventsResponse$;
var init_getdeploymenteventsop = __esm(() => {
  init_esm();
  Direction = {
    Backward: "backward",
    Forward: "forward"
  };
  GetDeploymentEventsResponseBodyDeploymentsResponseType = {
    Delimiter: "delimiter",
    Command: "command",
    Stdout: "stdout",
    Stderr: "stderr",
    Exit: "exit",
    DeploymentState: "deployment-state",
    Middleware: "middleware",
    MiddlewareInvocation: "middleware-invocation",
    EdgeFunctionInvocation: "edge-function-invocation",
    Metric: "metric",
    Report: "report",
    Fatal: "fatal"
  };
  ResponseBodyLevel = {
    Error: "error",
    Warning: "warning"
  };
  GetDeploymentEventsResponseBodyDeploymentsType = {
    Delimiter: "delimiter",
    Command: "command",
    Stdout: "stdout",
    Stderr: "stderr",
    Exit: "exit",
    DeploymentState: "deployment-state",
    Middleware: "middleware",
    MiddlewareInvocation: "middleware-invocation",
    EdgeFunctionInvocation: "edge-function-invocation",
    Metric: "metric",
    Report: "report",
    Fatal: "fatal"
  };
  ResponseBodyVercelCache = {
    Miss: "MISS",
    Hit: "HIT",
    Stale: "STALE",
    Bypass: "BYPASS",
    Prerender: "PRERENDER",
    Revalidated: "REVALIDATED"
  };
  ResponseBodyWafAction = {
    Log: "log",
    Challenge: "challenge",
    Deny: "deny",
    Bypass: "bypass",
    RateLimit: "rate_limit"
  };
  GetDeploymentEventsResponseBodyType = {
    Delimiter: "delimiter",
    Command: "command",
    Stdout: "stdout",
    Stderr: "stderr",
    Exit: "exit",
    DeploymentState: "deployment-state",
    Middleware: "middleware",
    MiddlewareInvocation: "middleware-invocation",
    EdgeFunctionInvocation: "edge-function-invocation",
    Metric: "metric",
    Report: "report",
    Fatal: "fatal"
  };
  GetDeploymentEventsResponseBodyLevel = {
    Error: "error",
    Warning: "warning"
  };
  ResponseBodyType = {
    Delimiter: "delimiter",
    Command: "command",
    Stdout: "stdout",
    Stderr: "stderr",
    Exit: "exit",
    DeploymentState: "deployment-state",
    Middleware: "middleware",
    MiddlewareInvocation: "middleware-invocation",
    EdgeFunctionInvocation: "edge-function-invocation",
    Metric: "metric",
    Report: "report",
    Fatal: "fatal"
  };
  VercelCache = {
    Miss: "MISS",
    Hit: "HIT",
    Stale: "STALE",
    Bypass: "BYPASS",
    Prerender: "PRERENDER",
    Revalidated: "REVALIDATED"
  };
  WafAction = {
    Log: "log",
    Challenge: "challenge",
    Deny: "deny",
    Bypass: "bypass",
    RateLimit: "rate_limit"
  };
  Direction$inboundSchema = nativeEnumType(Direction);
  Direction$outboundSchema = Direction$inboundSchema;
  ((Direction$) => {
    Direction$.inboundSchema = Direction$inboundSchema;
    Direction$.outboundSchema = Direction$outboundSchema;
  })(Direction$ ||= {});
  StatusCode$inboundSchema = unionType([numberType(), stringType()]);
  StatusCode$outboundSchema = unionType([numberType(), stringType()]);
  ((StatusCode$) => {
    StatusCode$.inboundSchema = StatusCode$inboundSchema;
    StatusCode$.outboundSchema = StatusCode$outboundSchema;
  })(StatusCode$ ||= {});
  GetDeploymentEventsRequest$inboundSchema = objectType({
    idOrUrl: stringType(),
    direction: Direction$inboundSchema.default("forward"),
    follow: numberType().optional(),
    limit: numberType().optional(),
    name: stringType().optional(),
    since: numberType().optional(),
    until: numberType().optional(),
    statusCode: unionType([numberType(), stringType()]).optional(),
    delimiter: numberType().optional(),
    builds: numberType().optional(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  GetDeploymentEventsRequest$outboundSchema = objectType({
    idOrUrl: stringType(),
    direction: Direction$outboundSchema.default("forward"),
    follow: numberType().optional(),
    limit: numberType().optional(),
    name: stringType().optional(),
    since: numberType().optional(),
    until: numberType().optional(),
    statusCode: unionType([numberType(), stringType()]).optional(),
    delimiter: numberType().optional(),
    builds: numberType().optional(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((GetDeploymentEventsRequest$) => {
    GetDeploymentEventsRequest$.inboundSchema = GetDeploymentEventsRequest$inboundSchema;
    GetDeploymentEventsRequest$.outboundSchema = GetDeploymentEventsRequest$outboundSchema;
  })(GetDeploymentEventsRequest$ ||= {});
  ResponseBodyInfo$inboundSchema = objectType({
    type: stringType(),
    name: stringType(),
    entrypoint: stringType().optional(),
    path: stringType().optional(),
    step: stringType().optional(),
    readyState: stringType().optional()
  });
  ResponseBodyInfo$outboundSchema = objectType({
    type: stringType(),
    name: stringType(),
    entrypoint: stringType().optional(),
    path: stringType().optional(),
    step: stringType().optional(),
    readyState: stringType().optional()
  });
  ((ResponseBodyInfo$) => {
    ResponseBodyInfo$.inboundSchema = ResponseBodyInfo$inboundSchema;
    ResponseBodyInfo$.outboundSchema = ResponseBodyInfo$outboundSchema;
  })(ResponseBodyInfo$ ||= {});
  GetDeploymentEventsResponseBodyDeploymentsResponseType$inboundSchema = nativeEnumType(GetDeploymentEventsResponseBodyDeploymentsResponseType);
  GetDeploymentEventsResponseBodyDeploymentsResponseType$outboundSchema = GetDeploymentEventsResponseBodyDeploymentsResponseType$inboundSchema;
  ((GetDeploymentEventsResponseBodyDeploymentsResponseType$) => {
    GetDeploymentEventsResponseBodyDeploymentsResponseType$.inboundSchema = GetDeploymentEventsResponseBodyDeploymentsResponseType$inboundSchema;
    GetDeploymentEventsResponseBodyDeploymentsResponseType$.outboundSchema = GetDeploymentEventsResponseBodyDeploymentsResponseType$outboundSchema;
  })(GetDeploymentEventsResponseBodyDeploymentsResponseType$ ||= {});
  ResponseBodyLevel$inboundSchema = nativeEnumType(ResponseBodyLevel);
  ResponseBodyLevel$outboundSchema = ResponseBodyLevel$inboundSchema;
  ((ResponseBodyLevel$) => {
    ResponseBodyLevel$.inboundSchema = ResponseBodyLevel$inboundSchema;
    ResponseBodyLevel$.outboundSchema = ResponseBodyLevel$outboundSchema;
  })(ResponseBodyLevel$ ||= {});
  GetDeploymentEventsResponseBodyDeployments2$inboundSchema = objectType({
    created: numberType(),
    date: numberType(),
    deploymentId: stringType(),
    id: stringType(),
    info: lazyType(() => ResponseBodyInfo$inboundSchema),
    serial: stringType(),
    text: stringType().optional(),
    type: GetDeploymentEventsResponseBodyDeploymentsResponseType$inboundSchema,
    level: ResponseBodyLevel$inboundSchema.optional()
  });
  GetDeploymentEventsResponseBodyDeployments2$outboundSchema = objectType({
    created: numberType(),
    date: numberType(),
    deploymentId: stringType(),
    id: stringType(),
    info: lazyType(() => ResponseBodyInfo$outboundSchema),
    serial: stringType(),
    text: stringType().optional(),
    type: GetDeploymentEventsResponseBodyDeploymentsResponseType$outboundSchema,
    level: ResponseBodyLevel$outboundSchema.optional()
  });
  ((GetDeploymentEventsResponseBodyDeployments2$) => {
    GetDeploymentEventsResponseBodyDeployments2$.inboundSchema = GetDeploymentEventsResponseBodyDeployments2$inboundSchema;
    GetDeploymentEventsResponseBodyDeployments2$.outboundSchema = GetDeploymentEventsResponseBodyDeployments2$outboundSchema;
  })(GetDeploymentEventsResponseBodyDeployments2$ ||= {});
  GetDeploymentEventsResponseBodyDeploymentsType$inboundSchema = nativeEnumType(GetDeploymentEventsResponseBodyDeploymentsType);
  GetDeploymentEventsResponseBodyDeploymentsType$outboundSchema = GetDeploymentEventsResponseBodyDeploymentsType$inboundSchema;
  ((GetDeploymentEventsResponseBodyDeploymentsType$) => {
    GetDeploymentEventsResponseBodyDeploymentsType$.inboundSchema = GetDeploymentEventsResponseBodyDeploymentsType$inboundSchema;
    GetDeploymentEventsResponseBodyDeploymentsType$.outboundSchema = GetDeploymentEventsResponseBodyDeploymentsType$outboundSchema;
  })(GetDeploymentEventsResponseBodyDeploymentsType$ ||= {});
  GetDeploymentEventsResponseBodyInfo$inboundSchema = objectType({
    type: stringType(),
    name: stringType(),
    entrypoint: stringType().optional(),
    path: stringType().optional(),
    step: stringType().optional(),
    readyState: stringType().optional()
  });
  GetDeploymentEventsResponseBodyInfo$outboundSchema = objectType({
    type: stringType(),
    name: stringType(),
    entrypoint: stringType().optional(),
    path: stringType().optional(),
    step: stringType().optional(),
    readyState: stringType().optional()
  });
  ((GetDeploymentEventsResponseBodyInfo$) => {
    GetDeploymentEventsResponseBodyInfo$.inboundSchema = GetDeploymentEventsResponseBodyInfo$inboundSchema;
    GetDeploymentEventsResponseBodyInfo$.outboundSchema = GetDeploymentEventsResponseBodyInfo$outboundSchema;
  })(GetDeploymentEventsResponseBodyInfo$ ||= {});
  ResponseBodyVercelCache$inboundSchema = nativeEnumType(ResponseBodyVercelCache);
  ResponseBodyVercelCache$outboundSchema = ResponseBodyVercelCache$inboundSchema;
  ((ResponseBodyVercelCache$) => {
    ResponseBodyVercelCache$.inboundSchema = ResponseBodyVercelCache$inboundSchema;
    ResponseBodyVercelCache$.outboundSchema = ResponseBodyVercelCache$outboundSchema;
  })(ResponseBodyVercelCache$ ||= {});
  ResponseBodyWafAction$inboundSchema = nativeEnumType(ResponseBodyWafAction);
  ResponseBodyWafAction$outboundSchema = ResponseBodyWafAction$inboundSchema;
  ((ResponseBodyWafAction$) => {
    ResponseBodyWafAction$.inboundSchema = ResponseBodyWafAction$inboundSchema;
    ResponseBodyWafAction$.outboundSchema = ResponseBodyWafAction$outboundSchema;
  })(ResponseBodyWafAction$ ||= {});
  ResponseBodyProxy$inboundSchema = objectType({
    timestamp: numberType(),
    method: stringType(),
    host: stringType(),
    path: stringType(),
    statusCode: numberType().optional(),
    userAgent: arrayType(stringType()),
    referer: stringType(),
    clientIp: stringType().optional(),
    region: stringType(),
    scheme: stringType().optional(),
    responseByteSize: numberType().optional(),
    cacheId: stringType().optional(),
    pathType: stringType().optional(),
    pathTypeVariant: stringType().optional(),
    vercelId: stringType().optional(),
    vercelCache: ResponseBodyVercelCache$inboundSchema.optional(),
    lambdaRegion: stringType().optional(),
    wafAction: ResponseBodyWafAction$inboundSchema.optional(),
    wafRuleId: stringType().optional()
  });
  ResponseBodyProxy$outboundSchema = objectType({
    timestamp: numberType(),
    method: stringType(),
    host: stringType(),
    path: stringType(),
    statusCode: numberType().optional(),
    userAgent: arrayType(stringType()),
    referer: stringType(),
    clientIp: stringType().optional(),
    region: stringType(),
    scheme: stringType().optional(),
    responseByteSize: numberType().optional(),
    cacheId: stringType().optional(),
    pathType: stringType().optional(),
    pathTypeVariant: stringType().optional(),
    vercelId: stringType().optional(),
    vercelCache: ResponseBodyVercelCache$outboundSchema.optional(),
    lambdaRegion: stringType().optional(),
    wafAction: ResponseBodyWafAction$outboundSchema.optional(),
    wafRuleId: stringType().optional()
  });
  ((ResponseBodyProxy$) => {
    ResponseBodyProxy$.inboundSchema = ResponseBodyProxy$inboundSchema;
    ResponseBodyProxy$.outboundSchema = ResponseBodyProxy$outboundSchema;
  })(ResponseBodyProxy$ ||= {});
  ResponseBodyPayload$inboundSchema = objectType({
    deploymentId: stringType(),
    info: lazyType(() => GetDeploymentEventsResponseBodyInfo$inboundSchema).optional(),
    text: stringType().optional(),
    id: stringType(),
    date: numberType(),
    serial: stringType(),
    created: numberType().optional(),
    statusCode: numberType().optional(),
    requestId: stringType().optional(),
    proxy: lazyType(() => ResponseBodyProxy$inboundSchema).optional()
  });
  ResponseBodyPayload$outboundSchema = objectType({
    deploymentId: stringType(),
    info: lazyType(() => GetDeploymentEventsResponseBodyInfo$outboundSchema).optional(),
    text: stringType().optional(),
    id: stringType(),
    date: numberType(),
    serial: stringType(),
    created: numberType().optional(),
    statusCode: numberType().optional(),
    requestId: stringType().optional(),
    proxy: lazyType(() => ResponseBodyProxy$outboundSchema).optional()
  });
  ((ResponseBodyPayload$) => {
    ResponseBodyPayload$.inboundSchema = ResponseBodyPayload$inboundSchema;
    ResponseBodyPayload$.outboundSchema = ResponseBodyPayload$outboundSchema;
  })(ResponseBodyPayload$ ||= {});
  GetDeploymentEventsResponseBodyDeployments1$inboundSchema = objectType({
    type: GetDeploymentEventsResponseBodyDeploymentsType$inboundSchema,
    created: numberType(),
    payload: lazyType(() => ResponseBodyPayload$inboundSchema)
  });
  GetDeploymentEventsResponseBodyDeployments1$outboundSchema = objectType({
    type: GetDeploymentEventsResponseBodyDeploymentsType$outboundSchema,
    created: numberType(),
    payload: lazyType(() => ResponseBodyPayload$outboundSchema)
  });
  ((GetDeploymentEventsResponseBodyDeployments1$) => {
    GetDeploymentEventsResponseBodyDeployments1$.inboundSchema = GetDeploymentEventsResponseBodyDeployments1$inboundSchema;
    GetDeploymentEventsResponseBodyDeployments1$.outboundSchema = GetDeploymentEventsResponseBodyDeployments1$outboundSchema;
  })(GetDeploymentEventsResponseBodyDeployments1$ ||= {});
  GetDeploymentEventsResponseBody$inboundSchema = unionType([
    lazyType(() => GetDeploymentEventsResponseBodyDeployments1$inboundSchema),
    lazyType(() => GetDeploymentEventsResponseBodyDeployments2$inboundSchema)
  ]);
  GetDeploymentEventsResponseBody$outboundSchema = unionType([
    lazyType(() => GetDeploymentEventsResponseBodyDeployments1$outboundSchema),
    lazyType(() => GetDeploymentEventsResponseBodyDeployments2$outboundSchema)
  ]);
  ((GetDeploymentEventsResponseBody$) => {
    GetDeploymentEventsResponseBody$.inboundSchema = GetDeploymentEventsResponseBody$inboundSchema;
    GetDeploymentEventsResponseBody$.outboundSchema = GetDeploymentEventsResponseBody$outboundSchema;
  })(GetDeploymentEventsResponseBody$ ||= {});
  Info$inboundSchema = objectType({
    type: stringType(),
    name: stringType(),
    entrypoint: stringType().optional(),
    path: stringType().optional(),
    step: stringType().optional(),
    readyState: stringType().optional()
  });
  Info$outboundSchema = objectType({
    type: stringType(),
    name: stringType(),
    entrypoint: stringType().optional(),
    path: stringType().optional(),
    step: stringType().optional(),
    readyState: stringType().optional()
  });
  ((Info$) => {
    Info$.inboundSchema = Info$inboundSchema;
    Info$.outboundSchema = Info$outboundSchema;
  })(Info$ ||= {});
  GetDeploymentEventsResponseBodyType$inboundSchema = nativeEnumType(GetDeploymentEventsResponseBodyType);
  GetDeploymentEventsResponseBodyType$outboundSchema = GetDeploymentEventsResponseBodyType$inboundSchema;
  ((GetDeploymentEventsResponseBodyType$) => {
    GetDeploymentEventsResponseBodyType$.inboundSchema = GetDeploymentEventsResponseBodyType$inboundSchema;
    GetDeploymentEventsResponseBodyType$.outboundSchema = GetDeploymentEventsResponseBodyType$outboundSchema;
  })(GetDeploymentEventsResponseBodyType$ ||= {});
  GetDeploymentEventsResponseBodyLevel$inboundSchema = nativeEnumType(GetDeploymentEventsResponseBodyLevel);
  GetDeploymentEventsResponseBodyLevel$outboundSchema = GetDeploymentEventsResponseBodyLevel$inboundSchema;
  ((GetDeploymentEventsResponseBodyLevel$) => {
    GetDeploymentEventsResponseBodyLevel$.inboundSchema = GetDeploymentEventsResponseBodyLevel$inboundSchema;
    GetDeploymentEventsResponseBodyLevel$.outboundSchema = GetDeploymentEventsResponseBodyLevel$outboundSchema;
  })(GetDeploymentEventsResponseBodyLevel$ ||= {});
  GetDeploymentEventsResponseBody2$inboundSchema = objectType({
    created: numberType(),
    date: numberType(),
    deploymentId: stringType(),
    id: stringType(),
    info: lazyType(() => Info$inboundSchema),
    serial: stringType(),
    text: stringType().optional(),
    type: GetDeploymentEventsResponseBodyType$inboundSchema,
    level: GetDeploymentEventsResponseBodyLevel$inboundSchema.optional()
  });
  GetDeploymentEventsResponseBody2$outboundSchema = objectType({
    created: numberType(),
    date: numberType(),
    deploymentId: stringType(),
    id: stringType(),
    info: lazyType(() => Info$outboundSchema),
    serial: stringType(),
    text: stringType().optional(),
    type: GetDeploymentEventsResponseBodyType$outboundSchema,
    level: GetDeploymentEventsResponseBodyLevel$outboundSchema.optional()
  });
  ((GetDeploymentEventsResponseBody2$) => {
    GetDeploymentEventsResponseBody2$.inboundSchema = GetDeploymentEventsResponseBody2$inboundSchema;
    GetDeploymentEventsResponseBody2$.outboundSchema = GetDeploymentEventsResponseBody2$outboundSchema;
  })(GetDeploymentEventsResponseBody2$ ||= {});
  ResponseBodyType$inboundSchema = nativeEnumType(ResponseBodyType);
  ResponseBodyType$outboundSchema = ResponseBodyType$inboundSchema;
  ((ResponseBodyType$) => {
    ResponseBodyType$.inboundSchema = ResponseBodyType$inboundSchema;
    ResponseBodyType$.outboundSchema = ResponseBodyType$outboundSchema;
  })(ResponseBodyType$ ||= {});
  GetDeploymentEventsResponseBodyDeploymentsInfo$inboundSchema = objectType({
    type: stringType(),
    name: stringType(),
    entrypoint: stringType().optional(),
    path: stringType().optional(),
    step: stringType().optional(),
    readyState: stringType().optional()
  });
  GetDeploymentEventsResponseBodyDeploymentsInfo$outboundSchema = objectType({
    type: stringType(),
    name: stringType(),
    entrypoint: stringType().optional(),
    path: stringType().optional(),
    step: stringType().optional(),
    readyState: stringType().optional()
  });
  ((GetDeploymentEventsResponseBodyDeploymentsInfo$) => {
    GetDeploymentEventsResponseBodyDeploymentsInfo$.inboundSchema = GetDeploymentEventsResponseBodyDeploymentsInfo$inboundSchema;
    GetDeploymentEventsResponseBodyDeploymentsInfo$.outboundSchema = GetDeploymentEventsResponseBodyDeploymentsInfo$outboundSchema;
  })(GetDeploymentEventsResponseBodyDeploymentsInfo$ ||= {});
  VercelCache$inboundSchema = nativeEnumType(VercelCache);
  VercelCache$outboundSchema = VercelCache$inboundSchema;
  ((VercelCache$) => {
    VercelCache$.inboundSchema = VercelCache$inboundSchema;
    VercelCache$.outboundSchema = VercelCache$outboundSchema;
  })(VercelCache$ ||= {});
  WafAction$inboundSchema = nativeEnumType(WafAction);
  WafAction$outboundSchema = WafAction$inboundSchema;
  ((WafAction$) => {
    WafAction$.inboundSchema = WafAction$inboundSchema;
    WafAction$.outboundSchema = WafAction$outboundSchema;
  })(WafAction$ ||= {});
  Proxy$inboundSchema = objectType({
    timestamp: numberType(),
    method: stringType(),
    host: stringType(),
    path: stringType(),
    statusCode: numberType().optional(),
    userAgent: arrayType(stringType()),
    referer: stringType(),
    clientIp: stringType().optional(),
    region: stringType(),
    scheme: stringType().optional(),
    responseByteSize: numberType().optional(),
    cacheId: stringType().optional(),
    pathType: stringType().optional(),
    pathTypeVariant: stringType().optional(),
    vercelId: stringType().optional(),
    vercelCache: VercelCache$inboundSchema.optional(),
    lambdaRegion: stringType().optional(),
    wafAction: WafAction$inboundSchema.optional(),
    wafRuleId: stringType().optional()
  });
  Proxy$outboundSchema = objectType({
    timestamp: numberType(),
    method: stringType(),
    host: stringType(),
    path: stringType(),
    statusCode: numberType().optional(),
    userAgent: arrayType(stringType()),
    referer: stringType(),
    clientIp: stringType().optional(),
    region: stringType(),
    scheme: stringType().optional(),
    responseByteSize: numberType().optional(),
    cacheId: stringType().optional(),
    pathType: stringType().optional(),
    pathTypeVariant: stringType().optional(),
    vercelId: stringType().optional(),
    vercelCache: VercelCache$outboundSchema.optional(),
    lambdaRegion: stringType().optional(),
    wafAction: WafAction$outboundSchema.optional(),
    wafRuleId: stringType().optional()
  });
  ((Proxy$) => {
    Proxy$.inboundSchema = Proxy$inboundSchema;
    Proxy$.outboundSchema = Proxy$outboundSchema;
  })(Proxy$ ||= {});
  GetDeploymentEventsResponseBodyPayload$inboundSchema = objectType({
    deploymentId: stringType(),
    info: lazyType(() => GetDeploymentEventsResponseBodyDeploymentsInfo$inboundSchema).optional(),
    text: stringType().optional(),
    id: stringType(),
    date: numberType(),
    serial: stringType(),
    created: numberType().optional(),
    statusCode: numberType().optional(),
    requestId: stringType().optional(),
    proxy: lazyType(() => Proxy$inboundSchema).optional()
  });
  GetDeploymentEventsResponseBodyPayload$outboundSchema = objectType({
    deploymentId: stringType(),
    info: lazyType(() => GetDeploymentEventsResponseBodyDeploymentsInfo$outboundSchema).optional(),
    text: stringType().optional(),
    id: stringType(),
    date: numberType(),
    serial: stringType(),
    created: numberType().optional(),
    statusCode: numberType().optional(),
    requestId: stringType().optional(),
    proxy: lazyType(() => Proxy$outboundSchema).optional()
  });
  ((GetDeploymentEventsResponseBodyPayload$) => {
    GetDeploymentEventsResponseBodyPayload$.inboundSchema = GetDeploymentEventsResponseBodyPayload$inboundSchema;
    GetDeploymentEventsResponseBodyPayload$.outboundSchema = GetDeploymentEventsResponseBodyPayload$outboundSchema;
  })(GetDeploymentEventsResponseBodyPayload$ ||= {});
  GetDeploymentEventsResponseBody1$inboundSchema = objectType({
    type: ResponseBodyType$inboundSchema,
    created: numberType(),
    payload: lazyType(() => GetDeploymentEventsResponseBodyPayload$inboundSchema)
  });
  GetDeploymentEventsResponseBody1$outboundSchema = objectType({
    type: ResponseBodyType$outboundSchema,
    created: numberType(),
    payload: lazyType(() => GetDeploymentEventsResponseBodyPayload$outboundSchema)
  });
  ((GetDeploymentEventsResponseBody1$) => {
    GetDeploymentEventsResponseBody1$.inboundSchema = GetDeploymentEventsResponseBody1$inboundSchema;
    GetDeploymentEventsResponseBody1$.outboundSchema = GetDeploymentEventsResponseBody1$outboundSchema;
  })(GetDeploymentEventsResponseBody1$ ||= {});
  GetDeploymentEventsDeploymentsResponseBody$inboundSchema = unionType([
    lazyType(() => GetDeploymentEventsResponseBody1$inboundSchema),
    lazyType(() => GetDeploymentEventsResponseBody2$inboundSchema)
  ]);
  GetDeploymentEventsDeploymentsResponseBody$outboundSchema = unionType([
    lazyType(() => GetDeploymentEventsResponseBody1$outboundSchema),
    lazyType(() => GetDeploymentEventsResponseBody2$outboundSchema)
  ]);
  ((GetDeploymentEventsDeploymentsResponseBody$) => {
    GetDeploymentEventsDeploymentsResponseBody$.inboundSchema = GetDeploymentEventsDeploymentsResponseBody$inboundSchema;
    GetDeploymentEventsDeploymentsResponseBody$.outboundSchema = GetDeploymentEventsDeploymentsResponseBody$outboundSchema;
  })(GetDeploymentEventsDeploymentsResponseBody$ ||= {});
  GetDeploymentEventsResponse$inboundSchema = unionType([
    arrayType(nullableType(unionType([
      lazyType(() => GetDeploymentEventsResponseBody1$inboundSchema),
      lazyType(() => GetDeploymentEventsResponseBody2$inboundSchema)
    ]))),
    unionType([
      lazyType(() => GetDeploymentEventsResponseBodyDeployments1$inboundSchema),
      lazyType(() => GetDeploymentEventsResponseBodyDeployments2$inboundSchema)
    ])
  ]);
  GetDeploymentEventsResponse$outboundSchema = unionType([
    arrayType(nullableType(unionType([
      lazyType(() => GetDeploymentEventsResponseBody1$outboundSchema),
      lazyType(() => GetDeploymentEventsResponseBody2$outboundSchema)
    ]))),
    unionType([
      lazyType(() => GetDeploymentEventsResponseBodyDeployments1$outboundSchema),
      lazyType(() => GetDeploymentEventsResponseBodyDeployments2$outboundSchema)
    ])
  ]);
  ((GetDeploymentEventsResponse$) => {
    GetDeploymentEventsResponse$.inboundSchema = GetDeploymentEventsResponse$inboundSchema;
    GetDeploymentEventsResponse$.outboundSchema = GetDeploymentEventsResponse$outboundSchema;
  })(GetDeploymentEventsResponse$ ||= {});
});

// src/funcs/deploymentsGetDeploymentEvents.ts
function deploymentsGetDeploymentEvents(client, request, options) {
  return new APIPromise($do43(client, request, options));
}
async function $do43(client, request, options) {
  const parsed = safeParse(request, (value) => GetDeploymentEventsRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    idOrUrl: encodeSimple("idOrUrl", payload.idOrUrl, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v3/deployments/{idOrUrl}/events")(pathParams);
  const query = encodeFormQuery({
    builds: payload.builds,
    delimiter: payload.delimiter,
    direction: payload.direction,
    follow: payload.follow,
    limit: payload.limit,
    name: payload.name,
    since: payload.since,
    slug: payload.slug,
    statusCode: payload.statusCode,
    teamId: payload.teamId,
    until: payload.until
  });
  const headers = new Headers(compactMap({
    Accept: options?.acceptHeaderOverride || "application/json;q=1, application/stream+json;q=0"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "getDeploymentEvents",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "500", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetDeploymentEventsResponse$inboundSchema), json(200, GetDeploymentEventsResponse$inboundSchema, {
    ctype: "application/stream+json"
  }), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail([500, "5XX"]))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_deploymentsGetDeploymentEvents = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_getdeploymenteventsop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/deploymentsGetDeploymentEvents.ts
var args42, tool$deploymentsGetDeploymentEvents;
var init_deploymentsGetDeploymentEvents2 = __esm(() => {
  init_deploymentsGetDeploymentEvents();
  init_getdeploymenteventsop();
  init_tools();
  args42 = {
    request: GetDeploymentEventsRequest$inboundSchema
  };
  tool$deploymentsGetDeploymentEvents = {
    name: "deployments-get-deployment-events",
    description: `Get deployment events

Get the build logs of a deployment by deployment ID and build ID. It can work as an infinite stream of logs or as a JSON endpoint depending on the input parameters.`,
    args: args42,
    tool: async (client, args43, ctx) => {
      const [result, apiCall] = await deploymentsGetDeploymentEvents(client, args43.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/getdeploymentfilecontentsop.ts
var GetDeploymentFileContentsRequest$inboundSchema, GetDeploymentFileContentsRequest$outboundSchema, GetDeploymentFileContentsRequest$;
var init_getdeploymentfilecontentsop = __esm(() => {
  init_esm();
  GetDeploymentFileContentsRequest$inboundSchema = objectType({
    id: stringType(),
    fileId: stringType(),
    path: stringType().optional(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  GetDeploymentFileContentsRequest$outboundSchema = objectType({
    id: stringType(),
    fileId: stringType(),
    path: stringType().optional(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((GetDeploymentFileContentsRequest$) => {
    GetDeploymentFileContentsRequest$.inboundSchema = GetDeploymentFileContentsRequest$inboundSchema;
    GetDeploymentFileContentsRequest$.outboundSchema = GetDeploymentFileContentsRequest$outboundSchema;
  })(GetDeploymentFileContentsRequest$ ||= {});
});

// src/funcs/deploymentsGetDeploymentFileContents.ts
function deploymentsGetDeploymentFileContents(client, request, options) {
  return new APIPromise($do44(client, request, options));
}
async function $do44(client, request, options) {
  const parsed = safeParse(request, (value) => GetDeploymentFileContentsRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    fileId: encodeSimple("fileId", payload.fileId, {
      explode: false,
      charEncoding: "percent"
    }),
    id: encodeSimple("id", payload.id, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v8/deployments/{id}/files/{fileId}")(pathParams);
  const query = encodeFormQuery({
    path: payload.path,
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "getDeploymentFileContents",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "410", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), nil("2XX", voidType()), fail([403, 410, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_deploymentsGetDeploymentFileContents = __esm(() => {
  init_esm();
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_getdeploymentfilecontentsop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/deploymentsGetDeploymentFileContents.ts
var args43, tool$deploymentsGetDeploymentFileContents;
var init_deploymentsGetDeploymentFileContents2 = __esm(() => {
  init_deploymentsGetDeploymentFileContents();
  init_getdeploymentfilecontentsop();
  init_tools();
  args43 = {
    request: GetDeploymentFileContentsRequest$inboundSchema
  };
  tool$deploymentsGetDeploymentFileContents = {
    name: "deployments-get-deployment-file-contents",
    description: `Get Deployment File Contents

Allows to retrieve the content of a file by supplying the file identifier and the deployment unique identifier. The response body will contain a JSON response containing the contents of the file encoded as base64.`,
    args: args43,
    tool: async (client, args44, ctx) => {
      const [result, apiCall] = await deploymentsGetDeploymentFileContents(client, args44.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      return formatResult(undefined, apiCall);
    }
  };
});

// src/models/getdeploymentsop.ts
var GetDeploymentsSource, GetDeploymentsState, GetDeploymentsReadyState, GetDeploymentsType, GetDeploymentsTarget, GetDeploymentsReadySubstate, GetDeploymentsChecksState, GetDeploymentsChecksConclusion, GetDeploymentsFramework, GetDeploymentsNodeVersion, GetDeploymentsRequest$inboundSchema, GetDeploymentsRequest$outboundSchema, GetDeploymentsRequest$, GetDeploymentsSource$inboundSchema, GetDeploymentsSource$outboundSchema, GetDeploymentsSource$, GetDeploymentsState$inboundSchema, GetDeploymentsState$outboundSchema, GetDeploymentsState$, GetDeploymentsReadyState$inboundSchema, GetDeploymentsReadyState$outboundSchema, GetDeploymentsReadyState$, GetDeploymentsType$inboundSchema, GetDeploymentsType$outboundSchema, GetDeploymentsType$, GetDeploymentsCreator$inboundSchema, GetDeploymentsCreator$outboundSchema, GetDeploymentsCreator$, GetDeploymentsTarget$inboundSchema, GetDeploymentsTarget$outboundSchema, GetDeploymentsTarget$, GetDeploymentsAliasError$inboundSchema, GetDeploymentsAliasError$outboundSchema, GetDeploymentsAliasError$, GetDeploymentsAliasAssigned$inboundSchema, GetDeploymentsAliasAssigned$outboundSchema, GetDeploymentsAliasAssigned$, GetDeploymentsReadySubstate$inboundSchema, GetDeploymentsReadySubstate$outboundSchema, GetDeploymentsReadySubstate$, GetDeploymentsChecksState$inboundSchema, GetDeploymentsChecksState$outboundSchema, GetDeploymentsChecksState$, GetDeploymentsChecksConclusion$inboundSchema, GetDeploymentsChecksConclusion$outboundSchema, GetDeploymentsChecksConclusion$, GetDeploymentsFramework$inboundSchema, GetDeploymentsFramework$outboundSchema, GetDeploymentsFramework$, GetDeploymentsNodeVersion$inboundSchema, GetDeploymentsNodeVersion$outboundSchema, GetDeploymentsNodeVersion$, GetDeploymentsSpeedInsights$inboundSchema, GetDeploymentsSpeedInsights$outboundSchema, GetDeploymentsSpeedInsights$, GetDeploymentsWebAnalytics$inboundSchema, GetDeploymentsWebAnalytics$outboundSchema, GetDeploymentsWebAnalytics$, GetDeploymentsGitComments$inboundSchema, GetDeploymentsGitComments$outboundSchema, GetDeploymentsGitComments$, GetDeploymentsProjectSettings$inboundSchema, GetDeploymentsProjectSettings$outboundSchema, GetDeploymentsProjectSettings$, GetDeploymentsCustomEnvironment$inboundSchema, GetDeploymentsCustomEnvironment$outboundSchema, GetDeploymentsCustomEnvironment$, Deployments$inboundSchema, Deployments$outboundSchema, Deployments$, GetDeploymentsResponseBody$inboundSchema, GetDeploymentsResponseBody$outboundSchema, GetDeploymentsResponseBody$;
var init_getdeploymentsop = __esm(() => {
  init_esm();
  init_pagination();
  GetDeploymentsSource = {
    ApiTriggerGitDeploy: "api-trigger-git-deploy",
    Cli: "cli",
    CloneRepo: "clone/repo",
    Git: "git",
    Import: "import",
    ImportRepo: "import/repo",
    Redeploy: "redeploy",
    V0Web: "v0-web"
  };
  GetDeploymentsState = {
    Building: "BUILDING",
    Error: "ERROR",
    Initializing: "INITIALIZING",
    Queued: "QUEUED",
    Ready: "READY",
    Canceled: "CANCELED",
    Deleted: "DELETED"
  };
  GetDeploymentsReadyState = {
    Building: "BUILDING",
    Error: "ERROR",
    Initializing: "INITIALIZING",
    Queued: "QUEUED",
    Ready: "READY",
    Canceled: "CANCELED",
    Deleted: "DELETED"
  };
  GetDeploymentsType = {
    Lambdas: "LAMBDAS"
  };
  GetDeploymentsTarget = {
    Production: "production",
    Staging: "staging"
  };
  GetDeploymentsReadySubstate = {
    Staged: "STAGED",
    Rolling: "ROLLING",
    Promoted: "PROMOTED"
  };
  GetDeploymentsChecksState = {
    Registered: "registered",
    Running: "running",
    Completed: "completed"
  };
  GetDeploymentsChecksConclusion = {
    Succeeded: "succeeded",
    Failed: "failed",
    Skipped: "skipped",
    Canceled: "canceled"
  };
  GetDeploymentsFramework = {
    Blitzjs: "blitzjs",
    Nextjs: "nextjs",
    Gatsby: "gatsby",
    Remix: "remix",
    ReactRouter: "react-router",
    Astro: "astro",
    Hexo: "hexo",
    Eleventy: "eleventy",
    Docusaurus2: "docusaurus-2",
    Docusaurus: "docusaurus",
    Preact: "preact",
    Solidstart1: "solidstart-1",
    Solidstart: "solidstart",
    Dojo: "dojo",
    Ember: "ember",
    Vue: "vue",
    Scully: "scully",
    IonicAngular: "ionic-angular",
    Angular: "angular",
    Polymer: "polymer",
    Svelte: "svelte",
    Sveltekit: "sveltekit",
    Sveltekit1: "sveltekit-1",
    IonicReact: "ionic-react",
    CreateReactApp: "create-react-app",
    Gridsome: "gridsome",
    Umijs: "umijs",
    Sapper: "sapper",
    Saber: "saber",
    Stencil: "stencil",
    Nuxtjs: "nuxtjs",
    Redwoodjs: "redwoodjs",
    Hugo: "hugo",
    Jekyll: "jekyll",
    Brunch: "brunch",
    Middleman: "middleman",
    Zola: "zola",
    Hydrogen: "hydrogen",
    Vite: "vite",
    Vitepress: "vitepress",
    Vuepress: "vuepress",
    Parcel: "parcel",
    Fasthtml: "fasthtml",
    SanityV3: "sanity-v3",
    Sanity: "sanity",
    Storybook: "storybook"
  };
  GetDeploymentsNodeVersion = {
    TwentyTwoDotX: "22.x",
    TwentyDotX: "20.x",
    EighteenDotX: "18.x",
    SixteenDotX: "16.x",
    FourteenDotX: "14.x",
    TwelveDotX: "12.x",
    TenDotX: "10.x",
    EightDot10DotX: "8.10.x"
  };
  GetDeploymentsRequest$inboundSchema = objectType({
    app: stringType().optional(),
    from: numberType().optional(),
    limit: numberType().optional(),
    projectId: stringType().optional(),
    target: stringType().optional(),
    to: numberType().optional(),
    users: stringType().optional(),
    since: numberType().optional(),
    until: numberType().optional(),
    state: stringType().optional(),
    rollbackCandidate: booleanType().optional(),
    branch: stringType().optional(),
    sha: stringType().optional(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  GetDeploymentsRequest$outboundSchema = objectType({
    app: stringType().optional(),
    from: numberType().optional(),
    limit: numberType().optional(),
    projectId: stringType().optional(),
    target: stringType().optional(),
    to: numberType().optional(),
    users: stringType().optional(),
    since: numberType().optional(),
    until: numberType().optional(),
    state: stringType().optional(),
    rollbackCandidate: booleanType().optional(),
    branch: stringType().optional(),
    sha: stringType().optional(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((GetDeploymentsRequest$) => {
    GetDeploymentsRequest$.inboundSchema = GetDeploymentsRequest$inboundSchema;
    GetDeploymentsRequest$.outboundSchema = GetDeploymentsRequest$outboundSchema;
  })(GetDeploymentsRequest$ ||= {});
  GetDeploymentsSource$inboundSchema = nativeEnumType(GetDeploymentsSource);
  GetDeploymentsSource$outboundSchema = GetDeploymentsSource$inboundSchema;
  ((GetDeploymentsSource$) => {
    GetDeploymentsSource$.inboundSchema = GetDeploymentsSource$inboundSchema;
    GetDeploymentsSource$.outboundSchema = GetDeploymentsSource$outboundSchema;
  })(GetDeploymentsSource$ ||= {});
  GetDeploymentsState$inboundSchema = nativeEnumType(GetDeploymentsState);
  GetDeploymentsState$outboundSchema = GetDeploymentsState$inboundSchema;
  ((GetDeploymentsState$) => {
    GetDeploymentsState$.inboundSchema = GetDeploymentsState$inboundSchema;
    GetDeploymentsState$.outboundSchema = GetDeploymentsState$outboundSchema;
  })(GetDeploymentsState$ ||= {});
  GetDeploymentsReadyState$inboundSchema = nativeEnumType(GetDeploymentsReadyState);
  GetDeploymentsReadyState$outboundSchema = GetDeploymentsReadyState$inboundSchema;
  ((GetDeploymentsReadyState$) => {
    GetDeploymentsReadyState$.inboundSchema = GetDeploymentsReadyState$inboundSchema;
    GetDeploymentsReadyState$.outboundSchema = GetDeploymentsReadyState$outboundSchema;
  })(GetDeploymentsReadyState$ ||= {});
  GetDeploymentsType$inboundSchema = nativeEnumType(GetDeploymentsType);
  GetDeploymentsType$outboundSchema = GetDeploymentsType$inboundSchema;
  ((GetDeploymentsType$) => {
    GetDeploymentsType$.inboundSchema = GetDeploymentsType$inboundSchema;
    GetDeploymentsType$.outboundSchema = GetDeploymentsType$outboundSchema;
  })(GetDeploymentsType$ ||= {});
  GetDeploymentsCreator$inboundSchema = objectType({
    uid: stringType(),
    email: stringType().optional(),
    username: stringType().optional(),
    githubLogin: stringType().optional(),
    gitlabLogin: stringType().optional()
  });
  GetDeploymentsCreator$outboundSchema = objectType({
    uid: stringType(),
    email: stringType().optional(),
    username: stringType().optional(),
    githubLogin: stringType().optional(),
    gitlabLogin: stringType().optional()
  });
  ((GetDeploymentsCreator$) => {
    GetDeploymentsCreator$.inboundSchema = GetDeploymentsCreator$inboundSchema;
    GetDeploymentsCreator$.outboundSchema = GetDeploymentsCreator$outboundSchema;
  })(GetDeploymentsCreator$ ||= {});
  GetDeploymentsTarget$inboundSchema = nativeEnumType(GetDeploymentsTarget);
  GetDeploymentsTarget$outboundSchema = GetDeploymentsTarget$inboundSchema;
  ((GetDeploymentsTarget$) => {
    GetDeploymentsTarget$.inboundSchema = GetDeploymentsTarget$inboundSchema;
    GetDeploymentsTarget$.outboundSchema = GetDeploymentsTarget$outboundSchema;
  })(GetDeploymentsTarget$ ||= {});
  GetDeploymentsAliasError$inboundSchema = objectType({
    code: stringType(),
    message: stringType()
  });
  GetDeploymentsAliasError$outboundSchema = objectType({
    code: stringType(),
    message: stringType()
  });
  ((GetDeploymentsAliasError$) => {
    GetDeploymentsAliasError$.inboundSchema = GetDeploymentsAliasError$inboundSchema;
    GetDeploymentsAliasError$.outboundSchema = GetDeploymentsAliasError$outboundSchema;
  })(GetDeploymentsAliasError$ ||= {});
  GetDeploymentsAliasAssigned$inboundSchema = unionType([numberType(), booleanType()]);
  GetDeploymentsAliasAssigned$outboundSchema = unionType([numberType(), booleanType()]);
  ((GetDeploymentsAliasAssigned$) => {
    GetDeploymentsAliasAssigned$.inboundSchema = GetDeploymentsAliasAssigned$inboundSchema;
    GetDeploymentsAliasAssigned$.outboundSchema = GetDeploymentsAliasAssigned$outboundSchema;
  })(GetDeploymentsAliasAssigned$ ||= {});
  GetDeploymentsReadySubstate$inboundSchema = nativeEnumType(GetDeploymentsReadySubstate);
  GetDeploymentsReadySubstate$outboundSchema = GetDeploymentsReadySubstate$inboundSchema;
  ((GetDeploymentsReadySubstate$) => {
    GetDeploymentsReadySubstate$.inboundSchema = GetDeploymentsReadySubstate$inboundSchema;
    GetDeploymentsReadySubstate$.outboundSchema = GetDeploymentsReadySubstate$outboundSchema;
  })(GetDeploymentsReadySubstate$ ||= {});
  GetDeploymentsChecksState$inboundSchema = nativeEnumType(GetDeploymentsChecksState);
  GetDeploymentsChecksState$outboundSchema = GetDeploymentsChecksState$inboundSchema;
  ((GetDeploymentsChecksState$) => {
    GetDeploymentsChecksState$.inboundSchema = GetDeploymentsChecksState$inboundSchema;
    GetDeploymentsChecksState$.outboundSchema = GetDeploymentsChecksState$outboundSchema;
  })(GetDeploymentsChecksState$ ||= {});
  GetDeploymentsChecksConclusion$inboundSchema = nativeEnumType(GetDeploymentsChecksConclusion);
  GetDeploymentsChecksConclusion$outboundSchema = GetDeploymentsChecksConclusion$inboundSchema;
  ((GetDeploymentsChecksConclusion$) => {
    GetDeploymentsChecksConclusion$.inboundSchema = GetDeploymentsChecksConclusion$inboundSchema;
    GetDeploymentsChecksConclusion$.outboundSchema = GetDeploymentsChecksConclusion$outboundSchema;
  })(GetDeploymentsChecksConclusion$ ||= {});
  GetDeploymentsFramework$inboundSchema = nativeEnumType(GetDeploymentsFramework);
  GetDeploymentsFramework$outboundSchema = GetDeploymentsFramework$inboundSchema;
  ((GetDeploymentsFramework$) => {
    GetDeploymentsFramework$.inboundSchema = GetDeploymentsFramework$inboundSchema;
    GetDeploymentsFramework$.outboundSchema = GetDeploymentsFramework$outboundSchema;
  })(GetDeploymentsFramework$ ||= {});
  GetDeploymentsNodeVersion$inboundSchema = nativeEnumType(GetDeploymentsNodeVersion);
  GetDeploymentsNodeVersion$outboundSchema = GetDeploymentsNodeVersion$inboundSchema;
  ((GetDeploymentsNodeVersion$) => {
    GetDeploymentsNodeVersion$.inboundSchema = GetDeploymentsNodeVersion$inboundSchema;
    GetDeploymentsNodeVersion$.outboundSchema = GetDeploymentsNodeVersion$outboundSchema;
  })(GetDeploymentsNodeVersion$ ||= {});
  GetDeploymentsSpeedInsights$inboundSchema = objectType({
    id: stringType(),
    enabledAt: numberType().optional(),
    disabledAt: numberType().optional(),
    canceledAt: numberType().optional(),
    hasData: booleanType().optional(),
    paidAt: numberType().optional()
  });
  GetDeploymentsSpeedInsights$outboundSchema = objectType({
    id: stringType(),
    enabledAt: numberType().optional(),
    disabledAt: numberType().optional(),
    canceledAt: numberType().optional(),
    hasData: booleanType().optional(),
    paidAt: numberType().optional()
  });
  ((GetDeploymentsSpeedInsights$) => {
    GetDeploymentsSpeedInsights$.inboundSchema = GetDeploymentsSpeedInsights$inboundSchema;
    GetDeploymentsSpeedInsights$.outboundSchema = GetDeploymentsSpeedInsights$outboundSchema;
  })(GetDeploymentsSpeedInsights$ ||= {});
  GetDeploymentsWebAnalytics$inboundSchema = objectType({
    id: stringType(),
    disabledAt: numberType().optional(),
    canceledAt: numberType().optional(),
    enabledAt: numberType().optional(),
    hasData: booleanType().optional()
  });
  GetDeploymentsWebAnalytics$outboundSchema = objectType({
    id: stringType(),
    disabledAt: numberType().optional(),
    canceledAt: numberType().optional(),
    enabledAt: numberType().optional(),
    hasData: booleanType().optional()
  });
  ((GetDeploymentsWebAnalytics$) => {
    GetDeploymentsWebAnalytics$.inboundSchema = GetDeploymentsWebAnalytics$inboundSchema;
    GetDeploymentsWebAnalytics$.outboundSchema = GetDeploymentsWebAnalytics$outboundSchema;
  })(GetDeploymentsWebAnalytics$ ||= {});
  GetDeploymentsGitComments$inboundSchema = objectType({
    onPullRequest: booleanType(),
    onCommit: booleanType()
  });
  GetDeploymentsGitComments$outboundSchema = objectType({
    onPullRequest: booleanType(),
    onCommit: booleanType()
  });
  ((GetDeploymentsGitComments$) => {
    GetDeploymentsGitComments$.inboundSchema = GetDeploymentsGitComments$inboundSchema;
    GetDeploymentsGitComments$.outboundSchema = GetDeploymentsGitComments$outboundSchema;
  })(GetDeploymentsGitComments$ ||= {});
  GetDeploymentsProjectSettings$inboundSchema = objectType({
    framework: nullableType(GetDeploymentsFramework$inboundSchema).optional(),
    gitForkProtection: booleanType().optional(),
    customerSupportCodeVisibility: booleanType().optional(),
    gitLFS: booleanType().optional(),
    devCommand: nullableType(stringType()).optional(),
    installCommand: nullableType(stringType()).optional(),
    buildCommand: nullableType(stringType()).optional(),
    nodeVersion: GetDeploymentsNodeVersion$inboundSchema.optional(),
    outputDirectory: nullableType(stringType()).optional(),
    publicSource: nullableType(booleanType()).optional(),
    rootDirectory: nullableType(stringType()).optional(),
    serverlessFunctionRegion: nullableType(stringType()).optional(),
    sourceFilesOutsideRootDirectory: booleanType().optional(),
    commandForIgnoringBuildStep: nullableType(stringType()).optional(),
    createdAt: numberType().optional(),
    speedInsights: lazyType(() => GetDeploymentsSpeedInsights$inboundSchema).optional(),
    webAnalytics: lazyType(() => GetDeploymentsWebAnalytics$inboundSchema).optional(),
    skipGitConnectDuringLink: booleanType().optional(),
    gitComments: lazyType(() => GetDeploymentsGitComments$inboundSchema).optional()
  });
  GetDeploymentsProjectSettings$outboundSchema = objectType({
    framework: nullableType(GetDeploymentsFramework$outboundSchema).optional(),
    gitForkProtection: booleanType().optional(),
    customerSupportCodeVisibility: booleanType().optional(),
    gitLFS: booleanType().optional(),
    devCommand: nullableType(stringType()).optional(),
    installCommand: nullableType(stringType()).optional(),
    buildCommand: nullableType(stringType()).optional(),
    nodeVersion: GetDeploymentsNodeVersion$outboundSchema.optional(),
    outputDirectory: nullableType(stringType()).optional(),
    publicSource: nullableType(booleanType()).optional(),
    rootDirectory: nullableType(stringType()).optional(),
    serverlessFunctionRegion: nullableType(stringType()).optional(),
    sourceFilesOutsideRootDirectory: booleanType().optional(),
    commandForIgnoringBuildStep: nullableType(stringType()).optional(),
    createdAt: numberType().optional(),
    speedInsights: lazyType(() => GetDeploymentsSpeedInsights$outboundSchema).optional(),
    webAnalytics: lazyType(() => GetDeploymentsWebAnalytics$outboundSchema).optional(),
    skipGitConnectDuringLink: booleanType().optional(),
    gitComments: lazyType(() => GetDeploymentsGitComments$outboundSchema).optional()
  });
  ((GetDeploymentsProjectSettings$) => {
    GetDeploymentsProjectSettings$.inboundSchema = GetDeploymentsProjectSettings$inboundSchema;
    GetDeploymentsProjectSettings$.outboundSchema = GetDeploymentsProjectSettings$outboundSchema;
  })(GetDeploymentsProjectSettings$ ||= {});
  GetDeploymentsCustomEnvironment$inboundSchema = objectType({
    id: stringType(),
    slug: stringType().optional()
  });
  GetDeploymentsCustomEnvironment$outboundSchema = objectType({
    id: stringType(),
    slug: stringType().optional()
  });
  ((GetDeploymentsCustomEnvironment$) => {
    GetDeploymentsCustomEnvironment$.inboundSchema = GetDeploymentsCustomEnvironment$inboundSchema;
    GetDeploymentsCustomEnvironment$.outboundSchema = GetDeploymentsCustomEnvironment$outboundSchema;
  })(GetDeploymentsCustomEnvironment$ ||= {});
  Deployments$inboundSchema = objectType({
    uid: stringType(),
    name: stringType(),
    url: stringType(),
    created: numberType(),
    defaultRoute: stringType().optional(),
    deleted: numberType().optional(),
    undeleted: numberType().optional(),
    softDeletedByRetention: booleanType().optional(),
    source: GetDeploymentsSource$inboundSchema.optional(),
    state: GetDeploymentsState$inboundSchema.optional(),
    readyState: GetDeploymentsReadyState$inboundSchema.optional(),
    type: GetDeploymentsType$inboundSchema,
    creator: lazyType(() => GetDeploymentsCreator$inboundSchema),
    meta: recordType(stringType()).optional(),
    target: nullableType(GetDeploymentsTarget$inboundSchema).optional(),
    aliasError: nullableType(lazyType(() => GetDeploymentsAliasError$inboundSchema)).optional(),
    aliasAssigned: nullableType(unionType([numberType(), booleanType()])).optional(),
    createdAt: numberType().optional(),
    buildingAt: numberType().optional(),
    ready: numberType().optional(),
    readySubstate: GetDeploymentsReadySubstate$inboundSchema.optional(),
    checksState: GetDeploymentsChecksState$inboundSchema.optional(),
    checksConclusion: GetDeploymentsChecksConclusion$inboundSchema.optional(),
    inspectorUrl: nullableType(stringType()),
    isRollbackCandidate: nullableType(booleanType()).optional(),
    projectSettings: lazyType(() => GetDeploymentsProjectSettings$inboundSchema).optional(),
    connectBuildsEnabled: booleanType().optional(),
    connectConfigurationId: stringType().optional(),
    passiveConnectConfigurationId: stringType().optional(),
    expiration: numberType().optional(),
    proposedExpiration: numberType().optional(),
    customEnvironment: lazyType(() => GetDeploymentsCustomEnvironment$inboundSchema).optional()
  });
  Deployments$outboundSchema = objectType({
    uid: stringType(),
    name: stringType(),
    url: stringType(),
    created: numberType(),
    defaultRoute: stringType().optional(),
    deleted: numberType().optional(),
    undeleted: numberType().optional(),
    softDeletedByRetention: booleanType().optional(),
    source: GetDeploymentsSource$outboundSchema.optional(),
    state: GetDeploymentsState$outboundSchema.optional(),
    readyState: GetDeploymentsReadyState$outboundSchema.optional(),
    type: GetDeploymentsType$outboundSchema,
    creator: lazyType(() => GetDeploymentsCreator$outboundSchema),
    meta: recordType(stringType()).optional(),
    target: nullableType(GetDeploymentsTarget$outboundSchema).optional(),
    aliasError: nullableType(lazyType(() => GetDeploymentsAliasError$outboundSchema)).optional(),
    aliasAssigned: nullableType(unionType([numberType(), booleanType()])).optional(),
    createdAt: numberType().optional(),
    buildingAt: numberType().optional(),
    ready: numberType().optional(),
    readySubstate: GetDeploymentsReadySubstate$outboundSchema.optional(),
    checksState: GetDeploymentsChecksState$outboundSchema.optional(),
    checksConclusion: GetDeploymentsChecksConclusion$outboundSchema.optional(),
    inspectorUrl: nullableType(stringType()),
    isRollbackCandidate: nullableType(booleanType()).optional(),
    projectSettings: lazyType(() => GetDeploymentsProjectSettings$outboundSchema).optional(),
    connectBuildsEnabled: booleanType().optional(),
    connectConfigurationId: stringType().optional(),
    passiveConnectConfigurationId: stringType().optional(),
    expiration: numberType().optional(),
    proposedExpiration: numberType().optional(),
    customEnvironment: lazyType(() => GetDeploymentsCustomEnvironment$outboundSchema).optional()
  });
  ((Deployments$) => {
    Deployments$.inboundSchema = Deployments$inboundSchema;
    Deployments$.outboundSchema = Deployments$outboundSchema;
  })(Deployments$ ||= {});
  GetDeploymentsResponseBody$inboundSchema = objectType({
    pagination: Pagination$inboundSchema,
    deployments: arrayType(lazyType(() => Deployments$inboundSchema))
  });
  GetDeploymentsResponseBody$outboundSchema = objectType({
    pagination: Pagination$outboundSchema,
    deployments: arrayType(lazyType(() => Deployments$outboundSchema))
  });
  ((GetDeploymentsResponseBody$) => {
    GetDeploymentsResponseBody$.inboundSchema = GetDeploymentsResponseBody$inboundSchema;
    GetDeploymentsResponseBody$.outboundSchema = GetDeploymentsResponseBody$outboundSchema;
  })(GetDeploymentsResponseBody$ ||= {});
});

// src/funcs/deploymentsGetDeployments.ts
function deploymentsGetDeployments(client, request, options) {
  return new APIPromise($do45(client, request, options));
}
async function $do45(client, request, options) {
  const parsed = safeParse(request, (value) => GetDeploymentsRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const path = pathToFunc("/v6/deployments")();
  const query = encodeFormQuery({
    app: payload.app,
    branch: payload.branch,
    from: payload.from,
    limit: payload.limit,
    projectId: payload.projectId,
    rollbackCandidate: payload.rollbackCandidate,
    sha: payload.sha,
    since: payload.since,
    slug: payload.slug,
    state: payload.state,
    target: payload.target,
    teamId: payload.teamId,
    to: payload.to,
    until: payload.until,
    users: payload.users
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "getDeployments",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "422", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetDeploymentsResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, 422, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_deploymentsGetDeployments = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_getdeploymentsop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/deploymentsGetDeployments.ts
var args44, tool$deploymentsGetDeployments;
var init_deploymentsGetDeployments2 = __esm(() => {
  init_deploymentsGetDeployments();
  init_getdeploymentsop();
  init_tools();
  args44 = {
    request: GetDeploymentsRequest$inboundSchema
  };
  tool$deploymentsGetDeployments = {
    name: "deployments-get-deployments",
    description: `List deployments

List deployments under the authenticated user or team. If a deployment hasn't finished uploading (is incomplete), the \`url\` property will have a value of \`null\`.`,
    args: args44,
    tool: async (client, args45, ctx) => {
      const [result, apiCall] = await deploymentsGetDeployments(client, args45.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/filetree.ts
var Type, Type$inboundSchema, Type$outboundSchema, Type$, FileTree$inboundSchema, FileTree$outboundSchema, FileTree$;
var init_filetree = __esm(() => {
  init_esm();
  Type = {
    Directory: "directory",
    File: "file",
    Symlink: "symlink",
    Lambda: "lambda",
    Middleware: "middleware",
    Invalid: "invalid"
  };
  Type$inboundSchema = nativeEnumType(Type);
  Type$outboundSchema = Type$inboundSchema;
  ((Type$) => {
    Type$.inboundSchema = Type$inboundSchema;
    Type$.outboundSchema = Type$outboundSchema;
  })(Type$ ||= {});
  FileTree$inboundSchema = objectType({
    name: stringType(),
    type: Type$inboundSchema,
    uid: stringType().optional(),
    children: arrayType(lazyType(() => FileTree$inboundSchema)).optional(),
    contentType: stringType().optional(),
    mode: numberType(),
    symlink: stringType().optional()
  });
  FileTree$outboundSchema = objectType({
    name: stringType(),
    type: Type$outboundSchema,
    uid: stringType().optional(),
    children: arrayType(lazyType(() => FileTree$outboundSchema)).optional(),
    contentType: stringType().optional(),
    mode: numberType(),
    symlink: stringType().optional()
  });
  ((FileTree$) => {
    FileTree$.inboundSchema = FileTree$inboundSchema;
    FileTree$.outboundSchema = FileTree$outboundSchema;
  })(FileTree$ ||= {});
});

// src/models/listdeploymentfilesop.ts
var ListDeploymentFilesRequest$inboundSchema, ListDeploymentFilesRequest$outboundSchema, ListDeploymentFilesRequest$;
var init_listdeploymentfilesop = __esm(() => {
  init_esm();
  ListDeploymentFilesRequest$inboundSchema = objectType({
    id: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ListDeploymentFilesRequest$outboundSchema = objectType({
    id: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((ListDeploymentFilesRequest$) => {
    ListDeploymentFilesRequest$.inboundSchema = ListDeploymentFilesRequest$inboundSchema;
    ListDeploymentFilesRequest$.outboundSchema = ListDeploymentFilesRequest$outboundSchema;
  })(ListDeploymentFilesRequest$ ||= {});
});

// src/funcs/deploymentsListDeploymentFiles.ts
function deploymentsListDeploymentFiles(client, request, options) {
  return new APIPromise($do46(client, request, options));
}
async function $do46(client, request, options) {
  const parsed = safeParse(request, (value) => ListDeploymentFilesRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    id: encodeSimple("id", payload.id, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v6/deployments/{id}/files")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "listDeploymentFiles",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, arrayType(FileTree$inboundSchema)), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_deploymentsListDeploymentFiles = __esm(() => {
  init_esm();
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_filetree();
  init_listdeploymentfilesop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/deploymentsListDeploymentFiles.ts
var args45, tool$deploymentsListDeploymentFiles;
var init_deploymentsListDeploymentFiles2 = __esm(() => {
  init_deploymentsListDeploymentFiles();
  init_listdeploymentfilesop();
  init_tools();
  args45 = {
    request: ListDeploymentFilesRequest$inboundSchema
  };
  tool$deploymentsListDeploymentFiles = {
    name: "deployments-list-deployment-files",
    description: `List Deployment Files

Allows to retrieve the file structure of the source code of a deployment by supplying the deployment unique identifier. If the deployment was created with the Vercel CLI or the API directly with the \`files\` key, it will have a file tree that can be retrievable.`,
    args: args45,
    tool: async (client, args46, ctx) => {
      const [result, apiCall] = await deploymentsListDeploymentFiles(client, args46.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/updateintegrationdeploymentactionop.ts
var UpdateIntegrationDeploymentActionStatus, UpdateIntegrationDeploymentActionStatus$inboundSchema, UpdateIntegrationDeploymentActionStatus$outboundSchema, UpdateIntegrationDeploymentActionStatus$, Secrets$inboundSchema, Secrets$outboundSchema, Secrets$, Outcomes1$inboundSchema, Outcomes1$outboundSchema, Outcomes1$, Outcomes$inboundSchema, Outcomes$outboundSchema, Outcomes$, UpdateIntegrationDeploymentActionRequestBody$inboundSchema, UpdateIntegrationDeploymentActionRequestBody$outboundSchema, UpdateIntegrationDeploymentActionRequestBody$, UpdateIntegrationDeploymentActionRequest$inboundSchema, UpdateIntegrationDeploymentActionRequest$outboundSchema, UpdateIntegrationDeploymentActionRequest$;
var init_updateintegrationdeploymentactionop = __esm(() => {
  init_esm();
  init_primitives();
  UpdateIntegrationDeploymentActionStatus = {
    Running: "running",
    Succeeded: "succeeded",
    Failed: "failed"
  };
  UpdateIntegrationDeploymentActionStatus$inboundSchema = nativeEnumType(UpdateIntegrationDeploymentActionStatus);
  UpdateIntegrationDeploymentActionStatus$outboundSchema = UpdateIntegrationDeploymentActionStatus$inboundSchema;
  ((UpdateIntegrationDeploymentActionStatus$) => {
    UpdateIntegrationDeploymentActionStatus$.inboundSchema = UpdateIntegrationDeploymentActionStatus$inboundSchema;
    UpdateIntegrationDeploymentActionStatus$.outboundSchema = UpdateIntegrationDeploymentActionStatus$outboundSchema;
  })(UpdateIntegrationDeploymentActionStatus$ ||= {});
  Secrets$inboundSchema = objectType({
    name: stringType(),
    value: stringType()
  });
  Secrets$outboundSchema = objectType({
    name: stringType(),
    value: stringType()
  });
  ((Secrets$) => {
    Secrets$.inboundSchema = Secrets$inboundSchema;
    Secrets$.outboundSchema = Secrets$outboundSchema;
  })(Secrets$ ||= {});
  Outcomes1$inboundSchema = objectType({
    kind: stringType(),
    secrets: arrayType(lazyType(() => Secrets$inboundSchema))
  });
  Outcomes1$outboundSchema = objectType({
    kind: stringType(),
    secrets: arrayType(lazyType(() => Secrets$outboundSchema))
  });
  ((Outcomes1$) => {
    Outcomes1$.inboundSchema = Outcomes1$inboundSchema;
    Outcomes1$.outboundSchema = Outcomes1$outboundSchema;
  })(Outcomes1$ ||= {});
  Outcomes$inboundSchema = lazyType(() => Outcomes1$inboundSchema);
  Outcomes$outboundSchema = lazyType(() => Outcomes1$outboundSchema);
  ((Outcomes$) => {
    Outcomes$.inboundSchema = Outcomes$inboundSchema;
    Outcomes$.outboundSchema = Outcomes$outboundSchema;
  })(Outcomes$ ||= {});
  UpdateIntegrationDeploymentActionRequestBody$inboundSchema = objectType({
    status: UpdateIntegrationDeploymentActionStatus$inboundSchema.optional(),
    statusText: stringType().optional(),
    outcomes: arrayType(lazyType(() => Outcomes1$inboundSchema)).optional()
  });
  UpdateIntegrationDeploymentActionRequestBody$outboundSchema = objectType({
    status: UpdateIntegrationDeploymentActionStatus$outboundSchema.optional(),
    statusText: stringType().optional(),
    outcomes: arrayType(lazyType(() => Outcomes1$outboundSchema)).optional()
  });
  ((UpdateIntegrationDeploymentActionRequestBody$) => {
    UpdateIntegrationDeploymentActionRequestBody$.inboundSchema = UpdateIntegrationDeploymentActionRequestBody$inboundSchema;
    UpdateIntegrationDeploymentActionRequestBody$.outboundSchema = UpdateIntegrationDeploymentActionRequestBody$outboundSchema;
  })(UpdateIntegrationDeploymentActionRequestBody$ ||= {});
  UpdateIntegrationDeploymentActionRequest$inboundSchema = objectType({
    deploymentId: stringType(),
    integrationConfigurationId: stringType(),
    resourceId: stringType(),
    action: stringType(),
    RequestBody: lazyType(() => UpdateIntegrationDeploymentActionRequestBody$inboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  UpdateIntegrationDeploymentActionRequest$outboundSchema = objectType({
    deploymentId: stringType(),
    integrationConfigurationId: stringType(),
    resourceId: stringType(),
    action: stringType(),
    requestBody: lazyType(() => UpdateIntegrationDeploymentActionRequestBody$outboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((UpdateIntegrationDeploymentActionRequest$) => {
    UpdateIntegrationDeploymentActionRequest$.inboundSchema = UpdateIntegrationDeploymentActionRequest$inboundSchema;
    UpdateIntegrationDeploymentActionRequest$.outboundSchema = UpdateIntegrationDeploymentActionRequest$outboundSchema;
  })(UpdateIntegrationDeploymentActionRequest$ ||= {});
});

// src/funcs/deploymentsUpdateIntegrationDeploymentAction.ts
function deploymentsUpdateIntegrationDeploymentAction(client, request, options) {
  return new APIPromise($do47(client, request, options));
}
async function $do47(client, request, options) {
  const parsed = safeParse(request, (value) => UpdateIntegrationDeploymentActionRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    action: encodeSimple("action", payload.action, {
      explode: false,
      charEncoding: "percent"
    }),
    deploymentId: encodeSimple("deploymentId", payload.deploymentId, {
      explode: false,
      charEncoding: "percent"
    }),
    integrationConfigurationId: encodeSimple("integrationConfigurationId", payload.integrationConfigurationId, { explode: false, charEncoding: "percent" }),
    resourceId: encodeSimple("resourceId", payload.resourceId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/deployments/{deploymentId}/integrations/{integrationConfigurationId}/resources/{resourceId}/actions/{action}")(pathParams);
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "update-integration-deployment-action",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "PATCH",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(nil(202, voidType()), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_deploymentsUpdateIntegrationDeploymentAction = __esm(() => {
  init_esm();
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_updateintegrationdeploymentactionop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/deploymentsUpdateIntegrationDeploymentAction.ts
var args46, tool$deploymentsUpdateIntegrationDeploymentAction;
var init_deploymentsUpdateIntegrationDeploymentAction2 = __esm(() => {
  init_deploymentsUpdateIntegrationDeploymentAction();
  init_updateintegrationdeploymentactionop();
  init_tools();
  args46 = {
    request: UpdateIntegrationDeploymentActionRequest$inboundSchema
  };
  tool$deploymentsUpdateIntegrationDeploymentAction = {
    name: "deployments-update-integration-deployment-action",
    description: `Update deployment integration action

Updates the deployment integration action for the specified integration installation`,
    args: args46,
    tool: async (client, args47, ctx) => {
      const [result, apiCall] = await deploymentsUpdateIntegrationDeploymentAction(client, args47.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      return formatResult(undefined, apiCall);
    }
  };
});

// src/models/uploadfileop.ts
var UploadFileRequest$inboundSchema, UploadFileRequest$outboundSchema, UploadFileRequest$, UploadFileResponseBody2$inboundSchema, UploadFileResponseBody2$outboundSchema, UploadFileResponseBody2$, UploadFileResponseBody1$inboundSchema, UploadFileResponseBody1$outboundSchema, UploadFileResponseBody1$, UploadFileResponseBody$inboundSchema, UploadFileResponseBody$outboundSchema, UploadFileResponseBody$;
var init_uploadfileop = __esm(() => {
  init_esm();
  init_primitives();
  UploadFileRequest$inboundSchema = objectType({
    "Content-Length": numberType().optional(),
    "x-vercel-digest": stringType().optional(),
    "x-now-digest": stringType().optional(),
    "x-now-size": numberType().optional(),
    "x-internal-v0-token": stringType().optional(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    RequestBody: unionType([
      instanceOfType(ReadableStream),
      instanceOfType(Blob),
      instanceOfType(ArrayBuffer),
      instanceOfType(Uint8Array)
    ]).optional()
  }).transform((v2) => {
    return remap(v2, {
      "Content-Length": "contentLength",
      "x-vercel-digest": "xVercelDigest",
      "x-now-digest": "xNowDigest",
      "x-now-size": "xNowSize",
      "x-internal-v0-token": "xInternalV0Token",
      RequestBody: "requestBody"
    });
  });
  UploadFileRequest$outboundSchema = objectType({
    contentLength: numberType().optional(),
    xVercelDigest: stringType().optional(),
    xNowDigest: stringType().optional(),
    xNowSize: numberType().optional(),
    xInternalV0Token: stringType().optional(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    requestBody: unionType([
      instanceOfType(ReadableStream),
      instanceOfType(Blob),
      instanceOfType(ArrayBuffer),
      instanceOfType(Uint8Array)
    ]).optional()
  }).transform((v2) => {
    return remap(v2, {
      contentLength: "Content-Length",
      xVercelDigest: "x-vercel-digest",
      xNowDigest: "x-now-digest",
      xNowSize: "x-now-size",
      xInternalV0Token: "x-internal-v0-token",
      requestBody: "RequestBody"
    });
  });
  ((UploadFileRequest$) => {
    UploadFileRequest$.inboundSchema = UploadFileRequest$inboundSchema;
    UploadFileRequest$.outboundSchema = UploadFileRequest$outboundSchema;
  })(UploadFileRequest$ ||= {});
  UploadFileResponseBody2$inboundSchema = objectType({});
  UploadFileResponseBody2$outboundSchema = objectType({});
  ((UploadFileResponseBody2$) => {
    UploadFileResponseBody2$.inboundSchema = UploadFileResponseBody2$inboundSchema;
    UploadFileResponseBody2$.outboundSchema = UploadFileResponseBody2$outboundSchema;
  })(UploadFileResponseBody2$ ||= {});
  UploadFileResponseBody1$inboundSchema = objectType({
    urls: arrayType(stringType())
  });
  UploadFileResponseBody1$outboundSchema = objectType({
    urls: arrayType(stringType())
  });
  ((UploadFileResponseBody1$) => {
    UploadFileResponseBody1$.inboundSchema = UploadFileResponseBody1$inboundSchema;
    UploadFileResponseBody1$.outboundSchema = UploadFileResponseBody1$outboundSchema;
  })(UploadFileResponseBody1$ ||= {});
  UploadFileResponseBody$inboundSchema = unionType([
    lazyType(() => UploadFileResponseBody2$inboundSchema),
    lazyType(() => UploadFileResponseBody1$inboundSchema)
  ]);
  UploadFileResponseBody$outboundSchema = unionType([
    lazyType(() => UploadFileResponseBody2$outboundSchema),
    lazyType(() => UploadFileResponseBody1$outboundSchema)
  ]);
  ((UploadFileResponseBody$) => {
    UploadFileResponseBody$.inboundSchema = UploadFileResponseBody$inboundSchema;
    UploadFileResponseBody$.outboundSchema = UploadFileResponseBody$outboundSchema;
  })(UploadFileResponseBody$ ||= {});
});

// src/funcs/deploymentsUploadFile.ts
function deploymentsUploadFile(client, request, options) {
  return new APIPromise($do48(client, request, options));
}
async function $do48(client, request, options) {
  const parsed = safeParse(request, (value) => UploadFileRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = payload.RequestBody;
  const path = pathToFunc("/v2/files")();
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/octet-stream",
    Accept: "application/json",
    "Content-Length": encodeSimple("Content-Length", payload["Content-Length"], { explode: false, charEncoding: "none" }),
    "x-internal-v0-token": encodeSimple("x-internal-v0-token", payload["x-internal-v0-token"], { explode: false, charEncoding: "none" }),
    "x-now-digest": encodeSimple("x-now-digest", payload["x-now-digest"], {
      explode: false,
      charEncoding: "none"
    }),
    "x-now-size": encodeSimple("x-now-size", payload["x-now-size"], {
      explode: false,
      charEncoding: "none"
    }),
    "x-vercel-digest": encodeSimple("x-vercel-digest", payload["x-vercel-digest"], { explode: false, charEncoding: "none" })
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "uploadFile",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, UploadFileResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_deploymentsUploadFile = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_uploadfileop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/deploymentsUploadFile.ts
var args47, tool$deploymentsUploadFile;
var init_deploymentsUploadFile2 = __esm(() => {
  init_deploymentsUploadFile();
  init_uploadfileop();
  init_tools();
  args47 = {
    request: UploadFileRequest$inboundSchema
  };
  tool$deploymentsUploadFile = {
    name: "deployments-upload-file",
    description: `Upload Deployment Files

Before you create a deployment you need to upload the required files for that deployment. To do it, you need to first upload each file to this endpoint. Once that's completed, you can create a new deployment with the uploaded files. The file content must be placed inside the body of the request. In the case of a successful response you'll receive a status code 200 with an empty body.`,
    args: args47,
    tool: async (client, args48, ctx) => {
      const [result, apiCall] = await deploymentsUploadFile(client, args48.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/createrecordop.ts
var CreateRecordRequestBodyDnsRequest10Type, CreateRecordRequestBodyDnsRequest9Type, CreateRecordRequestBodyDnsRequest8Type, CreateRecordRequestBodyDnsRequest7Type, CreateRecordRequestBodyDnsRequest6Type, CreateRecordRequestBodyDnsRequest5Type, CreateRecordRequestBodyDnsRequestType, CreateRecordRequestBodyDnsType, CreateRecordRequestBodyType, RequestBodyType, CreateRecordRequestBodyDnsRequest10Type$inboundSchema, CreateRecordRequestBodyDnsRequest10Type$outboundSchema, CreateRecordRequestBodyDnsRequest10Type$, RequestBodyHttps$inboundSchema, RequestBodyHttps$outboundSchema, RequestBodyHttps$, RequestBody10$inboundSchema, RequestBody10$outboundSchema, RequestBody10$, CreateRecordRequestBodyDnsRequest9Type$inboundSchema, CreateRecordRequestBodyDnsRequest9Type$outboundSchema, CreateRecordRequestBodyDnsRequest9Type$, RequestBody9$inboundSchema, RequestBody9$outboundSchema, RequestBody9$, CreateRecordRequestBodyDnsRequest8Type$inboundSchema, CreateRecordRequestBodyDnsRequest8Type$outboundSchema, CreateRecordRequestBodyDnsRequest8Type$, RequestBody8$inboundSchema, RequestBody8$outboundSchema, RequestBody8$, CreateRecordRequestBodyDnsRequest7Type$inboundSchema, CreateRecordRequestBodyDnsRequest7Type$outboundSchema, CreateRecordRequestBodyDnsRequest7Type$, RequestBodySrv$inboundSchema, RequestBodySrv$outboundSchema, RequestBodySrv$, RequestBody7$inboundSchema, RequestBody7$outboundSchema, RequestBody7$, CreateRecordRequestBodyDnsRequest6Type$inboundSchema, CreateRecordRequestBodyDnsRequest6Type$outboundSchema, CreateRecordRequestBodyDnsRequest6Type$, RequestBody6$inboundSchema, RequestBody6$outboundSchema, RequestBody6$, CreateRecordRequestBodyDnsRequest5Type$inboundSchema, CreateRecordRequestBodyDnsRequest5Type$outboundSchema, CreateRecordRequestBodyDnsRequest5Type$, RequestBody5$inboundSchema, RequestBody5$outboundSchema, RequestBody5$, CreateRecordRequestBodyDnsRequestType$inboundSchema, CreateRecordRequestBodyDnsRequestType$outboundSchema, CreateRecordRequestBodyDnsRequestType$, RequestBody4$inboundSchema, RequestBody4$outboundSchema, RequestBody4$, CreateRecordRequestBodyDnsType$inboundSchema, CreateRecordRequestBodyDnsType$outboundSchema, CreateRecordRequestBodyDnsType$, CreateRecordRequestBody3$inboundSchema, CreateRecordRequestBody3$outboundSchema, CreateRecordRequestBody3$, CreateRecordRequestBodyType$inboundSchema, CreateRecordRequestBodyType$outboundSchema, CreateRecordRequestBodyType$, CreateRecordRequestBody2$inboundSchema, CreateRecordRequestBody2$outboundSchema, CreateRecordRequestBody2$, RequestBodyType$inboundSchema, RequestBodyType$outboundSchema, RequestBodyType$, CreateRecordRequestBody1$inboundSchema, CreateRecordRequestBody1$outboundSchema, CreateRecordRequestBody1$, CreateRecordRequestBody$inboundSchema, CreateRecordRequestBody$outboundSchema, CreateRecordRequestBody$, CreateRecordRequest$inboundSchema, CreateRecordRequest$outboundSchema, CreateRecordRequest$, CreateRecordResponseBody2$inboundSchema, CreateRecordResponseBody2$outboundSchema, CreateRecordResponseBody2$, CreateRecordResponseBody1$inboundSchema, CreateRecordResponseBody1$outboundSchema, CreateRecordResponseBody1$, CreateRecordResponseBody$inboundSchema, CreateRecordResponseBody$outboundSchema, CreateRecordResponseBody$;
var init_createrecordop = __esm(() => {
  init_esm();
  init_primitives();
  CreateRecordRequestBodyDnsRequest10Type = {
    A: "A",
    Aaaa: "AAAA",
    Alias: "ALIAS",
    Caa: "CAA",
    Cname: "CNAME",
    Https: "HTTPS",
    Mx: "MX",
    Srv: "SRV",
    Txt: "TXT",
    Ns: "NS"
  };
  CreateRecordRequestBodyDnsRequest9Type = {
    A: "A",
    Aaaa: "AAAA",
    Alias: "ALIAS",
    Caa: "CAA",
    Cname: "CNAME",
    Https: "HTTPS",
    Mx: "MX",
    Srv: "SRV",
    Txt: "TXT",
    Ns: "NS"
  };
  CreateRecordRequestBodyDnsRequest8Type = {
    A: "A",
    Aaaa: "AAAA",
    Alias: "ALIAS",
    Caa: "CAA",
    Cname: "CNAME",
    Https: "HTTPS",
    Mx: "MX",
    Srv: "SRV",
    Txt: "TXT",
    Ns: "NS"
  };
  CreateRecordRequestBodyDnsRequest7Type = {
    A: "A",
    Aaaa: "AAAA",
    Alias: "ALIAS",
    Caa: "CAA",
    Cname: "CNAME",
    Https: "HTTPS",
    Mx: "MX",
    Srv: "SRV",
    Txt: "TXT",
    Ns: "NS"
  };
  CreateRecordRequestBodyDnsRequest6Type = {
    A: "A",
    Aaaa: "AAAA",
    Alias: "ALIAS",
    Caa: "CAA",
    Cname: "CNAME",
    Https: "HTTPS",
    Mx: "MX",
    Srv: "SRV",
    Txt: "TXT",
    Ns: "NS"
  };
  CreateRecordRequestBodyDnsRequest5Type = {
    A: "A",
    Aaaa: "AAAA",
    Alias: "ALIAS",
    Caa: "CAA",
    Cname: "CNAME",
    Https: "HTTPS",
    Mx: "MX",
    Srv: "SRV",
    Txt: "TXT",
    Ns: "NS"
  };
  CreateRecordRequestBodyDnsRequestType = {
    A: "A",
    Aaaa: "AAAA",
    Alias: "ALIAS",
    Caa: "CAA",
    Cname: "CNAME",
    Https: "HTTPS",
    Mx: "MX",
    Srv: "SRV",
    Txt: "TXT",
    Ns: "NS"
  };
  CreateRecordRequestBodyDnsType = {
    A: "A",
    Aaaa: "AAAA",
    Alias: "ALIAS",
    Caa: "CAA",
    Cname: "CNAME",
    Https: "HTTPS",
    Mx: "MX",
    Srv: "SRV",
    Txt: "TXT",
    Ns: "NS"
  };
  CreateRecordRequestBodyType = {
    A: "A",
    Aaaa: "AAAA",
    Alias: "ALIAS",
    Caa: "CAA",
    Cname: "CNAME",
    Https: "HTTPS",
    Mx: "MX",
    Srv: "SRV",
    Txt: "TXT",
    Ns: "NS"
  };
  RequestBodyType = {
    A: "A",
    Aaaa: "AAAA",
    Alias: "ALIAS",
    Caa: "CAA",
    Cname: "CNAME",
    Https: "HTTPS",
    Mx: "MX",
    Srv: "SRV",
    Txt: "TXT",
    Ns: "NS"
  };
  CreateRecordRequestBodyDnsRequest10Type$inboundSchema = nativeEnumType(CreateRecordRequestBodyDnsRequest10Type);
  CreateRecordRequestBodyDnsRequest10Type$outboundSchema = CreateRecordRequestBodyDnsRequest10Type$inboundSchema;
  ((CreateRecordRequestBodyDnsRequest10Type$) => {
    CreateRecordRequestBodyDnsRequest10Type$.inboundSchema = CreateRecordRequestBodyDnsRequest10Type$inboundSchema;
    CreateRecordRequestBodyDnsRequest10Type$.outboundSchema = CreateRecordRequestBodyDnsRequest10Type$outboundSchema;
  })(CreateRecordRequestBodyDnsRequest10Type$ ||= {});
  RequestBodyHttps$inboundSchema = objectType({
    priority: nullableType(numberType()),
    target: stringType(),
    params: stringType().optional()
  });
  RequestBodyHttps$outboundSchema = objectType({
    priority: nullableType(numberType()),
    target: stringType(),
    params: stringType().optional()
  });
  ((RequestBodyHttps$) => {
    RequestBodyHttps$.inboundSchema = RequestBodyHttps$inboundSchema;
    RequestBodyHttps$.outboundSchema = RequestBodyHttps$outboundSchema;
  })(RequestBodyHttps$ ||= {});
  RequestBody10$inboundSchema = objectType({
    type: CreateRecordRequestBodyDnsRequest10Type$inboundSchema,
    ttl: numberType().optional(),
    https: lazyType(() => RequestBodyHttps$inboundSchema),
    comment: stringType().optional()
  });
  RequestBody10$outboundSchema = objectType({
    type: CreateRecordRequestBodyDnsRequest10Type$outboundSchema,
    ttl: numberType().optional(),
    https: lazyType(() => RequestBodyHttps$outboundSchema),
    comment: stringType().optional()
  });
  ((RequestBody10$) => {
    RequestBody10$.inboundSchema = RequestBody10$inboundSchema;
    RequestBody10$.outboundSchema = RequestBody10$outboundSchema;
  })(RequestBody10$ ||= {});
  CreateRecordRequestBodyDnsRequest9Type$inboundSchema = nativeEnumType(CreateRecordRequestBodyDnsRequest9Type);
  CreateRecordRequestBodyDnsRequest9Type$outboundSchema = CreateRecordRequestBodyDnsRequest9Type$inboundSchema;
  ((CreateRecordRequestBodyDnsRequest9Type$) => {
    CreateRecordRequestBodyDnsRequest9Type$.inboundSchema = CreateRecordRequestBodyDnsRequest9Type$inboundSchema;
    CreateRecordRequestBodyDnsRequest9Type$.outboundSchema = CreateRecordRequestBodyDnsRequest9Type$outboundSchema;
  })(CreateRecordRequestBodyDnsRequest9Type$ ||= {});
  RequestBody9$inboundSchema = objectType({
    name: stringType(),
    type: CreateRecordRequestBodyDnsRequest9Type$inboundSchema,
    ttl: numberType().optional(),
    value: stringType().optional(),
    comment: stringType().optional()
  });
  RequestBody9$outboundSchema = objectType({
    name: stringType(),
    type: CreateRecordRequestBodyDnsRequest9Type$outboundSchema,
    ttl: numberType().optional(),
    value: stringType().optional(),
    comment: stringType().optional()
  });
  ((RequestBody9$) => {
    RequestBody9$.inboundSchema = RequestBody9$inboundSchema;
    RequestBody9$.outboundSchema = RequestBody9$outboundSchema;
  })(RequestBody9$ ||= {});
  CreateRecordRequestBodyDnsRequest8Type$inboundSchema = nativeEnumType(CreateRecordRequestBodyDnsRequest8Type);
  CreateRecordRequestBodyDnsRequest8Type$outboundSchema = CreateRecordRequestBodyDnsRequest8Type$inboundSchema;
  ((CreateRecordRequestBodyDnsRequest8Type$) => {
    CreateRecordRequestBodyDnsRequest8Type$.inboundSchema = CreateRecordRequestBodyDnsRequest8Type$inboundSchema;
    CreateRecordRequestBodyDnsRequest8Type$.outboundSchema = CreateRecordRequestBodyDnsRequest8Type$outboundSchema;
  })(CreateRecordRequestBodyDnsRequest8Type$ ||= {});
  RequestBody8$inboundSchema = objectType({
    type: CreateRecordRequestBodyDnsRequest8Type$inboundSchema,
    ttl: numberType().optional(),
    value: stringType(),
    comment: stringType().optional()
  });
  RequestBody8$outboundSchema = objectType({
    type: CreateRecordRequestBodyDnsRequest8Type$outboundSchema,
    ttl: numberType().optional(),
    value: stringType(),
    comment: stringType().optional()
  });
  ((RequestBody8$) => {
    RequestBody8$.inboundSchema = RequestBody8$inboundSchema;
    RequestBody8$.outboundSchema = RequestBody8$outboundSchema;
  })(RequestBody8$ ||= {});
  CreateRecordRequestBodyDnsRequest7Type$inboundSchema = nativeEnumType(CreateRecordRequestBodyDnsRequest7Type);
  CreateRecordRequestBodyDnsRequest7Type$outboundSchema = CreateRecordRequestBodyDnsRequest7Type$inboundSchema;
  ((CreateRecordRequestBodyDnsRequest7Type$) => {
    CreateRecordRequestBodyDnsRequest7Type$.inboundSchema = CreateRecordRequestBodyDnsRequest7Type$inboundSchema;
    CreateRecordRequestBodyDnsRequest7Type$.outboundSchema = CreateRecordRequestBodyDnsRequest7Type$outboundSchema;
  })(CreateRecordRequestBodyDnsRequest7Type$ ||= {});
  RequestBodySrv$inboundSchema = objectType({
    priority: nullableType(numberType()),
    weight: nullableType(numberType()),
    port: nullableType(numberType()),
    target: stringType()
  });
  RequestBodySrv$outboundSchema = objectType({
    priority: nullableType(numberType()),
    weight: nullableType(numberType()),
    port: nullableType(numberType()),
    target: stringType()
  });
  ((RequestBodySrv$) => {
    RequestBodySrv$.inboundSchema = RequestBodySrv$inboundSchema;
    RequestBodySrv$.outboundSchema = RequestBodySrv$outboundSchema;
  })(RequestBodySrv$ ||= {});
  RequestBody7$inboundSchema = objectType({
    type: CreateRecordRequestBodyDnsRequest7Type$inboundSchema,
    ttl: numberType().optional(),
    srv: lazyType(() => RequestBodySrv$inboundSchema),
    comment: stringType().optional()
  });
  RequestBody7$outboundSchema = objectType({
    type: CreateRecordRequestBodyDnsRequest7Type$outboundSchema,
    ttl: numberType().optional(),
    srv: lazyType(() => RequestBodySrv$outboundSchema),
    comment: stringType().optional()
  });
  ((RequestBody7$) => {
    RequestBody7$.inboundSchema = RequestBody7$inboundSchema;
    RequestBody7$.outboundSchema = RequestBody7$outboundSchema;
  })(RequestBody7$ ||= {});
  CreateRecordRequestBodyDnsRequest6Type$inboundSchema = nativeEnumType(CreateRecordRequestBodyDnsRequest6Type);
  CreateRecordRequestBodyDnsRequest6Type$outboundSchema = CreateRecordRequestBodyDnsRequest6Type$inboundSchema;
  ((CreateRecordRequestBodyDnsRequest6Type$) => {
    CreateRecordRequestBodyDnsRequest6Type$.inboundSchema = CreateRecordRequestBodyDnsRequest6Type$inboundSchema;
    CreateRecordRequestBodyDnsRequest6Type$.outboundSchema = CreateRecordRequestBodyDnsRequest6Type$outboundSchema;
  })(CreateRecordRequestBodyDnsRequest6Type$ ||= {});
  RequestBody6$inboundSchema = objectType({
    name: stringType(),
    type: CreateRecordRequestBodyDnsRequest6Type$inboundSchema,
    ttl: numberType().optional(),
    value: stringType(),
    mxPriority: numberType(),
    comment: stringType().optional()
  });
  RequestBody6$outboundSchema = objectType({
    name: stringType(),
    type: CreateRecordRequestBodyDnsRequest6Type$outboundSchema,
    ttl: numberType().optional(),
    value: stringType(),
    mxPriority: numberType(),
    comment: stringType().optional()
  });
  ((RequestBody6$) => {
    RequestBody6$.inboundSchema = RequestBody6$inboundSchema;
    RequestBody6$.outboundSchema = RequestBody6$outboundSchema;
  })(RequestBody6$ ||= {});
  CreateRecordRequestBodyDnsRequest5Type$inboundSchema = nativeEnumType(CreateRecordRequestBodyDnsRequest5Type);
  CreateRecordRequestBodyDnsRequest5Type$outboundSchema = CreateRecordRequestBodyDnsRequest5Type$inboundSchema;
  ((CreateRecordRequestBodyDnsRequest5Type$) => {
    CreateRecordRequestBodyDnsRequest5Type$.inboundSchema = CreateRecordRequestBodyDnsRequest5Type$inboundSchema;
    CreateRecordRequestBodyDnsRequest5Type$.outboundSchema = CreateRecordRequestBodyDnsRequest5Type$outboundSchema;
  })(CreateRecordRequestBodyDnsRequest5Type$ ||= {});
  RequestBody5$inboundSchema = objectType({
    name: stringType(),
    type: CreateRecordRequestBodyDnsRequest5Type$inboundSchema,
    ttl: numberType().optional(),
    value: stringType().optional(),
    comment: stringType().optional()
  });
  RequestBody5$outboundSchema = objectType({
    name: stringType(),
    type: CreateRecordRequestBodyDnsRequest5Type$outboundSchema,
    ttl: numberType().optional(),
    value: stringType().optional(),
    comment: stringType().optional()
  });
  ((RequestBody5$) => {
    RequestBody5$.inboundSchema = RequestBody5$inboundSchema;
    RequestBody5$.outboundSchema = RequestBody5$outboundSchema;
  })(RequestBody5$ ||= {});
  CreateRecordRequestBodyDnsRequestType$inboundSchema = nativeEnumType(CreateRecordRequestBodyDnsRequestType);
  CreateRecordRequestBodyDnsRequestType$outboundSchema = CreateRecordRequestBodyDnsRequestType$inboundSchema;
  ((CreateRecordRequestBodyDnsRequestType$) => {
    CreateRecordRequestBodyDnsRequestType$.inboundSchema = CreateRecordRequestBodyDnsRequestType$inboundSchema;
    CreateRecordRequestBodyDnsRequestType$.outboundSchema = CreateRecordRequestBodyDnsRequestType$outboundSchema;
  })(CreateRecordRequestBodyDnsRequestType$ ||= {});
  RequestBody4$inboundSchema = objectType({
    name: stringType(),
    type: CreateRecordRequestBodyDnsRequestType$inboundSchema,
    ttl: numberType().optional(),
    value: stringType(),
    comment: stringType().optional()
  });
  RequestBody4$outboundSchema = objectType({
    name: stringType(),
    type: CreateRecordRequestBodyDnsRequestType$outboundSchema,
    ttl: numberType().optional(),
    value: stringType(),
    comment: stringType().optional()
  });
  ((RequestBody4$) => {
    RequestBody4$.inboundSchema = RequestBody4$inboundSchema;
    RequestBody4$.outboundSchema = RequestBody4$outboundSchema;
  })(RequestBody4$ ||= {});
  CreateRecordRequestBodyDnsType$inboundSchema = nativeEnumType(CreateRecordRequestBodyDnsType);
  CreateRecordRequestBodyDnsType$outboundSchema = CreateRecordRequestBodyDnsType$inboundSchema;
  ((CreateRecordRequestBodyDnsType$) => {
    CreateRecordRequestBodyDnsType$.inboundSchema = CreateRecordRequestBodyDnsType$inboundSchema;
    CreateRecordRequestBodyDnsType$.outboundSchema = CreateRecordRequestBodyDnsType$outboundSchema;
  })(CreateRecordRequestBodyDnsType$ ||= {});
  CreateRecordRequestBody3$inboundSchema = objectType({
    name: stringType(),
    type: CreateRecordRequestBodyDnsType$inboundSchema,
    ttl: numberType().optional(),
    value: stringType(),
    comment: stringType().optional()
  });
  CreateRecordRequestBody3$outboundSchema = objectType({
    name: stringType(),
    type: CreateRecordRequestBodyDnsType$outboundSchema,
    ttl: numberType().optional(),
    value: stringType(),
    comment: stringType().optional()
  });
  ((CreateRecordRequestBody3$) => {
    CreateRecordRequestBody3$.inboundSchema = CreateRecordRequestBody3$inboundSchema;
    CreateRecordRequestBody3$.outboundSchema = CreateRecordRequestBody3$outboundSchema;
  })(CreateRecordRequestBody3$ ||= {});
  CreateRecordRequestBodyType$inboundSchema = nativeEnumType(CreateRecordRequestBodyType);
  CreateRecordRequestBodyType$outboundSchema = CreateRecordRequestBodyType$inboundSchema;
  ((CreateRecordRequestBodyType$) => {
    CreateRecordRequestBodyType$.inboundSchema = CreateRecordRequestBodyType$inboundSchema;
    CreateRecordRequestBodyType$.outboundSchema = CreateRecordRequestBodyType$outboundSchema;
  })(CreateRecordRequestBodyType$ ||= {});
  CreateRecordRequestBody2$inboundSchema = objectType({
    name: stringType(),
    type: CreateRecordRequestBodyType$inboundSchema,
    ttl: numberType().optional(),
    value: stringType(),
    comment: stringType().optional()
  });
  CreateRecordRequestBody2$outboundSchema = objectType({
    name: stringType(),
    type: CreateRecordRequestBodyType$outboundSchema,
    ttl: numberType().optional(),
    value: stringType(),
    comment: stringType().optional()
  });
  ((CreateRecordRequestBody2$) => {
    CreateRecordRequestBody2$.inboundSchema = CreateRecordRequestBody2$inboundSchema;
    CreateRecordRequestBody2$.outboundSchema = CreateRecordRequestBody2$outboundSchema;
  })(CreateRecordRequestBody2$ ||= {});
  RequestBodyType$inboundSchema = nativeEnumType(RequestBodyType);
  RequestBodyType$outboundSchema = RequestBodyType$inboundSchema;
  ((RequestBodyType$) => {
    RequestBodyType$.inboundSchema = RequestBodyType$inboundSchema;
    RequestBodyType$.outboundSchema = RequestBodyType$outboundSchema;
  })(RequestBodyType$ ||= {});
  CreateRecordRequestBody1$inboundSchema = objectType({
    name: stringType(),
    type: RequestBodyType$inboundSchema,
    ttl: numberType().optional(),
    value: stringType(),
    comment: stringType().optional()
  });
  CreateRecordRequestBody1$outboundSchema = objectType({
    name: stringType(),
    type: RequestBodyType$outboundSchema,
    ttl: numberType().optional(),
    value: stringType(),
    comment: stringType().optional()
  });
  ((CreateRecordRequestBody1$) => {
    CreateRecordRequestBody1$.inboundSchema = CreateRecordRequestBody1$inboundSchema;
    CreateRecordRequestBody1$.outboundSchema = CreateRecordRequestBody1$outboundSchema;
  })(CreateRecordRequestBody1$ ||= {});
  CreateRecordRequestBody$inboundSchema = unionType([
    lazyType(() => RequestBody7$inboundSchema),
    lazyType(() => RequestBody8$inboundSchema),
    lazyType(() => RequestBody10$inboundSchema),
    lazyType(() => CreateRecordRequestBody1$inboundSchema),
    lazyType(() => CreateRecordRequestBody2$inboundSchema),
    lazyType(() => CreateRecordRequestBody3$inboundSchema),
    lazyType(() => RequestBody4$inboundSchema),
    lazyType(() => RequestBody5$inboundSchema),
    lazyType(() => RequestBody9$inboundSchema),
    lazyType(() => RequestBody6$inboundSchema)
  ]);
  CreateRecordRequestBody$outboundSchema = unionType([
    lazyType(() => RequestBody7$outboundSchema),
    lazyType(() => RequestBody8$outboundSchema),
    lazyType(() => RequestBody10$outboundSchema),
    lazyType(() => CreateRecordRequestBody1$outboundSchema),
    lazyType(() => CreateRecordRequestBody2$outboundSchema),
    lazyType(() => CreateRecordRequestBody3$outboundSchema),
    lazyType(() => RequestBody4$outboundSchema),
    lazyType(() => RequestBody5$outboundSchema),
    lazyType(() => RequestBody9$outboundSchema),
    lazyType(() => RequestBody6$outboundSchema)
  ]);
  ((CreateRecordRequestBody$) => {
    CreateRecordRequestBody$.inboundSchema = CreateRecordRequestBody$inboundSchema;
    CreateRecordRequestBody$.outboundSchema = CreateRecordRequestBody$outboundSchema;
  })(CreateRecordRequestBody$ ||= {});
  CreateRecordRequest$inboundSchema = objectType({
    domain: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    RequestBody: unionType([
      lazyType(() => RequestBody7$inboundSchema),
      lazyType(() => RequestBody8$inboundSchema),
      lazyType(() => RequestBody10$inboundSchema),
      lazyType(() => CreateRecordRequestBody1$inboundSchema),
      lazyType(() => CreateRecordRequestBody2$inboundSchema),
      lazyType(() => CreateRecordRequestBody3$inboundSchema),
      lazyType(() => RequestBody4$inboundSchema),
      lazyType(() => RequestBody5$inboundSchema),
      lazyType(() => RequestBody9$inboundSchema),
      lazyType(() => RequestBody6$inboundSchema)
    ])
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  CreateRecordRequest$outboundSchema = objectType({
    domain: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    requestBody: unionType([
      lazyType(() => RequestBody7$outboundSchema),
      lazyType(() => RequestBody8$outboundSchema),
      lazyType(() => RequestBody10$outboundSchema),
      lazyType(() => CreateRecordRequestBody1$outboundSchema),
      lazyType(() => CreateRecordRequestBody2$outboundSchema),
      lazyType(() => CreateRecordRequestBody3$outboundSchema),
      lazyType(() => RequestBody4$outboundSchema),
      lazyType(() => RequestBody5$outboundSchema),
      lazyType(() => RequestBody9$outboundSchema),
      lazyType(() => RequestBody6$outboundSchema)
    ])
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((CreateRecordRequest$) => {
    CreateRecordRequest$.inboundSchema = CreateRecordRequest$inboundSchema;
    CreateRecordRequest$.outboundSchema = CreateRecordRequest$outboundSchema;
  })(CreateRecordRequest$ ||= {});
  CreateRecordResponseBody2$inboundSchema = objectType({
    uid: stringType()
  });
  CreateRecordResponseBody2$outboundSchema = objectType({
    uid: stringType()
  });
  ((CreateRecordResponseBody2$) => {
    CreateRecordResponseBody2$.inboundSchema = CreateRecordResponseBody2$inboundSchema;
    CreateRecordResponseBody2$.outboundSchema = CreateRecordResponseBody2$outboundSchema;
  })(CreateRecordResponseBody2$ ||= {});
  CreateRecordResponseBody1$inboundSchema = objectType({
    uid: stringType(),
    updated: numberType()
  });
  CreateRecordResponseBody1$outboundSchema = objectType({
    uid: stringType(),
    updated: numberType()
  });
  ((CreateRecordResponseBody1$) => {
    CreateRecordResponseBody1$.inboundSchema = CreateRecordResponseBody1$inboundSchema;
    CreateRecordResponseBody1$.outboundSchema = CreateRecordResponseBody1$outboundSchema;
  })(CreateRecordResponseBody1$ ||= {});
  CreateRecordResponseBody$inboundSchema = unionType([
    lazyType(() => CreateRecordResponseBody2$inboundSchema),
    lazyType(() => CreateRecordResponseBody1$inboundSchema)
  ]);
  CreateRecordResponseBody$outboundSchema = unionType([
    lazyType(() => CreateRecordResponseBody2$outboundSchema),
    lazyType(() => CreateRecordResponseBody1$outboundSchema)
  ]);
  ((CreateRecordResponseBody$) => {
    CreateRecordResponseBody$.inboundSchema = CreateRecordResponseBody$inboundSchema;
    CreateRecordResponseBody$.outboundSchema = CreateRecordResponseBody$outboundSchema;
  })(CreateRecordResponseBody$ ||= {});
});

// src/funcs/dnsCreateRecord.ts
function dnsCreateRecord(client, request, options) {
  return new APIPromise($do49(client, request, options));
}
async function $do49(client, request, options) {
  const parsed = safeParse(request, (value) => CreateRecordRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    domain: encodeSimple("domain", payload.domain, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v2/domains/{domain}/records")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "createRecord",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "404", "409", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, CreateRecordResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([402, 403, 409, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_dnsCreateRecord = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_createrecordop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/dnsCreateRecord.ts
var args48, tool$dnsCreateRecord;
var init_dnsCreateRecord2 = __esm(() => {
  init_dnsCreateRecord();
  init_createrecordop();
  init_tools();
  args48 = {
    request: CreateRecordRequest$inboundSchema
  };
  tool$dnsCreateRecord = {
    name: "dns-create-record",
    description: `Create a DNS record

Creates a DNS record for a domain.`,
    args: args48,
    tool: async (client, args49, ctx) => {
      const [result, apiCall] = await dnsCreateRecord(client, args49.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/getrecordsop.ts
var GetRecordsResponseBodyDnsType, GetRecordsResponseBodyType, GetRecordsRequest$inboundSchema, GetRecordsRequest$outboundSchema, GetRecordsRequest$, GetRecordsResponseBodyDnsType$inboundSchema, GetRecordsResponseBodyDnsType$outboundSchema, GetRecordsResponseBodyDnsType$, ResponseBodyRecords$inboundSchema, ResponseBodyRecords$outboundSchema, ResponseBodyRecords$, ResponseBody3$inboundSchema, ResponseBody3$outboundSchema, ResponseBody3$, GetRecordsResponseBodyType$inboundSchema, GetRecordsResponseBodyType$outboundSchema, GetRecordsResponseBodyType$, Records$inboundSchema, Records$outboundSchema, Records$, GetRecordsResponseBody2$inboundSchema, GetRecordsResponseBody2$outboundSchema, GetRecordsResponseBody2$, GetRecordsResponseBody$inboundSchema, GetRecordsResponseBody$outboundSchema, GetRecordsResponseBody$;
var init_getrecordsop = __esm(() => {
  init_esm();
  init_pagination();
  GetRecordsResponseBodyDnsType = {
    A: "A",
    Aaaa: "AAAA",
    Alias: "ALIAS",
    Caa: "CAA",
    Cname: "CNAME",
    Https: "HTTPS",
    Mx: "MX",
    Srv: "SRV",
    Txt: "TXT",
    Ns: "NS"
  };
  GetRecordsResponseBodyType = {
    A: "A",
    Aaaa: "AAAA",
    Alias: "ALIAS",
    Caa: "CAA",
    Cname: "CNAME",
    Https: "HTTPS",
    Mx: "MX",
    Srv: "SRV",
    Txt: "TXT",
    Ns: "NS"
  };
  GetRecordsRequest$inboundSchema = objectType({
    domain: stringType(),
    limit: stringType().optional(),
    since: stringType().optional(),
    until: stringType().optional(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  GetRecordsRequest$outboundSchema = objectType({
    domain: stringType(),
    limit: stringType().optional(),
    since: stringType().optional(),
    until: stringType().optional(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((GetRecordsRequest$) => {
    GetRecordsRequest$.inboundSchema = GetRecordsRequest$inboundSchema;
    GetRecordsRequest$.outboundSchema = GetRecordsRequest$outboundSchema;
  })(GetRecordsRequest$ ||= {});
  GetRecordsResponseBodyDnsType$inboundSchema = nativeEnumType(GetRecordsResponseBodyDnsType);
  GetRecordsResponseBodyDnsType$outboundSchema = GetRecordsResponseBodyDnsType$inboundSchema;
  ((GetRecordsResponseBodyDnsType$) => {
    GetRecordsResponseBodyDnsType$.inboundSchema = GetRecordsResponseBodyDnsType$inboundSchema;
    GetRecordsResponseBodyDnsType$.outboundSchema = GetRecordsResponseBodyDnsType$outboundSchema;
  })(GetRecordsResponseBodyDnsType$ ||= {});
  ResponseBodyRecords$inboundSchema = objectType({
    id: stringType(),
    slug: stringType(),
    name: stringType(),
    type: GetRecordsResponseBodyDnsType$inboundSchema,
    value: stringType(),
    mxPriority: numberType().optional(),
    priority: numberType().optional(),
    creator: stringType(),
    created: nullableType(numberType()),
    updated: nullableType(numberType()),
    createdAt: nullableType(numberType()),
    updatedAt: nullableType(numberType())
  });
  ResponseBodyRecords$outboundSchema = objectType({
    id: stringType(),
    slug: stringType(),
    name: stringType(),
    type: GetRecordsResponseBodyDnsType$outboundSchema,
    value: stringType(),
    mxPriority: numberType().optional(),
    priority: numberType().optional(),
    creator: stringType(),
    created: nullableType(numberType()),
    updated: nullableType(numberType()),
    createdAt: nullableType(numberType()),
    updatedAt: nullableType(numberType())
  });
  ((ResponseBodyRecords$) => {
    ResponseBodyRecords$.inboundSchema = ResponseBodyRecords$inboundSchema;
    ResponseBodyRecords$.outboundSchema = ResponseBodyRecords$outboundSchema;
  })(ResponseBodyRecords$ ||= {});
  ResponseBody3$inboundSchema = objectType({
    records: arrayType(lazyType(() => ResponseBodyRecords$inboundSchema)),
    pagination: Pagination$inboundSchema
  });
  ResponseBody3$outboundSchema = objectType({
    records: arrayType(lazyType(() => ResponseBodyRecords$outboundSchema)),
    pagination: Pagination$outboundSchema
  });
  ((ResponseBody3$) => {
    ResponseBody3$.inboundSchema = ResponseBody3$inboundSchema;
    ResponseBody3$.outboundSchema = ResponseBody3$outboundSchema;
  })(ResponseBody3$ ||= {});
  GetRecordsResponseBodyType$inboundSchema = nativeEnumType(GetRecordsResponseBodyType);
  GetRecordsResponseBodyType$outboundSchema = GetRecordsResponseBodyType$inboundSchema;
  ((GetRecordsResponseBodyType$) => {
    GetRecordsResponseBodyType$.inboundSchema = GetRecordsResponseBodyType$inboundSchema;
    GetRecordsResponseBodyType$.outboundSchema = GetRecordsResponseBodyType$outboundSchema;
  })(GetRecordsResponseBodyType$ ||= {});
  Records$inboundSchema = objectType({
    id: stringType(),
    slug: stringType(),
    name: stringType(),
    type: GetRecordsResponseBodyType$inboundSchema,
    value: stringType(),
    mxPriority: numberType().optional(),
    priority: numberType().optional(),
    creator: stringType(),
    created: nullableType(numberType()),
    updated: nullableType(numberType()),
    createdAt: nullableType(numberType()),
    updatedAt: nullableType(numberType())
  });
  Records$outboundSchema = objectType({
    id: stringType(),
    slug: stringType(),
    name: stringType(),
    type: GetRecordsResponseBodyType$outboundSchema,
    value: stringType(),
    mxPriority: numberType().optional(),
    priority: numberType().optional(),
    creator: stringType(),
    created: nullableType(numberType()),
    updated: nullableType(numberType()),
    createdAt: nullableType(numberType()),
    updatedAt: nullableType(numberType())
  });
  ((Records$) => {
    Records$.inboundSchema = Records$inboundSchema;
    Records$.outboundSchema = Records$outboundSchema;
  })(Records$ ||= {});
  GetRecordsResponseBody2$inboundSchema = objectType({
    records: arrayType(lazyType(() => Records$inboundSchema))
  });
  GetRecordsResponseBody2$outboundSchema = objectType({
    records: arrayType(lazyType(() => Records$outboundSchema))
  });
  ((GetRecordsResponseBody2$) => {
    GetRecordsResponseBody2$.inboundSchema = GetRecordsResponseBody2$inboundSchema;
    GetRecordsResponseBody2$.outboundSchema = GetRecordsResponseBody2$outboundSchema;
  })(GetRecordsResponseBody2$ ||= {});
  GetRecordsResponseBody$inboundSchema = unionType([
    lazyType(() => GetRecordsResponseBody2$inboundSchema),
    lazyType(() => ResponseBody3$inboundSchema),
    stringType()
  ]);
  GetRecordsResponseBody$outboundSchema = unionType([
    lazyType(() => GetRecordsResponseBody2$outboundSchema),
    lazyType(() => ResponseBody3$outboundSchema),
    stringType()
  ]);
  ((GetRecordsResponseBody$) => {
    GetRecordsResponseBody$.inboundSchema = GetRecordsResponseBody$inboundSchema;
    GetRecordsResponseBody$.outboundSchema = GetRecordsResponseBody$outboundSchema;
  })(GetRecordsResponseBody$ ||= {});
});

// src/funcs/dnsGetRecords.ts
function dnsGetRecords(client, request, options) {
  return new APIPromise($do50(client, request, options));
}
async function $do50(client, request, options) {
  const parsed = safeParse(request, (value) => GetRecordsRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    domain: encodeSimple("domain", payload.domain, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v4/domains/{domain}/records")(pathParams);
  const query = encodeFormQuery({
    limit: payload.limit,
    since: payload.since,
    slug: payload.slug,
    teamId: payload.teamId,
    until: payload.until
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "getRecords",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetRecordsResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_dnsGetRecords = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_getrecordsop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/dnsGetRecords.ts
var args49, tool$dnsGetRecords;
var init_dnsGetRecords2 = __esm(() => {
  init_dnsGetRecords();
  init_getrecordsop();
  init_tools();
  args49 = {
    request: GetRecordsRequest$inboundSchema
  };
  tool$dnsGetRecords = {
    name: "dns-get-records",
    description: `List existing DNS records

Retrieves a list of DNS records created for a domain name. By default it returns 20 records if no limit is provided. The rest can be retrieved using the pagination options.`,
    args: args49,
    tool: async (client, args50, ctx) => {
      const [result, apiCall] = await dnsGetRecords(client, args50.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/removerecordop.ts
var RemoveRecordRequest$inboundSchema, RemoveRecordRequest$outboundSchema, RemoveRecordRequest$, RemoveRecordResponseBody$inboundSchema, RemoveRecordResponseBody$outboundSchema, RemoveRecordResponseBody$;
var init_removerecordop = __esm(() => {
  init_esm();
  RemoveRecordRequest$inboundSchema = objectType({
    domain: stringType(),
    recordId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  RemoveRecordRequest$outboundSchema = objectType({
    domain: stringType(),
    recordId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((RemoveRecordRequest$) => {
    RemoveRecordRequest$.inboundSchema = RemoveRecordRequest$inboundSchema;
    RemoveRecordRequest$.outboundSchema = RemoveRecordRequest$outboundSchema;
  })(RemoveRecordRequest$ ||= {});
  RemoveRecordResponseBody$inboundSchema = objectType({});
  RemoveRecordResponseBody$outboundSchema = objectType({});
  ((RemoveRecordResponseBody$) => {
    RemoveRecordResponseBody$.inboundSchema = RemoveRecordResponseBody$inboundSchema;
    RemoveRecordResponseBody$.outboundSchema = RemoveRecordResponseBody$outboundSchema;
  })(RemoveRecordResponseBody$ ||= {});
});

// src/funcs/dnsRemoveRecord.ts
function dnsRemoveRecord(client, request, options) {
  return new APIPromise($do51(client, request, options));
}
async function $do51(client, request, options) {
  const parsed = safeParse(request, (value) => RemoveRecordRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    domain: encodeSimple("domain", payload.domain, {
      explode: false,
      charEncoding: "percent"
    }),
    recordId: encodeSimple("recordId", payload.recordId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v2/domains/{domain}/records/{recordId}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "removeRecord",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "DELETE",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, RemoveRecordResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_dnsRemoveRecord = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_removerecordop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/dnsRemoveRecord.ts
var args50, tool$dnsRemoveRecord;
var init_dnsRemoveRecord2 = __esm(() => {
  init_dnsRemoveRecord();
  init_removerecordop();
  init_tools();
  args50 = {
    request: RemoveRecordRequest$inboundSchema
  };
  tool$dnsRemoveRecord = {
    name: "dns-remove-record",
    description: `Delete a DNS record

Removes an existing DNS record from a domain name.`,
    args: args50,
    tool: async (client, args51, ctx) => {
      const [result, apiCall] = await dnsRemoveRecord(client, args51.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/updaterecordop.ts
var UpdateRecordType, RecordType, UpdateRecordDnsType, UpdateRecordType$inboundSchema, UpdateRecordType$outboundSchema, UpdateRecordType$, Srv$inboundSchema, Srv$outboundSchema, Srv$, Https$inboundSchema, Https$outboundSchema, Https$, UpdateRecordRequestBody$inboundSchema, UpdateRecordRequestBody$outboundSchema, UpdateRecordRequestBody$, UpdateRecordRequest$inboundSchema, UpdateRecordRequest$outboundSchema, UpdateRecordRequest$, RecordType$inboundSchema, RecordType$outboundSchema, RecordType$, UpdateRecordDnsType$inboundSchema, UpdateRecordDnsType$outboundSchema, UpdateRecordDnsType$, UpdateRecordResponseBody$inboundSchema, UpdateRecordResponseBody$outboundSchema, UpdateRecordResponseBody$;
var init_updaterecordop = __esm(() => {
  init_esm();
  init_primitives();
  UpdateRecordType = {
    A: "A",
    Aaaa: "AAAA",
    Alias: "ALIAS",
    Caa: "CAA",
    Cname: "CNAME",
    Https: "HTTPS",
    Mx: "MX",
    Srv: "SRV",
    Txt: "TXT",
    Ns: "NS"
  };
  RecordType = {
    A: "A",
    Aaaa: "AAAA",
    Alias: "ALIAS",
    Caa: "CAA",
    Cname: "CNAME",
    Https: "HTTPS",
    Mx: "MX",
    Srv: "SRV",
    Txt: "TXT",
    Ns: "NS"
  };
  UpdateRecordDnsType = {
    Record: "record",
    RecordSys: "record-sys"
  };
  UpdateRecordType$inboundSchema = nativeEnumType(UpdateRecordType);
  UpdateRecordType$outboundSchema = UpdateRecordType$inboundSchema;
  ((UpdateRecordType$) => {
    UpdateRecordType$.inboundSchema = UpdateRecordType$inboundSchema;
    UpdateRecordType$.outboundSchema = UpdateRecordType$outboundSchema;
  })(UpdateRecordType$ ||= {});
  Srv$inboundSchema = objectType({
    target: nullableType(stringType()),
    weight: nullableType(numberType().int()),
    port: nullableType(numberType().int()),
    priority: nullableType(numberType().int())
  });
  Srv$outboundSchema = objectType({
    target: nullableType(stringType()),
    weight: nullableType(numberType().int()),
    port: nullableType(numberType().int()),
    priority: nullableType(numberType().int())
  });
  ((Srv$) => {
    Srv$.inboundSchema = Srv$inboundSchema;
    Srv$.outboundSchema = Srv$outboundSchema;
  })(Srv$ ||= {});
  Https$inboundSchema = objectType({
    priority: nullableType(numberType().int()),
    target: nullableType(stringType()),
    params: nullableType(stringType()).optional()
  });
  Https$outboundSchema = objectType({
    priority: nullableType(numberType().int()),
    target: nullableType(stringType()),
    params: nullableType(stringType()).optional()
  });
  ((Https$) => {
    Https$.inboundSchema = Https$inboundSchema;
    Https$.outboundSchema = Https$outboundSchema;
  })(Https$ ||= {});
  UpdateRecordRequestBody$inboundSchema = objectType({
    name: nullableType(stringType()).optional(),
    value: nullableType(stringType()).optional(),
    type: nullableType(UpdateRecordType$inboundSchema).optional(),
    ttl: nullableType(numberType().int()).optional(),
    mxPriority: nullableType(numberType().int()).optional(),
    srv: nullableType(lazyType(() => Srv$inboundSchema)).optional(),
    https: nullableType(lazyType(() => Https$inboundSchema)).optional(),
    comment: stringType().optional()
  });
  UpdateRecordRequestBody$outboundSchema = objectType({
    name: nullableType(stringType()).optional(),
    value: nullableType(stringType()).optional(),
    type: nullableType(UpdateRecordType$outboundSchema).optional(),
    ttl: nullableType(numberType().int()).optional(),
    mxPriority: nullableType(numberType().int()).optional(),
    srv: nullableType(lazyType(() => Srv$outboundSchema)).optional(),
    https: nullableType(lazyType(() => Https$outboundSchema)).optional(),
    comment: stringType().optional()
  });
  ((UpdateRecordRequestBody$) => {
    UpdateRecordRequestBody$.inboundSchema = UpdateRecordRequestBody$inboundSchema;
    UpdateRecordRequestBody$.outboundSchema = UpdateRecordRequestBody$outboundSchema;
  })(UpdateRecordRequestBody$ ||= {});
  UpdateRecordRequest$inboundSchema = objectType({
    recordId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    RequestBody: lazyType(() => UpdateRecordRequestBody$inboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  UpdateRecordRequest$outboundSchema = objectType({
    recordId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    requestBody: lazyType(() => UpdateRecordRequestBody$outboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((UpdateRecordRequest$) => {
    UpdateRecordRequest$.inboundSchema = UpdateRecordRequest$inboundSchema;
    UpdateRecordRequest$.outboundSchema = UpdateRecordRequest$outboundSchema;
  })(UpdateRecordRequest$ ||= {});
  RecordType$inboundSchema = nativeEnumType(RecordType);
  RecordType$outboundSchema = RecordType$inboundSchema;
  ((RecordType$) => {
    RecordType$.inboundSchema = RecordType$inboundSchema;
    RecordType$.outboundSchema = RecordType$outboundSchema;
  })(RecordType$ ||= {});
  UpdateRecordDnsType$inboundSchema = nativeEnumType(UpdateRecordDnsType);
  UpdateRecordDnsType$outboundSchema = UpdateRecordDnsType$inboundSchema;
  ((UpdateRecordDnsType$) => {
    UpdateRecordDnsType$.inboundSchema = UpdateRecordDnsType$inboundSchema;
    UpdateRecordDnsType$.outboundSchema = UpdateRecordDnsType$outboundSchema;
  })(UpdateRecordDnsType$ ||= {});
  UpdateRecordResponseBody$inboundSchema = objectType({
    createdAt: nullableType(numberType()).optional(),
    creator: stringType(),
    domain: stringType(),
    id: stringType(),
    name: stringType(),
    recordType: RecordType$inboundSchema,
    ttl: numberType().optional(),
    type: UpdateRecordDnsType$inboundSchema,
    value: stringType(),
    comment: stringType().optional()
  });
  UpdateRecordResponseBody$outboundSchema = objectType({
    createdAt: nullableType(numberType()).optional(),
    creator: stringType(),
    domain: stringType(),
    id: stringType(),
    name: stringType(),
    recordType: RecordType$outboundSchema,
    ttl: numberType().optional(),
    type: UpdateRecordDnsType$outboundSchema,
    value: stringType(),
    comment: stringType().optional()
  });
  ((UpdateRecordResponseBody$) => {
    UpdateRecordResponseBody$.inboundSchema = UpdateRecordResponseBody$inboundSchema;
    UpdateRecordResponseBody$.outboundSchema = UpdateRecordResponseBody$outboundSchema;
  })(UpdateRecordResponseBody$ ||= {});
});

// src/funcs/dnsUpdateRecord.ts
function dnsUpdateRecord(client, request, options) {
  return new APIPromise($do52(client, request, options));
}
async function $do52(client, request, options) {
  const parsed = safeParse(request, (value) => UpdateRecordRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    recordId: encodeSimple("recordId", payload.recordId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/domains/records/{recordId}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "updateRecord",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "PATCH",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "404", "409", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, UpdateRecordResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([402, 403, 409, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_dnsUpdateRecord = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_updaterecordop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/dnsUpdateRecord.ts
var args51, tool$dnsUpdateRecord;
var init_dnsUpdateRecord2 = __esm(() => {
  init_dnsUpdateRecord();
  init_updaterecordop();
  init_tools();
  args51 = {
    request: UpdateRecordRequest$inboundSchema
  };
  tool$dnsUpdateRecord = {
    name: "dns-update-record",
    description: `Update an existing DNS record

Updates an existing DNS record for a domain name.`,
    args: args51,
    tool: async (client, args52, ctx) => {
      const [result, apiCall] = await dnsUpdateRecord(client, args52.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/buydomainop.ts
var BuyDomainRequestBody$inboundSchema, BuyDomainRequestBody$outboundSchema, BuyDomainRequestBody$, BuyDomainRequest$inboundSchema, BuyDomainRequest$outboundSchema, BuyDomainRequest$, BuyDomainDomain$inboundSchema, BuyDomainDomain$outboundSchema, BuyDomainDomain$, BuyDomainDomainsResponseBody$inboundSchema, BuyDomainDomainsResponseBody$outboundSchema, BuyDomainDomainsResponseBody$, BuyDomainDomainsDomain$inboundSchema, BuyDomainDomainsDomain$outboundSchema, BuyDomainDomainsDomain$, BuyDomainResponseBody$inboundSchema, BuyDomainResponseBody$outboundSchema, BuyDomainResponseBody$, BuyDomainResponse$inboundSchema, BuyDomainResponse$outboundSchema, BuyDomainResponse$;
var init_buydomainop = __esm(() => {
  init_esm();
  init_primitives();
  BuyDomainRequestBody$inboundSchema = objectType({
    name: stringType(),
    expectedPrice: numberType().optional(),
    renew: booleanType().optional(),
    country: stringType(),
    orgName: stringType().optional(),
    firstName: stringType(),
    lastName: stringType(),
    address1: stringType(),
    city: stringType(),
    state: stringType(),
    postalCode: stringType(),
    phone: stringType(),
    email: stringType()
  });
  BuyDomainRequestBody$outboundSchema = objectType({
    name: stringType(),
    expectedPrice: numberType().optional(),
    renew: booleanType().optional(),
    country: stringType(),
    orgName: stringType().optional(),
    firstName: stringType(),
    lastName: stringType(),
    address1: stringType(),
    city: stringType(),
    state: stringType(),
    postalCode: stringType(),
    phone: stringType(),
    email: stringType()
  });
  ((BuyDomainRequestBody$) => {
    BuyDomainRequestBody$.inboundSchema = BuyDomainRequestBody$inboundSchema;
    BuyDomainRequestBody$.outboundSchema = BuyDomainRequestBody$outboundSchema;
  })(BuyDomainRequestBody$ ||= {});
  BuyDomainRequest$inboundSchema = objectType({
    teamId: stringType().optional(),
    slug: stringType().optional(),
    RequestBody: lazyType(() => BuyDomainRequestBody$inboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  BuyDomainRequest$outboundSchema = objectType({
    teamId: stringType().optional(),
    slug: stringType().optional(),
    requestBody: lazyType(() => BuyDomainRequestBody$outboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((BuyDomainRequest$) => {
    BuyDomainRequest$.inboundSchema = BuyDomainRequest$inboundSchema;
    BuyDomainRequest$.outboundSchema = BuyDomainRequest$outboundSchema;
  })(BuyDomainRequest$ ||= {});
  BuyDomainDomain$inboundSchema = objectType({
    uid: stringType(),
    ns: arrayType(stringType()),
    verified: booleanType(),
    created: numberType(),
    pending: booleanType()
  });
  BuyDomainDomain$outboundSchema = objectType({
    uid: stringType(),
    ns: arrayType(stringType()),
    verified: booleanType(),
    created: numberType(),
    pending: booleanType()
  });
  ((BuyDomainDomain$) => {
    BuyDomainDomain$.inboundSchema = BuyDomainDomain$inboundSchema;
    BuyDomainDomain$.outboundSchema = BuyDomainDomain$outboundSchema;
  })(BuyDomainDomain$ ||= {});
  BuyDomainDomainsResponseBody$inboundSchema = objectType({
    domain: lazyType(() => BuyDomainDomain$inboundSchema)
  });
  BuyDomainDomainsResponseBody$outboundSchema = objectType({
    domain: lazyType(() => BuyDomainDomain$outboundSchema)
  });
  ((BuyDomainDomainsResponseBody$) => {
    BuyDomainDomainsResponseBody$.inboundSchema = BuyDomainDomainsResponseBody$inboundSchema;
    BuyDomainDomainsResponseBody$.outboundSchema = BuyDomainDomainsResponseBody$outboundSchema;
  })(BuyDomainDomainsResponseBody$ ||= {});
  BuyDomainDomainsDomain$inboundSchema = objectType({
    uid: stringType(),
    ns: arrayType(stringType()),
    verified: booleanType(),
    created: numberType(),
    pending: booleanType()
  });
  BuyDomainDomainsDomain$outboundSchema = objectType({
    uid: stringType(),
    ns: arrayType(stringType()),
    verified: booleanType(),
    created: numberType(),
    pending: booleanType()
  });
  ((BuyDomainDomainsDomain$) => {
    BuyDomainDomainsDomain$.inboundSchema = BuyDomainDomainsDomain$inboundSchema;
    BuyDomainDomainsDomain$.outboundSchema = BuyDomainDomainsDomain$outboundSchema;
  })(BuyDomainDomainsDomain$ ||= {});
  BuyDomainResponseBody$inboundSchema = objectType({
    domain: lazyType(() => BuyDomainDomainsDomain$inboundSchema)
  });
  BuyDomainResponseBody$outboundSchema = objectType({
    domain: lazyType(() => BuyDomainDomainsDomain$outboundSchema)
  });
  ((BuyDomainResponseBody$) => {
    BuyDomainResponseBody$.inboundSchema = BuyDomainResponseBody$inboundSchema;
    BuyDomainResponseBody$.outboundSchema = BuyDomainResponseBody$outboundSchema;
  })(BuyDomainResponseBody$ ||= {});
  BuyDomainResponse$inboundSchema = unionType([
    lazyType(() => BuyDomainResponseBody$inboundSchema),
    lazyType(() => BuyDomainDomainsResponseBody$inboundSchema)
  ]);
  BuyDomainResponse$outboundSchema = unionType([
    lazyType(() => BuyDomainResponseBody$outboundSchema),
    lazyType(() => BuyDomainDomainsResponseBody$outboundSchema)
  ]);
  ((BuyDomainResponse$) => {
    BuyDomainResponse$.inboundSchema = BuyDomainResponse$inboundSchema;
    BuyDomainResponse$.outboundSchema = BuyDomainResponse$outboundSchema;
  })(BuyDomainResponse$ ||= {});
});

// src/models/ratelimitnotice.ts
var RateLimitNotice$inboundSchema, RateLimitNotice$outboundSchema, RateLimitNotice$;
var init_ratelimitnotice = __esm(() => {
  init_esm();
  RateLimitNotice$inboundSchema = objectType({
    remaining: numberType().int(),
    reset: numberType().int(),
    resetMs: numberType().int(),
    total: numberType().int()
  });
  RateLimitNotice$outboundSchema = objectType({
    remaining: numberType().int(),
    reset: numberType().int(),
    resetMs: numberType().int(),
    total: numberType().int()
  });
  ((RateLimitNotice$) => {
    RateLimitNotice$.inboundSchema = RateLimitNotice$inboundSchema;
    RateLimitNotice$.outboundSchema = RateLimitNotice$outboundSchema;
  })(RateLimitNotice$ ||= {});
});

// src/models/vercelratelimiterror.ts
var VercelRateLimitError, VercelRateLimitErrorError$inboundSchema, VercelRateLimitErrorError$outboundSchema, VercelRateLimitErrorError$, VercelRateLimitError$inboundSchema, VercelRateLimitError$outboundSchema, VercelRateLimitError$;
var init_vercelratelimiterror = __esm(() => {
  init_esm();
  init_ratelimitnotice();
  VercelRateLimitError = class VercelRateLimitError extends Error {
    error;
    data$;
    constructor(err) {
      const message = "message" in err && typeof err.message === "string" ? err.message : `API error occurred: ${JSON.stringify(err)}`;
      super(message);
      this.data$ = err;
      this.error = err.error;
      this.name = "VercelRateLimitError";
    }
  };
  VercelRateLimitErrorError$inboundSchema = objectType({
    code: stringType(),
    message: stringType(),
    limit: RateLimitNotice$inboundSchema.optional()
  });
  VercelRateLimitErrorError$outboundSchema = objectType({
    code: stringType(),
    message: stringType(),
    limit: RateLimitNotice$outboundSchema.optional()
  });
  ((VercelRateLimitErrorError$) => {
    VercelRateLimitErrorError$.inboundSchema = VercelRateLimitErrorError$inboundSchema;
    VercelRateLimitErrorError$.outboundSchema = VercelRateLimitErrorError$outboundSchema;
  })(VercelRateLimitErrorError$ ||= {});
  VercelRateLimitError$inboundSchema = objectType({
    error: lazyType(() => VercelRateLimitErrorError$inboundSchema)
  }).transform((v2) => {
    return new VercelRateLimitError(v2);
  });
  VercelRateLimitError$outboundSchema = instanceOfType(VercelRateLimitError).transform((v2) => v2.data$).pipe(objectType({
    error: lazyType(() => VercelRateLimitErrorError$outboundSchema)
  }));
  ((VercelRateLimitError$) => {
    VercelRateLimitError$.inboundSchema = VercelRateLimitError$inboundSchema;
    VercelRateLimitError$.outboundSchema = VercelRateLimitError$outboundSchema;
  })(VercelRateLimitError$ ||= {});
});

// src/funcs/domainsBuyDomain.ts
function domainsBuyDomain(client, request, options) {
  return new APIPromise($do53(client, request, options));
}
async function $do53(client, request, options) {
  const parsed = safeParse(request, (value) => BuyDomainRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const path = pathToFunc("/v5/domains/buy")();
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "buyDomain",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "409", "429", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(201, BuyDomainResponse$inboundSchema), json(202, BuyDomainResponse$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(429, VercelRateLimitError$inboundSchema), fail([403, 409, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_domainsBuyDomain = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_buydomainop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelratelimiterror();
  init_async();
});

// src/mcp-server/tools/domainsBuyDomain.ts
var args52, tool$domainsBuyDomain;
var init_domainsBuyDomain2 = __esm(() => {
  init_domainsBuyDomain();
  init_buydomainop();
  init_tools();
  args52 = {
    request: BuyDomainRequest$inboundSchema
  };
  tool$domainsBuyDomain = {
    name: "domains-buy-domain",
    description: `Purchase a domain

Allows to purchase the specified domain.`,
    args: args52,
    tool: async (client, args53, ctx) => {
      const [result, apiCall] = await domainsBuyDomain(client, args53.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/checkdomainpriceop.ts
var QueryParamType, QueryParamType$inboundSchema, QueryParamType$outboundSchema, QueryParamType$, CheckDomainPriceRequest$inboundSchema, CheckDomainPriceRequest$outboundSchema, CheckDomainPriceRequest$, CheckDomainPriceResponseBody$inboundSchema, CheckDomainPriceResponseBody$outboundSchema, CheckDomainPriceResponseBody$;
var init_checkdomainpriceop = __esm(() => {
  init_esm();
  QueryParamType = {
    New: "new",
    Renewal: "renewal",
    Transfer: "transfer",
    Redemption: "redemption"
  };
  QueryParamType$inboundSchema = nativeEnumType(QueryParamType);
  QueryParamType$outboundSchema = QueryParamType$inboundSchema;
  ((QueryParamType$) => {
    QueryParamType$.inboundSchema = QueryParamType$inboundSchema;
    QueryParamType$.outboundSchema = QueryParamType$outboundSchema;
  })(QueryParamType$ ||= {});
  CheckDomainPriceRequest$inboundSchema = objectType({
    name: stringType(),
    type: QueryParamType$inboundSchema.optional(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  CheckDomainPriceRequest$outboundSchema = objectType({
    name: stringType(),
    type: QueryParamType$outboundSchema.optional(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((CheckDomainPriceRequest$) => {
    CheckDomainPriceRequest$.inboundSchema = CheckDomainPriceRequest$inboundSchema;
    CheckDomainPriceRequest$.outboundSchema = CheckDomainPriceRequest$outboundSchema;
  })(CheckDomainPriceRequest$ ||= {});
  CheckDomainPriceResponseBody$inboundSchema = objectType({
    price: numberType(),
    period: numberType()
  });
  CheckDomainPriceResponseBody$outboundSchema = objectType({
    price: numberType(),
    period: numberType()
  });
  ((CheckDomainPriceResponseBody$) => {
    CheckDomainPriceResponseBody$.inboundSchema = CheckDomainPriceResponseBody$inboundSchema;
    CheckDomainPriceResponseBody$.outboundSchema = CheckDomainPriceResponseBody$outboundSchema;
  })(CheckDomainPriceResponseBody$ ||= {});
});

// src/funcs/domainsCheckDomainPrice.ts
function domainsCheckDomainPrice(client, request, options) {
  return new APIPromise($do54(client, request, options));
}
async function $do54(client, request, options) {
  const parsed = safeParse(request, (value) => CheckDomainPriceRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const path = pathToFunc("/v4/domains/price")();
  const query = encodeFormQuery({
    name: payload.name,
    slug: payload.slug,
    teamId: payload.teamId,
    type: payload.type
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "checkDomainPrice",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, CheckDomainPriceResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_domainsCheckDomainPrice = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_checkdomainpriceop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/domainsCheckDomainPrice.ts
var args53, tool$domainsCheckDomainPrice;
var init_domainsCheckDomainPrice2 = __esm(() => {
  init_domainsCheckDomainPrice();
  init_checkdomainpriceop();
  init_tools();
  args53 = {
    request: CheckDomainPriceRequest$inboundSchema
  };
  tool$domainsCheckDomainPrice = {
    name: "domains-check-domain-price",
    description: `Check the price for a domain

Check the price to purchase a domain and how long a single purchase period is.`,
    args: args53,
    tool: async (client, args54, ctx) => {
      const [result, apiCall] = await domainsCheckDomainPrice(client, args54.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/checkdomainstatusop.ts
var CheckDomainStatusRequest$inboundSchema, CheckDomainStatusRequest$outboundSchema, CheckDomainStatusRequest$, CheckDomainStatusResponseBody$inboundSchema, CheckDomainStatusResponseBody$outboundSchema, CheckDomainStatusResponseBody$;
var init_checkdomainstatusop = __esm(() => {
  init_esm();
  CheckDomainStatusRequest$inboundSchema = objectType({
    name: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  CheckDomainStatusRequest$outboundSchema = objectType({
    name: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((CheckDomainStatusRequest$) => {
    CheckDomainStatusRequest$.inboundSchema = CheckDomainStatusRequest$inboundSchema;
    CheckDomainStatusRequest$.outboundSchema = CheckDomainStatusRequest$outboundSchema;
  })(CheckDomainStatusRequest$ ||= {});
  CheckDomainStatusResponseBody$inboundSchema = objectType({
    available: booleanType()
  });
  CheckDomainStatusResponseBody$outboundSchema = objectType({
    available: booleanType()
  });
  ((CheckDomainStatusResponseBody$) => {
    CheckDomainStatusResponseBody$.inboundSchema = CheckDomainStatusResponseBody$inboundSchema;
    CheckDomainStatusResponseBody$.outboundSchema = CheckDomainStatusResponseBody$outboundSchema;
  })(CheckDomainStatusResponseBody$ ||= {});
});

// src/funcs/domainsCheckDomainStatus.ts
function domainsCheckDomainStatus(client, request, options) {
  return new APIPromise($do55(client, request, options));
}
async function $do55(client, request, options) {
  const parsed = safeParse(request, (value) => CheckDomainStatusRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const path = pathToFunc("/v4/domains/status")();
  const query = encodeFormQuery({
    name: payload.name,
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "checkDomainStatus",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "500", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, CheckDomainStatusResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail([500, "5XX"]))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_domainsCheckDomainStatus = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_checkdomainstatusop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/domainsCheckDomainStatus.ts
var args54, tool$domainsCheckDomainStatus;
var init_domainsCheckDomainStatus2 = __esm(() => {
  init_domainsCheckDomainStatus();
  init_checkdomainstatusop();
  init_tools();
  args54 = {
    request: CheckDomainStatusRequest$inboundSchema
  };
  tool$domainsCheckDomainStatus = {
    name: "domains-check-domain-status",
    description: `Check a Domain Availability

Check if a domain name is available for purchase.`,
    args: args54,
    tool: async (client, args55, ctx) => {
      const [result, apiCall] = await domainsCheckDomainStatus(client, args55.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/deletedomainop.ts
var DeleteDomainRequest$inboundSchema, DeleteDomainRequest$outboundSchema, DeleteDomainRequest$, DeleteDomainResponseBody$inboundSchema, DeleteDomainResponseBody$outboundSchema, DeleteDomainResponseBody$;
var init_deletedomainop = __esm(() => {
  init_esm();
  DeleteDomainRequest$inboundSchema = objectType({
    domain: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  DeleteDomainRequest$outboundSchema = objectType({
    domain: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((DeleteDomainRequest$) => {
    DeleteDomainRequest$.inboundSchema = DeleteDomainRequest$inboundSchema;
    DeleteDomainRequest$.outboundSchema = DeleteDomainRequest$outboundSchema;
  })(DeleteDomainRequest$ ||= {});
  DeleteDomainResponseBody$inboundSchema = objectType({
    uid: stringType()
  });
  DeleteDomainResponseBody$outboundSchema = objectType({
    uid: stringType()
  });
  ((DeleteDomainResponseBody$) => {
    DeleteDomainResponseBody$.inboundSchema = DeleteDomainResponseBody$inboundSchema;
    DeleteDomainResponseBody$.outboundSchema = DeleteDomainResponseBody$outboundSchema;
  })(DeleteDomainResponseBody$ ||= {});
});

// src/funcs/domainsDeleteDomain.ts
function domainsDeleteDomain(client, request, options) {
  return new APIPromise($do56(client, request, options));
}
async function $do56(client, request, options) {
  const parsed = safeParse(request, (value) => DeleteDomainRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    domain: encodeSimple("domain", payload.domain, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v6/domains/{domain}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "deleteDomain",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "DELETE",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "409", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, DeleteDomainResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, 409, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_domainsDeleteDomain = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_deletedomainop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/domainsDeleteDomain.ts
var args55, tool$domainsDeleteDomain;
var init_domainsDeleteDomain2 = __esm(() => {
  init_domainsDeleteDomain();
  init_deletedomainop();
  init_tools();
  args55 = {
    request: DeleteDomainRequest$inboundSchema
  };
  tool$domainsDeleteDomain = {
    name: "domains-delete-domain",
    description: `Remove a domain by name

Delete a previously registered domain name from Vercel. Deleting a domain will automatically remove any associated aliases.`,
    args: args55,
    tool: async (client, args56, ctx) => {
      const [result, apiCall] = await domainsDeleteDomain(client, args56.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/getdomainop.ts
var GetDomainServiceType, GetDomainRequest$inboundSchema, GetDomainRequest$outboundSchema, GetDomainRequest$, GetDomainCreator$inboundSchema, GetDomainCreator$outboundSchema, GetDomainCreator$, GetDomainServiceType$inboundSchema, GetDomainServiceType$outboundSchema, GetDomainServiceType$, GetDomainDomain$inboundSchema, GetDomainDomain$outboundSchema, GetDomainDomain$, GetDomainResponseBody$inboundSchema, GetDomainResponseBody$outboundSchema, GetDomainResponseBody$;
var init_getdomainop = __esm(() => {
  init_esm();
  GetDomainServiceType = {
    ZeitWorld: "zeit.world",
    External: "external",
    Na: "na"
  };
  GetDomainRequest$inboundSchema = objectType({
    domain: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  GetDomainRequest$outboundSchema = objectType({
    domain: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((GetDomainRequest$) => {
    GetDomainRequest$.inboundSchema = GetDomainRequest$inboundSchema;
    GetDomainRequest$.outboundSchema = GetDomainRequest$outboundSchema;
  })(GetDomainRequest$ ||= {});
  GetDomainCreator$inboundSchema = objectType({
    username: stringType(),
    email: stringType(),
    customerId: nullableType(stringType()).optional(),
    isDomainReseller: booleanType().optional(),
    id: stringType()
  });
  GetDomainCreator$outboundSchema = objectType({
    username: stringType(),
    email: stringType(),
    customerId: nullableType(stringType()).optional(),
    isDomainReseller: booleanType().optional(),
    id: stringType()
  });
  ((GetDomainCreator$) => {
    GetDomainCreator$.inboundSchema = GetDomainCreator$inboundSchema;
    GetDomainCreator$.outboundSchema = GetDomainCreator$outboundSchema;
  })(GetDomainCreator$ ||= {});
  GetDomainServiceType$inboundSchema = nativeEnumType(GetDomainServiceType);
  GetDomainServiceType$outboundSchema = GetDomainServiceType$inboundSchema;
  ((GetDomainServiceType$) => {
    GetDomainServiceType$.inboundSchema = GetDomainServiceType$inboundSchema;
    GetDomainServiceType$.outboundSchema = GetDomainServiceType$outboundSchema;
  })(GetDomainServiceType$ ||= {});
  GetDomainDomain$inboundSchema = objectType({
    suffix: booleanType(),
    verified: booleanType(),
    nameservers: arrayType(stringType()),
    intendedNameservers: arrayType(stringType()),
    customNameservers: arrayType(stringType()).optional(),
    creator: lazyType(() => GetDomainCreator$inboundSchema),
    teamId: nullableType(stringType()),
    boughtAt: nullableType(numberType()),
    name: stringType(),
    createdAt: numberType(),
    expiresAt: nullableType(numberType()),
    id: stringType(),
    orderedAt: numberType().optional(),
    renew: booleanType().optional(),
    serviceType: GetDomainServiceType$inboundSchema,
    transferredAt: nullableType(numberType()).optional(),
    transferStartedAt: numberType().optional(),
    userId: stringType()
  });
  GetDomainDomain$outboundSchema = objectType({
    suffix: booleanType(),
    verified: booleanType(),
    nameservers: arrayType(stringType()),
    intendedNameservers: arrayType(stringType()),
    customNameservers: arrayType(stringType()).optional(),
    creator: lazyType(() => GetDomainCreator$outboundSchema),
    teamId: nullableType(stringType()),
    boughtAt: nullableType(numberType()),
    name: stringType(),
    createdAt: numberType(),
    expiresAt: nullableType(numberType()),
    id: stringType(),
    orderedAt: numberType().optional(),
    renew: booleanType().optional(),
    serviceType: GetDomainServiceType$outboundSchema,
    transferredAt: nullableType(numberType()).optional(),
    transferStartedAt: numberType().optional(),
    userId: stringType()
  });
  ((GetDomainDomain$) => {
    GetDomainDomain$.inboundSchema = GetDomainDomain$inboundSchema;
    GetDomainDomain$.outboundSchema = GetDomainDomain$outboundSchema;
  })(GetDomainDomain$ ||= {});
  GetDomainResponseBody$inboundSchema = objectType({
    domain: lazyType(() => GetDomainDomain$inboundSchema)
  });
  GetDomainResponseBody$outboundSchema = objectType({
    domain: lazyType(() => GetDomainDomain$outboundSchema)
  });
  ((GetDomainResponseBody$) => {
    GetDomainResponseBody$.inboundSchema = GetDomainResponseBody$inboundSchema;
    GetDomainResponseBody$.outboundSchema = GetDomainResponseBody$outboundSchema;
  })(GetDomainResponseBody$ ||= {});
});

// src/funcs/domainsGetDomain.ts
function domainsGetDomain(client, request, options) {
  return new APIPromise($do57(client, request, options));
}
async function $do57(client, request, options) {
  const parsed = safeParse(request, (value) => GetDomainRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    domain: encodeSimple("domain", payload.domain, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v5/domains/{domain}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "getDomain",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetDomainResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_domainsGetDomain = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_getdomainop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/domainsGetDomain.ts
var args56, tool$domainsGetDomain;
var init_domainsGetDomain2 = __esm(() => {
  init_domainsGetDomain();
  init_getdomainop();
  init_tools();
  args56 = {
    request: GetDomainRequest$inboundSchema
  };
  tool$domainsGetDomain = {
    name: "domains-get-domain",
    description: `Get Information for a Single Domain

Get information for a single domain in an account or team.`,
    args: args56,
    tool: async (client, args57, ctx) => {
      const [result, apiCall] = await domainsGetDomain(client, args57.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/getdomainconfigop.ts
var Strict, ConfiguredBy, AcceptedChallenges, Strict$inboundSchema, Strict$outboundSchema, Strict$, GetDomainConfigRequest$inboundSchema, GetDomainConfigRequest$outboundSchema, GetDomainConfigRequest$, ConfiguredBy$inboundSchema, ConfiguredBy$outboundSchema, ConfiguredBy$, AcceptedChallenges$inboundSchema, AcceptedChallenges$outboundSchema, AcceptedChallenges$, GetDomainConfigResponseBody$inboundSchema, GetDomainConfigResponseBody$outboundSchema, GetDomainConfigResponseBody$;
var init_getdomainconfigop = __esm(() => {
  init_esm();
  Strict = {
    True: "true",
    False: "false"
  };
  ConfiguredBy = {
    Cname: "CNAME",
    A: "A",
    Http: "http",
    Dns01: "dns-01"
  };
  AcceptedChallenges = {
    Dns01: "dns-01",
    Http01: "http-01"
  };
  Strict$inboundSchema = nativeEnumType(Strict);
  Strict$outboundSchema = Strict$inboundSchema;
  ((Strict$) => {
    Strict$.inboundSchema = Strict$inboundSchema;
    Strict$.outboundSchema = Strict$outboundSchema;
  })(Strict$ ||= {});
  GetDomainConfigRequest$inboundSchema = objectType({
    domain: stringType(),
    strict: Strict$inboundSchema.optional(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  GetDomainConfigRequest$outboundSchema = objectType({
    domain: stringType(),
    strict: Strict$outboundSchema.optional(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((GetDomainConfigRequest$) => {
    GetDomainConfigRequest$.inboundSchema = GetDomainConfigRequest$inboundSchema;
    GetDomainConfigRequest$.outboundSchema = GetDomainConfigRequest$outboundSchema;
  })(GetDomainConfigRequest$ ||= {});
  ConfiguredBy$inboundSchema = nativeEnumType(ConfiguredBy);
  ConfiguredBy$outboundSchema = ConfiguredBy$inboundSchema;
  ((ConfiguredBy$) => {
    ConfiguredBy$.inboundSchema = ConfiguredBy$inboundSchema;
    ConfiguredBy$.outboundSchema = ConfiguredBy$outboundSchema;
  })(ConfiguredBy$ ||= {});
  AcceptedChallenges$inboundSchema = nativeEnumType(AcceptedChallenges);
  AcceptedChallenges$outboundSchema = AcceptedChallenges$inboundSchema;
  ((AcceptedChallenges$) => {
    AcceptedChallenges$.inboundSchema = AcceptedChallenges$inboundSchema;
    AcceptedChallenges$.outboundSchema = AcceptedChallenges$outboundSchema;
  })(AcceptedChallenges$ ||= {});
  GetDomainConfigResponseBody$inboundSchema = objectType({
    configuredBy: nullableType(ConfiguredBy$inboundSchema).optional(),
    acceptedChallenges: arrayType(AcceptedChallenges$inboundSchema).optional(),
    misconfigured: booleanType()
  });
  GetDomainConfigResponseBody$outboundSchema = objectType({
    configuredBy: nullableType(ConfiguredBy$outboundSchema).optional(),
    acceptedChallenges: arrayType(AcceptedChallenges$outboundSchema).optional(),
    misconfigured: booleanType()
  });
  ((GetDomainConfigResponseBody$) => {
    GetDomainConfigResponseBody$.inboundSchema = GetDomainConfigResponseBody$inboundSchema;
    GetDomainConfigResponseBody$.outboundSchema = GetDomainConfigResponseBody$outboundSchema;
  })(GetDomainConfigResponseBody$ ||= {});
});

// src/funcs/domainsGetDomainConfig.ts
function domainsGetDomainConfig(client, request, options) {
  return new APIPromise($do58(client, request, options));
}
async function $do58(client, request, options) {
  const parsed = safeParse(request, (value) => GetDomainConfigRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    domain: encodeSimple("domain", payload.domain, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v6/domains/{domain}/config")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    strict: payload.strict,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "getDomainConfig",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "500", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetDomainConfigResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail([500, "5XX"]))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_domainsGetDomainConfig = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_getdomainconfigop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/domainsGetDomainConfig.ts
var args57, tool$domainsGetDomainConfig;
var init_domainsGetDomainConfig2 = __esm(() => {
  init_domainsGetDomainConfig();
  init_getdomainconfigop();
  init_tools();
  args57 = {
    request: GetDomainConfigRequest$inboundSchema
  };
  tool$domainsGetDomainConfig = {
    name: "domains-get-domain-config",
    description: `Get a Domain's configuration

Get a Domain's configuration.`,
    args: args57,
    tool: async (client, args58, ctx) => {
      const [result, apiCall] = await domainsGetDomainConfig(client, args58.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/getdomainsop.ts
var GetDomainsServiceType, GetDomainsRequest$inboundSchema, GetDomainsRequest$outboundSchema, GetDomainsRequest$, GetDomainsCreator$inboundSchema, GetDomainsCreator$outboundSchema, GetDomainsCreator$, GetDomainsServiceType$inboundSchema, GetDomainsServiceType$outboundSchema, GetDomainsServiceType$, Domains$inboundSchema, Domains$outboundSchema, Domains$, GetDomainsResponseBody$inboundSchema, GetDomainsResponseBody$outboundSchema, GetDomainsResponseBody$;
var init_getdomainsop = __esm(() => {
  init_esm();
  init_pagination();
  GetDomainsServiceType = {
    ZeitWorld: "zeit.world",
    External: "external",
    Na: "na"
  };
  GetDomainsRequest$inboundSchema = objectType({
    limit: numberType().optional(),
    since: numberType().optional(),
    until: numberType().optional(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  GetDomainsRequest$outboundSchema = objectType({
    limit: numberType().optional(),
    since: numberType().optional(),
    until: numberType().optional(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((GetDomainsRequest$) => {
    GetDomainsRequest$.inboundSchema = GetDomainsRequest$inboundSchema;
    GetDomainsRequest$.outboundSchema = GetDomainsRequest$outboundSchema;
  })(GetDomainsRequest$ ||= {});
  GetDomainsCreator$inboundSchema = objectType({
    username: stringType(),
    email: stringType(),
    customerId: nullableType(stringType()).optional(),
    isDomainReseller: booleanType().optional(),
    id: stringType()
  });
  GetDomainsCreator$outboundSchema = objectType({
    username: stringType(),
    email: stringType(),
    customerId: nullableType(stringType()).optional(),
    isDomainReseller: booleanType().optional(),
    id: stringType()
  });
  ((GetDomainsCreator$) => {
    GetDomainsCreator$.inboundSchema = GetDomainsCreator$inboundSchema;
    GetDomainsCreator$.outboundSchema = GetDomainsCreator$outboundSchema;
  })(GetDomainsCreator$ ||= {});
  GetDomainsServiceType$inboundSchema = nativeEnumType(GetDomainsServiceType);
  GetDomainsServiceType$outboundSchema = GetDomainsServiceType$inboundSchema;
  ((GetDomainsServiceType$) => {
    GetDomainsServiceType$.inboundSchema = GetDomainsServiceType$inboundSchema;
    GetDomainsServiceType$.outboundSchema = GetDomainsServiceType$outboundSchema;
  })(GetDomainsServiceType$ ||= {});
  Domains$inboundSchema = objectType({
    verified: booleanType(),
    nameservers: arrayType(stringType()),
    intendedNameservers: arrayType(stringType()),
    customNameservers: arrayType(stringType()).optional(),
    creator: lazyType(() => GetDomainsCreator$inboundSchema),
    teamId: nullableType(stringType()),
    createdAt: numberType(),
    boughtAt: nullableType(numberType()),
    expiresAt: nullableType(numberType()),
    id: stringType(),
    name: stringType(),
    orderedAt: numberType().optional(),
    renew: booleanType().optional(),
    serviceType: GetDomainsServiceType$inboundSchema,
    transferredAt: nullableType(numberType()).optional(),
    transferStartedAt: numberType().optional(),
    userId: stringType()
  });
  Domains$outboundSchema = objectType({
    verified: booleanType(),
    nameservers: arrayType(stringType()),
    intendedNameservers: arrayType(stringType()),
    customNameservers: arrayType(stringType()).optional(),
    creator: lazyType(() => GetDomainsCreator$outboundSchema),
    teamId: nullableType(stringType()),
    createdAt: numberType(),
    boughtAt: nullableType(numberType()),
    expiresAt: nullableType(numberType()),
    id: stringType(),
    name: stringType(),
    orderedAt: numberType().optional(),
    renew: booleanType().optional(),
    serviceType: GetDomainsServiceType$outboundSchema,
    transferredAt: nullableType(numberType()).optional(),
    transferStartedAt: numberType().optional(),
    userId: stringType()
  });
  ((Domains$) => {
    Domains$.inboundSchema = Domains$inboundSchema;
    Domains$.outboundSchema = Domains$outboundSchema;
  })(Domains$ ||= {});
  GetDomainsResponseBody$inboundSchema = objectType({
    domains: arrayType(lazyType(() => Domains$inboundSchema)),
    pagination: Pagination$inboundSchema
  });
  GetDomainsResponseBody$outboundSchema = objectType({
    domains: arrayType(lazyType(() => Domains$outboundSchema)),
    pagination: Pagination$outboundSchema
  });
  ((GetDomainsResponseBody$) => {
    GetDomainsResponseBody$.inboundSchema = GetDomainsResponseBody$inboundSchema;
    GetDomainsResponseBody$.outboundSchema = GetDomainsResponseBody$outboundSchema;
  })(GetDomainsResponseBody$ ||= {});
});

// src/funcs/domainsGetDomains.ts
function domainsGetDomains(client, request, options) {
  return new APIPromise($do59(client, request, options));
}
async function $do59(client, request, options) {
  const parsed = safeParse(request, (value) => GetDomainsRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const path = pathToFunc("/v5/domains")();
  const query = encodeFormQuery({
    limit: payload.limit,
    since: payload.since,
    slug: payload.slug,
    teamId: payload.teamId,
    until: payload.until
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "getDomains",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "409", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetDomainsResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, 409, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_domainsGetDomains = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_getdomainsop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/domainsGetDomains.ts
var args58, tool$domainsGetDomains;
var init_domainsGetDomains2 = __esm(() => {
  init_domainsGetDomains();
  init_getdomainsop();
  init_tools();
  args58 = {
    request: GetDomainsRequest$inboundSchema
  };
  tool$domainsGetDomains = {
    name: "domains-get-domains",
    description: `List all the domains

Retrieves a list of domains registered for the authenticated user or team. By default it returns the last 20 domains if no limit is provided.`,
    args: args58,
    tool: async (client, args59, ctx) => {
      const [result, apiCall] = await domainsGetDomains(client, args59.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/getdomaintransferop.ts
var TransferPolicy, GetDomainTransferStatus, GetDomainTransferRequest$inboundSchema, GetDomainTransferRequest$outboundSchema, GetDomainTransferRequest$, TransferPolicy$inboundSchema, TransferPolicy$outboundSchema, TransferPolicy$, GetDomainTransferStatus$inboundSchema, GetDomainTransferStatus$outboundSchema, GetDomainTransferStatus$, GetDomainTransferResponseBody$inboundSchema, GetDomainTransferResponseBody$outboundSchema, GetDomainTransferResponseBody$;
var init_getdomaintransferop = __esm(() => {
  init_esm();
  TransferPolicy = {
    ChargeAndRenew: "charge-and-renew",
    NoChargeNoChange: "no-charge-no-change",
    NoChange: "no-change",
    NewTerm: "new-term",
    NotSupported: "not-supported"
  };
  GetDomainTransferStatus = {
    PendingOwner: "pending_owner",
    PendingAdmin: "pending_admin",
    PendingRegistry: "pending_registry",
    Completed: "completed",
    Cancelled: "cancelled",
    Undef: "undef",
    Unknown: "unknown"
  };
  GetDomainTransferRequest$inboundSchema = objectType({
    teamId: stringType().optional(),
    slug: stringType().optional(),
    domain: stringType()
  });
  GetDomainTransferRequest$outboundSchema = objectType({
    teamId: stringType().optional(),
    slug: stringType().optional(),
    domain: stringType()
  });
  ((GetDomainTransferRequest$) => {
    GetDomainTransferRequest$.inboundSchema = GetDomainTransferRequest$inboundSchema;
    GetDomainTransferRequest$.outboundSchema = GetDomainTransferRequest$outboundSchema;
  })(GetDomainTransferRequest$ ||= {});
  TransferPolicy$inboundSchema = nativeEnumType(TransferPolicy);
  TransferPolicy$outboundSchema = TransferPolicy$inboundSchema;
  ((TransferPolicy$) => {
    TransferPolicy$.inboundSchema = TransferPolicy$inboundSchema;
    TransferPolicy$.outboundSchema = TransferPolicy$outboundSchema;
  })(TransferPolicy$ ||= {});
  GetDomainTransferStatus$inboundSchema = nativeEnumType(GetDomainTransferStatus);
  GetDomainTransferStatus$outboundSchema = GetDomainTransferStatus$inboundSchema;
  ((GetDomainTransferStatus$) => {
    GetDomainTransferStatus$.inboundSchema = GetDomainTransferStatus$inboundSchema;
    GetDomainTransferStatus$.outboundSchema = GetDomainTransferStatus$outboundSchema;
  })(GetDomainTransferStatus$ ||= {});
  GetDomainTransferResponseBody$inboundSchema = objectType({
    transferable: booleanType(),
    transferPolicy: nullableType(TransferPolicy$inboundSchema),
    reason: stringType(),
    status: GetDomainTransferStatus$inboundSchema
  });
  GetDomainTransferResponseBody$outboundSchema = objectType({
    transferable: booleanType(),
    transferPolicy: nullableType(TransferPolicy$outboundSchema),
    reason: stringType(),
    status: GetDomainTransferStatus$outboundSchema
  });
  ((GetDomainTransferResponseBody$) => {
    GetDomainTransferResponseBody$.inboundSchema = GetDomainTransferResponseBody$inboundSchema;
    GetDomainTransferResponseBody$.outboundSchema = GetDomainTransferResponseBody$outboundSchema;
  })(GetDomainTransferResponseBody$ ||= {});
});

// src/funcs/domainsGetDomainTransfer.ts
function domainsGetDomainTransfer(client, request, options) {
  return new APIPromise($do60(client, request, options));
}
async function $do60(client, request, options) {
  const parsed = safeParse(request, (value) => GetDomainTransferRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    domain: encodeSimple("domain", payload.domain, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/domains/{domain}/registry")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "getDomainTransfer",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetDomainTransferResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_domainsGetDomainTransfer = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_getdomaintransferop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/domainsGetDomainTransfer.ts
var args59, tool$domainsGetDomainTransfer;
var init_domainsGetDomainTransfer2 = __esm(() => {
  init_domainsGetDomainTransfer();
  init_getdomaintransferop();
  init_tools();
  args59 = {
    request: GetDomainTransferRequest$inboundSchema
  };
  tool$domainsGetDomainTransfer = {
    name: "domains-get-domain-transfer",
    description: `Get domain transfer info.

Fetch domain transfer availability or transfer status if a transfer is in progress.`,
    args: args59,
    tool: async (client, args60, ctx) => {
      const [result, apiCall] = await domainsGetDomainTransfer(client, args60.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/patchdomainop.ts
var PatchDomainRequestBody2$inboundSchema, PatchDomainRequestBody2$outboundSchema, PatchDomainRequestBody2$, PatchDomainRequestBody1$inboundSchema, PatchDomainRequestBody1$outboundSchema, PatchDomainRequestBody1$, PatchDomainRequestBody$inboundSchema, PatchDomainRequestBody$outboundSchema, PatchDomainRequestBody$, PatchDomainRequest$inboundSchema, PatchDomainRequest$outboundSchema, PatchDomainRequest$, PatchDomainResponseBody3$inboundSchema, PatchDomainResponseBody3$outboundSchema, PatchDomainResponseBody3$, PatchDomainResponseBody2$inboundSchema, PatchDomainResponseBody2$outboundSchema, PatchDomainResponseBody2$, PatchDomainResponseBody1$inboundSchema, PatchDomainResponseBody1$outboundSchema, PatchDomainResponseBody1$, PatchDomainResponseBody$inboundSchema, PatchDomainResponseBody$outboundSchema, PatchDomainResponseBody$;
var init_patchdomainop = __esm(() => {
  init_esm();
  init_primitives();
  PatchDomainRequestBody2$inboundSchema = objectType({
    op: stringType().optional(),
    destination: stringType().optional()
  });
  PatchDomainRequestBody2$outboundSchema = objectType({
    op: stringType().optional(),
    destination: stringType().optional()
  });
  ((PatchDomainRequestBody2$) => {
    PatchDomainRequestBody2$.inboundSchema = PatchDomainRequestBody2$inboundSchema;
    PatchDomainRequestBody2$.outboundSchema = PatchDomainRequestBody2$outboundSchema;
  })(PatchDomainRequestBody2$ ||= {});
  PatchDomainRequestBody1$inboundSchema = objectType({
    op: stringType().optional(),
    renew: booleanType().optional(),
    customNameservers: arrayType(stringType()).optional(),
    zone: booleanType().optional()
  });
  PatchDomainRequestBody1$outboundSchema = objectType({
    op: stringType().optional(),
    renew: booleanType().optional(),
    customNameservers: arrayType(stringType()).optional(),
    zone: booleanType().optional()
  });
  ((PatchDomainRequestBody1$) => {
    PatchDomainRequestBody1$.inboundSchema = PatchDomainRequestBody1$inboundSchema;
    PatchDomainRequestBody1$.outboundSchema = PatchDomainRequestBody1$outboundSchema;
  })(PatchDomainRequestBody1$ ||= {});
  PatchDomainRequestBody$inboundSchema = unionType([
    lazyType(() => PatchDomainRequestBody2$inboundSchema),
    lazyType(() => PatchDomainRequestBody1$inboundSchema)
  ]);
  PatchDomainRequestBody$outboundSchema = unionType([
    lazyType(() => PatchDomainRequestBody2$outboundSchema),
    lazyType(() => PatchDomainRequestBody1$outboundSchema)
  ]);
  ((PatchDomainRequestBody$) => {
    PatchDomainRequestBody$.inboundSchema = PatchDomainRequestBody$inboundSchema;
    PatchDomainRequestBody$.outboundSchema = PatchDomainRequestBody$outboundSchema;
  })(PatchDomainRequestBody$ ||= {});
  PatchDomainRequest$inboundSchema = objectType({
    domain: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    RequestBody: unionType([
      lazyType(() => PatchDomainRequestBody2$inboundSchema),
      lazyType(() => PatchDomainRequestBody1$inboundSchema)
    ])
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  PatchDomainRequest$outboundSchema = objectType({
    domain: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    requestBody: unionType([
      lazyType(() => PatchDomainRequestBody2$outboundSchema),
      lazyType(() => PatchDomainRequestBody1$outboundSchema)
    ])
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((PatchDomainRequest$) => {
    PatchDomainRequest$.inboundSchema = PatchDomainRequest$inboundSchema;
    PatchDomainRequest$.outboundSchema = PatchDomainRequest$outboundSchema;
  })(PatchDomainRequest$ ||= {});
  PatchDomainResponseBody3$inboundSchema = objectType({
    renew: booleanType().optional(),
    customNameservers: arrayType(stringType()).optional(),
    zone: booleanType().optional()
  });
  PatchDomainResponseBody3$outboundSchema = objectType({
    renew: booleanType().optional(),
    customNameservers: arrayType(stringType()).optional(),
    zone: booleanType().optional()
  });
  ((PatchDomainResponseBody3$) => {
    PatchDomainResponseBody3$.inboundSchema = PatchDomainResponseBody3$inboundSchema;
    PatchDomainResponseBody3$.outboundSchema = PatchDomainResponseBody3$outboundSchema;
  })(PatchDomainResponseBody3$ ||= {});
  PatchDomainResponseBody2$inboundSchema = objectType({
    moved: booleanType(),
    token: stringType()
  });
  PatchDomainResponseBody2$outboundSchema = objectType({
    moved: booleanType(),
    token: stringType()
  });
  ((PatchDomainResponseBody2$) => {
    PatchDomainResponseBody2$.inboundSchema = PatchDomainResponseBody2$inboundSchema;
    PatchDomainResponseBody2$.outboundSchema = PatchDomainResponseBody2$outboundSchema;
  })(PatchDomainResponseBody2$ ||= {});
  PatchDomainResponseBody1$inboundSchema = objectType({
    moved: booleanType()
  });
  PatchDomainResponseBody1$outboundSchema = objectType({
    moved: booleanType()
  });
  ((PatchDomainResponseBody1$) => {
    PatchDomainResponseBody1$.inboundSchema = PatchDomainResponseBody1$inboundSchema;
    PatchDomainResponseBody1$.outboundSchema = PatchDomainResponseBody1$outboundSchema;
  })(PatchDomainResponseBody1$ ||= {});
  PatchDomainResponseBody$inboundSchema = unionType([
    lazyType(() => PatchDomainResponseBody1$inboundSchema),
    lazyType(() => PatchDomainResponseBody2$inboundSchema),
    lazyType(() => PatchDomainResponseBody3$inboundSchema)
  ]);
  PatchDomainResponseBody$outboundSchema = unionType([
    lazyType(() => PatchDomainResponseBody1$outboundSchema),
    lazyType(() => PatchDomainResponseBody2$outboundSchema),
    lazyType(() => PatchDomainResponseBody3$outboundSchema)
  ]);
  ((PatchDomainResponseBody$) => {
    PatchDomainResponseBody$.inboundSchema = PatchDomainResponseBody$inboundSchema;
    PatchDomainResponseBody$.outboundSchema = PatchDomainResponseBody$outboundSchema;
  })(PatchDomainResponseBody$ ||= {});
});

// src/funcs/domainsPatchDomain.ts
function domainsPatchDomain(client, request, options) {
  return new APIPromise($do61(client, request, options));
}
async function $do61(client, request, options) {
  const parsed = safeParse(request, (value) => PatchDomainRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    domain: encodeSimple("domain", payload.domain, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v3/domains/{domain}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "patchDomain",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "PATCH",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "409", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, PatchDomainResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, 409, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_domainsPatchDomain = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_patchdomainop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/domainsPatchDomain.ts
var args60, tool$domainsPatchDomain;
var init_domainsPatchDomain2 = __esm(() => {
  init_domainsPatchDomain();
  init_patchdomainop();
  init_tools();
  args60 = {
    request: PatchDomainRequest$inboundSchema
  };
  tool$domainsPatchDomain = {
    name: "domains-patch-domain",
    description: `Update or move apex domain

Update or move apex domain.`,
    args: args60,
    tool: async (client, args61, ctx) => {
      const [result, apiCall] = await domainsPatchDomain(client, args61.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/createedgeconfigop.ts
var CreateEdgeConfigPurposeType, PurposeType, CreateEdgeConfigRequestBody$inboundSchema, CreateEdgeConfigRequestBody$outboundSchema, CreateEdgeConfigRequestBody$, CreateEdgeConfigRequest$inboundSchema, CreateEdgeConfigRequest$outboundSchema, CreateEdgeConfigRequest$, CreateEdgeConfigTransfer$inboundSchema, CreateEdgeConfigTransfer$outboundSchema, CreateEdgeConfigTransfer$, CreateEdgeConfigSchema$inboundSchema, CreateEdgeConfigSchema$outboundSchema, CreateEdgeConfigSchema$, CreateEdgeConfigPurposeType$inboundSchema, CreateEdgeConfigPurposeType$outboundSchema, CreateEdgeConfigPurposeType$, Purpose2$inboundSchema, Purpose2$outboundSchema, Purpose2$, PurposeType$inboundSchema, PurposeType$outboundSchema, PurposeType$, Purpose1$inboundSchema, Purpose1$outboundSchema, Purpose1$, CreateEdgeConfigPurpose$inboundSchema, CreateEdgeConfigPurpose$outboundSchema, CreateEdgeConfigPurpose$, CreateEdgeConfigResponseBody$inboundSchema, CreateEdgeConfigResponseBody$outboundSchema, CreateEdgeConfigResponseBody$;
var init_createedgeconfigop = __esm(() => {
  init_esm();
  init_primitives();
  CreateEdgeConfigPurposeType = {
    Experimentation: "experimentation"
  };
  PurposeType = {
    Flags: "flags"
  };
  CreateEdgeConfigRequestBody$inboundSchema = objectType({
    slug: stringType(),
    items: recordType(anyType()).optional()
  });
  CreateEdgeConfigRequestBody$outboundSchema = objectType({
    slug: stringType(),
    items: recordType(anyType()).optional()
  });
  ((CreateEdgeConfigRequestBody$) => {
    CreateEdgeConfigRequestBody$.inboundSchema = CreateEdgeConfigRequestBody$inboundSchema;
    CreateEdgeConfigRequestBody$.outboundSchema = CreateEdgeConfigRequestBody$outboundSchema;
  })(CreateEdgeConfigRequestBody$ ||= {});
  CreateEdgeConfigRequest$inboundSchema = objectType({
    teamId: stringType().optional(),
    slug: stringType().optional(),
    RequestBody: lazyType(() => CreateEdgeConfigRequestBody$inboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  CreateEdgeConfigRequest$outboundSchema = objectType({
    teamId: stringType().optional(),
    slug: stringType().optional(),
    requestBody: lazyType(() => CreateEdgeConfigRequestBody$outboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((CreateEdgeConfigRequest$) => {
    CreateEdgeConfigRequest$.inboundSchema = CreateEdgeConfigRequest$inboundSchema;
    CreateEdgeConfigRequest$.outboundSchema = CreateEdgeConfigRequest$outboundSchema;
  })(CreateEdgeConfigRequest$ ||= {});
  CreateEdgeConfigTransfer$inboundSchema = objectType({
    fromAccountId: stringType(),
    startedAt: numberType(),
    doneAt: nullableType(numberType())
  });
  CreateEdgeConfigTransfer$outboundSchema = objectType({
    fromAccountId: stringType(),
    startedAt: numberType(),
    doneAt: nullableType(numberType())
  });
  ((CreateEdgeConfigTransfer$) => {
    CreateEdgeConfigTransfer$.inboundSchema = CreateEdgeConfigTransfer$inboundSchema;
    CreateEdgeConfigTransfer$.outboundSchema = CreateEdgeConfigTransfer$outboundSchema;
  })(CreateEdgeConfigTransfer$ ||= {});
  CreateEdgeConfigSchema$inboundSchema = objectType({});
  CreateEdgeConfigSchema$outboundSchema = objectType({});
  ((CreateEdgeConfigSchema$) => {
    CreateEdgeConfigSchema$.inboundSchema = CreateEdgeConfigSchema$inboundSchema;
    CreateEdgeConfigSchema$.outboundSchema = CreateEdgeConfigSchema$outboundSchema;
  })(CreateEdgeConfigSchema$ ||= {});
  CreateEdgeConfigPurposeType$inboundSchema = nativeEnumType(CreateEdgeConfigPurposeType);
  CreateEdgeConfigPurposeType$outboundSchema = CreateEdgeConfigPurposeType$inboundSchema;
  ((CreateEdgeConfigPurposeType$) => {
    CreateEdgeConfigPurposeType$.inboundSchema = CreateEdgeConfigPurposeType$inboundSchema;
    CreateEdgeConfigPurposeType$.outboundSchema = CreateEdgeConfigPurposeType$outboundSchema;
  })(CreateEdgeConfigPurposeType$ ||= {});
  Purpose2$inboundSchema = objectType({
    type: CreateEdgeConfigPurposeType$inboundSchema,
    resourceId: stringType()
  });
  Purpose2$outboundSchema = objectType({
    type: CreateEdgeConfigPurposeType$outboundSchema,
    resourceId: stringType()
  });
  ((Purpose2$) => {
    Purpose2$.inboundSchema = Purpose2$inboundSchema;
    Purpose2$.outboundSchema = Purpose2$outboundSchema;
  })(Purpose2$ ||= {});
  PurposeType$inboundSchema = nativeEnumType(PurposeType);
  PurposeType$outboundSchema = PurposeType$inboundSchema;
  ((PurposeType$) => {
    PurposeType$.inboundSchema = PurposeType$inboundSchema;
    PurposeType$.outboundSchema = PurposeType$outboundSchema;
  })(PurposeType$ ||= {});
  Purpose1$inboundSchema = objectType({
    type: PurposeType$inboundSchema,
    projectId: stringType()
  });
  Purpose1$outboundSchema = objectType({
    type: PurposeType$outboundSchema,
    projectId: stringType()
  });
  ((Purpose1$) => {
    Purpose1$.inboundSchema = Purpose1$inboundSchema;
    Purpose1$.outboundSchema = Purpose1$outboundSchema;
  })(Purpose1$ ||= {});
  CreateEdgeConfigPurpose$inboundSchema = unionType([
    lazyType(() => Purpose1$inboundSchema),
    lazyType(() => Purpose2$inboundSchema)
  ]);
  CreateEdgeConfigPurpose$outboundSchema = unionType([
    lazyType(() => Purpose1$outboundSchema),
    lazyType(() => Purpose2$outboundSchema)
  ]);
  ((CreateEdgeConfigPurpose$) => {
    CreateEdgeConfigPurpose$.inboundSchema = CreateEdgeConfigPurpose$inboundSchema;
    CreateEdgeConfigPurpose$.outboundSchema = CreateEdgeConfigPurpose$outboundSchema;
  })(CreateEdgeConfigPurpose$ ||= {});
  CreateEdgeConfigResponseBody$inboundSchema = objectType({
    createdAt: numberType().optional(),
    updatedAt: numberType().optional(),
    id: stringType().optional(),
    slug: stringType().optional(),
    ownerId: stringType().optional(),
    digest: stringType().optional(),
    transfer: lazyType(() => CreateEdgeConfigTransfer$inboundSchema).optional(),
    schema: lazyType(() => CreateEdgeConfigSchema$inboundSchema).optional(),
    purpose: unionType([
      lazyType(() => Purpose1$inboundSchema),
      lazyType(() => Purpose2$inboundSchema)
    ]).optional(),
    sizeInBytes: numberType(),
    itemCount: numberType()
  });
  CreateEdgeConfigResponseBody$outboundSchema = objectType({
    createdAt: numberType().optional(),
    updatedAt: numberType().optional(),
    id: stringType().optional(),
    slug: stringType().optional(),
    ownerId: stringType().optional(),
    digest: stringType().optional(),
    transfer: lazyType(() => CreateEdgeConfigTransfer$outboundSchema).optional(),
    schema: lazyType(() => CreateEdgeConfigSchema$outboundSchema).optional(),
    purpose: unionType([
      lazyType(() => Purpose1$outboundSchema),
      lazyType(() => Purpose2$outboundSchema)
    ]).optional(),
    sizeInBytes: numberType(),
    itemCount: numberType()
  });
  ((CreateEdgeConfigResponseBody$) => {
    CreateEdgeConfigResponseBody$.inboundSchema = CreateEdgeConfigResponseBody$inboundSchema;
    CreateEdgeConfigResponseBody$.outboundSchema = CreateEdgeConfigResponseBody$outboundSchema;
  })(CreateEdgeConfigResponseBody$ ||= {});
});

// src/funcs/edgeConfigCreateEdgeConfig.ts
function edgeConfigCreateEdgeConfig(client, request, options) {
  return new APIPromise($do62(client, request, options));
}
async function $do62(client, request, options) {
  const parsed = safeParse(request, (value) => CreateEdgeConfigRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const path = pathToFunc("/v1/edge-config")();
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "createEdgeConfig",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(201, CreateEdgeConfigResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([402, 403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_edgeConfigCreateEdgeConfig = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_createedgeconfigop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/edgeConfigCreateEdgeConfig.ts
var args61, tool$edgeConfigCreateEdgeConfig;
var init_edgeConfigCreateEdgeConfig2 = __esm(() => {
  init_edgeConfigCreateEdgeConfig();
  init_createedgeconfigop();
  init_tools();
  args61 = {
    request: CreateEdgeConfigRequest$inboundSchema
  };
  tool$edgeConfigCreateEdgeConfig = {
    name: "edge-config-create-edge-config",
    description: `Create an Edge Config

Creates an Edge Config.`,
    args: args61,
    tool: async (client, args62, ctx) => {
      const [result, apiCall] = await edgeConfigCreateEdgeConfig(client, args62.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/createedgeconfigtokenop.ts
var CreateEdgeConfigTokenRequestBody$inboundSchema, CreateEdgeConfigTokenRequestBody$outboundSchema, CreateEdgeConfigTokenRequestBody$, CreateEdgeConfigTokenRequest$inboundSchema, CreateEdgeConfigTokenRequest$outboundSchema, CreateEdgeConfigTokenRequest$, CreateEdgeConfigTokenResponseBody$inboundSchema, CreateEdgeConfigTokenResponseBody$outboundSchema, CreateEdgeConfigTokenResponseBody$;
var init_createedgeconfigtokenop = __esm(() => {
  init_esm();
  init_primitives();
  CreateEdgeConfigTokenRequestBody$inboundSchema = objectType({
    label: stringType()
  });
  CreateEdgeConfigTokenRequestBody$outboundSchema = objectType({
    label: stringType()
  });
  ((CreateEdgeConfigTokenRequestBody$) => {
    CreateEdgeConfigTokenRequestBody$.inboundSchema = CreateEdgeConfigTokenRequestBody$inboundSchema;
    CreateEdgeConfigTokenRequestBody$.outboundSchema = CreateEdgeConfigTokenRequestBody$outboundSchema;
  })(CreateEdgeConfigTokenRequestBody$ ||= {});
  CreateEdgeConfigTokenRequest$inboundSchema = objectType({
    edgeConfigId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    RequestBody: lazyType(() => CreateEdgeConfigTokenRequestBody$inboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  CreateEdgeConfigTokenRequest$outboundSchema = objectType({
    edgeConfigId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    requestBody: lazyType(() => CreateEdgeConfigTokenRequestBody$outboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((CreateEdgeConfigTokenRequest$) => {
    CreateEdgeConfigTokenRequest$.inboundSchema = CreateEdgeConfigTokenRequest$inboundSchema;
    CreateEdgeConfigTokenRequest$.outboundSchema = CreateEdgeConfigTokenRequest$outboundSchema;
  })(CreateEdgeConfigTokenRequest$ ||= {});
  CreateEdgeConfigTokenResponseBody$inboundSchema = objectType({
    token: stringType(),
    id: stringType()
  });
  CreateEdgeConfigTokenResponseBody$outboundSchema = objectType({
    token: stringType(),
    id: stringType()
  });
  ((CreateEdgeConfigTokenResponseBody$) => {
    CreateEdgeConfigTokenResponseBody$.inboundSchema = CreateEdgeConfigTokenResponseBody$inboundSchema;
    CreateEdgeConfigTokenResponseBody$.outboundSchema = CreateEdgeConfigTokenResponseBody$outboundSchema;
  })(CreateEdgeConfigTokenResponseBody$ ||= {});
});

// src/funcs/edgeConfigCreateEdgeConfigToken.ts
function edgeConfigCreateEdgeConfigToken(client, request, options) {
  return new APIPromise($do63(client, request, options));
}
async function $do63(client, request, options) {
  const parsed = safeParse(request, (value) => CreateEdgeConfigTokenRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    edgeConfigId: encodeSimple("edgeConfigId", payload.edgeConfigId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/edge-config/{edgeConfigId}/token")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "createEdgeConfigToken",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(201, CreateEdgeConfigTokenResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([402, 403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_edgeConfigCreateEdgeConfigToken = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_createedgeconfigtokenop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/edgeConfigCreateEdgeConfigToken.ts
var args62, tool$edgeConfigCreateEdgeConfigToken;
var init_edgeConfigCreateEdgeConfigToken2 = __esm(() => {
  init_edgeConfigCreateEdgeConfigToken();
  init_createedgeconfigtokenop();
  init_tools();
  args62 = {
    request: CreateEdgeConfigTokenRequest$inboundSchema
  };
  tool$edgeConfigCreateEdgeConfigToken = {
    name: "edge-config-create-edge-config-token",
    description: `Create an Edge Config token

Adds a token to an existing Edge Config.`,
    args: args62,
    tool: async (client, args63, ctx) => {
      const [result, apiCall] = await edgeConfigCreateEdgeConfigToken(client, args63.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/deleteedgeconfigop.ts
var DeleteEdgeConfigRequest$inboundSchema, DeleteEdgeConfigRequest$outboundSchema, DeleteEdgeConfigRequest$;
var init_deleteedgeconfigop = __esm(() => {
  init_esm();
  DeleteEdgeConfigRequest$inboundSchema = objectType({
    edgeConfigId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  DeleteEdgeConfigRequest$outboundSchema = objectType({
    edgeConfigId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((DeleteEdgeConfigRequest$) => {
    DeleteEdgeConfigRequest$.inboundSchema = DeleteEdgeConfigRequest$inboundSchema;
    DeleteEdgeConfigRequest$.outboundSchema = DeleteEdgeConfigRequest$outboundSchema;
  })(DeleteEdgeConfigRequest$ ||= {});
});

// src/funcs/edgeConfigDeleteEdgeConfig.ts
function edgeConfigDeleteEdgeConfig(client, request, options) {
  return new APIPromise($do64(client, request, options));
}
async function $do64(client, request, options) {
  const parsed = safeParse(request, (value) => DeleteEdgeConfigRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    edgeConfigId: encodeSimple("edgeConfigId", payload.edgeConfigId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/edge-config/{edgeConfigId}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "deleteEdgeConfig",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "DELETE",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(nil(204, voidType()), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_edgeConfigDeleteEdgeConfig = __esm(() => {
  init_esm();
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_deleteedgeconfigop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/edgeConfigDeleteEdgeConfig.ts
var args63, tool$edgeConfigDeleteEdgeConfig;
var init_edgeConfigDeleteEdgeConfig2 = __esm(() => {
  init_edgeConfigDeleteEdgeConfig();
  init_deleteedgeconfigop();
  init_tools();
  args63 = {
    request: DeleteEdgeConfigRequest$inboundSchema
  };
  tool$edgeConfigDeleteEdgeConfig = {
    name: "edge-config-delete-edge-config",
    description: `Delete an Edge Config

Delete an Edge Config by id.`,
    args: args63,
    tool: async (client, args64, ctx) => {
      const [result, apiCall] = await edgeConfigDeleteEdgeConfig(client, args64.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      return formatResult(undefined, apiCall);
    }
  };
});

// src/models/deleteedgeconfigschemaop.ts
var DeleteEdgeConfigSchemaRequest$inboundSchema, DeleteEdgeConfigSchemaRequest$outboundSchema, DeleteEdgeConfigSchemaRequest$;
var init_deleteedgeconfigschemaop = __esm(() => {
  init_esm();
  DeleteEdgeConfigSchemaRequest$inboundSchema = objectType({
    edgeConfigId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  DeleteEdgeConfigSchemaRequest$outboundSchema = objectType({
    edgeConfigId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((DeleteEdgeConfigSchemaRequest$) => {
    DeleteEdgeConfigSchemaRequest$.inboundSchema = DeleteEdgeConfigSchemaRequest$inboundSchema;
    DeleteEdgeConfigSchemaRequest$.outboundSchema = DeleteEdgeConfigSchemaRequest$outboundSchema;
  })(DeleteEdgeConfigSchemaRequest$ ||= {});
});

// src/funcs/edgeConfigDeleteEdgeConfigSchema.ts
function edgeConfigDeleteEdgeConfigSchema(client, request, options) {
  return new APIPromise($do65(client, request, options));
}
async function $do65(client, request, options) {
  const parsed = safeParse(request, (value) => DeleteEdgeConfigSchemaRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    edgeConfigId: encodeSimple("edgeConfigId", payload.edgeConfigId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/edge-config/{edgeConfigId}/schema")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "deleteEdgeConfigSchema",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "DELETE",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(nil(204, voidType()), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([402, 403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_edgeConfigDeleteEdgeConfigSchema = __esm(() => {
  init_esm();
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_deleteedgeconfigschemaop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/edgeConfigDeleteEdgeConfigSchema.ts
var args64, tool$edgeConfigDeleteEdgeConfigSchema;
var init_edgeConfigDeleteEdgeConfigSchema2 = __esm(() => {
  init_edgeConfigDeleteEdgeConfigSchema();
  init_deleteedgeconfigschemaop();
  init_tools();
  args64 = {
    request: DeleteEdgeConfigSchemaRequest$inboundSchema
  };
  tool$edgeConfigDeleteEdgeConfigSchema = {
    name: "edge-config-delete-edge-config-schema",
    description: `Delete an Edge Config's schema

Deletes the schema of existing Edge Config.`,
    args: args64,
    tool: async (client, args65, ctx) => {
      const [result, apiCall] = await edgeConfigDeleteEdgeConfigSchema(client, args65.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      return formatResult(undefined, apiCall);
    }
  };
});

// src/models/deleteedgeconfigtokensop.ts
var DeleteEdgeConfigTokensRequestBody$inboundSchema, DeleteEdgeConfigTokensRequestBody$outboundSchema, DeleteEdgeConfigTokensRequestBody$, DeleteEdgeConfigTokensRequest$inboundSchema, DeleteEdgeConfigTokensRequest$outboundSchema, DeleteEdgeConfigTokensRequest$;
var init_deleteedgeconfigtokensop = __esm(() => {
  init_esm();
  init_primitives();
  DeleteEdgeConfigTokensRequestBody$inboundSchema = objectType({
    tokens: arrayType(stringType())
  });
  DeleteEdgeConfigTokensRequestBody$outboundSchema = objectType({
    tokens: arrayType(stringType())
  });
  ((DeleteEdgeConfigTokensRequestBody$) => {
    DeleteEdgeConfigTokensRequestBody$.inboundSchema = DeleteEdgeConfigTokensRequestBody$inboundSchema;
    DeleteEdgeConfigTokensRequestBody$.outboundSchema = DeleteEdgeConfigTokensRequestBody$outboundSchema;
  })(DeleteEdgeConfigTokensRequestBody$ ||= {});
  DeleteEdgeConfigTokensRequest$inboundSchema = objectType({
    edgeConfigId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    RequestBody: lazyType(() => DeleteEdgeConfigTokensRequestBody$inboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  DeleteEdgeConfigTokensRequest$outboundSchema = objectType({
    edgeConfigId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    requestBody: lazyType(() => DeleteEdgeConfigTokensRequestBody$outboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((DeleteEdgeConfigTokensRequest$) => {
    DeleteEdgeConfigTokensRequest$.inboundSchema = DeleteEdgeConfigTokensRequest$inboundSchema;
    DeleteEdgeConfigTokensRequest$.outboundSchema = DeleteEdgeConfigTokensRequest$outboundSchema;
  })(DeleteEdgeConfigTokensRequest$ ||= {});
});

// src/funcs/edgeConfigDeleteEdgeConfigTokens.ts
function edgeConfigDeleteEdgeConfigTokens(client, request, options) {
  return new APIPromise($do66(client, request, options));
}
async function $do66(client, request, options) {
  const parsed = safeParse(request, (value) => DeleteEdgeConfigTokensRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    edgeConfigId: encodeSimple("edgeConfigId", payload.edgeConfigId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/edge-config/{edgeConfigId}/tokens")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "deleteEdgeConfigTokens",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "DELETE",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(nil(204, voidType()), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([402, 403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_edgeConfigDeleteEdgeConfigTokens = __esm(() => {
  init_esm();
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_deleteedgeconfigtokensop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/edgeConfigDeleteEdgeConfigTokens.ts
var args65, tool$edgeConfigDeleteEdgeConfigTokens;
var init_edgeConfigDeleteEdgeConfigTokens2 = __esm(() => {
  init_edgeConfigDeleteEdgeConfigTokens();
  init_deleteedgeconfigtokensop();
  init_tools();
  args65 = {
    request: DeleteEdgeConfigTokensRequest$inboundSchema
  };
  tool$edgeConfigDeleteEdgeConfigTokens = {
    name: "edge-config-delete-edge-config-tokens",
    description: `Delete one or more Edge Config tokens

Deletes one or more tokens of an existing Edge Config.`,
    args: args65,
    tool: async (client, args66, ctx) => {
      const [result, apiCall] = await edgeConfigDeleteEdgeConfigTokens(client, args66.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      return formatResult(undefined, apiCall);
    }
  };
});

// src/models/getedgeconfigop.ts
var GetEdgeConfigPurposeEdgeConfigType, GetEdgeConfigPurposeType, GetEdgeConfigRequest$inboundSchema, GetEdgeConfigRequest$outboundSchema, GetEdgeConfigRequest$, GetEdgeConfigTransfer$inboundSchema, GetEdgeConfigTransfer$outboundSchema, GetEdgeConfigTransfer$, GetEdgeConfigSchema$inboundSchema, GetEdgeConfigSchema$outboundSchema, GetEdgeConfigSchema$, GetEdgeConfigPurposeEdgeConfigType$inboundSchema, GetEdgeConfigPurposeEdgeConfigType$outboundSchema, GetEdgeConfigPurposeEdgeConfigType$, GetEdgeConfigPurpose2$inboundSchema, GetEdgeConfigPurpose2$outboundSchema, GetEdgeConfigPurpose2$, GetEdgeConfigPurposeType$inboundSchema, GetEdgeConfigPurposeType$outboundSchema, GetEdgeConfigPurposeType$, GetEdgeConfigPurpose1$inboundSchema, GetEdgeConfigPurpose1$outboundSchema, GetEdgeConfigPurpose1$, GetEdgeConfigPurpose$inboundSchema, GetEdgeConfigPurpose$outboundSchema, GetEdgeConfigPurpose$, GetEdgeConfigResponseBody$inboundSchema, GetEdgeConfigResponseBody$outboundSchema, GetEdgeConfigResponseBody$;
var init_getedgeconfigop = __esm(() => {
  init_esm();
  GetEdgeConfigPurposeEdgeConfigType = {
    Experimentation: "experimentation"
  };
  GetEdgeConfigPurposeType = {
    Flags: "flags"
  };
  GetEdgeConfigRequest$inboundSchema = objectType({
    edgeConfigId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  GetEdgeConfigRequest$outboundSchema = objectType({
    edgeConfigId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((GetEdgeConfigRequest$) => {
    GetEdgeConfigRequest$.inboundSchema = GetEdgeConfigRequest$inboundSchema;
    GetEdgeConfigRequest$.outboundSchema = GetEdgeConfigRequest$outboundSchema;
  })(GetEdgeConfigRequest$ ||= {});
  GetEdgeConfigTransfer$inboundSchema = objectType({
    fromAccountId: stringType(),
    startedAt: numberType(),
    doneAt: nullableType(numberType())
  });
  GetEdgeConfigTransfer$outboundSchema = objectType({
    fromAccountId: stringType(),
    startedAt: numberType(),
    doneAt: nullableType(numberType())
  });
  ((GetEdgeConfigTransfer$) => {
    GetEdgeConfigTransfer$.inboundSchema = GetEdgeConfigTransfer$inboundSchema;
    GetEdgeConfigTransfer$.outboundSchema = GetEdgeConfigTransfer$outboundSchema;
  })(GetEdgeConfigTransfer$ ||= {});
  GetEdgeConfigSchema$inboundSchema = objectType({});
  GetEdgeConfigSchema$outboundSchema = objectType({});
  ((GetEdgeConfigSchema$) => {
    GetEdgeConfigSchema$.inboundSchema = GetEdgeConfigSchema$inboundSchema;
    GetEdgeConfigSchema$.outboundSchema = GetEdgeConfigSchema$outboundSchema;
  })(GetEdgeConfigSchema$ ||= {});
  GetEdgeConfigPurposeEdgeConfigType$inboundSchema = nativeEnumType(GetEdgeConfigPurposeEdgeConfigType);
  GetEdgeConfigPurposeEdgeConfigType$outboundSchema = GetEdgeConfigPurposeEdgeConfigType$inboundSchema;
  ((GetEdgeConfigPurposeEdgeConfigType$) => {
    GetEdgeConfigPurposeEdgeConfigType$.inboundSchema = GetEdgeConfigPurposeEdgeConfigType$inboundSchema;
    GetEdgeConfigPurposeEdgeConfigType$.outboundSchema = GetEdgeConfigPurposeEdgeConfigType$outboundSchema;
  })(GetEdgeConfigPurposeEdgeConfigType$ ||= {});
  GetEdgeConfigPurpose2$inboundSchema = objectType({
    type: GetEdgeConfigPurposeEdgeConfigType$inboundSchema,
    resourceId: stringType()
  });
  GetEdgeConfigPurpose2$outboundSchema = objectType({
    type: GetEdgeConfigPurposeEdgeConfigType$outboundSchema,
    resourceId: stringType()
  });
  ((GetEdgeConfigPurpose2$) => {
    GetEdgeConfigPurpose2$.inboundSchema = GetEdgeConfigPurpose2$inboundSchema;
    GetEdgeConfigPurpose2$.outboundSchema = GetEdgeConfigPurpose2$outboundSchema;
  })(GetEdgeConfigPurpose2$ ||= {});
  GetEdgeConfigPurposeType$inboundSchema = nativeEnumType(GetEdgeConfigPurposeType);
  GetEdgeConfigPurposeType$outboundSchema = GetEdgeConfigPurposeType$inboundSchema;
  ((GetEdgeConfigPurposeType$) => {
    GetEdgeConfigPurposeType$.inboundSchema = GetEdgeConfigPurposeType$inboundSchema;
    GetEdgeConfigPurposeType$.outboundSchema = GetEdgeConfigPurposeType$outboundSchema;
  })(GetEdgeConfigPurposeType$ ||= {});
  GetEdgeConfigPurpose1$inboundSchema = objectType({
    type: GetEdgeConfigPurposeType$inboundSchema,
    projectId: stringType()
  });
  GetEdgeConfigPurpose1$outboundSchema = objectType({
    type: GetEdgeConfigPurposeType$outboundSchema,
    projectId: stringType()
  });
  ((GetEdgeConfigPurpose1$) => {
    GetEdgeConfigPurpose1$.inboundSchema = GetEdgeConfigPurpose1$inboundSchema;
    GetEdgeConfigPurpose1$.outboundSchema = GetEdgeConfigPurpose1$outboundSchema;
  })(GetEdgeConfigPurpose1$ ||= {});
  GetEdgeConfigPurpose$inboundSchema = unionType([
    lazyType(() => GetEdgeConfigPurpose1$inboundSchema),
    lazyType(() => GetEdgeConfigPurpose2$inboundSchema)
  ]);
  GetEdgeConfigPurpose$outboundSchema = unionType([
    lazyType(() => GetEdgeConfigPurpose1$outboundSchema),
    lazyType(() => GetEdgeConfigPurpose2$outboundSchema)
  ]);
  ((GetEdgeConfigPurpose$) => {
    GetEdgeConfigPurpose$.inboundSchema = GetEdgeConfigPurpose$inboundSchema;
    GetEdgeConfigPurpose$.outboundSchema = GetEdgeConfigPurpose$outboundSchema;
  })(GetEdgeConfigPurpose$ ||= {});
  GetEdgeConfigResponseBody$inboundSchema = objectType({
    createdAt: numberType().optional(),
    updatedAt: numberType().optional(),
    id: stringType().optional(),
    slug: stringType().optional(),
    ownerId: stringType().optional(),
    digest: stringType().optional(),
    transfer: lazyType(() => GetEdgeConfigTransfer$inboundSchema).optional(),
    schema: lazyType(() => GetEdgeConfigSchema$inboundSchema).optional(),
    purpose: unionType([
      lazyType(() => GetEdgeConfigPurpose1$inboundSchema),
      lazyType(() => GetEdgeConfigPurpose2$inboundSchema)
    ]).optional(),
    sizeInBytes: numberType(),
    itemCount: numberType()
  });
  GetEdgeConfigResponseBody$outboundSchema = objectType({
    createdAt: numberType().optional(),
    updatedAt: numberType().optional(),
    id: stringType().optional(),
    slug: stringType().optional(),
    ownerId: stringType().optional(),
    digest: stringType().optional(),
    transfer: lazyType(() => GetEdgeConfigTransfer$outboundSchema).optional(),
    schema: lazyType(() => GetEdgeConfigSchema$outboundSchema).optional(),
    purpose: unionType([
      lazyType(() => GetEdgeConfigPurpose1$outboundSchema),
      lazyType(() => GetEdgeConfigPurpose2$outboundSchema)
    ]).optional(),
    sizeInBytes: numberType(),
    itemCount: numberType()
  });
  ((GetEdgeConfigResponseBody$) => {
    GetEdgeConfigResponseBody$.inboundSchema = GetEdgeConfigResponseBody$inboundSchema;
    GetEdgeConfigResponseBody$.outboundSchema = GetEdgeConfigResponseBody$outboundSchema;
  })(GetEdgeConfigResponseBody$ ||= {});
});

// src/funcs/edgeConfigGetEdgeConfig.ts
function edgeConfigGetEdgeConfig(client, request, options) {
  return new APIPromise($do67(client, request, options));
}
async function $do67(client, request, options) {
  const parsed = safeParse(request, (value) => GetEdgeConfigRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    edgeConfigId: encodeSimple("edgeConfigId", payload.edgeConfigId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/edge-config/{edgeConfigId}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "getEdgeConfig",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetEdgeConfigResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_edgeConfigGetEdgeConfig = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_getedgeconfigop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/edgeConfigGetEdgeConfig.ts
var args66, tool$edgeConfigGetEdgeConfig;
var init_edgeConfigGetEdgeConfig2 = __esm(() => {
  init_edgeConfigGetEdgeConfig();
  init_getedgeconfigop();
  init_tools();
  args66 = {
    request: GetEdgeConfigRequest$inboundSchema
  };
  tool$edgeConfigGetEdgeConfig = {
    name: "edge-config-get-edge-config",
    description: `Get an Edge Config

Returns an Edge Config.`,
    args: args66,
    tool: async (client, args67, ctx) => {
      const [result, apiCall] = await edgeConfigGetEdgeConfig(client, args67.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/edgeconfigitemvalue.ts
var EdgeConfigItemValue$inboundSchema, EdgeConfigItemValue$outboundSchema, EdgeConfigItemValue$;
var init_edgeconfigitemvalue = __esm(() => {
  init_esm();
  EdgeConfigItemValue$inboundSchema = unionType([
    stringType(),
    numberType(),
    booleanType(),
    recordType(nullableType(lazyType(() => EdgeConfigItemValue$inboundSchema))),
    arrayType(nullableType(lazyType(() => EdgeConfigItemValue$inboundSchema)))
  ]);
  EdgeConfigItemValue$outboundSchema = unionType([
    stringType(),
    numberType(),
    booleanType(),
    recordType(nullableType(lazyType(() => EdgeConfigItemValue$outboundSchema))),
    arrayType(nullableType(lazyType(() => EdgeConfigItemValue$outboundSchema)))
  ]);
  ((EdgeConfigItemValue$) => {
    EdgeConfigItemValue$.inboundSchema = EdgeConfigItemValue$inboundSchema;
    EdgeConfigItemValue$.outboundSchema = EdgeConfigItemValue$outboundSchema;
  })(EdgeConfigItemValue$ ||= {});
});

// src/models/getedgeconfigbackupop.ts
var GetEdgeConfigBackupRequest$inboundSchema, GetEdgeConfigBackupRequest$outboundSchema, GetEdgeConfigBackupRequest$, ResponseBodyUser$inboundSchema, ResponseBodyUser$outboundSchema, ResponseBodyUser$, ResponseBodyItems$inboundSchema, ResponseBodyItems$outboundSchema, ResponseBodyItems$, ResponseBodyBackup$inboundSchema, ResponseBodyBackup$outboundSchema, ResponseBodyBackup$, ResponseBodyMetadata$inboundSchema, ResponseBodyMetadata$outboundSchema, ResponseBodyMetadata$, GetEdgeConfigBackupResponseBody2$inboundSchema, GetEdgeConfigBackupResponseBody2$outboundSchema, GetEdgeConfigBackupResponseBody2$, GetEdgeConfigBackupResponseBodyItems$inboundSchema, GetEdgeConfigBackupResponseBodyItems$outboundSchema, GetEdgeConfigBackupResponseBodyItems$, Backup$inboundSchema, Backup$outboundSchema, Backup$, Metadata$inboundSchema, Metadata$outboundSchema, Metadata$, GetEdgeConfigBackupResponseBodyUser$inboundSchema, GetEdgeConfigBackupResponseBodyUser$outboundSchema, GetEdgeConfigBackupResponseBodyUser$, GetEdgeConfigBackupResponseBody1$inboundSchema, GetEdgeConfigBackupResponseBody1$outboundSchema, GetEdgeConfigBackupResponseBody1$, GetEdgeConfigBackupResponseBody$inboundSchema, GetEdgeConfigBackupResponseBody$outboundSchema, GetEdgeConfigBackupResponseBody$;
var init_getedgeconfigbackupop = __esm(() => {
  init_esm();
  init_edgeconfigitemvalue();
  GetEdgeConfigBackupRequest$inboundSchema = objectType({
    edgeConfigId: stringType(),
    edgeConfigBackupVersionId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  GetEdgeConfigBackupRequest$outboundSchema = objectType({
    edgeConfigId: stringType(),
    edgeConfigBackupVersionId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((GetEdgeConfigBackupRequest$) => {
    GetEdgeConfigBackupRequest$.inboundSchema = GetEdgeConfigBackupRequest$inboundSchema;
    GetEdgeConfigBackupRequest$.outboundSchema = GetEdgeConfigBackupRequest$outboundSchema;
  })(GetEdgeConfigBackupRequest$ ||= {});
  ResponseBodyUser$inboundSchema = objectType({
    id: stringType(),
    username: stringType(),
    email: stringType(),
    name: stringType().optional(),
    avatar: stringType().optional()
  });
  ResponseBodyUser$outboundSchema = objectType({
    id: stringType(),
    username: stringType(),
    email: stringType(),
    name: stringType().optional(),
    avatar: stringType().optional()
  });
  ((ResponseBodyUser$) => {
    ResponseBodyUser$.inboundSchema = ResponseBodyUser$inboundSchema;
    ResponseBodyUser$.outboundSchema = ResponseBodyUser$outboundSchema;
  })(ResponseBodyUser$ ||= {});
  ResponseBodyItems$inboundSchema = objectType({
    updatedAt: numberType(),
    value: nullableType(EdgeConfigItemValue$inboundSchema),
    description: stringType().optional(),
    createdAt: numberType()
  });
  ResponseBodyItems$outboundSchema = objectType({
    updatedAt: numberType(),
    value: nullableType(EdgeConfigItemValue$outboundSchema),
    description: stringType().optional(),
    createdAt: numberType()
  });
  ((ResponseBodyItems$) => {
    ResponseBodyItems$.inboundSchema = ResponseBodyItems$inboundSchema;
    ResponseBodyItems$.outboundSchema = ResponseBodyItems$outboundSchema;
  })(ResponseBodyItems$ ||= {});
  ResponseBodyBackup$inboundSchema = objectType({
    digest: stringType(),
    items: recordType(lazyType(() => ResponseBodyItems$inboundSchema)),
    slug: stringType(),
    updatedAt: numberType()
  });
  ResponseBodyBackup$outboundSchema = objectType({
    digest: stringType(),
    items: recordType(lazyType(() => ResponseBodyItems$outboundSchema)),
    slug: stringType(),
    updatedAt: numberType()
  });
  ((ResponseBodyBackup$) => {
    ResponseBodyBackup$.inboundSchema = ResponseBodyBackup$inboundSchema;
    ResponseBodyBackup$.outboundSchema = ResponseBodyBackup$outboundSchema;
  })(ResponseBodyBackup$ ||= {});
  ResponseBodyMetadata$inboundSchema = objectType({
    updatedAt: stringType().optional(),
    updatedBy: stringType().optional(),
    itemsCount: numberType().optional(),
    itemsBytes: numberType().optional()
  });
  ResponseBodyMetadata$outboundSchema = objectType({
    updatedAt: stringType().optional(),
    updatedBy: stringType().optional(),
    itemsCount: numberType().optional(),
    itemsBytes: numberType().optional()
  });
  ((ResponseBodyMetadata$) => {
    ResponseBodyMetadata$.inboundSchema = ResponseBodyMetadata$inboundSchema;
    ResponseBodyMetadata$.outboundSchema = ResponseBodyMetadata$outboundSchema;
  })(ResponseBodyMetadata$ ||= {});
  GetEdgeConfigBackupResponseBody2$inboundSchema = objectType({
    user: lazyType(() => ResponseBodyUser$inboundSchema),
    id: stringType(),
    lastModified: numberType(),
    backup: lazyType(() => ResponseBodyBackup$inboundSchema),
    metadata: lazyType(() => ResponseBodyMetadata$inboundSchema)
  });
  GetEdgeConfigBackupResponseBody2$outboundSchema = objectType({
    user: lazyType(() => ResponseBodyUser$outboundSchema),
    id: stringType(),
    lastModified: numberType(),
    backup: lazyType(() => ResponseBodyBackup$outboundSchema),
    metadata: lazyType(() => ResponseBodyMetadata$outboundSchema)
  });
  ((GetEdgeConfigBackupResponseBody2$) => {
    GetEdgeConfigBackupResponseBody2$.inboundSchema = GetEdgeConfigBackupResponseBody2$inboundSchema;
    GetEdgeConfigBackupResponseBody2$.outboundSchema = GetEdgeConfigBackupResponseBody2$outboundSchema;
  })(GetEdgeConfigBackupResponseBody2$ ||= {});
  GetEdgeConfigBackupResponseBodyItems$inboundSchema = objectType({
    updatedAt: numberType(),
    value: nullableType(EdgeConfigItemValue$inboundSchema),
    description: stringType().optional(),
    createdAt: numberType()
  });
  GetEdgeConfigBackupResponseBodyItems$outboundSchema = objectType({
    updatedAt: numberType(),
    value: nullableType(EdgeConfigItemValue$outboundSchema),
    description: stringType().optional(),
    createdAt: numberType()
  });
  ((GetEdgeConfigBackupResponseBodyItems$) => {
    GetEdgeConfigBackupResponseBodyItems$.inboundSchema = GetEdgeConfigBackupResponseBodyItems$inboundSchema;
    GetEdgeConfigBackupResponseBodyItems$.outboundSchema = GetEdgeConfigBackupResponseBodyItems$outboundSchema;
  })(GetEdgeConfigBackupResponseBodyItems$ ||= {});
  Backup$inboundSchema = objectType({
    digest: stringType(),
    items: recordType(lazyType(() => GetEdgeConfigBackupResponseBodyItems$inboundSchema)),
    slug: stringType(),
    updatedAt: numberType()
  });
  Backup$outboundSchema = objectType({
    digest: stringType(),
    items: recordType(lazyType(() => GetEdgeConfigBackupResponseBodyItems$outboundSchema)),
    slug: stringType(),
    updatedAt: numberType()
  });
  ((Backup$) => {
    Backup$.inboundSchema = Backup$inboundSchema;
    Backup$.outboundSchema = Backup$outboundSchema;
  })(Backup$ ||= {});
  Metadata$inboundSchema = objectType({
    updatedAt: stringType().optional(),
    updatedBy: stringType().optional(),
    itemsCount: numberType().optional(),
    itemsBytes: numberType().optional()
  });
  Metadata$outboundSchema = objectType({
    updatedAt: stringType().optional(),
    updatedBy: stringType().optional(),
    itemsCount: numberType().optional(),
    itemsBytes: numberType().optional()
  });
  ((Metadata$) => {
    Metadata$.inboundSchema = Metadata$inboundSchema;
    Metadata$.outboundSchema = Metadata$outboundSchema;
  })(Metadata$ ||= {});
  GetEdgeConfigBackupResponseBodyUser$inboundSchema = objectType({
    id: stringType(),
    username: stringType(),
    email: stringType(),
    name: stringType().optional(),
    avatar: stringType().optional()
  });
  GetEdgeConfigBackupResponseBodyUser$outboundSchema = objectType({
    id: stringType(),
    username: stringType(),
    email: stringType(),
    name: stringType().optional(),
    avatar: stringType().optional()
  });
  ((GetEdgeConfigBackupResponseBodyUser$) => {
    GetEdgeConfigBackupResponseBodyUser$.inboundSchema = GetEdgeConfigBackupResponseBodyUser$inboundSchema;
    GetEdgeConfigBackupResponseBodyUser$.outboundSchema = GetEdgeConfigBackupResponseBodyUser$outboundSchema;
  })(GetEdgeConfigBackupResponseBodyUser$ ||= {});
  GetEdgeConfigBackupResponseBody1$inboundSchema = objectType({
    id: stringType(),
    lastModified: numberType(),
    backup: lazyType(() => Backup$inboundSchema),
    metadata: lazyType(() => Metadata$inboundSchema),
    user: lazyType(() => GetEdgeConfigBackupResponseBodyUser$inboundSchema).optional()
  });
  GetEdgeConfigBackupResponseBody1$outboundSchema = objectType({
    id: stringType(),
    lastModified: numberType(),
    backup: lazyType(() => Backup$outboundSchema),
    metadata: lazyType(() => Metadata$outboundSchema),
    user: lazyType(() => GetEdgeConfigBackupResponseBodyUser$outboundSchema).optional()
  });
  ((GetEdgeConfigBackupResponseBody1$) => {
    GetEdgeConfigBackupResponseBody1$.inboundSchema = GetEdgeConfigBackupResponseBody1$inboundSchema;
    GetEdgeConfigBackupResponseBody1$.outboundSchema = GetEdgeConfigBackupResponseBody1$outboundSchema;
  })(GetEdgeConfigBackupResponseBody1$ ||= {});
  GetEdgeConfigBackupResponseBody$inboundSchema = unionType([
    lazyType(() => GetEdgeConfigBackupResponseBody1$inboundSchema),
    lazyType(() => GetEdgeConfigBackupResponseBody2$inboundSchema)
  ]);
  GetEdgeConfigBackupResponseBody$outboundSchema = unionType([
    lazyType(() => GetEdgeConfigBackupResponseBody1$outboundSchema),
    lazyType(() => GetEdgeConfigBackupResponseBody2$outboundSchema)
  ]);
  ((GetEdgeConfigBackupResponseBody$) => {
    GetEdgeConfigBackupResponseBody$.inboundSchema = GetEdgeConfigBackupResponseBody$inboundSchema;
    GetEdgeConfigBackupResponseBody$.outboundSchema = GetEdgeConfigBackupResponseBody$outboundSchema;
  })(GetEdgeConfigBackupResponseBody$ ||= {});
});

// src/funcs/edgeConfigGetEdgeConfigBackup.ts
function edgeConfigGetEdgeConfigBackup(client, request, options) {
  return new APIPromise($do68(client, request, options));
}
async function $do68(client, request, options) {
  const parsed = safeParse(request, (value) => GetEdgeConfigBackupRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    edgeConfigBackupVersionId: encodeSimple("edgeConfigBackupVersionId", payload.edgeConfigBackupVersionId, { explode: false, charEncoding: "percent" }),
    edgeConfigId: encodeSimple("edgeConfigId", payload.edgeConfigId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/edge-config/{edgeConfigId}/backups/{edgeConfigBackupVersionId}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "getEdgeConfigBackup",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetEdgeConfigBackupResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_edgeConfigGetEdgeConfigBackup = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_getedgeconfigbackupop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/edgeConfigGetEdgeConfigBackup.ts
var args67, tool$edgeConfigGetEdgeConfigBackup;
var init_edgeConfigGetEdgeConfigBackup2 = __esm(() => {
  init_edgeConfigGetEdgeConfigBackup();
  init_getedgeconfigbackupop();
  init_tools();
  args67 = {
    request: GetEdgeConfigBackupRequest$inboundSchema
  };
  tool$edgeConfigGetEdgeConfigBackup = {
    name: "edge-config-get-edge-config-backup",
    description: `Get Edge Config backup

Retrieves a specific version of an Edge Config from backup storage.`,
    args: args67,
    tool: async (client, args68, ctx) => {
      const [result, apiCall] = await edgeConfigGetEdgeConfigBackup(client, args68.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/getedgeconfigbackupsop.ts
var GetEdgeConfigBackupsRequest$inboundSchema, GetEdgeConfigBackupsRequest$outboundSchema, GetEdgeConfigBackupsRequest$, GetEdgeConfigBackupsMetadata$inboundSchema, GetEdgeConfigBackupsMetadata$outboundSchema, GetEdgeConfigBackupsMetadata$, Backups$inboundSchema, Backups$outboundSchema, Backups$, GetEdgeConfigBackupsPagination$inboundSchema, GetEdgeConfigBackupsPagination$outboundSchema, GetEdgeConfigBackupsPagination$, GetEdgeConfigBackupsResponseBody$inboundSchema, GetEdgeConfigBackupsResponseBody$outboundSchema, GetEdgeConfigBackupsResponseBody$;
var init_getedgeconfigbackupsop = __esm(() => {
  init_esm();
  GetEdgeConfigBackupsRequest$inboundSchema = objectType({
    edgeConfigId: stringType(),
    next: stringType().optional(),
    limit: numberType().optional(),
    metadata: stringType().optional(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  GetEdgeConfigBackupsRequest$outboundSchema = objectType({
    edgeConfigId: stringType(),
    next: stringType().optional(),
    limit: numberType().optional(),
    metadata: stringType().optional(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((GetEdgeConfigBackupsRequest$) => {
    GetEdgeConfigBackupsRequest$.inboundSchema = GetEdgeConfigBackupsRequest$inboundSchema;
    GetEdgeConfigBackupsRequest$.outboundSchema = GetEdgeConfigBackupsRequest$outboundSchema;
  })(GetEdgeConfigBackupsRequest$ ||= {});
  GetEdgeConfigBackupsMetadata$inboundSchema = objectType({
    updatedAt: stringType().optional(),
    updatedBy: stringType().optional(),
    itemsCount: numberType().optional(),
    itemsBytes: numberType().optional()
  });
  GetEdgeConfigBackupsMetadata$outboundSchema = objectType({
    updatedAt: stringType().optional(),
    updatedBy: stringType().optional(),
    itemsCount: numberType().optional(),
    itemsBytes: numberType().optional()
  });
  ((GetEdgeConfigBackupsMetadata$) => {
    GetEdgeConfigBackupsMetadata$.inboundSchema = GetEdgeConfigBackupsMetadata$inboundSchema;
    GetEdgeConfigBackupsMetadata$.outboundSchema = GetEdgeConfigBackupsMetadata$outboundSchema;
  })(GetEdgeConfigBackupsMetadata$ ||= {});
  Backups$inboundSchema = objectType({
    metadata: lazyType(() => GetEdgeConfigBackupsMetadata$inboundSchema).optional(),
    id: stringType(),
    lastModified: numberType()
  });
  Backups$outboundSchema = objectType({
    metadata: lazyType(() => GetEdgeConfigBackupsMetadata$outboundSchema).optional(),
    id: stringType(),
    lastModified: numberType()
  });
  ((Backups$) => {
    Backups$.inboundSchema = Backups$inboundSchema;
    Backups$.outboundSchema = Backups$outboundSchema;
  })(Backups$ ||= {});
  GetEdgeConfigBackupsPagination$inboundSchema = objectType({
    hasNext: booleanType(),
    next: stringType().optional()
  });
  GetEdgeConfigBackupsPagination$outboundSchema = objectType({
    hasNext: booleanType(),
    next: stringType().optional()
  });
  ((GetEdgeConfigBackupsPagination$) => {
    GetEdgeConfigBackupsPagination$.inboundSchema = GetEdgeConfigBackupsPagination$inboundSchema;
    GetEdgeConfigBackupsPagination$.outboundSchema = GetEdgeConfigBackupsPagination$outboundSchema;
  })(GetEdgeConfigBackupsPagination$ ||= {});
  GetEdgeConfigBackupsResponseBody$inboundSchema = objectType({
    backups: arrayType(lazyType(() => Backups$inboundSchema)),
    pagination: lazyType(() => GetEdgeConfigBackupsPagination$inboundSchema)
  });
  GetEdgeConfigBackupsResponseBody$outboundSchema = objectType({
    backups: arrayType(lazyType(() => Backups$outboundSchema)),
    pagination: lazyType(() => GetEdgeConfigBackupsPagination$outboundSchema)
  });
  ((GetEdgeConfigBackupsResponseBody$) => {
    GetEdgeConfigBackupsResponseBody$.inboundSchema = GetEdgeConfigBackupsResponseBody$inboundSchema;
    GetEdgeConfigBackupsResponseBody$.outboundSchema = GetEdgeConfigBackupsResponseBody$outboundSchema;
  })(GetEdgeConfigBackupsResponseBody$ ||= {});
});

// src/funcs/edgeConfigGetEdgeConfigBackups.ts
function edgeConfigGetEdgeConfigBackups(client, request, options) {
  return new APIPromise($do69(client, request, options));
}
async function $do69(client, request, options) {
  const parsed = safeParse(request, (value) => GetEdgeConfigBackupsRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    edgeConfigId: encodeSimple("edgeConfigId", payload.edgeConfigId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/edge-config/{edgeConfigId}/backups")(pathParams);
  const query = encodeFormQuery({
    limit: payload.limit,
    metadata: payload.metadata,
    next: payload.next,
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "getEdgeConfigBackups",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetEdgeConfigBackupsResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_edgeConfigGetEdgeConfigBackups = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_getedgeconfigbackupsop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/edgeConfigGetEdgeConfigBackups.ts
var args68, tool$edgeConfigGetEdgeConfigBackups;
var init_edgeConfigGetEdgeConfigBackups2 = __esm(() => {
  init_edgeConfigGetEdgeConfigBackups();
  init_getedgeconfigbackupsop();
  init_tools();
  args68 = {
    request: GetEdgeConfigBackupsRequest$inboundSchema
  };
  tool$edgeConfigGetEdgeConfigBackups = {
    name: "edge-config-get-edge-config-backups",
    description: `Get Edge Config backups

Returns backups of an Edge Config.`,
    args: args68,
    tool: async (client, args69, ctx) => {
      const [result, apiCall] = await edgeConfigGetEdgeConfigBackups(client, args69.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/edgeconfigitem.ts
var EdgeConfigItem$inboundSchema, EdgeConfigItem$outboundSchema, EdgeConfigItem$;
var init_edgeconfigitem = __esm(() => {
  init_esm();
  init_edgeconfigitemvalue();
  EdgeConfigItem$inboundSchema = objectType({
    key: stringType(),
    value: nullableType(EdgeConfigItemValue$inboundSchema),
    description: stringType().optional(),
    edgeConfigId: stringType(),
    createdAt: numberType(),
    updatedAt: numberType()
  });
  EdgeConfigItem$outboundSchema = objectType({
    key: stringType(),
    value: nullableType(EdgeConfigItemValue$outboundSchema),
    description: stringType().optional(),
    edgeConfigId: stringType(),
    createdAt: numberType(),
    updatedAt: numberType()
  });
  ((EdgeConfigItem$) => {
    EdgeConfigItem$.inboundSchema = EdgeConfigItem$inboundSchema;
    EdgeConfigItem$.outboundSchema = EdgeConfigItem$outboundSchema;
  })(EdgeConfigItem$ ||= {});
});

// src/models/getedgeconfigitemop.ts
var GetEdgeConfigItemRequest$inboundSchema, GetEdgeConfigItemRequest$outboundSchema, GetEdgeConfigItemRequest$;
var init_getedgeconfigitemop = __esm(() => {
  init_esm();
  GetEdgeConfigItemRequest$inboundSchema = objectType({
    edgeConfigId: stringType(),
    edgeConfigItemKey: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  GetEdgeConfigItemRequest$outboundSchema = objectType({
    edgeConfigId: stringType(),
    edgeConfigItemKey: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((GetEdgeConfigItemRequest$) => {
    GetEdgeConfigItemRequest$.inboundSchema = GetEdgeConfigItemRequest$inboundSchema;
    GetEdgeConfigItemRequest$.outboundSchema = GetEdgeConfigItemRequest$outboundSchema;
  })(GetEdgeConfigItemRequest$ ||= {});
});

// src/funcs/edgeConfigGetEdgeConfigItem.ts
function edgeConfigGetEdgeConfigItem(client, request, options) {
  return new APIPromise($do70(client, request, options));
}
async function $do70(client, request, options) {
  const parsed = safeParse(request, (value) => GetEdgeConfigItemRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    edgeConfigId: encodeSimple("edgeConfigId", payload.edgeConfigId, {
      explode: false,
      charEncoding: "percent"
    }),
    edgeConfigItemKey: encodeSimple("edgeConfigItemKey", payload.edgeConfigItemKey, { explode: false, charEncoding: "percent" })
  };
  const path = pathToFunc("/v1/edge-config/{edgeConfigId}/item/{edgeConfigItemKey}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "getEdgeConfigItem",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, EdgeConfigItem$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_edgeConfigGetEdgeConfigItem = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_edgeconfigitem();
  init_getedgeconfigitemop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/edgeConfigGetEdgeConfigItem.ts
var args69, tool$edgeConfigGetEdgeConfigItem;
var init_edgeConfigGetEdgeConfigItem2 = __esm(() => {
  init_edgeConfigGetEdgeConfigItem();
  init_getedgeconfigitemop();
  init_tools();
  args69 = {
    request: GetEdgeConfigItemRequest$inboundSchema
  };
  tool$edgeConfigGetEdgeConfigItem = {
    name: "edge-config-get-edge-config-item",
    description: `Get an Edge Config item

Returns a specific Edge Config Item.`,
    args: args69,
    tool: async (client, args70, ctx) => {
      const [result, apiCall] = await edgeConfigGetEdgeConfigItem(client, args70.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/getedgeconfigitemsop.ts
var GetEdgeConfigItemsRequest$inboundSchema, GetEdgeConfigItemsRequest$outboundSchema, GetEdgeConfigItemsRequest$;
var init_getedgeconfigitemsop = __esm(() => {
  init_esm();
  GetEdgeConfigItemsRequest$inboundSchema = objectType({
    edgeConfigId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  GetEdgeConfigItemsRequest$outboundSchema = objectType({
    edgeConfigId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((GetEdgeConfigItemsRequest$) => {
    GetEdgeConfigItemsRequest$.inboundSchema = GetEdgeConfigItemsRequest$inboundSchema;
    GetEdgeConfigItemsRequest$.outboundSchema = GetEdgeConfigItemsRequest$outboundSchema;
  })(GetEdgeConfigItemsRequest$ ||= {});
});

// src/funcs/edgeConfigGetEdgeConfigItems.ts
function edgeConfigGetEdgeConfigItems(client, request, options) {
  return new APIPromise($do71(client, request, options));
}
async function $do71(client, request, options) {
  const parsed = safeParse(request, (value) => GetEdgeConfigItemsRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    edgeConfigId: encodeSimple("edgeConfigId", payload.edgeConfigId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/edge-config/{edgeConfigId}/items")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "getEdgeConfigItems",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, EdgeConfigItem$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_edgeConfigGetEdgeConfigItems = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_edgeconfigitem();
  init_getedgeconfigitemsop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/edgeConfigGetEdgeConfigItems.ts
var args70, tool$edgeConfigGetEdgeConfigItems;
var init_edgeConfigGetEdgeConfigItems2 = __esm(() => {
  init_edgeConfigGetEdgeConfigItems();
  init_getedgeconfigitemsop();
  init_tools();
  args70 = {
    request: GetEdgeConfigItemsRequest$inboundSchema
  };
  tool$edgeConfigGetEdgeConfigItems = {
    name: "edge-config-get-edge-config-items",
    description: `Get Edge Config items

Returns all items of an Edge Config.`,
    args: args70,
    tool: async (client, args71, ctx) => {
      const [result, apiCall] = await edgeConfigGetEdgeConfigItems(client, args71.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/getedgeconfigsop.ts
var GetEdgeConfigsType, GetEdgeConfigsRequest$inboundSchema, GetEdgeConfigsRequest$outboundSchema, GetEdgeConfigsRequest$, Transfer$inboundSchema, Transfer$outboundSchema, Transfer$, Schema$inboundSchema, Schema$outboundSchema, Schema$, GetEdgeConfigsType$inboundSchema, GetEdgeConfigsType$outboundSchema, GetEdgeConfigsType$, Purpose$inboundSchema, Purpose$outboundSchema, Purpose$, GetEdgeConfigsResponseBody$inboundSchema, GetEdgeConfigsResponseBody$outboundSchema, GetEdgeConfigsResponseBody$;
var init_getedgeconfigsop = __esm(() => {
  init_esm();
  GetEdgeConfigsType = {
    Flags: "flags"
  };
  GetEdgeConfigsRequest$inboundSchema = objectType({
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  GetEdgeConfigsRequest$outboundSchema = objectType({
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((GetEdgeConfigsRequest$) => {
    GetEdgeConfigsRequest$.inboundSchema = GetEdgeConfigsRequest$inboundSchema;
    GetEdgeConfigsRequest$.outboundSchema = GetEdgeConfigsRequest$outboundSchema;
  })(GetEdgeConfigsRequest$ ||= {});
  Transfer$inboundSchema = objectType({
    fromAccountId: stringType(),
    startedAt: numberType(),
    doneAt: nullableType(numberType())
  });
  Transfer$outboundSchema = objectType({
    fromAccountId: stringType(),
    startedAt: numberType(),
    doneAt: nullableType(numberType())
  });
  ((Transfer$) => {
    Transfer$.inboundSchema = Transfer$inboundSchema;
    Transfer$.outboundSchema = Transfer$outboundSchema;
  })(Transfer$ ||= {});
  Schema$inboundSchema = objectType({});
  Schema$outboundSchema = objectType({});
  ((Schema$) => {
    Schema$.inboundSchema = Schema$inboundSchema;
    Schema$.outboundSchema = Schema$outboundSchema;
  })(Schema$ ||= {});
  GetEdgeConfigsType$inboundSchema = nativeEnumType(GetEdgeConfigsType);
  GetEdgeConfigsType$outboundSchema = GetEdgeConfigsType$inboundSchema;
  ((GetEdgeConfigsType$) => {
    GetEdgeConfigsType$.inboundSchema = GetEdgeConfigsType$inboundSchema;
    GetEdgeConfigsType$.outboundSchema = GetEdgeConfigsType$outboundSchema;
  })(GetEdgeConfigsType$ ||= {});
  Purpose$inboundSchema = objectType({
    type: GetEdgeConfigsType$inboundSchema,
    projectId: stringType()
  });
  Purpose$outboundSchema = objectType({
    type: GetEdgeConfigsType$outboundSchema,
    projectId: stringType()
  });
  ((Purpose$) => {
    Purpose$.inboundSchema = Purpose$inboundSchema;
    Purpose$.outboundSchema = Purpose$outboundSchema;
  })(Purpose$ ||= {});
  GetEdgeConfigsResponseBody$inboundSchema = objectType({
    id: stringType().optional(),
    createdAt: numberType().optional(),
    ownerId: stringType().optional(),
    slug: stringType().optional(),
    updatedAt: numberType().optional(),
    digest: stringType().optional(),
    transfer: lazyType(() => Transfer$inboundSchema).optional(),
    schema: lazyType(() => Schema$inboundSchema).optional(),
    purpose: lazyType(() => Purpose$inboundSchema).optional(),
    sizeInBytes: numberType(),
    itemCount: numberType()
  });
  GetEdgeConfigsResponseBody$outboundSchema = objectType({
    id: stringType().optional(),
    createdAt: numberType().optional(),
    ownerId: stringType().optional(),
    slug: stringType().optional(),
    updatedAt: numberType().optional(),
    digest: stringType().optional(),
    transfer: lazyType(() => Transfer$outboundSchema).optional(),
    schema: lazyType(() => Schema$outboundSchema).optional(),
    purpose: lazyType(() => Purpose$outboundSchema).optional(),
    sizeInBytes: numberType(),
    itemCount: numberType()
  });
  ((GetEdgeConfigsResponseBody$) => {
    GetEdgeConfigsResponseBody$.inboundSchema = GetEdgeConfigsResponseBody$inboundSchema;
    GetEdgeConfigsResponseBody$.outboundSchema = GetEdgeConfigsResponseBody$outboundSchema;
  })(GetEdgeConfigsResponseBody$ ||= {});
});

// src/funcs/edgeConfigGetEdgeConfigs.ts
function edgeConfigGetEdgeConfigs(client, request, options) {
  return new APIPromise($do72(client, request, options));
}
async function $do72(client, request, options) {
  const parsed = safeParse(request, (value) => GetEdgeConfigsRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const path = pathToFunc("/v1/edge-config")();
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "getEdgeConfigs",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, arrayType(GetEdgeConfigsResponseBody$inboundSchema)), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_edgeConfigGetEdgeConfigs = __esm(() => {
  init_esm();
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_getedgeconfigsop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/edgeConfigGetEdgeConfigs.ts
var args71, tool$edgeConfigGetEdgeConfigs;
var init_edgeConfigGetEdgeConfigs2 = __esm(() => {
  init_edgeConfigGetEdgeConfigs();
  init_getedgeconfigsop();
  init_tools();
  args71 = {
    request: GetEdgeConfigsRequest$inboundSchema
  };
  tool$edgeConfigGetEdgeConfigs = {
    name: "edge-config-get-edge-configs",
    description: `Get Edge Configs

Returns all Edge Configs.`,
    args: args71,
    tool: async (client, args72, ctx) => {
      const [result, apiCall] = await edgeConfigGetEdgeConfigs(client, args72.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/getedgeconfigschemaop.ts
var GetEdgeConfigSchemaRequest$inboundSchema, GetEdgeConfigSchemaRequest$outboundSchema, GetEdgeConfigSchemaRequest$, GetEdgeConfigSchemaResponseBody$inboundSchema, GetEdgeConfigSchemaResponseBody$outboundSchema, GetEdgeConfigSchemaResponseBody$;
var init_getedgeconfigschemaop = __esm(() => {
  init_esm();
  GetEdgeConfigSchemaRequest$inboundSchema = objectType({
    edgeConfigId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  GetEdgeConfigSchemaRequest$outboundSchema = objectType({
    edgeConfigId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((GetEdgeConfigSchemaRequest$) => {
    GetEdgeConfigSchemaRequest$.inboundSchema = GetEdgeConfigSchemaRequest$inboundSchema;
    GetEdgeConfigSchemaRequest$.outboundSchema = GetEdgeConfigSchemaRequest$outboundSchema;
  })(GetEdgeConfigSchemaRequest$ ||= {});
  GetEdgeConfigSchemaResponseBody$inboundSchema = objectType({});
  GetEdgeConfigSchemaResponseBody$outboundSchema = objectType({});
  ((GetEdgeConfigSchemaResponseBody$) => {
    GetEdgeConfigSchemaResponseBody$.inboundSchema = GetEdgeConfigSchemaResponseBody$inboundSchema;
    GetEdgeConfigSchemaResponseBody$.outboundSchema = GetEdgeConfigSchemaResponseBody$outboundSchema;
  })(GetEdgeConfigSchemaResponseBody$ ||= {});
});

// src/funcs/edgeConfigGetEdgeConfigSchema.ts
function edgeConfigGetEdgeConfigSchema(client, request, options) {
  return new APIPromise($do73(client, request, options));
}
async function $do73(client, request, options) {
  const parsed = safeParse(request, (value) => GetEdgeConfigSchemaRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    edgeConfigId: encodeSimple("edgeConfigId", payload.edgeConfigId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/edge-config/{edgeConfigId}/schema")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "getEdgeConfigSchema",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetEdgeConfigSchemaResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_edgeConfigGetEdgeConfigSchema = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_getedgeconfigschemaop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/edgeConfigGetEdgeConfigSchema.ts
var args72, tool$edgeConfigGetEdgeConfigSchema;
var init_edgeConfigGetEdgeConfigSchema2 = __esm(() => {
  init_edgeConfigGetEdgeConfigSchema();
  init_getedgeconfigschemaop();
  init_tools();
  args72 = {
    request: GetEdgeConfigSchemaRequest$inboundSchema
  };
  tool$edgeConfigGetEdgeConfigSchema = {
    name: "edge-config-get-edge-config-schema",
    description: `Get Edge Config schema

Returns the schema of an Edge Config.`,
    args: args72,
    tool: async (client, args73, ctx) => {
      const [result, apiCall] = await edgeConfigGetEdgeConfigSchema(client, args73.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/edgeconfigtoken.ts
var EdgeConfigToken$inboundSchema, EdgeConfigToken$outboundSchema, EdgeConfigToken$;
var init_edgeconfigtoken = __esm(() => {
  init_esm();
  EdgeConfigToken$inboundSchema = objectType({
    token: stringType(),
    label: stringType(),
    id: stringType(),
    edgeConfigId: stringType(),
    createdAt: numberType()
  });
  EdgeConfigToken$outboundSchema = objectType({
    token: stringType(),
    label: stringType(),
    id: stringType(),
    edgeConfigId: stringType(),
    createdAt: numberType()
  });
  ((EdgeConfigToken$) => {
    EdgeConfigToken$.inboundSchema = EdgeConfigToken$inboundSchema;
    EdgeConfigToken$.outboundSchema = EdgeConfigToken$outboundSchema;
  })(EdgeConfigToken$ ||= {});
});

// src/models/getedgeconfigtokenop.ts
var GetEdgeConfigTokenRequest$inboundSchema, GetEdgeConfigTokenRequest$outboundSchema, GetEdgeConfigTokenRequest$;
var init_getedgeconfigtokenop = __esm(() => {
  init_esm();
  GetEdgeConfigTokenRequest$inboundSchema = objectType({
    edgeConfigId: stringType(),
    token: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  GetEdgeConfigTokenRequest$outboundSchema = objectType({
    edgeConfigId: stringType(),
    token: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((GetEdgeConfigTokenRequest$) => {
    GetEdgeConfigTokenRequest$.inboundSchema = GetEdgeConfigTokenRequest$inboundSchema;
    GetEdgeConfigTokenRequest$.outboundSchema = GetEdgeConfigTokenRequest$outboundSchema;
  })(GetEdgeConfigTokenRequest$ ||= {});
});

// src/funcs/edgeConfigGetEdgeConfigToken.ts
function edgeConfigGetEdgeConfigToken(client, request, options) {
  return new APIPromise($do74(client, request, options));
}
async function $do74(client, request, options) {
  const parsed = safeParse(request, (value) => GetEdgeConfigTokenRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    edgeConfigId: encodeSimple("edgeConfigId", payload.edgeConfigId, {
      explode: false,
      charEncoding: "percent"
    }),
    token: encodeSimple("token", payload.token, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/edge-config/{edgeConfigId}/token/{token}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "getEdgeConfigToken",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, EdgeConfigToken$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_edgeConfigGetEdgeConfigToken = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_edgeconfigtoken();
  init_getedgeconfigtokenop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/edgeConfigGetEdgeConfigToken.ts
var args73, tool$edgeConfigGetEdgeConfigToken;
var init_edgeConfigGetEdgeConfigToken2 = __esm(() => {
  init_edgeConfigGetEdgeConfigToken();
  init_getedgeconfigtokenop();
  init_tools();
  args73 = {
    request: GetEdgeConfigTokenRequest$inboundSchema
  };
  tool$edgeConfigGetEdgeConfigToken = {
    name: "edge-config-get-edge-config-token",
    description: `Get Edge Config token meta data

Return meta data about an Edge Config token.`,
    args: args73,
    tool: async (client, args74, ctx) => {
      const [result, apiCall] = await edgeConfigGetEdgeConfigToken(client, args74.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/getedgeconfigtokensop.ts
var GetEdgeConfigTokensRequest$inboundSchema, GetEdgeConfigTokensRequest$outboundSchema, GetEdgeConfigTokensRequest$;
var init_getedgeconfigtokensop = __esm(() => {
  init_esm();
  GetEdgeConfigTokensRequest$inboundSchema = objectType({
    edgeConfigId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  GetEdgeConfigTokensRequest$outboundSchema = objectType({
    edgeConfigId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((GetEdgeConfigTokensRequest$) => {
    GetEdgeConfigTokensRequest$.inboundSchema = GetEdgeConfigTokensRequest$inboundSchema;
    GetEdgeConfigTokensRequest$.outboundSchema = GetEdgeConfigTokensRequest$outboundSchema;
  })(GetEdgeConfigTokensRequest$ ||= {});
});

// src/funcs/edgeConfigGetEdgeConfigTokens.ts
function edgeConfigGetEdgeConfigTokens(client, request, options) {
  return new APIPromise($do75(client, request, options));
}
async function $do75(client, request, options) {
  const parsed = safeParse(request, (value) => GetEdgeConfigTokensRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    edgeConfigId: encodeSimple("edgeConfigId", payload.edgeConfigId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/edge-config/{edgeConfigId}/tokens")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "getEdgeConfigTokens",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, EdgeConfigToken$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_edgeConfigGetEdgeConfigTokens = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_edgeconfigtoken();
  init_getedgeconfigtokensop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/edgeConfigGetEdgeConfigTokens.ts
var args74, tool$edgeConfigGetEdgeConfigTokens;
var init_edgeConfigGetEdgeConfigTokens2 = __esm(() => {
  init_edgeConfigGetEdgeConfigTokens();
  init_getedgeconfigtokensop();
  init_tools();
  args74 = {
    request: GetEdgeConfigTokensRequest$inboundSchema
  };
  tool$edgeConfigGetEdgeConfigTokens = {
    name: "edge-config-get-edge-config-tokens",
    description: `Get all tokens of an Edge Config

Returns all tokens of an Edge Config.`,
    args: args74,
    tool: async (client, args75, ctx) => {
      const [result, apiCall] = await edgeConfigGetEdgeConfigTokens(client, args75.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/patchedgeconfigschemaop.ts
var PatchEdgeConfigSchemaRequestBody$inboundSchema, PatchEdgeConfigSchemaRequestBody$outboundSchema, PatchEdgeConfigSchemaRequestBody$, PatchEdgeConfigSchemaRequest$inboundSchema, PatchEdgeConfigSchemaRequest$outboundSchema, PatchEdgeConfigSchemaRequest$, PatchEdgeConfigSchemaResponseBody$inboundSchema, PatchEdgeConfigSchemaResponseBody$outboundSchema, PatchEdgeConfigSchemaResponseBody$;
var init_patchedgeconfigschemaop = __esm(() => {
  init_esm();
  init_primitives();
  PatchEdgeConfigSchemaRequestBody$inboundSchema = objectType({
    definition: anyType().optional()
  });
  PatchEdgeConfigSchemaRequestBody$outboundSchema = objectType({
    definition: anyType().optional()
  });
  ((PatchEdgeConfigSchemaRequestBody$) => {
    PatchEdgeConfigSchemaRequestBody$.inboundSchema = PatchEdgeConfigSchemaRequestBody$inboundSchema;
    PatchEdgeConfigSchemaRequestBody$.outboundSchema = PatchEdgeConfigSchemaRequestBody$outboundSchema;
  })(PatchEdgeConfigSchemaRequestBody$ ||= {});
  PatchEdgeConfigSchemaRequest$inboundSchema = objectType({
    edgeConfigId: stringType(),
    dryRun: stringType().optional(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    RequestBody: lazyType(() => PatchEdgeConfigSchemaRequestBody$inboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  PatchEdgeConfigSchemaRequest$outboundSchema = objectType({
    edgeConfigId: stringType(),
    dryRun: stringType().optional(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    requestBody: lazyType(() => PatchEdgeConfigSchemaRequestBody$outboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((PatchEdgeConfigSchemaRequest$) => {
    PatchEdgeConfigSchemaRequest$.inboundSchema = PatchEdgeConfigSchemaRequest$inboundSchema;
    PatchEdgeConfigSchemaRequest$.outboundSchema = PatchEdgeConfigSchemaRequest$outboundSchema;
  })(PatchEdgeConfigSchemaRequest$ ||= {});
  PatchEdgeConfigSchemaResponseBody$inboundSchema = objectType({});
  PatchEdgeConfigSchemaResponseBody$outboundSchema = objectType({});
  ((PatchEdgeConfigSchemaResponseBody$) => {
    PatchEdgeConfigSchemaResponseBody$.inboundSchema = PatchEdgeConfigSchemaResponseBody$inboundSchema;
    PatchEdgeConfigSchemaResponseBody$.outboundSchema = PatchEdgeConfigSchemaResponseBody$outboundSchema;
  })(PatchEdgeConfigSchemaResponseBody$ ||= {});
});

// src/funcs/edgeConfigPatchEdgeConfigSchema.ts
function edgeConfigPatchEdgeConfigSchema(client, request, options) {
  return new APIPromise($do76(client, request, options));
}
async function $do76(client, request, options) {
  const parsed = safeParse(request, (value) => PatchEdgeConfigSchemaRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    edgeConfigId: encodeSimple("edgeConfigId", payload.edgeConfigId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/edge-config/{edgeConfigId}/schema")(pathParams);
  const query = encodeFormQuery({
    dryRun: payload.dryRun,
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "patchEdgeConfigSchema",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, PatchEdgeConfigSchemaResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([402, 403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_edgeConfigPatchEdgeConfigSchema = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_patchedgeconfigschemaop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/edgeConfigPatchEdgeConfigSchema.ts
var args75, tool$edgeConfigPatchEdgeConfigSchema;
var init_edgeConfigPatchEdgeConfigSchema2 = __esm(() => {
  init_edgeConfigPatchEdgeConfigSchema();
  init_patchedgeconfigschemaop();
  init_tools();
  args75 = {
    request: PatchEdgeConfigSchemaRequest$inboundSchema
  };
  tool$edgeConfigPatchEdgeConfigSchema = {
    name: "edge-config-patch-edge-config-schema",
    description: `Update Edge Config schema

Update an Edge Config's schema.`,
    args: args75,
    tool: async (client, args76, ctx) => {
      const [result, apiCall] = await edgeConfigPatchEdgeConfigSchema(client, args76.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/updateedgeconfigop.ts
var UpdateEdgeConfigPurposeEdgeConfigType, UpdateEdgeConfigPurposeType, UpdateEdgeConfigRequestBody$inboundSchema, UpdateEdgeConfigRequestBody$outboundSchema, UpdateEdgeConfigRequestBody$, UpdateEdgeConfigRequest$inboundSchema, UpdateEdgeConfigRequest$outboundSchema, UpdateEdgeConfigRequest$, UpdateEdgeConfigTransfer$inboundSchema, UpdateEdgeConfigTransfer$outboundSchema, UpdateEdgeConfigTransfer$, UpdateEdgeConfigSchema$inboundSchema, UpdateEdgeConfigSchema$outboundSchema, UpdateEdgeConfigSchema$, UpdateEdgeConfigPurposeEdgeConfigType$inboundSchema, UpdateEdgeConfigPurposeEdgeConfigType$outboundSchema, UpdateEdgeConfigPurposeEdgeConfigType$, UpdateEdgeConfigPurpose2$inboundSchema, UpdateEdgeConfigPurpose2$outboundSchema, UpdateEdgeConfigPurpose2$, UpdateEdgeConfigPurposeType$inboundSchema, UpdateEdgeConfigPurposeType$outboundSchema, UpdateEdgeConfigPurposeType$, UpdateEdgeConfigPurpose1$inboundSchema, UpdateEdgeConfigPurpose1$outboundSchema, UpdateEdgeConfigPurpose1$, UpdateEdgeConfigPurpose$inboundSchema, UpdateEdgeConfigPurpose$outboundSchema, UpdateEdgeConfigPurpose$, UpdateEdgeConfigResponseBody$inboundSchema, UpdateEdgeConfigResponseBody$outboundSchema, UpdateEdgeConfigResponseBody$;
var init_updateedgeconfigop = __esm(() => {
  init_esm();
  init_primitives();
  UpdateEdgeConfigPurposeEdgeConfigType = {
    Experimentation: "experimentation"
  };
  UpdateEdgeConfigPurposeType = {
    Flags: "flags"
  };
  UpdateEdgeConfigRequestBody$inboundSchema = objectType({
    slug: stringType()
  });
  UpdateEdgeConfigRequestBody$outboundSchema = objectType({
    slug: stringType()
  });
  ((UpdateEdgeConfigRequestBody$) => {
    UpdateEdgeConfigRequestBody$.inboundSchema = UpdateEdgeConfigRequestBody$inboundSchema;
    UpdateEdgeConfigRequestBody$.outboundSchema = UpdateEdgeConfigRequestBody$outboundSchema;
  })(UpdateEdgeConfigRequestBody$ ||= {});
  UpdateEdgeConfigRequest$inboundSchema = objectType({
    edgeConfigId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    RequestBody: lazyType(() => UpdateEdgeConfigRequestBody$inboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  UpdateEdgeConfigRequest$outboundSchema = objectType({
    edgeConfigId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    requestBody: lazyType(() => UpdateEdgeConfigRequestBody$outboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((UpdateEdgeConfigRequest$) => {
    UpdateEdgeConfigRequest$.inboundSchema = UpdateEdgeConfigRequest$inboundSchema;
    UpdateEdgeConfigRequest$.outboundSchema = UpdateEdgeConfigRequest$outboundSchema;
  })(UpdateEdgeConfigRequest$ ||= {});
  UpdateEdgeConfigTransfer$inboundSchema = objectType({
    fromAccountId: stringType(),
    startedAt: numberType(),
    doneAt: nullableType(numberType())
  });
  UpdateEdgeConfigTransfer$outboundSchema = objectType({
    fromAccountId: stringType(),
    startedAt: numberType(),
    doneAt: nullableType(numberType())
  });
  ((UpdateEdgeConfigTransfer$) => {
    UpdateEdgeConfigTransfer$.inboundSchema = UpdateEdgeConfigTransfer$inboundSchema;
    UpdateEdgeConfigTransfer$.outboundSchema = UpdateEdgeConfigTransfer$outboundSchema;
  })(UpdateEdgeConfigTransfer$ ||= {});
  UpdateEdgeConfigSchema$inboundSchema = objectType({});
  UpdateEdgeConfigSchema$outboundSchema = objectType({});
  ((UpdateEdgeConfigSchema$) => {
    UpdateEdgeConfigSchema$.inboundSchema = UpdateEdgeConfigSchema$inboundSchema;
    UpdateEdgeConfigSchema$.outboundSchema = UpdateEdgeConfigSchema$outboundSchema;
  })(UpdateEdgeConfigSchema$ ||= {});
  UpdateEdgeConfigPurposeEdgeConfigType$inboundSchema = nativeEnumType(UpdateEdgeConfigPurposeEdgeConfigType);
  UpdateEdgeConfigPurposeEdgeConfigType$outboundSchema = UpdateEdgeConfigPurposeEdgeConfigType$inboundSchema;
  ((UpdateEdgeConfigPurposeEdgeConfigType$) => {
    UpdateEdgeConfigPurposeEdgeConfigType$.inboundSchema = UpdateEdgeConfigPurposeEdgeConfigType$inboundSchema;
    UpdateEdgeConfigPurposeEdgeConfigType$.outboundSchema = UpdateEdgeConfigPurposeEdgeConfigType$outboundSchema;
  })(UpdateEdgeConfigPurposeEdgeConfigType$ ||= {});
  UpdateEdgeConfigPurpose2$inboundSchema = objectType({
    type: UpdateEdgeConfigPurposeEdgeConfigType$inboundSchema,
    resourceId: stringType()
  });
  UpdateEdgeConfigPurpose2$outboundSchema = objectType({
    type: UpdateEdgeConfigPurposeEdgeConfigType$outboundSchema,
    resourceId: stringType()
  });
  ((UpdateEdgeConfigPurpose2$) => {
    UpdateEdgeConfigPurpose2$.inboundSchema = UpdateEdgeConfigPurpose2$inboundSchema;
    UpdateEdgeConfigPurpose2$.outboundSchema = UpdateEdgeConfigPurpose2$outboundSchema;
  })(UpdateEdgeConfigPurpose2$ ||= {});
  UpdateEdgeConfigPurposeType$inboundSchema = nativeEnumType(UpdateEdgeConfigPurposeType);
  UpdateEdgeConfigPurposeType$outboundSchema = UpdateEdgeConfigPurposeType$inboundSchema;
  ((UpdateEdgeConfigPurposeType$) => {
    UpdateEdgeConfigPurposeType$.inboundSchema = UpdateEdgeConfigPurposeType$inboundSchema;
    UpdateEdgeConfigPurposeType$.outboundSchema = UpdateEdgeConfigPurposeType$outboundSchema;
  })(UpdateEdgeConfigPurposeType$ ||= {});
  UpdateEdgeConfigPurpose1$inboundSchema = objectType({
    type: UpdateEdgeConfigPurposeType$inboundSchema,
    projectId: stringType()
  });
  UpdateEdgeConfigPurpose1$outboundSchema = objectType({
    type: UpdateEdgeConfigPurposeType$outboundSchema,
    projectId: stringType()
  });
  ((UpdateEdgeConfigPurpose1$) => {
    UpdateEdgeConfigPurpose1$.inboundSchema = UpdateEdgeConfigPurpose1$inboundSchema;
    UpdateEdgeConfigPurpose1$.outboundSchema = UpdateEdgeConfigPurpose1$outboundSchema;
  })(UpdateEdgeConfigPurpose1$ ||= {});
  UpdateEdgeConfigPurpose$inboundSchema = unionType([
    lazyType(() => UpdateEdgeConfigPurpose1$inboundSchema),
    lazyType(() => UpdateEdgeConfigPurpose2$inboundSchema)
  ]);
  UpdateEdgeConfigPurpose$outboundSchema = unionType([
    lazyType(() => UpdateEdgeConfigPurpose1$outboundSchema),
    lazyType(() => UpdateEdgeConfigPurpose2$outboundSchema)
  ]);
  ((UpdateEdgeConfigPurpose$) => {
    UpdateEdgeConfigPurpose$.inboundSchema = UpdateEdgeConfigPurpose$inboundSchema;
    UpdateEdgeConfigPurpose$.outboundSchema = UpdateEdgeConfigPurpose$outboundSchema;
  })(UpdateEdgeConfigPurpose$ ||= {});
  UpdateEdgeConfigResponseBody$inboundSchema = objectType({
    createdAt: numberType().optional(),
    updatedAt: numberType().optional(),
    id: stringType().optional(),
    slug: stringType().optional(),
    ownerId: stringType().optional(),
    digest: stringType().optional(),
    transfer: lazyType(() => UpdateEdgeConfigTransfer$inboundSchema).optional(),
    schema: lazyType(() => UpdateEdgeConfigSchema$inboundSchema).optional(),
    purpose: unionType([
      lazyType(() => UpdateEdgeConfigPurpose1$inboundSchema),
      lazyType(() => UpdateEdgeConfigPurpose2$inboundSchema)
    ]).optional(),
    sizeInBytes: numberType(),
    itemCount: numberType()
  });
  UpdateEdgeConfigResponseBody$outboundSchema = objectType({
    createdAt: numberType().optional(),
    updatedAt: numberType().optional(),
    id: stringType().optional(),
    slug: stringType().optional(),
    ownerId: stringType().optional(),
    digest: stringType().optional(),
    transfer: lazyType(() => UpdateEdgeConfigTransfer$outboundSchema).optional(),
    schema: lazyType(() => UpdateEdgeConfigSchema$outboundSchema).optional(),
    purpose: unionType([
      lazyType(() => UpdateEdgeConfigPurpose1$outboundSchema),
      lazyType(() => UpdateEdgeConfigPurpose2$outboundSchema)
    ]).optional(),
    sizeInBytes: numberType(),
    itemCount: numberType()
  });
  ((UpdateEdgeConfigResponseBody$) => {
    UpdateEdgeConfigResponseBody$.inboundSchema = UpdateEdgeConfigResponseBody$inboundSchema;
    UpdateEdgeConfigResponseBody$.outboundSchema = UpdateEdgeConfigResponseBody$outboundSchema;
  })(UpdateEdgeConfigResponseBody$ ||= {});
});

// src/funcs/edgeConfigUpdateEdgeConfig.ts
function edgeConfigUpdateEdgeConfig(client, request, options) {
  return new APIPromise($do77(client, request, options));
}
async function $do77(client, request, options) {
  const parsed = safeParse(request, (value) => UpdateEdgeConfigRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    edgeConfigId: encodeSimple("edgeConfigId", payload.edgeConfigId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/edge-config/{edgeConfigId}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "updateEdgeConfig",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "PUT",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, UpdateEdgeConfigResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([402, 403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_edgeConfigUpdateEdgeConfig = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_updateedgeconfigop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/edgeConfigUpdateEdgeConfig.ts
var args76, tool$edgeConfigUpdateEdgeConfig;
var init_edgeConfigUpdateEdgeConfig2 = __esm(() => {
  init_edgeConfigUpdateEdgeConfig();
  init_updateedgeconfigop();
  init_tools();
  args76 = {
    request: UpdateEdgeConfigRequest$inboundSchema
  };
  tool$edgeConfigUpdateEdgeConfig = {
    name: "edge-config-update-edge-config",
    description: `Update an Edge Config

Updates an Edge Config.`,
    args: args76,
    tool: async (client, args77, ctx) => {
      const [result, apiCall] = await edgeConfigUpdateEdgeConfig(client, args77.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/createcustomenvironmentop.ts
var CreateCustomEnvironmentType, CreateCustomEnvironmentEnvironmentType, CreateCustomEnvironmentEnvironmentResponseType, CreateCustomEnvironmentType$inboundSchema, CreateCustomEnvironmentType$outboundSchema, CreateCustomEnvironmentType$, BranchMatcher$inboundSchema, BranchMatcher$outboundSchema, BranchMatcher$, CreateCustomEnvironmentRequestBody$inboundSchema, CreateCustomEnvironmentRequestBody$outboundSchema, CreateCustomEnvironmentRequestBody$, CreateCustomEnvironmentRequest$inboundSchema, CreateCustomEnvironmentRequest$outboundSchema, CreateCustomEnvironmentRequest$, CreateCustomEnvironmentEnvironmentType$inboundSchema, CreateCustomEnvironmentEnvironmentType$outboundSchema, CreateCustomEnvironmentEnvironmentType$, CreateCustomEnvironmentEnvironmentResponseType$inboundSchema, CreateCustomEnvironmentEnvironmentResponseType$outboundSchema, CreateCustomEnvironmentEnvironmentResponseType$, CreateCustomEnvironmentBranchMatcher$inboundSchema, CreateCustomEnvironmentBranchMatcher$outboundSchema, CreateCustomEnvironmentBranchMatcher$, CreateCustomEnvironmentVerification$inboundSchema, CreateCustomEnvironmentVerification$outboundSchema, CreateCustomEnvironmentVerification$, CreateCustomEnvironmentDomains$inboundSchema, CreateCustomEnvironmentDomains$outboundSchema, CreateCustomEnvironmentDomains$, CreateCustomEnvironmentResponseBody$inboundSchema, CreateCustomEnvironmentResponseBody$outboundSchema, CreateCustomEnvironmentResponseBody$;
var init_createcustomenvironmentop = __esm(() => {
  init_esm();
  init_primitives();
  CreateCustomEnvironmentType = {
    Equals: "equals",
    StartsWith: "startsWith",
    EndsWith: "endsWith"
  };
  CreateCustomEnvironmentEnvironmentType = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  CreateCustomEnvironmentEnvironmentResponseType = {
    EndsWith: "endsWith",
    StartsWith: "startsWith",
    Equals: "equals"
  };
  CreateCustomEnvironmentType$inboundSchema = nativeEnumType(CreateCustomEnvironmentType);
  CreateCustomEnvironmentType$outboundSchema = CreateCustomEnvironmentType$inboundSchema;
  ((CreateCustomEnvironmentType$) => {
    CreateCustomEnvironmentType$.inboundSchema = CreateCustomEnvironmentType$inboundSchema;
    CreateCustomEnvironmentType$.outboundSchema = CreateCustomEnvironmentType$outboundSchema;
  })(CreateCustomEnvironmentType$ ||= {});
  BranchMatcher$inboundSchema = objectType({
    type: CreateCustomEnvironmentType$inboundSchema,
    pattern: stringType()
  });
  BranchMatcher$outboundSchema = objectType({
    type: CreateCustomEnvironmentType$outboundSchema,
    pattern: stringType()
  });
  ((BranchMatcher$) => {
    BranchMatcher$.inboundSchema = BranchMatcher$inboundSchema;
    BranchMatcher$.outboundSchema = BranchMatcher$outboundSchema;
  })(BranchMatcher$ ||= {});
  CreateCustomEnvironmentRequestBody$inboundSchema = objectType({
    slug: stringType().optional(),
    description: stringType().optional(),
    branchMatcher: lazyType(() => BranchMatcher$inboundSchema).optional(),
    copyEnvVarsFrom: stringType().optional()
  });
  CreateCustomEnvironmentRequestBody$outboundSchema = objectType({
    slug: stringType().optional(),
    description: stringType().optional(),
    branchMatcher: lazyType(() => BranchMatcher$outboundSchema).optional(),
    copyEnvVarsFrom: stringType().optional()
  });
  ((CreateCustomEnvironmentRequestBody$) => {
    CreateCustomEnvironmentRequestBody$.inboundSchema = CreateCustomEnvironmentRequestBody$inboundSchema;
    CreateCustomEnvironmentRequestBody$.outboundSchema = CreateCustomEnvironmentRequestBody$outboundSchema;
  })(CreateCustomEnvironmentRequestBody$ ||= {});
  CreateCustomEnvironmentRequest$inboundSchema = objectType({
    idOrName: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    RequestBody: lazyType(() => CreateCustomEnvironmentRequestBody$inboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  CreateCustomEnvironmentRequest$outboundSchema = objectType({
    idOrName: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    requestBody: lazyType(() => CreateCustomEnvironmentRequestBody$outboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((CreateCustomEnvironmentRequest$) => {
    CreateCustomEnvironmentRequest$.inboundSchema = CreateCustomEnvironmentRequest$inboundSchema;
    CreateCustomEnvironmentRequest$.outboundSchema = CreateCustomEnvironmentRequest$outboundSchema;
  })(CreateCustomEnvironmentRequest$ ||= {});
  CreateCustomEnvironmentEnvironmentType$inboundSchema = nativeEnumType(CreateCustomEnvironmentEnvironmentType);
  CreateCustomEnvironmentEnvironmentType$outboundSchema = CreateCustomEnvironmentEnvironmentType$inboundSchema;
  ((CreateCustomEnvironmentEnvironmentType$) => {
    CreateCustomEnvironmentEnvironmentType$.inboundSchema = CreateCustomEnvironmentEnvironmentType$inboundSchema;
    CreateCustomEnvironmentEnvironmentType$.outboundSchema = CreateCustomEnvironmentEnvironmentType$outboundSchema;
  })(CreateCustomEnvironmentEnvironmentType$ ||= {});
  CreateCustomEnvironmentEnvironmentResponseType$inboundSchema = nativeEnumType(CreateCustomEnvironmentEnvironmentResponseType);
  CreateCustomEnvironmentEnvironmentResponseType$outboundSchema = CreateCustomEnvironmentEnvironmentResponseType$inboundSchema;
  ((CreateCustomEnvironmentEnvironmentResponseType$) => {
    CreateCustomEnvironmentEnvironmentResponseType$.inboundSchema = CreateCustomEnvironmentEnvironmentResponseType$inboundSchema;
    CreateCustomEnvironmentEnvironmentResponseType$.outboundSchema = CreateCustomEnvironmentEnvironmentResponseType$outboundSchema;
  })(CreateCustomEnvironmentEnvironmentResponseType$ ||= {});
  CreateCustomEnvironmentBranchMatcher$inboundSchema = objectType({
    type: CreateCustomEnvironmentEnvironmentResponseType$inboundSchema,
    pattern: stringType()
  });
  CreateCustomEnvironmentBranchMatcher$outboundSchema = objectType({
    type: CreateCustomEnvironmentEnvironmentResponseType$outboundSchema,
    pattern: stringType()
  });
  ((CreateCustomEnvironmentBranchMatcher$) => {
    CreateCustomEnvironmentBranchMatcher$.inboundSchema = CreateCustomEnvironmentBranchMatcher$inboundSchema;
    CreateCustomEnvironmentBranchMatcher$.outboundSchema = CreateCustomEnvironmentBranchMatcher$outboundSchema;
  })(CreateCustomEnvironmentBranchMatcher$ ||= {});
  CreateCustomEnvironmentVerification$inboundSchema = objectType({
    type: stringType(),
    domain: stringType(),
    value: stringType(),
    reason: stringType()
  });
  CreateCustomEnvironmentVerification$outboundSchema = objectType({
    type: stringType(),
    domain: stringType(),
    value: stringType(),
    reason: stringType()
  });
  ((CreateCustomEnvironmentVerification$) => {
    CreateCustomEnvironmentVerification$.inboundSchema = CreateCustomEnvironmentVerification$inboundSchema;
    CreateCustomEnvironmentVerification$.outboundSchema = CreateCustomEnvironmentVerification$outboundSchema;
  })(CreateCustomEnvironmentVerification$ ||= {});
  CreateCustomEnvironmentDomains$inboundSchema = objectType({
    name: stringType(),
    apexName: stringType(),
    projectId: stringType(),
    redirect: nullableType(stringType()).optional(),
    redirectStatusCode: nullableType(numberType()).optional(),
    gitBranch: nullableType(stringType()).optional(),
    customEnvironmentId: nullableType(stringType()).optional(),
    updatedAt: numberType().optional(),
    createdAt: numberType().optional(),
    verified: booleanType(),
    verification: arrayType(lazyType(() => CreateCustomEnvironmentVerification$inboundSchema)).optional()
  });
  CreateCustomEnvironmentDomains$outboundSchema = objectType({
    name: stringType(),
    apexName: stringType(),
    projectId: stringType(),
    redirect: nullableType(stringType()).optional(),
    redirectStatusCode: nullableType(numberType()).optional(),
    gitBranch: nullableType(stringType()).optional(),
    customEnvironmentId: nullableType(stringType()).optional(),
    updatedAt: numberType().optional(),
    createdAt: numberType().optional(),
    verified: booleanType(),
    verification: arrayType(lazyType(() => CreateCustomEnvironmentVerification$outboundSchema)).optional()
  });
  ((CreateCustomEnvironmentDomains$) => {
    CreateCustomEnvironmentDomains$.inboundSchema = CreateCustomEnvironmentDomains$inboundSchema;
    CreateCustomEnvironmentDomains$.outboundSchema = CreateCustomEnvironmentDomains$outboundSchema;
  })(CreateCustomEnvironmentDomains$ ||= {});
  CreateCustomEnvironmentResponseBody$inboundSchema = objectType({
    id: stringType(),
    slug: stringType(),
    type: CreateCustomEnvironmentEnvironmentType$inboundSchema,
    description: stringType().optional(),
    branchMatcher: lazyType(() => CreateCustomEnvironmentBranchMatcher$inboundSchema).optional(),
    domains: arrayType(lazyType(() => CreateCustomEnvironmentDomains$inboundSchema)).optional(),
    currentDeploymentAliases: arrayType(stringType()).optional(),
    createdAt: numberType(),
    updatedAt: numberType()
  });
  CreateCustomEnvironmentResponseBody$outboundSchema = objectType({
    id: stringType(),
    slug: stringType(),
    type: CreateCustomEnvironmentEnvironmentType$outboundSchema,
    description: stringType().optional(),
    branchMatcher: lazyType(() => CreateCustomEnvironmentBranchMatcher$outboundSchema).optional(),
    domains: arrayType(lazyType(() => CreateCustomEnvironmentDomains$outboundSchema)).optional(),
    currentDeploymentAliases: arrayType(stringType()).optional(),
    createdAt: numberType(),
    updatedAt: numberType()
  });
  ((CreateCustomEnvironmentResponseBody$) => {
    CreateCustomEnvironmentResponseBody$.inboundSchema = CreateCustomEnvironmentResponseBody$inboundSchema;
    CreateCustomEnvironmentResponseBody$.outboundSchema = CreateCustomEnvironmentResponseBody$outboundSchema;
  })(CreateCustomEnvironmentResponseBody$ ||= {});
});

// src/funcs/environmentCreateCustomEnvironment.ts
function environmentCreateCustomEnvironment(client, request, options) {
  return new APIPromise($do78(client, request, options));
}
async function $do78(client, request, options) {
  const parsed = safeParse(request, (value) => CreateCustomEnvironmentRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v9/projects/{idOrName}/custom-environments")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "createCustomEnvironment",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "4XX", "500", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(201, CreateCustomEnvironmentResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([402, 403, "4XX"]), fail([500, "5XX"]))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_environmentCreateCustomEnvironment = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_createcustomenvironmentop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/environmentCreateCustomEnvironment.ts
var args77, tool$environmentCreateCustomEnvironment;
var init_environmentCreateCustomEnvironment2 = __esm(() => {
  init_environmentCreateCustomEnvironment();
  init_createcustomenvironmentop();
  init_tools();
  args77 = {
    request: CreateCustomEnvironmentRequest$inboundSchema
  };
  tool$environmentCreateCustomEnvironment = {
    name: "environment-create-custom-environment",
    description: `Create a custom environment for the current project.

Creates a custom environment for the current project. Cannot be named 'Production' or 'Preview'.`,
    args: args77,
    tool: async (client, args78, ctx) => {
      const [result, apiCall] = await environmentCreateCustomEnvironment(client, args78.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/getcustomenvironmentop.ts
var GetCustomEnvironmentType, GetCustomEnvironmentEnvironmentType, GetCustomEnvironmentRequest$inboundSchema, GetCustomEnvironmentRequest$outboundSchema, GetCustomEnvironmentRequest$, GetCustomEnvironmentType$inboundSchema, GetCustomEnvironmentType$outboundSchema, GetCustomEnvironmentType$, GetCustomEnvironmentEnvironmentType$inboundSchema, GetCustomEnvironmentEnvironmentType$outboundSchema, GetCustomEnvironmentEnvironmentType$, GetCustomEnvironmentBranchMatcher$inboundSchema, GetCustomEnvironmentBranchMatcher$outboundSchema, GetCustomEnvironmentBranchMatcher$, GetCustomEnvironmentVerification$inboundSchema, GetCustomEnvironmentVerification$outboundSchema, GetCustomEnvironmentVerification$, GetCustomEnvironmentDomains$inboundSchema, GetCustomEnvironmentDomains$outboundSchema, GetCustomEnvironmentDomains$, GetCustomEnvironmentResponseBody$inboundSchema, GetCustomEnvironmentResponseBody$outboundSchema, GetCustomEnvironmentResponseBody$;
var init_getcustomenvironmentop = __esm(() => {
  init_esm();
  GetCustomEnvironmentType = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  GetCustomEnvironmentEnvironmentType = {
    EndsWith: "endsWith",
    StartsWith: "startsWith",
    Equals: "equals"
  };
  GetCustomEnvironmentRequest$inboundSchema = objectType({
    idOrName: stringType(),
    environmentSlugOrId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  GetCustomEnvironmentRequest$outboundSchema = objectType({
    idOrName: stringType(),
    environmentSlugOrId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((GetCustomEnvironmentRequest$) => {
    GetCustomEnvironmentRequest$.inboundSchema = GetCustomEnvironmentRequest$inboundSchema;
    GetCustomEnvironmentRequest$.outboundSchema = GetCustomEnvironmentRequest$outboundSchema;
  })(GetCustomEnvironmentRequest$ ||= {});
  GetCustomEnvironmentType$inboundSchema = nativeEnumType(GetCustomEnvironmentType);
  GetCustomEnvironmentType$outboundSchema = GetCustomEnvironmentType$inboundSchema;
  ((GetCustomEnvironmentType$) => {
    GetCustomEnvironmentType$.inboundSchema = GetCustomEnvironmentType$inboundSchema;
    GetCustomEnvironmentType$.outboundSchema = GetCustomEnvironmentType$outboundSchema;
  })(GetCustomEnvironmentType$ ||= {});
  GetCustomEnvironmentEnvironmentType$inboundSchema = nativeEnumType(GetCustomEnvironmentEnvironmentType);
  GetCustomEnvironmentEnvironmentType$outboundSchema = GetCustomEnvironmentEnvironmentType$inboundSchema;
  ((GetCustomEnvironmentEnvironmentType$) => {
    GetCustomEnvironmentEnvironmentType$.inboundSchema = GetCustomEnvironmentEnvironmentType$inboundSchema;
    GetCustomEnvironmentEnvironmentType$.outboundSchema = GetCustomEnvironmentEnvironmentType$outboundSchema;
  })(GetCustomEnvironmentEnvironmentType$ ||= {});
  GetCustomEnvironmentBranchMatcher$inboundSchema = objectType({
    type: GetCustomEnvironmentEnvironmentType$inboundSchema,
    pattern: stringType()
  });
  GetCustomEnvironmentBranchMatcher$outboundSchema = objectType({
    type: GetCustomEnvironmentEnvironmentType$outboundSchema,
    pattern: stringType()
  });
  ((GetCustomEnvironmentBranchMatcher$) => {
    GetCustomEnvironmentBranchMatcher$.inboundSchema = GetCustomEnvironmentBranchMatcher$inboundSchema;
    GetCustomEnvironmentBranchMatcher$.outboundSchema = GetCustomEnvironmentBranchMatcher$outboundSchema;
  })(GetCustomEnvironmentBranchMatcher$ ||= {});
  GetCustomEnvironmentVerification$inboundSchema = objectType({
    type: stringType(),
    domain: stringType(),
    value: stringType(),
    reason: stringType()
  });
  GetCustomEnvironmentVerification$outboundSchema = objectType({
    type: stringType(),
    domain: stringType(),
    value: stringType(),
    reason: stringType()
  });
  ((GetCustomEnvironmentVerification$) => {
    GetCustomEnvironmentVerification$.inboundSchema = GetCustomEnvironmentVerification$inboundSchema;
    GetCustomEnvironmentVerification$.outboundSchema = GetCustomEnvironmentVerification$outboundSchema;
  })(GetCustomEnvironmentVerification$ ||= {});
  GetCustomEnvironmentDomains$inboundSchema = objectType({
    name: stringType(),
    apexName: stringType(),
    projectId: stringType(),
    redirect: nullableType(stringType()).optional(),
    redirectStatusCode: nullableType(numberType()).optional(),
    gitBranch: nullableType(stringType()).optional(),
    customEnvironmentId: nullableType(stringType()).optional(),
    updatedAt: numberType().optional(),
    createdAt: numberType().optional(),
    verified: booleanType(),
    verification: arrayType(lazyType(() => GetCustomEnvironmentVerification$inboundSchema)).optional()
  });
  GetCustomEnvironmentDomains$outboundSchema = objectType({
    name: stringType(),
    apexName: stringType(),
    projectId: stringType(),
    redirect: nullableType(stringType()).optional(),
    redirectStatusCode: nullableType(numberType()).optional(),
    gitBranch: nullableType(stringType()).optional(),
    customEnvironmentId: nullableType(stringType()).optional(),
    updatedAt: numberType().optional(),
    createdAt: numberType().optional(),
    verified: booleanType(),
    verification: arrayType(lazyType(() => GetCustomEnvironmentVerification$outboundSchema)).optional()
  });
  ((GetCustomEnvironmentDomains$) => {
    GetCustomEnvironmentDomains$.inboundSchema = GetCustomEnvironmentDomains$inboundSchema;
    GetCustomEnvironmentDomains$.outboundSchema = GetCustomEnvironmentDomains$outboundSchema;
  })(GetCustomEnvironmentDomains$ ||= {});
  GetCustomEnvironmentResponseBody$inboundSchema = objectType({
    id: stringType(),
    slug: stringType(),
    type: GetCustomEnvironmentType$inboundSchema,
    description: stringType().optional(),
    branchMatcher: lazyType(() => GetCustomEnvironmentBranchMatcher$inboundSchema).optional(),
    domains: arrayType(lazyType(() => GetCustomEnvironmentDomains$inboundSchema)).optional(),
    currentDeploymentAliases: arrayType(stringType()).optional(),
    createdAt: numberType(),
    updatedAt: numberType()
  });
  GetCustomEnvironmentResponseBody$outboundSchema = objectType({
    id: stringType(),
    slug: stringType(),
    type: GetCustomEnvironmentType$outboundSchema,
    description: stringType().optional(),
    branchMatcher: lazyType(() => GetCustomEnvironmentBranchMatcher$outboundSchema).optional(),
    domains: arrayType(lazyType(() => GetCustomEnvironmentDomains$outboundSchema)).optional(),
    currentDeploymentAliases: arrayType(stringType()).optional(),
    createdAt: numberType(),
    updatedAt: numberType()
  });
  ((GetCustomEnvironmentResponseBody$) => {
    GetCustomEnvironmentResponseBody$.inboundSchema = GetCustomEnvironmentResponseBody$inboundSchema;
    GetCustomEnvironmentResponseBody$.outboundSchema = GetCustomEnvironmentResponseBody$outboundSchema;
  })(GetCustomEnvironmentResponseBody$ ||= {});
});

// src/funcs/environmentGetCustomEnvironment.ts
function environmentGetCustomEnvironment(client, request, options) {
  return new APIPromise($do79(client, request, options));
}
async function $do79(client, request, options) {
  const parsed = safeParse(request, (value) => GetCustomEnvironmentRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    environmentSlugOrId: encodeSimple("environmentSlugOrId", payload.environmentSlugOrId, { explode: false, charEncoding: "percent" }),
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v9/projects/{idOrName}/custom-environments/{environmentSlugOrId}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "getCustomEnvironment",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetCustomEnvironmentResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_environmentGetCustomEnvironment = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_getcustomenvironmentop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/environmentGetCustomEnvironment.ts
var args78, tool$environmentGetCustomEnvironment;
var init_environmentGetCustomEnvironment2 = __esm(() => {
  init_environmentGetCustomEnvironment();
  init_getcustomenvironmentop();
  init_tools();
  args78 = {
    request: GetCustomEnvironmentRequest$inboundSchema
  };
  tool$environmentGetCustomEnvironment = {
    name: "environment-get-custom-environment",
    description: `Retrieve a custom environment

Retrieve a custom environment for the project. Must not be named 'Production' or 'Preview'.`,
    args: args78,
    tool: async (client, args79, ctx) => {
      const [result, apiCall] = await environmentGetCustomEnvironment(client, args79.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/getv9projectsidornamecustomenvironmentsop.ts
var GetV9ProjectsIdOrNameCustomEnvironmentsType, GetV9ProjectsIdOrNameCustomEnvironmentsEnvironmentType, GetV9ProjectsIdOrNameCustomEnvironmentsRequest$inboundSchema, GetV9ProjectsIdOrNameCustomEnvironmentsRequest$outboundSchema, GetV9ProjectsIdOrNameCustomEnvironmentsRequest$, AccountLimit$inboundSchema, AccountLimit$outboundSchema, AccountLimit$, GetV9ProjectsIdOrNameCustomEnvironmentsType$inboundSchema, GetV9ProjectsIdOrNameCustomEnvironmentsType$outboundSchema, GetV9ProjectsIdOrNameCustomEnvironmentsType$, GetV9ProjectsIdOrNameCustomEnvironmentsEnvironmentType$inboundSchema, GetV9ProjectsIdOrNameCustomEnvironmentsEnvironmentType$outboundSchema, GetV9ProjectsIdOrNameCustomEnvironmentsEnvironmentType$, GetV9ProjectsIdOrNameCustomEnvironmentsBranchMatcher$inboundSchema, GetV9ProjectsIdOrNameCustomEnvironmentsBranchMatcher$outboundSchema, GetV9ProjectsIdOrNameCustomEnvironmentsBranchMatcher$, GetV9ProjectsIdOrNameCustomEnvironmentsVerification$inboundSchema, GetV9ProjectsIdOrNameCustomEnvironmentsVerification$outboundSchema, GetV9ProjectsIdOrNameCustomEnvironmentsVerification$, GetV9ProjectsIdOrNameCustomEnvironmentsDomains$inboundSchema, GetV9ProjectsIdOrNameCustomEnvironmentsDomains$outboundSchema, GetV9ProjectsIdOrNameCustomEnvironmentsDomains$, GetV9ProjectsIdOrNameCustomEnvironmentsEnvironments$inboundSchema, GetV9ProjectsIdOrNameCustomEnvironmentsEnvironments$outboundSchema, GetV9ProjectsIdOrNameCustomEnvironmentsEnvironments$, GetV9ProjectsIdOrNameCustomEnvironmentsResponseBody$inboundSchema, GetV9ProjectsIdOrNameCustomEnvironmentsResponseBody$outboundSchema, GetV9ProjectsIdOrNameCustomEnvironmentsResponseBody$;
var init_getv9projectsidornamecustomenvironmentsop = __esm(() => {
  init_esm();
  GetV9ProjectsIdOrNameCustomEnvironmentsType = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  GetV9ProjectsIdOrNameCustomEnvironmentsEnvironmentType = {
    EndsWith: "endsWith",
    StartsWith: "startsWith",
    Equals: "equals"
  };
  GetV9ProjectsIdOrNameCustomEnvironmentsRequest$inboundSchema = objectType({
    idOrName: stringType(),
    gitBranch: stringType().optional(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  GetV9ProjectsIdOrNameCustomEnvironmentsRequest$outboundSchema = objectType({
    idOrName: stringType(),
    gitBranch: stringType().optional(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((GetV9ProjectsIdOrNameCustomEnvironmentsRequest$) => {
    GetV9ProjectsIdOrNameCustomEnvironmentsRequest$.inboundSchema = GetV9ProjectsIdOrNameCustomEnvironmentsRequest$inboundSchema;
    GetV9ProjectsIdOrNameCustomEnvironmentsRequest$.outboundSchema = GetV9ProjectsIdOrNameCustomEnvironmentsRequest$outboundSchema;
  })(GetV9ProjectsIdOrNameCustomEnvironmentsRequest$ ||= {});
  AccountLimit$inboundSchema = objectType({
    total: numberType()
  });
  AccountLimit$outboundSchema = objectType({
    total: numberType()
  });
  ((AccountLimit$) => {
    AccountLimit$.inboundSchema = AccountLimit$inboundSchema;
    AccountLimit$.outboundSchema = AccountLimit$outboundSchema;
  })(AccountLimit$ ||= {});
  GetV9ProjectsIdOrNameCustomEnvironmentsType$inboundSchema = nativeEnumType(GetV9ProjectsIdOrNameCustomEnvironmentsType);
  GetV9ProjectsIdOrNameCustomEnvironmentsType$outboundSchema = GetV9ProjectsIdOrNameCustomEnvironmentsType$inboundSchema;
  ((GetV9ProjectsIdOrNameCustomEnvironmentsType$) => {
    GetV9ProjectsIdOrNameCustomEnvironmentsType$.inboundSchema = GetV9ProjectsIdOrNameCustomEnvironmentsType$inboundSchema;
    GetV9ProjectsIdOrNameCustomEnvironmentsType$.outboundSchema = GetV9ProjectsIdOrNameCustomEnvironmentsType$outboundSchema;
  })(GetV9ProjectsIdOrNameCustomEnvironmentsType$ ||= {});
  GetV9ProjectsIdOrNameCustomEnvironmentsEnvironmentType$inboundSchema = nativeEnumType(GetV9ProjectsIdOrNameCustomEnvironmentsEnvironmentType);
  GetV9ProjectsIdOrNameCustomEnvironmentsEnvironmentType$outboundSchema = GetV9ProjectsIdOrNameCustomEnvironmentsEnvironmentType$inboundSchema;
  ((GetV9ProjectsIdOrNameCustomEnvironmentsEnvironmentType$) => {
    GetV9ProjectsIdOrNameCustomEnvironmentsEnvironmentType$.inboundSchema = GetV9ProjectsIdOrNameCustomEnvironmentsEnvironmentType$inboundSchema;
    GetV9ProjectsIdOrNameCustomEnvironmentsEnvironmentType$.outboundSchema = GetV9ProjectsIdOrNameCustomEnvironmentsEnvironmentType$outboundSchema;
  })(GetV9ProjectsIdOrNameCustomEnvironmentsEnvironmentType$ ||= {});
  GetV9ProjectsIdOrNameCustomEnvironmentsBranchMatcher$inboundSchema = objectType({
    type: GetV9ProjectsIdOrNameCustomEnvironmentsEnvironmentType$inboundSchema,
    pattern: stringType()
  });
  GetV9ProjectsIdOrNameCustomEnvironmentsBranchMatcher$outboundSchema = objectType({
    type: GetV9ProjectsIdOrNameCustomEnvironmentsEnvironmentType$outboundSchema,
    pattern: stringType()
  });
  ((GetV9ProjectsIdOrNameCustomEnvironmentsBranchMatcher$) => {
    GetV9ProjectsIdOrNameCustomEnvironmentsBranchMatcher$.inboundSchema = GetV9ProjectsIdOrNameCustomEnvironmentsBranchMatcher$inboundSchema;
    GetV9ProjectsIdOrNameCustomEnvironmentsBranchMatcher$.outboundSchema = GetV9ProjectsIdOrNameCustomEnvironmentsBranchMatcher$outboundSchema;
  })(GetV9ProjectsIdOrNameCustomEnvironmentsBranchMatcher$ ||= {});
  GetV9ProjectsIdOrNameCustomEnvironmentsVerification$inboundSchema = objectType({
    type: stringType(),
    domain: stringType(),
    value: stringType(),
    reason: stringType()
  });
  GetV9ProjectsIdOrNameCustomEnvironmentsVerification$outboundSchema = objectType({
    type: stringType(),
    domain: stringType(),
    value: stringType(),
    reason: stringType()
  });
  ((GetV9ProjectsIdOrNameCustomEnvironmentsVerification$) => {
    GetV9ProjectsIdOrNameCustomEnvironmentsVerification$.inboundSchema = GetV9ProjectsIdOrNameCustomEnvironmentsVerification$inboundSchema;
    GetV9ProjectsIdOrNameCustomEnvironmentsVerification$.outboundSchema = GetV9ProjectsIdOrNameCustomEnvironmentsVerification$outboundSchema;
  })(GetV9ProjectsIdOrNameCustomEnvironmentsVerification$ ||= {});
  GetV9ProjectsIdOrNameCustomEnvironmentsDomains$inboundSchema = objectType({
    name: stringType(),
    apexName: stringType(),
    projectId: stringType(),
    redirect: nullableType(stringType()).optional(),
    redirectStatusCode: nullableType(numberType()).optional(),
    gitBranch: nullableType(stringType()).optional(),
    customEnvironmentId: nullableType(stringType()).optional(),
    updatedAt: numberType().optional(),
    createdAt: numberType().optional(),
    verified: booleanType(),
    verification: arrayType(lazyType(() => GetV9ProjectsIdOrNameCustomEnvironmentsVerification$inboundSchema)).optional()
  });
  GetV9ProjectsIdOrNameCustomEnvironmentsDomains$outboundSchema = objectType({
    name: stringType(),
    apexName: stringType(),
    projectId: stringType(),
    redirect: nullableType(stringType()).optional(),
    redirectStatusCode: nullableType(numberType()).optional(),
    gitBranch: nullableType(stringType()).optional(),
    customEnvironmentId: nullableType(stringType()).optional(),
    updatedAt: numberType().optional(),
    createdAt: numberType().optional(),
    verified: booleanType(),
    verification: arrayType(lazyType(() => GetV9ProjectsIdOrNameCustomEnvironmentsVerification$outboundSchema)).optional()
  });
  ((GetV9ProjectsIdOrNameCustomEnvironmentsDomains$) => {
    GetV9ProjectsIdOrNameCustomEnvironmentsDomains$.inboundSchema = GetV9ProjectsIdOrNameCustomEnvironmentsDomains$inboundSchema;
    GetV9ProjectsIdOrNameCustomEnvironmentsDomains$.outboundSchema = GetV9ProjectsIdOrNameCustomEnvironmentsDomains$outboundSchema;
  })(GetV9ProjectsIdOrNameCustomEnvironmentsDomains$ ||= {});
  GetV9ProjectsIdOrNameCustomEnvironmentsEnvironments$inboundSchema = objectType({
    id: stringType(),
    slug: stringType(),
    type: GetV9ProjectsIdOrNameCustomEnvironmentsType$inboundSchema,
    description: stringType().optional(),
    branchMatcher: lazyType(() => GetV9ProjectsIdOrNameCustomEnvironmentsBranchMatcher$inboundSchema).optional(),
    domains: arrayType(lazyType(() => GetV9ProjectsIdOrNameCustomEnvironmentsDomains$inboundSchema)).optional(),
    currentDeploymentAliases: arrayType(stringType()).optional(),
    createdAt: numberType(),
    updatedAt: numberType()
  });
  GetV9ProjectsIdOrNameCustomEnvironmentsEnvironments$outboundSchema = objectType({
    id: stringType(),
    slug: stringType(),
    type: GetV9ProjectsIdOrNameCustomEnvironmentsType$outboundSchema,
    description: stringType().optional(),
    branchMatcher: lazyType(() => GetV9ProjectsIdOrNameCustomEnvironmentsBranchMatcher$outboundSchema).optional(),
    domains: arrayType(lazyType(() => GetV9ProjectsIdOrNameCustomEnvironmentsDomains$outboundSchema)).optional(),
    currentDeploymentAliases: arrayType(stringType()).optional(),
    createdAt: numberType(),
    updatedAt: numberType()
  });
  ((GetV9ProjectsIdOrNameCustomEnvironmentsEnvironments$) => {
    GetV9ProjectsIdOrNameCustomEnvironmentsEnvironments$.inboundSchema = GetV9ProjectsIdOrNameCustomEnvironmentsEnvironments$inboundSchema;
    GetV9ProjectsIdOrNameCustomEnvironmentsEnvironments$.outboundSchema = GetV9ProjectsIdOrNameCustomEnvironmentsEnvironments$outboundSchema;
  })(GetV9ProjectsIdOrNameCustomEnvironmentsEnvironments$ ||= {});
  GetV9ProjectsIdOrNameCustomEnvironmentsResponseBody$inboundSchema = objectType({
    accountLimit: lazyType(() => AccountLimit$inboundSchema),
    environments: arrayType(lazyType(() => GetV9ProjectsIdOrNameCustomEnvironmentsEnvironments$inboundSchema))
  });
  GetV9ProjectsIdOrNameCustomEnvironmentsResponseBody$outboundSchema = objectType({
    accountLimit: lazyType(() => AccountLimit$outboundSchema),
    environments: arrayType(lazyType(() => GetV9ProjectsIdOrNameCustomEnvironmentsEnvironments$outboundSchema))
  });
  ((GetV9ProjectsIdOrNameCustomEnvironmentsResponseBody$) => {
    GetV9ProjectsIdOrNameCustomEnvironmentsResponseBody$.inboundSchema = GetV9ProjectsIdOrNameCustomEnvironmentsResponseBody$inboundSchema;
    GetV9ProjectsIdOrNameCustomEnvironmentsResponseBody$.outboundSchema = GetV9ProjectsIdOrNameCustomEnvironmentsResponseBody$outboundSchema;
  })(GetV9ProjectsIdOrNameCustomEnvironmentsResponseBody$ ||= {});
});

// src/funcs/environmentGetV9ProjectsIdOrNameCustomEnvironments.ts
function environmentGetV9ProjectsIdOrNameCustomEnvironments(client, request, options) {
  return new APIPromise($do80(client, request, options));
}
async function $do80(client, request, options) {
  const parsed = safeParse(request, (value) => GetV9ProjectsIdOrNameCustomEnvironmentsRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v9/projects/{idOrName}/custom-environments")(pathParams);
  const query = encodeFormQuery({
    gitBranch: payload.gitBranch,
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "get_/v9/projects/{idOrName}/custom-environments",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetV9ProjectsIdOrNameCustomEnvironmentsResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_environmentGetV9ProjectsIdOrNameCustomEnvironments = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_getv9projectsidornamecustomenvironmentsop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/environmentGetV9ProjectsIdOrNameCustomEnvironments.ts
var args79, tool$environmentGetV9ProjectsIdOrNameCustomEnvironments;
var init_environmentGetV9ProjectsIdOrNameCustomEnvironments2 = __esm(() => {
  init_environmentGetV9ProjectsIdOrNameCustomEnvironments();
  init_getv9projectsidornamecustomenvironmentsop();
  init_tools();
  args79 = {
    request: GetV9ProjectsIdOrNameCustomEnvironmentsRequest$inboundSchema
  };
  tool$environmentGetV9ProjectsIdOrNameCustomEnvironments = {
    name: "environment-get-v9-projects-id-or-name-custom-environments",
    description: `Retrieve custom environments

Retrieve custom environments for the project. Must not be named 'Production' or 'Preview'.`,
    args: args79,
    tool: async (client, args80, ctx) => {
      const [result, apiCall] = await environmentGetV9ProjectsIdOrNameCustomEnvironments(client, args80.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/removecustomenvironmentop.ts
var RemoveCustomEnvironmentType, RemoveCustomEnvironmentEnvironmentType, RemoveCustomEnvironmentRequestBody$inboundSchema, RemoveCustomEnvironmentRequestBody$outboundSchema, RemoveCustomEnvironmentRequestBody$, RemoveCustomEnvironmentRequest$inboundSchema, RemoveCustomEnvironmentRequest$outboundSchema, RemoveCustomEnvironmentRequest$, RemoveCustomEnvironmentType$inboundSchema, RemoveCustomEnvironmentType$outboundSchema, RemoveCustomEnvironmentType$, RemoveCustomEnvironmentEnvironmentType$inboundSchema, RemoveCustomEnvironmentEnvironmentType$outboundSchema, RemoveCustomEnvironmentEnvironmentType$, RemoveCustomEnvironmentBranchMatcher$inboundSchema, RemoveCustomEnvironmentBranchMatcher$outboundSchema, RemoveCustomEnvironmentBranchMatcher$, RemoveCustomEnvironmentVerification$inboundSchema, RemoveCustomEnvironmentVerification$outboundSchema, RemoveCustomEnvironmentVerification$, RemoveCustomEnvironmentDomains$inboundSchema, RemoveCustomEnvironmentDomains$outboundSchema, RemoveCustomEnvironmentDomains$, RemoveCustomEnvironmentResponseBody$inboundSchema, RemoveCustomEnvironmentResponseBody$outboundSchema, RemoveCustomEnvironmentResponseBody$;
var init_removecustomenvironmentop = __esm(() => {
  init_esm();
  init_primitives();
  RemoveCustomEnvironmentType = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  RemoveCustomEnvironmentEnvironmentType = {
    EndsWith: "endsWith",
    StartsWith: "startsWith",
    Equals: "equals"
  };
  RemoveCustomEnvironmentRequestBody$inboundSchema = objectType({
    deleteUnassignedEnvironmentVariables: booleanType().optional()
  });
  RemoveCustomEnvironmentRequestBody$outboundSchema = objectType({
    deleteUnassignedEnvironmentVariables: booleanType().optional()
  });
  ((RemoveCustomEnvironmentRequestBody$) => {
    RemoveCustomEnvironmentRequestBody$.inboundSchema = RemoveCustomEnvironmentRequestBody$inboundSchema;
    RemoveCustomEnvironmentRequestBody$.outboundSchema = RemoveCustomEnvironmentRequestBody$outboundSchema;
  })(RemoveCustomEnvironmentRequestBody$ ||= {});
  RemoveCustomEnvironmentRequest$inboundSchema = objectType({
    idOrName: stringType(),
    environmentSlugOrId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    RequestBody: lazyType(() => RemoveCustomEnvironmentRequestBody$inboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  RemoveCustomEnvironmentRequest$outboundSchema = objectType({
    idOrName: stringType(),
    environmentSlugOrId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    requestBody: lazyType(() => RemoveCustomEnvironmentRequestBody$outboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((RemoveCustomEnvironmentRequest$) => {
    RemoveCustomEnvironmentRequest$.inboundSchema = RemoveCustomEnvironmentRequest$inboundSchema;
    RemoveCustomEnvironmentRequest$.outboundSchema = RemoveCustomEnvironmentRequest$outboundSchema;
  })(RemoveCustomEnvironmentRequest$ ||= {});
  RemoveCustomEnvironmentType$inboundSchema = nativeEnumType(RemoveCustomEnvironmentType);
  RemoveCustomEnvironmentType$outboundSchema = RemoveCustomEnvironmentType$inboundSchema;
  ((RemoveCustomEnvironmentType$) => {
    RemoveCustomEnvironmentType$.inboundSchema = RemoveCustomEnvironmentType$inboundSchema;
    RemoveCustomEnvironmentType$.outboundSchema = RemoveCustomEnvironmentType$outboundSchema;
  })(RemoveCustomEnvironmentType$ ||= {});
  RemoveCustomEnvironmentEnvironmentType$inboundSchema = nativeEnumType(RemoveCustomEnvironmentEnvironmentType);
  RemoveCustomEnvironmentEnvironmentType$outboundSchema = RemoveCustomEnvironmentEnvironmentType$inboundSchema;
  ((RemoveCustomEnvironmentEnvironmentType$) => {
    RemoveCustomEnvironmentEnvironmentType$.inboundSchema = RemoveCustomEnvironmentEnvironmentType$inboundSchema;
    RemoveCustomEnvironmentEnvironmentType$.outboundSchema = RemoveCustomEnvironmentEnvironmentType$outboundSchema;
  })(RemoveCustomEnvironmentEnvironmentType$ ||= {});
  RemoveCustomEnvironmentBranchMatcher$inboundSchema = objectType({
    type: RemoveCustomEnvironmentEnvironmentType$inboundSchema,
    pattern: stringType()
  });
  RemoveCustomEnvironmentBranchMatcher$outboundSchema = objectType({
    type: RemoveCustomEnvironmentEnvironmentType$outboundSchema,
    pattern: stringType()
  });
  ((RemoveCustomEnvironmentBranchMatcher$) => {
    RemoveCustomEnvironmentBranchMatcher$.inboundSchema = RemoveCustomEnvironmentBranchMatcher$inboundSchema;
    RemoveCustomEnvironmentBranchMatcher$.outboundSchema = RemoveCustomEnvironmentBranchMatcher$outboundSchema;
  })(RemoveCustomEnvironmentBranchMatcher$ ||= {});
  RemoveCustomEnvironmentVerification$inboundSchema = objectType({
    type: stringType(),
    domain: stringType(),
    value: stringType(),
    reason: stringType()
  });
  RemoveCustomEnvironmentVerification$outboundSchema = objectType({
    type: stringType(),
    domain: stringType(),
    value: stringType(),
    reason: stringType()
  });
  ((RemoveCustomEnvironmentVerification$) => {
    RemoveCustomEnvironmentVerification$.inboundSchema = RemoveCustomEnvironmentVerification$inboundSchema;
    RemoveCustomEnvironmentVerification$.outboundSchema = RemoveCustomEnvironmentVerification$outboundSchema;
  })(RemoveCustomEnvironmentVerification$ ||= {});
  RemoveCustomEnvironmentDomains$inboundSchema = objectType({
    name: stringType(),
    apexName: stringType(),
    projectId: stringType(),
    redirect: nullableType(stringType()).optional(),
    redirectStatusCode: nullableType(numberType()).optional(),
    gitBranch: nullableType(stringType()).optional(),
    customEnvironmentId: nullableType(stringType()).optional(),
    updatedAt: numberType().optional(),
    createdAt: numberType().optional(),
    verified: booleanType(),
    verification: arrayType(lazyType(() => RemoveCustomEnvironmentVerification$inboundSchema)).optional()
  });
  RemoveCustomEnvironmentDomains$outboundSchema = objectType({
    name: stringType(),
    apexName: stringType(),
    projectId: stringType(),
    redirect: nullableType(stringType()).optional(),
    redirectStatusCode: nullableType(numberType()).optional(),
    gitBranch: nullableType(stringType()).optional(),
    customEnvironmentId: nullableType(stringType()).optional(),
    updatedAt: numberType().optional(),
    createdAt: numberType().optional(),
    verified: booleanType(),
    verification: arrayType(lazyType(() => RemoveCustomEnvironmentVerification$outboundSchema)).optional()
  });
  ((RemoveCustomEnvironmentDomains$) => {
    RemoveCustomEnvironmentDomains$.inboundSchema = RemoveCustomEnvironmentDomains$inboundSchema;
    RemoveCustomEnvironmentDomains$.outboundSchema = RemoveCustomEnvironmentDomains$outboundSchema;
  })(RemoveCustomEnvironmentDomains$ ||= {});
  RemoveCustomEnvironmentResponseBody$inboundSchema = objectType({
    id: stringType(),
    slug: stringType(),
    type: RemoveCustomEnvironmentType$inboundSchema,
    description: stringType().optional(),
    branchMatcher: lazyType(() => RemoveCustomEnvironmentBranchMatcher$inboundSchema).optional(),
    domains: arrayType(lazyType(() => RemoveCustomEnvironmentDomains$inboundSchema)).optional(),
    currentDeploymentAliases: arrayType(stringType()).optional(),
    createdAt: numberType(),
    updatedAt: numberType()
  });
  RemoveCustomEnvironmentResponseBody$outboundSchema = objectType({
    id: stringType(),
    slug: stringType(),
    type: RemoveCustomEnvironmentType$outboundSchema,
    description: stringType().optional(),
    branchMatcher: lazyType(() => RemoveCustomEnvironmentBranchMatcher$outboundSchema).optional(),
    domains: arrayType(lazyType(() => RemoveCustomEnvironmentDomains$outboundSchema)).optional(),
    currentDeploymentAliases: arrayType(stringType()).optional(),
    createdAt: numberType(),
    updatedAt: numberType()
  });
  ((RemoveCustomEnvironmentResponseBody$) => {
    RemoveCustomEnvironmentResponseBody$.inboundSchema = RemoveCustomEnvironmentResponseBody$inboundSchema;
    RemoveCustomEnvironmentResponseBody$.outboundSchema = RemoveCustomEnvironmentResponseBody$outboundSchema;
  })(RemoveCustomEnvironmentResponseBody$ ||= {});
});

// src/funcs/environmentRemoveCustomEnvironment.ts
function environmentRemoveCustomEnvironment(client, request, options) {
  return new APIPromise($do81(client, request, options));
}
async function $do81(client, request, options) {
  const parsed = safeParse(request, (value) => RemoveCustomEnvironmentRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    environmentSlugOrId: encodeSimple("environmentSlugOrId", payload.environmentSlugOrId, { explode: false, charEncoding: "percent" }),
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v9/projects/{idOrName}/custom-environments/{environmentSlugOrId}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "removeCustomEnvironment",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "DELETE",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, RemoveCustomEnvironmentResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_environmentRemoveCustomEnvironment = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_removecustomenvironmentop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/environmentRemoveCustomEnvironment.ts
var args80, tool$environmentRemoveCustomEnvironment;
var init_environmentRemoveCustomEnvironment2 = __esm(() => {
  init_environmentRemoveCustomEnvironment();
  init_removecustomenvironmentop();
  init_tools();
  args80 = {
    request: RemoveCustomEnvironmentRequest$inboundSchema
  };
  tool$environmentRemoveCustomEnvironment = {
    name: "environment-remove-custom-environment",
    description: `Remove a custom environment

Remove a custom environment for the project. Must not be named 'Production' or 'Preview'.`,
    args: args80,
    tool: async (client, args81, ctx) => {
      const [result, apiCall] = await environmentRemoveCustomEnvironment(client, args81.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/updatecustomenvironmentop.ts
var UpdateCustomEnvironmentType, UpdateCustomEnvironmentEnvironmentType, UpdateCustomEnvironmentEnvironmentResponseType, UpdateCustomEnvironmentType$inboundSchema, UpdateCustomEnvironmentType$outboundSchema, UpdateCustomEnvironmentType$, UpdateCustomEnvironmentBranchMatcher$inboundSchema, UpdateCustomEnvironmentBranchMatcher$outboundSchema, UpdateCustomEnvironmentBranchMatcher$, UpdateCustomEnvironmentRequestBody$inboundSchema, UpdateCustomEnvironmentRequestBody$outboundSchema, UpdateCustomEnvironmentRequestBody$, UpdateCustomEnvironmentRequest$inboundSchema, UpdateCustomEnvironmentRequest$outboundSchema, UpdateCustomEnvironmentRequest$, UpdateCustomEnvironmentEnvironmentType$inboundSchema, UpdateCustomEnvironmentEnvironmentType$outboundSchema, UpdateCustomEnvironmentEnvironmentType$, UpdateCustomEnvironmentEnvironmentResponseType$inboundSchema, UpdateCustomEnvironmentEnvironmentResponseType$outboundSchema, UpdateCustomEnvironmentEnvironmentResponseType$, UpdateCustomEnvironmentEnvironmentBranchMatcher$inboundSchema, UpdateCustomEnvironmentEnvironmentBranchMatcher$outboundSchema, UpdateCustomEnvironmentEnvironmentBranchMatcher$, UpdateCustomEnvironmentVerification$inboundSchema, UpdateCustomEnvironmentVerification$outboundSchema, UpdateCustomEnvironmentVerification$, UpdateCustomEnvironmentDomains$inboundSchema, UpdateCustomEnvironmentDomains$outboundSchema, UpdateCustomEnvironmentDomains$, UpdateCustomEnvironmentResponseBody$inboundSchema, UpdateCustomEnvironmentResponseBody$outboundSchema, UpdateCustomEnvironmentResponseBody$;
var init_updatecustomenvironmentop = __esm(() => {
  init_esm();
  init_primitives();
  UpdateCustomEnvironmentType = {
    Equals: "equals",
    StartsWith: "startsWith",
    EndsWith: "endsWith"
  };
  UpdateCustomEnvironmentEnvironmentType = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  UpdateCustomEnvironmentEnvironmentResponseType = {
    EndsWith: "endsWith",
    StartsWith: "startsWith",
    Equals: "equals"
  };
  UpdateCustomEnvironmentType$inboundSchema = nativeEnumType(UpdateCustomEnvironmentType);
  UpdateCustomEnvironmentType$outboundSchema = UpdateCustomEnvironmentType$inboundSchema;
  ((UpdateCustomEnvironmentType$) => {
    UpdateCustomEnvironmentType$.inboundSchema = UpdateCustomEnvironmentType$inboundSchema;
    UpdateCustomEnvironmentType$.outboundSchema = UpdateCustomEnvironmentType$outboundSchema;
  })(UpdateCustomEnvironmentType$ ||= {});
  UpdateCustomEnvironmentBranchMatcher$inboundSchema = objectType({
    type: UpdateCustomEnvironmentType$inboundSchema,
    pattern: stringType()
  });
  UpdateCustomEnvironmentBranchMatcher$outboundSchema = objectType({
    type: UpdateCustomEnvironmentType$outboundSchema,
    pattern: stringType()
  });
  ((UpdateCustomEnvironmentBranchMatcher$) => {
    UpdateCustomEnvironmentBranchMatcher$.inboundSchema = UpdateCustomEnvironmentBranchMatcher$inboundSchema;
    UpdateCustomEnvironmentBranchMatcher$.outboundSchema = UpdateCustomEnvironmentBranchMatcher$outboundSchema;
  })(UpdateCustomEnvironmentBranchMatcher$ ||= {});
  UpdateCustomEnvironmentRequestBody$inboundSchema = objectType({
    slug: stringType().optional(),
    description: stringType().optional(),
    branchMatcher: nullableType(lazyType(() => UpdateCustomEnvironmentBranchMatcher$inboundSchema)).optional()
  });
  UpdateCustomEnvironmentRequestBody$outboundSchema = objectType({
    slug: stringType().optional(),
    description: stringType().optional(),
    branchMatcher: nullableType(lazyType(() => UpdateCustomEnvironmentBranchMatcher$outboundSchema)).optional()
  });
  ((UpdateCustomEnvironmentRequestBody$) => {
    UpdateCustomEnvironmentRequestBody$.inboundSchema = UpdateCustomEnvironmentRequestBody$inboundSchema;
    UpdateCustomEnvironmentRequestBody$.outboundSchema = UpdateCustomEnvironmentRequestBody$outboundSchema;
  })(UpdateCustomEnvironmentRequestBody$ ||= {});
  UpdateCustomEnvironmentRequest$inboundSchema = objectType({
    idOrName: stringType(),
    environmentSlugOrId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    RequestBody: lazyType(() => UpdateCustomEnvironmentRequestBody$inboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  UpdateCustomEnvironmentRequest$outboundSchema = objectType({
    idOrName: stringType(),
    environmentSlugOrId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    requestBody: lazyType(() => UpdateCustomEnvironmentRequestBody$outboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((UpdateCustomEnvironmentRequest$) => {
    UpdateCustomEnvironmentRequest$.inboundSchema = UpdateCustomEnvironmentRequest$inboundSchema;
    UpdateCustomEnvironmentRequest$.outboundSchema = UpdateCustomEnvironmentRequest$outboundSchema;
  })(UpdateCustomEnvironmentRequest$ ||= {});
  UpdateCustomEnvironmentEnvironmentType$inboundSchema = nativeEnumType(UpdateCustomEnvironmentEnvironmentType);
  UpdateCustomEnvironmentEnvironmentType$outboundSchema = UpdateCustomEnvironmentEnvironmentType$inboundSchema;
  ((UpdateCustomEnvironmentEnvironmentType$) => {
    UpdateCustomEnvironmentEnvironmentType$.inboundSchema = UpdateCustomEnvironmentEnvironmentType$inboundSchema;
    UpdateCustomEnvironmentEnvironmentType$.outboundSchema = UpdateCustomEnvironmentEnvironmentType$outboundSchema;
  })(UpdateCustomEnvironmentEnvironmentType$ ||= {});
  UpdateCustomEnvironmentEnvironmentResponseType$inboundSchema = nativeEnumType(UpdateCustomEnvironmentEnvironmentResponseType);
  UpdateCustomEnvironmentEnvironmentResponseType$outboundSchema = UpdateCustomEnvironmentEnvironmentResponseType$inboundSchema;
  ((UpdateCustomEnvironmentEnvironmentResponseType$) => {
    UpdateCustomEnvironmentEnvironmentResponseType$.inboundSchema = UpdateCustomEnvironmentEnvironmentResponseType$inboundSchema;
    UpdateCustomEnvironmentEnvironmentResponseType$.outboundSchema = UpdateCustomEnvironmentEnvironmentResponseType$outboundSchema;
  })(UpdateCustomEnvironmentEnvironmentResponseType$ ||= {});
  UpdateCustomEnvironmentEnvironmentBranchMatcher$inboundSchema = objectType({
    type: UpdateCustomEnvironmentEnvironmentResponseType$inboundSchema,
    pattern: stringType()
  });
  UpdateCustomEnvironmentEnvironmentBranchMatcher$outboundSchema = objectType({
    type: UpdateCustomEnvironmentEnvironmentResponseType$outboundSchema,
    pattern: stringType()
  });
  ((UpdateCustomEnvironmentEnvironmentBranchMatcher$) => {
    UpdateCustomEnvironmentEnvironmentBranchMatcher$.inboundSchema = UpdateCustomEnvironmentEnvironmentBranchMatcher$inboundSchema;
    UpdateCustomEnvironmentEnvironmentBranchMatcher$.outboundSchema = UpdateCustomEnvironmentEnvironmentBranchMatcher$outboundSchema;
  })(UpdateCustomEnvironmentEnvironmentBranchMatcher$ ||= {});
  UpdateCustomEnvironmentVerification$inboundSchema = objectType({
    type: stringType(),
    domain: stringType(),
    value: stringType(),
    reason: stringType()
  });
  UpdateCustomEnvironmentVerification$outboundSchema = objectType({
    type: stringType(),
    domain: stringType(),
    value: stringType(),
    reason: stringType()
  });
  ((UpdateCustomEnvironmentVerification$) => {
    UpdateCustomEnvironmentVerification$.inboundSchema = UpdateCustomEnvironmentVerification$inboundSchema;
    UpdateCustomEnvironmentVerification$.outboundSchema = UpdateCustomEnvironmentVerification$outboundSchema;
  })(UpdateCustomEnvironmentVerification$ ||= {});
  UpdateCustomEnvironmentDomains$inboundSchema = objectType({
    name: stringType(),
    apexName: stringType(),
    projectId: stringType(),
    redirect: nullableType(stringType()).optional(),
    redirectStatusCode: nullableType(numberType()).optional(),
    gitBranch: nullableType(stringType()).optional(),
    customEnvironmentId: nullableType(stringType()).optional(),
    updatedAt: numberType().optional(),
    createdAt: numberType().optional(),
    verified: booleanType(),
    verification: arrayType(lazyType(() => UpdateCustomEnvironmentVerification$inboundSchema)).optional()
  });
  UpdateCustomEnvironmentDomains$outboundSchema = objectType({
    name: stringType(),
    apexName: stringType(),
    projectId: stringType(),
    redirect: nullableType(stringType()).optional(),
    redirectStatusCode: nullableType(numberType()).optional(),
    gitBranch: nullableType(stringType()).optional(),
    customEnvironmentId: nullableType(stringType()).optional(),
    updatedAt: numberType().optional(),
    createdAt: numberType().optional(),
    verified: booleanType(),
    verification: arrayType(lazyType(() => UpdateCustomEnvironmentVerification$outboundSchema)).optional()
  });
  ((UpdateCustomEnvironmentDomains$) => {
    UpdateCustomEnvironmentDomains$.inboundSchema = UpdateCustomEnvironmentDomains$inboundSchema;
    UpdateCustomEnvironmentDomains$.outboundSchema = UpdateCustomEnvironmentDomains$outboundSchema;
  })(UpdateCustomEnvironmentDomains$ ||= {});
  UpdateCustomEnvironmentResponseBody$inboundSchema = objectType({
    id: stringType(),
    slug: stringType(),
    type: UpdateCustomEnvironmentEnvironmentType$inboundSchema,
    description: stringType().optional(),
    branchMatcher: lazyType(() => UpdateCustomEnvironmentEnvironmentBranchMatcher$inboundSchema).optional(),
    domains: arrayType(lazyType(() => UpdateCustomEnvironmentDomains$inboundSchema)).optional(),
    currentDeploymentAliases: arrayType(stringType()).optional(),
    createdAt: numberType(),
    updatedAt: numberType()
  });
  UpdateCustomEnvironmentResponseBody$outboundSchema = objectType({
    id: stringType(),
    slug: stringType(),
    type: UpdateCustomEnvironmentEnvironmentType$outboundSchema,
    description: stringType().optional(),
    branchMatcher: lazyType(() => UpdateCustomEnvironmentEnvironmentBranchMatcher$outboundSchema).optional(),
    domains: arrayType(lazyType(() => UpdateCustomEnvironmentDomains$outboundSchema)).optional(),
    currentDeploymentAliases: arrayType(stringType()).optional(),
    createdAt: numberType(),
    updatedAt: numberType()
  });
  ((UpdateCustomEnvironmentResponseBody$) => {
    UpdateCustomEnvironmentResponseBody$.inboundSchema = UpdateCustomEnvironmentResponseBody$inboundSchema;
    UpdateCustomEnvironmentResponseBody$.outboundSchema = UpdateCustomEnvironmentResponseBody$outboundSchema;
  })(UpdateCustomEnvironmentResponseBody$ ||= {});
});

// src/funcs/environmentUpdateCustomEnvironment.ts
function environmentUpdateCustomEnvironment(client, request, options) {
  return new APIPromise($do82(client, request, options));
}
async function $do82(client, request, options) {
  const parsed = safeParse(request, (value) => UpdateCustomEnvironmentRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    environmentSlugOrId: encodeSimple("environmentSlugOrId", payload.environmentSlugOrId, { explode: false, charEncoding: "percent" }),
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v9/projects/{idOrName}/custom-environments/{environmentSlugOrId}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "updateCustomEnvironment",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "PATCH",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "4XX", "500", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, UpdateCustomEnvironmentResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([402, 403, "4XX"]), fail([500, "5XX"]))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_environmentUpdateCustomEnvironment = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_updatecustomenvironmentop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/environmentUpdateCustomEnvironment.ts
var args81, tool$environmentUpdateCustomEnvironment;
var init_environmentUpdateCustomEnvironment2 = __esm(() => {
  init_environmentUpdateCustomEnvironment();
  init_updatecustomenvironmentop();
  init_tools();
  args81 = {
    request: UpdateCustomEnvironmentRequest$inboundSchema
  };
  tool$environmentUpdateCustomEnvironment = {
    name: "environment-update-custom-environment",
    description: `Update a custom environment

Update a custom environment for the project. Must not be named 'Production' or 'Preview'.`,
    args: args81,
    tool: async (client, args82, ctx) => {
      const [result, apiCall] = await environmentUpdateCustomEnvironment(client, args82.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/getprojectsprojectidlogspresetsop.ts
var GetProjectsProjectIdLogsPresetsRequest$inboundSchema, GetProjectsProjectIdLogsPresetsRequest$outboundSchema, GetProjectsProjectIdLogsPresetsRequest$;
var init_getprojectsprojectidlogspresetsop = __esm(() => {
  init_esm();
  GetProjectsProjectIdLogsPresetsRequest$inboundSchema = objectType({
    projectId: stringType()
  });
  GetProjectsProjectIdLogsPresetsRequest$outboundSchema = objectType({
    projectId: stringType()
  });
  ((GetProjectsProjectIdLogsPresetsRequest$) => {
    GetProjectsProjectIdLogsPresetsRequest$.inboundSchema = GetProjectsProjectIdLogsPresetsRequest$inboundSchema;
    GetProjectsProjectIdLogsPresetsRequest$.outboundSchema = GetProjectsProjectIdLogsPresetsRequest$outboundSchema;
  })(GetProjectsProjectIdLogsPresetsRequest$ ||= {});
});

// src/models/team.ts
var Data$inboundSchema, Data$outboundSchema, Data$, Team$inboundSchema, Team$outboundSchema, Team$;
var init_team = __esm(() => {
  init_esm();
  init_primitives();
  init_schemas();
  Data$inboundSchema = objectType({
    query: stringType(),
    creatorId: stringType(),
    title: stringType(),
    groupId: stringType(),
    ownerId: stringType(),
    projectId: stringType(),
    createdAt: numberType()
  });
  Data$outboundSchema = objectType({
    query: stringType(),
    creatorId: stringType(),
    title: stringType(),
    groupId: stringType(),
    ownerId: stringType(),
    projectId: stringType(),
    createdAt: numberType()
  });
  ((Data$) => {
    Data$.inboundSchema = Data$inboundSchema;
    Data$.outboundSchema = Data$outboundSchema;
  })(Data$ ||= {});
  Team$inboundSchema = collectExtraKeys(objectType({
    id: stringType(),
    data: lazyType(() => Data$inboundSchema)
  }).catchall(anyType()), "additionalProperties", true);
  Team$outboundSchema = objectType({
    id: stringType(),
    data: lazyType(() => Data$outboundSchema),
    additionalProperties: recordType(anyType())
  }).transform((v2) => {
    return {
      ...v2.additionalProperties,
      ...remap(v2, {
        additionalProperties: null
      })
    };
  });
  ((Team$) => {
    Team$.inboundSchema = Team$inboundSchema;
    Team$.outboundSchema = Team$outboundSchema;
  })(Team$ ||= {});
});

// src/funcs/getProjectsProjectIdLogsPresets.ts
function getProjectsProjectIdLogsPresets(client, request, options) {
  return new APIPromise($do83(client, request, options));
}
async function $do83(client, request, options) {
  const parsed = safeParse(request, (value) => GetProjectsProjectIdLogsPresetsRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    projectId: encodeSimple("projectId", payload.projectId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/projects/{projectId}/logs-presets")(pathParams);
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "get_/projects/{projectId}/logs-presets",
    oAuth2Scopes: [],
    resolvedSecurity: null,
    securitySource: null,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, arrayType(Team$inboundSchema)), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_getProjectsProjectIdLogsPresets = __esm(() => {
  init_esm();
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_url();
  init_getprojectsprojectidlogspresetsop();
  init_team();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/getProjectsProjectIdLogsPresets.ts
var args82, tool$getProjectsProjectIdLogsPresets;
var init_getProjectsProjectIdLogsPresets2 = __esm(() => {
  init_getProjectsProjectIdLogsPresets();
  init_getprojectsprojectidlogspresetsop();
  init_tools();
  args82 = {
    request: GetProjectsProjectIdLogsPresetsRequest$inboundSchema
  };
  tool$getProjectsProjectIdLogsPresets = {
    name: "get-projects-project-id-logs-presets",
    description: ``,
    args: args82,
    tool: async (client, args83, ctx) => {
      const [result, apiCall] = await getProjectsProjectIdLogsPresets(client, args83.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/deleteconfigurationop.ts
var DeleteConfigurationRequest$inboundSchema, DeleteConfigurationRequest$outboundSchema, DeleteConfigurationRequest$;
var init_deleteconfigurationop = __esm(() => {
  init_esm();
  DeleteConfigurationRequest$inboundSchema = objectType({
    id: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  DeleteConfigurationRequest$outboundSchema = objectType({
    id: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((DeleteConfigurationRequest$) => {
    DeleteConfigurationRequest$.inboundSchema = DeleteConfigurationRequest$inboundSchema;
    DeleteConfigurationRequest$.outboundSchema = DeleteConfigurationRequest$outboundSchema;
  })(DeleteConfigurationRequest$ ||= {});
});

// src/funcs/integrationsDeleteConfiguration.ts
function integrationsDeleteConfiguration(client, request, options) {
  return new APIPromise($do84(client, request, options));
}
async function $do84(client, request, options) {
  const parsed = safeParse(request, (value) => DeleteConfigurationRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    id: encodeSimple("id", payload.id, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/integrations/configuration/{id}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "deleteConfiguration",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "DELETE",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(nil(204, voidType()), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_integrationsDeleteConfiguration = __esm(() => {
  init_esm();
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_deleteconfigurationop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/integrationsDeleteConfiguration.ts
var args83, tool$integrationsDeleteConfiguration;
var init_integrationsDeleteConfiguration2 = __esm(() => {
  init_integrationsDeleteConfiguration();
  init_deleteconfigurationop();
  init_tools();
  args83 = {
    request: DeleteConfigurationRequest$inboundSchema
  };
  tool$integrationsDeleteConfiguration = {
    name: "integrations-delete-configuration",
    description: `Delete an integration configuration

Allows to remove the configuration with the \`id\` provided in the parameters. The configuration and all of its resources will be removed. This includes Webhooks, LogDrains and Project Env variables.`,
    args: args83,
    tool: async (client, args84, ctx) => {
      const [result, apiCall] = await integrationsDeleteConfiguration(client, args84.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      return formatResult(undefined, apiCall);
    }
  };
});

// src/models/getconfigurationop.ts
var ProjectSelection, TransferRequestKind, Kind, TransferRequestType, TransferRequestScope, GetConfigurationResponseBodyIntegrationsSource, GetConfigurationResponseBodyIntegrationsType, GetConfigurationResponseBodyIntegrationsDisabledReason, GetConfigurationResponseBodyIntegrationsInstallationType, GetConfigurationResponseBodySource, GetConfigurationResponseBodyType, GetConfigurationResponseBodyDisabledReason, GetConfigurationResponseBodyInstallationType, GetConfigurationRequest$inboundSchema, GetConfigurationRequest$outboundSchema, GetConfigurationRequest$, ProjectSelection$inboundSchema, ProjectSelection$outboundSchema, ProjectSelection$, TransferRequestKind$inboundSchema, TransferRequestKind$outboundSchema, TransferRequestKind$, TransferRequestRequester$inboundSchema, TransferRequestRequester$outboundSchema, TransferRequestRequester$, TransferRequest2$inboundSchema, TransferRequest2$outboundSchema, TransferRequest2$, Kind$inboundSchema, Kind$outboundSchema, Kind$, TransferRequestType$inboundSchema, TransferRequestType$outboundSchema, TransferRequestType$, TransferRequestScope$inboundSchema, TransferRequestScope$outboundSchema, TransferRequestScope$, TransferRequestBillingPlan$inboundSchema, TransferRequestBillingPlan$outboundSchema, TransferRequestBillingPlan$, Requester$inboundSchema, Requester$outboundSchema, Requester$, TransferRequest1$inboundSchema, TransferRequest1$outboundSchema, TransferRequest1$, TransferRequest$inboundSchema, TransferRequest$outboundSchema, TransferRequest$, GetConfigurationResponseBodyIntegrationsSource$inboundSchema, GetConfigurationResponseBodyIntegrationsSource$outboundSchema, GetConfigurationResponseBodyIntegrationsSource$, GetConfigurationResponseBodyIntegrationsType$inboundSchema, GetConfigurationResponseBodyIntegrationsType$outboundSchema, GetConfigurationResponseBodyIntegrationsType$, GetConfigurationResponseBodyIntegrationsDisabledReason$inboundSchema, GetConfigurationResponseBodyIntegrationsDisabledReason$outboundSchema, GetConfigurationResponseBodyIntegrationsDisabledReason$, GetConfigurationResponseBodyIntegrationsInstallationType$inboundSchema, GetConfigurationResponseBodyIntegrationsInstallationType$outboundSchema, GetConfigurationResponseBodyIntegrationsInstallationType$, GetConfigurationResponseBody2$inboundSchema, GetConfigurationResponseBody2$outboundSchema, GetConfigurationResponseBody2$, GetConfigurationResponseBodySource$inboundSchema, GetConfigurationResponseBodySource$outboundSchema, GetConfigurationResponseBodySource$, GetConfigurationResponseBodyType$inboundSchema, GetConfigurationResponseBodyType$outboundSchema, GetConfigurationResponseBodyType$, GetConfigurationResponseBodyDisabledReason$inboundSchema, GetConfigurationResponseBodyDisabledReason$outboundSchema, GetConfigurationResponseBodyDisabledReason$, GetConfigurationResponseBodyInstallationType$inboundSchema, GetConfigurationResponseBodyInstallationType$outboundSchema, GetConfigurationResponseBodyInstallationType$, GetConfigurationResponseBody1$inboundSchema, GetConfigurationResponseBody1$outboundSchema, GetConfigurationResponseBody1$, GetConfigurationResponseBody$inboundSchema, GetConfigurationResponseBody$outboundSchema, GetConfigurationResponseBody$;
var init_getconfigurationop = __esm(() => {
  init_esm();
  ProjectSelection = {
    Selected: "selected",
    All: "all"
  };
  TransferRequestKind = {
    TransferFromMarketplace: "transfer-from-marketplace"
  };
  Kind = {
    TransferToMarketplace: "transfer-to-marketplace"
  };
  TransferRequestType = {
    Subscription: "subscription",
    Prepayment: "prepayment"
  };
  TransferRequestScope = {
    Installation: "installation",
    Resource: "resource"
  };
  GetConfigurationResponseBodyIntegrationsSource = {
    Marketplace: "marketplace",
    DeployButton: "deploy-button",
    External: "external",
    V0: "v0"
  };
  GetConfigurationResponseBodyIntegrationsType = {
    IntegrationConfiguration: "integration-configuration"
  };
  GetConfigurationResponseBodyIntegrationsDisabledReason = {
    DisabledByOwner: "disabled-by-owner",
    FeatureNotAvailable: "feature-not-available",
    DisabledByAdmin: "disabled-by-admin",
    OriginalOwnerLeftTheTeam: "original-owner-left-the-team",
    AccountPlanDowngrade: "account-plan-downgrade",
    OriginalOwnerRoleDowngraded: "original-owner-role-downgraded"
  };
  GetConfigurationResponseBodyIntegrationsInstallationType = {
    Marketplace: "marketplace",
    External: "external"
  };
  GetConfigurationResponseBodySource = {
    Marketplace: "marketplace",
    DeployButton: "deploy-button",
    External: "external",
    V0: "v0"
  };
  GetConfigurationResponseBodyType = {
    IntegrationConfiguration: "integration-configuration"
  };
  GetConfigurationResponseBodyDisabledReason = {
    DisabledByOwner: "disabled-by-owner",
    FeatureNotAvailable: "feature-not-available",
    DisabledByAdmin: "disabled-by-admin",
    OriginalOwnerLeftTheTeam: "original-owner-left-the-team",
    AccountPlanDowngrade: "account-plan-downgrade",
    OriginalOwnerRoleDowngraded: "original-owner-role-downgraded"
  };
  GetConfigurationResponseBodyInstallationType = {
    Marketplace: "marketplace",
    External: "external"
  };
  GetConfigurationRequest$inboundSchema = objectType({
    id: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  GetConfigurationRequest$outboundSchema = objectType({
    id: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((GetConfigurationRequest$) => {
    GetConfigurationRequest$.inboundSchema = GetConfigurationRequest$inboundSchema;
    GetConfigurationRequest$.outboundSchema = GetConfigurationRequest$outboundSchema;
  })(GetConfigurationRequest$ ||= {});
  ProjectSelection$inboundSchema = nativeEnumType(ProjectSelection);
  ProjectSelection$outboundSchema = ProjectSelection$inboundSchema;
  ((ProjectSelection$) => {
    ProjectSelection$.inboundSchema = ProjectSelection$inboundSchema;
    ProjectSelection$.outboundSchema = ProjectSelection$outboundSchema;
  })(ProjectSelection$ ||= {});
  TransferRequestKind$inboundSchema = nativeEnumType(TransferRequestKind);
  TransferRequestKind$outboundSchema = TransferRequestKind$inboundSchema;
  ((TransferRequestKind$) => {
    TransferRequestKind$.inboundSchema = TransferRequestKind$inboundSchema;
    TransferRequestKind$.outboundSchema = TransferRequestKind$outboundSchema;
  })(TransferRequestKind$ ||= {});
  TransferRequestRequester$inboundSchema = objectType({
    name: stringType(),
    email: stringType().optional()
  });
  TransferRequestRequester$outboundSchema = objectType({
    name: stringType(),
    email: stringType().optional()
  });
  ((TransferRequestRequester$) => {
    TransferRequestRequester$.inboundSchema = TransferRequestRequester$inboundSchema;
    TransferRequestRequester$.outboundSchema = TransferRequestRequester$outboundSchema;
  })(TransferRequestRequester$ ||= {});
  TransferRequest2$inboundSchema = objectType({
    kind: TransferRequestKind$inboundSchema,
    requestId: stringType(),
    transferId: stringType(),
    requester: lazyType(() => TransferRequestRequester$inboundSchema),
    createdAt: numberType(),
    expiresAt: numberType(),
    discardedAt: numberType().optional(),
    discardedBy: stringType().optional(),
    approvedAt: numberType().optional(),
    approvedBy: stringType().optional(),
    authorizationId: stringType().optional()
  });
  TransferRequest2$outboundSchema = objectType({
    kind: TransferRequestKind$outboundSchema,
    requestId: stringType(),
    transferId: stringType(),
    requester: lazyType(() => TransferRequestRequester$outboundSchema),
    createdAt: numberType(),
    expiresAt: numberType(),
    discardedAt: numberType().optional(),
    discardedBy: stringType().optional(),
    approvedAt: numberType().optional(),
    approvedBy: stringType().optional(),
    authorizationId: stringType().optional()
  });
  ((TransferRequest2$) => {
    TransferRequest2$.inboundSchema = TransferRequest2$inboundSchema;
    TransferRequest2$.outboundSchema = TransferRequest2$outboundSchema;
  })(TransferRequest2$ ||= {});
  Kind$inboundSchema = nativeEnumType(Kind);
  Kind$outboundSchema = Kind$inboundSchema;
  ((Kind$) => {
    Kind$.inboundSchema = Kind$inboundSchema;
    Kind$.outboundSchema = Kind$outboundSchema;
  })(Kind$ ||= {});
  TransferRequestType$inboundSchema = nativeEnumType(TransferRequestType);
  TransferRequestType$outboundSchema = TransferRequestType$inboundSchema;
  ((TransferRequestType$) => {
    TransferRequestType$.inboundSchema = TransferRequestType$inboundSchema;
    TransferRequestType$.outboundSchema = TransferRequestType$outboundSchema;
  })(TransferRequestType$ ||= {});
  TransferRequestScope$inboundSchema = nativeEnumType(TransferRequestScope);
  TransferRequestScope$outboundSchema = TransferRequestScope$inboundSchema;
  ((TransferRequestScope$) => {
    TransferRequestScope$.inboundSchema = TransferRequestScope$inboundSchema;
    TransferRequestScope$.outboundSchema = TransferRequestScope$outboundSchema;
  })(TransferRequestScope$ ||= {});
  TransferRequestBillingPlan$inboundSchema = objectType({
    id: stringType(),
    type: TransferRequestType$inboundSchema,
    scope: TransferRequestScope$inboundSchema.optional(),
    name: stringType(),
    description: stringType(),
    paymentMethodRequired: booleanType().optional(),
    preauthorizationAmount: numberType().optional()
  });
  TransferRequestBillingPlan$outboundSchema = objectType({
    id: stringType(),
    type: TransferRequestType$outboundSchema,
    scope: TransferRequestScope$outboundSchema.optional(),
    name: stringType(),
    description: stringType(),
    paymentMethodRequired: booleanType().optional(),
    preauthorizationAmount: numberType().optional()
  });
  ((TransferRequestBillingPlan$) => {
    TransferRequestBillingPlan$.inboundSchema = TransferRequestBillingPlan$inboundSchema;
    TransferRequestBillingPlan$.outboundSchema = TransferRequestBillingPlan$outboundSchema;
  })(TransferRequestBillingPlan$ ||= {});
  Requester$inboundSchema = objectType({
    name: stringType(),
    email: stringType().optional()
  });
  Requester$outboundSchema = objectType({
    name: stringType(),
    email: stringType().optional()
  });
  ((Requester$) => {
    Requester$.inboundSchema = Requester$inboundSchema;
    Requester$.outboundSchema = Requester$outboundSchema;
  })(Requester$ ||= {});
  TransferRequest1$inboundSchema = objectType({
    kind: Kind$inboundSchema,
    metadata: recordType(anyType()).optional(),
    billingPlan: lazyType(() => TransferRequestBillingPlan$inboundSchema).optional(),
    requestId: stringType(),
    transferId: stringType(),
    requester: lazyType(() => Requester$inboundSchema),
    createdAt: numberType(),
    expiresAt: numberType(),
    discardedAt: numberType().optional(),
    discardedBy: stringType().optional(),
    approvedAt: numberType().optional(),
    approvedBy: stringType().optional(),
    authorizationId: stringType().optional()
  });
  TransferRequest1$outboundSchema = objectType({
    kind: Kind$outboundSchema,
    metadata: recordType(anyType()).optional(),
    billingPlan: lazyType(() => TransferRequestBillingPlan$outboundSchema).optional(),
    requestId: stringType(),
    transferId: stringType(),
    requester: lazyType(() => Requester$outboundSchema),
    createdAt: numberType(),
    expiresAt: numberType(),
    discardedAt: numberType().optional(),
    discardedBy: stringType().optional(),
    approvedAt: numberType().optional(),
    approvedBy: stringType().optional(),
    authorizationId: stringType().optional()
  });
  ((TransferRequest1$) => {
    TransferRequest1$.inboundSchema = TransferRequest1$inboundSchema;
    TransferRequest1$.outboundSchema = TransferRequest1$outboundSchema;
  })(TransferRequest1$ ||= {});
  TransferRequest$inboundSchema = unionType([
    lazyType(() => TransferRequest2$inboundSchema),
    lazyType(() => TransferRequest1$inboundSchema)
  ]);
  TransferRequest$outboundSchema = unionType([
    lazyType(() => TransferRequest2$outboundSchema),
    lazyType(() => TransferRequest1$outboundSchema)
  ]);
  ((TransferRequest$) => {
    TransferRequest$.inboundSchema = TransferRequest$inboundSchema;
    TransferRequest$.outboundSchema = TransferRequest$outboundSchema;
  })(TransferRequest$ ||= {});
  GetConfigurationResponseBodyIntegrationsSource$inboundSchema = nativeEnumType(GetConfigurationResponseBodyIntegrationsSource);
  GetConfigurationResponseBodyIntegrationsSource$outboundSchema = GetConfigurationResponseBodyIntegrationsSource$inboundSchema;
  ((GetConfigurationResponseBodyIntegrationsSource$) => {
    GetConfigurationResponseBodyIntegrationsSource$.inboundSchema = GetConfigurationResponseBodyIntegrationsSource$inboundSchema;
    GetConfigurationResponseBodyIntegrationsSource$.outboundSchema = GetConfigurationResponseBodyIntegrationsSource$outboundSchema;
  })(GetConfigurationResponseBodyIntegrationsSource$ ||= {});
  GetConfigurationResponseBodyIntegrationsType$inboundSchema = nativeEnumType(GetConfigurationResponseBodyIntegrationsType);
  GetConfigurationResponseBodyIntegrationsType$outboundSchema = GetConfigurationResponseBodyIntegrationsType$inboundSchema;
  ((GetConfigurationResponseBodyIntegrationsType$) => {
    GetConfigurationResponseBodyIntegrationsType$.inboundSchema = GetConfigurationResponseBodyIntegrationsType$inboundSchema;
    GetConfigurationResponseBodyIntegrationsType$.outboundSchema = GetConfigurationResponseBodyIntegrationsType$outboundSchema;
  })(GetConfigurationResponseBodyIntegrationsType$ ||= {});
  GetConfigurationResponseBodyIntegrationsDisabledReason$inboundSchema = nativeEnumType(GetConfigurationResponseBodyIntegrationsDisabledReason);
  GetConfigurationResponseBodyIntegrationsDisabledReason$outboundSchema = GetConfigurationResponseBodyIntegrationsDisabledReason$inboundSchema;
  ((GetConfigurationResponseBodyIntegrationsDisabledReason$) => {
    GetConfigurationResponseBodyIntegrationsDisabledReason$.inboundSchema = GetConfigurationResponseBodyIntegrationsDisabledReason$inboundSchema;
    GetConfigurationResponseBodyIntegrationsDisabledReason$.outboundSchema = GetConfigurationResponseBodyIntegrationsDisabledReason$outboundSchema;
  })(GetConfigurationResponseBodyIntegrationsDisabledReason$ ||= {});
  GetConfigurationResponseBodyIntegrationsInstallationType$inboundSchema = nativeEnumType(GetConfigurationResponseBodyIntegrationsInstallationType);
  GetConfigurationResponseBodyIntegrationsInstallationType$outboundSchema = GetConfigurationResponseBodyIntegrationsInstallationType$inboundSchema;
  ((GetConfigurationResponseBodyIntegrationsInstallationType$) => {
    GetConfigurationResponseBodyIntegrationsInstallationType$.inboundSchema = GetConfigurationResponseBodyIntegrationsInstallationType$inboundSchema;
    GetConfigurationResponseBodyIntegrationsInstallationType$.outboundSchema = GetConfigurationResponseBodyIntegrationsInstallationType$outboundSchema;
  })(GetConfigurationResponseBodyIntegrationsInstallationType$ ||= {});
  GetConfigurationResponseBody2$inboundSchema = objectType({
    projectSelection: ProjectSelection$inboundSchema,
    transferRequest: unionType([
      lazyType(() => TransferRequest2$inboundSchema),
      lazyType(() => TransferRequest1$inboundSchema)
    ]),
    projects: arrayType(stringType()).optional(),
    completedAt: numberType().optional(),
    createdAt: numberType(),
    id: stringType(),
    integrationId: stringType(),
    ownerId: stringType(),
    source: GetConfigurationResponseBodyIntegrationsSource$inboundSchema.optional(),
    slug: stringType(),
    teamId: nullableType(stringType()).optional(),
    type: GetConfigurationResponseBodyIntegrationsType$inboundSchema,
    updatedAt: numberType(),
    userId: stringType(),
    scopes: arrayType(stringType()),
    disabledAt: numberType().optional(),
    deletedAt: nullableType(numberType()).optional(),
    deleteRequestedAt: nullableType(numberType()).optional(),
    disabledReason: GetConfigurationResponseBodyIntegrationsDisabledReason$inboundSchema.optional(),
    installationType: GetConfigurationResponseBodyIntegrationsInstallationType$inboundSchema.optional(),
    canConfigureOpenTelemetry: booleanType().optional()
  });
  GetConfigurationResponseBody2$outboundSchema = objectType({
    projectSelection: ProjectSelection$outboundSchema,
    transferRequest: unionType([
      lazyType(() => TransferRequest2$outboundSchema),
      lazyType(() => TransferRequest1$outboundSchema)
    ]),
    projects: arrayType(stringType()).optional(),
    completedAt: numberType().optional(),
    createdAt: numberType(),
    id: stringType(),
    integrationId: stringType(),
    ownerId: stringType(),
    source: GetConfigurationResponseBodyIntegrationsSource$outboundSchema.optional(),
    slug: stringType(),
    teamId: nullableType(stringType()).optional(),
    type: GetConfigurationResponseBodyIntegrationsType$outboundSchema,
    updatedAt: numberType(),
    userId: stringType(),
    scopes: arrayType(stringType()),
    disabledAt: numberType().optional(),
    deletedAt: nullableType(numberType()).optional(),
    deleteRequestedAt: nullableType(numberType()).optional(),
    disabledReason: GetConfigurationResponseBodyIntegrationsDisabledReason$outboundSchema.optional(),
    installationType: GetConfigurationResponseBodyIntegrationsInstallationType$outboundSchema.optional(),
    canConfigureOpenTelemetry: booleanType().optional()
  });
  ((GetConfigurationResponseBody2$) => {
    GetConfigurationResponseBody2$.inboundSchema = GetConfigurationResponseBody2$inboundSchema;
    GetConfigurationResponseBody2$.outboundSchema = GetConfigurationResponseBody2$outboundSchema;
  })(GetConfigurationResponseBody2$ ||= {});
  GetConfigurationResponseBodySource$inboundSchema = nativeEnumType(GetConfigurationResponseBodySource);
  GetConfigurationResponseBodySource$outboundSchema = GetConfigurationResponseBodySource$inboundSchema;
  ((GetConfigurationResponseBodySource$) => {
    GetConfigurationResponseBodySource$.inboundSchema = GetConfigurationResponseBodySource$inboundSchema;
    GetConfigurationResponseBodySource$.outboundSchema = GetConfigurationResponseBodySource$outboundSchema;
  })(GetConfigurationResponseBodySource$ ||= {});
  GetConfigurationResponseBodyType$inboundSchema = nativeEnumType(GetConfigurationResponseBodyType);
  GetConfigurationResponseBodyType$outboundSchema = GetConfigurationResponseBodyType$inboundSchema;
  ((GetConfigurationResponseBodyType$) => {
    GetConfigurationResponseBodyType$.inboundSchema = GetConfigurationResponseBodyType$inboundSchema;
    GetConfigurationResponseBodyType$.outboundSchema = GetConfigurationResponseBodyType$outboundSchema;
  })(GetConfigurationResponseBodyType$ ||= {});
  GetConfigurationResponseBodyDisabledReason$inboundSchema = nativeEnumType(GetConfigurationResponseBodyDisabledReason);
  GetConfigurationResponseBodyDisabledReason$outboundSchema = GetConfigurationResponseBodyDisabledReason$inboundSchema;
  ((GetConfigurationResponseBodyDisabledReason$) => {
    GetConfigurationResponseBodyDisabledReason$.inboundSchema = GetConfigurationResponseBodyDisabledReason$inboundSchema;
    GetConfigurationResponseBodyDisabledReason$.outboundSchema = GetConfigurationResponseBodyDisabledReason$outboundSchema;
  })(GetConfigurationResponseBodyDisabledReason$ ||= {});
  GetConfigurationResponseBodyInstallationType$inboundSchema = nativeEnumType(GetConfigurationResponseBodyInstallationType);
  GetConfigurationResponseBodyInstallationType$outboundSchema = GetConfigurationResponseBodyInstallationType$inboundSchema;
  ((GetConfigurationResponseBodyInstallationType$) => {
    GetConfigurationResponseBodyInstallationType$.inboundSchema = GetConfigurationResponseBodyInstallationType$inboundSchema;
    GetConfigurationResponseBodyInstallationType$.outboundSchema = GetConfigurationResponseBodyInstallationType$outboundSchema;
  })(GetConfigurationResponseBodyInstallationType$ ||= {});
  GetConfigurationResponseBody1$inboundSchema = objectType({
    completedAt: numberType().optional(),
    createdAt: numberType(),
    id: stringType(),
    integrationId: stringType(),
    ownerId: stringType(),
    projects: arrayType(stringType()).optional(),
    source: GetConfigurationResponseBodySource$inboundSchema.optional(),
    slug: stringType(),
    teamId: nullableType(stringType()).optional(),
    type: GetConfigurationResponseBodyType$inboundSchema,
    updatedAt: numberType(),
    userId: stringType(),
    scopes: arrayType(stringType()),
    disabledAt: numberType().optional(),
    deletedAt: nullableType(numberType()).optional(),
    deleteRequestedAt: nullableType(numberType()).optional(),
    disabledReason: GetConfigurationResponseBodyDisabledReason$inboundSchema.optional(),
    installationType: GetConfigurationResponseBodyInstallationType$inboundSchema.optional()
  });
  GetConfigurationResponseBody1$outboundSchema = objectType({
    completedAt: numberType().optional(),
    createdAt: numberType(),
    id: stringType(),
    integrationId: stringType(),
    ownerId: stringType(),
    projects: arrayType(stringType()).optional(),
    source: GetConfigurationResponseBodySource$outboundSchema.optional(),
    slug: stringType(),
    teamId: nullableType(stringType()).optional(),
    type: GetConfigurationResponseBodyType$outboundSchema,
    updatedAt: numberType(),
    userId: stringType(),
    scopes: arrayType(stringType()),
    disabledAt: numberType().optional(),
    deletedAt: nullableType(numberType()).optional(),
    deleteRequestedAt: nullableType(numberType()).optional(),
    disabledReason: GetConfigurationResponseBodyDisabledReason$outboundSchema.optional(),
    installationType: GetConfigurationResponseBodyInstallationType$outboundSchema.optional()
  });
  ((GetConfigurationResponseBody1$) => {
    GetConfigurationResponseBody1$.inboundSchema = GetConfigurationResponseBody1$inboundSchema;
    GetConfigurationResponseBody1$.outboundSchema = GetConfigurationResponseBody1$outboundSchema;
  })(GetConfigurationResponseBody1$ ||= {});
  GetConfigurationResponseBody$inboundSchema = unionType([
    lazyType(() => GetConfigurationResponseBody1$inboundSchema),
    lazyType(() => GetConfigurationResponseBody2$inboundSchema)
  ]);
  GetConfigurationResponseBody$outboundSchema = unionType([
    lazyType(() => GetConfigurationResponseBody1$outboundSchema),
    lazyType(() => GetConfigurationResponseBody2$outboundSchema)
  ]);
  ((GetConfigurationResponseBody$) => {
    GetConfigurationResponseBody$.inboundSchema = GetConfigurationResponseBody$inboundSchema;
    GetConfigurationResponseBody$.outboundSchema = GetConfigurationResponseBody$outboundSchema;
  })(GetConfigurationResponseBody$ ||= {});
});

// src/funcs/integrationsGetConfiguration.ts
function integrationsGetConfiguration(client, request, options) {
  return new APIPromise($do85(client, request, options));
}
async function $do85(client, request, options) {
  const parsed = safeParse(request, (value) => GetConfigurationRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    id: encodeSimple("id", payload.id, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/integrations/configuration/{id}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "getConfiguration",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetConfigurationResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_integrationsGetConfiguration = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_getconfigurationop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/integrationsGetConfiguration.ts
var args84, tool$integrationsGetConfiguration;
var init_integrationsGetConfiguration2 = __esm(() => {
  init_integrationsGetConfiguration();
  init_getconfigurationop();
  init_tools();
  args84 = {
    request: GetConfigurationRequest$inboundSchema
  };
  tool$integrationsGetConfiguration = {
    name: "integrations-get-configuration",
    description: `Retrieve an integration configuration

Allows to retrieve a the configuration with the provided id in case it exists. The authenticated user or team must be the owner of the config in order to access it.`,
    args: args84,
    tool: async (client, args85, ctx) => {
      const [result, apiCall] = await integrationsGetConfiguration(client, args85.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/getconfigurationsop.ts
var View, InstallationType, TagIds, GetConfigurationsResponseBodyIntegrationsSource, GetConfigurationsResponseBodyIntegrationsType, ResponseBodyDisabledReason, GetConfigurationsResponseBodyInstallationType, GetConfigurationsResponseBodySource, GetConfigurationsResponseBodyType, DisabledReason, ResponseBodyInstallationType, View$inboundSchema, View$outboundSchema, View$, InstallationType$inboundSchema, InstallationType$outboundSchema, InstallationType$, GetConfigurationsRequest$inboundSchema, GetConfigurationsRequest$outboundSchema, GetConfigurationsRequest$, TagIds$inboundSchema, TagIds$outboundSchema, TagIds$, Integration$inboundSchema, Integration$outboundSchema, Integration$, GetConfigurationsResponseBodyIntegrationsSource$inboundSchema, GetConfigurationsResponseBodyIntegrationsSource$outboundSchema, GetConfigurationsResponseBodyIntegrationsSource$, GetConfigurationsResponseBodyIntegrationsType$inboundSchema, GetConfigurationsResponseBodyIntegrationsType$outboundSchema, GetConfigurationsResponseBodyIntegrationsType$, ResponseBodyDisabledReason$inboundSchema, ResponseBodyDisabledReason$outboundSchema, ResponseBodyDisabledReason$, GetConfigurationsResponseBodyInstallationType$inboundSchema, GetConfigurationsResponseBodyInstallationType$outboundSchema, GetConfigurationsResponseBodyInstallationType$, GetConfigurationsResponseBody2$inboundSchema, GetConfigurationsResponseBody2$outboundSchema, GetConfigurationsResponseBody2$, GetConfigurationsResponseBodySource$inboundSchema, GetConfigurationsResponseBodySource$outboundSchema, GetConfigurationsResponseBodySource$, GetConfigurationsResponseBodyType$inboundSchema, GetConfigurationsResponseBodyType$outboundSchema, GetConfigurationsResponseBodyType$, DisabledReason$inboundSchema, DisabledReason$outboundSchema, DisabledReason$, ResponseBodyInstallationType$inboundSchema, ResponseBodyInstallationType$outboundSchema, ResponseBodyInstallationType$, GetConfigurationsResponseBody1$inboundSchema, GetConfigurationsResponseBody1$outboundSchema, GetConfigurationsResponseBody1$, GetConfigurationsResponseBody$inboundSchema, GetConfigurationsResponseBody$outboundSchema, GetConfigurationsResponseBody$;
var init_getconfigurationsop = __esm(() => {
  init_esm();
  View = {
    Account: "account",
    Project: "project"
  };
  InstallationType = {
    Marketplace: "marketplace",
    External: "external"
  };
  TagIds = {
    TagAi: "tag_ai",
    TagAnalytics: "tag_analytics",
    TagAuthentication: "tag_authentication",
    TagCms: "tag_cms",
    TagCodeRepository: "tag_code_repository",
    TagCommerce: "tag_commerce",
    TagDatabases: "tag_databases",
    TagDevTools: "tag_dev_tools",
    TagExperimentation: "tag_experimentation",
    TagFlags: "tag_flags",
    TagLogging: "tag_logging",
    TagMessaging: "tag_messaging",
    TagMonitoring: "tag_monitoring",
    TagObservability: "tag_observability",
    TagPerformance: "tag_performance",
    TagProductivity: "tag_productivity",
    TagSearching: "tag_searching",
    TagSecurity: "tag_security",
    TagTesting: "tag_testing",
    TagVideo: "tag_video",
    TagWorkflow: "tag_workflow"
  };
  GetConfigurationsResponseBodyIntegrationsSource = {
    Marketplace: "marketplace",
    DeployButton: "deploy-button",
    External: "external",
    V0: "v0"
  };
  GetConfigurationsResponseBodyIntegrationsType = {
    IntegrationConfiguration: "integration-configuration"
  };
  ResponseBodyDisabledReason = {
    DisabledByOwner: "disabled-by-owner",
    FeatureNotAvailable: "feature-not-available",
    DisabledByAdmin: "disabled-by-admin",
    OriginalOwnerLeftTheTeam: "original-owner-left-the-team",
    AccountPlanDowngrade: "account-plan-downgrade",
    OriginalOwnerRoleDowngraded: "original-owner-role-downgraded"
  };
  GetConfigurationsResponseBodyInstallationType = {
    Marketplace: "marketplace",
    External: "external"
  };
  GetConfigurationsResponseBodySource = {
    Marketplace: "marketplace",
    DeployButton: "deploy-button",
    External: "external",
    V0: "v0"
  };
  GetConfigurationsResponseBodyType = {
    IntegrationConfiguration: "integration-configuration"
  };
  DisabledReason = {
    DisabledByOwner: "disabled-by-owner",
    FeatureNotAvailable: "feature-not-available",
    DisabledByAdmin: "disabled-by-admin",
    OriginalOwnerLeftTheTeam: "original-owner-left-the-team",
    AccountPlanDowngrade: "account-plan-downgrade",
    OriginalOwnerRoleDowngraded: "original-owner-role-downgraded"
  };
  ResponseBodyInstallationType = {
    Marketplace: "marketplace",
    External: "external"
  };
  View$inboundSchema = nativeEnumType(View);
  View$outboundSchema = View$inboundSchema;
  ((View$) => {
    View$.inboundSchema = View$inboundSchema;
    View$.outboundSchema = View$outboundSchema;
  })(View$ ||= {});
  InstallationType$inboundSchema = nativeEnumType(InstallationType);
  InstallationType$outboundSchema = InstallationType$inboundSchema;
  ((InstallationType$) => {
    InstallationType$.inboundSchema = InstallationType$inboundSchema;
    InstallationType$.outboundSchema = InstallationType$outboundSchema;
  })(InstallationType$ ||= {});
  GetConfigurationsRequest$inboundSchema = objectType({
    view: View$inboundSchema,
    installationType: InstallationType$inboundSchema.optional(),
    integrationIdOrSlug: stringType().optional(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  GetConfigurationsRequest$outboundSchema = objectType({
    view: View$outboundSchema,
    installationType: InstallationType$outboundSchema.optional(),
    integrationIdOrSlug: stringType().optional(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((GetConfigurationsRequest$) => {
    GetConfigurationsRequest$.inboundSchema = GetConfigurationsRequest$inboundSchema;
    GetConfigurationsRequest$.outboundSchema = GetConfigurationsRequest$outboundSchema;
  })(GetConfigurationsRequest$ ||= {});
  TagIds$inboundSchema = nativeEnumType(TagIds);
  TagIds$outboundSchema = TagIds$inboundSchema;
  ((TagIds$) => {
    TagIds$.inboundSchema = TagIds$inboundSchema;
    TagIds$.outboundSchema = TagIds$outboundSchema;
  })(TagIds$ ||= {});
  Integration$inboundSchema = objectType({
    name: stringType(),
    icon: stringType(),
    isLegacy: booleanType(),
    flags: arrayType(stringType()).optional(),
    assignedBetaLabelAt: numberType().optional(),
    tagIds: arrayType(TagIds$inboundSchema).optional()
  });
  Integration$outboundSchema = objectType({
    name: stringType(),
    icon: stringType(),
    isLegacy: booleanType(),
    flags: arrayType(stringType()).optional(),
    assignedBetaLabelAt: numberType().optional(),
    tagIds: arrayType(TagIds$outboundSchema).optional()
  });
  ((Integration$) => {
    Integration$.inboundSchema = Integration$inboundSchema;
    Integration$.outboundSchema = Integration$outboundSchema;
  })(Integration$ ||= {});
  GetConfigurationsResponseBodyIntegrationsSource$inboundSchema = nativeEnumType(GetConfigurationsResponseBodyIntegrationsSource);
  GetConfigurationsResponseBodyIntegrationsSource$outboundSchema = GetConfigurationsResponseBodyIntegrationsSource$inboundSchema;
  ((GetConfigurationsResponseBodyIntegrationsSource$) => {
    GetConfigurationsResponseBodyIntegrationsSource$.inboundSchema = GetConfigurationsResponseBodyIntegrationsSource$inboundSchema;
    GetConfigurationsResponseBodyIntegrationsSource$.outboundSchema = GetConfigurationsResponseBodyIntegrationsSource$outboundSchema;
  })(GetConfigurationsResponseBodyIntegrationsSource$ ||= {});
  GetConfigurationsResponseBodyIntegrationsType$inboundSchema = nativeEnumType(GetConfigurationsResponseBodyIntegrationsType);
  GetConfigurationsResponseBodyIntegrationsType$outboundSchema = GetConfigurationsResponseBodyIntegrationsType$inboundSchema;
  ((GetConfigurationsResponseBodyIntegrationsType$) => {
    GetConfigurationsResponseBodyIntegrationsType$.inboundSchema = GetConfigurationsResponseBodyIntegrationsType$inboundSchema;
    GetConfigurationsResponseBodyIntegrationsType$.outboundSchema = GetConfigurationsResponseBodyIntegrationsType$outboundSchema;
  })(GetConfigurationsResponseBodyIntegrationsType$ ||= {});
  ResponseBodyDisabledReason$inboundSchema = nativeEnumType(ResponseBodyDisabledReason);
  ResponseBodyDisabledReason$outboundSchema = ResponseBodyDisabledReason$inboundSchema;
  ((ResponseBodyDisabledReason$) => {
    ResponseBodyDisabledReason$.inboundSchema = ResponseBodyDisabledReason$inboundSchema;
    ResponseBodyDisabledReason$.outboundSchema = ResponseBodyDisabledReason$outboundSchema;
  })(ResponseBodyDisabledReason$ ||= {});
  GetConfigurationsResponseBodyInstallationType$inboundSchema = nativeEnumType(GetConfigurationsResponseBodyInstallationType);
  GetConfigurationsResponseBodyInstallationType$outboundSchema = GetConfigurationsResponseBodyInstallationType$inboundSchema;
  ((GetConfigurationsResponseBodyInstallationType$) => {
    GetConfigurationsResponseBodyInstallationType$.inboundSchema = GetConfigurationsResponseBodyInstallationType$inboundSchema;
    GetConfigurationsResponseBodyInstallationType$.outboundSchema = GetConfigurationsResponseBodyInstallationType$outboundSchema;
  })(GetConfigurationsResponseBodyInstallationType$ ||= {});
  GetConfigurationsResponseBody2$inboundSchema = objectType({
    integration: lazyType(() => Integration$inboundSchema),
    completedAt: numberType().optional(),
    createdAt: numberType(),
    id: stringType(),
    integrationId: stringType(),
    ownerId: stringType(),
    projects: arrayType(stringType()).optional(),
    source: GetConfigurationsResponseBodyIntegrationsSource$inboundSchema.optional(),
    slug: stringType(),
    teamId: nullableType(stringType()).optional(),
    type: GetConfigurationsResponseBodyIntegrationsType$inboundSchema,
    updatedAt: numberType(),
    userId: stringType(),
    scopes: arrayType(stringType()),
    disabledAt: numberType().optional(),
    deletedAt: nullableType(numberType()).optional(),
    deleteRequestedAt: nullableType(numberType()).optional(),
    disabledReason: ResponseBodyDisabledReason$inboundSchema.optional(),
    installationType: GetConfigurationsResponseBodyInstallationType$inboundSchema.optional()
  });
  GetConfigurationsResponseBody2$outboundSchema = objectType({
    integration: lazyType(() => Integration$outboundSchema),
    completedAt: numberType().optional(),
    createdAt: numberType(),
    id: stringType(),
    integrationId: stringType(),
    ownerId: stringType(),
    projects: arrayType(stringType()).optional(),
    source: GetConfigurationsResponseBodyIntegrationsSource$outboundSchema.optional(),
    slug: stringType(),
    teamId: nullableType(stringType()).optional(),
    type: GetConfigurationsResponseBodyIntegrationsType$outboundSchema,
    updatedAt: numberType(),
    userId: stringType(),
    scopes: arrayType(stringType()),
    disabledAt: numberType().optional(),
    deletedAt: nullableType(numberType()).optional(),
    deleteRequestedAt: nullableType(numberType()).optional(),
    disabledReason: ResponseBodyDisabledReason$outboundSchema.optional(),
    installationType: GetConfigurationsResponseBodyInstallationType$outboundSchema.optional()
  });
  ((GetConfigurationsResponseBody2$) => {
    GetConfigurationsResponseBody2$.inboundSchema = GetConfigurationsResponseBody2$inboundSchema;
    GetConfigurationsResponseBody2$.outboundSchema = GetConfigurationsResponseBody2$outboundSchema;
  })(GetConfigurationsResponseBody2$ ||= {});
  GetConfigurationsResponseBodySource$inboundSchema = nativeEnumType(GetConfigurationsResponseBodySource);
  GetConfigurationsResponseBodySource$outboundSchema = GetConfigurationsResponseBodySource$inboundSchema;
  ((GetConfigurationsResponseBodySource$) => {
    GetConfigurationsResponseBodySource$.inboundSchema = GetConfigurationsResponseBodySource$inboundSchema;
    GetConfigurationsResponseBodySource$.outboundSchema = GetConfigurationsResponseBodySource$outboundSchema;
  })(GetConfigurationsResponseBodySource$ ||= {});
  GetConfigurationsResponseBodyType$inboundSchema = nativeEnumType(GetConfigurationsResponseBodyType);
  GetConfigurationsResponseBodyType$outboundSchema = GetConfigurationsResponseBodyType$inboundSchema;
  ((GetConfigurationsResponseBodyType$) => {
    GetConfigurationsResponseBodyType$.inboundSchema = GetConfigurationsResponseBodyType$inboundSchema;
    GetConfigurationsResponseBodyType$.outboundSchema = GetConfigurationsResponseBodyType$outboundSchema;
  })(GetConfigurationsResponseBodyType$ ||= {});
  DisabledReason$inboundSchema = nativeEnumType(DisabledReason);
  DisabledReason$outboundSchema = DisabledReason$inboundSchema;
  ((DisabledReason$) => {
    DisabledReason$.inboundSchema = DisabledReason$inboundSchema;
    DisabledReason$.outboundSchema = DisabledReason$outboundSchema;
  })(DisabledReason$ ||= {});
  ResponseBodyInstallationType$inboundSchema = nativeEnumType(ResponseBodyInstallationType);
  ResponseBodyInstallationType$outboundSchema = ResponseBodyInstallationType$inboundSchema;
  ((ResponseBodyInstallationType$) => {
    ResponseBodyInstallationType$.inboundSchema = ResponseBodyInstallationType$inboundSchema;
    ResponseBodyInstallationType$.outboundSchema = ResponseBodyInstallationType$outboundSchema;
  })(ResponseBodyInstallationType$ ||= {});
  GetConfigurationsResponseBody1$inboundSchema = objectType({
    completedAt: numberType().optional(),
    createdAt: numberType().optional(),
    id: stringType().optional(),
    integrationId: stringType().optional(),
    ownerId: stringType().optional(),
    projects: arrayType(stringType()).optional(),
    source: GetConfigurationsResponseBodySource$inboundSchema.optional(),
    slug: stringType().optional(),
    teamId: nullableType(stringType()).optional(),
    type: GetConfigurationsResponseBodyType$inboundSchema.optional(),
    updatedAt: numberType().optional(),
    userId: stringType().optional(),
    scopes: arrayType(stringType()).optional(),
    disabledAt: numberType().optional(),
    deletedAt: nullableType(numberType()).optional(),
    deleteRequestedAt: nullableType(numberType()).optional(),
    disabledReason: DisabledReason$inboundSchema.optional(),
    installationType: ResponseBodyInstallationType$inboundSchema.optional()
  });
  GetConfigurationsResponseBody1$outboundSchema = objectType({
    completedAt: numberType().optional(),
    createdAt: numberType().optional(),
    id: stringType().optional(),
    integrationId: stringType().optional(),
    ownerId: stringType().optional(),
    projects: arrayType(stringType()).optional(),
    source: GetConfigurationsResponseBodySource$outboundSchema.optional(),
    slug: stringType().optional(),
    teamId: nullableType(stringType()).optional(),
    type: GetConfigurationsResponseBodyType$outboundSchema.optional(),
    updatedAt: numberType().optional(),
    userId: stringType().optional(),
    scopes: arrayType(stringType()).optional(),
    disabledAt: numberType().optional(),
    deletedAt: nullableType(numberType()).optional(),
    deleteRequestedAt: nullableType(numberType()).optional(),
    disabledReason: DisabledReason$outboundSchema.optional(),
    installationType: ResponseBodyInstallationType$outboundSchema.optional()
  });
  ((GetConfigurationsResponseBody1$) => {
    GetConfigurationsResponseBody1$.inboundSchema = GetConfigurationsResponseBody1$inboundSchema;
    GetConfigurationsResponseBody1$.outboundSchema = GetConfigurationsResponseBody1$outboundSchema;
  })(GetConfigurationsResponseBody1$ ||= {});
  GetConfigurationsResponseBody$inboundSchema = unionType([
    arrayType(lazyType(() => GetConfigurationsResponseBody1$inboundSchema)),
    arrayType(lazyType(() => GetConfigurationsResponseBody2$inboundSchema))
  ]);
  GetConfigurationsResponseBody$outboundSchema = unionType([
    arrayType(lazyType(() => GetConfigurationsResponseBody1$outboundSchema)),
    arrayType(lazyType(() => GetConfigurationsResponseBody2$outboundSchema))
  ]);
  ((GetConfigurationsResponseBody$) => {
    GetConfigurationsResponseBody$.inboundSchema = GetConfigurationsResponseBody$inboundSchema;
    GetConfigurationsResponseBody$.outboundSchema = GetConfigurationsResponseBody$outboundSchema;
  })(GetConfigurationsResponseBody$ ||= {});
});

// src/funcs/integrationsGetConfigurations.ts
function integrationsGetConfigurations(client, request, options) {
  return new APIPromise($do86(client, request, options));
}
async function $do86(client, request, options) {
  const parsed = safeParse(request, (value) => GetConfigurationsRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const path = pathToFunc("/v1/integrations/configurations")();
  const query = encodeFormQuery({
    installationType: payload.installationType,
    integrationIdOrSlug: payload.integrationIdOrSlug,
    slug: payload.slug,
    teamId: payload.teamId,
    view: payload.view
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "getConfigurations",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetConfigurationsResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_integrationsGetConfigurations = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_getconfigurationsop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/integrationsGetConfigurations.ts
var args85, tool$integrationsGetConfigurations;
var init_integrationsGetConfigurations2 = __esm(() => {
  init_integrationsGetConfigurations();
  init_getconfigurationsop();
  init_tools();
  args85 = {
    request: GetConfigurationsRequest$inboundSchema
  };
  tool$integrationsGetConfigurations = {
    name: "integrations-get-configurations",
    description: `Get configurations for the authenticated user or team

Allows to retrieve all configurations for an authenticated integration. When the \`project\` view is used, configurations generated for the authorization flow will be filtered out of the results.`,
    args: args85,
    tool: async (client, args86, ctx) => {
      const [result, apiCall] = await integrationsGetConfigurations(client, args86.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/funcs/integrationsUpdateIntegrationDeploymentAction.ts
function integrationsUpdateIntegrationDeploymentAction(client, request, options) {
  return new APIPromise($do87(client, request, options));
}
async function $do87(client, request, options) {
  const parsed = safeParse(request, (value) => UpdateIntegrationDeploymentActionRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    action: encodeSimple("action", payload.action, {
      explode: false,
      charEncoding: "percent"
    }),
    deploymentId: encodeSimple("deploymentId", payload.deploymentId, {
      explode: false,
      charEncoding: "percent"
    }),
    integrationConfigurationId: encodeSimple("integrationConfigurationId", payload.integrationConfigurationId, { explode: false, charEncoding: "percent" }),
    resourceId: encodeSimple("resourceId", payload.resourceId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/deployments/{deploymentId}/integrations/{integrationConfigurationId}/resources/{resourceId}/actions/{action}")(pathParams);
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "update-integration-deployment-action",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "PATCH",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(nil(202, voidType()), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_integrationsUpdateIntegrationDeploymentAction = __esm(() => {
  init_esm();
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_updateintegrationdeploymentactionop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/integrationsUpdateIntegrationDeploymentAction.ts
var args86, tool$integrationsUpdateIntegrationDeploymentAction;
var init_integrationsUpdateIntegrationDeploymentAction2 = __esm(() => {
  init_integrationsUpdateIntegrationDeploymentAction();
  init_updateintegrationdeploymentactionop();
  init_tools();
  args86 = {
    request: UpdateIntegrationDeploymentActionRequest$inboundSchema
  };
  tool$integrationsUpdateIntegrationDeploymentAction = {
    name: "integrations-update-integration-deployment-action",
    description: `Update deployment integration action

Updates the deployment integration action for the specified integration installation`,
    args: args86,
    tool: async (client, args87, ctx) => {
      const [result, apiCall] = await integrationsUpdateIntegrationDeploymentAction(client, args87.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      return formatResult(undefined, apiCall);
    }
  };
});

// src/models/createlogdrainop.ts
var DeliveryFormat, Sources, Environments, CreateLogDrainDeliveryFormat, CreateLogDrainSources, CreateLogDrainCreatedFrom, CreateLogDrainEnvironments, DeliveryFormat$inboundSchema, DeliveryFormat$outboundSchema, DeliveryFormat$, Sources$inboundSchema, Sources$outboundSchema, Sources$, Environments$inboundSchema, Environments$outboundSchema, Environments$, CreateLogDrainRequestBody$inboundSchema, CreateLogDrainRequestBody$outboundSchema, CreateLogDrainRequestBody$, CreateLogDrainRequest$inboundSchema, CreateLogDrainRequest$outboundSchema, CreateLogDrainRequest$, CreateLogDrainDeliveryFormat$inboundSchema, CreateLogDrainDeliveryFormat$outboundSchema, CreateLogDrainDeliveryFormat$, CreateLogDrainSources$inboundSchema, CreateLogDrainSources$outboundSchema, CreateLogDrainSources$, CreateLogDrainCreatedFrom$inboundSchema, CreateLogDrainCreatedFrom$outboundSchema, CreateLogDrainCreatedFrom$, CreateLogDrainEnvironments$inboundSchema, CreateLogDrainEnvironments$outboundSchema, CreateLogDrainEnvironments$, CreateLogDrainResponseBody$inboundSchema, CreateLogDrainResponseBody$outboundSchema, CreateLogDrainResponseBody$;
var init_createlogdrainop = __esm(() => {
  init_esm();
  init_primitives();
  DeliveryFormat = {
    Json: "json",
    Ndjson: "ndjson",
    Syslog: "syslog"
  };
  Sources = {
    Static: "static",
    Lambda: "lambda",
    Build: "build",
    Edge: "edge",
    External: "external",
    Firewall: "firewall"
  };
  Environments = {
    Preview: "preview",
    Production: "production"
  };
  CreateLogDrainDeliveryFormat = {
    Json: "json",
    Ndjson: "ndjson",
    Syslog: "syslog",
    Protobuf: "protobuf"
  };
  CreateLogDrainSources = {
    Build: "build",
    Edge: "edge",
    Lambda: "lambda",
    Static: "static",
    External: "external",
    Firewall: "firewall"
  };
  CreateLogDrainCreatedFrom = {
    Integration: "integration",
    SelfServed: "self-served"
  };
  CreateLogDrainEnvironments = {
    Production: "production",
    Preview: "preview"
  };
  DeliveryFormat$inboundSchema = nativeEnumType(DeliveryFormat);
  DeliveryFormat$outboundSchema = DeliveryFormat$inboundSchema;
  ((DeliveryFormat$) => {
    DeliveryFormat$.inboundSchema = DeliveryFormat$inboundSchema;
    DeliveryFormat$.outboundSchema = DeliveryFormat$outboundSchema;
  })(DeliveryFormat$ ||= {});
  Sources$inboundSchema = nativeEnumType(Sources);
  Sources$outboundSchema = Sources$inboundSchema;
  ((Sources$) => {
    Sources$.inboundSchema = Sources$inboundSchema;
    Sources$.outboundSchema = Sources$outboundSchema;
  })(Sources$ ||= {});
  Environments$inboundSchema = nativeEnumType(Environments);
  Environments$outboundSchema = Environments$inboundSchema;
  ((Environments$) => {
    Environments$.inboundSchema = Environments$inboundSchema;
    Environments$.outboundSchema = Environments$outboundSchema;
  })(Environments$ ||= {});
  CreateLogDrainRequestBody$inboundSchema = objectType({
    name: stringType(),
    projectIds: arrayType(stringType()).optional(),
    secret: stringType().optional(),
    deliveryFormat: DeliveryFormat$inboundSchema.optional(),
    url: stringType(),
    sources: arrayType(Sources$inboundSchema).optional(),
    headers: recordType(stringType()).optional(),
    environments: arrayType(Environments$inboundSchema).optional()
  });
  CreateLogDrainRequestBody$outboundSchema = objectType({
    name: stringType(),
    projectIds: arrayType(stringType()).optional(),
    secret: stringType().optional(),
    deliveryFormat: DeliveryFormat$outboundSchema.optional(),
    url: stringType(),
    sources: arrayType(Sources$outboundSchema).optional(),
    headers: recordType(stringType()).optional(),
    environments: arrayType(Environments$outboundSchema).optional()
  });
  ((CreateLogDrainRequestBody$) => {
    CreateLogDrainRequestBody$.inboundSchema = CreateLogDrainRequestBody$inboundSchema;
    CreateLogDrainRequestBody$.outboundSchema = CreateLogDrainRequestBody$outboundSchema;
  })(CreateLogDrainRequestBody$ ||= {});
  CreateLogDrainRequest$inboundSchema = objectType({
    teamId: stringType().optional(),
    slug: stringType().optional(),
    RequestBody: lazyType(() => CreateLogDrainRequestBody$inboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  CreateLogDrainRequest$outboundSchema = objectType({
    teamId: stringType().optional(),
    slug: stringType().optional(),
    requestBody: lazyType(() => CreateLogDrainRequestBody$outboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((CreateLogDrainRequest$) => {
    CreateLogDrainRequest$.inboundSchema = CreateLogDrainRequest$inboundSchema;
    CreateLogDrainRequest$.outboundSchema = CreateLogDrainRequest$outboundSchema;
  })(CreateLogDrainRequest$ ||= {});
  CreateLogDrainDeliveryFormat$inboundSchema = nativeEnumType(CreateLogDrainDeliveryFormat);
  CreateLogDrainDeliveryFormat$outboundSchema = CreateLogDrainDeliveryFormat$inboundSchema;
  ((CreateLogDrainDeliveryFormat$) => {
    CreateLogDrainDeliveryFormat$.inboundSchema = CreateLogDrainDeliveryFormat$inboundSchema;
    CreateLogDrainDeliveryFormat$.outboundSchema = CreateLogDrainDeliveryFormat$outboundSchema;
  })(CreateLogDrainDeliveryFormat$ ||= {});
  CreateLogDrainSources$inboundSchema = nativeEnumType(CreateLogDrainSources);
  CreateLogDrainSources$outboundSchema = CreateLogDrainSources$inboundSchema;
  ((CreateLogDrainSources$) => {
    CreateLogDrainSources$.inboundSchema = CreateLogDrainSources$inboundSchema;
    CreateLogDrainSources$.outboundSchema = CreateLogDrainSources$outboundSchema;
  })(CreateLogDrainSources$ ||= {});
  CreateLogDrainCreatedFrom$inboundSchema = nativeEnumType(CreateLogDrainCreatedFrom);
  CreateLogDrainCreatedFrom$outboundSchema = CreateLogDrainCreatedFrom$inboundSchema;
  ((CreateLogDrainCreatedFrom$) => {
    CreateLogDrainCreatedFrom$.inboundSchema = CreateLogDrainCreatedFrom$inboundSchema;
    CreateLogDrainCreatedFrom$.outboundSchema = CreateLogDrainCreatedFrom$outboundSchema;
  })(CreateLogDrainCreatedFrom$ ||= {});
  CreateLogDrainEnvironments$inboundSchema = nativeEnumType(CreateLogDrainEnvironments);
  CreateLogDrainEnvironments$outboundSchema = CreateLogDrainEnvironments$inboundSchema;
  ((CreateLogDrainEnvironments$) => {
    CreateLogDrainEnvironments$.inboundSchema = CreateLogDrainEnvironments$inboundSchema;
    CreateLogDrainEnvironments$.outboundSchema = CreateLogDrainEnvironments$outboundSchema;
  })(CreateLogDrainEnvironments$ ||= {});
  CreateLogDrainResponseBody$inboundSchema = objectType({
    clientId: stringType().optional(),
    configurationId: stringType().optional(),
    createdAt: numberType(),
    id: stringType(),
    deliveryFormat: CreateLogDrainDeliveryFormat$inboundSchema.optional(),
    name: stringType(),
    ownerId: stringType(),
    projectId: nullableType(stringType()).optional(),
    projectIds: arrayType(stringType()).optional(),
    url: stringType(),
    sources: arrayType(CreateLogDrainSources$inboundSchema).optional(),
    createdFrom: CreateLogDrainCreatedFrom$inboundSchema.optional(),
    headers: recordType(stringType()).optional(),
    environments: arrayType(CreateLogDrainEnvironments$inboundSchema),
    branch: stringType().optional(),
    samplingRate: numberType().optional()
  });
  CreateLogDrainResponseBody$outboundSchema = objectType({
    clientId: stringType().optional(),
    configurationId: stringType().optional(),
    createdAt: numberType(),
    id: stringType(),
    deliveryFormat: CreateLogDrainDeliveryFormat$outboundSchema.optional(),
    name: stringType(),
    ownerId: stringType(),
    projectId: nullableType(stringType()).optional(),
    projectIds: arrayType(stringType()).optional(),
    url: stringType(),
    sources: arrayType(CreateLogDrainSources$outboundSchema).optional(),
    createdFrom: CreateLogDrainCreatedFrom$outboundSchema.optional(),
    headers: recordType(stringType()).optional(),
    environments: arrayType(CreateLogDrainEnvironments$outboundSchema),
    branch: stringType().optional(),
    samplingRate: numberType().optional()
  });
  ((CreateLogDrainResponseBody$) => {
    CreateLogDrainResponseBody$.inboundSchema = CreateLogDrainResponseBody$inboundSchema;
    CreateLogDrainResponseBody$.outboundSchema = CreateLogDrainResponseBody$outboundSchema;
  })(CreateLogDrainResponseBody$ ||= {});
});

// src/funcs/logDrainsCreateLogDrain.ts
function logDrainsCreateLogDrain(client, request, options) {
  return new APIPromise($do88(client, request, options));
}
async function $do88(client, request, options) {
  const parsed = safeParse(request, (value) => CreateLogDrainRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const path = pathToFunc("/v2/integrations/log-drains")();
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "createLogDrain",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, CreateLogDrainResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_logDrainsCreateLogDrain = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_createlogdrainop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/logDrainsCreateLogDrain.ts
var args87, tool$logDrainsCreateLogDrain;
var init_logDrainsCreateLogDrain2 = __esm(() => {
  init_logDrainsCreateLogDrain();
  init_createlogdrainop();
  init_tools();
  args87 = {
    request: CreateLogDrainRequest$inboundSchema
  };
  tool$logDrainsCreateLogDrain = {
    name: "log-drains-create-log-drain",
    description: `Creates a new Integration Log Drain

Creates an Integration log drain. This endpoint must be called with an OAuth2 client (integration), since log drains are tied to integrations. If it is called with a different token type it will produce a 400 error.`,
    args: args87,
    tool: async (client, args88, ctx) => {
      const [result, apiCall] = await logDrainsCreateLogDrain(client, args88.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/deleteconfigurablelogdrainop.ts
var DeleteConfigurableLogDrainRequest$inboundSchema, DeleteConfigurableLogDrainRequest$outboundSchema, DeleteConfigurableLogDrainRequest$;
var init_deleteconfigurablelogdrainop = __esm(() => {
  init_esm();
  DeleteConfigurableLogDrainRequest$inboundSchema = objectType({
    id: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  DeleteConfigurableLogDrainRequest$outboundSchema = objectType({
    id: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((DeleteConfigurableLogDrainRequest$) => {
    DeleteConfigurableLogDrainRequest$.inboundSchema = DeleteConfigurableLogDrainRequest$inboundSchema;
    DeleteConfigurableLogDrainRequest$.outboundSchema = DeleteConfigurableLogDrainRequest$outboundSchema;
  })(DeleteConfigurableLogDrainRequest$ ||= {});
});

// src/funcs/logDrainsDeleteConfigurableLogDrain.ts
function logDrainsDeleteConfigurableLogDrain(client, request, options) {
  return new APIPromise($do89(client, request, options));
}
async function $do89(client, request, options) {
  const parsed = safeParse(request, (value) => DeleteConfigurableLogDrainRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    id: encodeSimple("id", payload.id, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/log-drains/{id}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "deleteConfigurableLogDrain",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "DELETE",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(nil(204, voidType()), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_logDrainsDeleteConfigurableLogDrain = __esm(() => {
  init_esm();
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_deleteconfigurablelogdrainop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/logDrainsDeleteConfigurableLogDrain.ts
var args88, tool$logDrainsDeleteConfigurableLogDrain;
var init_logDrainsDeleteConfigurableLogDrain2 = __esm(() => {
  init_logDrainsDeleteConfigurableLogDrain();
  init_deleteconfigurablelogdrainop();
  init_tools();
  args88 = {
    request: DeleteConfigurableLogDrainRequest$inboundSchema
  };
  tool$logDrainsDeleteConfigurableLogDrain = {
    name: "log-drains-delete-configurable-log-drain",
    description: `Deletes a Configurable Log Drain

Deletes a Configurable Log Drain. This endpoint must be called with a team AccessToken (integration OAuth2 clients are not allowed). Only log drains owned by the authenticated team can be deleted.`,
    args: args88,
    tool: async (client, args89, ctx) => {
      const [result, apiCall] = await logDrainsDeleteConfigurableLogDrain(client, args89.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      return formatResult(undefined, apiCall);
    }
  };
});

// src/models/deleteintegrationlogdrainop.ts
var DeleteIntegrationLogDrainRequest$inboundSchema, DeleteIntegrationLogDrainRequest$outboundSchema, DeleteIntegrationLogDrainRequest$;
var init_deleteintegrationlogdrainop = __esm(() => {
  init_esm();
  DeleteIntegrationLogDrainRequest$inboundSchema = objectType({
    id: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  DeleteIntegrationLogDrainRequest$outboundSchema = objectType({
    id: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((DeleteIntegrationLogDrainRequest$) => {
    DeleteIntegrationLogDrainRequest$.inboundSchema = DeleteIntegrationLogDrainRequest$inboundSchema;
    DeleteIntegrationLogDrainRequest$.outboundSchema = DeleteIntegrationLogDrainRequest$outboundSchema;
  })(DeleteIntegrationLogDrainRequest$ ||= {});
});

// src/funcs/logDrainsDeleteIntegrationLogDrain.ts
function logDrainsDeleteIntegrationLogDrain(client, request, options) {
  return new APIPromise($do90(client, request, options));
}
async function $do90(client, request, options) {
  const parsed = safeParse(request, (value) => DeleteIntegrationLogDrainRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    id: encodeSimple("id", payload.id, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/integrations/log-drains/{id}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "deleteIntegrationLogDrain",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "DELETE",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(nil(204, voidType()), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_logDrainsDeleteIntegrationLogDrain = __esm(() => {
  init_esm();
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_deleteintegrationlogdrainop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/logDrainsDeleteIntegrationLogDrain.ts
var args89, tool$logDrainsDeleteIntegrationLogDrain;
var init_logDrainsDeleteIntegrationLogDrain2 = __esm(() => {
  init_logDrainsDeleteIntegrationLogDrain();
  init_deleteintegrationlogdrainop();
  init_tools();
  args89 = {
    request: DeleteIntegrationLogDrainRequest$inboundSchema
  };
  tool$logDrainsDeleteIntegrationLogDrain = {
    name: "log-drains-delete-integration-log-drain",
    description: `Deletes the Integration log drain with the provided \`id\`

Deletes the Integration log drain with the provided \`id\`. When using an OAuth2 Token, the log drain can be deleted only if the integration owns it.`,
    args: args89,
    tool: async (client, args90, ctx) => {
      const [result, apiCall] = await logDrainsDeleteIntegrationLogDrain(client, args90.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      return formatResult(undefined, apiCall);
    }
  };
});

// src/models/getintegrationlogdrainsop.ts
var GetIntegrationLogDrainsDeliveryFormat, GetIntegrationLogDrainsSources, CreatedFrom, GetIntegrationLogDrainsEnvironments, GetIntegrationLogDrainsRequest$inboundSchema, GetIntegrationLogDrainsRequest$outboundSchema, GetIntegrationLogDrainsRequest$, GetIntegrationLogDrainsDeliveryFormat$inboundSchema, GetIntegrationLogDrainsDeliveryFormat$outboundSchema, GetIntegrationLogDrainsDeliveryFormat$, GetIntegrationLogDrainsSources$inboundSchema, GetIntegrationLogDrainsSources$outboundSchema, GetIntegrationLogDrainsSources$, CreatedFrom$inboundSchema, CreatedFrom$outboundSchema, CreatedFrom$, GetIntegrationLogDrainsEnvironments$inboundSchema, GetIntegrationLogDrainsEnvironments$outboundSchema, GetIntegrationLogDrainsEnvironments$, GetIntegrationLogDrainsResponseBody$inboundSchema, GetIntegrationLogDrainsResponseBody$outboundSchema, GetIntegrationLogDrainsResponseBody$;
var init_getintegrationlogdrainsop = __esm(() => {
  init_esm();
  GetIntegrationLogDrainsDeliveryFormat = {
    Json: "json",
    Ndjson: "ndjson",
    Syslog: "syslog",
    Protobuf: "protobuf"
  };
  GetIntegrationLogDrainsSources = {
    Build: "build",
    Edge: "edge",
    Lambda: "lambda",
    Static: "static",
    External: "external",
    Firewall: "firewall"
  };
  CreatedFrom = {
    Integration: "integration",
    SelfServed: "self-served"
  };
  GetIntegrationLogDrainsEnvironments = {
    Production: "production",
    Preview: "preview"
  };
  GetIntegrationLogDrainsRequest$inboundSchema = objectType({
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  GetIntegrationLogDrainsRequest$outboundSchema = objectType({
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((GetIntegrationLogDrainsRequest$) => {
    GetIntegrationLogDrainsRequest$.inboundSchema = GetIntegrationLogDrainsRequest$inboundSchema;
    GetIntegrationLogDrainsRequest$.outboundSchema = GetIntegrationLogDrainsRequest$outboundSchema;
  })(GetIntegrationLogDrainsRequest$ ||= {});
  GetIntegrationLogDrainsDeliveryFormat$inboundSchema = nativeEnumType(GetIntegrationLogDrainsDeliveryFormat);
  GetIntegrationLogDrainsDeliveryFormat$outboundSchema = GetIntegrationLogDrainsDeliveryFormat$inboundSchema;
  ((GetIntegrationLogDrainsDeliveryFormat$) => {
    GetIntegrationLogDrainsDeliveryFormat$.inboundSchema = GetIntegrationLogDrainsDeliveryFormat$inboundSchema;
    GetIntegrationLogDrainsDeliveryFormat$.outboundSchema = GetIntegrationLogDrainsDeliveryFormat$outboundSchema;
  })(GetIntegrationLogDrainsDeliveryFormat$ ||= {});
  GetIntegrationLogDrainsSources$inboundSchema = nativeEnumType(GetIntegrationLogDrainsSources);
  GetIntegrationLogDrainsSources$outboundSchema = GetIntegrationLogDrainsSources$inboundSchema;
  ((GetIntegrationLogDrainsSources$) => {
    GetIntegrationLogDrainsSources$.inboundSchema = GetIntegrationLogDrainsSources$inboundSchema;
    GetIntegrationLogDrainsSources$.outboundSchema = GetIntegrationLogDrainsSources$outboundSchema;
  })(GetIntegrationLogDrainsSources$ ||= {});
  CreatedFrom$inboundSchema = nativeEnumType(CreatedFrom);
  CreatedFrom$outboundSchema = CreatedFrom$inboundSchema;
  ((CreatedFrom$) => {
    CreatedFrom$.inboundSchema = CreatedFrom$inboundSchema;
    CreatedFrom$.outboundSchema = CreatedFrom$outboundSchema;
  })(CreatedFrom$ ||= {});
  GetIntegrationLogDrainsEnvironments$inboundSchema = nativeEnumType(GetIntegrationLogDrainsEnvironments);
  GetIntegrationLogDrainsEnvironments$outboundSchema = GetIntegrationLogDrainsEnvironments$inboundSchema;
  ((GetIntegrationLogDrainsEnvironments$) => {
    GetIntegrationLogDrainsEnvironments$.inboundSchema = GetIntegrationLogDrainsEnvironments$inboundSchema;
    GetIntegrationLogDrainsEnvironments$.outboundSchema = GetIntegrationLogDrainsEnvironments$outboundSchema;
  })(GetIntegrationLogDrainsEnvironments$ ||= {});
  GetIntegrationLogDrainsResponseBody$inboundSchema = objectType({
    clientId: stringType().optional(),
    configurationId: stringType().optional(),
    createdAt: numberType(),
    id: stringType(),
    deliveryFormat: GetIntegrationLogDrainsDeliveryFormat$inboundSchema.optional(),
    name: stringType(),
    ownerId: stringType(),
    projectId: nullableType(stringType()).optional(),
    projectIds: arrayType(stringType()).optional(),
    url: stringType(),
    sources: arrayType(GetIntegrationLogDrainsSources$inboundSchema).optional(),
    createdFrom: CreatedFrom$inboundSchema.optional(),
    headers: recordType(stringType()).optional(),
    environments: arrayType(GetIntegrationLogDrainsEnvironments$inboundSchema),
    branch: stringType().optional(),
    samplingRate: numberType().optional()
  });
  GetIntegrationLogDrainsResponseBody$outboundSchema = objectType({
    clientId: stringType().optional(),
    configurationId: stringType().optional(),
    createdAt: numberType(),
    id: stringType(),
    deliveryFormat: GetIntegrationLogDrainsDeliveryFormat$outboundSchema.optional(),
    name: stringType(),
    ownerId: stringType(),
    projectId: nullableType(stringType()).optional(),
    projectIds: arrayType(stringType()).optional(),
    url: stringType(),
    sources: arrayType(GetIntegrationLogDrainsSources$outboundSchema).optional(),
    createdFrom: CreatedFrom$outboundSchema.optional(),
    headers: recordType(stringType()).optional(),
    environments: arrayType(GetIntegrationLogDrainsEnvironments$outboundSchema),
    branch: stringType().optional(),
    samplingRate: numberType().optional()
  });
  ((GetIntegrationLogDrainsResponseBody$) => {
    GetIntegrationLogDrainsResponseBody$.inboundSchema = GetIntegrationLogDrainsResponseBody$inboundSchema;
    GetIntegrationLogDrainsResponseBody$.outboundSchema = GetIntegrationLogDrainsResponseBody$outboundSchema;
  })(GetIntegrationLogDrainsResponseBody$ ||= {});
});

// src/funcs/logDrainsGetIntegrationLogDrains.ts
function logDrainsGetIntegrationLogDrains(client, request, options) {
  return new APIPromise($do91(client, request, options));
}
async function $do91(client, request, options) {
  const parsed = safeParse(request, (value) => GetIntegrationLogDrainsRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const path = pathToFunc("/v2/integrations/log-drains")();
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "getIntegrationLogDrains",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, arrayType(GetIntegrationLogDrainsResponseBody$inboundSchema)), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_logDrainsGetIntegrationLogDrains = __esm(() => {
  init_esm();
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_getintegrationlogdrainsop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/logDrainsGetIntegrationLogDrains.ts
var args90, tool$logDrainsGetIntegrationLogDrains;
var init_logDrainsGetIntegrationLogDrains2 = __esm(() => {
  init_logDrainsGetIntegrationLogDrains();
  init_getintegrationlogdrainsop();
  init_tools();
  args90 = {
    request: GetIntegrationLogDrainsRequest$inboundSchema
  };
  tool$logDrainsGetIntegrationLogDrains = {
    name: "log-drains-get-integration-log-drains",
    description: `Retrieves a list of Integration log drains

Retrieves a list of all Integration log drains that are defined for the authenticated user or team. When using an OAuth2 token, the list is limited to log drains created by the authenticated integration.`,
    args: args90,
    tool: async (client, args91, ctx) => {
      const [result, apiCall] = await logDrainsGetIntegrationLogDrains(client, args91.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/getruntimelogsop.ts
var GetRuntimeLogsLevel, GetRuntimeLogsSource, GetRuntimeLogsRequest$inboundSchema, GetRuntimeLogsRequest$outboundSchema, GetRuntimeLogsRequest$, GetRuntimeLogsLevel$inboundSchema, GetRuntimeLogsLevel$outboundSchema, GetRuntimeLogsLevel$, GetRuntimeLogsSource$inboundSchema, GetRuntimeLogsSource$outboundSchema, GetRuntimeLogsSource$, GetRuntimeLogsResponseBody$inboundSchema, GetRuntimeLogsResponseBody$outboundSchema, GetRuntimeLogsResponseBody$;
var init_getruntimelogsop = __esm(() => {
  init_esm();
  GetRuntimeLogsLevel = {
    Error: "error",
    Warning: "warning",
    Info: "info"
  };
  GetRuntimeLogsSource = {
    Delimiter: "delimiter",
    EdgeFunction: "edge-function",
    EdgeMiddleware: "edge-middleware",
    Serverless: "serverless",
    Request: "request"
  };
  GetRuntimeLogsRequest$inboundSchema = objectType({
    projectId: stringType(),
    deploymentId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  GetRuntimeLogsRequest$outboundSchema = objectType({
    projectId: stringType(),
    deploymentId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((GetRuntimeLogsRequest$) => {
    GetRuntimeLogsRequest$.inboundSchema = GetRuntimeLogsRequest$inboundSchema;
    GetRuntimeLogsRequest$.outboundSchema = GetRuntimeLogsRequest$outboundSchema;
  })(GetRuntimeLogsRequest$ ||= {});
  GetRuntimeLogsLevel$inboundSchema = nativeEnumType(GetRuntimeLogsLevel);
  GetRuntimeLogsLevel$outboundSchema = GetRuntimeLogsLevel$inboundSchema;
  ((GetRuntimeLogsLevel$) => {
    GetRuntimeLogsLevel$.inboundSchema = GetRuntimeLogsLevel$inboundSchema;
    GetRuntimeLogsLevel$.outboundSchema = GetRuntimeLogsLevel$outboundSchema;
  })(GetRuntimeLogsLevel$ ||= {});
  GetRuntimeLogsSource$inboundSchema = nativeEnumType(GetRuntimeLogsSource);
  GetRuntimeLogsSource$outboundSchema = GetRuntimeLogsSource$inboundSchema;
  ((GetRuntimeLogsSource$) => {
    GetRuntimeLogsSource$.inboundSchema = GetRuntimeLogsSource$inboundSchema;
    GetRuntimeLogsSource$.outboundSchema = GetRuntimeLogsSource$outboundSchema;
  })(GetRuntimeLogsSource$ ||= {});
  GetRuntimeLogsResponseBody$inboundSchema = objectType({
    level: GetRuntimeLogsLevel$inboundSchema,
    message: stringType(),
    rowId: stringType(),
    source: GetRuntimeLogsSource$inboundSchema,
    timestampInMs: numberType(),
    domain: stringType(),
    messageTruncated: booleanType(),
    requestMethod: stringType(),
    requestPath: stringType(),
    responseStatusCode: numberType()
  });
  GetRuntimeLogsResponseBody$outboundSchema = objectType({
    level: GetRuntimeLogsLevel$outboundSchema,
    message: stringType(),
    rowId: stringType(),
    source: GetRuntimeLogsSource$outboundSchema,
    timestampInMs: numberType(),
    domain: stringType(),
    messageTruncated: booleanType(),
    requestMethod: stringType(),
    requestPath: stringType(),
    responseStatusCode: numberType()
  });
  ((GetRuntimeLogsResponseBody$) => {
    GetRuntimeLogsResponseBody$.inboundSchema = GetRuntimeLogsResponseBody$inboundSchema;
    GetRuntimeLogsResponseBody$.outboundSchema = GetRuntimeLogsResponseBody$outboundSchema;
  })(GetRuntimeLogsResponseBody$ ||= {});
});

// src/funcs/logsGetRuntimeLogs.ts
function logsGetRuntimeLogs(client, request, options) {
  return new APIPromise($do92(client, request, options));
}
async function $do92(client, request, options) {
  const parsed = safeParse(request, (value) => GetRuntimeLogsRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    deploymentId: encodeSimple("deploymentId", payload.deploymentId, {
      explode: false,
      charEncoding: "percent"
    }),
    projectId: encodeSimple("projectId", payload.projectId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/projects/{projectId}/deployments/{deploymentId}/runtime-logs")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/stream+json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "getRuntimeLogs",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetRuntimeLogsResponseBody$inboundSchema, {
    ctype: "application/stream+json"
  }), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_logsGetRuntimeLogs = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_getruntimelogsop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/logsGetRuntimeLogs.ts
var args91, tool$logsGetRuntimeLogs;
var init_logsGetRuntimeLogs2 = __esm(() => {
  init_logsGetRuntimeLogs();
  init_getruntimelogsop();
  init_tools();
  args91 = {
    request: GetRuntimeLogsRequest$inboundSchema
  };
  tool$logsGetRuntimeLogs = {
    name: "logs-get-runtime-logs",
    description: `Get logs for a deployment

Returns a stream of logs for a given deployment.`,
    args: args91,
    tool: async (client, args92, ctx) => {
      const [result, apiCall] = await logsGetRuntimeLogs(client, args92.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/createeventop.ts
var CreateEventEventType, EventType, CreateEventEventType$inboundSchema, CreateEventEventType$outboundSchema, CreateEventEventType$, Event2$inboundSchema, Event2$outboundSchema, Event2$, EventType$inboundSchema, EventType$outboundSchema, EventType$, Event1$inboundSchema, Event1$outboundSchema, Event1$, CreateEventEvent$inboundSchema, CreateEventEvent$outboundSchema, CreateEventEvent$, CreateEventRequestBody$inboundSchema, CreateEventRequestBody$outboundSchema, CreateEventRequestBody$, CreateEventRequest$inboundSchema, CreateEventRequest$outboundSchema, CreateEventRequest$;
var init_createeventop = __esm(() => {
  init_esm();
  init_primitives();
  CreateEventEventType = {
    ResourceUpdated: "resource.updated"
  };
  EventType = {
    InstallationUpdated: "installation.updated"
  };
  CreateEventEventType$inboundSchema = nativeEnumType(CreateEventEventType);
  CreateEventEventType$outboundSchema = CreateEventEventType$inboundSchema;
  ((CreateEventEventType$) => {
    CreateEventEventType$.inboundSchema = CreateEventEventType$inboundSchema;
    CreateEventEventType$.outboundSchema = CreateEventEventType$outboundSchema;
  })(CreateEventEventType$ ||= {});
  Event2$inboundSchema = objectType({
    type: CreateEventEventType$inboundSchema,
    productId: stringType(),
    resourceId: stringType()
  });
  Event2$outboundSchema = objectType({
    type: CreateEventEventType$outboundSchema,
    productId: stringType(),
    resourceId: stringType()
  });
  ((Event2$) => {
    Event2$.inboundSchema = Event2$inboundSchema;
    Event2$.outboundSchema = Event2$outboundSchema;
  })(Event2$ ||= {});
  EventType$inboundSchema = nativeEnumType(EventType);
  EventType$outboundSchema = EventType$inboundSchema;
  ((EventType$) => {
    EventType$.inboundSchema = EventType$inboundSchema;
    EventType$.outboundSchema = EventType$outboundSchema;
  })(EventType$ ||= {});
  Event1$inboundSchema = objectType({
    type: EventType$inboundSchema,
    billingPlanId: stringType().optional()
  });
  Event1$outboundSchema = objectType({
    type: EventType$outboundSchema,
    billingPlanId: stringType().optional()
  });
  ((Event1$) => {
    Event1$.inboundSchema = Event1$inboundSchema;
    Event1$.outboundSchema = Event1$outboundSchema;
  })(Event1$ ||= {});
  CreateEventEvent$inboundSchema = unionType([
    lazyType(() => Event1$inboundSchema),
    lazyType(() => Event2$inboundSchema)
  ]);
  CreateEventEvent$outboundSchema = unionType([
    lazyType(() => Event1$outboundSchema),
    lazyType(() => Event2$outboundSchema)
  ]);
  ((CreateEventEvent$) => {
    CreateEventEvent$.inboundSchema = CreateEventEvent$inboundSchema;
    CreateEventEvent$.outboundSchema = CreateEventEvent$outboundSchema;
  })(CreateEventEvent$ ||= {});
  CreateEventRequestBody$inboundSchema = objectType({
    event: unionType([
      lazyType(() => Event1$inboundSchema),
      lazyType(() => Event2$inboundSchema)
    ])
  });
  CreateEventRequestBody$outboundSchema = objectType({
    event: unionType([
      lazyType(() => Event1$outboundSchema),
      lazyType(() => Event2$outboundSchema)
    ])
  });
  ((CreateEventRequestBody$) => {
    CreateEventRequestBody$.inboundSchema = CreateEventRequestBody$inboundSchema;
    CreateEventRequestBody$.outboundSchema = CreateEventRequestBody$outboundSchema;
  })(CreateEventRequestBody$ ||= {});
  CreateEventRequest$inboundSchema = objectType({
    integrationConfigurationId: stringType(),
    RequestBody: lazyType(() => CreateEventRequestBody$inboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  CreateEventRequest$outboundSchema = objectType({
    integrationConfigurationId: stringType(),
    requestBody: lazyType(() => CreateEventRequestBody$outboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((CreateEventRequest$) => {
    CreateEventRequest$.inboundSchema = CreateEventRequest$inboundSchema;
    CreateEventRequest$.outboundSchema = CreateEventRequest$outboundSchema;
  })(CreateEventRequest$ ||= {});
});

// src/funcs/marketplaceCreateEvent.ts
function marketplaceCreateEvent(client, request, options) {
  return new APIPromise($do93(client, request, options));
}
async function $do93(client, request, options) {
  const parsed = safeParse(request, (value) => CreateEventRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    integrationConfigurationId: encodeSimple("integrationConfigurationId", payload.integrationConfigurationId, { explode: false, charEncoding: "percent" })
  };
  const path = pathToFunc("/v1/installations/{integrationConfigurationId}/events")(pathParams);
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "create-event",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(nil(201, voidType()), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_marketplaceCreateEvent = __esm(() => {
  init_esm();
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_createeventop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/marketplaceCreateEvent.ts
var args92, tool$marketplaceCreateEvent;
var init_marketplaceCreateEvent2 = __esm(() => {
  init_marketplaceCreateEvent();
  init_createeventop();
  init_tools();
  args92 = {
    request: CreateEventRequest$inboundSchema
  };
  tool$marketplaceCreateEvent = {
    name: "marketplace-create-event",
    description: `Create Event

Partner notifies Vercel of any changes made to an Installation or a Resource. Vercel is expected to use \`list-resources\` and other read APIs to get the new state.<br/> <br/> \`resource.updated\` event should be dispatched when any state of a resource linked to Vercel is modified by the partner.<br/> \`installation.updated\` event should be dispatched when an installation's billing plan is changed via the provider instead of Vercel.<br/> <br/> Resource update use cases: <br/> <br/> - The user renames a database in the partner’s application. The partner should dispatch a \`resource.updated\` event to notify Vercel to update the resource in Vercel’s datastores.<br/> - A resource has been suspended due to a lack of use. The partner should dispatch a \`resource.updated\` event to notify Vercel to update the resource's status in Vercel's datastores.<br/>`,
    args: args92,
    tool: async (client, args93, ctx) => {
      const [result, apiCall] = await marketplaceCreateEvent(client, args93.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      return formatResult(undefined, apiCall);
    }
  };
});

// src/models/postv1installationsintegrationconfigurationidresourcesresourceidexperimentationitemsop.ts
var Category, Category$inboundSchema, Category$outboundSchema, Category$, PostV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItems$inboundSchema, PostV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItems$outboundSchema, PostV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItems$, PostV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsRequestBody$inboundSchema, PostV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsRequestBody$outboundSchema, PostV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsRequestBody$, PostV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsRequest$inboundSchema, PostV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsRequest$outboundSchema, PostV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsRequest$;
var init_postv1installationsintegrationconfigurationidresourcesresourceidexperimentationitemsop = __esm(() => {
  init_esm();
  init_primitives();
  Category = {
    Experiment: "experiment",
    Flag: "flag"
  };
  Category$inboundSchema = nativeEnumType(Category);
  Category$outboundSchema = Category$inboundSchema;
  ((Category$) => {
    Category$.inboundSchema = Category$inboundSchema;
    Category$.outboundSchema = Category$outboundSchema;
  })(Category$ ||= {});
  PostV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItems$inboundSchema = objectType({
    id: stringType(),
    slug: stringType(),
    origin: stringType(),
    category: Category$inboundSchema.optional(),
    name: stringType().optional(),
    description: stringType().optional(),
    isArchived: booleanType().optional(),
    createdAt: numberType().optional(),
    updatedAt: numberType().optional()
  });
  PostV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItems$outboundSchema = objectType({
    id: stringType(),
    slug: stringType(),
    origin: stringType(),
    category: Category$outboundSchema.optional(),
    name: stringType().optional(),
    description: stringType().optional(),
    isArchived: booleanType().optional(),
    createdAt: numberType().optional(),
    updatedAt: numberType().optional()
  });
  ((PostV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItems$) => {
    PostV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItems$.inboundSchema = PostV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItems$inboundSchema;
    PostV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItems$.outboundSchema = PostV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItems$outboundSchema;
  })(PostV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItems$ ||= {});
  PostV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsRequestBody$inboundSchema = objectType({
    items: arrayType(lazyType(() => PostV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItems$inboundSchema))
  });
  PostV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsRequestBody$outboundSchema = objectType({
    items: arrayType(lazyType(() => PostV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItems$outboundSchema))
  });
  ((PostV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsRequestBody$) => {
    PostV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsRequestBody$.inboundSchema = PostV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsRequestBody$inboundSchema;
    PostV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsRequestBody$.outboundSchema = PostV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsRequestBody$outboundSchema;
  })(PostV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsRequestBody$ ||= {});
  PostV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsRequest$inboundSchema = objectType({
    integrationConfigurationId: stringType(),
    resourceId: stringType(),
    RequestBody: lazyType(() => PostV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsRequestBody$inboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  PostV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsRequest$outboundSchema = objectType({
    integrationConfigurationId: stringType(),
    resourceId: stringType(),
    requestBody: lazyType(() => PostV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsRequestBody$outboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((PostV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsRequest$) => {
    PostV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsRequest$.inboundSchema = PostV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsRequest$inboundSchema;
    PostV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsRequest$.outboundSchema = PostV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsRequest$outboundSchema;
  })(PostV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsRequest$ ||= {});
});

// src/funcs/marketplaceCreateInstallationIntegrationConfiguration.ts
function marketplaceCreateInstallationIntegrationConfiguration(client, request, options) {
  return new APIPromise($do94(client, request, options));
}
async function $do94(client, request, options) {
  const parsed = safeParse(request, (value) => PostV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    integrationConfigurationId: encodeSimple("integrationConfigurationId", payload.integrationConfigurationId, { explode: false, charEncoding: "percent" }),
    resourceId: encodeSimple("resourceId", payload.resourceId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/installations/{integrationConfigurationId}/resources/{resourceId}/experimentation/items")(pathParams);
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "post_/v1/installations/{integrationConfigurationId}/resources/{resourceId}/experimentation/items",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(nil(204, voidType()), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_marketplaceCreateInstallationIntegrationConfiguration = __esm(() => {
  init_esm();
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_postv1installationsintegrationconfigurationidresourcesresourceidexperimentationitemsop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/marketplaceCreateInstallationIntegrationConfiguration.ts
var args93, tool$marketplaceCreateInstallationIntegrationConfiguration;
var init_marketplaceCreateInstallationIntegrationConfiguration2 = __esm(() => {
  init_marketplaceCreateInstallationIntegrationConfiguration();
  init_postv1installationsintegrationconfigurationidresourcesresourceidexperimentationitemsop();
  init_tools();
  args93 = {
    request: PostV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsRequest$inboundSchema
  };
  tool$marketplaceCreateInstallationIntegrationConfiguration = {
    name: "marketplace-create-installation-integration-configuration",
    description: `Create one or multiple experimentation items

Create one or multiple experimentation items`,
    args: args93,
    tool: async (client, args94, ctx) => {
      const [result, apiCall] = await marketplaceCreateInstallationIntegrationConfiguration(client, args94.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      return formatResult(undefined, apiCall);
    }
  };
});

// src/models/headv1installationsintegrationconfigurationidresourcesresourceidexperimentationedgeconfigop.ts
var HeadV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigRequest$inboundSchema, HeadV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigRequest$outboundSchema, HeadV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigRequest$, HeadV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigResponseBody$inboundSchema, HeadV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigResponseBody$outboundSchema, HeadV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigResponseBody$;
var init_headv1installationsintegrationconfigurationidresourcesresourceidexperimentationedgeconfigop = __esm(() => {
  init_esm();
  init_edgeconfigitemvalue();
  HeadV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigRequest$inboundSchema = objectType({
    integrationConfigurationId: stringType(),
    resourceId: stringType()
  });
  HeadV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigRequest$outboundSchema = objectType({
    integrationConfigurationId: stringType(),
    resourceId: stringType()
  });
  ((HeadV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigRequest$) => {
    HeadV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigRequest$.inboundSchema = HeadV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigRequest$inboundSchema;
    HeadV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigRequest$.outboundSchema = HeadV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigRequest$outboundSchema;
  })(HeadV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigRequest$ ||= {});
  HeadV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigResponseBody$inboundSchema = objectType({
    items: recordType(nullableType(EdgeConfigItemValue$inboundSchema)),
    updatedAt: numberType(),
    digest: stringType()
  });
  HeadV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigResponseBody$outboundSchema = objectType({
    items: recordType(nullableType(EdgeConfigItemValue$outboundSchema)),
    updatedAt: numberType(),
    digest: stringType()
  });
  ((HeadV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigResponseBody$) => {
    HeadV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigResponseBody$.inboundSchema = HeadV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigResponseBody$inboundSchema;
    HeadV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigResponseBody$.outboundSchema = HeadV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigResponseBody$outboundSchema;
  })(HeadV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigResponseBody$ ||= {});
});

// src/funcs/marketplaceCreateInstallationIntegrationEdgeConfig.ts
function marketplaceCreateInstallationIntegrationEdgeConfig(client, request, options) {
  return new APIPromise($do95(client, request, options));
}
async function $do95(client, request, options) {
  const parsed = safeParse(request, (value) => HeadV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    integrationConfigurationId: encodeSimple("integrationConfigurationId", payload.integrationConfigurationId, { explode: false, charEncoding: "percent" }),
    resourceId: encodeSimple("resourceId", payload.resourceId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/installations/{integrationConfigurationId}/resources/{resourceId}/experimentation/edge-config")(pathParams);
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "head_/v1/installations/{integrationConfigurationId}/resources/{resourceId}/experimentation/edge-config",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "HEAD",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, HeadV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigResponseBody$inboundSchema.optional()), nil(304, HeadV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigResponseBody$inboundSchema.optional()), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_marketplaceCreateInstallationIntegrationEdgeConfig = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_headv1installationsintegrationconfigurationidresourcesresourceidexperimentationedgeconfigop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/marketplaceCreateInstallationIntegrationEdgeConfig.ts
var args94, tool$marketplaceCreateInstallationIntegrationEdgeConfig;
var init_marketplaceCreateInstallationIntegrationEdgeConfig2 = __esm(() => {
  init_marketplaceCreateInstallationIntegrationEdgeConfig();
  init_headv1installationsintegrationconfigurationidresourcesresourceidexperimentationedgeconfigop();
  init_tools();
  args94 = {
    request: HeadV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigRequest$inboundSchema
  };
  tool$marketplaceCreateInstallationIntegrationEdgeConfig = {
    name: "marketplace-create-installation-integration-edge-config",
    description: `Get the data of a user-provided Edge Config

When the user enabled Edge Config syncing, then this endpoint can be used by the partner to fetch the contents of the Edge Config.`,
    args: args94,
    tool: async (client, args95, ctx) => {
      const [result, apiCall] = await marketplaceCreateInstallationIntegrationEdgeConfig(client, args95.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/deletev1installationsintegrationconfigurationidresourcesresourceidexperimentationitemsitemidop.ts
var DeleteV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdRequest$inboundSchema, DeleteV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdRequest$outboundSchema, DeleteV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdRequest$;
var init_deletev1installationsintegrationconfigurationidresourcesresourceidexperimentationitemsitemidop = __esm(() => {
  init_esm();
  DeleteV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdRequest$inboundSchema = objectType({
    integrationConfigurationId: stringType(),
    resourceId: stringType(),
    itemId: stringType()
  });
  DeleteV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdRequest$outboundSchema = objectType({
    integrationConfigurationId: stringType(),
    resourceId: stringType(),
    itemId: stringType()
  });
  ((DeleteV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdRequest$) => {
    DeleteV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdRequest$.inboundSchema = DeleteV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdRequest$inboundSchema;
    DeleteV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdRequest$.outboundSchema = DeleteV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdRequest$outboundSchema;
  })(DeleteV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdRequest$ ||= {});
});

// src/funcs/marketplaceDeleteInstallationIntegrationConfiguration.ts
function marketplaceDeleteInstallationIntegrationConfiguration(client, request, options) {
  return new APIPromise($do96(client, request, options));
}
async function $do96(client, request, options) {
  const parsed = safeParse(request, (value) => DeleteV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    integrationConfigurationId: encodeSimple("integrationConfigurationId", payload.integrationConfigurationId, { explode: false, charEncoding: "percent" }),
    itemId: encodeSimple("itemId", payload.itemId, {
      explode: false,
      charEncoding: "percent"
    }),
    resourceId: encodeSimple("resourceId", payload.resourceId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/installations/{integrationConfigurationId}/resources/{resourceId}/experimentation/items/{itemId}")(pathParams);
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "delete_/v1/installations/{integrationConfigurationId}/resources/{resourceId}/experimentation/items/{itemId}",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "DELETE",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(nil(204, voidType()), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_marketplaceDeleteInstallationIntegrationConfiguration = __esm(() => {
  init_esm();
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_deletev1installationsintegrationconfigurationidresourcesresourceidexperimentationitemsitemidop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/marketplaceDeleteInstallationIntegrationConfiguration.ts
var args95, tool$marketplaceDeleteInstallationIntegrationConfiguration;
var init_marketplaceDeleteInstallationIntegrationConfiguration2 = __esm(() => {
  init_marketplaceDeleteInstallationIntegrationConfiguration();
  init_deletev1installationsintegrationconfigurationidresourcesresourceidexperimentationitemsitemidop();
  init_tools();
  args95 = {
    request: DeleteV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdRequest$inboundSchema
  };
  tool$marketplaceDeleteInstallationIntegrationConfiguration = {
    name: "marketplace-delete-installation-integration-configuration",
    description: `Delete an existing experimentation item

Delete an existing experimentation item`,
    args: args95,
    tool: async (client, args96, ctx) => {
      const [result, apiCall] = await marketplaceDeleteInstallationIntegrationConfiguration(client, args96.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      return formatResult(undefined, apiCall);
    }
  };
});

// src/funcs/marketplaceExchangeSsoToken.ts
function marketplaceExchangeSsoToken(client, request, options) {
  return new APIPromise($do97(client, request, options));
}
async function $do97(client, request, options) {
  const parsed = safeParse(request, (value) => ExchangeSsoTokenRequestBody$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload, { explode: true });
  const path = pathToFunc("/v1/integrations/sso/token")();
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "exchange-sso-token",
    oAuth2Scopes: [],
    resolvedSecurity: null,
    securitySource: null,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "404", "4XX", "500", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, ExchangeSsoTokenResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail("4XX"), fail([500, "5XX"]))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_marketplaceExchangeSsoToken = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_url();
  init_exchangessotokenop();
  init_vercelbadrequesterror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/marketplaceExchangeSsoToken.ts
var args96, tool$marketplaceExchangeSsoToken;
var init_marketplaceExchangeSsoToken2 = __esm(() => {
  init_marketplaceExchangeSsoToken();
  init_exchangessotokenop();
  init_tools();
  args96 = {
    request: ExchangeSsoTokenRequestBody$inboundSchema
  };
  tool$marketplaceExchangeSsoToken = {
    name: "marketplace-exchange-sso-token",
    description: `SSO Token Exchange

During the autorization process, Vercel sends the user to the provider [redirectLoginUrl](https://vercel.com/docs/integrations/create-integration/submit-integration#redirect-login-url), that includes the OAuth authorization \`code\` parameter. The provider then calls the SSO Token Exchange endpoint with the sent code and receives the OIDC token. They log the user in based on this token and redirects the user back to the Vercel account using deep-link parameters included the redirectLoginUrl. Providers should not persist the returned \`id_token\` in a database since the token will expire. See [**Authentication with SSO**](https://vercel.com/docs/integrations/create-integration/marketplace-api#authentication-with-sso) for more details.`,
    args: args96,
    tool: async (client, args97, ctx) => {
      const [result, apiCall] = await marketplaceExchangeSsoToken(client, args97.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/getaccountinfoop.ts
var GetAccountInfoRequest$inboundSchema, GetAccountInfoRequest$outboundSchema, GetAccountInfoRequest$, Contact$inboundSchema, Contact$outboundSchema, Contact$, GetAccountInfoResponseBody$inboundSchema, GetAccountInfoResponseBody$outboundSchema, GetAccountInfoResponseBody$;
var init_getaccountinfoop = __esm(() => {
  init_esm();
  GetAccountInfoRequest$inboundSchema = objectType({
    integrationConfigurationId: stringType()
  });
  GetAccountInfoRequest$outboundSchema = objectType({
    integrationConfigurationId: stringType()
  });
  ((GetAccountInfoRequest$) => {
    GetAccountInfoRequest$.inboundSchema = GetAccountInfoRequest$inboundSchema;
    GetAccountInfoRequest$.outboundSchema = GetAccountInfoRequest$outboundSchema;
  })(GetAccountInfoRequest$ ||= {});
  Contact$inboundSchema = objectType({
    email: stringType(),
    name: stringType().optional()
  });
  Contact$outboundSchema = objectType({
    email: stringType(),
    name: stringType().optional()
  });
  ((Contact$) => {
    Contact$.inboundSchema = Contact$inboundSchema;
    Contact$.outboundSchema = Contact$outboundSchema;
  })(Contact$ ||= {});
  GetAccountInfoResponseBody$inboundSchema = objectType({
    name: stringType().optional(),
    url: stringType(),
    contact: nullableType(lazyType(() => Contact$inboundSchema))
  });
  GetAccountInfoResponseBody$outboundSchema = objectType({
    name: stringType().optional(),
    url: stringType(),
    contact: nullableType(lazyType(() => Contact$outboundSchema))
  });
  ((GetAccountInfoResponseBody$) => {
    GetAccountInfoResponseBody$.inboundSchema = GetAccountInfoResponseBody$inboundSchema;
    GetAccountInfoResponseBody$.outboundSchema = GetAccountInfoResponseBody$outboundSchema;
  })(GetAccountInfoResponseBody$ ||= {});
});

// src/funcs/marketplaceGetAccountInfo.ts
function marketplaceGetAccountInfo(client, request, options) {
  return new APIPromise($do98(client, request, options));
}
async function $do98(client, request, options) {
  const parsed = safeParse(request, (value) => GetAccountInfoRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    integrationConfigurationId: encodeSimple("integrationConfigurationId", payload.integrationConfigurationId, { explode: false, charEncoding: "percent" })
  };
  const path = pathToFunc("/v1/installations/{integrationConfigurationId}/account")(pathParams);
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "get-account-info",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetAccountInfoResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_marketplaceGetAccountInfo = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_getaccountinfoop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/marketplaceGetAccountInfo.ts
var args97, tool$marketplaceGetAccountInfo;
var init_marketplaceGetAccountInfo2 = __esm(() => {
  init_marketplaceGetAccountInfo();
  init_getaccountinfoop();
  init_tools();
  args97 = {
    request: GetAccountInfoRequest$inboundSchema
  };
  tool$marketplaceGetAccountInfo = {
    name: "marketplace-get-account-info",
    description: `Get Account Information

Fetches the best account or user’s contact info`,
    args: args97,
    tool: async (client, args98, ctx) => {
      const [result, apiCall] = await marketplaceGetAccountInfo(client, args98.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/getinvoiceop.ts
var State, GetInvoiceRequest$inboundSchema, GetInvoiceRequest$outboundSchema, GetInvoiceRequest$, State$inboundSchema, State$outboundSchema, State$, GetInvoicePeriod$inboundSchema, GetInvoicePeriod$outboundSchema, GetInvoicePeriod$, GetInvoiceItems$inboundSchema, GetInvoiceItems$outboundSchema, GetInvoiceItems$, GetInvoiceDiscounts$inboundSchema, GetInvoiceDiscounts$outboundSchema, GetInvoiceDiscounts$, GetInvoiceResponseBody$inboundSchema, GetInvoiceResponseBody$outboundSchema, GetInvoiceResponseBody$;
var init_getinvoiceop = __esm(() => {
  init_esm();
  State = {
    Pending: "pending",
    Scheduled: "scheduled",
    Invoiced: "invoiced",
    Paid: "paid",
    Notpaid: "notpaid",
    RefundRequested: "refund_requested",
    Refunded: "refunded"
  };
  GetInvoiceRequest$inboundSchema = objectType({
    integrationConfigurationId: stringType(),
    invoiceId: stringType()
  });
  GetInvoiceRequest$outboundSchema = objectType({
    integrationConfigurationId: stringType(),
    invoiceId: stringType()
  });
  ((GetInvoiceRequest$) => {
    GetInvoiceRequest$.inboundSchema = GetInvoiceRequest$inboundSchema;
    GetInvoiceRequest$.outboundSchema = GetInvoiceRequest$outboundSchema;
  })(GetInvoiceRequest$ ||= {});
  State$inboundSchema = nativeEnumType(State);
  State$outboundSchema = State$inboundSchema;
  ((State$) => {
    State$.inboundSchema = State$inboundSchema;
    State$.outboundSchema = State$outboundSchema;
  })(State$ ||= {});
  GetInvoicePeriod$inboundSchema = objectType({
    start: stringType(),
    end: stringType()
  });
  GetInvoicePeriod$outboundSchema = objectType({
    start: stringType(),
    end: stringType()
  });
  ((GetInvoicePeriod$) => {
    GetInvoicePeriod$.inboundSchema = GetInvoicePeriod$inboundSchema;
    GetInvoicePeriod$.outboundSchema = GetInvoicePeriod$outboundSchema;
  })(GetInvoicePeriod$ ||= {});
  GetInvoiceItems$inboundSchema = objectType({
    billingPlanId: stringType(),
    resourceId: stringType().optional(),
    start: stringType().optional(),
    end: stringType().optional(),
    name: stringType(),
    details: stringType().optional(),
    price: stringType(),
    quantity: numberType(),
    units: stringType(),
    total: stringType()
  });
  GetInvoiceItems$outboundSchema = objectType({
    billingPlanId: stringType(),
    resourceId: stringType().optional(),
    start: stringType().optional(),
    end: stringType().optional(),
    name: stringType(),
    details: stringType().optional(),
    price: stringType(),
    quantity: numberType(),
    units: stringType(),
    total: stringType()
  });
  ((GetInvoiceItems$) => {
    GetInvoiceItems$.inboundSchema = GetInvoiceItems$inboundSchema;
    GetInvoiceItems$.outboundSchema = GetInvoiceItems$outboundSchema;
  })(GetInvoiceItems$ ||= {});
  GetInvoiceDiscounts$inboundSchema = objectType({
    billingPlanId: stringType(),
    resourceId: stringType().optional(),
    start: stringType().optional(),
    end: stringType().optional(),
    name: stringType(),
    details: stringType().optional(),
    amount: stringType()
  });
  GetInvoiceDiscounts$outboundSchema = objectType({
    billingPlanId: stringType(),
    resourceId: stringType().optional(),
    start: stringType().optional(),
    end: stringType().optional(),
    name: stringType(),
    details: stringType().optional(),
    amount: stringType()
  });
  ((GetInvoiceDiscounts$) => {
    GetInvoiceDiscounts$.inboundSchema = GetInvoiceDiscounts$inboundSchema;
    GetInvoiceDiscounts$.outboundSchema = GetInvoiceDiscounts$outboundSchema;
  })(GetInvoiceDiscounts$ ||= {});
  GetInvoiceResponseBody$inboundSchema = objectType({
    test: booleanType().optional(),
    invoiceId: stringType(),
    externalId: stringType().optional(),
    state: State$inboundSchema,
    invoiceNumber: stringType().optional(),
    invoiceDate: stringType(),
    period: lazyType(() => GetInvoicePeriod$inboundSchema),
    memo: stringType().optional(),
    items: arrayType(lazyType(() => GetInvoiceItems$inboundSchema)),
    discounts: arrayType(lazyType(() => GetInvoiceDiscounts$inboundSchema)).optional(),
    total: stringType(),
    refundReason: stringType().optional(),
    refundTotal: stringType().optional(),
    created: stringType(),
    updated: stringType()
  });
  GetInvoiceResponseBody$outboundSchema = objectType({
    test: booleanType().optional(),
    invoiceId: stringType(),
    externalId: stringType().optional(),
    state: State$outboundSchema,
    invoiceNumber: stringType().optional(),
    invoiceDate: stringType(),
    period: lazyType(() => GetInvoicePeriod$outboundSchema),
    memo: stringType().optional(),
    items: arrayType(lazyType(() => GetInvoiceItems$outboundSchema)),
    discounts: arrayType(lazyType(() => GetInvoiceDiscounts$outboundSchema)).optional(),
    total: stringType(),
    refundReason: stringType().optional(),
    refundTotal: stringType().optional(),
    created: stringType(),
    updated: stringType()
  });
  ((GetInvoiceResponseBody$) => {
    GetInvoiceResponseBody$.inboundSchema = GetInvoiceResponseBody$inboundSchema;
    GetInvoiceResponseBody$.outboundSchema = GetInvoiceResponseBody$outboundSchema;
  })(GetInvoiceResponseBody$ ||= {});
});

// src/funcs/marketplaceGetInvoice.ts
function marketplaceGetInvoice(client, request, options) {
  return new APIPromise($do99(client, request, options));
}
async function $do99(client, request, options) {
  const parsed = safeParse(request, (value) => GetInvoiceRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    integrationConfigurationId: encodeSimple("integrationConfigurationId", payload.integrationConfigurationId, { explode: false, charEncoding: "percent" }),
    invoiceId: encodeSimple("invoiceId", payload.invoiceId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/installations/{integrationConfigurationId}/billing/invoices/{invoiceId}")(pathParams);
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "get-invoice",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetInvoiceResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_marketplaceGetInvoice = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_getinvoiceop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/marketplaceGetInvoice.ts
var args98, tool$marketplaceGetInvoice;
var init_marketplaceGetInvoice2 = __esm(() => {
  init_marketplaceGetInvoice();
  init_getinvoiceop();
  init_tools();
  args98 = {
    request: GetInvoiceRequest$inboundSchema
  };
  tool$marketplaceGetInvoice = {
    name: "marketplace-get-invoice",
    description: `Get Invoice

Get Invoice details and status for a given invoice ID.<br/> <br/> See Billing Events with Webhooks documentation on how to receive invoice events. This endpoint is used to retrieve the invoice details.`,
    args: args98,
    tool: async (client, args99, ctx) => {
      const [result, apiCall] = await marketplaceGetInvoice(client, args99.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/getmemberop.ts
var GetMemberRole, GetMemberRequest$inboundSchema, GetMemberRequest$outboundSchema, GetMemberRequest$, GetMemberRole$inboundSchema, GetMemberRole$outboundSchema, GetMemberRole$, GetMemberResponseBody$inboundSchema, GetMemberResponseBody$outboundSchema, GetMemberResponseBody$;
var init_getmemberop = __esm(() => {
  init_esm();
  GetMemberRole = {
    Admin: "ADMIN",
    User: "USER"
  };
  GetMemberRequest$inboundSchema = objectType({
    integrationConfigurationId: stringType(),
    memberId: stringType()
  });
  GetMemberRequest$outboundSchema = objectType({
    integrationConfigurationId: stringType(),
    memberId: stringType()
  });
  ((GetMemberRequest$) => {
    GetMemberRequest$.inboundSchema = GetMemberRequest$inboundSchema;
    GetMemberRequest$.outboundSchema = GetMemberRequest$outboundSchema;
  })(GetMemberRequest$ ||= {});
  GetMemberRole$inboundSchema = nativeEnumType(GetMemberRole);
  GetMemberRole$outboundSchema = GetMemberRole$inboundSchema;
  ((GetMemberRole$) => {
    GetMemberRole$.inboundSchema = GetMemberRole$inboundSchema;
    GetMemberRole$.outboundSchema = GetMemberRole$outboundSchema;
  })(GetMemberRole$ ||= {});
  GetMemberResponseBody$inboundSchema = objectType({
    id: stringType(),
    role: GetMemberRole$inboundSchema
  });
  GetMemberResponseBody$outboundSchema = objectType({
    id: stringType(),
    role: GetMemberRole$outboundSchema
  });
  ((GetMemberResponseBody$) => {
    GetMemberResponseBody$.inboundSchema = GetMemberResponseBody$inboundSchema;
    GetMemberResponseBody$.outboundSchema = GetMemberResponseBody$outboundSchema;
  })(GetMemberResponseBody$ ||= {});
});

// src/funcs/marketplaceGetMember.ts
function marketplaceGetMember(client, request, options) {
  return new APIPromise($do100(client, request, options));
}
async function $do100(client, request, options) {
  const parsed = safeParse(request, (value) => GetMemberRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    integrationConfigurationId: encodeSimple("integrationConfigurationId", payload.integrationConfigurationId, { explode: false, charEncoding: "percent" }),
    memberId: encodeSimple("memberId", payload.memberId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/installations/{integrationConfigurationId}/member/{memberId}")(pathParams);
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "get-member",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetMemberResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_marketplaceGetMember = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_getmemberop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/marketplaceGetMember.ts
var args99, tool$marketplaceGetMember;
var init_marketplaceGetMember2 = __esm(() => {
  init_marketplaceGetMember();
  init_getmemberop();
  init_tools();
  args99 = {
    request: GetMemberRequest$inboundSchema
  };
  tool$marketplaceGetMember = {
    name: "marketplace-get-member",
    description: `Get Member Information

Returns the member role and other information for a given member ID ("user_id" claim in the SSO OIDC token).`,
    args: args99,
    tool: async (client, args100, ctx) => {
      const [result, apiCall] = await marketplaceGetMember(client, args100.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/importresourceop.ts
var ImportResourceStatus, ImportResourceType, Level, ImportResourceStatus$inboundSchema, ImportResourceStatus$outboundSchema, ImportResourceStatus$, ImportResourceType$inboundSchema, ImportResourceType$outboundSchema, ImportResourceType$, Details$inboundSchema, Details$outboundSchema, Details$, HeightlightedDetails$inboundSchema, HeightlightedDetails$outboundSchema, HeightlightedDetails$, BillingPlan$inboundSchema, BillingPlan$outboundSchema, BillingPlan$, Level$inboundSchema, Level$outboundSchema, Level$, Notification$inboundSchema, Notification$outboundSchema, Notification$, ImportResourceEnvironmentOverrides$inboundSchema, ImportResourceEnvironmentOverrides$outboundSchema, ImportResourceEnvironmentOverrides$, ImportResourceSecrets$inboundSchema, ImportResourceSecrets$outboundSchema, ImportResourceSecrets$, ImportResourceRequestBody$inboundSchema, ImportResourceRequestBody$outboundSchema, ImportResourceRequestBody$, ImportResourceRequest$inboundSchema, ImportResourceRequest$outboundSchema, ImportResourceRequest$, ImportResourceResponseBody$inboundSchema, ImportResourceResponseBody$outboundSchema, ImportResourceResponseBody$;
var init_importresourceop = __esm(() => {
  init_esm();
  init_primitives();
  init_schemas();
  ImportResourceStatus = {
    Ready: "ready",
    Pending: "pending",
    Suspended: "suspended",
    Resumed: "resumed",
    Uninstalled: "uninstalled",
    Error: "error"
  };
  ImportResourceType = {
    Prepayment: "prepayment",
    Subscription: "subscription"
  };
  Level = {
    Info: "info",
    Warn: "warn",
    Error: "error"
  };
  ImportResourceStatus$inboundSchema = nativeEnumType(ImportResourceStatus);
  ImportResourceStatus$outboundSchema = ImportResourceStatus$inboundSchema;
  ((ImportResourceStatus$) => {
    ImportResourceStatus$.inboundSchema = ImportResourceStatus$inboundSchema;
    ImportResourceStatus$.outboundSchema = ImportResourceStatus$outboundSchema;
  })(ImportResourceStatus$ ||= {});
  ImportResourceType$inboundSchema = nativeEnumType(ImportResourceType);
  ImportResourceType$outboundSchema = ImportResourceType$inboundSchema;
  ((ImportResourceType$) => {
    ImportResourceType$.inboundSchema = ImportResourceType$inboundSchema;
    ImportResourceType$.outboundSchema = ImportResourceType$outboundSchema;
  })(ImportResourceType$ ||= {});
  Details$inboundSchema = objectType({
    label: stringType(),
    value: stringType().optional()
  });
  Details$outboundSchema = objectType({
    label: stringType(),
    value: stringType().optional()
  });
  ((Details$) => {
    Details$.inboundSchema = Details$inboundSchema;
    Details$.outboundSchema = Details$outboundSchema;
  })(Details$ ||= {});
  HeightlightedDetails$inboundSchema = objectType({
    label: stringType(),
    value: stringType().optional()
  });
  HeightlightedDetails$outboundSchema = objectType({
    label: stringType(),
    value: stringType().optional()
  });
  ((HeightlightedDetails$) => {
    HeightlightedDetails$.inboundSchema = HeightlightedDetails$inboundSchema;
    HeightlightedDetails$.outboundSchema = HeightlightedDetails$outboundSchema;
  })(HeightlightedDetails$ ||= {});
  BillingPlan$inboundSchema = collectExtraKeys(objectType({
    id: stringType(),
    type: ImportResourceType$inboundSchema,
    name: stringType(),
    description: stringType().optional(),
    paymentMethodRequired: booleanType().optional(),
    cost: stringType().optional(),
    details: arrayType(lazyType(() => Details$inboundSchema)).optional(),
    heightlightedDetails: arrayType(lazyType(() => HeightlightedDetails$inboundSchema)).optional(),
    effectiveDate: stringType().optional()
  }).catchall(anyType()), "additionalProperties", true);
  BillingPlan$outboundSchema = objectType({
    id: stringType(),
    type: ImportResourceType$outboundSchema,
    name: stringType(),
    description: stringType().optional(),
    paymentMethodRequired: booleanType().optional(),
    cost: stringType().optional(),
    details: arrayType(lazyType(() => Details$outboundSchema)).optional(),
    heightlightedDetails: arrayType(lazyType(() => HeightlightedDetails$outboundSchema)).optional(),
    effectiveDate: stringType().optional(),
    additionalProperties: recordType(anyType())
  }).transform((v2) => {
    return {
      ...v2.additionalProperties,
      ...remap(v2, {
        additionalProperties: null
      })
    };
  });
  ((BillingPlan$) => {
    BillingPlan$.inboundSchema = BillingPlan$inboundSchema;
    BillingPlan$.outboundSchema = BillingPlan$outboundSchema;
  })(BillingPlan$ ||= {});
  Level$inboundSchema = nativeEnumType(Level);
  Level$outboundSchema = Level$inboundSchema;
  ((Level$) => {
    Level$.inboundSchema = Level$inboundSchema;
    Level$.outboundSchema = Level$outboundSchema;
  })(Level$ ||= {});
  Notification$inboundSchema = objectType({
    level: Level$inboundSchema,
    title: stringType(),
    message: stringType().optional(),
    href: stringType().optional()
  });
  Notification$outboundSchema = objectType({
    level: Level$outboundSchema,
    title: stringType(),
    message: stringType().optional(),
    href: stringType().optional()
  });
  ((Notification$) => {
    Notification$.inboundSchema = Notification$inboundSchema;
    Notification$.outboundSchema = Notification$outboundSchema;
  })(Notification$ ||= {});
  ImportResourceEnvironmentOverrides$inboundSchema = objectType({
    development: stringType().optional(),
    preview: stringType().optional(),
    production: stringType().optional()
  });
  ImportResourceEnvironmentOverrides$outboundSchema = objectType({
    development: stringType().optional(),
    preview: stringType().optional(),
    production: stringType().optional()
  });
  ((ImportResourceEnvironmentOverrides$) => {
    ImportResourceEnvironmentOverrides$.inboundSchema = ImportResourceEnvironmentOverrides$inboundSchema;
    ImportResourceEnvironmentOverrides$.outboundSchema = ImportResourceEnvironmentOverrides$outboundSchema;
  })(ImportResourceEnvironmentOverrides$ ||= {});
  ImportResourceSecrets$inboundSchema = objectType({
    name: stringType(),
    value: stringType(),
    prefix: stringType().optional(),
    environmentOverrides: lazyType(() => ImportResourceEnvironmentOverrides$inboundSchema).optional()
  });
  ImportResourceSecrets$outboundSchema = objectType({
    name: stringType(),
    value: stringType(),
    prefix: stringType().optional(),
    environmentOverrides: lazyType(() => ImportResourceEnvironmentOverrides$outboundSchema).optional()
  });
  ((ImportResourceSecrets$) => {
    ImportResourceSecrets$.inboundSchema = ImportResourceSecrets$inboundSchema;
    ImportResourceSecrets$.outboundSchema = ImportResourceSecrets$outboundSchema;
  })(ImportResourceSecrets$ ||= {});
  ImportResourceRequestBody$inboundSchema = objectType({
    productId: stringType(),
    name: stringType(),
    status: ImportResourceStatus$inboundSchema,
    metadata: recordType(anyType()).optional(),
    billingPlan: lazyType(() => BillingPlan$inboundSchema).optional(),
    notification: lazyType(() => Notification$inboundSchema).optional(),
    secrets: arrayType(lazyType(() => ImportResourceSecrets$inboundSchema)).optional()
  });
  ImportResourceRequestBody$outboundSchema = objectType({
    productId: stringType(),
    name: stringType(),
    status: ImportResourceStatus$outboundSchema,
    metadata: recordType(anyType()).optional(),
    billingPlan: lazyType(() => BillingPlan$outboundSchema).optional(),
    notification: lazyType(() => Notification$outboundSchema).optional(),
    secrets: arrayType(lazyType(() => ImportResourceSecrets$outboundSchema)).optional()
  });
  ((ImportResourceRequestBody$) => {
    ImportResourceRequestBody$.inboundSchema = ImportResourceRequestBody$inboundSchema;
    ImportResourceRequestBody$.outboundSchema = ImportResourceRequestBody$outboundSchema;
  })(ImportResourceRequestBody$ ||= {});
  ImportResourceRequest$inboundSchema = objectType({
    integrationConfigurationId: stringType(),
    resourceId: stringType(),
    RequestBody: lazyType(() => ImportResourceRequestBody$inboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  ImportResourceRequest$outboundSchema = objectType({
    integrationConfigurationId: stringType(),
    resourceId: stringType(),
    requestBody: lazyType(() => ImportResourceRequestBody$outboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((ImportResourceRequest$) => {
    ImportResourceRequest$.inboundSchema = ImportResourceRequest$inboundSchema;
    ImportResourceRequest$.outboundSchema = ImportResourceRequest$outboundSchema;
  })(ImportResourceRequest$ ||= {});
  ImportResourceResponseBody$inboundSchema = objectType({
    name: stringType()
  });
  ImportResourceResponseBody$outboundSchema = objectType({
    name: stringType()
  });
  ((ImportResourceResponseBody$) => {
    ImportResourceResponseBody$.inboundSchema = ImportResourceResponseBody$inboundSchema;
    ImportResourceResponseBody$.outboundSchema = ImportResourceResponseBody$outboundSchema;
  })(ImportResourceResponseBody$ ||= {});
});

// src/funcs/marketplaceImportResource.ts
function marketplaceImportResource(client, request, options) {
  return new APIPromise($do101(client, request, options));
}
async function $do101(client, request, options) {
  const parsed = safeParse(request, (value) => ImportResourceRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    integrationConfigurationId: encodeSimple("integrationConfigurationId", payload.integrationConfigurationId, { explode: false, charEncoding: "percent" }),
    resourceId: encodeSimple("resourceId", payload.resourceId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/installations/{integrationConfigurationId}/resources/{resourceId}")(pathParams);
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "import-resource",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "PUT",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, ImportResourceResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_marketplaceImportResource = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_importresourceop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/marketplaceImportResource.ts
var args100, tool$marketplaceImportResource;
var init_marketplaceImportResource2 = __esm(() => {
  init_marketplaceImportResource();
  init_importresourceop();
  init_tools();
  args100 = {
    request: ImportResourceRequest$inboundSchema
  };
  tool$marketplaceImportResource = {
    name: "marketplace-import-resource",
    description: `Import Resource

This endpoint imports (upserts) a resource to Vercel's installation. This may be needed if resources can be independently created on the partner's side and need to be synchronized to Vercel.`,
    args: args100,
    tool: async (client, args101, ctx) => {
      const [result, apiCall] = await marketplaceImportResource(client, args101.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/submitbillingdataop.ts
var SubmitBillingDataType, Period$inboundSchema, Period$outboundSchema, Period$, Items$inboundSchema, Items$outboundSchema, Items$, Discounts$inboundSchema, Discounts$outboundSchema, Discounts$, Billing2$inboundSchema, Billing2$outboundSchema, Billing2$, Billing1$inboundSchema, Billing1$outboundSchema, Billing1$, SubmitBillingDataBilling$inboundSchema, SubmitBillingDataBilling$outboundSchema, SubmitBillingDataBilling$, SubmitBillingDataType$inboundSchema, SubmitBillingDataType$outboundSchema, SubmitBillingDataType$, Usage$inboundSchema, Usage$outboundSchema, Usage$, SubmitBillingDataRequestBody$inboundSchema, SubmitBillingDataRequestBody$outboundSchema, SubmitBillingDataRequestBody$, SubmitBillingDataRequest$inboundSchema, SubmitBillingDataRequest$outboundSchema, SubmitBillingDataRequest$;
var init_submitbillingdataop = __esm(() => {
  init_esm();
  init_primitives();
  SubmitBillingDataType = {
    Total: "total",
    Interval: "interval",
    Rate: "rate"
  };
  Period$inboundSchema = objectType({
    start: stringType().datetime({ offset: true }).transform((v2) => new Date(v2)),
    end: stringType().datetime({ offset: true }).transform((v2) => new Date(v2))
  });
  Period$outboundSchema = objectType({
    start: dateType().transform((v2) => v2.toISOString()),
    end: dateType().transform((v2) => v2.toISOString())
  });
  ((Period$) => {
    Period$.inboundSchema = Period$inboundSchema;
    Period$.outboundSchema = Period$outboundSchema;
  })(Period$ ||= {});
  Items$inboundSchema = objectType({
    billingPlanId: stringType(),
    resourceId: stringType().optional(),
    start: stringType().datetime({ offset: true }).transform((v2) => new Date(v2)).optional(),
    end: stringType().datetime({ offset: true }).transform((v2) => new Date(v2)).optional(),
    name: stringType(),
    details: stringType().optional(),
    price: stringType(),
    quantity: numberType(),
    units: stringType(),
    total: stringType()
  });
  Items$outboundSchema = objectType({
    billingPlanId: stringType(),
    resourceId: stringType().optional(),
    start: dateType().transform((v2) => v2.toISOString()).optional(),
    end: dateType().transform((v2) => v2.toISOString()).optional(),
    name: stringType(),
    details: stringType().optional(),
    price: stringType(),
    quantity: numberType(),
    units: stringType(),
    total: stringType()
  });
  ((Items$) => {
    Items$.inboundSchema = Items$inboundSchema;
    Items$.outboundSchema = Items$outboundSchema;
  })(Items$ ||= {});
  Discounts$inboundSchema = objectType({
    billingPlanId: stringType(),
    resourceId: stringType().optional(),
    start: stringType().datetime({ offset: true }).transform((v2) => new Date(v2)).optional(),
    end: stringType().datetime({ offset: true }).transform((v2) => new Date(v2)).optional(),
    name: stringType(),
    details: stringType().optional(),
    amount: stringType()
  });
  Discounts$outboundSchema = objectType({
    billingPlanId: stringType(),
    resourceId: stringType().optional(),
    start: dateType().transform((v2) => v2.toISOString()).optional(),
    end: dateType().transform((v2) => v2.toISOString()).optional(),
    name: stringType(),
    details: stringType().optional(),
    amount: stringType()
  });
  ((Discounts$) => {
    Discounts$.inboundSchema = Discounts$inboundSchema;
    Discounts$.outboundSchema = Discounts$outboundSchema;
  })(Discounts$ ||= {});
  Billing2$inboundSchema = objectType({
    items: arrayType(lazyType(() => Items$inboundSchema)),
    discounts: arrayType(lazyType(() => Discounts$inboundSchema)).optional()
  });
  Billing2$outboundSchema = objectType({
    items: arrayType(lazyType(() => Items$outboundSchema)),
    discounts: arrayType(lazyType(() => Discounts$outboundSchema)).optional()
  });
  ((Billing2$) => {
    Billing2$.inboundSchema = Billing2$inboundSchema;
    Billing2$.outboundSchema = Billing2$outboundSchema;
  })(Billing2$ ||= {});
  Billing1$inboundSchema = objectType({
    billingPlanId: stringType(),
    resourceId: stringType().optional(),
    start: stringType().datetime({ offset: true }).transform((v2) => new Date(v2)).optional(),
    end: stringType().datetime({ offset: true }).transform((v2) => new Date(v2)).optional(),
    name: stringType(),
    details: stringType().optional(),
    price: stringType(),
    quantity: numberType(),
    units: stringType(),
    total: stringType()
  });
  Billing1$outboundSchema = objectType({
    billingPlanId: stringType(),
    resourceId: stringType().optional(),
    start: dateType().transform((v2) => v2.toISOString()).optional(),
    end: dateType().transform((v2) => v2.toISOString()).optional(),
    name: stringType(),
    details: stringType().optional(),
    price: stringType(),
    quantity: numberType(),
    units: stringType(),
    total: stringType()
  });
  ((Billing1$) => {
    Billing1$.inboundSchema = Billing1$inboundSchema;
    Billing1$.outboundSchema = Billing1$outboundSchema;
  })(Billing1$ ||= {});
  SubmitBillingDataBilling$inboundSchema = unionType([
    lazyType(() => Billing2$inboundSchema),
    arrayType(lazyType(() => Billing1$inboundSchema))
  ]);
  SubmitBillingDataBilling$outboundSchema = unionType([
    lazyType(() => Billing2$outboundSchema),
    arrayType(lazyType(() => Billing1$outboundSchema))
  ]);
  ((SubmitBillingDataBilling$) => {
    SubmitBillingDataBilling$.inboundSchema = SubmitBillingDataBilling$inboundSchema;
    SubmitBillingDataBilling$.outboundSchema = SubmitBillingDataBilling$outboundSchema;
  })(SubmitBillingDataBilling$ ||= {});
  SubmitBillingDataType$inboundSchema = nativeEnumType(SubmitBillingDataType);
  SubmitBillingDataType$outboundSchema = SubmitBillingDataType$inboundSchema;
  ((SubmitBillingDataType$) => {
    SubmitBillingDataType$.inboundSchema = SubmitBillingDataType$inboundSchema;
    SubmitBillingDataType$.outboundSchema = SubmitBillingDataType$outboundSchema;
  })(SubmitBillingDataType$ ||= {});
  Usage$inboundSchema = objectType({
    resourceId: stringType().optional(),
    name: stringType(),
    type: SubmitBillingDataType$inboundSchema,
    units: stringType(),
    dayValue: numberType(),
    periodValue: numberType(),
    planValue: numberType().optional()
  });
  Usage$outboundSchema = objectType({
    resourceId: stringType().optional(),
    name: stringType(),
    type: SubmitBillingDataType$outboundSchema,
    units: stringType(),
    dayValue: numberType(),
    periodValue: numberType(),
    planValue: numberType().optional()
  });
  ((Usage$) => {
    Usage$.inboundSchema = Usage$inboundSchema;
    Usage$.outboundSchema = Usage$outboundSchema;
  })(Usage$ ||= {});
  SubmitBillingDataRequestBody$inboundSchema = objectType({
    timestamp: stringType().datetime({ offset: true }).transform((v2) => new Date(v2)),
    eod: stringType().datetime({ offset: true }).transform((v2) => new Date(v2)),
    period: lazyType(() => Period$inboundSchema),
    billing: unionType([
      lazyType(() => Billing2$inboundSchema),
      arrayType(lazyType(() => Billing1$inboundSchema))
    ]),
    usage: arrayType(lazyType(() => Usage$inboundSchema))
  });
  SubmitBillingDataRequestBody$outboundSchema = objectType({
    timestamp: dateType().transform((v2) => v2.toISOString()),
    eod: dateType().transform((v2) => v2.toISOString()),
    period: lazyType(() => Period$outboundSchema),
    billing: unionType([
      lazyType(() => Billing2$outboundSchema),
      arrayType(lazyType(() => Billing1$outboundSchema))
    ]),
    usage: arrayType(lazyType(() => Usage$outboundSchema))
  });
  ((SubmitBillingDataRequestBody$) => {
    SubmitBillingDataRequestBody$.inboundSchema = SubmitBillingDataRequestBody$inboundSchema;
    SubmitBillingDataRequestBody$.outboundSchema = SubmitBillingDataRequestBody$outboundSchema;
  })(SubmitBillingDataRequestBody$ ||= {});
  SubmitBillingDataRequest$inboundSchema = objectType({
    integrationConfigurationId: stringType(),
    RequestBody: lazyType(() => SubmitBillingDataRequestBody$inboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  SubmitBillingDataRequest$outboundSchema = objectType({
    integrationConfigurationId: stringType(),
    requestBody: lazyType(() => SubmitBillingDataRequestBody$outboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((SubmitBillingDataRequest$) => {
    SubmitBillingDataRequest$.inboundSchema = SubmitBillingDataRequest$inboundSchema;
    SubmitBillingDataRequest$.outboundSchema = SubmitBillingDataRequest$outboundSchema;
  })(SubmitBillingDataRequest$ ||= {});
});

// src/funcs/marketplaceSubmitBillingData.ts
function marketplaceSubmitBillingData(client, request, options) {
  return new APIPromise($do102(client, request, options));
}
async function $do102(client, request, options) {
  const parsed = safeParse(request, (value) => SubmitBillingDataRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    integrationConfigurationId: encodeSimple("integrationConfigurationId", payload.integrationConfigurationId, { explode: false, charEncoding: "percent" })
  };
  const path = pathToFunc("/v1/installations/{integrationConfigurationId}/billing")(pathParams);
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "submit-billing-data",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(nil(201, voidType()), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_marketplaceSubmitBillingData = __esm(() => {
  init_esm();
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_submitbillingdataop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/marketplaceSubmitBillingData.ts
var args101, tool$marketplaceSubmitBillingData;
var init_marketplaceSubmitBillingData2 = __esm(() => {
  init_marketplaceSubmitBillingData();
  init_submitbillingdataop();
  init_tools();
  args101 = {
    request: SubmitBillingDataRequest$inboundSchema
  };
  tool$marketplaceSubmitBillingData = {
    name: "marketplace-submit-billing-data",
    description: `Submit Billing Data

Sends the billing and usage data. The partner should do this at least once a day and ideally once per hour. <br/> Use the \`credentials.access_token\` we provided in the [Upsert Installation](#upsert-installation) body to authorize this request.`,
    args: args101,
    tool: async (client, args102, ctx) => {
      const [result, apiCall] = await marketplaceSubmitBillingData(client, args102.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      return formatResult(undefined, apiCall);
    }
  };
});

// src/models/submitinvoiceop.ts
var Result3, SubmitInvoicePeriod$inboundSchema, SubmitInvoicePeriod$outboundSchema, SubmitInvoicePeriod$, SubmitInvoiceItems$inboundSchema, SubmitInvoiceItems$outboundSchema, SubmitInvoiceItems$, SubmitInvoiceDiscounts$inboundSchema, SubmitInvoiceDiscounts$outboundSchema, SubmitInvoiceDiscounts$, Result$inboundSchema, Result$outboundSchema, Result$, Test$inboundSchema, Test$outboundSchema, Test$, SubmitInvoiceRequestBody$inboundSchema, SubmitInvoiceRequestBody$outboundSchema, SubmitInvoiceRequestBody$, SubmitInvoiceRequest$inboundSchema, SubmitInvoiceRequest$outboundSchema, SubmitInvoiceRequest$, SubmitInvoiceResponseBody$inboundSchema, SubmitInvoiceResponseBody$outboundSchema, SubmitInvoiceResponseBody$;
var init_submitinvoiceop = __esm(() => {
  init_esm();
  init_primitives();
  Result3 = {
    Paid: "paid",
    Notpaid: "notpaid"
  };
  SubmitInvoicePeriod$inboundSchema = objectType({
    start: stringType().datetime({ offset: true }).transform((v2) => new Date(v2)),
    end: stringType().datetime({ offset: true }).transform((v2) => new Date(v2))
  });
  SubmitInvoicePeriod$outboundSchema = objectType({
    start: dateType().transform((v2) => v2.toISOString()),
    end: dateType().transform((v2) => v2.toISOString())
  });
  ((SubmitInvoicePeriod$) => {
    SubmitInvoicePeriod$.inboundSchema = SubmitInvoicePeriod$inboundSchema;
    SubmitInvoicePeriod$.outboundSchema = SubmitInvoicePeriod$outboundSchema;
  })(SubmitInvoicePeriod$ ||= {});
  SubmitInvoiceItems$inboundSchema = objectType({
    resourceId: stringType().optional(),
    billingPlanId: stringType(),
    start: stringType().datetime({ offset: true }).transform((v2) => new Date(v2)).optional(),
    end: stringType().datetime({ offset: true }).transform((v2) => new Date(v2)).optional(),
    name: stringType(),
    details: stringType().optional(),
    price: stringType(),
    quantity: numberType(),
    units: stringType(),
    total: stringType()
  });
  SubmitInvoiceItems$outboundSchema = objectType({
    resourceId: stringType().optional(),
    billingPlanId: stringType(),
    start: dateType().transform((v2) => v2.toISOString()).optional(),
    end: dateType().transform((v2) => v2.toISOString()).optional(),
    name: stringType(),
    details: stringType().optional(),
    price: stringType(),
    quantity: numberType(),
    units: stringType(),
    total: stringType()
  });
  ((SubmitInvoiceItems$) => {
    SubmitInvoiceItems$.inboundSchema = SubmitInvoiceItems$inboundSchema;
    SubmitInvoiceItems$.outboundSchema = SubmitInvoiceItems$outboundSchema;
  })(SubmitInvoiceItems$ ||= {});
  SubmitInvoiceDiscounts$inboundSchema = objectType({
    resourceId: stringType().optional(),
    billingPlanId: stringType(),
    start: stringType().datetime({ offset: true }).transform((v2) => new Date(v2)).optional(),
    end: stringType().datetime({ offset: true }).transform((v2) => new Date(v2)).optional(),
    name: stringType(),
    details: stringType().optional(),
    amount: stringType()
  });
  SubmitInvoiceDiscounts$outboundSchema = objectType({
    resourceId: stringType().optional(),
    billingPlanId: stringType(),
    start: dateType().transform((v2) => v2.toISOString()).optional(),
    end: dateType().transform((v2) => v2.toISOString()).optional(),
    name: stringType(),
    details: stringType().optional(),
    amount: stringType()
  });
  ((SubmitInvoiceDiscounts$) => {
    SubmitInvoiceDiscounts$.inboundSchema = SubmitInvoiceDiscounts$inboundSchema;
    SubmitInvoiceDiscounts$.outboundSchema = SubmitInvoiceDiscounts$outboundSchema;
  })(SubmitInvoiceDiscounts$ ||= {});
  Result$inboundSchema = nativeEnumType(Result3);
  Result$outboundSchema = Result$inboundSchema;
  ((Result$) => {
    Result$.inboundSchema = Result$inboundSchema;
    Result$.outboundSchema = Result$outboundSchema;
  })(Result$ ||= {});
  Test$inboundSchema = objectType({
    validate: booleanType().optional(),
    result: Result$inboundSchema.optional()
  });
  Test$outboundSchema = objectType({
    validate: booleanType().optional(),
    result: Result$outboundSchema.optional()
  });
  ((Test$) => {
    Test$.inboundSchema = Test$inboundSchema;
    Test$.outboundSchema = Test$outboundSchema;
  })(Test$ ||= {});
  SubmitInvoiceRequestBody$inboundSchema = objectType({
    externalId: stringType().optional(),
    invoiceDate: stringType().datetime({ offset: true }).transform((v2) => new Date(v2)),
    memo: stringType().optional(),
    period: lazyType(() => SubmitInvoicePeriod$inboundSchema),
    items: arrayType(lazyType(() => SubmitInvoiceItems$inboundSchema)),
    discounts: arrayType(lazyType(() => SubmitInvoiceDiscounts$inboundSchema)).optional(),
    test: lazyType(() => Test$inboundSchema).optional()
  });
  SubmitInvoiceRequestBody$outboundSchema = objectType({
    externalId: stringType().optional(),
    invoiceDate: dateType().transform((v2) => v2.toISOString()),
    memo: stringType().optional(),
    period: lazyType(() => SubmitInvoicePeriod$outboundSchema),
    items: arrayType(lazyType(() => SubmitInvoiceItems$outboundSchema)),
    discounts: arrayType(lazyType(() => SubmitInvoiceDiscounts$outboundSchema)).optional(),
    test: lazyType(() => Test$outboundSchema).optional()
  });
  ((SubmitInvoiceRequestBody$) => {
    SubmitInvoiceRequestBody$.inboundSchema = SubmitInvoiceRequestBody$inboundSchema;
    SubmitInvoiceRequestBody$.outboundSchema = SubmitInvoiceRequestBody$outboundSchema;
  })(SubmitInvoiceRequestBody$ ||= {});
  SubmitInvoiceRequest$inboundSchema = objectType({
    integrationConfigurationId: stringType(),
    RequestBody: lazyType(() => SubmitInvoiceRequestBody$inboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  SubmitInvoiceRequest$outboundSchema = objectType({
    integrationConfigurationId: stringType(),
    requestBody: lazyType(() => SubmitInvoiceRequestBody$outboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((SubmitInvoiceRequest$) => {
    SubmitInvoiceRequest$.inboundSchema = SubmitInvoiceRequest$inboundSchema;
    SubmitInvoiceRequest$.outboundSchema = SubmitInvoiceRequest$outboundSchema;
  })(SubmitInvoiceRequest$ ||= {});
  SubmitInvoiceResponseBody$inboundSchema = objectType({
    invoiceId: stringType().optional(),
    test: booleanType().optional(),
    validationErrors: arrayType(stringType()).optional()
  });
  SubmitInvoiceResponseBody$outboundSchema = objectType({
    invoiceId: stringType().optional(),
    test: booleanType().optional(),
    validationErrors: arrayType(stringType()).optional()
  });
  ((SubmitInvoiceResponseBody$) => {
    SubmitInvoiceResponseBody$.inboundSchema = SubmitInvoiceResponseBody$inboundSchema;
    SubmitInvoiceResponseBody$.outboundSchema = SubmitInvoiceResponseBody$outboundSchema;
  })(SubmitInvoiceResponseBody$ ||= {});
});

// src/funcs/marketplaceSubmitInvoice.ts
function marketplaceSubmitInvoice(client, request, options) {
  return new APIPromise($do103(client, request, options));
}
async function $do103(client, request, options) {
  const parsed = safeParse(request, (value) => SubmitInvoiceRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    integrationConfigurationId: encodeSimple("integrationConfigurationId", payload.integrationConfigurationId, { explode: false, charEncoding: "percent" })
  };
  const path = pathToFunc("/v1/installations/{integrationConfigurationId}/billing/invoices")(pathParams);
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "submit-invoice",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, SubmitInvoiceResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_marketplaceSubmitInvoice = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_submitinvoiceop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/marketplaceSubmitInvoice.ts
var args102, tool$marketplaceSubmitInvoice;
var init_marketplaceSubmitInvoice2 = __esm(() => {
  init_marketplaceSubmitInvoice();
  init_submitinvoiceop();
  init_tools();
  args102 = {
    request: SubmitInvoiceRequest$inboundSchema
  };
  tool$marketplaceSubmitInvoice = {
    name: "marketplace-submit-invoice",
    description: `Submit Invoice

This endpoint allows the partner to submit an invoice to Vercel. The invoice is created in Vercel's billing system and sent to the customer. Depending on the type of billing plan, the invoice can be sent at a time of signup, at the start of the billing period, or at the end of the billing period.<br/> <br/> Use the \`credentials.access_token\` we provided in the [Upsert Installation](#upsert-installation) body to authorize this request. <br/> There are several limitations to the invoice submission:<br/> <br/> 1. A resource can only be billed once per the billing period and the billing plan.<br/> 2. The billing plan used to bill the resource must have been active for this resource during the billing period.<br/> 3. The billing plan used must be a subscription plan.<br/> 4. The interim usage data must be sent hourly for all types of subscriptions. See [Send subscription billing and usage data](#send-subscription-billing-and-usage-data) API on how to send interim billing and usage data.<br/>`,
    args: args102,
    tool: async (client, args103, ctx) => {
      const [result, apiCall] = await marketplaceSubmitInvoice(client, args103.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/submitprepaymentbalancesop.ts
var Balances$inboundSchema, Balances$outboundSchema, Balances$, SubmitPrepaymentBalancesRequestBody$inboundSchema, SubmitPrepaymentBalancesRequestBody$outboundSchema, SubmitPrepaymentBalancesRequestBody$, SubmitPrepaymentBalancesRequest$inboundSchema, SubmitPrepaymentBalancesRequest$outboundSchema, SubmitPrepaymentBalancesRequest$;
var init_submitprepaymentbalancesop = __esm(() => {
  init_esm();
  init_primitives();
  Balances$inboundSchema = objectType({
    resourceId: stringType().optional(),
    credit: stringType().optional(),
    nameLabel: stringType().optional(),
    currencyValueInCents: numberType()
  });
  Balances$outboundSchema = objectType({
    resourceId: stringType().optional(),
    credit: stringType().optional(),
    nameLabel: stringType().optional(),
    currencyValueInCents: numberType()
  });
  ((Balances$) => {
    Balances$.inboundSchema = Balances$inboundSchema;
    Balances$.outboundSchema = Balances$outboundSchema;
  })(Balances$ ||= {});
  SubmitPrepaymentBalancesRequestBody$inboundSchema = objectType({
    timestamp: stringType().datetime({ offset: true }).transform((v2) => new Date(v2)),
    balances: arrayType(lazyType(() => Balances$inboundSchema))
  });
  SubmitPrepaymentBalancesRequestBody$outboundSchema = objectType({
    timestamp: dateType().transform((v2) => v2.toISOString()),
    balances: arrayType(lazyType(() => Balances$outboundSchema))
  });
  ((SubmitPrepaymentBalancesRequestBody$) => {
    SubmitPrepaymentBalancesRequestBody$.inboundSchema = SubmitPrepaymentBalancesRequestBody$inboundSchema;
    SubmitPrepaymentBalancesRequestBody$.outboundSchema = SubmitPrepaymentBalancesRequestBody$outboundSchema;
  })(SubmitPrepaymentBalancesRequestBody$ ||= {});
  SubmitPrepaymentBalancesRequest$inboundSchema = objectType({
    integrationConfigurationId: stringType(),
    RequestBody: lazyType(() => SubmitPrepaymentBalancesRequestBody$inboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  SubmitPrepaymentBalancesRequest$outboundSchema = objectType({
    integrationConfigurationId: stringType(),
    requestBody: lazyType(() => SubmitPrepaymentBalancesRequestBody$outboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((SubmitPrepaymentBalancesRequest$) => {
    SubmitPrepaymentBalancesRequest$.inboundSchema = SubmitPrepaymentBalancesRequest$inboundSchema;
    SubmitPrepaymentBalancesRequest$.outboundSchema = SubmitPrepaymentBalancesRequest$outboundSchema;
  })(SubmitPrepaymentBalancesRequest$ ||= {});
});

// src/funcs/marketplaceSubmitPrepaymentBalances.ts
function marketplaceSubmitPrepaymentBalances(client, request, options) {
  return new APIPromise($do104(client, request, options));
}
async function $do104(client, request, options) {
  const parsed = safeParse(request, (value) => SubmitPrepaymentBalancesRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    integrationConfigurationId: encodeSimple("integrationConfigurationId", payload.integrationConfigurationId, { explode: false, charEncoding: "percent" })
  };
  const path = pathToFunc("/v1/installations/{integrationConfigurationId}/billing/balance")(pathParams);
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "submit-prepayment-balances",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(nil(201, voidType()), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_marketplaceSubmitPrepaymentBalances = __esm(() => {
  init_esm();
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_submitprepaymentbalancesop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/marketplaceSubmitPrepaymentBalances.ts
var args103, tool$marketplaceSubmitPrepaymentBalances;
var init_marketplaceSubmitPrepaymentBalances2 = __esm(() => {
  init_marketplaceSubmitPrepaymentBalances();
  init_submitprepaymentbalancesop();
  init_tools();
  args103 = {
    request: SubmitPrepaymentBalancesRequest$inboundSchema
  };
  tool$marketplaceSubmitPrepaymentBalances = {
    name: "marketplace-submit-prepayment-balances",
    description: `Submit Prepayment Balances

Sends the prepayment balances. The partner should do this at least once a day and ideally once per hour. <br/> Use the \`credentials.access_token\` we provided in the [Upsert Installation](#upsert-installation) body to authorize this request.`,
    args: args103,
    tool: async (client, args104, ctx) => {
      const [result, apiCall] = await marketplaceSubmitPrepaymentBalances(client, args104.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      return formatResult(undefined, apiCall);
    }
  };
});

// src/models/patchv1installationsintegrationconfigurationidresourcesresourceidexperimentationitemsitemidop.ts
var PatchV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdCategory, PatchV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdCategory$inboundSchema, PatchV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdCategory$outboundSchema, PatchV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdCategory$, PatchV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdRequestBody$inboundSchema, PatchV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdRequestBody$outboundSchema, PatchV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdRequestBody$, PatchV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdRequest$inboundSchema, PatchV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdRequest$outboundSchema, PatchV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdRequest$;
var init_patchv1installationsintegrationconfigurationidresourcesresourceidexperimentationitemsitemidop = __esm(() => {
  init_esm();
  init_primitives();
  PatchV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdCategory = {
    Experiment: "experiment",
    Flag: "flag"
  };
  PatchV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdCategory$inboundSchema = nativeEnumType(PatchV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdCategory);
  PatchV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdCategory$outboundSchema = PatchV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdCategory$inboundSchema;
  ((PatchV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdCategory$) => {
    PatchV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdCategory$.inboundSchema = PatchV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdCategory$inboundSchema;
    PatchV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdCategory$.outboundSchema = PatchV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdCategory$outboundSchema;
  })(PatchV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdCategory$ ||= {});
  PatchV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdRequestBody$inboundSchema = objectType({
    slug: stringType(),
    origin: stringType(),
    name: stringType().optional(),
    category: PatchV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdCategory$inboundSchema.optional(),
    description: stringType().optional(),
    isArchived: booleanType().optional(),
    createdAt: numberType().optional(),
    updatedAt: numberType().optional()
  });
  PatchV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdRequestBody$outboundSchema = objectType({
    slug: stringType(),
    origin: stringType(),
    name: stringType().optional(),
    category: PatchV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdCategory$outboundSchema.optional(),
    description: stringType().optional(),
    isArchived: booleanType().optional(),
    createdAt: numberType().optional(),
    updatedAt: numberType().optional()
  });
  ((PatchV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdRequestBody$) => {
    PatchV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdRequestBody$.inboundSchema = PatchV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdRequestBody$inboundSchema;
    PatchV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdRequestBody$.outboundSchema = PatchV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdRequestBody$outboundSchema;
  })(PatchV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdRequestBody$ ||= {});
  PatchV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdRequest$inboundSchema = objectType({
    integrationConfigurationId: stringType(),
    resourceId: stringType(),
    itemId: stringType(),
    RequestBody: lazyType(() => PatchV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdRequestBody$inboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  PatchV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdRequest$outboundSchema = objectType({
    integrationConfigurationId: stringType(),
    resourceId: stringType(),
    itemId: stringType(),
    requestBody: lazyType(() => PatchV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdRequestBody$outboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((PatchV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdRequest$) => {
    PatchV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdRequest$.inboundSchema = PatchV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdRequest$inboundSchema;
    PatchV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdRequest$.outboundSchema = PatchV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdRequest$outboundSchema;
  })(PatchV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdRequest$ ||= {});
});

// src/funcs/marketplaceUpdateInstallationIntegrationConfiguration.ts
function marketplaceUpdateInstallationIntegrationConfiguration(client, request, options) {
  return new APIPromise($do105(client, request, options));
}
async function $do105(client, request, options) {
  const parsed = safeParse(request, (value) => PatchV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    integrationConfigurationId: encodeSimple("integrationConfigurationId", payload.integrationConfigurationId, { explode: false, charEncoding: "percent" }),
    itemId: encodeSimple("itemId", payload.itemId, {
      explode: false,
      charEncoding: "percent"
    }),
    resourceId: encodeSimple("resourceId", payload.resourceId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/installations/{integrationConfigurationId}/resources/{resourceId}/experimentation/items/{itemId}")(pathParams);
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "patch_/v1/installations/{integrationConfigurationId}/resources/{resourceId}/experimentation/items/{itemId}",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "PATCH",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(nil(204, voidType()), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_marketplaceUpdateInstallationIntegrationConfiguration = __esm(() => {
  init_esm();
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_patchv1installationsintegrationconfigurationidresourcesresourceidexperimentationitemsitemidop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/marketplaceUpdateInstallationIntegrationConfiguration.ts
var args104, tool$marketplaceUpdateInstallationIntegrationConfiguration;
var init_marketplaceUpdateInstallationIntegrationConfiguration2 = __esm(() => {
  init_marketplaceUpdateInstallationIntegrationConfiguration();
  init_patchv1installationsintegrationconfigurationidresourcesresourceidexperimentationitemsitemidop();
  init_tools();
  args104 = {
    request: PatchV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationItemsItemIdRequest$inboundSchema
  };
  tool$marketplaceUpdateInstallationIntegrationConfiguration = {
    name: "marketplace-update-installation-integration-configuration",
    description: `Patch an existing experimentation item

Patch an existing experimentation item`,
    args: args104,
    tool: async (client, args105, ctx) => {
      const [result, apiCall] = await marketplaceUpdateInstallationIntegrationConfiguration(client, args105.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      return formatResult(undefined, apiCall);
    }
  };
});

// src/models/putv1installationsintegrationconfigurationidresourcesresourceidexperimentationedgeconfigop.ts
var PutV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigRequestBody$inboundSchema, PutV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigRequestBody$outboundSchema, PutV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigRequestBody$, PutV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigRequest$inboundSchema, PutV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigRequest$outboundSchema, PutV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigRequest$, PutV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigResponseBody$inboundSchema, PutV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigResponseBody$outboundSchema, PutV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigResponseBody$;
var init_putv1installationsintegrationconfigurationidresourcesresourceidexperimentationedgeconfigop = __esm(() => {
  init_esm();
  init_primitives();
  init_edgeconfigitemvalue();
  PutV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigRequestBody$inboundSchema = objectType({
    data: recordType(anyType())
  });
  PutV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigRequestBody$outboundSchema = objectType({
    data: recordType(anyType())
  });
  ((PutV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigRequestBody$) => {
    PutV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigRequestBody$.inboundSchema = PutV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigRequestBody$inboundSchema;
    PutV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigRequestBody$.outboundSchema = PutV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigRequestBody$outboundSchema;
  })(PutV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigRequestBody$ ||= {});
  PutV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigRequest$inboundSchema = objectType({
    integrationConfigurationId: stringType(),
    resourceId: stringType(),
    RequestBody: lazyType(() => PutV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigRequestBody$inboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  PutV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigRequest$outboundSchema = objectType({
    integrationConfigurationId: stringType(),
    resourceId: stringType(),
    requestBody: lazyType(() => PutV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigRequestBody$outboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((PutV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigRequest$) => {
    PutV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigRequest$.inboundSchema = PutV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigRequest$inboundSchema;
    PutV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigRequest$.outboundSchema = PutV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigRequest$outboundSchema;
  })(PutV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigRequest$ ||= {});
  PutV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigResponseBody$inboundSchema = objectType({
    items: recordType(nullableType(EdgeConfigItemValue$inboundSchema)),
    updatedAt: numberType(),
    digest: stringType()
  });
  PutV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigResponseBody$outboundSchema = objectType({
    items: recordType(nullableType(EdgeConfigItemValue$outboundSchema)),
    updatedAt: numberType(),
    digest: stringType()
  });
  ((PutV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigResponseBody$) => {
    PutV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigResponseBody$.inboundSchema = PutV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigResponseBody$inboundSchema;
    PutV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigResponseBody$.outboundSchema = PutV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigResponseBody$outboundSchema;
  })(PutV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigResponseBody$ ||= {});
});

// src/funcs/marketplaceUpdateInstallationIntegrationEdgeConfig.ts
function marketplaceUpdateInstallationIntegrationEdgeConfig(client, request, options) {
  return new APIPromise($do106(client, request, options));
}
async function $do106(client, request, options) {
  const parsed = safeParse(request, (value) => PutV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    integrationConfigurationId: encodeSimple("integrationConfigurationId", payload.integrationConfigurationId, { explode: false, charEncoding: "percent" }),
    resourceId: encodeSimple("resourceId", payload.resourceId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/installations/{integrationConfigurationId}/resources/{resourceId}/experimentation/edge-config")(pathParams);
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "put_/v1/installations/{integrationConfigurationId}/resources/{resourceId}/experimentation/edge-config",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "PUT",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "412", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, PutV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, 412, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_marketplaceUpdateInstallationIntegrationEdgeConfig = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_putv1installationsintegrationconfigurationidresourcesresourceidexperimentationedgeconfigop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/marketplaceUpdateInstallationIntegrationEdgeConfig.ts
var args105, tool$marketplaceUpdateInstallationIntegrationEdgeConfig;
var init_marketplaceUpdateInstallationIntegrationEdgeConfig2 = __esm(() => {
  init_marketplaceUpdateInstallationIntegrationEdgeConfig();
  init_putv1installationsintegrationconfigurationidresourcesresourceidexperimentationedgeconfigop();
  init_tools();
  args105 = {
    request: PutV1InstallationsIntegrationConfigurationIdResourcesResourceIdExperimentationEdgeConfigRequest$inboundSchema
  };
  tool$marketplaceUpdateInstallationIntegrationEdgeConfig = {
    name: "marketplace-update-installation-integration-edge-config",
    description: `Push data into a user-provided Edge Config

When the user enabled Edge Config syncing, then this endpoint can be used by the partner to push their configuration data into the relevant Edge Config.`,
    args: args105,
    tool: async (client, args106, ctx) => {
      const [result, apiCall] = await marketplaceUpdateInstallationIntegrationEdgeConfig(client, args106.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/updateinvoiceop.ts
var UpdateInvoiceAction, UpdateInvoiceAction$inboundSchema, UpdateInvoiceAction$outboundSchema, UpdateInvoiceAction$, UpdateInvoiceRequestBody$inboundSchema, UpdateInvoiceRequestBody$outboundSchema, UpdateInvoiceRequestBody$, UpdateInvoiceRequest$inboundSchema, UpdateInvoiceRequest$outboundSchema, UpdateInvoiceRequest$;
var init_updateinvoiceop = __esm(() => {
  init_esm();
  init_primitives();
  UpdateInvoiceAction = {
    Refund: "refund"
  };
  UpdateInvoiceAction$inboundSchema = nativeEnumType(UpdateInvoiceAction);
  UpdateInvoiceAction$outboundSchema = UpdateInvoiceAction$inboundSchema;
  ((UpdateInvoiceAction$) => {
    UpdateInvoiceAction$.inboundSchema = UpdateInvoiceAction$inboundSchema;
    UpdateInvoiceAction$.outboundSchema = UpdateInvoiceAction$outboundSchema;
  })(UpdateInvoiceAction$ ||= {});
  UpdateInvoiceRequestBody$inboundSchema = objectType({
    action: UpdateInvoiceAction$inboundSchema,
    reason: stringType(),
    total: stringType()
  });
  UpdateInvoiceRequestBody$outboundSchema = objectType({
    action: UpdateInvoiceAction$outboundSchema,
    reason: stringType(),
    total: stringType()
  });
  ((UpdateInvoiceRequestBody$) => {
    UpdateInvoiceRequestBody$.inboundSchema = UpdateInvoiceRequestBody$inboundSchema;
    UpdateInvoiceRequestBody$.outboundSchema = UpdateInvoiceRequestBody$outboundSchema;
  })(UpdateInvoiceRequestBody$ ||= {});
  UpdateInvoiceRequest$inboundSchema = objectType({
    integrationConfigurationId: stringType(),
    invoiceId: stringType(),
    RequestBody: lazyType(() => UpdateInvoiceRequestBody$inboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  UpdateInvoiceRequest$outboundSchema = objectType({
    integrationConfigurationId: stringType(),
    invoiceId: stringType(),
    requestBody: lazyType(() => UpdateInvoiceRequestBody$outboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((UpdateInvoiceRequest$) => {
    UpdateInvoiceRequest$.inboundSchema = UpdateInvoiceRequest$inboundSchema;
    UpdateInvoiceRequest$.outboundSchema = UpdateInvoiceRequest$outboundSchema;
  })(UpdateInvoiceRequest$ ||= {});
});

// src/funcs/marketplaceUpdateInvoice.ts
function marketplaceUpdateInvoice(client, request, options) {
  return new APIPromise($do107(client, request, options));
}
async function $do107(client, request, options) {
  const parsed = safeParse(request, (value) => UpdateInvoiceRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    integrationConfigurationId: encodeSimple("integrationConfigurationId", payload.integrationConfigurationId, { explode: false, charEncoding: "percent" }),
    invoiceId: encodeSimple("invoiceId", payload.invoiceId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/installations/{integrationConfigurationId}/billing/invoices/{invoiceId}/actions")(pathParams);
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "update-invoice",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(nil(204, voidType()), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_marketplaceUpdateInvoice = __esm(() => {
  init_esm();
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_updateinvoiceop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/marketplaceUpdateInvoice.ts
var args106, tool$marketplaceUpdateInvoice;
var init_marketplaceUpdateInvoice2 = __esm(() => {
  init_marketplaceUpdateInvoice();
  init_updateinvoiceop();
  init_tools();
  args106 = {
    request: UpdateInvoiceRequest$inboundSchema
  };
  tool$marketplaceUpdateInvoice = {
    name: "marketplace-update-invoice",
    description: `Invoice Actions

This endpoint allows the partner to request a refund for an invoice to Vercel. The invoice is created using the [Submit Invoice API](#submit-invoice-api).`,
    args: args106,
    tool: async (client, args107, ctx) => {
      const [result, apiCall] = await marketplaceUpdateInvoice(client, args107.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      return formatResult(undefined, apiCall);
    }
  };
});

// src/models/updateresourcesecretsop.ts
var EnvironmentOverrides$inboundSchema, EnvironmentOverrides$outboundSchema, EnvironmentOverrides$, UpdateResourceSecretsSecrets$inboundSchema, UpdateResourceSecretsSecrets$outboundSchema, UpdateResourceSecretsSecrets$, UpdateResourceSecretsRequestBody$inboundSchema, UpdateResourceSecretsRequestBody$outboundSchema, UpdateResourceSecretsRequestBody$, UpdateResourceSecretsRequest$inboundSchema, UpdateResourceSecretsRequest$outboundSchema, UpdateResourceSecretsRequest$;
var init_updateresourcesecretsop = __esm(() => {
  init_esm();
  init_primitives();
  EnvironmentOverrides$inboundSchema = objectType({
    development: stringType().optional(),
    preview: stringType().optional(),
    production: stringType().optional()
  });
  EnvironmentOverrides$outboundSchema = objectType({
    development: stringType().optional(),
    preview: stringType().optional(),
    production: stringType().optional()
  });
  ((EnvironmentOverrides$) => {
    EnvironmentOverrides$.inboundSchema = EnvironmentOverrides$inboundSchema;
    EnvironmentOverrides$.outboundSchema = EnvironmentOverrides$outboundSchema;
  })(EnvironmentOverrides$ ||= {});
  UpdateResourceSecretsSecrets$inboundSchema = objectType({
    name: stringType(),
    value: stringType(),
    prefix: stringType().optional(),
    environmentOverrides: lazyType(() => EnvironmentOverrides$inboundSchema).optional()
  });
  UpdateResourceSecretsSecrets$outboundSchema = objectType({
    name: stringType(),
    value: stringType(),
    prefix: stringType().optional(),
    environmentOverrides: lazyType(() => EnvironmentOverrides$outboundSchema).optional()
  });
  ((UpdateResourceSecretsSecrets$) => {
    UpdateResourceSecretsSecrets$.inboundSchema = UpdateResourceSecretsSecrets$inboundSchema;
    UpdateResourceSecretsSecrets$.outboundSchema = UpdateResourceSecretsSecrets$outboundSchema;
  })(UpdateResourceSecretsSecrets$ ||= {});
  UpdateResourceSecretsRequestBody$inboundSchema = objectType({
    secrets: arrayType(lazyType(() => UpdateResourceSecretsSecrets$inboundSchema)),
    partial: booleanType().optional()
  });
  UpdateResourceSecretsRequestBody$outboundSchema = objectType({
    secrets: arrayType(lazyType(() => UpdateResourceSecretsSecrets$outboundSchema)),
    partial: booleanType().optional()
  });
  ((UpdateResourceSecretsRequestBody$) => {
    UpdateResourceSecretsRequestBody$.inboundSchema = UpdateResourceSecretsRequestBody$inboundSchema;
    UpdateResourceSecretsRequestBody$.outboundSchema = UpdateResourceSecretsRequestBody$outboundSchema;
  })(UpdateResourceSecretsRequestBody$ ||= {});
  UpdateResourceSecretsRequest$inboundSchema = objectType({
    integrationConfigurationId: stringType(),
    integrationProductIdOrSlug: stringType(),
    resourceId: stringType(),
    RequestBody: lazyType(() => UpdateResourceSecretsRequestBody$inboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  UpdateResourceSecretsRequest$outboundSchema = objectType({
    integrationConfigurationId: stringType(),
    integrationProductIdOrSlug: stringType(),
    resourceId: stringType(),
    requestBody: lazyType(() => UpdateResourceSecretsRequestBody$outboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((UpdateResourceSecretsRequest$) => {
    UpdateResourceSecretsRequest$.inboundSchema = UpdateResourceSecretsRequest$inboundSchema;
    UpdateResourceSecretsRequest$.outboundSchema = UpdateResourceSecretsRequest$outboundSchema;
  })(UpdateResourceSecretsRequest$ ||= {});
});

// src/funcs/marketplaceUpdateResourceSecrets.ts
function marketplaceUpdateResourceSecrets(client, request, options) {
  return new APIPromise($do108(client, request, options));
}
async function $do108(client, request, options) {
  const parsed = safeParse(request, (value) => UpdateResourceSecretsRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    integrationConfigurationId: encodeSimple("integrationConfigurationId", payload.integrationConfigurationId, { explode: false, charEncoding: "percent" }),
    integrationProductIdOrSlug: encodeSimple("integrationProductIdOrSlug", payload.integrationProductIdOrSlug, { explode: false, charEncoding: "percent" }),
    resourceId: encodeSimple("resourceId", payload.resourceId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/installations/{integrationConfigurationId}/products/{integrationProductIdOrSlug}/resources/{resourceId}/secrets")(pathParams);
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "update-resource-secrets",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "PUT",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(nil(201, voidType()), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_marketplaceUpdateResourceSecrets = __esm(() => {
  init_esm();
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_updateresourcesecretsop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/marketplaceUpdateResourceSecrets.ts
var args107, tool$marketplaceUpdateResourceSecrets;
var init_marketplaceUpdateResourceSecrets2 = __esm(() => {
  init_marketplaceUpdateResourceSecrets();
  init_updateresourcesecretsop();
  init_tools();
  args107 = {
    request: UpdateResourceSecretsRequest$inboundSchema
  };
  tool$marketplaceUpdateResourceSecrets = {
    name: "marketplace-update-resource-secrets",
    description: `Update Resource Secrets (Deprecated)

This endpoint is deprecated and replaced with the endpoint [Update Resource Secrets](#update-resource-secrets). <br/> This endpoint updates the secrets of a resource. If a resource has projects connected, the connected secrets are updated with the new secrets. The old secrets may still be used by existing connected projects because they are not automatically redeployed. Redeployment is a manual action and must be completed by the user. All new project connections will use the new secrets.<br/> <br/> Use cases for this endpoint:<br/> <br/> - Resetting the credentials of a database in the partner. If the user requests the credentials to be updated in the partner’s application, the partner post the new set of secrets to Vercel, the user should redeploy their application and the expire the old credentials.<br/>`,
    args: args107,
    tool: async (client, args108, ctx) => {
      const [result, apiCall] = await marketplaceUpdateResourceSecrets(client, args108.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      return formatResult(undefined, apiCall);
    }
  };
});

// src/models/updateresourcesecretsbyidop.ts
var UpdateResourceSecretsByIdEnvironmentOverrides$inboundSchema, UpdateResourceSecretsByIdEnvironmentOverrides$outboundSchema, UpdateResourceSecretsByIdEnvironmentOverrides$, UpdateResourceSecretsByIdSecrets$inboundSchema, UpdateResourceSecretsByIdSecrets$outboundSchema, UpdateResourceSecretsByIdSecrets$, UpdateResourceSecretsByIdRequestBody$inboundSchema, UpdateResourceSecretsByIdRequestBody$outboundSchema, UpdateResourceSecretsByIdRequestBody$, UpdateResourceSecretsByIdRequest$inboundSchema, UpdateResourceSecretsByIdRequest$outboundSchema, UpdateResourceSecretsByIdRequest$;
var init_updateresourcesecretsbyidop = __esm(() => {
  init_esm();
  init_primitives();
  UpdateResourceSecretsByIdEnvironmentOverrides$inboundSchema = objectType({
    development: stringType().optional(),
    preview: stringType().optional(),
    production: stringType().optional()
  });
  UpdateResourceSecretsByIdEnvironmentOverrides$outboundSchema = objectType({
    development: stringType().optional(),
    preview: stringType().optional(),
    production: stringType().optional()
  });
  ((UpdateResourceSecretsByIdEnvironmentOverrides$) => {
    UpdateResourceSecretsByIdEnvironmentOverrides$.inboundSchema = UpdateResourceSecretsByIdEnvironmentOverrides$inboundSchema;
    UpdateResourceSecretsByIdEnvironmentOverrides$.outboundSchema = UpdateResourceSecretsByIdEnvironmentOverrides$outboundSchema;
  })(UpdateResourceSecretsByIdEnvironmentOverrides$ ||= {});
  UpdateResourceSecretsByIdSecrets$inboundSchema = objectType({
    name: stringType(),
    value: stringType(),
    prefix: stringType().optional(),
    environmentOverrides: lazyType(() => UpdateResourceSecretsByIdEnvironmentOverrides$inboundSchema).optional()
  });
  UpdateResourceSecretsByIdSecrets$outboundSchema = objectType({
    name: stringType(),
    value: stringType(),
    prefix: stringType().optional(),
    environmentOverrides: lazyType(() => UpdateResourceSecretsByIdEnvironmentOverrides$outboundSchema).optional()
  });
  ((UpdateResourceSecretsByIdSecrets$) => {
    UpdateResourceSecretsByIdSecrets$.inboundSchema = UpdateResourceSecretsByIdSecrets$inboundSchema;
    UpdateResourceSecretsByIdSecrets$.outboundSchema = UpdateResourceSecretsByIdSecrets$outboundSchema;
  })(UpdateResourceSecretsByIdSecrets$ ||= {});
  UpdateResourceSecretsByIdRequestBody$inboundSchema = objectType({
    secrets: arrayType(lazyType(() => UpdateResourceSecretsByIdSecrets$inboundSchema)),
    partial: booleanType().optional()
  });
  UpdateResourceSecretsByIdRequestBody$outboundSchema = objectType({
    secrets: arrayType(lazyType(() => UpdateResourceSecretsByIdSecrets$outboundSchema)),
    partial: booleanType().optional()
  });
  ((UpdateResourceSecretsByIdRequestBody$) => {
    UpdateResourceSecretsByIdRequestBody$.inboundSchema = UpdateResourceSecretsByIdRequestBody$inboundSchema;
    UpdateResourceSecretsByIdRequestBody$.outboundSchema = UpdateResourceSecretsByIdRequestBody$outboundSchema;
  })(UpdateResourceSecretsByIdRequestBody$ ||= {});
  UpdateResourceSecretsByIdRequest$inboundSchema = objectType({
    integrationConfigurationId: stringType(),
    resourceId: stringType(),
    RequestBody: lazyType(() => UpdateResourceSecretsByIdRequestBody$inboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  UpdateResourceSecretsByIdRequest$outboundSchema = objectType({
    integrationConfigurationId: stringType(),
    resourceId: stringType(),
    requestBody: lazyType(() => UpdateResourceSecretsByIdRequestBody$outboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((UpdateResourceSecretsByIdRequest$) => {
    UpdateResourceSecretsByIdRequest$.inboundSchema = UpdateResourceSecretsByIdRequest$inboundSchema;
    UpdateResourceSecretsByIdRequest$.outboundSchema = UpdateResourceSecretsByIdRequest$outboundSchema;
  })(UpdateResourceSecretsByIdRequest$ ||= {});
});

// src/funcs/marketplaceUpdateResourceSecretsById.ts
function marketplaceUpdateResourceSecretsById(client, request, options) {
  return new APIPromise($do109(client, request, options));
}
async function $do109(client, request, options) {
  const parsed = safeParse(request, (value) => UpdateResourceSecretsByIdRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    integrationConfigurationId: encodeSimple("integrationConfigurationId", payload.integrationConfigurationId, { explode: false, charEncoding: "percent" }),
    resourceId: encodeSimple("resourceId", payload.resourceId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/installations/{integrationConfigurationId}/resources/{resourceId}/secrets")(pathParams);
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "update-resource-secrets-by-id",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "PUT",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "422", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(nil(201, voidType()), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, 422, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_marketplaceUpdateResourceSecretsById = __esm(() => {
  init_esm();
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_updateresourcesecretsbyidop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/marketplaceUpdateResourceSecretsById.ts
var args108, tool$marketplaceUpdateResourceSecretsById;
var init_marketplaceUpdateResourceSecretsById2 = __esm(() => {
  init_marketplaceUpdateResourceSecretsById();
  init_updateresourcesecretsbyidop();
  init_tools();
  args108 = {
    request: UpdateResourceSecretsByIdRequest$inboundSchema
  };
  tool$marketplaceUpdateResourceSecretsById = {
    name: "marketplace-update-resource-secrets-by-id",
    description: `Update Resource Secrets

This endpoint updates the secrets of a resource. If a resource has projects connected, the connected secrets are updated with the new secrets. The old secrets may still be used by existing connected projects because they are not automatically redeployed. Redeployment is a manual action and must be completed by the user. All new project connections will use the new secrets.<br/> <br/> Use cases for this endpoint:<br/> <br/> - Resetting the credentials of a database in the partner. If the user requests the credentials to be updated in the partner’s application, the partner post the new set of secrets to Vercel, the user should redeploy their application and the expire the old credentials.<br/>`,
    args: args108,
    tool: async (client, args109, ctx) => {
      const [result, apiCall] = await marketplaceUpdateResourceSecretsById(client, args109.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      return formatResult(undefined, apiCall);
    }
  };
});

// src/models/patchprojectsprojectidlogspresetsidop.ts
var PatchProjectsProjectIdLogsPresetsIdRequestBody$inboundSchema, PatchProjectsProjectIdLogsPresetsIdRequestBody$outboundSchema, PatchProjectsProjectIdLogsPresetsIdRequestBody$, PatchProjectsProjectIdLogsPresetsIdRequest$inboundSchema, PatchProjectsProjectIdLogsPresetsIdRequest$outboundSchema, PatchProjectsProjectIdLogsPresetsIdRequest$;
var init_patchprojectsprojectidlogspresetsidop = __esm(() => {
  init_esm();
  init_primitives();
  PatchProjectsProjectIdLogsPresetsIdRequestBody$inboundSchema = objectType({
    title: stringType()
  });
  PatchProjectsProjectIdLogsPresetsIdRequestBody$outboundSchema = objectType({
    title: stringType()
  });
  ((PatchProjectsProjectIdLogsPresetsIdRequestBody$) => {
    PatchProjectsProjectIdLogsPresetsIdRequestBody$.inboundSchema = PatchProjectsProjectIdLogsPresetsIdRequestBody$inboundSchema;
    PatchProjectsProjectIdLogsPresetsIdRequestBody$.outboundSchema = PatchProjectsProjectIdLogsPresetsIdRequestBody$outboundSchema;
  })(PatchProjectsProjectIdLogsPresetsIdRequestBody$ ||= {});
  PatchProjectsProjectIdLogsPresetsIdRequest$inboundSchema = objectType({
    projectId: stringType(),
    id: stringType(),
    RequestBody: lazyType(() => PatchProjectsProjectIdLogsPresetsIdRequestBody$inboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  PatchProjectsProjectIdLogsPresetsIdRequest$outboundSchema = objectType({
    projectId: stringType(),
    id: stringType(),
    requestBody: lazyType(() => PatchProjectsProjectIdLogsPresetsIdRequestBody$outboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((PatchProjectsProjectIdLogsPresetsIdRequest$) => {
    PatchProjectsProjectIdLogsPresetsIdRequest$.inboundSchema = PatchProjectsProjectIdLogsPresetsIdRequest$inboundSchema;
    PatchProjectsProjectIdLogsPresetsIdRequest$.outboundSchema = PatchProjectsProjectIdLogsPresetsIdRequest$outboundSchema;
  })(PatchProjectsProjectIdLogsPresetsIdRequest$ ||= {});
});

// src/funcs/patchProjectsProjectIdLogsPresetsId.ts
function patchProjectsProjectIdLogsPresetsId(client, request, options) {
  return new APIPromise($do110(client, request, options));
}
async function $do110(client, request, options) {
  const parsed = safeParse(request, (value) => PatchProjectsProjectIdLogsPresetsIdRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    id: encodeSimple("id", payload.id, {
      explode: false,
      charEncoding: "percent"
    }),
    projectId: encodeSimple("projectId", payload.projectId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/projects/{projectId}/logs-presets/{id}")(pathParams);
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "patch_/projects/{projectId}/logs-presets/{id}",
    oAuth2Scopes: [],
    resolvedSecurity: null,
    securitySource: null,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    method: "PATCH",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, Team$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_patchProjectsProjectIdLogsPresetsId = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_url();
  init_patchprojectsprojectidlogspresetsidop();
  init_team();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/patchProjectsProjectIdLogsPresetsId.ts
var args109, tool$patchProjectsProjectIdLogsPresetsId;
var init_patchProjectsProjectIdLogsPresetsId2 = __esm(() => {
  init_patchProjectsProjectIdLogsPresetsId();
  init_patchprojectsprojectidlogspresetsidop();
  init_tools();
  args109 = {
    request: PatchProjectsProjectIdLogsPresetsIdRequest$inboundSchema
  };
  tool$patchProjectsProjectIdLogsPresetsId = {
    name: "patch-projects-project-id-logs-presets-id",
    description: ``,
    args: args109,
    tool: async (client, args110, ctx) => {
      const [result, apiCall] = await patchProjectsProjectIdLogsPresetsId(client, args110.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/postdomainsop.ts
var ServiceType, RequestBody3$inboundSchema, RequestBody3$outboundSchema, RequestBody3$, RequestBody2$inboundSchema, RequestBody2$outboundSchema, RequestBody2$, RequestBody1$inboundSchema, RequestBody1$outboundSchema, RequestBody1$, PostDomainsRequestBody$inboundSchema, PostDomainsRequestBody$outboundSchema, PostDomainsRequestBody$, PostDomainsCreator$inboundSchema, PostDomainsCreator$outboundSchema, PostDomainsCreator$, ServiceType$inboundSchema, ServiceType$outboundSchema, ServiceType$, PostDomainsDomain$inboundSchema, PostDomainsDomain$outboundSchema, PostDomainsDomain$, PostDomainsResponseBody$inboundSchema, PostDomainsResponseBody$outboundSchema, PostDomainsResponseBody$;
var init_postdomainsop = __esm(() => {
  init_esm();
  ServiceType = {
    ZeitWorld: "zeit.world",
    External: "external",
    Na: "na"
  };
  RequestBody3$inboundSchema = objectType({
    name: stringType(),
    method: stringType(),
    authCode: stringType().optional(),
    expectedPrice: numberType().optional()
  });
  RequestBody3$outboundSchema = objectType({
    name: stringType(),
    method: stringType(),
    authCode: stringType().optional(),
    expectedPrice: numberType().optional()
  });
  ((RequestBody3$) => {
    RequestBody3$.inboundSchema = RequestBody3$inboundSchema;
    RequestBody3$.outboundSchema = RequestBody3$outboundSchema;
  })(RequestBody3$ ||= {});
  RequestBody2$inboundSchema = objectType({
    name: stringType(),
    method: stringType(),
    token: stringType().optional()
  });
  RequestBody2$outboundSchema = objectType({
    name: stringType(),
    method: stringType(),
    token: stringType().optional()
  });
  ((RequestBody2$) => {
    RequestBody2$.inboundSchema = RequestBody2$inboundSchema;
    RequestBody2$.outboundSchema = RequestBody2$outboundSchema;
  })(RequestBody2$ ||= {});
  RequestBody1$inboundSchema = objectType({
    name: stringType(),
    cdnEnabled: booleanType().optional(),
    zone: booleanType().optional(),
    method: stringType().optional()
  });
  RequestBody1$outboundSchema = objectType({
    name: stringType(),
    cdnEnabled: booleanType().optional(),
    zone: booleanType().optional(),
    method: stringType().optional()
  });
  ((RequestBody1$) => {
    RequestBody1$.inboundSchema = RequestBody1$inboundSchema;
    RequestBody1$.outboundSchema = RequestBody1$outboundSchema;
  })(RequestBody1$ ||= {});
  PostDomainsRequestBody$inboundSchema = unionType([
    lazyType(() => RequestBody2$inboundSchema),
    lazyType(() => RequestBody1$inboundSchema),
    lazyType(() => RequestBody3$inboundSchema)
  ]);
  PostDomainsRequestBody$outboundSchema = unionType([
    lazyType(() => RequestBody2$outboundSchema),
    lazyType(() => RequestBody1$outboundSchema),
    lazyType(() => RequestBody3$outboundSchema)
  ]);
  ((PostDomainsRequestBody$) => {
    PostDomainsRequestBody$.inboundSchema = PostDomainsRequestBody$inboundSchema;
    PostDomainsRequestBody$.outboundSchema = PostDomainsRequestBody$outboundSchema;
  })(PostDomainsRequestBody$ ||= {});
  PostDomainsCreator$inboundSchema = objectType({
    username: stringType(),
    email: stringType(),
    customerId: nullableType(stringType()).optional(),
    isDomainReseller: booleanType().optional(),
    id: stringType()
  });
  PostDomainsCreator$outboundSchema = objectType({
    username: stringType(),
    email: stringType(),
    customerId: nullableType(stringType()).optional(),
    isDomainReseller: booleanType().optional(),
    id: stringType()
  });
  ((PostDomainsCreator$) => {
    PostDomainsCreator$.inboundSchema = PostDomainsCreator$inboundSchema;
    PostDomainsCreator$.outboundSchema = PostDomainsCreator$outboundSchema;
  })(PostDomainsCreator$ ||= {});
  ServiceType$inboundSchema = nativeEnumType(ServiceType);
  ServiceType$outboundSchema = ServiceType$inboundSchema;
  ((ServiceType$) => {
    ServiceType$.inboundSchema = ServiceType$inboundSchema;
    ServiceType$.outboundSchema = ServiceType$outboundSchema;
  })(ServiceType$ ||= {});
  PostDomainsDomain$inboundSchema = objectType({
    verified: booleanType(),
    nameservers: arrayType(stringType()),
    intendedNameservers: arrayType(stringType()),
    customNameservers: arrayType(stringType()).optional(),
    creator: lazyType(() => PostDomainsCreator$inboundSchema),
    name: stringType(),
    boughtAt: nullableType(numberType()),
    createdAt: numberType(),
    expiresAt: nullableType(numberType()),
    id: stringType(),
    orderedAt: numberType().optional(),
    renew: booleanType().optional(),
    serviceType: ServiceType$inboundSchema,
    transferredAt: nullableType(numberType()).optional(),
    transferStartedAt: numberType().optional(),
    userId: stringType(),
    teamId: nullableType(stringType())
  });
  PostDomainsDomain$outboundSchema = objectType({
    verified: booleanType(),
    nameservers: arrayType(stringType()),
    intendedNameservers: arrayType(stringType()),
    customNameservers: arrayType(stringType()).optional(),
    creator: lazyType(() => PostDomainsCreator$outboundSchema),
    name: stringType(),
    boughtAt: nullableType(numberType()),
    createdAt: numberType(),
    expiresAt: nullableType(numberType()),
    id: stringType(),
    orderedAt: numberType().optional(),
    renew: booleanType().optional(),
    serviceType: ServiceType$outboundSchema,
    transferredAt: nullableType(numberType()).optional(),
    transferStartedAt: numberType().optional(),
    userId: stringType(),
    teamId: nullableType(stringType())
  });
  ((PostDomainsDomain$) => {
    PostDomainsDomain$.inboundSchema = PostDomainsDomain$inboundSchema;
    PostDomainsDomain$.outboundSchema = PostDomainsDomain$outboundSchema;
  })(PostDomainsDomain$ ||= {});
  PostDomainsResponseBody$inboundSchema = objectType({
    domain: lazyType(() => PostDomainsDomain$inboundSchema)
  });
  PostDomainsResponseBody$outboundSchema = objectType({
    domain: lazyType(() => PostDomainsDomain$outboundSchema)
  });
  ((PostDomainsResponseBody$) => {
    PostDomainsResponseBody$.inboundSchema = PostDomainsResponseBody$inboundSchema;
    PostDomainsResponseBody$.outboundSchema = PostDomainsResponseBody$outboundSchema;
  })(PostDomainsResponseBody$ ||= {});
});

// src/funcs/postDomains.ts
function postDomains(client, request, options) {
  return new APIPromise($do111(client, request, options));
}
async function $do111(client, request, options) {
  const parsed = safeParse(request, (value) => PostDomainsRequestBody$outboundSchema.optional().parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = payload === undefined ? null : encodeJSON("body", payload, { explode: true });
  const path = pathToFunc("/domains")();
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "post_/domains",
    oAuth2Scopes: [],
    resolvedSecurity: null,
    securitySource: null,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "404", "409", "4XX", "500", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, PostDomainsResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([402, 403, 409, "4XX"]), fail([500, "5XX"]))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_postDomains = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_url();
  init_postdomainsop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/postDomains.ts
var args110, tool$postDomains;
var init_postDomains2 = __esm(() => {
  init_postDomains();
  init_postdomainsop();
  init_tools();
  args110 = {
    request: PostDomainsRequestBody$inboundSchema.optional()
  };
  tool$postDomains = {
    name: "post-domains",
    description: ``,
    args: args110,
    tool: async (client, args111, ctx) => {
      const [result, apiCall] = await postDomains(client, args111.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/postprojectsprojectidlogspresetsop.ts
var PostProjectsProjectIdLogsPresetsGroup, PostProjectsProjectIdLogsPresetsGroup$inboundSchema, PostProjectsProjectIdLogsPresetsGroup$outboundSchema, PostProjectsProjectIdLogsPresetsGroup$, PostProjectsProjectIdLogsPresetsRequestBody$inboundSchema, PostProjectsProjectIdLogsPresetsRequestBody$outboundSchema, PostProjectsProjectIdLogsPresetsRequestBody$, PostProjectsProjectIdLogsPresetsRequest$inboundSchema, PostProjectsProjectIdLogsPresetsRequest$outboundSchema, PostProjectsProjectIdLogsPresetsRequest$;
var init_postprojectsprojectidlogspresetsop = __esm(() => {
  init_esm();
  init_primitives();
  PostProjectsProjectIdLogsPresetsGroup = {
    Personal: "personal",
    Team: "team"
  };
  PostProjectsProjectIdLogsPresetsGroup$inboundSchema = nativeEnumType(PostProjectsProjectIdLogsPresetsGroup);
  PostProjectsProjectIdLogsPresetsGroup$outboundSchema = PostProjectsProjectIdLogsPresetsGroup$inboundSchema;
  ((PostProjectsProjectIdLogsPresetsGroup$) => {
    PostProjectsProjectIdLogsPresetsGroup$.inboundSchema = PostProjectsProjectIdLogsPresetsGroup$inboundSchema;
    PostProjectsProjectIdLogsPresetsGroup$.outboundSchema = PostProjectsProjectIdLogsPresetsGroup$outboundSchema;
  })(PostProjectsProjectIdLogsPresetsGroup$ ||= {});
  PostProjectsProjectIdLogsPresetsRequestBody$inboundSchema = objectType({
    query: stringType(),
    title: stringType(),
    group: PostProjectsProjectIdLogsPresetsGroup$inboundSchema
  });
  PostProjectsProjectIdLogsPresetsRequestBody$outboundSchema = objectType({
    query: stringType(),
    title: stringType(),
    group: PostProjectsProjectIdLogsPresetsGroup$outboundSchema
  });
  ((PostProjectsProjectIdLogsPresetsRequestBody$) => {
    PostProjectsProjectIdLogsPresetsRequestBody$.inboundSchema = PostProjectsProjectIdLogsPresetsRequestBody$inboundSchema;
    PostProjectsProjectIdLogsPresetsRequestBody$.outboundSchema = PostProjectsProjectIdLogsPresetsRequestBody$outboundSchema;
  })(PostProjectsProjectIdLogsPresetsRequestBody$ ||= {});
  PostProjectsProjectIdLogsPresetsRequest$inboundSchema = objectType({
    projectId: stringType(),
    RequestBody: lazyType(() => PostProjectsProjectIdLogsPresetsRequestBody$inboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  PostProjectsProjectIdLogsPresetsRequest$outboundSchema = objectType({
    projectId: stringType(),
    requestBody: lazyType(() => PostProjectsProjectIdLogsPresetsRequestBody$outboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((PostProjectsProjectIdLogsPresetsRequest$) => {
    PostProjectsProjectIdLogsPresetsRequest$.inboundSchema = PostProjectsProjectIdLogsPresetsRequest$inboundSchema;
    PostProjectsProjectIdLogsPresetsRequest$.outboundSchema = PostProjectsProjectIdLogsPresetsRequest$outboundSchema;
  })(PostProjectsProjectIdLogsPresetsRequest$ ||= {});
});

// src/funcs/postProjectsProjectIdLogsPresets.ts
function postProjectsProjectIdLogsPresets(client, request, options) {
  return new APIPromise($do112(client, request, options));
}
async function $do112(client, request, options) {
  const parsed = safeParse(request, (value) => PostProjectsProjectIdLogsPresetsRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    projectId: encodeSimple("projectId", payload.projectId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/projects/{projectId}/logs-presets")(pathParams);
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "post_/projects/{projectId}/logs-presets",
    oAuth2Scopes: [],
    resolvedSecurity: null,
    securitySource: null,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, Team$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_postProjectsProjectIdLogsPresets = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_url();
  init_postprojectsprojectidlogspresetsop();
  init_team();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/postProjectsProjectIdLogsPresets.ts
var args111, tool$postProjectsProjectIdLogsPresets;
var init_postProjectsProjectIdLogsPresets2 = __esm(() => {
  init_postProjectsProjectIdLogsPresets();
  init_postprojectsprojectidlogspresetsop();
  init_tools();
  args111 = {
    request: PostProjectsProjectIdLogsPresetsRequest$inboundSchema
  };
  tool$postProjectsProjectIdLogsPresets = {
    name: "post-projects-project-id-logs-presets",
    description: ``,
    args: args111,
    tool: async (client, args112, ctx) => {
      const [result, apiCall] = await postProjectsProjectIdLogsPresets(client, args112.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/addprojectmemberop.ts
var AddProjectMemberRequestBodyProjectMembersRole, AddProjectMemberRequestBodyRole, RequestBodyRole, AddProjectMemberRequestBodyProjectMembersRole$inboundSchema, AddProjectMemberRequestBodyProjectMembersRole$outboundSchema, AddProjectMemberRequestBodyProjectMembersRole$, AddProjectMemberRequestBody3$inboundSchema, AddProjectMemberRequestBody3$outboundSchema, AddProjectMemberRequestBody3$, AddProjectMemberRequestBodyRole$inboundSchema, AddProjectMemberRequestBodyRole$outboundSchema, AddProjectMemberRequestBodyRole$, AddProjectMemberRequestBody2$inboundSchema, AddProjectMemberRequestBody2$outboundSchema, AddProjectMemberRequestBody2$, RequestBodyRole$inboundSchema, RequestBodyRole$outboundSchema, RequestBodyRole$, AddProjectMemberRequestBody1$inboundSchema, AddProjectMemberRequestBody1$outboundSchema, AddProjectMemberRequestBody1$, AddProjectMemberRequestBody$inboundSchema, AddProjectMemberRequestBody$outboundSchema, AddProjectMemberRequestBody$, AddProjectMemberRequest$inboundSchema, AddProjectMemberRequest$outboundSchema, AddProjectMemberRequest$, AddProjectMemberResponseBody$inboundSchema, AddProjectMemberResponseBody$outboundSchema, AddProjectMemberResponseBody$;
var init_addprojectmemberop = __esm(() => {
  init_esm();
  init_primitives();
  AddProjectMemberRequestBodyProjectMembersRole = {
    Admin: "ADMIN",
    ProjectDeveloper: "PROJECT_DEVELOPER",
    ProjectViewer: "PROJECT_VIEWER"
  };
  AddProjectMemberRequestBodyRole = {
    Admin: "ADMIN",
    ProjectDeveloper: "PROJECT_DEVELOPER",
    ProjectViewer: "PROJECT_VIEWER"
  };
  RequestBodyRole = {
    Admin: "ADMIN",
    ProjectDeveloper: "PROJECT_DEVELOPER",
    ProjectViewer: "PROJECT_VIEWER"
  };
  AddProjectMemberRequestBodyProjectMembersRole$inboundSchema = nativeEnumType(AddProjectMemberRequestBodyProjectMembersRole);
  AddProjectMemberRequestBodyProjectMembersRole$outboundSchema = AddProjectMemberRequestBodyProjectMembersRole$inboundSchema;
  ((AddProjectMemberRequestBodyProjectMembersRole$) => {
    AddProjectMemberRequestBodyProjectMembersRole$.inboundSchema = AddProjectMemberRequestBodyProjectMembersRole$inboundSchema;
    AddProjectMemberRequestBodyProjectMembersRole$.outboundSchema = AddProjectMemberRequestBodyProjectMembersRole$outboundSchema;
  })(AddProjectMemberRequestBodyProjectMembersRole$ ||= {});
  AddProjectMemberRequestBody3$inboundSchema = objectType({
    uid: stringType().optional(),
    username: stringType().optional(),
    email: stringType(),
    role: AddProjectMemberRequestBodyProjectMembersRole$inboundSchema
  });
  AddProjectMemberRequestBody3$outboundSchema = objectType({
    uid: stringType().optional(),
    username: stringType().optional(),
    email: stringType(),
    role: AddProjectMemberRequestBodyProjectMembersRole$outboundSchema
  });
  ((AddProjectMemberRequestBody3$) => {
    AddProjectMemberRequestBody3$.inboundSchema = AddProjectMemberRequestBody3$inboundSchema;
    AddProjectMemberRequestBody3$.outboundSchema = AddProjectMemberRequestBody3$outboundSchema;
  })(AddProjectMemberRequestBody3$ ||= {});
  AddProjectMemberRequestBodyRole$inboundSchema = nativeEnumType(AddProjectMemberRequestBodyRole);
  AddProjectMemberRequestBodyRole$outboundSchema = AddProjectMemberRequestBodyRole$inboundSchema;
  ((AddProjectMemberRequestBodyRole$) => {
    AddProjectMemberRequestBodyRole$.inboundSchema = AddProjectMemberRequestBodyRole$inboundSchema;
    AddProjectMemberRequestBodyRole$.outboundSchema = AddProjectMemberRequestBodyRole$outboundSchema;
  })(AddProjectMemberRequestBodyRole$ ||= {});
  AddProjectMemberRequestBody2$inboundSchema = objectType({
    uid: stringType().optional(),
    username: stringType(),
    email: stringType().optional(),
    role: AddProjectMemberRequestBodyRole$inboundSchema
  });
  AddProjectMemberRequestBody2$outboundSchema = objectType({
    uid: stringType().optional(),
    username: stringType(),
    email: stringType().optional(),
    role: AddProjectMemberRequestBodyRole$outboundSchema
  });
  ((AddProjectMemberRequestBody2$) => {
    AddProjectMemberRequestBody2$.inboundSchema = AddProjectMemberRequestBody2$inboundSchema;
    AddProjectMemberRequestBody2$.outboundSchema = AddProjectMemberRequestBody2$outboundSchema;
  })(AddProjectMemberRequestBody2$ ||= {});
  RequestBodyRole$inboundSchema = nativeEnumType(RequestBodyRole);
  RequestBodyRole$outboundSchema = RequestBodyRole$inboundSchema;
  ((RequestBodyRole$) => {
    RequestBodyRole$.inboundSchema = RequestBodyRole$inboundSchema;
    RequestBodyRole$.outboundSchema = RequestBodyRole$outboundSchema;
  })(RequestBodyRole$ ||= {});
  AddProjectMemberRequestBody1$inboundSchema = objectType({
    uid: stringType(),
    username: stringType().optional(),
    email: stringType().optional(),
    role: RequestBodyRole$inboundSchema
  });
  AddProjectMemberRequestBody1$outboundSchema = objectType({
    uid: stringType(),
    username: stringType().optional(),
    email: stringType().optional(),
    role: RequestBodyRole$outboundSchema
  });
  ((AddProjectMemberRequestBody1$) => {
    AddProjectMemberRequestBody1$.inboundSchema = AddProjectMemberRequestBody1$inboundSchema;
    AddProjectMemberRequestBody1$.outboundSchema = AddProjectMemberRequestBody1$outboundSchema;
  })(AddProjectMemberRequestBody1$ ||= {});
  AddProjectMemberRequestBody$inboundSchema = unionType([
    lazyType(() => AddProjectMemberRequestBody1$inboundSchema),
    lazyType(() => AddProjectMemberRequestBody2$inboundSchema),
    lazyType(() => AddProjectMemberRequestBody3$inboundSchema)
  ]);
  AddProjectMemberRequestBody$outboundSchema = unionType([
    lazyType(() => AddProjectMemberRequestBody1$outboundSchema),
    lazyType(() => AddProjectMemberRequestBody2$outboundSchema),
    lazyType(() => AddProjectMemberRequestBody3$outboundSchema)
  ]);
  ((AddProjectMemberRequestBody$) => {
    AddProjectMemberRequestBody$.inboundSchema = AddProjectMemberRequestBody$inboundSchema;
    AddProjectMemberRequestBody$.outboundSchema = AddProjectMemberRequestBody$outboundSchema;
  })(AddProjectMemberRequestBody$ ||= {});
  AddProjectMemberRequest$inboundSchema = objectType({
    idOrName: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    RequestBody: unionType([
      lazyType(() => AddProjectMemberRequestBody1$inboundSchema),
      lazyType(() => AddProjectMemberRequestBody2$inboundSchema),
      lazyType(() => AddProjectMemberRequestBody3$inboundSchema)
    ])
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  AddProjectMemberRequest$outboundSchema = objectType({
    idOrName: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    requestBody: unionType([
      lazyType(() => AddProjectMemberRequestBody1$outboundSchema),
      lazyType(() => AddProjectMemberRequestBody2$outboundSchema),
      lazyType(() => AddProjectMemberRequestBody3$outboundSchema)
    ])
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((AddProjectMemberRequest$) => {
    AddProjectMemberRequest$.inboundSchema = AddProjectMemberRequest$inboundSchema;
    AddProjectMemberRequest$.outboundSchema = AddProjectMemberRequest$outboundSchema;
  })(AddProjectMemberRequest$ ||= {});
  AddProjectMemberResponseBody$inboundSchema = objectType({
    id: stringType()
  });
  AddProjectMemberResponseBody$outboundSchema = objectType({
    id: stringType()
  });
  ((AddProjectMemberResponseBody$) => {
    AddProjectMemberResponseBody$.inboundSchema = AddProjectMemberResponseBody$inboundSchema;
    AddProjectMemberResponseBody$.outboundSchema = AddProjectMemberResponseBody$outboundSchema;
  })(AddProjectMemberResponseBody$ ||= {});
});

// src/funcs/projectMembersAddProjectMember.ts
function projectMembersAddProjectMember(client, request, options) {
  return new APIPromise($do113(client, request, options));
}
async function $do113(client, request, options) {
  const parsed = safeParse(request, (value) => AddProjectMemberRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/projects/{idOrName}/members")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "addProjectMember",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "500", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, AddProjectMemberResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail([500, "5XX"]))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_projectMembersAddProjectMember = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_addprojectmemberop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/projectMembersAddProjectMember.ts
var args112, tool$projectMembersAddProjectMember;
var init_projectMembersAddProjectMember2 = __esm(() => {
  init_projectMembersAddProjectMember();
  init_addprojectmemberop();
  init_tools();
  args112 = {
    request: AddProjectMemberRequest$inboundSchema
  };
  tool$projectMembersAddProjectMember = {
    name: "project-members-add-project-member",
    description: `Adds a new member to a project.

Adds a new member to the project.`,
    args: args112,
    tool: async (client, args113, ctx) => {
      const [result, apiCall] = await projectMembersAddProjectMember(client, args113.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/getprojectmembersop.ts
var GetProjectMembersResponseBodyRole, ComputedProjectRole, ResponseBodyTeamRole, GetProjectMembersRequest$inboundSchema, GetProjectMembersRequest$outboundSchema, GetProjectMembersRequest$, GetProjectMembersResponseBodyRole$inboundSchema, GetProjectMembersResponseBodyRole$outboundSchema, GetProjectMembersResponseBodyRole$, ComputedProjectRole$inboundSchema, ComputedProjectRole$outboundSchema, ComputedProjectRole$, ResponseBodyTeamRole$inboundSchema, ResponseBodyTeamRole$outboundSchema, ResponseBodyTeamRole$, ResponseBodyMembers$inboundSchema, ResponseBodyMembers$outboundSchema, ResponseBodyMembers$, GetProjectMembersResponseBodyPagination$inboundSchema, GetProjectMembersResponseBodyPagination$outboundSchema, GetProjectMembersResponseBodyPagination$, GetProjectMembersResponseBody2$inboundSchema, GetProjectMembersResponseBody2$outboundSchema, GetProjectMembersResponseBody2$, GetProjectMembersResponseBody1$inboundSchema, GetProjectMembersResponseBody1$outboundSchema, GetProjectMembersResponseBody1$, GetProjectMembersResponseBody$inboundSchema, GetProjectMembersResponseBody$outboundSchema, GetProjectMembersResponseBody$;
var init_getprojectmembersop = __esm(() => {
  init_esm();
  GetProjectMembersResponseBodyRole = {
    Admin: "ADMIN",
    ProjectDeveloper: "PROJECT_DEVELOPER",
    ProjectViewer: "PROJECT_VIEWER"
  };
  ComputedProjectRole = {
    Admin: "ADMIN",
    ProjectDeveloper: "PROJECT_DEVELOPER",
    ProjectViewer: "PROJECT_VIEWER"
  };
  ResponseBodyTeamRole = {
    Owner: "OWNER",
    Member: "MEMBER",
    Developer: "DEVELOPER",
    Security: "SECURITY",
    Billing: "BILLING",
    Viewer: "VIEWER",
    Contributor: "CONTRIBUTOR"
  };
  GetProjectMembersRequest$inboundSchema = objectType({
    idOrName: stringType(),
    limit: numberType().int().optional(),
    since: numberType().int().optional(),
    until: numberType().int().optional(),
    search: stringType().optional(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  GetProjectMembersRequest$outboundSchema = objectType({
    idOrName: stringType(),
    limit: numberType().int().optional(),
    since: numberType().int().optional(),
    until: numberType().int().optional(),
    search: stringType().optional(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((GetProjectMembersRequest$) => {
    GetProjectMembersRequest$.inboundSchema = GetProjectMembersRequest$inboundSchema;
    GetProjectMembersRequest$.outboundSchema = GetProjectMembersRequest$outboundSchema;
  })(GetProjectMembersRequest$ ||= {});
  GetProjectMembersResponseBodyRole$inboundSchema = nativeEnumType(GetProjectMembersResponseBodyRole);
  GetProjectMembersResponseBodyRole$outboundSchema = GetProjectMembersResponseBodyRole$inboundSchema;
  ((GetProjectMembersResponseBodyRole$) => {
    GetProjectMembersResponseBodyRole$.inboundSchema = GetProjectMembersResponseBodyRole$inboundSchema;
    GetProjectMembersResponseBodyRole$.outboundSchema = GetProjectMembersResponseBodyRole$outboundSchema;
  })(GetProjectMembersResponseBodyRole$ ||= {});
  ComputedProjectRole$inboundSchema = nativeEnumType(ComputedProjectRole);
  ComputedProjectRole$outboundSchema = ComputedProjectRole$inboundSchema;
  ((ComputedProjectRole$) => {
    ComputedProjectRole$.inboundSchema = ComputedProjectRole$inboundSchema;
    ComputedProjectRole$.outboundSchema = ComputedProjectRole$outboundSchema;
  })(ComputedProjectRole$ ||= {});
  ResponseBodyTeamRole$inboundSchema = nativeEnumType(ResponseBodyTeamRole);
  ResponseBodyTeamRole$outboundSchema = ResponseBodyTeamRole$inboundSchema;
  ((ResponseBodyTeamRole$) => {
    ResponseBodyTeamRole$.inboundSchema = ResponseBodyTeamRole$inboundSchema;
    ResponseBodyTeamRole$.outboundSchema = ResponseBodyTeamRole$outboundSchema;
  })(ResponseBodyTeamRole$ ||= {});
  ResponseBodyMembers$inboundSchema = objectType({
    avatar: stringType().optional(),
    email: stringType(),
    role: GetProjectMembersResponseBodyRole$inboundSchema,
    computedProjectRole: ComputedProjectRole$inboundSchema,
    uid: stringType(),
    username: stringType(),
    name: stringType().optional(),
    createdAt: numberType(),
    teamRole: ResponseBodyTeamRole$inboundSchema
  });
  ResponseBodyMembers$outboundSchema = objectType({
    avatar: stringType().optional(),
    email: stringType(),
    role: GetProjectMembersResponseBodyRole$outboundSchema,
    computedProjectRole: ComputedProjectRole$outboundSchema,
    uid: stringType(),
    username: stringType(),
    name: stringType().optional(),
    createdAt: numberType(),
    teamRole: ResponseBodyTeamRole$outboundSchema
  });
  ((ResponseBodyMembers$) => {
    ResponseBodyMembers$.inboundSchema = ResponseBodyMembers$inboundSchema;
    ResponseBodyMembers$.outboundSchema = ResponseBodyMembers$outboundSchema;
  })(ResponseBodyMembers$ ||= {});
  GetProjectMembersResponseBodyPagination$inboundSchema = objectType({
    hasNext: booleanType(),
    count: numberType(),
    next: nullableType(numberType()),
    prev: nullableType(numberType())
  });
  GetProjectMembersResponseBodyPagination$outboundSchema = objectType({
    hasNext: booleanType(),
    count: numberType(),
    next: nullableType(numberType()),
    prev: nullableType(numberType())
  });
  ((GetProjectMembersResponseBodyPagination$) => {
    GetProjectMembersResponseBodyPagination$.inboundSchema = GetProjectMembersResponseBodyPagination$inboundSchema;
    GetProjectMembersResponseBodyPagination$.outboundSchema = GetProjectMembersResponseBodyPagination$outboundSchema;
  })(GetProjectMembersResponseBodyPagination$ ||= {});
  GetProjectMembersResponseBody2$inboundSchema = objectType({
    members: arrayType(lazyType(() => ResponseBodyMembers$inboundSchema)),
    pagination: lazyType(() => GetProjectMembersResponseBodyPagination$inboundSchema)
  });
  GetProjectMembersResponseBody2$outboundSchema = objectType({
    members: arrayType(lazyType(() => ResponseBodyMembers$outboundSchema)),
    pagination: lazyType(() => GetProjectMembersResponseBodyPagination$outboundSchema)
  });
  ((GetProjectMembersResponseBody2$) => {
    GetProjectMembersResponseBody2$.inboundSchema = GetProjectMembersResponseBody2$inboundSchema;
    GetProjectMembersResponseBody2$.outboundSchema = GetProjectMembersResponseBody2$outboundSchema;
  })(GetProjectMembersResponseBody2$ ||= {});
  GetProjectMembersResponseBody1$inboundSchema = objectType({});
  GetProjectMembersResponseBody1$outboundSchema = objectType({});
  ((GetProjectMembersResponseBody1$) => {
    GetProjectMembersResponseBody1$.inboundSchema = GetProjectMembersResponseBody1$inboundSchema;
    GetProjectMembersResponseBody1$.outboundSchema = GetProjectMembersResponseBody1$outboundSchema;
  })(GetProjectMembersResponseBody1$ ||= {});
  GetProjectMembersResponseBody$inboundSchema = unionType([
    lazyType(() => GetProjectMembersResponseBody1$inboundSchema),
    lazyType(() => GetProjectMembersResponseBody2$inboundSchema)
  ]);
  GetProjectMembersResponseBody$outboundSchema = unionType([
    lazyType(() => GetProjectMembersResponseBody1$outboundSchema),
    lazyType(() => GetProjectMembersResponseBody2$outboundSchema)
  ]);
  ((GetProjectMembersResponseBody$) => {
    GetProjectMembersResponseBody$.inboundSchema = GetProjectMembersResponseBody$inboundSchema;
    GetProjectMembersResponseBody$.outboundSchema = GetProjectMembersResponseBody$outboundSchema;
  })(GetProjectMembersResponseBody$ ||= {});
});

// src/funcs/projectMembersGetProjectMembers.ts
function projectMembersGetProjectMembers(client, request, options) {
  return new APIPromise($do114(client, request, options));
}
async function $do114(client, request, options) {
  const parsed = safeParse(request, (value) => GetProjectMembersRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/projects/{idOrName}/members")(pathParams);
  const query = encodeFormQuery({
    limit: payload.limit,
    search: payload.search,
    since: payload.since,
    slug: payload.slug,
    teamId: payload.teamId,
    until: payload.until
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "getProjectMembers",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetProjectMembersResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_projectMembersGetProjectMembers = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_getprojectmembersop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/projectMembersGetProjectMembers.ts
var args113, tool$projectMembersGetProjectMembers;
var init_projectMembersGetProjectMembers2 = __esm(() => {
  init_projectMembersGetProjectMembers();
  init_getprojectmembersop();
  init_tools();
  args113 = {
    request: GetProjectMembersRequest$inboundSchema
  };
  tool$projectMembersGetProjectMembers = {
    name: "project-members-get-project-members",
    description: `List project members

Lists all members of a project.`,
    args: args113,
    tool: async (client, args114, ctx) => {
      const [result, apiCall] = await projectMembersGetProjectMembers(client, args114.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/removeprojectmemberop.ts
var RemoveProjectMemberRequest$inboundSchema, RemoveProjectMemberRequest$outboundSchema, RemoveProjectMemberRequest$, RemoveProjectMemberResponseBody$inboundSchema, RemoveProjectMemberResponseBody$outboundSchema, RemoveProjectMemberResponseBody$;
var init_removeprojectmemberop = __esm(() => {
  init_esm();
  RemoveProjectMemberRequest$inboundSchema = objectType({
    idOrName: stringType(),
    uid: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  RemoveProjectMemberRequest$outboundSchema = objectType({
    idOrName: stringType(),
    uid: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((RemoveProjectMemberRequest$) => {
    RemoveProjectMemberRequest$.inboundSchema = RemoveProjectMemberRequest$inboundSchema;
    RemoveProjectMemberRequest$.outboundSchema = RemoveProjectMemberRequest$outboundSchema;
  })(RemoveProjectMemberRequest$ ||= {});
  RemoveProjectMemberResponseBody$inboundSchema = objectType({
    id: stringType()
  });
  RemoveProjectMemberResponseBody$outboundSchema = objectType({
    id: stringType()
  });
  ((RemoveProjectMemberResponseBody$) => {
    RemoveProjectMemberResponseBody$.inboundSchema = RemoveProjectMemberResponseBody$inboundSchema;
    RemoveProjectMemberResponseBody$.outboundSchema = RemoveProjectMemberResponseBody$outboundSchema;
  })(RemoveProjectMemberResponseBody$ ||= {});
});

// src/funcs/projectMembersRemoveProjectMember.ts
function projectMembersRemoveProjectMember(client, request, options) {
  return new APIPromise($do115(client, request, options));
}
async function $do115(client, request, options) {
  const parsed = safeParse(request, (value) => RemoveProjectMemberRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    }),
    uid: encodeSimple("uid", payload.uid, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/projects/{idOrName}/members/{uid}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "removeProjectMember",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "DELETE",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, RemoveProjectMemberResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_projectMembersRemoveProjectMember = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_removeprojectmemberop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/projectMembersRemoveProjectMember.ts
var args114, tool$projectMembersRemoveProjectMember;
var init_projectMembersRemoveProjectMember2 = __esm(() => {
  init_projectMembersRemoveProjectMember();
  init_removeprojectmemberop();
  init_tools();
  args114 = {
    request: RemoveProjectMemberRequest$inboundSchema
  };
  tool$projectMembersRemoveProjectMember = {
    name: "project-members-remove-project-member",
    description: `Remove a Project Member

Remove a member from a specific project`,
    args: args114,
    tool: async (client, args115, ctx) => {
      const [result, apiCall] = await projectMembersRemoveProjectMember(client, args115.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/acceptprojecttransferrequestop.ts
var PaidFeatures$inboundSchema, PaidFeatures$outboundSchema, PaidFeatures$, AcceptProjectTransferRequestRequestBody$inboundSchema, AcceptProjectTransferRequestRequestBody$outboundSchema, AcceptProjectTransferRequestRequestBody$, AcceptProjectTransferRequestRequest$inboundSchema, AcceptProjectTransferRequestRequest$outboundSchema, AcceptProjectTransferRequestRequest$, AcceptProjectTransferRequestResponseBody$inboundSchema, AcceptProjectTransferRequestResponseBody$outboundSchema, AcceptProjectTransferRequestResponseBody$;
var init_acceptprojecttransferrequestop = __esm(() => {
  init_esm();
  init_primitives();
  PaidFeatures$inboundSchema = objectType({
    concurrentBuilds: nullableType(numberType().int()).optional(),
    passwordProtection: nullableType(booleanType()).optional(),
    previewDeploymentSuffix: nullableType(booleanType()).optional()
  });
  PaidFeatures$outboundSchema = objectType({
    concurrentBuilds: nullableType(numberType().int()).optional(),
    passwordProtection: nullableType(booleanType()).optional(),
    previewDeploymentSuffix: nullableType(booleanType()).optional()
  });
  ((PaidFeatures$) => {
    PaidFeatures$.inboundSchema = PaidFeatures$inboundSchema;
    PaidFeatures$.outboundSchema = PaidFeatures$outboundSchema;
  })(PaidFeatures$ ||= {});
  AcceptProjectTransferRequestRequestBody$inboundSchema = objectType({
    newProjectName: stringType().optional(),
    paidFeatures: lazyType(() => PaidFeatures$inboundSchema).optional()
  });
  AcceptProjectTransferRequestRequestBody$outboundSchema = objectType({
    newProjectName: stringType().optional(),
    paidFeatures: lazyType(() => PaidFeatures$outboundSchema).optional()
  });
  ((AcceptProjectTransferRequestRequestBody$) => {
    AcceptProjectTransferRequestRequestBody$.inboundSchema = AcceptProjectTransferRequestRequestBody$inboundSchema;
    AcceptProjectTransferRequestRequestBody$.outboundSchema = AcceptProjectTransferRequestRequestBody$outboundSchema;
  })(AcceptProjectTransferRequestRequestBody$ ||= {});
  AcceptProjectTransferRequestRequest$inboundSchema = objectType({
    code: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    RequestBody: lazyType(() => AcceptProjectTransferRequestRequestBody$inboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  AcceptProjectTransferRequestRequest$outboundSchema = objectType({
    code: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    requestBody: lazyType(() => AcceptProjectTransferRequestRequestBody$outboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((AcceptProjectTransferRequestRequest$) => {
    AcceptProjectTransferRequestRequest$.inboundSchema = AcceptProjectTransferRequestRequest$inboundSchema;
    AcceptProjectTransferRequestRequest$.outboundSchema = AcceptProjectTransferRequestRequest$outboundSchema;
  })(AcceptProjectTransferRequestRequest$ ||= {});
  AcceptProjectTransferRequestResponseBody$inboundSchema = objectType({});
  AcceptProjectTransferRequestResponseBody$outboundSchema = objectType({});
  ((AcceptProjectTransferRequestResponseBody$) => {
    AcceptProjectTransferRequestResponseBody$.inboundSchema = AcceptProjectTransferRequestResponseBody$inboundSchema;
    AcceptProjectTransferRequestResponseBody$.outboundSchema = AcceptProjectTransferRequestResponseBody$outboundSchema;
  })(AcceptProjectTransferRequestResponseBody$ ||= {});
});

// src/funcs/projectsAcceptProjectTransferRequest.ts
function projectsAcceptProjectTransferRequest(client, request, options) {
  return new APIPromise($do116(client, request, options));
}
async function $do116(client, request, options) {
  const parsed = safeParse(request, (value) => AcceptProjectTransferRequestRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    code: encodeSimple("code", payload.code, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/projects/transfer-request/{code}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "acceptProjectTransferRequest",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "PUT",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(202, AcceptProjectTransferRequestResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_projectsAcceptProjectTransferRequest = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_acceptprojecttransferrequestop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/projectsAcceptProjectTransferRequest.ts
var args115, tool$projectsAcceptProjectTransferRequest;
var init_projectsAcceptProjectTransferRequest2 = __esm(() => {
  init_projectsAcceptProjectTransferRequest();
  init_acceptprojecttransferrequestop();
  init_tools();
  args115 = {
    request: AcceptProjectTransferRequestRequest$inboundSchema
  };
  tool$projectsAcceptProjectTransferRequest = {
    name: "projects-accept-project-transfer-request",
    description: `Accept project transfer request

Accept a project transfer request initated by another team. <br/> The \`code\` is generated using the \`POST /projects/:idOrName/transfer-request\` endpoint.`,
    args: args115,
    tool: async (client, args116, ctx) => {
      const [result, apiCall] = await projectsAcceptProjectTransferRequest(client, args116.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/addprojectdomainop.ts
var AddProjectDomainRedirectStatusCode, AddProjectDomainRedirectStatusCode$inboundSchema, AddProjectDomainRedirectStatusCode$outboundSchema, AddProjectDomainRedirectStatusCode$, AddProjectDomainRequestBody$inboundSchema, AddProjectDomainRequestBody$outboundSchema, AddProjectDomainRequestBody$, AddProjectDomainRequest$inboundSchema, AddProjectDomainRequest$outboundSchema, AddProjectDomainRequest$, AddProjectDomainVerification$inboundSchema, AddProjectDomainVerification$outboundSchema, AddProjectDomainVerification$, AddProjectDomainResponseBody$inboundSchema, AddProjectDomainResponseBody$outboundSchema, AddProjectDomainResponseBody$;
var init_addprojectdomainop = __esm(() => {
  init_esm();
  init_primitives();
  AddProjectDomainRedirectStatusCode = {
    ThreeHundredAndOne: 301,
    ThreeHundredAndTwo: 302,
    ThreeHundredAndSeven: 307,
    ThreeHundredAndEight: 308
  };
  AddProjectDomainRedirectStatusCode$inboundSchema = nativeEnumType(AddProjectDomainRedirectStatusCode);
  AddProjectDomainRedirectStatusCode$outboundSchema = AddProjectDomainRedirectStatusCode$inboundSchema;
  ((AddProjectDomainRedirectStatusCode$) => {
    AddProjectDomainRedirectStatusCode$.inboundSchema = AddProjectDomainRedirectStatusCode$inboundSchema;
    AddProjectDomainRedirectStatusCode$.outboundSchema = AddProjectDomainRedirectStatusCode$outboundSchema;
  })(AddProjectDomainRedirectStatusCode$ ||= {});
  AddProjectDomainRequestBody$inboundSchema = objectType({
    name: stringType(),
    gitBranch: nullableType(stringType()).optional(),
    customEnvironmentId: stringType().optional(),
    redirect: nullableType(stringType()).optional(),
    redirectStatusCode: nullableType(AddProjectDomainRedirectStatusCode$inboundSchema).optional()
  });
  AddProjectDomainRequestBody$outboundSchema = objectType({
    name: stringType(),
    gitBranch: nullableType(stringType()).optional(),
    customEnvironmentId: stringType().optional(),
    redirect: nullableType(stringType()).optional(),
    redirectStatusCode: nullableType(AddProjectDomainRedirectStatusCode$outboundSchema).optional()
  });
  ((AddProjectDomainRequestBody$) => {
    AddProjectDomainRequestBody$.inboundSchema = AddProjectDomainRequestBody$inboundSchema;
    AddProjectDomainRequestBody$.outboundSchema = AddProjectDomainRequestBody$outboundSchema;
  })(AddProjectDomainRequestBody$ ||= {});
  AddProjectDomainRequest$inboundSchema = objectType({
    idOrName: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    RequestBody: lazyType(() => AddProjectDomainRequestBody$inboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  AddProjectDomainRequest$outboundSchema = objectType({
    idOrName: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    requestBody: lazyType(() => AddProjectDomainRequestBody$outboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((AddProjectDomainRequest$) => {
    AddProjectDomainRequest$.inboundSchema = AddProjectDomainRequest$inboundSchema;
    AddProjectDomainRequest$.outboundSchema = AddProjectDomainRequest$outboundSchema;
  })(AddProjectDomainRequest$ ||= {});
  AddProjectDomainVerification$inboundSchema = objectType({
    type: stringType(),
    domain: stringType(),
    value: stringType(),
    reason: stringType()
  });
  AddProjectDomainVerification$outboundSchema = objectType({
    type: stringType(),
    domain: stringType(),
    value: stringType(),
    reason: stringType()
  });
  ((AddProjectDomainVerification$) => {
    AddProjectDomainVerification$.inboundSchema = AddProjectDomainVerification$inboundSchema;
    AddProjectDomainVerification$.outboundSchema = AddProjectDomainVerification$outboundSchema;
  })(AddProjectDomainVerification$ ||= {});
  AddProjectDomainResponseBody$inboundSchema = objectType({
    name: stringType(),
    apexName: stringType(),
    projectId: stringType(),
    redirect: nullableType(stringType()).optional(),
    redirectStatusCode: nullableType(numberType()).optional(),
    gitBranch: nullableType(stringType()).optional(),
    customEnvironmentId: nullableType(stringType()).optional(),
    updatedAt: numberType().optional(),
    createdAt: numberType().optional(),
    verified: booleanType(),
    verification: arrayType(lazyType(() => AddProjectDomainVerification$inboundSchema)).optional()
  });
  AddProjectDomainResponseBody$outboundSchema = objectType({
    name: stringType(),
    apexName: stringType(),
    projectId: stringType(),
    redirect: nullableType(stringType()).optional(),
    redirectStatusCode: nullableType(numberType()).optional(),
    gitBranch: nullableType(stringType()).optional(),
    customEnvironmentId: nullableType(stringType()).optional(),
    updatedAt: numberType().optional(),
    createdAt: numberType().optional(),
    verified: booleanType(),
    verification: arrayType(lazyType(() => AddProjectDomainVerification$outboundSchema)).optional()
  });
  ((AddProjectDomainResponseBody$) => {
    AddProjectDomainResponseBody$.inboundSchema = AddProjectDomainResponseBody$inboundSchema;
    AddProjectDomainResponseBody$.outboundSchema = AddProjectDomainResponseBody$outboundSchema;
  })(AddProjectDomainResponseBody$ ||= {});
});

// src/funcs/projectsAddProjectDomain.ts
function projectsAddProjectDomain(client, request, options) {
  return new APIPromise($do117(client, request, options));
}
async function $do117(client, request, options) {
  const parsed = safeParse(request, (value) => AddProjectDomainRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v10/projects/{idOrName}/domains")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "addProjectDomain",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "409", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, AddProjectDomainResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([402, 403, 409, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_projectsAddProjectDomain = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_addprojectdomainop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/projectsAddProjectDomain.ts
var args116, tool$projectsAddProjectDomain;
var init_projectsAddProjectDomain2 = __esm(() => {
  init_projectsAddProjectDomain();
  init_addprojectdomainop();
  init_tools();
  args116 = {
    request: AddProjectDomainRequest$inboundSchema
  };
  tool$projectsAddProjectDomain = {
    name: "projects-add-project-domain",
    description: `Add a domain to a project

Add a domain to the project by passing its domain name and by specifying the project by either passing the project \`id\` or \`name\` in the URL. If the domain is not yet verified to be used on this project, the request will return \`verified = false\`, and the domain will need to be verified according to the \`verification\` challenge via \`POST /projects/:idOrName/domains/:domain/verify\`. If the domain already exists on the project, the request will fail with a \`400\` status code.`,
    args: args116,
    tool: async (client, args117, ctx) => {
      const [result, apiCall] = await projectsAddProjectDomain(client, args117.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/aclaction.ts
var ACLAction, ACLAction$inboundSchema, ACLAction$outboundSchema, ACLAction$;
var init_aclaction = __esm(() => {
  init_esm();
  ACLAction = {
    Create: "create",
    Delete: "delete",
    Read: "read",
    Update: "update",
    List: "list"
  };
  ACLAction$inboundSchema = nativeEnumType(ACLAction);
  ACLAction$outboundSchema = ACLAction$inboundSchema;
  ((ACLAction$) => {
    ACLAction$.inboundSchema = ACLAction$inboundSchema;
    ACLAction$.outboundSchema = ACLAction$outboundSchema;
  })(ACLAction$ ||= {});
});

// src/models/createprojectop.ts
var Target2, Target1, CreateProjectType, CreateProjectFramework, CreateProjectProjectsType, IssuerMode, FunctionDefaultMemoryType, BuildMachineType, CreateProjectEnvId2, CreateProjectTarget2, CreateProjectTarget1, CreateProjectProjectsResponseType, CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type, CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type, CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type, CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type, CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type, CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type, CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type, CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type, CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType, CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType, CreateProjectContentHintProjectsResponse200ApplicationJSONType, CreateProjectContentHintProjectsResponse200Type, CreateProjectContentHintProjectsResponseType, CreateProjectContentHintProjectsType, CreateProjectContentHintType, CreateProjectProjectsResponse200ApplicationJSONResponseBodyEnvType, CreateProjectProjectsResponse200Type, CreateProjectProjectsResponse200ApplicationJSONResponseBodyCustomEnvironmentsType, CreateProjectProjectsFramework, CreateProjectProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType, CreateProjectChecksConclusion, CreateProjectChecksState, CreateProjectPlan, CreateProjectReadyState, CreateProjectReadySubstate, CreateProjectProjectsResponse200ApplicationJSONType, CreateProjectLinkProjectsResponse200Type, CreateProjectLinkProjectsResponseType, CreateProjectLinkProjectsType, CreateProjectLinkType, CreateProjectNodeVersion, CreateProjectFunctionDefaultMemoryType, CreateProjectBuildMachineType, CreateProjectProjectsFunctionDefaultMemoryType, CreateProjectProjectsBuildMachineType, CreateProjectDeploymentType, CreateProjectProjectsResponse200ApplicationJSONResponseBodyTargetsType, CreateProjectProjectsChecksConclusion, CreateProjectProjectsChecksState, CreateProjectProjectsPlan, CreateProjectProjectsReadyState, CreateProjectProjectsReadySubstate, CreateProjectProjectsResponse200ApplicationJSONResponseBodyType, CreateProjectJobStatus, CreateProjectProjectsResponse200ApplicationJSONResponseBodyLastAliasRequestType, CreateProjectProtectionBypassProjectsScope, CreateProjectProtectionBypassScope, CreateProjectTrustedIpsProjectsDeploymentType, CreateProjectTrustedIpsDeploymentType, TrustedIpsProtectionMode, CreateProjectCreateDeployments, CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType, CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType, CreateProjectHandle, CreateProjectProjectsAction, CreateProjectAlgo, CreateProjectAction, CreateProjectIssuerMode, CreateProjectTier, Target2$inboundSchema, Target2$outboundSchema, Target2$, Target1$inboundSchema, Target1$outboundSchema, Target1$, CreateProjectTarget$inboundSchema, CreateProjectTarget$outboundSchema, CreateProjectTarget$, CreateProjectType$inboundSchema, CreateProjectType$outboundSchema, CreateProjectType$, EnvironmentVariables$inboundSchema, EnvironmentVariables$outboundSchema, EnvironmentVariables$, CreateProjectFramework$inboundSchema, CreateProjectFramework$outboundSchema, CreateProjectFramework$, CreateProjectProjectsType$inboundSchema, CreateProjectProjectsType$outboundSchema, CreateProjectProjectsType$, GitRepository$inboundSchema, GitRepository$outboundSchema, GitRepository$, IssuerMode$inboundSchema, IssuerMode$outboundSchema, IssuerMode$, OidcTokenConfig$inboundSchema, OidcTokenConfig$outboundSchema, OidcTokenConfig$, FunctionDefaultMemoryType$inboundSchema, FunctionDefaultMemoryType$outboundSchema, FunctionDefaultMemoryType$, BuildMachineType$inboundSchema, BuildMachineType$outboundSchema, BuildMachineType$, CreateProjectResourceConfig$inboundSchema, CreateProjectResourceConfig$outboundSchema, CreateProjectResourceConfig$, CreateProjectRequestBody$inboundSchema, CreateProjectRequestBody$outboundSchema, CreateProjectRequestBody$, CreateProjectRequest$inboundSchema, CreateProjectRequest$outboundSchema, CreateProjectRequest$, CreateProjectAnalytics$inboundSchema, CreateProjectAnalytics$outboundSchema, CreateProjectAnalytics$, CreateProjectSpeedInsights$inboundSchema, CreateProjectSpeedInsights$outboundSchema, CreateProjectSpeedInsights$, CreateProjectEnvId2$inboundSchema, CreateProjectEnvId2$outboundSchema, CreateProjectEnvId2$, CreateProjectEnvId$inboundSchema, CreateProjectEnvId$outboundSchema, CreateProjectEnvId$, CreateProjectAws$inboundSchema, CreateProjectAws$outboundSchema, CreateProjectAws$, CreateProjectConnectConfigurations$inboundSchema, CreateProjectConnectConfigurations$outboundSchema, CreateProjectConnectConfigurations$, CreateProjectDefinitions$inboundSchema, CreateProjectDefinitions$outboundSchema, CreateProjectDefinitions$, CreateProjectCrons$inboundSchema, CreateProjectCrons$outboundSchema, CreateProjectCrons$, CreateProjectDataCache$inboundSchema, CreateProjectDataCache$outboundSchema, CreateProjectDataCache$, CreateProjectDeploymentExpiration$inboundSchema, CreateProjectDeploymentExpiration$outboundSchema, CreateProjectDeploymentExpiration$, CreateProjectTarget2$inboundSchema, CreateProjectTarget2$outboundSchema, CreateProjectTarget2$, CreateProjectTarget1$inboundSchema, CreateProjectTarget1$outboundSchema, CreateProjectTarget1$, CreateProjectProjectsTarget$inboundSchema, CreateProjectProjectsTarget$outboundSchema, CreateProjectProjectsTarget$, CreateProjectProjectsResponseType$inboundSchema, CreateProjectProjectsResponseType$outboundSchema, CreateProjectProjectsResponseType$, CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$inboundSchema, CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$outboundSchema, CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$, CreateProjectContentHint15$inboundSchema, CreateProjectContentHint15$outboundSchema, CreateProjectContentHint15$, CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$inboundSchema, CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$outboundSchema, CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$, CreateProjectContentHint14$inboundSchema, CreateProjectContentHint14$outboundSchema, CreateProjectContentHint14$, CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$inboundSchema, CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$outboundSchema, CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$, CreateProjectContentHint13$inboundSchema, CreateProjectContentHint13$outboundSchema, CreateProjectContentHint13$, CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$inboundSchema, CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$outboundSchema, CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$, CreateProjectContentHint12$inboundSchema, CreateProjectContentHint12$outboundSchema, CreateProjectContentHint12$, CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$inboundSchema, CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$outboundSchema, CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$, CreateProjectContentHint11$inboundSchema, CreateProjectContentHint11$outboundSchema, CreateProjectContentHint11$, CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$inboundSchema, CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$outboundSchema, CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$, CreateProjectContentHint10$inboundSchema, CreateProjectContentHint10$outboundSchema, CreateProjectContentHint10$, CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$inboundSchema, CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$outboundSchema, CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$, CreateProjectContentHint9$inboundSchema, CreateProjectContentHint9$outboundSchema, CreateProjectContentHint9$, CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type$inboundSchema, CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type$outboundSchema, CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type$, CreateProjectContentHint8$inboundSchema, CreateProjectContentHint8$outboundSchema, CreateProjectContentHint8$, CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$inboundSchema, CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$outboundSchema, CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$, CreateProjectContentHint7$inboundSchema, CreateProjectContentHint7$outboundSchema, CreateProjectContentHint7$, CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema, CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema, CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType$, CreateProjectContentHint6$inboundSchema, CreateProjectContentHint6$outboundSchema, CreateProjectContentHint6$, CreateProjectContentHintProjectsResponse200ApplicationJSONType$inboundSchema, CreateProjectContentHintProjectsResponse200ApplicationJSONType$outboundSchema, CreateProjectContentHintProjectsResponse200ApplicationJSONType$, CreateProjectContentHint5$inboundSchema, CreateProjectContentHint5$outboundSchema, CreateProjectContentHint5$, CreateProjectContentHintProjectsResponse200Type$inboundSchema, CreateProjectContentHintProjectsResponse200Type$outboundSchema, CreateProjectContentHintProjectsResponse200Type$, CreateProjectContentHint4$inboundSchema, CreateProjectContentHint4$outboundSchema, CreateProjectContentHint4$, CreateProjectContentHintProjectsResponseType$inboundSchema, CreateProjectContentHintProjectsResponseType$outboundSchema, CreateProjectContentHintProjectsResponseType$, CreateProjectContentHint3$inboundSchema, CreateProjectContentHint3$outboundSchema, CreateProjectContentHint3$, CreateProjectContentHintProjectsType$inboundSchema, CreateProjectContentHintProjectsType$outboundSchema, CreateProjectContentHintProjectsType$, CreateProjectContentHint2$inboundSchema, CreateProjectContentHint2$outboundSchema, CreateProjectContentHint2$, CreateProjectContentHintType$inboundSchema, CreateProjectContentHintType$outboundSchema, CreateProjectContentHintType$, CreateProjectContentHint1$inboundSchema, CreateProjectContentHint1$outboundSchema, CreateProjectContentHint1$, CreateProjectContentHint$inboundSchema, CreateProjectContentHint$outboundSchema, CreateProjectContentHint$, CreateProjectProjectsResponse200ApplicationJSONResponseBodyEnvType$inboundSchema, CreateProjectProjectsResponse200ApplicationJSONResponseBodyEnvType$outboundSchema, CreateProjectProjectsResponse200ApplicationJSONResponseBodyEnvType$, CreateProjectInternalContentHint$inboundSchema, CreateProjectInternalContentHint$outboundSchema, CreateProjectInternalContentHint$, CreateProjectEnv$inboundSchema, CreateProjectEnv$outboundSchema, CreateProjectEnv$, CreateProjectProjectsResponse200Type$inboundSchema, CreateProjectProjectsResponse200Type$outboundSchema, CreateProjectProjectsResponse200Type$, CreateProjectProjectsResponse200ApplicationJSONResponseBodyCustomEnvironmentsType$inboundSchema, CreateProjectProjectsResponse200ApplicationJSONResponseBodyCustomEnvironmentsType$outboundSchema, CreateProjectProjectsResponse200ApplicationJSONResponseBodyCustomEnvironmentsType$, CreateProjectBranchMatcher$inboundSchema, CreateProjectBranchMatcher$outboundSchema, CreateProjectBranchMatcher$, CreateProjectVerification$inboundSchema, CreateProjectVerification$outboundSchema, CreateProjectVerification$, CreateProjectDomains$inboundSchema, CreateProjectDomains$outboundSchema, CreateProjectDomains$, CreateProjectCustomEnvironments$inboundSchema, CreateProjectCustomEnvironments$outboundSchema, CreateProjectCustomEnvironments$, CreateProjectProjectsFramework$inboundSchema, CreateProjectProjectsFramework$outboundSchema, CreateProjectProjectsFramework$, CreateProjectIpBuckets$inboundSchema, CreateProjectIpBuckets$outboundSchema, CreateProjectIpBuckets$, CreateProjectAliasAssigned$inboundSchema, CreateProjectAliasAssigned$outboundSchema, CreateProjectAliasAssigned$, CreateProjectAliasError$inboundSchema, CreateProjectAliasError$outboundSchema, CreateProjectAliasError$, CreateProjectProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType$inboundSchema, CreateProjectProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType$outboundSchema, CreateProjectProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType$, CreateProjectProjectsBranchMatcher$inboundSchema, CreateProjectProjectsBranchMatcher$outboundSchema, CreateProjectProjectsBranchMatcher$, CreateProjectBuilds$inboundSchema, CreateProjectBuilds$outboundSchema, CreateProjectBuilds$, CreateProjectChecksConclusion$inboundSchema, CreateProjectChecksConclusion$outboundSchema, CreateProjectChecksConclusion$, CreateProjectChecksState$inboundSchema, CreateProjectChecksState$outboundSchema, CreateProjectChecksState$, CreateProjectCreator$inboundSchema, CreateProjectCreator$outboundSchema, CreateProjectCreator$, CreateProjectOidcTokenClaims$inboundSchema, CreateProjectOidcTokenClaims$outboundSchema, CreateProjectOidcTokenClaims$, CreateProjectPlan$inboundSchema, CreateProjectPlan$outboundSchema, CreateProjectPlan$, CreateProjectReadyState$inboundSchema, CreateProjectReadyState$outboundSchema, CreateProjectReadyState$, CreateProjectReadySubstate$inboundSchema, CreateProjectReadySubstate$outboundSchema, CreateProjectReadySubstate$, CreateProjectProjectsResponse200ApplicationJSONType$inboundSchema, CreateProjectProjectsResponse200ApplicationJSONType$outboundSchema, CreateProjectProjectsResponse200ApplicationJSONType$, CreateProjectLatestDeployments$inboundSchema, CreateProjectLatestDeployments$outboundSchema, CreateProjectLatestDeployments$, CreateProjectLinkProjectsResponse200Type$inboundSchema, CreateProjectLinkProjectsResponse200Type$outboundSchema, CreateProjectLinkProjectsResponse200Type$, CreateProjectLinkProjectsResponse200DeployHooks$inboundSchema, CreateProjectLinkProjectsResponse200DeployHooks$outboundSchema, CreateProjectLinkProjectsResponse200DeployHooks$, CreateProjectLink4$inboundSchema, CreateProjectLink4$outboundSchema, CreateProjectLink4$, CreateProjectLinkProjectsResponseType$inboundSchema, CreateProjectLinkProjectsResponseType$outboundSchema, CreateProjectLinkProjectsResponseType$, CreateProjectLinkProjectsResponseDeployHooks$inboundSchema, CreateProjectLinkProjectsResponseDeployHooks$outboundSchema, CreateProjectLinkProjectsResponseDeployHooks$, CreateProjectLink3$inboundSchema, CreateProjectLink3$outboundSchema, CreateProjectLink3$, CreateProjectLinkProjectsType$inboundSchema, CreateProjectLinkProjectsType$outboundSchema, CreateProjectLinkProjectsType$, CreateProjectLinkProjectsDeployHooks$inboundSchema, CreateProjectLinkProjectsDeployHooks$outboundSchema, CreateProjectLinkProjectsDeployHooks$, CreateProjectLink2$inboundSchema, CreateProjectLink2$outboundSchema, CreateProjectLink2$, CreateProjectLinkType$inboundSchema, CreateProjectLinkType$outboundSchema, CreateProjectLinkType$, CreateProjectLinkDeployHooks$inboundSchema, CreateProjectLinkDeployHooks$outboundSchema, CreateProjectLinkDeployHooks$, CreateProjectLink1$inboundSchema, CreateProjectLink1$outboundSchema, CreateProjectLink1$, CreateProjectLink$inboundSchema, CreateProjectLink$outboundSchema, CreateProjectLink$, CreateProjectMicrofrontends2$inboundSchema, CreateProjectMicrofrontends2$outboundSchema, CreateProjectMicrofrontends2$, CreateProjectMicrofrontends1$inboundSchema, CreateProjectMicrofrontends1$outboundSchema, CreateProjectMicrofrontends1$, CreateProjectMicrofrontends$inboundSchema, CreateProjectMicrofrontends$outboundSchema, CreateProjectMicrofrontends$, CreateProjectNodeVersion$inboundSchema, CreateProjectNodeVersion$outboundSchema, CreateProjectNodeVersion$, CreateProjectPaths$inboundSchema, CreateProjectPaths$outboundSchema, CreateProjectPaths$, CreateProjectOptionsAllowlist$inboundSchema, CreateProjectOptionsAllowlist$outboundSchema, CreateProjectOptionsAllowlist$, CreateProjectPasswordProtection$inboundSchema, CreateProjectPasswordProtection$outboundSchema, CreateProjectPasswordProtection$, CreateProjectFunctionDefaultMemoryType$inboundSchema, CreateProjectFunctionDefaultMemoryType$outboundSchema, CreateProjectFunctionDefaultMemoryType$, CreateProjectBuildMachineType$inboundSchema, CreateProjectBuildMachineType$outboundSchema, CreateProjectBuildMachineType$, CreateProjectProjectsResourceConfig$inboundSchema, CreateProjectProjectsResourceConfig$outboundSchema, CreateProjectProjectsResourceConfig$, CreateProjectStages$inboundSchema, CreateProjectStages$outboundSchema, CreateProjectStages$, CreateProjectRollingRelease$inboundSchema, CreateProjectRollingRelease$outboundSchema, CreateProjectRollingRelease$, CreateProjectProjectsFunctionDefaultMemoryType$inboundSchema, CreateProjectProjectsFunctionDefaultMemoryType$outboundSchema, CreateProjectProjectsFunctionDefaultMemoryType$, CreateProjectProjectsBuildMachineType$inboundSchema, CreateProjectProjectsBuildMachineType$outboundSchema, CreateProjectProjectsBuildMachineType$, CreateProjectDefaultResourceConfig$inboundSchema, CreateProjectDefaultResourceConfig$outboundSchema, CreateProjectDefaultResourceConfig$, CreateProjectDeploymentType$inboundSchema, CreateProjectDeploymentType$outboundSchema, CreateProjectDeploymentType$, CreateProjectSsoProtection$inboundSchema, CreateProjectSsoProtection$outboundSchema, CreateProjectSsoProtection$, CreateProjectProjectsAliasAssigned$inboundSchema, CreateProjectProjectsAliasAssigned$outboundSchema, CreateProjectProjectsAliasAssigned$, CreateProjectProjectsAliasError$inboundSchema, CreateProjectProjectsAliasError$outboundSchema, CreateProjectProjectsAliasError$, CreateProjectProjectsResponse200ApplicationJSONResponseBodyTargetsType$inboundSchema, CreateProjectProjectsResponse200ApplicationJSONResponseBodyTargetsType$outboundSchema, CreateProjectProjectsResponse200ApplicationJSONResponseBodyTargetsType$, CreateProjectProjectsResponseBranchMatcher$inboundSchema, CreateProjectProjectsResponseBranchMatcher$outboundSchema, CreateProjectProjectsResponseBranchMatcher$, CreateProjectProjectsBuilds$inboundSchema, CreateProjectProjectsBuilds$outboundSchema, CreateProjectProjectsBuilds$, CreateProjectProjectsChecksConclusion$inboundSchema, CreateProjectProjectsChecksConclusion$outboundSchema, CreateProjectProjectsChecksConclusion$, CreateProjectProjectsChecksState$inboundSchema, CreateProjectProjectsChecksState$outboundSchema, CreateProjectProjectsChecksState$, CreateProjectProjectsCreator$inboundSchema, CreateProjectProjectsCreator$outboundSchema, CreateProjectProjectsCreator$, CreateProjectProjectsOidcTokenClaims$inboundSchema, CreateProjectProjectsOidcTokenClaims$outboundSchema, CreateProjectProjectsOidcTokenClaims$, CreateProjectProjectsPlan$inboundSchema, CreateProjectProjectsPlan$outboundSchema, CreateProjectProjectsPlan$, CreateProjectProjectsReadyState$inboundSchema, CreateProjectProjectsReadyState$outboundSchema, CreateProjectProjectsReadyState$, CreateProjectProjectsReadySubstate$inboundSchema, CreateProjectProjectsReadySubstate$outboundSchema, CreateProjectProjectsReadySubstate$, CreateProjectProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema, CreateProjectProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema, CreateProjectProjectsResponse200ApplicationJSONResponseBodyType$, CreateProjectTargets$inboundSchema, CreateProjectTargets$outboundSchema, CreateProjectTargets$, CreateProjectPermissions$inboundSchema, CreateProjectPermissions$outboundSchema, CreateProjectPermissions$, CreateProjectLastRollbackTarget$inboundSchema, CreateProjectLastRollbackTarget$outboundSchema, CreateProjectLastRollbackTarget$, CreateProjectJobStatus$inboundSchema, CreateProjectJobStatus$outboundSchema, CreateProjectJobStatus$, CreateProjectProjectsResponse200ApplicationJSONResponseBodyLastAliasRequestType$inboundSchema, CreateProjectProjectsResponse200ApplicationJSONResponseBodyLastAliasRequestType$outboundSchema, CreateProjectProjectsResponse200ApplicationJSONResponseBodyLastAliasRequestType$, CreateProjectLastAliasRequest$inboundSchema, CreateProjectLastAliasRequest$outboundSchema, CreateProjectLastAliasRequest$, CreateProjectProtectionBypassProjectsScope$inboundSchema, CreateProjectProtectionBypassProjectsScope$outboundSchema, CreateProjectProtectionBypassProjectsScope$, CreateProjectProtectionBypass2$inboundSchema, CreateProjectProtectionBypass2$outboundSchema, CreateProjectProtectionBypass2$, CreateProjectProtectionBypassScope$inboundSchema, CreateProjectProtectionBypassScope$outboundSchema, CreateProjectProtectionBypassScope$, CreateProjectProtectionBypass1$inboundSchema, CreateProjectProtectionBypass1$outboundSchema, CreateProjectProtectionBypass1$, CreateProjectProtectionBypass$inboundSchema, CreateProjectProtectionBypass$outboundSchema, CreateProjectProtectionBypass$, CreateProjectTrustedIpsProjectsDeploymentType$inboundSchema, CreateProjectTrustedIpsProjectsDeploymentType$outboundSchema, CreateProjectTrustedIpsProjectsDeploymentType$, CreateProjectTrustedIps2$inboundSchema, CreateProjectTrustedIps2$outboundSchema, CreateProjectTrustedIps2$, CreateProjectTrustedIpsDeploymentType$inboundSchema, CreateProjectTrustedIpsDeploymentType$outboundSchema, CreateProjectTrustedIpsDeploymentType$, TrustedIpsAddresses$inboundSchema, TrustedIpsAddresses$outboundSchema, TrustedIpsAddresses$, TrustedIpsProtectionMode$inboundSchema, TrustedIpsProtectionMode$outboundSchema, TrustedIpsProtectionMode$, CreateProjectTrustedIps1$inboundSchema, CreateProjectTrustedIps1$outboundSchema, CreateProjectTrustedIps1$, CreateProjectTrustedIps$inboundSchema, CreateProjectTrustedIps$outboundSchema, CreateProjectTrustedIps$, CreateProjectGitComments$inboundSchema, CreateProjectGitComments$outboundSchema, CreateProjectGitComments$, CreateProjectCreateDeployments$inboundSchema, CreateProjectCreateDeployments$outboundSchema, CreateProjectCreateDeployments$, CreateProjectGitProviderOptions$inboundSchema, CreateProjectGitProviderOptions$outboundSchema, CreateProjectGitProviderOptions$, CreateProjectWebAnalytics$inboundSchema, CreateProjectWebAnalytics$outboundSchema, CreateProjectWebAnalytics$, CreateProjectSrc2$inboundSchema, CreateProjectSrc2$outboundSchema, CreateProjectSrc2$, CreateProjectSrc$inboundSchema, CreateProjectSrc$outboundSchema, CreateProjectSrc$, CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType$inboundSchema, CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType$outboundSchema, CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType$, CreateProjectValue2$inboundSchema, CreateProjectValue2$outboundSchema, CreateProjectValue2$, CreateProjectValue$inboundSchema, CreateProjectValue$outboundSchema, CreateProjectValue$, CreateProjectHas$inboundSchema, CreateProjectHas$outboundSchema, CreateProjectHas$, CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$inboundSchema, CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$outboundSchema, CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$, CreateProjectValueProjects2$inboundSchema, CreateProjectValueProjects2$outboundSchema, CreateProjectValueProjects2$, CreateProjectProjectsValue$inboundSchema, CreateProjectProjectsValue$outboundSchema, CreateProjectProjectsValue$, CreateProjectMissing$inboundSchema, CreateProjectMissing$outboundSchema, CreateProjectMissing$, CreateProjectHandle$inboundSchema, CreateProjectHandle$outboundSchema, CreateProjectHandle$, CreateProjectProjectsAction$inboundSchema, CreateProjectProjectsAction$outboundSchema, CreateProjectProjectsAction$, CreateProjectAlgo$inboundSchema, CreateProjectAlgo$outboundSchema, CreateProjectAlgo$, CreateProjectErl$inboundSchema, CreateProjectErl$outboundSchema, CreateProjectErl$, CreateProjectMitigate$inboundSchema, CreateProjectMitigate$outboundSchema, CreateProjectMitigate$, CreateProjectFirewallRoutes$inboundSchema, CreateProjectFirewallRoutes$outboundSchema, CreateProjectFirewallRoutes$, CreateProjectAction$inboundSchema, CreateProjectAction$outboundSchema, CreateProjectAction$, CreateProjectManagedRules$inboundSchema, CreateProjectManagedRules$outboundSchema, CreateProjectManagedRules$, CreateProjectSecurity$inboundSchema, CreateProjectSecurity$outboundSchema, CreateProjectSecurity$, CreateProjectIssuerMode$inboundSchema, CreateProjectIssuerMode$outboundSchema, CreateProjectIssuerMode$, CreateProjectOidcTokenConfig$inboundSchema, CreateProjectOidcTokenConfig$outboundSchema, CreateProjectOidcTokenConfig$, CreateProjectTier$inboundSchema, CreateProjectTier$outboundSchema, CreateProjectTier$, CreateProjectResponseBody$inboundSchema, CreateProjectResponseBody$outboundSchema, CreateProjectResponseBody$;
var init_createprojectop = __esm(() => {
  init_esm();
  init_primitives();
  init_aclaction();
  Target2 = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  Target1 = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  CreateProjectType = {
    System: "system",
    Secret: "secret",
    Encrypted: "encrypted",
    Plain: "plain",
    Sensitive: "sensitive"
  };
  CreateProjectFramework = {
    Blitzjs: "blitzjs",
    Nextjs: "nextjs",
    Gatsby: "gatsby",
    Remix: "remix",
    ReactRouter: "react-router",
    Astro: "astro",
    Hexo: "hexo",
    Eleventy: "eleventy",
    Docusaurus2: "docusaurus-2",
    Docusaurus: "docusaurus",
    Preact: "preact",
    Solidstart1: "solidstart-1",
    Solidstart: "solidstart",
    Dojo: "dojo",
    Ember: "ember",
    Vue: "vue",
    Scully: "scully",
    IonicAngular: "ionic-angular",
    Angular: "angular",
    Polymer: "polymer",
    Svelte: "svelte",
    Sveltekit: "sveltekit",
    Sveltekit1: "sveltekit-1",
    IonicReact: "ionic-react",
    CreateReactApp: "create-react-app",
    Gridsome: "gridsome",
    Umijs: "umijs",
    Sapper: "sapper",
    Saber: "saber",
    Stencil: "stencil",
    Nuxtjs: "nuxtjs",
    Redwoodjs: "redwoodjs",
    Hugo: "hugo",
    Jekyll: "jekyll",
    Brunch: "brunch",
    Middleman: "middleman",
    Zola: "zola",
    Hydrogen: "hydrogen",
    Vite: "vite",
    Vitepress: "vitepress",
    Vuepress: "vuepress",
    Parcel: "parcel",
    Fasthtml: "fasthtml",
    SanityV3: "sanity-v3",
    Sanity: "sanity",
    Storybook: "storybook"
  };
  CreateProjectProjectsType = {
    Github: "github",
    Gitlab: "gitlab",
    Bitbucket: "bitbucket"
  };
  IssuerMode = {
    Team: "team",
    Global: "global"
  };
  FunctionDefaultMemoryType = {
    StandardLegacy: "standard_legacy",
    Standard: "standard",
    Performance: "performance"
  };
  BuildMachineType = {
    Enhanced: "enhanced",
    Ultra: "ultra"
  };
  CreateProjectEnvId2 = {
    Production: "production",
    Preview: "preview"
  };
  CreateProjectTarget2 = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  CreateProjectTarget1 = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  CreateProjectProjectsResponseType = {
    System: "system",
    Secret: "secret",
    Encrypted: "encrypted",
    Plain: "plain",
    Sensitive: "sensitive"
  };
  CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type = {
    FlagsConnectionString: "flags-connection-string"
  };
  CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type = {
    IntegrationStoreSecret: "integration-store-secret"
  };
  CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type = {
    PostgresUrlNoSsl: "postgres-url-no-ssl"
  };
  CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type = {
    PostgresDatabase: "postgres-database"
  };
  CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type = {
    PostgresPassword: "postgres-password"
  };
  CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type = {
    PostgresHost: "postgres-host"
  };
  CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type = {
    PostgresUser: "postgres-user"
  };
  CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type = {
    PostgresPrismaUrl: "postgres-prisma-url"
  };
  CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType = {
    PostgresUrlNonPooling: "postgres-url-non-pooling"
  };
  CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType = {
    PostgresUrl: "postgres-url"
  };
  CreateProjectContentHintProjectsResponse200ApplicationJSONType = {
    BlobReadWriteToken: "blob-read-write-token"
  };
  CreateProjectContentHintProjectsResponse200Type = {
    RedisRestApiReadOnlyToken: "redis-rest-api-read-only-token"
  };
  CreateProjectContentHintProjectsResponseType = {
    RedisRestApiToken: "redis-rest-api-token"
  };
  CreateProjectContentHintProjectsType = {
    RedisRestApiUrl: "redis-rest-api-url"
  };
  CreateProjectContentHintType = {
    RedisUrl: "redis-url"
  };
  CreateProjectProjectsResponse200ApplicationJSONResponseBodyEnvType = {
    FlagsSecret: "flags-secret"
  };
  CreateProjectProjectsResponse200Type = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  CreateProjectProjectsResponse200ApplicationJSONResponseBodyCustomEnvironmentsType = {
    EndsWith: "endsWith",
    StartsWith: "startsWith",
    Equals: "equals"
  };
  CreateProjectProjectsFramework = {
    Blitzjs: "blitzjs",
    Nextjs: "nextjs",
    Gatsby: "gatsby",
    Remix: "remix",
    ReactRouter: "react-router",
    Astro: "astro",
    Hexo: "hexo",
    Eleventy: "eleventy",
    Docusaurus2: "docusaurus-2",
    Docusaurus: "docusaurus",
    Preact: "preact",
    Solidstart1: "solidstart-1",
    Solidstart: "solidstart",
    Dojo: "dojo",
    Ember: "ember",
    Vue: "vue",
    Scully: "scully",
    IonicAngular: "ionic-angular",
    Angular: "angular",
    Polymer: "polymer",
    Svelte: "svelte",
    Sveltekit: "sveltekit",
    Sveltekit1: "sveltekit-1",
    IonicReact: "ionic-react",
    CreateReactApp: "create-react-app",
    Gridsome: "gridsome",
    Umijs: "umijs",
    Sapper: "sapper",
    Saber: "saber",
    Stencil: "stencil",
    Nuxtjs: "nuxtjs",
    Redwoodjs: "redwoodjs",
    Hugo: "hugo",
    Jekyll: "jekyll",
    Brunch: "brunch",
    Middleman: "middleman",
    Zola: "zola",
    Hydrogen: "hydrogen",
    Vite: "vite",
    Vitepress: "vitepress",
    Vuepress: "vuepress",
    Parcel: "parcel",
    Fasthtml: "fasthtml",
    SanityV3: "sanity-v3",
    Sanity: "sanity",
    Storybook: "storybook"
  };
  CreateProjectProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType = {
    EndsWith: "endsWith",
    StartsWith: "startsWith",
    Equals: "equals"
  };
  CreateProjectChecksConclusion = {
    Succeeded: "succeeded",
    Failed: "failed",
    Skipped: "skipped",
    Canceled: "canceled"
  };
  CreateProjectChecksState = {
    Registered: "registered",
    Running: "running",
    Completed: "completed"
  };
  CreateProjectPlan = {
    Pro: "pro",
    Enterprise: "enterprise",
    Hobby: "hobby"
  };
  CreateProjectReadyState = {
    Building: "BUILDING",
    Error: "ERROR",
    Initializing: "INITIALIZING",
    Queued: "QUEUED",
    Ready: "READY",
    Canceled: "CANCELED"
  };
  CreateProjectReadySubstate = {
    Staged: "STAGED",
    Rolling: "ROLLING",
    Promoted: "PROMOTED"
  };
  CreateProjectProjectsResponse200ApplicationJSONType = {
    Lambdas: "LAMBDAS"
  };
  CreateProjectLinkProjectsResponse200Type = {
    GithubCustomHost: "github-custom-host"
  };
  CreateProjectLinkProjectsResponseType = {
    Bitbucket: "bitbucket"
  };
  CreateProjectLinkProjectsType = {
    Gitlab: "gitlab"
  };
  CreateProjectLinkType = {
    Github: "github"
  };
  CreateProjectNodeVersion = {
    TwentyTwoDotX: "22.x",
    TwentyDotX: "20.x",
    EighteenDotX: "18.x",
    SixteenDotX: "16.x",
    FourteenDotX: "14.x",
    TwelveDotX: "12.x",
    TenDotX: "10.x",
    EightDot10DotX: "8.10.x"
  };
  CreateProjectFunctionDefaultMemoryType = {
    StandardLegacy: "standard_legacy",
    Standard: "standard",
    Performance: "performance"
  };
  CreateProjectBuildMachineType = {
    Enhanced: "enhanced",
    Ultra: "ultra"
  };
  CreateProjectProjectsFunctionDefaultMemoryType = {
    StandardLegacy: "standard_legacy",
    Standard: "standard",
    Performance: "performance"
  };
  CreateProjectProjectsBuildMachineType = {
    Enhanced: "enhanced",
    Ultra: "ultra"
  };
  CreateProjectDeploymentType = {
    Preview: "preview",
    All: "all",
    ProdDeploymentUrlsAndAllPreviews: "prod_deployment_urls_and_all_previews"
  };
  CreateProjectProjectsResponse200ApplicationJSONResponseBodyTargetsType = {
    EndsWith: "endsWith",
    StartsWith: "startsWith",
    Equals: "equals"
  };
  CreateProjectProjectsChecksConclusion = {
    Succeeded: "succeeded",
    Failed: "failed",
    Skipped: "skipped",
    Canceled: "canceled"
  };
  CreateProjectProjectsChecksState = {
    Registered: "registered",
    Running: "running",
    Completed: "completed"
  };
  CreateProjectProjectsPlan = {
    Pro: "pro",
    Enterprise: "enterprise",
    Hobby: "hobby"
  };
  CreateProjectProjectsReadyState = {
    Building: "BUILDING",
    Error: "ERROR",
    Initializing: "INITIALIZING",
    Queued: "QUEUED",
    Ready: "READY",
    Canceled: "CANCELED"
  };
  CreateProjectProjectsReadySubstate = {
    Staged: "STAGED",
    Rolling: "ROLLING",
    Promoted: "PROMOTED"
  };
  CreateProjectProjectsResponse200ApplicationJSONResponseBodyType = {
    Lambdas: "LAMBDAS"
  };
  CreateProjectJobStatus = {
    Succeeded: "succeeded",
    Failed: "failed",
    Skipped: "skipped",
    Pending: "pending",
    InProgress: "in-progress"
  };
  CreateProjectProjectsResponse200ApplicationJSONResponseBodyLastAliasRequestType = {
    Promote: "promote",
    Rollback: "rollback"
  };
  CreateProjectProtectionBypassProjectsScope = {
    AutomationBypass: "automation-bypass"
  };
  CreateProjectProtectionBypassScope = {
    IntegrationAutomationBypass: "integration-automation-bypass"
  };
  CreateProjectTrustedIpsProjectsDeploymentType = {
    Production: "production",
    Preview: "preview",
    All: "all",
    ProdDeploymentUrlsAndAllPreviews: "prod_deployment_urls_and_all_previews"
  };
  CreateProjectTrustedIpsDeploymentType = {
    Production: "production",
    Preview: "preview",
    All: "all",
    ProdDeploymentUrlsAndAllPreviews: "prod_deployment_urls_and_all_previews"
  };
  TrustedIpsProtectionMode = {
    Additional: "additional",
    Exclusive: "exclusive"
  };
  CreateProjectCreateDeployments = {
    Enabled: "enabled",
    Disabled: "disabled"
  };
  CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType = {
    Host: "host",
    Path: "path",
    Method: "method",
    Header: "header",
    Cookie: "cookie",
    Query: "query",
    IpAddress: "ip_address",
    Protocol: "protocol",
    Scheme: "scheme",
    Environment: "environment",
    Region: "region",
    InitialRequestPath: "initial_request_path"
  };
  CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType = {
    Host: "host",
    Path: "path",
    Method: "method",
    Header: "header",
    Cookie: "cookie",
    Query: "query",
    IpAddress: "ip_address",
    Protocol: "protocol",
    Scheme: "scheme",
    Environment: "environment",
    Region: "region",
    InitialRequestPath: "initial_request_path"
  };
  CreateProjectHandle = {
    Init: "init",
    Finalize: "finalize"
  };
  CreateProjectProjectsAction = {
    Deny: "deny",
    Challenge: "challenge",
    Log: "log",
    Bypass: "bypass",
    RateLimit: "rate_limit",
    Redirect: "redirect"
  };
  CreateProjectAlgo = {
    FixedWindow: "fixed_window",
    TokenBucket: "token_bucket"
  };
  CreateProjectAction = {
    Deny: "deny",
    Challenge: "challenge",
    Log: "log"
  };
  CreateProjectIssuerMode = {
    Team: "team",
    Global: "global"
  };
  CreateProjectTier = {
    Standard: "standard",
    Advanced: "advanced",
    Critical: "critical"
  };
  Target2$inboundSchema = nativeEnumType(Target2);
  Target2$outboundSchema = Target2$inboundSchema;
  ((Target2$) => {
    Target2$.inboundSchema = Target2$inboundSchema;
    Target2$.outboundSchema = Target2$outboundSchema;
  })(Target2$ ||= {});
  Target1$inboundSchema = nativeEnumType(Target1);
  Target1$outboundSchema = Target1$inboundSchema;
  ((Target1$) => {
    Target1$.inboundSchema = Target1$inboundSchema;
    Target1$.outboundSchema = Target1$outboundSchema;
  })(Target1$ ||= {});
  CreateProjectTarget$inboundSchema = unionType([Target1$inboundSchema, arrayType(Target2$inboundSchema)]);
  CreateProjectTarget$outboundSchema = unionType([Target1$outboundSchema, arrayType(Target2$outboundSchema)]);
  ((CreateProjectTarget$) => {
    CreateProjectTarget$.inboundSchema = CreateProjectTarget$inboundSchema;
    CreateProjectTarget$.outboundSchema = CreateProjectTarget$outboundSchema;
  })(CreateProjectTarget$ ||= {});
  CreateProjectType$inboundSchema = nativeEnumType(CreateProjectType);
  CreateProjectType$outboundSchema = CreateProjectType$inboundSchema;
  ((CreateProjectType$) => {
    CreateProjectType$.inboundSchema = CreateProjectType$inboundSchema;
    CreateProjectType$.outboundSchema = CreateProjectType$outboundSchema;
  })(CreateProjectType$ ||= {});
  EnvironmentVariables$inboundSchema = objectType({
    key: stringType(),
    target: unionType([Target1$inboundSchema, arrayType(Target2$inboundSchema)]),
    gitBranch: stringType().optional(),
    type: CreateProjectType$inboundSchema.optional(),
    value: stringType()
  });
  EnvironmentVariables$outboundSchema = objectType({
    key: stringType(),
    target: unionType([Target1$outboundSchema, arrayType(Target2$outboundSchema)]),
    gitBranch: stringType().optional(),
    type: CreateProjectType$outboundSchema.optional(),
    value: stringType()
  });
  ((EnvironmentVariables$) => {
    EnvironmentVariables$.inboundSchema = EnvironmentVariables$inboundSchema;
    EnvironmentVariables$.outboundSchema = EnvironmentVariables$outboundSchema;
  })(EnvironmentVariables$ ||= {});
  CreateProjectFramework$inboundSchema = nativeEnumType(CreateProjectFramework);
  CreateProjectFramework$outboundSchema = CreateProjectFramework$inboundSchema;
  ((CreateProjectFramework$) => {
    CreateProjectFramework$.inboundSchema = CreateProjectFramework$inboundSchema;
    CreateProjectFramework$.outboundSchema = CreateProjectFramework$outboundSchema;
  })(CreateProjectFramework$ ||= {});
  CreateProjectProjectsType$inboundSchema = nativeEnumType(CreateProjectProjectsType);
  CreateProjectProjectsType$outboundSchema = CreateProjectProjectsType$inboundSchema;
  ((CreateProjectProjectsType$) => {
    CreateProjectProjectsType$.inboundSchema = CreateProjectProjectsType$inboundSchema;
    CreateProjectProjectsType$.outboundSchema = CreateProjectProjectsType$outboundSchema;
  })(CreateProjectProjectsType$ ||= {});
  GitRepository$inboundSchema = objectType({
    repo: stringType(),
    type: CreateProjectProjectsType$inboundSchema
  });
  GitRepository$outboundSchema = objectType({
    repo: stringType(),
    type: CreateProjectProjectsType$outboundSchema
  });
  ((GitRepository$) => {
    GitRepository$.inboundSchema = GitRepository$inboundSchema;
    GitRepository$.outboundSchema = GitRepository$outboundSchema;
  })(GitRepository$ ||= {});
  IssuerMode$inboundSchema = nativeEnumType(IssuerMode);
  IssuerMode$outboundSchema = IssuerMode$inboundSchema;
  ((IssuerMode$) => {
    IssuerMode$.inboundSchema = IssuerMode$inboundSchema;
    IssuerMode$.outboundSchema = IssuerMode$outboundSchema;
  })(IssuerMode$ ||= {});
  OidcTokenConfig$inboundSchema = objectType({
    enabled: booleanType().default(true),
    issuerMode: IssuerMode$inboundSchema.default("team")
  });
  OidcTokenConfig$outboundSchema = objectType({
    enabled: booleanType().default(true),
    issuerMode: IssuerMode$outboundSchema.default("team")
  });
  ((OidcTokenConfig$) => {
    OidcTokenConfig$.inboundSchema = OidcTokenConfig$inboundSchema;
    OidcTokenConfig$.outboundSchema = OidcTokenConfig$outboundSchema;
  })(OidcTokenConfig$ ||= {});
  FunctionDefaultMemoryType$inboundSchema = nativeEnumType(FunctionDefaultMemoryType);
  FunctionDefaultMemoryType$outboundSchema = FunctionDefaultMemoryType$inboundSchema;
  ((FunctionDefaultMemoryType$) => {
    FunctionDefaultMemoryType$.inboundSchema = FunctionDefaultMemoryType$inboundSchema;
    FunctionDefaultMemoryType$.outboundSchema = FunctionDefaultMemoryType$outboundSchema;
  })(FunctionDefaultMemoryType$ ||= {});
  BuildMachineType$inboundSchema = nativeEnumType(BuildMachineType);
  BuildMachineType$outboundSchema = BuildMachineType$inboundSchema;
  ((BuildMachineType$) => {
    BuildMachineType$.inboundSchema = BuildMachineType$inboundSchema;
    BuildMachineType$.outboundSchema = BuildMachineType$outboundSchema;
  })(BuildMachineType$ ||= {});
  CreateProjectResourceConfig$inboundSchema = objectType({
    fluid: booleanType().optional(),
    functionDefaultRegions: arrayType(stringType()).optional(),
    functionDefaultTimeout: numberType().optional(),
    functionDefaultMemoryType: FunctionDefaultMemoryType$inboundSchema.optional(),
    functionZeroConfigFailover: booleanType().optional(),
    elasticConcurrencyEnabled: booleanType().optional(),
    buildMachineType: BuildMachineType$inboundSchema.optional()
  });
  CreateProjectResourceConfig$outboundSchema = objectType({
    fluid: booleanType().optional(),
    functionDefaultRegions: arrayType(stringType()).optional(),
    functionDefaultTimeout: numberType().optional(),
    functionDefaultMemoryType: FunctionDefaultMemoryType$outboundSchema.optional(),
    functionZeroConfigFailover: booleanType().optional(),
    elasticConcurrencyEnabled: booleanType().optional(),
    buildMachineType: BuildMachineType$outboundSchema.optional()
  });
  ((CreateProjectResourceConfig$) => {
    CreateProjectResourceConfig$.inboundSchema = CreateProjectResourceConfig$inboundSchema;
    CreateProjectResourceConfig$.outboundSchema = CreateProjectResourceConfig$outboundSchema;
  })(CreateProjectResourceConfig$ ||= {});
  CreateProjectRequestBody$inboundSchema = objectType({
    enablePreviewFeedback: nullableType(booleanType()).optional(),
    enableProductionFeedback: nullableType(booleanType()).optional(),
    buildCommand: nullableType(stringType()).optional(),
    commandForIgnoringBuildStep: nullableType(stringType()).optional(),
    devCommand: nullableType(stringType()).optional(),
    environmentVariables: arrayType(lazyType(() => EnvironmentVariables$inboundSchema)).optional(),
    framework: CreateProjectFramework$inboundSchema.optional(),
    gitRepository: lazyType(() => GitRepository$inboundSchema).optional(),
    installCommand: nullableType(stringType()).optional(),
    name: stringType(),
    skipGitConnectDuringLink: booleanType().optional(),
    outputDirectory: nullableType(stringType()).optional(),
    publicSource: nullableType(booleanType()).optional(),
    rootDirectory: nullableType(stringType()).optional(),
    serverlessFunctionRegion: nullableType(stringType()).optional(),
    serverlessFunctionZeroConfigFailover: booleanType().optional(),
    oidcTokenConfig: lazyType(() => OidcTokenConfig$inboundSchema).optional(),
    enableAffectedProjectsDeployments: booleanType().optional(),
    resourceConfig: lazyType(() => CreateProjectResourceConfig$inboundSchema).optional()
  });
  CreateProjectRequestBody$outboundSchema = objectType({
    enablePreviewFeedback: nullableType(booleanType()).optional(),
    enableProductionFeedback: nullableType(booleanType()).optional(),
    buildCommand: nullableType(stringType()).optional(),
    commandForIgnoringBuildStep: nullableType(stringType()).optional(),
    devCommand: nullableType(stringType()).optional(),
    environmentVariables: arrayType(lazyType(() => EnvironmentVariables$outboundSchema)).optional(),
    framework: CreateProjectFramework$outboundSchema.optional(),
    gitRepository: lazyType(() => GitRepository$outboundSchema).optional(),
    installCommand: nullableType(stringType()).optional(),
    name: stringType(),
    skipGitConnectDuringLink: booleanType().optional(),
    outputDirectory: nullableType(stringType()).optional(),
    publicSource: nullableType(booleanType()).optional(),
    rootDirectory: nullableType(stringType()).optional(),
    serverlessFunctionRegion: nullableType(stringType()).optional(),
    serverlessFunctionZeroConfigFailover: booleanType().optional(),
    oidcTokenConfig: lazyType(() => OidcTokenConfig$outboundSchema).optional(),
    enableAffectedProjectsDeployments: booleanType().optional(),
    resourceConfig: lazyType(() => CreateProjectResourceConfig$outboundSchema).optional()
  });
  ((CreateProjectRequestBody$) => {
    CreateProjectRequestBody$.inboundSchema = CreateProjectRequestBody$inboundSchema;
    CreateProjectRequestBody$.outboundSchema = CreateProjectRequestBody$outboundSchema;
  })(CreateProjectRequestBody$ ||= {});
  CreateProjectRequest$inboundSchema = objectType({
    teamId: stringType().optional(),
    slug: stringType().optional(),
    RequestBody: lazyType(() => CreateProjectRequestBody$inboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  CreateProjectRequest$outboundSchema = objectType({
    teamId: stringType().optional(),
    slug: stringType().optional(),
    requestBody: lazyType(() => CreateProjectRequestBody$outboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((CreateProjectRequest$) => {
    CreateProjectRequest$.inboundSchema = CreateProjectRequest$inboundSchema;
    CreateProjectRequest$.outboundSchema = CreateProjectRequest$outboundSchema;
  })(CreateProjectRequest$ ||= {});
  CreateProjectAnalytics$inboundSchema = objectType({
    id: stringType(),
    canceledAt: nullableType(numberType()).optional(),
    disabledAt: numberType(),
    enabledAt: numberType(),
    paidAt: numberType().optional(),
    sampleRatePercent: nullableType(numberType()).optional(),
    spendLimitInDollars: nullableType(numberType()).optional()
  });
  CreateProjectAnalytics$outboundSchema = objectType({
    id: stringType(),
    canceledAt: nullableType(numberType()).optional(),
    disabledAt: numberType(),
    enabledAt: numberType(),
    paidAt: numberType().optional(),
    sampleRatePercent: nullableType(numberType()).optional(),
    spendLimitInDollars: nullableType(numberType()).optional()
  });
  ((CreateProjectAnalytics$) => {
    CreateProjectAnalytics$.inboundSchema = CreateProjectAnalytics$inboundSchema;
    CreateProjectAnalytics$.outboundSchema = CreateProjectAnalytics$outboundSchema;
  })(CreateProjectAnalytics$ ||= {});
  CreateProjectSpeedInsights$inboundSchema = objectType({
    id: stringType(),
    enabledAt: numberType().optional(),
    disabledAt: numberType().optional(),
    canceledAt: numberType().optional(),
    hasData: booleanType().optional(),
    paidAt: numberType().optional()
  });
  CreateProjectSpeedInsights$outboundSchema = objectType({
    id: stringType(),
    enabledAt: numberType().optional(),
    disabledAt: numberType().optional(),
    canceledAt: numberType().optional(),
    hasData: booleanType().optional(),
    paidAt: numberType().optional()
  });
  ((CreateProjectSpeedInsights$) => {
    CreateProjectSpeedInsights$.inboundSchema = CreateProjectSpeedInsights$inboundSchema;
    CreateProjectSpeedInsights$.outboundSchema = CreateProjectSpeedInsights$outboundSchema;
  })(CreateProjectSpeedInsights$ ||= {});
  CreateProjectEnvId2$inboundSchema = nativeEnumType(CreateProjectEnvId2);
  CreateProjectEnvId2$outboundSchema = CreateProjectEnvId2$inboundSchema;
  ((CreateProjectEnvId2$) => {
    CreateProjectEnvId2$.inboundSchema = CreateProjectEnvId2$inboundSchema;
    CreateProjectEnvId2$.outboundSchema = CreateProjectEnvId2$outboundSchema;
  })(CreateProjectEnvId2$ ||= {});
  CreateProjectEnvId$inboundSchema = unionType([stringType(), CreateProjectEnvId2$inboundSchema]);
  CreateProjectEnvId$outboundSchema = unionType([stringType(), CreateProjectEnvId2$outboundSchema]);
  ((CreateProjectEnvId$) => {
    CreateProjectEnvId$.inboundSchema = CreateProjectEnvId$inboundSchema;
    CreateProjectEnvId$.outboundSchema = CreateProjectEnvId$outboundSchema;
  })(CreateProjectEnvId$ ||= {});
  CreateProjectAws$inboundSchema = objectType({
    subnetIds: arrayType(stringType()),
    securityGroupId: stringType()
  });
  CreateProjectAws$outboundSchema = objectType({
    subnetIds: arrayType(stringType()),
    securityGroupId: stringType()
  });
  ((CreateProjectAws$) => {
    CreateProjectAws$.inboundSchema = CreateProjectAws$inboundSchema;
    CreateProjectAws$.outboundSchema = CreateProjectAws$outboundSchema;
  })(CreateProjectAws$ ||= {});
  CreateProjectConnectConfigurations$inboundSchema = objectType({
    envId: unionType([stringType(), CreateProjectEnvId2$inboundSchema]),
    connectConfigurationId: stringType(),
    passive: booleanType(),
    buildsEnabled: booleanType(),
    aws: lazyType(() => CreateProjectAws$inboundSchema).optional(),
    createdAt: numberType(),
    updatedAt: numberType()
  });
  CreateProjectConnectConfigurations$outboundSchema = objectType({
    envId: unionType([stringType(), CreateProjectEnvId2$outboundSchema]),
    connectConfigurationId: stringType(),
    passive: booleanType(),
    buildsEnabled: booleanType(),
    aws: lazyType(() => CreateProjectAws$outboundSchema).optional(),
    createdAt: numberType(),
    updatedAt: numberType()
  });
  ((CreateProjectConnectConfigurations$) => {
    CreateProjectConnectConfigurations$.inboundSchema = CreateProjectConnectConfigurations$inboundSchema;
    CreateProjectConnectConfigurations$.outboundSchema = CreateProjectConnectConfigurations$outboundSchema;
  })(CreateProjectConnectConfigurations$ ||= {});
  CreateProjectDefinitions$inboundSchema = objectType({
    host: stringType(),
    path: stringType(),
    schedule: stringType()
  });
  CreateProjectDefinitions$outboundSchema = objectType({
    host: stringType(),
    path: stringType(),
    schedule: stringType()
  });
  ((CreateProjectDefinitions$) => {
    CreateProjectDefinitions$.inboundSchema = CreateProjectDefinitions$inboundSchema;
    CreateProjectDefinitions$.outboundSchema = CreateProjectDefinitions$outboundSchema;
  })(CreateProjectDefinitions$ ||= {});
  CreateProjectCrons$inboundSchema = objectType({
    enabledAt: numberType(),
    disabledAt: nullableType(numberType()),
    updatedAt: numberType(),
    deploymentId: nullableType(stringType()),
    definitions: arrayType(lazyType(() => CreateProjectDefinitions$inboundSchema))
  });
  CreateProjectCrons$outboundSchema = objectType({
    enabledAt: numberType(),
    disabledAt: nullableType(numberType()),
    updatedAt: numberType(),
    deploymentId: nullableType(stringType()),
    definitions: arrayType(lazyType(() => CreateProjectDefinitions$outboundSchema))
  });
  ((CreateProjectCrons$) => {
    CreateProjectCrons$.inboundSchema = CreateProjectCrons$inboundSchema;
    CreateProjectCrons$.outboundSchema = CreateProjectCrons$outboundSchema;
  })(CreateProjectCrons$ ||= {});
  CreateProjectDataCache$inboundSchema = objectType({
    userDisabled: booleanType(),
    storageSizeBytes: nullableType(numberType()).optional(),
    unlimited: booleanType().optional()
  });
  CreateProjectDataCache$outboundSchema = objectType({
    userDisabled: booleanType(),
    storageSizeBytes: nullableType(numberType()).optional(),
    unlimited: booleanType().optional()
  });
  ((CreateProjectDataCache$) => {
    CreateProjectDataCache$.inboundSchema = CreateProjectDataCache$inboundSchema;
    CreateProjectDataCache$.outboundSchema = CreateProjectDataCache$outboundSchema;
  })(CreateProjectDataCache$ ||= {});
  CreateProjectDeploymentExpiration$inboundSchema = objectType({
    expirationDays: numberType().optional(),
    expirationDaysProduction: numberType().optional(),
    expirationDaysCanceled: numberType().optional(),
    expirationDaysErrored: numberType().optional(),
    deploymentsToKeep: numberType().optional()
  });
  CreateProjectDeploymentExpiration$outboundSchema = objectType({
    expirationDays: numberType().optional(),
    expirationDaysProduction: numberType().optional(),
    expirationDaysCanceled: numberType().optional(),
    expirationDaysErrored: numberType().optional(),
    deploymentsToKeep: numberType().optional()
  });
  ((CreateProjectDeploymentExpiration$) => {
    CreateProjectDeploymentExpiration$.inboundSchema = CreateProjectDeploymentExpiration$inboundSchema;
    CreateProjectDeploymentExpiration$.outboundSchema = CreateProjectDeploymentExpiration$outboundSchema;
  })(CreateProjectDeploymentExpiration$ ||= {});
  CreateProjectTarget2$inboundSchema = nativeEnumType(CreateProjectTarget2);
  CreateProjectTarget2$outboundSchema = CreateProjectTarget2$inboundSchema;
  ((CreateProjectTarget2$) => {
    CreateProjectTarget2$.inboundSchema = CreateProjectTarget2$inboundSchema;
    CreateProjectTarget2$.outboundSchema = CreateProjectTarget2$outboundSchema;
  })(CreateProjectTarget2$ ||= {});
  CreateProjectTarget1$inboundSchema = nativeEnumType(CreateProjectTarget1);
  CreateProjectTarget1$outboundSchema = CreateProjectTarget1$inboundSchema;
  ((CreateProjectTarget1$) => {
    CreateProjectTarget1$.inboundSchema = CreateProjectTarget1$inboundSchema;
    CreateProjectTarget1$.outboundSchema = CreateProjectTarget1$outboundSchema;
  })(CreateProjectTarget1$ ||= {});
  CreateProjectProjectsTarget$inboundSchema = unionType([
    arrayType(CreateProjectTarget1$inboundSchema),
    CreateProjectTarget2$inboundSchema
  ]);
  CreateProjectProjectsTarget$outboundSchema = unionType([
    arrayType(CreateProjectTarget1$outboundSchema),
    CreateProjectTarget2$outboundSchema
  ]);
  ((CreateProjectProjectsTarget$) => {
    CreateProjectProjectsTarget$.inboundSchema = CreateProjectProjectsTarget$inboundSchema;
    CreateProjectProjectsTarget$.outboundSchema = CreateProjectProjectsTarget$outboundSchema;
  })(CreateProjectProjectsTarget$ ||= {});
  CreateProjectProjectsResponseType$inboundSchema = nativeEnumType(CreateProjectProjectsResponseType);
  CreateProjectProjectsResponseType$outboundSchema = CreateProjectProjectsResponseType$inboundSchema;
  ((CreateProjectProjectsResponseType$) => {
    CreateProjectProjectsResponseType$.inboundSchema = CreateProjectProjectsResponseType$inboundSchema;
    CreateProjectProjectsResponseType$.outboundSchema = CreateProjectProjectsResponseType$outboundSchema;
  })(CreateProjectProjectsResponseType$ ||= {});
  CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$inboundSchema = nativeEnumType(CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type);
  CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$outboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$inboundSchema;
  ((CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$) => {
    CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$.inboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$inboundSchema;
    CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$.outboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$outboundSchema;
  })(CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$ ||= {});
  CreateProjectContentHint15$inboundSchema = objectType({
    type: CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$inboundSchema,
    projectId: stringType()
  });
  CreateProjectContentHint15$outboundSchema = objectType({
    type: CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$outboundSchema,
    projectId: stringType()
  });
  ((CreateProjectContentHint15$) => {
    CreateProjectContentHint15$.inboundSchema = CreateProjectContentHint15$inboundSchema;
    CreateProjectContentHint15$.outboundSchema = CreateProjectContentHint15$outboundSchema;
  })(CreateProjectContentHint15$ ||= {});
  CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$inboundSchema = nativeEnumType(CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type);
  CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$outboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$inboundSchema;
  ((CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$) => {
    CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$.inboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$inboundSchema;
    CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$.outboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$outboundSchema;
  })(CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$ ||= {});
  CreateProjectContentHint14$inboundSchema = objectType({
    type: CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$inboundSchema,
    storeId: stringType(),
    integrationId: stringType(),
    integrationProductId: stringType(),
    integrationConfigurationId: stringType()
  });
  CreateProjectContentHint14$outboundSchema = objectType({
    type: CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$outboundSchema,
    storeId: stringType(),
    integrationId: stringType(),
    integrationProductId: stringType(),
    integrationConfigurationId: stringType()
  });
  ((CreateProjectContentHint14$) => {
    CreateProjectContentHint14$.inboundSchema = CreateProjectContentHint14$inboundSchema;
    CreateProjectContentHint14$.outboundSchema = CreateProjectContentHint14$outboundSchema;
  })(CreateProjectContentHint14$ ||= {});
  CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$inboundSchema = nativeEnumType(CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type);
  CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$outboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$inboundSchema;
  ((CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$) => {
    CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$.inboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$inboundSchema;
    CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$.outboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$outboundSchema;
  })(CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$ ||= {});
  CreateProjectContentHint13$inboundSchema = objectType({
    type: CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$inboundSchema,
    storeId: stringType()
  });
  CreateProjectContentHint13$outboundSchema = objectType({
    type: CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$outboundSchema,
    storeId: stringType()
  });
  ((CreateProjectContentHint13$) => {
    CreateProjectContentHint13$.inboundSchema = CreateProjectContentHint13$inboundSchema;
    CreateProjectContentHint13$.outboundSchema = CreateProjectContentHint13$outboundSchema;
  })(CreateProjectContentHint13$ ||= {});
  CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$inboundSchema = nativeEnumType(CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type);
  CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$outboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$inboundSchema;
  ((CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$) => {
    CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$.inboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$inboundSchema;
    CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$.outboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$outboundSchema;
  })(CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$ ||= {});
  CreateProjectContentHint12$inboundSchema = objectType({
    type: CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$inboundSchema,
    storeId: stringType()
  });
  CreateProjectContentHint12$outboundSchema = objectType({
    type: CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$outboundSchema,
    storeId: stringType()
  });
  ((CreateProjectContentHint12$) => {
    CreateProjectContentHint12$.inboundSchema = CreateProjectContentHint12$inboundSchema;
    CreateProjectContentHint12$.outboundSchema = CreateProjectContentHint12$outboundSchema;
  })(CreateProjectContentHint12$ ||= {});
  CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$inboundSchema = nativeEnumType(CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type);
  CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$outboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$inboundSchema;
  ((CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$) => {
    CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$.inboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$inboundSchema;
    CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$.outboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$outboundSchema;
  })(CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$ ||= {});
  CreateProjectContentHint11$inboundSchema = objectType({
    type: CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$inboundSchema,
    storeId: stringType()
  });
  CreateProjectContentHint11$outboundSchema = objectType({
    type: CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$outboundSchema,
    storeId: stringType()
  });
  ((CreateProjectContentHint11$) => {
    CreateProjectContentHint11$.inboundSchema = CreateProjectContentHint11$inboundSchema;
    CreateProjectContentHint11$.outboundSchema = CreateProjectContentHint11$outboundSchema;
  })(CreateProjectContentHint11$ ||= {});
  CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$inboundSchema = nativeEnumType(CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type);
  CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$outboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$inboundSchema;
  ((CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$) => {
    CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$.inboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$inboundSchema;
    CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$.outboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$outboundSchema;
  })(CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$ ||= {});
  CreateProjectContentHint10$inboundSchema = objectType({
    type: CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$inboundSchema,
    storeId: stringType()
  });
  CreateProjectContentHint10$outboundSchema = objectType({
    type: CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$outboundSchema,
    storeId: stringType()
  });
  ((CreateProjectContentHint10$) => {
    CreateProjectContentHint10$.inboundSchema = CreateProjectContentHint10$inboundSchema;
    CreateProjectContentHint10$.outboundSchema = CreateProjectContentHint10$outboundSchema;
  })(CreateProjectContentHint10$ ||= {});
  CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$inboundSchema = nativeEnumType(CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type);
  CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$outboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$inboundSchema;
  ((CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$) => {
    CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$.inboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$inboundSchema;
    CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$.outboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$outboundSchema;
  })(CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$ ||= {});
  CreateProjectContentHint9$inboundSchema = objectType({
    type: CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$inboundSchema,
    storeId: stringType()
  });
  CreateProjectContentHint9$outboundSchema = objectType({
    type: CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$outboundSchema,
    storeId: stringType()
  });
  ((CreateProjectContentHint9$) => {
    CreateProjectContentHint9$.inboundSchema = CreateProjectContentHint9$inboundSchema;
    CreateProjectContentHint9$.outboundSchema = CreateProjectContentHint9$outboundSchema;
  })(CreateProjectContentHint9$ ||= {});
  CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type$inboundSchema = nativeEnumType(CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type);
  CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type$outboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type$inboundSchema;
  ((CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type$) => {
    CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type$.inboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type$inboundSchema;
    CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type$.outboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type$outboundSchema;
  })(CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type$ ||= {});
  CreateProjectContentHint8$inboundSchema = objectType({
    type: CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type$inboundSchema,
    storeId: stringType()
  });
  CreateProjectContentHint8$outboundSchema = objectType({
    type: CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type$outboundSchema,
    storeId: stringType()
  });
  ((CreateProjectContentHint8$) => {
    CreateProjectContentHint8$.inboundSchema = CreateProjectContentHint8$inboundSchema;
    CreateProjectContentHint8$.outboundSchema = CreateProjectContentHint8$outboundSchema;
  })(CreateProjectContentHint8$ ||= {});
  CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$inboundSchema = nativeEnumType(CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType);
  CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$outboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$inboundSchema;
  ((CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$) => {
    CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$.inboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$inboundSchema;
    CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$.outboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$outboundSchema;
  })(CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$ ||= {});
  CreateProjectContentHint7$inboundSchema = objectType({
    type: CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$inboundSchema,
    storeId: stringType()
  });
  CreateProjectContentHint7$outboundSchema = objectType({
    type: CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$outboundSchema,
    storeId: stringType()
  });
  ((CreateProjectContentHint7$) => {
    CreateProjectContentHint7$.inboundSchema = CreateProjectContentHint7$inboundSchema;
    CreateProjectContentHint7$.outboundSchema = CreateProjectContentHint7$outboundSchema;
  })(CreateProjectContentHint7$ ||= {});
  CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema = nativeEnumType(CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType);
  CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema;
  ((CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType$) => {
    CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType$.inboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema;
    CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType$.outboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema;
  })(CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType$ ||= {});
  CreateProjectContentHint6$inboundSchema = objectType({
    type: CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema,
    storeId: stringType()
  });
  CreateProjectContentHint6$outboundSchema = objectType({
    type: CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema,
    storeId: stringType()
  });
  ((CreateProjectContentHint6$) => {
    CreateProjectContentHint6$.inboundSchema = CreateProjectContentHint6$inboundSchema;
    CreateProjectContentHint6$.outboundSchema = CreateProjectContentHint6$outboundSchema;
  })(CreateProjectContentHint6$ ||= {});
  CreateProjectContentHintProjectsResponse200ApplicationJSONType$inboundSchema = nativeEnumType(CreateProjectContentHintProjectsResponse200ApplicationJSONType);
  CreateProjectContentHintProjectsResponse200ApplicationJSONType$outboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONType$inboundSchema;
  ((CreateProjectContentHintProjectsResponse200ApplicationJSONType$) => {
    CreateProjectContentHintProjectsResponse200ApplicationJSONType$.inboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONType$inboundSchema;
    CreateProjectContentHintProjectsResponse200ApplicationJSONType$.outboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONType$outboundSchema;
  })(CreateProjectContentHintProjectsResponse200ApplicationJSONType$ ||= {});
  CreateProjectContentHint5$inboundSchema = objectType({
    type: CreateProjectContentHintProjectsResponse200ApplicationJSONType$inboundSchema,
    storeId: stringType()
  });
  CreateProjectContentHint5$outboundSchema = objectType({
    type: CreateProjectContentHintProjectsResponse200ApplicationJSONType$outboundSchema,
    storeId: stringType()
  });
  ((CreateProjectContentHint5$) => {
    CreateProjectContentHint5$.inboundSchema = CreateProjectContentHint5$inboundSchema;
    CreateProjectContentHint5$.outboundSchema = CreateProjectContentHint5$outboundSchema;
  })(CreateProjectContentHint5$ ||= {});
  CreateProjectContentHintProjectsResponse200Type$inboundSchema = nativeEnumType(CreateProjectContentHintProjectsResponse200Type);
  CreateProjectContentHintProjectsResponse200Type$outboundSchema = CreateProjectContentHintProjectsResponse200Type$inboundSchema;
  ((CreateProjectContentHintProjectsResponse200Type$) => {
    CreateProjectContentHintProjectsResponse200Type$.inboundSchema = CreateProjectContentHintProjectsResponse200Type$inboundSchema;
    CreateProjectContentHintProjectsResponse200Type$.outboundSchema = CreateProjectContentHintProjectsResponse200Type$outboundSchema;
  })(CreateProjectContentHintProjectsResponse200Type$ ||= {});
  CreateProjectContentHint4$inboundSchema = objectType({
    type: CreateProjectContentHintProjectsResponse200Type$inboundSchema,
    storeId: stringType()
  });
  CreateProjectContentHint4$outboundSchema = objectType({
    type: CreateProjectContentHintProjectsResponse200Type$outboundSchema,
    storeId: stringType()
  });
  ((CreateProjectContentHint4$) => {
    CreateProjectContentHint4$.inboundSchema = CreateProjectContentHint4$inboundSchema;
    CreateProjectContentHint4$.outboundSchema = CreateProjectContentHint4$outboundSchema;
  })(CreateProjectContentHint4$ ||= {});
  CreateProjectContentHintProjectsResponseType$inboundSchema = nativeEnumType(CreateProjectContentHintProjectsResponseType);
  CreateProjectContentHintProjectsResponseType$outboundSchema = CreateProjectContentHintProjectsResponseType$inboundSchema;
  ((CreateProjectContentHintProjectsResponseType$) => {
    CreateProjectContentHintProjectsResponseType$.inboundSchema = CreateProjectContentHintProjectsResponseType$inboundSchema;
    CreateProjectContentHintProjectsResponseType$.outboundSchema = CreateProjectContentHintProjectsResponseType$outboundSchema;
  })(CreateProjectContentHintProjectsResponseType$ ||= {});
  CreateProjectContentHint3$inboundSchema = objectType({
    type: CreateProjectContentHintProjectsResponseType$inboundSchema,
    storeId: stringType()
  });
  CreateProjectContentHint3$outboundSchema = objectType({
    type: CreateProjectContentHintProjectsResponseType$outboundSchema,
    storeId: stringType()
  });
  ((CreateProjectContentHint3$) => {
    CreateProjectContentHint3$.inboundSchema = CreateProjectContentHint3$inboundSchema;
    CreateProjectContentHint3$.outboundSchema = CreateProjectContentHint3$outboundSchema;
  })(CreateProjectContentHint3$ ||= {});
  CreateProjectContentHintProjectsType$inboundSchema = nativeEnumType(CreateProjectContentHintProjectsType);
  CreateProjectContentHintProjectsType$outboundSchema = CreateProjectContentHintProjectsType$inboundSchema;
  ((CreateProjectContentHintProjectsType$) => {
    CreateProjectContentHintProjectsType$.inboundSchema = CreateProjectContentHintProjectsType$inboundSchema;
    CreateProjectContentHintProjectsType$.outboundSchema = CreateProjectContentHintProjectsType$outboundSchema;
  })(CreateProjectContentHintProjectsType$ ||= {});
  CreateProjectContentHint2$inboundSchema = objectType({
    type: CreateProjectContentHintProjectsType$inboundSchema,
    storeId: stringType()
  });
  CreateProjectContentHint2$outboundSchema = objectType({
    type: CreateProjectContentHintProjectsType$outboundSchema,
    storeId: stringType()
  });
  ((CreateProjectContentHint2$) => {
    CreateProjectContentHint2$.inboundSchema = CreateProjectContentHint2$inboundSchema;
    CreateProjectContentHint2$.outboundSchema = CreateProjectContentHint2$outboundSchema;
  })(CreateProjectContentHint2$ ||= {});
  CreateProjectContentHintType$inboundSchema = nativeEnumType(CreateProjectContentHintType);
  CreateProjectContentHintType$outboundSchema = CreateProjectContentHintType$inboundSchema;
  ((CreateProjectContentHintType$) => {
    CreateProjectContentHintType$.inboundSchema = CreateProjectContentHintType$inboundSchema;
    CreateProjectContentHintType$.outboundSchema = CreateProjectContentHintType$outboundSchema;
  })(CreateProjectContentHintType$ ||= {});
  CreateProjectContentHint1$inboundSchema = objectType({
    type: CreateProjectContentHintType$inboundSchema,
    storeId: stringType()
  });
  CreateProjectContentHint1$outboundSchema = objectType({
    type: CreateProjectContentHintType$outboundSchema,
    storeId: stringType()
  });
  ((CreateProjectContentHint1$) => {
    CreateProjectContentHint1$.inboundSchema = CreateProjectContentHint1$inboundSchema;
    CreateProjectContentHint1$.outboundSchema = CreateProjectContentHint1$outboundSchema;
  })(CreateProjectContentHint1$ ||= {});
  CreateProjectContentHint$inboundSchema = unionType([
    lazyType(() => CreateProjectContentHint1$inboundSchema),
    lazyType(() => CreateProjectContentHint2$inboundSchema),
    lazyType(() => CreateProjectContentHint3$inboundSchema),
    lazyType(() => CreateProjectContentHint4$inboundSchema),
    lazyType(() => CreateProjectContentHint5$inboundSchema),
    lazyType(() => CreateProjectContentHint6$inboundSchema),
    lazyType(() => CreateProjectContentHint7$inboundSchema),
    lazyType(() => CreateProjectContentHint8$inboundSchema),
    lazyType(() => CreateProjectContentHint9$inboundSchema),
    lazyType(() => CreateProjectContentHint10$inboundSchema),
    lazyType(() => CreateProjectContentHint11$inboundSchema),
    lazyType(() => CreateProjectContentHint12$inboundSchema),
    lazyType(() => CreateProjectContentHint13$inboundSchema),
    lazyType(() => CreateProjectContentHint15$inboundSchema),
    lazyType(() => CreateProjectContentHint14$inboundSchema)
  ]);
  CreateProjectContentHint$outboundSchema = unionType([
    lazyType(() => CreateProjectContentHint1$outboundSchema),
    lazyType(() => CreateProjectContentHint2$outboundSchema),
    lazyType(() => CreateProjectContentHint3$outboundSchema),
    lazyType(() => CreateProjectContentHint4$outboundSchema),
    lazyType(() => CreateProjectContentHint5$outboundSchema),
    lazyType(() => CreateProjectContentHint6$outboundSchema),
    lazyType(() => CreateProjectContentHint7$outboundSchema),
    lazyType(() => CreateProjectContentHint8$outboundSchema),
    lazyType(() => CreateProjectContentHint9$outboundSchema),
    lazyType(() => CreateProjectContentHint10$outboundSchema),
    lazyType(() => CreateProjectContentHint11$outboundSchema),
    lazyType(() => CreateProjectContentHint12$outboundSchema),
    lazyType(() => CreateProjectContentHint13$outboundSchema),
    lazyType(() => CreateProjectContentHint15$outboundSchema),
    lazyType(() => CreateProjectContentHint14$outboundSchema)
  ]);
  ((CreateProjectContentHint$) => {
    CreateProjectContentHint$.inboundSchema = CreateProjectContentHint$inboundSchema;
    CreateProjectContentHint$.outboundSchema = CreateProjectContentHint$outboundSchema;
  })(CreateProjectContentHint$ ||= {});
  CreateProjectProjectsResponse200ApplicationJSONResponseBodyEnvType$inboundSchema = nativeEnumType(CreateProjectProjectsResponse200ApplicationJSONResponseBodyEnvType);
  CreateProjectProjectsResponse200ApplicationJSONResponseBodyEnvType$outboundSchema = CreateProjectProjectsResponse200ApplicationJSONResponseBodyEnvType$inboundSchema;
  ((CreateProjectProjectsResponse200ApplicationJSONResponseBodyEnvType$) => {
    CreateProjectProjectsResponse200ApplicationJSONResponseBodyEnvType$.inboundSchema = CreateProjectProjectsResponse200ApplicationJSONResponseBodyEnvType$inboundSchema;
    CreateProjectProjectsResponse200ApplicationJSONResponseBodyEnvType$.outboundSchema = CreateProjectProjectsResponse200ApplicationJSONResponseBodyEnvType$outboundSchema;
  })(CreateProjectProjectsResponse200ApplicationJSONResponseBodyEnvType$ ||= {});
  CreateProjectInternalContentHint$inboundSchema = objectType({
    type: CreateProjectProjectsResponse200ApplicationJSONResponseBodyEnvType$inboundSchema,
    encryptedValue: stringType()
  });
  CreateProjectInternalContentHint$outboundSchema = objectType({
    type: CreateProjectProjectsResponse200ApplicationJSONResponseBodyEnvType$outboundSchema,
    encryptedValue: stringType()
  });
  ((CreateProjectInternalContentHint$) => {
    CreateProjectInternalContentHint$.inboundSchema = CreateProjectInternalContentHint$inboundSchema;
    CreateProjectInternalContentHint$.outboundSchema = CreateProjectInternalContentHint$outboundSchema;
  })(CreateProjectInternalContentHint$ ||= {});
  CreateProjectEnv$inboundSchema = objectType({
    target: unionType([
      arrayType(CreateProjectTarget1$inboundSchema),
      CreateProjectTarget2$inboundSchema
    ]).optional(),
    type: CreateProjectProjectsResponseType$inboundSchema,
    sunsetSecretId: stringType().optional(),
    decrypted: booleanType().optional(),
    value: stringType(),
    vsmValue: stringType().optional(),
    id: stringType().optional(),
    key: stringType(),
    configurationId: nullableType(stringType()).optional(),
    createdAt: numberType().optional(),
    updatedAt: numberType().optional(),
    createdBy: nullableType(stringType()).optional(),
    updatedBy: nullableType(stringType()).optional(),
    gitBranch: stringType().optional(),
    edgeConfigId: nullableType(stringType()).optional(),
    edgeConfigTokenId: nullableType(stringType()).optional(),
    contentHint: nullableType(unionType([
      lazyType(() => CreateProjectContentHint1$inboundSchema),
      lazyType(() => CreateProjectContentHint2$inboundSchema),
      lazyType(() => CreateProjectContentHint3$inboundSchema),
      lazyType(() => CreateProjectContentHint4$inboundSchema),
      lazyType(() => CreateProjectContentHint5$inboundSchema),
      lazyType(() => CreateProjectContentHint6$inboundSchema),
      lazyType(() => CreateProjectContentHint7$inboundSchema),
      lazyType(() => CreateProjectContentHint8$inboundSchema),
      lazyType(() => CreateProjectContentHint9$inboundSchema),
      lazyType(() => CreateProjectContentHint10$inboundSchema),
      lazyType(() => CreateProjectContentHint11$inboundSchema),
      lazyType(() => CreateProjectContentHint12$inboundSchema),
      lazyType(() => CreateProjectContentHint13$inboundSchema),
      lazyType(() => CreateProjectContentHint15$inboundSchema),
      lazyType(() => CreateProjectContentHint14$inboundSchema)
    ])).optional(),
    internalContentHint: nullableType(lazyType(() => CreateProjectInternalContentHint$inboundSchema)).optional(),
    comment: stringType().optional(),
    customEnvironmentIds: arrayType(stringType()).optional()
  });
  CreateProjectEnv$outboundSchema = objectType({
    target: unionType([
      arrayType(CreateProjectTarget1$outboundSchema),
      CreateProjectTarget2$outboundSchema
    ]).optional(),
    type: CreateProjectProjectsResponseType$outboundSchema,
    sunsetSecretId: stringType().optional(),
    decrypted: booleanType().optional(),
    value: stringType(),
    vsmValue: stringType().optional(),
    id: stringType().optional(),
    key: stringType(),
    configurationId: nullableType(stringType()).optional(),
    createdAt: numberType().optional(),
    updatedAt: numberType().optional(),
    createdBy: nullableType(stringType()).optional(),
    updatedBy: nullableType(stringType()).optional(),
    gitBranch: stringType().optional(),
    edgeConfigId: nullableType(stringType()).optional(),
    edgeConfigTokenId: nullableType(stringType()).optional(),
    contentHint: nullableType(unionType([
      lazyType(() => CreateProjectContentHint1$outboundSchema),
      lazyType(() => CreateProjectContentHint2$outboundSchema),
      lazyType(() => CreateProjectContentHint3$outboundSchema),
      lazyType(() => CreateProjectContentHint4$outboundSchema),
      lazyType(() => CreateProjectContentHint5$outboundSchema),
      lazyType(() => CreateProjectContentHint6$outboundSchema),
      lazyType(() => CreateProjectContentHint7$outboundSchema),
      lazyType(() => CreateProjectContentHint8$outboundSchema),
      lazyType(() => CreateProjectContentHint9$outboundSchema),
      lazyType(() => CreateProjectContentHint10$outboundSchema),
      lazyType(() => CreateProjectContentHint11$outboundSchema),
      lazyType(() => CreateProjectContentHint12$outboundSchema),
      lazyType(() => CreateProjectContentHint13$outboundSchema),
      lazyType(() => CreateProjectContentHint15$outboundSchema),
      lazyType(() => CreateProjectContentHint14$outboundSchema)
    ])).optional(),
    internalContentHint: nullableType(lazyType(() => CreateProjectInternalContentHint$outboundSchema)).optional(),
    comment: stringType().optional(),
    customEnvironmentIds: arrayType(stringType()).optional()
  });
  ((CreateProjectEnv$) => {
    CreateProjectEnv$.inboundSchema = CreateProjectEnv$inboundSchema;
    CreateProjectEnv$.outboundSchema = CreateProjectEnv$outboundSchema;
  })(CreateProjectEnv$ ||= {});
  CreateProjectProjectsResponse200Type$inboundSchema = nativeEnumType(CreateProjectProjectsResponse200Type);
  CreateProjectProjectsResponse200Type$outboundSchema = CreateProjectProjectsResponse200Type$inboundSchema;
  ((CreateProjectProjectsResponse200Type$) => {
    CreateProjectProjectsResponse200Type$.inboundSchema = CreateProjectProjectsResponse200Type$inboundSchema;
    CreateProjectProjectsResponse200Type$.outboundSchema = CreateProjectProjectsResponse200Type$outboundSchema;
  })(CreateProjectProjectsResponse200Type$ ||= {});
  CreateProjectProjectsResponse200ApplicationJSONResponseBodyCustomEnvironmentsType$inboundSchema = nativeEnumType(CreateProjectProjectsResponse200ApplicationJSONResponseBodyCustomEnvironmentsType);
  CreateProjectProjectsResponse200ApplicationJSONResponseBodyCustomEnvironmentsType$outboundSchema = CreateProjectProjectsResponse200ApplicationJSONResponseBodyCustomEnvironmentsType$inboundSchema;
  ((CreateProjectProjectsResponse200ApplicationJSONResponseBodyCustomEnvironmentsType$) => {
    CreateProjectProjectsResponse200ApplicationJSONResponseBodyCustomEnvironmentsType$.inboundSchema = CreateProjectProjectsResponse200ApplicationJSONResponseBodyCustomEnvironmentsType$inboundSchema;
    CreateProjectProjectsResponse200ApplicationJSONResponseBodyCustomEnvironmentsType$.outboundSchema = CreateProjectProjectsResponse200ApplicationJSONResponseBodyCustomEnvironmentsType$outboundSchema;
  })(CreateProjectProjectsResponse200ApplicationJSONResponseBodyCustomEnvironmentsType$ ||= {});
  CreateProjectBranchMatcher$inboundSchema = objectType({
    type: CreateProjectProjectsResponse200ApplicationJSONResponseBodyCustomEnvironmentsType$inboundSchema,
    pattern: stringType()
  });
  CreateProjectBranchMatcher$outboundSchema = objectType({
    type: CreateProjectProjectsResponse200ApplicationJSONResponseBodyCustomEnvironmentsType$outboundSchema,
    pattern: stringType()
  });
  ((CreateProjectBranchMatcher$) => {
    CreateProjectBranchMatcher$.inboundSchema = CreateProjectBranchMatcher$inboundSchema;
    CreateProjectBranchMatcher$.outboundSchema = CreateProjectBranchMatcher$outboundSchema;
  })(CreateProjectBranchMatcher$ ||= {});
  CreateProjectVerification$inboundSchema = objectType({
    type: stringType(),
    domain: stringType(),
    value: stringType(),
    reason: stringType()
  });
  CreateProjectVerification$outboundSchema = objectType({
    type: stringType(),
    domain: stringType(),
    value: stringType(),
    reason: stringType()
  });
  ((CreateProjectVerification$) => {
    CreateProjectVerification$.inboundSchema = CreateProjectVerification$inboundSchema;
    CreateProjectVerification$.outboundSchema = CreateProjectVerification$outboundSchema;
  })(CreateProjectVerification$ ||= {});
  CreateProjectDomains$inboundSchema = objectType({
    name: stringType(),
    apexName: stringType(),
    projectId: stringType(),
    redirect: nullableType(stringType()).optional(),
    redirectStatusCode: nullableType(numberType()).optional(),
    gitBranch: nullableType(stringType()).optional(),
    customEnvironmentId: nullableType(stringType()).optional(),
    updatedAt: numberType().optional(),
    createdAt: numberType().optional(),
    verified: booleanType(),
    verification: arrayType(lazyType(() => CreateProjectVerification$inboundSchema)).optional()
  });
  CreateProjectDomains$outboundSchema = objectType({
    name: stringType(),
    apexName: stringType(),
    projectId: stringType(),
    redirect: nullableType(stringType()).optional(),
    redirectStatusCode: nullableType(numberType()).optional(),
    gitBranch: nullableType(stringType()).optional(),
    customEnvironmentId: nullableType(stringType()).optional(),
    updatedAt: numberType().optional(),
    createdAt: numberType().optional(),
    verified: booleanType(),
    verification: arrayType(lazyType(() => CreateProjectVerification$outboundSchema)).optional()
  });
  ((CreateProjectDomains$) => {
    CreateProjectDomains$.inboundSchema = CreateProjectDomains$inboundSchema;
    CreateProjectDomains$.outboundSchema = CreateProjectDomains$outboundSchema;
  })(CreateProjectDomains$ ||= {});
  CreateProjectCustomEnvironments$inboundSchema = objectType({
    id: stringType(),
    slug: stringType(),
    type: CreateProjectProjectsResponse200Type$inboundSchema,
    description: stringType().optional(),
    branchMatcher: lazyType(() => CreateProjectBranchMatcher$inboundSchema).optional(),
    domains: arrayType(lazyType(() => CreateProjectDomains$inboundSchema)).optional(),
    currentDeploymentAliases: arrayType(stringType()).optional(),
    createdAt: numberType(),
    updatedAt: numberType()
  });
  CreateProjectCustomEnvironments$outboundSchema = objectType({
    id: stringType(),
    slug: stringType(),
    type: CreateProjectProjectsResponse200Type$outboundSchema,
    description: stringType().optional(),
    branchMatcher: lazyType(() => CreateProjectBranchMatcher$outboundSchema).optional(),
    domains: arrayType(lazyType(() => CreateProjectDomains$outboundSchema)).optional(),
    currentDeploymentAliases: arrayType(stringType()).optional(),
    createdAt: numberType(),
    updatedAt: numberType()
  });
  ((CreateProjectCustomEnvironments$) => {
    CreateProjectCustomEnvironments$.inboundSchema = CreateProjectCustomEnvironments$inboundSchema;
    CreateProjectCustomEnvironments$.outboundSchema = CreateProjectCustomEnvironments$outboundSchema;
  })(CreateProjectCustomEnvironments$ ||= {});
  CreateProjectProjectsFramework$inboundSchema = nativeEnumType(CreateProjectProjectsFramework);
  CreateProjectProjectsFramework$outboundSchema = CreateProjectProjectsFramework$inboundSchema;
  ((CreateProjectProjectsFramework$) => {
    CreateProjectProjectsFramework$.inboundSchema = CreateProjectProjectsFramework$inboundSchema;
    CreateProjectProjectsFramework$.outboundSchema = CreateProjectProjectsFramework$outboundSchema;
  })(CreateProjectProjectsFramework$ ||= {});
  CreateProjectIpBuckets$inboundSchema = objectType({
    bucket: stringType(),
    supportUntil: numberType().optional()
  });
  CreateProjectIpBuckets$outboundSchema = objectType({
    bucket: stringType(),
    supportUntil: numberType().optional()
  });
  ((CreateProjectIpBuckets$) => {
    CreateProjectIpBuckets$.inboundSchema = CreateProjectIpBuckets$inboundSchema;
    CreateProjectIpBuckets$.outboundSchema = CreateProjectIpBuckets$outboundSchema;
  })(CreateProjectIpBuckets$ ||= {});
  CreateProjectAliasAssigned$inboundSchema = unionType([numberType(), booleanType()]);
  CreateProjectAliasAssigned$outboundSchema = unionType([numberType(), booleanType()]);
  ((CreateProjectAliasAssigned$) => {
    CreateProjectAliasAssigned$.inboundSchema = CreateProjectAliasAssigned$inboundSchema;
    CreateProjectAliasAssigned$.outboundSchema = CreateProjectAliasAssigned$outboundSchema;
  })(CreateProjectAliasAssigned$ ||= {});
  CreateProjectAliasError$inboundSchema = objectType({
    code: stringType(),
    message: stringType()
  });
  CreateProjectAliasError$outboundSchema = objectType({
    code: stringType(),
    message: stringType()
  });
  ((CreateProjectAliasError$) => {
    CreateProjectAliasError$.inboundSchema = CreateProjectAliasError$inboundSchema;
    CreateProjectAliasError$.outboundSchema = CreateProjectAliasError$outboundSchema;
  })(CreateProjectAliasError$ ||= {});
  CreateProjectProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType$inboundSchema = nativeEnumType(CreateProjectProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType);
  CreateProjectProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType$outboundSchema = CreateProjectProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType$inboundSchema;
  ((CreateProjectProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType$) => {
    CreateProjectProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType$.inboundSchema = CreateProjectProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType$inboundSchema;
    CreateProjectProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType$.outboundSchema = CreateProjectProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType$outboundSchema;
  })(CreateProjectProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType$ ||= {});
  CreateProjectProjectsBranchMatcher$inboundSchema = objectType({
    type: CreateProjectProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType$inboundSchema,
    pattern: stringType()
  });
  CreateProjectProjectsBranchMatcher$outboundSchema = objectType({
    type: CreateProjectProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType$outboundSchema,
    pattern: stringType()
  });
  ((CreateProjectProjectsBranchMatcher$) => {
    CreateProjectProjectsBranchMatcher$.inboundSchema = CreateProjectProjectsBranchMatcher$inboundSchema;
    CreateProjectProjectsBranchMatcher$.outboundSchema = CreateProjectProjectsBranchMatcher$outboundSchema;
  })(CreateProjectProjectsBranchMatcher$ ||= {});
  CreateProjectBuilds$inboundSchema = objectType({
    use: stringType(),
    src: stringType().optional(),
    dest: stringType().optional()
  });
  CreateProjectBuilds$outboundSchema = objectType({
    use: stringType(),
    src: stringType().optional(),
    dest: stringType().optional()
  });
  ((CreateProjectBuilds$) => {
    CreateProjectBuilds$.inboundSchema = CreateProjectBuilds$inboundSchema;
    CreateProjectBuilds$.outboundSchema = CreateProjectBuilds$outboundSchema;
  })(CreateProjectBuilds$ ||= {});
  CreateProjectChecksConclusion$inboundSchema = nativeEnumType(CreateProjectChecksConclusion);
  CreateProjectChecksConclusion$outboundSchema = CreateProjectChecksConclusion$inboundSchema;
  ((CreateProjectChecksConclusion$) => {
    CreateProjectChecksConclusion$.inboundSchema = CreateProjectChecksConclusion$inboundSchema;
    CreateProjectChecksConclusion$.outboundSchema = CreateProjectChecksConclusion$outboundSchema;
  })(CreateProjectChecksConclusion$ ||= {});
  CreateProjectChecksState$inboundSchema = nativeEnumType(CreateProjectChecksState);
  CreateProjectChecksState$outboundSchema = CreateProjectChecksState$inboundSchema;
  ((CreateProjectChecksState$) => {
    CreateProjectChecksState$.inboundSchema = CreateProjectChecksState$inboundSchema;
    CreateProjectChecksState$.outboundSchema = CreateProjectChecksState$outboundSchema;
  })(CreateProjectChecksState$ ||= {});
  CreateProjectCreator$inboundSchema = objectType({
    email: stringType(),
    githubLogin: stringType().optional(),
    gitlabLogin: stringType().optional(),
    uid: stringType(),
    username: stringType()
  });
  CreateProjectCreator$outboundSchema = objectType({
    email: stringType(),
    githubLogin: stringType().optional(),
    gitlabLogin: stringType().optional(),
    uid: stringType(),
    username: stringType()
  });
  ((CreateProjectCreator$) => {
    CreateProjectCreator$.inboundSchema = CreateProjectCreator$inboundSchema;
    CreateProjectCreator$.outboundSchema = CreateProjectCreator$outboundSchema;
  })(CreateProjectCreator$ ||= {});
  CreateProjectOidcTokenClaims$inboundSchema = objectType({
    iss: stringType(),
    sub: stringType(),
    scope: stringType(),
    aud: stringType(),
    owner: stringType(),
    owner_id: stringType(),
    project: stringType(),
    project_id: stringType(),
    environment: stringType()
  }).transform((v2) => {
    return remap(v2, {
      owner_id: "ownerId",
      project_id: "projectId"
    });
  });
  CreateProjectOidcTokenClaims$outboundSchema = objectType({
    iss: stringType(),
    sub: stringType(),
    scope: stringType(),
    aud: stringType(),
    owner: stringType(),
    ownerId: stringType(),
    project: stringType(),
    projectId: stringType(),
    environment: stringType()
  }).transform((v2) => {
    return remap(v2, {
      ownerId: "owner_id",
      projectId: "project_id"
    });
  });
  ((CreateProjectOidcTokenClaims$) => {
    CreateProjectOidcTokenClaims$.inboundSchema = CreateProjectOidcTokenClaims$inboundSchema;
    CreateProjectOidcTokenClaims$.outboundSchema = CreateProjectOidcTokenClaims$outboundSchema;
  })(CreateProjectOidcTokenClaims$ ||= {});
  CreateProjectPlan$inboundSchema = nativeEnumType(CreateProjectPlan);
  CreateProjectPlan$outboundSchema = CreateProjectPlan$inboundSchema;
  ((CreateProjectPlan$) => {
    CreateProjectPlan$.inboundSchema = CreateProjectPlan$inboundSchema;
    CreateProjectPlan$.outboundSchema = CreateProjectPlan$outboundSchema;
  })(CreateProjectPlan$ ||= {});
  CreateProjectReadyState$inboundSchema = nativeEnumType(CreateProjectReadyState);
  CreateProjectReadyState$outboundSchema = CreateProjectReadyState$inboundSchema;
  ((CreateProjectReadyState$) => {
    CreateProjectReadyState$.inboundSchema = CreateProjectReadyState$inboundSchema;
    CreateProjectReadyState$.outboundSchema = CreateProjectReadyState$outboundSchema;
  })(CreateProjectReadyState$ ||= {});
  CreateProjectReadySubstate$inboundSchema = nativeEnumType(CreateProjectReadySubstate);
  CreateProjectReadySubstate$outboundSchema = CreateProjectReadySubstate$inboundSchema;
  ((CreateProjectReadySubstate$) => {
    CreateProjectReadySubstate$.inboundSchema = CreateProjectReadySubstate$inboundSchema;
    CreateProjectReadySubstate$.outboundSchema = CreateProjectReadySubstate$outboundSchema;
  })(CreateProjectReadySubstate$ ||= {});
  CreateProjectProjectsResponse200ApplicationJSONType$inboundSchema = nativeEnumType(CreateProjectProjectsResponse200ApplicationJSONType);
  CreateProjectProjectsResponse200ApplicationJSONType$outboundSchema = CreateProjectProjectsResponse200ApplicationJSONType$inboundSchema;
  ((CreateProjectProjectsResponse200ApplicationJSONType$) => {
    CreateProjectProjectsResponse200ApplicationJSONType$.inboundSchema = CreateProjectProjectsResponse200ApplicationJSONType$inboundSchema;
    CreateProjectProjectsResponse200ApplicationJSONType$.outboundSchema = CreateProjectProjectsResponse200ApplicationJSONType$outboundSchema;
  })(CreateProjectProjectsResponse200ApplicationJSONType$ ||= {});
  CreateProjectLatestDeployments$inboundSchema = objectType({
    id: stringType(),
    alias: arrayType(stringType()).optional(),
    aliasAssigned: nullableType(unionType([numberType(), booleanType()])).optional(),
    aliasError: nullableType(lazyType(() => CreateProjectAliasError$inboundSchema)).optional(),
    aliasFinal: nullableType(stringType()).optional(),
    automaticAliases: arrayType(stringType()).optional(),
    branchMatcher: lazyType(() => CreateProjectProjectsBranchMatcher$inboundSchema).optional(),
    buildingAt: numberType().optional(),
    builds: arrayType(lazyType(() => CreateProjectBuilds$inboundSchema)).optional(),
    checksConclusion: CreateProjectChecksConclusion$inboundSchema.optional(),
    checksState: CreateProjectChecksState$inboundSchema.optional(),
    connectBuildsEnabled: booleanType().optional(),
    connectConfigurationId: stringType().optional(),
    createdAt: numberType(),
    createdIn: stringType(),
    creator: nullableType(lazyType(() => CreateProjectCreator$inboundSchema)),
    deletedAt: numberType().optional(),
    deploymentHostname: stringType(),
    forced: booleanType().optional(),
    name: stringType(),
    meta: recordType(stringType()).optional(),
    monorepoManager: nullableType(stringType()).optional(),
    oidcTokenClaims: lazyType(() => CreateProjectOidcTokenClaims$inboundSchema).optional(),
    plan: CreateProjectPlan$inboundSchema,
    previewCommentsEnabled: booleanType().optional(),
    private: booleanType(),
    readyAt: numberType().optional(),
    readyState: CreateProjectReadyState$inboundSchema,
    readySubstate: CreateProjectReadySubstate$inboundSchema.optional(),
    requestedAt: numberType().optional(),
    target: nullableType(stringType()).optional(),
    teamId: nullableType(stringType()).optional(),
    type: CreateProjectProjectsResponse200ApplicationJSONType$inboundSchema,
    url: stringType(),
    userId: stringType(),
    withCache: booleanType().optional()
  });
  CreateProjectLatestDeployments$outboundSchema = objectType({
    id: stringType(),
    alias: arrayType(stringType()).optional(),
    aliasAssigned: nullableType(unionType([numberType(), booleanType()])).optional(),
    aliasError: nullableType(lazyType(() => CreateProjectAliasError$outboundSchema)).optional(),
    aliasFinal: nullableType(stringType()).optional(),
    automaticAliases: arrayType(stringType()).optional(),
    branchMatcher: lazyType(() => CreateProjectProjectsBranchMatcher$outboundSchema).optional(),
    buildingAt: numberType().optional(),
    builds: arrayType(lazyType(() => CreateProjectBuilds$outboundSchema)).optional(),
    checksConclusion: CreateProjectChecksConclusion$outboundSchema.optional(),
    checksState: CreateProjectChecksState$outboundSchema.optional(),
    connectBuildsEnabled: booleanType().optional(),
    connectConfigurationId: stringType().optional(),
    createdAt: numberType(),
    createdIn: stringType(),
    creator: nullableType(lazyType(() => CreateProjectCreator$outboundSchema)),
    deletedAt: numberType().optional(),
    deploymentHostname: stringType(),
    forced: booleanType().optional(),
    name: stringType(),
    meta: recordType(stringType()).optional(),
    monorepoManager: nullableType(stringType()).optional(),
    oidcTokenClaims: lazyType(() => CreateProjectOidcTokenClaims$outboundSchema).optional(),
    plan: CreateProjectPlan$outboundSchema,
    previewCommentsEnabled: booleanType().optional(),
    private: booleanType(),
    readyAt: numberType().optional(),
    readyState: CreateProjectReadyState$outboundSchema,
    readySubstate: CreateProjectReadySubstate$outboundSchema.optional(),
    requestedAt: numberType().optional(),
    target: nullableType(stringType()).optional(),
    teamId: nullableType(stringType()).optional(),
    type: CreateProjectProjectsResponse200ApplicationJSONType$outboundSchema,
    url: stringType(),
    userId: stringType(),
    withCache: booleanType().optional()
  });
  ((CreateProjectLatestDeployments$) => {
    CreateProjectLatestDeployments$.inboundSchema = CreateProjectLatestDeployments$inboundSchema;
    CreateProjectLatestDeployments$.outboundSchema = CreateProjectLatestDeployments$outboundSchema;
  })(CreateProjectLatestDeployments$ ||= {});
  CreateProjectLinkProjectsResponse200Type$inboundSchema = nativeEnumType(CreateProjectLinkProjectsResponse200Type);
  CreateProjectLinkProjectsResponse200Type$outboundSchema = CreateProjectLinkProjectsResponse200Type$inboundSchema;
  ((CreateProjectLinkProjectsResponse200Type$) => {
    CreateProjectLinkProjectsResponse200Type$.inboundSchema = CreateProjectLinkProjectsResponse200Type$inboundSchema;
    CreateProjectLinkProjectsResponse200Type$.outboundSchema = CreateProjectLinkProjectsResponse200Type$outboundSchema;
  })(CreateProjectLinkProjectsResponse200Type$ ||= {});
  CreateProjectLinkProjectsResponse200DeployHooks$inboundSchema = objectType({
    createdAt: numberType().optional(),
    id: stringType(),
    name: stringType(),
    ref: stringType(),
    url: stringType()
  });
  CreateProjectLinkProjectsResponse200DeployHooks$outboundSchema = objectType({
    createdAt: numberType().optional(),
    id: stringType(),
    name: stringType(),
    ref: stringType(),
    url: stringType()
  });
  ((CreateProjectLinkProjectsResponse200DeployHooks$) => {
    CreateProjectLinkProjectsResponse200DeployHooks$.inboundSchema = CreateProjectLinkProjectsResponse200DeployHooks$inboundSchema;
    CreateProjectLinkProjectsResponse200DeployHooks$.outboundSchema = CreateProjectLinkProjectsResponse200DeployHooks$outboundSchema;
  })(CreateProjectLinkProjectsResponse200DeployHooks$ ||= {});
  CreateProjectLink4$inboundSchema = objectType({
    org: stringType().optional(),
    repoOwnerId: numberType().optional(),
    repo: stringType().optional(),
    repoId: numberType().optional(),
    type: CreateProjectLinkProjectsResponse200Type$inboundSchema.optional(),
    host: stringType().optional(),
    createdAt: numberType().optional(),
    deployHooks: arrayType(lazyType(() => CreateProjectLinkProjectsResponse200DeployHooks$inboundSchema)),
    gitCredentialId: stringType().optional(),
    updatedAt: numberType().optional(),
    sourceless: booleanType().optional(),
    productionBranch: stringType().optional()
  });
  CreateProjectLink4$outboundSchema = objectType({
    org: stringType().optional(),
    repoOwnerId: numberType().optional(),
    repo: stringType().optional(),
    repoId: numberType().optional(),
    type: CreateProjectLinkProjectsResponse200Type$outboundSchema.optional(),
    host: stringType().optional(),
    createdAt: numberType().optional(),
    deployHooks: arrayType(lazyType(() => CreateProjectLinkProjectsResponse200DeployHooks$outboundSchema)),
    gitCredentialId: stringType().optional(),
    updatedAt: numberType().optional(),
    sourceless: booleanType().optional(),
    productionBranch: stringType().optional()
  });
  ((CreateProjectLink4$) => {
    CreateProjectLink4$.inboundSchema = CreateProjectLink4$inboundSchema;
    CreateProjectLink4$.outboundSchema = CreateProjectLink4$outboundSchema;
  })(CreateProjectLink4$ ||= {});
  CreateProjectLinkProjectsResponseType$inboundSchema = nativeEnumType(CreateProjectLinkProjectsResponseType);
  CreateProjectLinkProjectsResponseType$outboundSchema = CreateProjectLinkProjectsResponseType$inboundSchema;
  ((CreateProjectLinkProjectsResponseType$) => {
    CreateProjectLinkProjectsResponseType$.inboundSchema = CreateProjectLinkProjectsResponseType$inboundSchema;
    CreateProjectLinkProjectsResponseType$.outboundSchema = CreateProjectLinkProjectsResponseType$outboundSchema;
  })(CreateProjectLinkProjectsResponseType$ ||= {});
  CreateProjectLinkProjectsResponseDeployHooks$inboundSchema = objectType({
    createdAt: numberType().optional(),
    id: stringType(),
    name: stringType(),
    ref: stringType(),
    url: stringType()
  });
  CreateProjectLinkProjectsResponseDeployHooks$outboundSchema = objectType({
    createdAt: numberType().optional(),
    id: stringType(),
    name: stringType(),
    ref: stringType(),
    url: stringType()
  });
  ((CreateProjectLinkProjectsResponseDeployHooks$) => {
    CreateProjectLinkProjectsResponseDeployHooks$.inboundSchema = CreateProjectLinkProjectsResponseDeployHooks$inboundSchema;
    CreateProjectLinkProjectsResponseDeployHooks$.outboundSchema = CreateProjectLinkProjectsResponseDeployHooks$outboundSchema;
  })(CreateProjectLinkProjectsResponseDeployHooks$ ||= {});
  CreateProjectLink3$inboundSchema = objectType({
    name: stringType().optional(),
    slug: stringType().optional(),
    owner: stringType().optional(),
    type: CreateProjectLinkProjectsResponseType$inboundSchema.optional(),
    uuid: stringType().optional(),
    workspaceUuid: stringType().optional(),
    createdAt: numberType().optional(),
    deployHooks: arrayType(lazyType(() => CreateProjectLinkProjectsResponseDeployHooks$inboundSchema)),
    gitCredentialId: stringType().optional(),
    updatedAt: numberType().optional(),
    sourceless: booleanType().optional(),
    productionBranch: stringType().optional()
  });
  CreateProjectLink3$outboundSchema = objectType({
    name: stringType().optional(),
    slug: stringType().optional(),
    owner: stringType().optional(),
    type: CreateProjectLinkProjectsResponseType$outboundSchema.optional(),
    uuid: stringType().optional(),
    workspaceUuid: stringType().optional(),
    createdAt: numberType().optional(),
    deployHooks: arrayType(lazyType(() => CreateProjectLinkProjectsResponseDeployHooks$outboundSchema)),
    gitCredentialId: stringType().optional(),
    updatedAt: numberType().optional(),
    sourceless: booleanType().optional(),
    productionBranch: stringType().optional()
  });
  ((CreateProjectLink3$) => {
    CreateProjectLink3$.inboundSchema = CreateProjectLink3$inboundSchema;
    CreateProjectLink3$.outboundSchema = CreateProjectLink3$outboundSchema;
  })(CreateProjectLink3$ ||= {});
  CreateProjectLinkProjectsType$inboundSchema = nativeEnumType(CreateProjectLinkProjectsType);
  CreateProjectLinkProjectsType$outboundSchema = CreateProjectLinkProjectsType$inboundSchema;
  ((CreateProjectLinkProjectsType$) => {
    CreateProjectLinkProjectsType$.inboundSchema = CreateProjectLinkProjectsType$inboundSchema;
    CreateProjectLinkProjectsType$.outboundSchema = CreateProjectLinkProjectsType$outboundSchema;
  })(CreateProjectLinkProjectsType$ ||= {});
  CreateProjectLinkProjectsDeployHooks$inboundSchema = objectType({
    createdAt: numberType().optional(),
    id: stringType(),
    name: stringType(),
    ref: stringType(),
    url: stringType()
  });
  CreateProjectLinkProjectsDeployHooks$outboundSchema = objectType({
    createdAt: numberType().optional(),
    id: stringType(),
    name: stringType(),
    ref: stringType(),
    url: stringType()
  });
  ((CreateProjectLinkProjectsDeployHooks$) => {
    CreateProjectLinkProjectsDeployHooks$.inboundSchema = CreateProjectLinkProjectsDeployHooks$inboundSchema;
    CreateProjectLinkProjectsDeployHooks$.outboundSchema = CreateProjectLinkProjectsDeployHooks$outboundSchema;
  })(CreateProjectLinkProjectsDeployHooks$ ||= {});
  CreateProjectLink2$inboundSchema = objectType({
    projectId: stringType().optional(),
    projectName: stringType().optional(),
    projectNameWithNamespace: stringType().optional(),
    projectNamespace: stringType().optional(),
    projectOwnerId: numberType().optional(),
    projectUrl: stringType().optional(),
    type: CreateProjectLinkProjectsType$inboundSchema.optional(),
    createdAt: numberType().optional(),
    deployHooks: arrayType(lazyType(() => CreateProjectLinkProjectsDeployHooks$inboundSchema)),
    gitCredentialId: stringType().optional(),
    updatedAt: numberType().optional(),
    sourceless: booleanType().optional(),
    productionBranch: stringType().optional()
  });
  CreateProjectLink2$outboundSchema = objectType({
    projectId: stringType().optional(),
    projectName: stringType().optional(),
    projectNameWithNamespace: stringType().optional(),
    projectNamespace: stringType().optional(),
    projectOwnerId: numberType().optional(),
    projectUrl: stringType().optional(),
    type: CreateProjectLinkProjectsType$outboundSchema.optional(),
    createdAt: numberType().optional(),
    deployHooks: arrayType(lazyType(() => CreateProjectLinkProjectsDeployHooks$outboundSchema)),
    gitCredentialId: stringType().optional(),
    updatedAt: numberType().optional(),
    sourceless: booleanType().optional(),
    productionBranch: stringType().optional()
  });
  ((CreateProjectLink2$) => {
    CreateProjectLink2$.inboundSchema = CreateProjectLink2$inboundSchema;
    CreateProjectLink2$.outboundSchema = CreateProjectLink2$outboundSchema;
  })(CreateProjectLink2$ ||= {});
  CreateProjectLinkType$inboundSchema = nativeEnumType(CreateProjectLinkType);
  CreateProjectLinkType$outboundSchema = CreateProjectLinkType$inboundSchema;
  ((CreateProjectLinkType$) => {
    CreateProjectLinkType$.inboundSchema = CreateProjectLinkType$inboundSchema;
    CreateProjectLinkType$.outboundSchema = CreateProjectLinkType$outboundSchema;
  })(CreateProjectLinkType$ ||= {});
  CreateProjectLinkDeployHooks$inboundSchema = objectType({
    createdAt: numberType().optional(),
    id: stringType(),
    name: stringType(),
    ref: stringType(),
    url: stringType()
  });
  CreateProjectLinkDeployHooks$outboundSchema = objectType({
    createdAt: numberType().optional(),
    id: stringType(),
    name: stringType(),
    ref: stringType(),
    url: stringType()
  });
  ((CreateProjectLinkDeployHooks$) => {
    CreateProjectLinkDeployHooks$.inboundSchema = CreateProjectLinkDeployHooks$inboundSchema;
    CreateProjectLinkDeployHooks$.outboundSchema = CreateProjectLinkDeployHooks$outboundSchema;
  })(CreateProjectLinkDeployHooks$ ||= {});
  CreateProjectLink1$inboundSchema = objectType({
    org: stringType().optional(),
    repoOwnerId: numberType().optional(),
    repo: stringType().optional(),
    repoId: numberType().optional(),
    type: CreateProjectLinkType$inboundSchema.optional(),
    createdAt: numberType().optional(),
    deployHooks: arrayType(lazyType(() => CreateProjectLinkDeployHooks$inboundSchema)),
    gitCredentialId: stringType().optional(),
    updatedAt: numberType().optional(),
    sourceless: booleanType().optional(),
    productionBranch: stringType().optional()
  });
  CreateProjectLink1$outboundSchema = objectType({
    org: stringType().optional(),
    repoOwnerId: numberType().optional(),
    repo: stringType().optional(),
    repoId: numberType().optional(),
    type: CreateProjectLinkType$outboundSchema.optional(),
    createdAt: numberType().optional(),
    deployHooks: arrayType(lazyType(() => CreateProjectLinkDeployHooks$outboundSchema)),
    gitCredentialId: stringType().optional(),
    updatedAt: numberType().optional(),
    sourceless: booleanType().optional(),
    productionBranch: stringType().optional()
  });
  ((CreateProjectLink1$) => {
    CreateProjectLink1$.inboundSchema = CreateProjectLink1$inboundSchema;
    CreateProjectLink1$.outboundSchema = CreateProjectLink1$outboundSchema;
  })(CreateProjectLink1$ ||= {});
  CreateProjectLink$inboundSchema = unionType([
    lazyType(() => CreateProjectLink1$inboundSchema),
    lazyType(() => CreateProjectLink3$inboundSchema),
    lazyType(() => CreateProjectLink4$inboundSchema),
    lazyType(() => CreateProjectLink2$inboundSchema)
  ]);
  CreateProjectLink$outboundSchema = unionType([
    lazyType(() => CreateProjectLink1$outboundSchema),
    lazyType(() => CreateProjectLink3$outboundSchema),
    lazyType(() => CreateProjectLink4$outboundSchema),
    lazyType(() => CreateProjectLink2$outboundSchema)
  ]);
  ((CreateProjectLink$) => {
    CreateProjectLink$.inboundSchema = CreateProjectLink$inboundSchema;
    CreateProjectLink$.outboundSchema = CreateProjectLink$outboundSchema;
  })(CreateProjectLink$ ||= {});
  CreateProjectMicrofrontends2$inboundSchema = objectType({
    updatedAt: numberType(),
    groupIds: arrayType(anyType()),
    enabled: booleanType()
  });
  CreateProjectMicrofrontends2$outboundSchema = objectType({
    updatedAt: numberType(),
    groupIds: arrayType(anyType()),
    enabled: booleanType()
  });
  ((CreateProjectMicrofrontends2$) => {
    CreateProjectMicrofrontends2$.inboundSchema = CreateProjectMicrofrontends2$inboundSchema;
    CreateProjectMicrofrontends2$.outboundSchema = CreateProjectMicrofrontends2$outboundSchema;
  })(CreateProjectMicrofrontends2$ ||= {});
  CreateProjectMicrofrontends1$inboundSchema = objectType({
    updatedAt: numberType(),
    groupIds: arrayType(stringType()),
    enabled: booleanType(),
    isDefaultApp: booleanType().optional(),
    defaultRoute: stringType().optional(),
    routeObservabilityToThisProject: booleanType().optional()
  });
  CreateProjectMicrofrontends1$outboundSchema = objectType({
    updatedAt: numberType(),
    groupIds: arrayType(stringType()),
    enabled: booleanType(),
    isDefaultApp: booleanType().optional(),
    defaultRoute: stringType().optional(),
    routeObservabilityToThisProject: booleanType().optional()
  });
  ((CreateProjectMicrofrontends1$) => {
    CreateProjectMicrofrontends1$.inboundSchema = CreateProjectMicrofrontends1$inboundSchema;
    CreateProjectMicrofrontends1$.outboundSchema = CreateProjectMicrofrontends1$outboundSchema;
  })(CreateProjectMicrofrontends1$ ||= {});
  CreateProjectMicrofrontends$inboundSchema = unionType([
    lazyType(() => CreateProjectMicrofrontends2$inboundSchema),
    lazyType(() => CreateProjectMicrofrontends1$inboundSchema)
  ]);
  CreateProjectMicrofrontends$outboundSchema = unionType([
    lazyType(() => CreateProjectMicrofrontends2$outboundSchema),
    lazyType(() => CreateProjectMicrofrontends1$outboundSchema)
  ]);
  ((CreateProjectMicrofrontends$) => {
    CreateProjectMicrofrontends$.inboundSchema = CreateProjectMicrofrontends$inboundSchema;
    CreateProjectMicrofrontends$.outboundSchema = CreateProjectMicrofrontends$outboundSchema;
  })(CreateProjectMicrofrontends$ ||= {});
  CreateProjectNodeVersion$inboundSchema = nativeEnumType(CreateProjectNodeVersion);
  CreateProjectNodeVersion$outboundSchema = CreateProjectNodeVersion$inboundSchema;
  ((CreateProjectNodeVersion$) => {
    CreateProjectNodeVersion$.inboundSchema = CreateProjectNodeVersion$inboundSchema;
    CreateProjectNodeVersion$.outboundSchema = CreateProjectNodeVersion$outboundSchema;
  })(CreateProjectNodeVersion$ ||= {});
  CreateProjectPaths$inboundSchema = objectType({
    value: stringType()
  });
  CreateProjectPaths$outboundSchema = objectType({
    value: stringType()
  });
  ((CreateProjectPaths$) => {
    CreateProjectPaths$.inboundSchema = CreateProjectPaths$inboundSchema;
    CreateProjectPaths$.outboundSchema = CreateProjectPaths$outboundSchema;
  })(CreateProjectPaths$ ||= {});
  CreateProjectOptionsAllowlist$inboundSchema = objectType({
    paths: arrayType(lazyType(() => CreateProjectPaths$inboundSchema))
  });
  CreateProjectOptionsAllowlist$outboundSchema = objectType({
    paths: arrayType(lazyType(() => CreateProjectPaths$outboundSchema))
  });
  ((CreateProjectOptionsAllowlist$) => {
    CreateProjectOptionsAllowlist$.inboundSchema = CreateProjectOptionsAllowlist$inboundSchema;
    CreateProjectOptionsAllowlist$.outboundSchema = CreateProjectOptionsAllowlist$outboundSchema;
  })(CreateProjectOptionsAllowlist$ ||= {});
  CreateProjectPasswordProtection$inboundSchema = objectType({});
  CreateProjectPasswordProtection$outboundSchema = objectType({});
  ((CreateProjectPasswordProtection$) => {
    CreateProjectPasswordProtection$.inboundSchema = CreateProjectPasswordProtection$inboundSchema;
    CreateProjectPasswordProtection$.outboundSchema = CreateProjectPasswordProtection$outboundSchema;
  })(CreateProjectPasswordProtection$ ||= {});
  CreateProjectFunctionDefaultMemoryType$inboundSchema = nativeEnumType(CreateProjectFunctionDefaultMemoryType);
  CreateProjectFunctionDefaultMemoryType$outboundSchema = CreateProjectFunctionDefaultMemoryType$inboundSchema;
  ((CreateProjectFunctionDefaultMemoryType$) => {
    CreateProjectFunctionDefaultMemoryType$.inboundSchema = CreateProjectFunctionDefaultMemoryType$inboundSchema;
    CreateProjectFunctionDefaultMemoryType$.outboundSchema = CreateProjectFunctionDefaultMemoryType$outboundSchema;
  })(CreateProjectFunctionDefaultMemoryType$ ||= {});
  CreateProjectBuildMachineType$inboundSchema = nativeEnumType(CreateProjectBuildMachineType);
  CreateProjectBuildMachineType$outboundSchema = CreateProjectBuildMachineType$inboundSchema;
  ((CreateProjectBuildMachineType$) => {
    CreateProjectBuildMachineType$.inboundSchema = CreateProjectBuildMachineType$inboundSchema;
    CreateProjectBuildMachineType$.outboundSchema = CreateProjectBuildMachineType$outboundSchema;
  })(CreateProjectBuildMachineType$ ||= {});
  CreateProjectProjectsResourceConfig$inboundSchema = objectType({
    fluid: booleanType().optional(),
    functionDefaultRegions: arrayType(stringType()),
    functionDefaultTimeout: numberType().optional(),
    functionDefaultMemoryType: CreateProjectFunctionDefaultMemoryType$inboundSchema.optional(),
    functionZeroConfigFailover: booleanType().optional(),
    elasticConcurrencyEnabled: booleanType().optional(),
    buildMachineType: CreateProjectBuildMachineType$inboundSchema.optional()
  });
  CreateProjectProjectsResourceConfig$outboundSchema = objectType({
    fluid: booleanType().optional(),
    functionDefaultRegions: arrayType(stringType()),
    functionDefaultTimeout: numberType().optional(),
    functionDefaultMemoryType: CreateProjectFunctionDefaultMemoryType$outboundSchema.optional(),
    functionZeroConfigFailover: booleanType().optional(),
    elasticConcurrencyEnabled: booleanType().optional(),
    buildMachineType: CreateProjectBuildMachineType$outboundSchema.optional()
  });
  ((CreateProjectProjectsResourceConfig$) => {
    CreateProjectProjectsResourceConfig$.inboundSchema = CreateProjectProjectsResourceConfig$inboundSchema;
    CreateProjectProjectsResourceConfig$.outboundSchema = CreateProjectProjectsResourceConfig$outboundSchema;
  })(CreateProjectProjectsResourceConfig$ ||= {});
  CreateProjectStages$inboundSchema = objectType({
    targetPercentage: numberType(),
    minutesToRelease: numberType().optional(),
    requireApproval: booleanType().optional(),
    duration: numberType().optional()
  });
  CreateProjectStages$outboundSchema = objectType({
    targetPercentage: numberType(),
    minutesToRelease: numberType().optional(),
    requireApproval: booleanType().optional(),
    duration: numberType().optional()
  });
  ((CreateProjectStages$) => {
    CreateProjectStages$.inboundSchema = CreateProjectStages$inboundSchema;
    CreateProjectStages$.outboundSchema = CreateProjectStages$outboundSchema;
  })(CreateProjectStages$ ||= {});
  CreateProjectRollingRelease$inboundSchema = objectType({
    target: stringType(),
    minutesToRelease: numberType().optional(),
    stages: nullableType(arrayType(lazyType(() => CreateProjectStages$inboundSchema))).optional(),
    canaryResponseHeader: booleanType().optional()
  });
  CreateProjectRollingRelease$outboundSchema = objectType({
    target: stringType(),
    minutesToRelease: numberType().optional(),
    stages: nullableType(arrayType(lazyType(() => CreateProjectStages$outboundSchema))).optional(),
    canaryResponseHeader: booleanType().optional()
  });
  ((CreateProjectRollingRelease$) => {
    CreateProjectRollingRelease$.inboundSchema = CreateProjectRollingRelease$inboundSchema;
    CreateProjectRollingRelease$.outboundSchema = CreateProjectRollingRelease$outboundSchema;
  })(CreateProjectRollingRelease$ ||= {});
  CreateProjectProjectsFunctionDefaultMemoryType$inboundSchema = nativeEnumType(CreateProjectProjectsFunctionDefaultMemoryType);
  CreateProjectProjectsFunctionDefaultMemoryType$outboundSchema = CreateProjectProjectsFunctionDefaultMemoryType$inboundSchema;
  ((CreateProjectProjectsFunctionDefaultMemoryType$) => {
    CreateProjectProjectsFunctionDefaultMemoryType$.inboundSchema = CreateProjectProjectsFunctionDefaultMemoryType$inboundSchema;
    CreateProjectProjectsFunctionDefaultMemoryType$.outboundSchema = CreateProjectProjectsFunctionDefaultMemoryType$outboundSchema;
  })(CreateProjectProjectsFunctionDefaultMemoryType$ ||= {});
  CreateProjectProjectsBuildMachineType$inboundSchema = nativeEnumType(CreateProjectProjectsBuildMachineType);
  CreateProjectProjectsBuildMachineType$outboundSchema = CreateProjectProjectsBuildMachineType$inboundSchema;
  ((CreateProjectProjectsBuildMachineType$) => {
    CreateProjectProjectsBuildMachineType$.inboundSchema = CreateProjectProjectsBuildMachineType$inboundSchema;
    CreateProjectProjectsBuildMachineType$.outboundSchema = CreateProjectProjectsBuildMachineType$outboundSchema;
  })(CreateProjectProjectsBuildMachineType$ ||= {});
  CreateProjectDefaultResourceConfig$inboundSchema = objectType({
    fluid: booleanType().optional(),
    functionDefaultRegions: arrayType(stringType()),
    functionDefaultTimeout: numberType().optional(),
    functionDefaultMemoryType: CreateProjectProjectsFunctionDefaultMemoryType$inboundSchema.optional(),
    functionZeroConfigFailover: booleanType().optional(),
    elasticConcurrencyEnabled: booleanType().optional(),
    buildMachineType: CreateProjectProjectsBuildMachineType$inboundSchema.optional()
  });
  CreateProjectDefaultResourceConfig$outboundSchema = objectType({
    fluid: booleanType().optional(),
    functionDefaultRegions: arrayType(stringType()),
    functionDefaultTimeout: numberType().optional(),
    functionDefaultMemoryType: CreateProjectProjectsFunctionDefaultMemoryType$outboundSchema.optional(),
    functionZeroConfigFailover: booleanType().optional(),
    elasticConcurrencyEnabled: booleanType().optional(),
    buildMachineType: CreateProjectProjectsBuildMachineType$outboundSchema.optional()
  });
  ((CreateProjectDefaultResourceConfig$) => {
    CreateProjectDefaultResourceConfig$.inboundSchema = CreateProjectDefaultResourceConfig$inboundSchema;
    CreateProjectDefaultResourceConfig$.outboundSchema = CreateProjectDefaultResourceConfig$outboundSchema;
  })(CreateProjectDefaultResourceConfig$ ||= {});
  CreateProjectDeploymentType$inboundSchema = nativeEnumType(CreateProjectDeploymentType);
  CreateProjectDeploymentType$outboundSchema = CreateProjectDeploymentType$inboundSchema;
  ((CreateProjectDeploymentType$) => {
    CreateProjectDeploymentType$.inboundSchema = CreateProjectDeploymentType$inboundSchema;
    CreateProjectDeploymentType$.outboundSchema = CreateProjectDeploymentType$outboundSchema;
  })(CreateProjectDeploymentType$ ||= {});
  CreateProjectSsoProtection$inboundSchema = objectType({
    deploymentType: CreateProjectDeploymentType$inboundSchema
  });
  CreateProjectSsoProtection$outboundSchema = objectType({
    deploymentType: CreateProjectDeploymentType$outboundSchema
  });
  ((CreateProjectSsoProtection$) => {
    CreateProjectSsoProtection$.inboundSchema = CreateProjectSsoProtection$inboundSchema;
    CreateProjectSsoProtection$.outboundSchema = CreateProjectSsoProtection$outboundSchema;
  })(CreateProjectSsoProtection$ ||= {});
  CreateProjectProjectsAliasAssigned$inboundSchema = unionType([numberType(), booleanType()]);
  CreateProjectProjectsAliasAssigned$outboundSchema = unionType([numberType(), booleanType()]);
  ((CreateProjectProjectsAliasAssigned$) => {
    CreateProjectProjectsAliasAssigned$.inboundSchema = CreateProjectProjectsAliasAssigned$inboundSchema;
    CreateProjectProjectsAliasAssigned$.outboundSchema = CreateProjectProjectsAliasAssigned$outboundSchema;
  })(CreateProjectProjectsAliasAssigned$ ||= {});
  CreateProjectProjectsAliasError$inboundSchema = objectType({
    code: stringType(),
    message: stringType()
  });
  CreateProjectProjectsAliasError$outboundSchema = objectType({
    code: stringType(),
    message: stringType()
  });
  ((CreateProjectProjectsAliasError$) => {
    CreateProjectProjectsAliasError$.inboundSchema = CreateProjectProjectsAliasError$inboundSchema;
    CreateProjectProjectsAliasError$.outboundSchema = CreateProjectProjectsAliasError$outboundSchema;
  })(CreateProjectProjectsAliasError$ ||= {});
  CreateProjectProjectsResponse200ApplicationJSONResponseBodyTargetsType$inboundSchema = nativeEnumType(CreateProjectProjectsResponse200ApplicationJSONResponseBodyTargetsType);
  CreateProjectProjectsResponse200ApplicationJSONResponseBodyTargetsType$outboundSchema = CreateProjectProjectsResponse200ApplicationJSONResponseBodyTargetsType$inboundSchema;
  ((CreateProjectProjectsResponse200ApplicationJSONResponseBodyTargetsType$) => {
    CreateProjectProjectsResponse200ApplicationJSONResponseBodyTargetsType$.inboundSchema = CreateProjectProjectsResponse200ApplicationJSONResponseBodyTargetsType$inboundSchema;
    CreateProjectProjectsResponse200ApplicationJSONResponseBodyTargetsType$.outboundSchema = CreateProjectProjectsResponse200ApplicationJSONResponseBodyTargetsType$outboundSchema;
  })(CreateProjectProjectsResponse200ApplicationJSONResponseBodyTargetsType$ ||= {});
  CreateProjectProjectsResponseBranchMatcher$inboundSchema = objectType({
    type: CreateProjectProjectsResponse200ApplicationJSONResponseBodyTargetsType$inboundSchema,
    pattern: stringType()
  });
  CreateProjectProjectsResponseBranchMatcher$outboundSchema = objectType({
    type: CreateProjectProjectsResponse200ApplicationJSONResponseBodyTargetsType$outboundSchema,
    pattern: stringType()
  });
  ((CreateProjectProjectsResponseBranchMatcher$) => {
    CreateProjectProjectsResponseBranchMatcher$.inboundSchema = CreateProjectProjectsResponseBranchMatcher$inboundSchema;
    CreateProjectProjectsResponseBranchMatcher$.outboundSchema = CreateProjectProjectsResponseBranchMatcher$outboundSchema;
  })(CreateProjectProjectsResponseBranchMatcher$ ||= {});
  CreateProjectProjectsBuilds$inboundSchema = objectType({
    use: stringType(),
    src: stringType().optional(),
    dest: stringType().optional()
  });
  CreateProjectProjectsBuilds$outboundSchema = objectType({
    use: stringType(),
    src: stringType().optional(),
    dest: stringType().optional()
  });
  ((CreateProjectProjectsBuilds$) => {
    CreateProjectProjectsBuilds$.inboundSchema = CreateProjectProjectsBuilds$inboundSchema;
    CreateProjectProjectsBuilds$.outboundSchema = CreateProjectProjectsBuilds$outboundSchema;
  })(CreateProjectProjectsBuilds$ ||= {});
  CreateProjectProjectsChecksConclusion$inboundSchema = nativeEnumType(CreateProjectProjectsChecksConclusion);
  CreateProjectProjectsChecksConclusion$outboundSchema = CreateProjectProjectsChecksConclusion$inboundSchema;
  ((CreateProjectProjectsChecksConclusion$) => {
    CreateProjectProjectsChecksConclusion$.inboundSchema = CreateProjectProjectsChecksConclusion$inboundSchema;
    CreateProjectProjectsChecksConclusion$.outboundSchema = CreateProjectProjectsChecksConclusion$outboundSchema;
  })(CreateProjectProjectsChecksConclusion$ ||= {});
  CreateProjectProjectsChecksState$inboundSchema = nativeEnumType(CreateProjectProjectsChecksState);
  CreateProjectProjectsChecksState$outboundSchema = CreateProjectProjectsChecksState$inboundSchema;
  ((CreateProjectProjectsChecksState$) => {
    CreateProjectProjectsChecksState$.inboundSchema = CreateProjectProjectsChecksState$inboundSchema;
    CreateProjectProjectsChecksState$.outboundSchema = CreateProjectProjectsChecksState$outboundSchema;
  })(CreateProjectProjectsChecksState$ ||= {});
  CreateProjectProjectsCreator$inboundSchema = objectType({
    email: stringType(),
    githubLogin: stringType().optional(),
    gitlabLogin: stringType().optional(),
    uid: stringType(),
    username: stringType()
  });
  CreateProjectProjectsCreator$outboundSchema = objectType({
    email: stringType(),
    githubLogin: stringType().optional(),
    gitlabLogin: stringType().optional(),
    uid: stringType(),
    username: stringType()
  });
  ((CreateProjectProjectsCreator$) => {
    CreateProjectProjectsCreator$.inboundSchema = CreateProjectProjectsCreator$inboundSchema;
    CreateProjectProjectsCreator$.outboundSchema = CreateProjectProjectsCreator$outboundSchema;
  })(CreateProjectProjectsCreator$ ||= {});
  CreateProjectProjectsOidcTokenClaims$inboundSchema = objectType({
    iss: stringType(),
    sub: stringType(),
    scope: stringType(),
    aud: stringType(),
    owner: stringType(),
    owner_id: stringType(),
    project: stringType(),
    project_id: stringType(),
    environment: stringType()
  }).transform((v2) => {
    return remap(v2, {
      owner_id: "ownerId",
      project_id: "projectId"
    });
  });
  CreateProjectProjectsOidcTokenClaims$outboundSchema = objectType({
    iss: stringType(),
    sub: stringType(),
    scope: stringType(),
    aud: stringType(),
    owner: stringType(),
    ownerId: stringType(),
    project: stringType(),
    projectId: stringType(),
    environment: stringType()
  }).transform((v2) => {
    return remap(v2, {
      ownerId: "owner_id",
      projectId: "project_id"
    });
  });
  ((CreateProjectProjectsOidcTokenClaims$) => {
    CreateProjectProjectsOidcTokenClaims$.inboundSchema = CreateProjectProjectsOidcTokenClaims$inboundSchema;
    CreateProjectProjectsOidcTokenClaims$.outboundSchema = CreateProjectProjectsOidcTokenClaims$outboundSchema;
  })(CreateProjectProjectsOidcTokenClaims$ ||= {});
  CreateProjectProjectsPlan$inboundSchema = nativeEnumType(CreateProjectProjectsPlan);
  CreateProjectProjectsPlan$outboundSchema = CreateProjectProjectsPlan$inboundSchema;
  ((CreateProjectProjectsPlan$) => {
    CreateProjectProjectsPlan$.inboundSchema = CreateProjectProjectsPlan$inboundSchema;
    CreateProjectProjectsPlan$.outboundSchema = CreateProjectProjectsPlan$outboundSchema;
  })(CreateProjectProjectsPlan$ ||= {});
  CreateProjectProjectsReadyState$inboundSchema = nativeEnumType(CreateProjectProjectsReadyState);
  CreateProjectProjectsReadyState$outboundSchema = CreateProjectProjectsReadyState$inboundSchema;
  ((CreateProjectProjectsReadyState$) => {
    CreateProjectProjectsReadyState$.inboundSchema = CreateProjectProjectsReadyState$inboundSchema;
    CreateProjectProjectsReadyState$.outboundSchema = CreateProjectProjectsReadyState$outboundSchema;
  })(CreateProjectProjectsReadyState$ ||= {});
  CreateProjectProjectsReadySubstate$inboundSchema = nativeEnumType(CreateProjectProjectsReadySubstate);
  CreateProjectProjectsReadySubstate$outboundSchema = CreateProjectProjectsReadySubstate$inboundSchema;
  ((CreateProjectProjectsReadySubstate$) => {
    CreateProjectProjectsReadySubstate$.inboundSchema = CreateProjectProjectsReadySubstate$inboundSchema;
    CreateProjectProjectsReadySubstate$.outboundSchema = CreateProjectProjectsReadySubstate$outboundSchema;
  })(CreateProjectProjectsReadySubstate$ ||= {});
  CreateProjectProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema = nativeEnumType(CreateProjectProjectsResponse200ApplicationJSONResponseBodyType);
  CreateProjectProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema = CreateProjectProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema;
  ((CreateProjectProjectsResponse200ApplicationJSONResponseBodyType$) => {
    CreateProjectProjectsResponse200ApplicationJSONResponseBodyType$.inboundSchema = CreateProjectProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema;
    CreateProjectProjectsResponse200ApplicationJSONResponseBodyType$.outboundSchema = CreateProjectProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema;
  })(CreateProjectProjectsResponse200ApplicationJSONResponseBodyType$ ||= {});
  CreateProjectTargets$inboundSchema = objectType({
    id: stringType(),
    alias: arrayType(stringType()).optional(),
    aliasAssigned: nullableType(unionType([numberType(), booleanType()])).optional(),
    aliasError: nullableType(lazyType(() => CreateProjectProjectsAliasError$inboundSchema)).optional(),
    aliasFinal: nullableType(stringType()).optional(),
    automaticAliases: arrayType(stringType()).optional(),
    branchMatcher: lazyType(() => CreateProjectProjectsResponseBranchMatcher$inboundSchema).optional(),
    buildingAt: numberType().optional(),
    builds: arrayType(lazyType(() => CreateProjectProjectsBuilds$inboundSchema)).optional(),
    checksConclusion: CreateProjectProjectsChecksConclusion$inboundSchema.optional(),
    checksState: CreateProjectProjectsChecksState$inboundSchema.optional(),
    connectBuildsEnabled: booleanType().optional(),
    connectConfigurationId: stringType().optional(),
    createdAt: numberType(),
    createdIn: stringType(),
    creator: nullableType(lazyType(() => CreateProjectProjectsCreator$inboundSchema)),
    deletedAt: numberType().optional(),
    deploymentHostname: stringType(),
    forced: booleanType().optional(),
    name: stringType(),
    meta: recordType(stringType()).optional(),
    monorepoManager: nullableType(stringType()).optional(),
    oidcTokenClaims: lazyType(() => CreateProjectProjectsOidcTokenClaims$inboundSchema).optional(),
    plan: CreateProjectProjectsPlan$inboundSchema,
    previewCommentsEnabled: booleanType().optional(),
    private: booleanType(),
    readyAt: numberType().optional(),
    readyState: CreateProjectProjectsReadyState$inboundSchema,
    readySubstate: CreateProjectProjectsReadySubstate$inboundSchema.optional(),
    requestedAt: numberType().optional(),
    target: nullableType(stringType()).optional(),
    teamId: nullableType(stringType()).optional(),
    type: CreateProjectProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema,
    url: stringType(),
    userId: stringType(),
    withCache: booleanType().optional()
  });
  CreateProjectTargets$outboundSchema = objectType({
    id: stringType(),
    alias: arrayType(stringType()).optional(),
    aliasAssigned: nullableType(unionType([numberType(), booleanType()])).optional(),
    aliasError: nullableType(lazyType(() => CreateProjectProjectsAliasError$outboundSchema)).optional(),
    aliasFinal: nullableType(stringType()).optional(),
    automaticAliases: arrayType(stringType()).optional(),
    branchMatcher: lazyType(() => CreateProjectProjectsResponseBranchMatcher$outboundSchema).optional(),
    buildingAt: numberType().optional(),
    builds: arrayType(lazyType(() => CreateProjectProjectsBuilds$outboundSchema)).optional(),
    checksConclusion: CreateProjectProjectsChecksConclusion$outboundSchema.optional(),
    checksState: CreateProjectProjectsChecksState$outboundSchema.optional(),
    connectBuildsEnabled: booleanType().optional(),
    connectConfigurationId: stringType().optional(),
    createdAt: numberType(),
    createdIn: stringType(),
    creator: nullableType(lazyType(() => CreateProjectProjectsCreator$outboundSchema)),
    deletedAt: numberType().optional(),
    deploymentHostname: stringType(),
    forced: booleanType().optional(),
    name: stringType(),
    meta: recordType(stringType()).optional(),
    monorepoManager: nullableType(stringType()).optional(),
    oidcTokenClaims: lazyType(() => CreateProjectProjectsOidcTokenClaims$outboundSchema).optional(),
    plan: CreateProjectProjectsPlan$outboundSchema,
    previewCommentsEnabled: booleanType().optional(),
    private: booleanType(),
    readyAt: numberType().optional(),
    readyState: CreateProjectProjectsReadyState$outboundSchema,
    readySubstate: CreateProjectProjectsReadySubstate$outboundSchema.optional(),
    requestedAt: numberType().optional(),
    target: nullableType(stringType()).optional(),
    teamId: nullableType(stringType()).optional(),
    type: CreateProjectProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema,
    url: stringType(),
    userId: stringType(),
    withCache: booleanType().optional()
  });
  ((CreateProjectTargets$) => {
    CreateProjectTargets$.inboundSchema = CreateProjectTargets$inboundSchema;
    CreateProjectTargets$.outboundSchema = CreateProjectTargets$outboundSchema;
  })(CreateProjectTargets$ ||= {});
  CreateProjectPermissions$inboundSchema = objectType({
    user: arrayType(ACLAction$inboundSchema).optional(),
    userConnection: arrayType(ACLAction$inboundSchema).optional(),
    userSudo: arrayType(ACLAction$inboundSchema).optional(),
    webAuthn: arrayType(ACLAction$inboundSchema).optional(),
    oauth2Connection: arrayType(ACLAction$inboundSchema).optional(),
    accessGroup: arrayType(ACLAction$inboundSchema).optional(),
    aliasGlobal: arrayType(ACLAction$inboundSchema).optional(),
    analyticsSampling: arrayType(ACLAction$inboundSchema).optional(),
    analyticsUsage: arrayType(ACLAction$inboundSchema).optional(),
    auditLog: arrayType(ACLAction$inboundSchema).optional(),
    billingAddress: arrayType(ACLAction$inboundSchema).optional(),
    billingInformation: arrayType(ACLAction$inboundSchema).optional(),
    billingInvoice: arrayType(ACLAction$inboundSchema).optional(),
    billingInvoiceEmailRecipient: arrayType(ACLAction$inboundSchema).optional(),
    billingInvoiceLanguage: arrayType(ACLAction$inboundSchema).optional(),
    billingPlan: arrayType(ACLAction$inboundSchema).optional(),
    billingPurchaseOrder: arrayType(ACLAction$inboundSchema).optional(),
    billingTaxId: arrayType(ACLAction$inboundSchema).optional(),
    blob: arrayType(ACLAction$inboundSchema).optional(),
    budget: arrayType(ACLAction$inboundSchema).optional(),
    cacheArtifact: arrayType(ACLAction$inboundSchema).optional(),
    cacheArtifactUsageEvent: arrayType(ACLAction$inboundSchema).optional(),
    codeChecks: arrayType(ACLAction$inboundSchema).optional(),
    concurrentBuilds: arrayType(ACLAction$inboundSchema).optional(),
    connect: arrayType(ACLAction$inboundSchema).optional(),
    connectConfiguration: arrayType(ACLAction$inboundSchema).optional(),
    domain: arrayType(ACLAction$inboundSchema).optional(),
    domainAcceptDelegation: arrayType(ACLAction$inboundSchema).optional(),
    domainAuthCodes: arrayType(ACLAction$inboundSchema).optional(),
    domainCertificate: arrayType(ACLAction$inboundSchema).optional(),
    domainCheckConfig: arrayType(ACLAction$inboundSchema).optional(),
    domainMove: arrayType(ACLAction$inboundSchema).optional(),
    domainPurchase: arrayType(ACLAction$inboundSchema).optional(),
    domainRecord: arrayType(ACLAction$inboundSchema).optional(),
    domainTransferIn: arrayType(ACLAction$inboundSchema).optional(),
    event: arrayType(ACLAction$inboundSchema).optional(),
    ownEvent: arrayType(ACLAction$inboundSchema).optional(),
    sensitiveEnvironmentVariablePolicy: arrayType(ACLAction$inboundSchema).optional(),
    fileUpload: arrayType(ACLAction$inboundSchema).optional(),
    flagsExplorerSubscription: arrayType(ACLAction$inboundSchema).optional(),
    gitRepository: arrayType(ACLAction$inboundSchema).optional(),
    ipBlocking: arrayType(ACLAction$inboundSchema).optional(),
    imageOptimizationNewPrice: arrayType(ACLAction$inboundSchema).optional(),
    integration: arrayType(ACLAction$inboundSchema).optional(),
    integrationAccount: arrayType(ACLAction$inboundSchema).optional(),
    integrationConfiguration: arrayType(ACLAction$inboundSchema).optional(),
    integrationConfigurationTransfer: arrayType(ACLAction$inboundSchema).optional(),
    integrationConfigurationProjects: arrayType(ACLAction$inboundSchema).optional(),
    integrationVercelConfigurationOverride: arrayType(ACLAction$inboundSchema).optional(),
    integrationConfigurationRole: arrayType(ACLAction$inboundSchema).optional(),
    integrationSSOSession: arrayType(ACLAction$inboundSchema).optional(),
    integrationResource: arrayType(ACLAction$inboundSchema).optional(),
    integrationEvent: arrayType(ACLAction$inboundSchema).optional(),
    integrationResourceSecrets: arrayType(ACLAction$inboundSchema).optional(),
    integrationDeploymentAction: arrayType(ACLAction$inboundSchema).optional(),
    marketplaceInstallationMember: arrayType(ACLAction$inboundSchema).optional(),
    marketplaceBillingData: arrayType(ACLAction$inboundSchema).optional(),
    marketplaceInvoice: arrayType(ACLAction$inboundSchema).optional(),
    marketplaceExperimentationItem: arrayType(ACLAction$inboundSchema).optional(),
    marketplaceExperimentationEdgeConfigData: arrayType(ACLAction$inboundSchema).optional(),
    jobGlobal: arrayType(ACLAction$inboundSchema).optional(),
    drain: arrayType(ACLAction$inboundSchema).optional(),
    logDrain: arrayType(ACLAction$inboundSchema).optional(),
    Monitoring: arrayType(ACLAction$inboundSchema).optional(),
    monitoringSettings: arrayType(ACLAction$inboundSchema).optional(),
    monitoringQuery: arrayType(ACLAction$inboundSchema).optional(),
    monitoringChart: arrayType(ACLAction$inboundSchema).optional(),
    monitoringAlert: arrayType(ACLAction$inboundSchema).optional(),
    notificationDeploymentFailed: arrayType(ACLAction$inboundSchema).optional(),
    notificationDomainConfiguration: arrayType(ACLAction$inboundSchema).optional(),
    notificationDomainExpire: arrayType(ACLAction$inboundSchema).optional(),
    notificationDomainMoved: arrayType(ACLAction$inboundSchema).optional(),
    notificationDomainPurchase: arrayType(ACLAction$inboundSchema).optional(),
    notificationDomainRenewal: arrayType(ACLAction$inboundSchema).optional(),
    notificationDomainTransfer: arrayType(ACLAction$inboundSchema).optional(),
    notificationDomainUnverified: arrayType(ACLAction$inboundSchema).optional(),
    NotificationMonitoringAlert: arrayType(ACLAction$inboundSchema).optional(),
    notificationPaymentFailed: arrayType(ACLAction$inboundSchema).optional(),
    notificationUsageAlert: arrayType(ACLAction$inboundSchema).optional(),
    notificationCustomerBudget: arrayType(ACLAction$inboundSchema).optional(),
    notificationStatementOfReasons: arrayType(ACLAction$inboundSchema).optional(),
    observabilityConfiguration: arrayType(ACLAction$inboundSchema).optional(),
    observabilityNotebook: arrayType(ACLAction$inboundSchema).optional(),
    openTelemetryEndpoint: arrayType(ACLAction$inboundSchema).optional(),
    vercelAppInstallation: arrayType(ACLAction$inboundSchema).optional(),
    paymentMethod: arrayType(ACLAction$inboundSchema).optional(),
    permissions: arrayType(ACLAction$inboundSchema).optional(),
    postgres: arrayType(ACLAction$inboundSchema).optional(),
    previewDeploymentSuffix: arrayType(ACLAction$inboundSchema).optional(),
    proTrialOnboarding: arrayType(ACLAction$inboundSchema).optional(),
    sharedEnvVars: arrayType(ACLAction$inboundSchema).optional(),
    sharedEnvVarsProduction: arrayType(ACLAction$inboundSchema).optional(),
    space: arrayType(ACLAction$inboundSchema).optional(),
    spaceRun: arrayType(ACLAction$inboundSchema).optional(),
    passwordProtectionInvoiceItem: arrayType(ACLAction$inboundSchema).optional(),
    rateLimit: arrayType(ACLAction$inboundSchema).optional(),
    redis: arrayType(ACLAction$inboundSchema).optional(),
    repository: arrayType(ACLAction$inboundSchema).optional(),
    remoteCaching: arrayType(ACLAction$inboundSchema).optional(),
    samlConfig: arrayType(ACLAction$inboundSchema).optional(),
    secret: arrayType(ACLAction$inboundSchema).optional(),
    redisStoreTokenSet: arrayType(ACLAction$inboundSchema).optional(),
    blobStoreTokenSet: arrayType(ACLAction$inboundSchema).optional(),
    postgresStoreTokenSet: arrayType(ACLAction$inboundSchema).optional(),
    integrationStoreTokenSet: arrayType(ACLAction$inboundSchema).optional(),
    integrationResourceReplCommand: arrayType(ACLAction$inboundSchema).optional(),
    storeTransfer: arrayType(ACLAction$inboundSchema).optional(),
    supportCase: arrayType(ACLAction$inboundSchema).optional(),
    supportCaseComment: arrayType(ACLAction$inboundSchema).optional(),
    dataCacheBillingSettings: arrayType(ACLAction$inboundSchema).optional(),
    team: arrayType(ACLAction$inboundSchema).optional(),
    teamAccessRequest: arrayType(ACLAction$inboundSchema).optional(),
    teamFellowMembership: arrayType(ACLAction$inboundSchema).optional(),
    teamGitExclusivity: arrayType(ACLAction$inboundSchema).optional(),
    teamInvite: arrayType(ACLAction$inboundSchema).optional(),
    teamInviteCode: arrayType(ACLAction$inboundSchema).optional(),
    teamJoin: arrayType(ACLAction$inboundSchema).optional(),
    teamMemberMfaStatus: arrayType(ACLAction$inboundSchema).optional(),
    teamMicrofrontends: arrayType(ACLAction$inboundSchema).optional(),
    teamOwnMembership: arrayType(ACLAction$inboundSchema).optional(),
    teamOwnMembershipDisconnectSAML: arrayType(ACLAction$inboundSchema).optional(),
    token: arrayType(ACLAction$inboundSchema).optional(),
    usage: arrayType(ACLAction$inboundSchema).optional(),
    usageCycle: arrayType(ACLAction$inboundSchema).optional(),
    vpcPeeringConnection: arrayType(ACLAction$inboundSchema).optional(),
    webAnalyticsPlan: arrayType(ACLAction$inboundSchema).optional(),
    edgeConfig: arrayType(ACLAction$inboundSchema).optional(),
    edgeConfigItem: arrayType(ACLAction$inboundSchema).optional(),
    edgeConfigSchema: arrayType(ACLAction$inboundSchema).optional(),
    edgeConfigToken: arrayType(ACLAction$inboundSchema).optional(),
    webhook: arrayType(ACLAction$inboundSchema).optional(),
    "webhook-event": arrayType(ACLAction$inboundSchema).optional(),
    endpointVerification: arrayType(ACLAction$inboundSchema).optional(),
    projectTransferIn: arrayType(ACLAction$inboundSchema).optional(),
    oauth2Application: arrayType(ACLAction$inboundSchema).optional(),
    vercelRun: arrayType(ACLAction$inboundSchema).optional(),
    vercelRunExec: arrayType(ACLAction$inboundSchema).optional(),
    aliasProject: arrayType(ACLAction$inboundSchema).optional(),
    aliasProtectionBypass: arrayType(ACLAction$inboundSchema).optional(),
    productionAliasProtectionBypass: arrayType(ACLAction$inboundSchema).optional(),
    connectConfigurationLink: arrayType(ACLAction$inboundSchema).optional(),
    dataCacheNamespace: arrayType(ACLAction$inboundSchema).optional(),
    deployment: arrayType(ACLAction$inboundSchema).optional(),
    deploymentCheck: arrayType(ACLAction$inboundSchema).optional(),
    deploymentCheckPreview: arrayType(ACLAction$inboundSchema).optional(),
    deploymentCheckReRunFromProductionBranch: arrayType(ACLAction$inboundSchema).optional(),
    deploymentProductionGit: arrayType(ACLAction$inboundSchema).optional(),
    deploymentV0: arrayType(ACLAction$inboundSchema).optional(),
    deploymentPreview: arrayType(ACLAction$inboundSchema).optional(),
    deploymentPrivate: arrayType(ACLAction$inboundSchema).optional(),
    deploymentPromote: arrayType(ACLAction$inboundSchema).optional(),
    deploymentRollback: arrayType(ACLAction$inboundSchema).optional(),
    edgeCacheNamespace: arrayType(ACLAction$inboundSchema).optional(),
    environments: arrayType(ACLAction$inboundSchema).optional(),
    logs: arrayType(ACLAction$inboundSchema).optional(),
    logsPreset: arrayType(ACLAction$inboundSchema).optional(),
    passwordProtection: arrayType(ACLAction$inboundSchema).optional(),
    optionsAllowlist: arrayType(ACLAction$inboundSchema).optional(),
    job: arrayType(ACLAction$inboundSchema).optional(),
    observabilityData: arrayType(ACLAction$inboundSchema).optional(),
    project: arrayType(ACLAction$inboundSchema).optional(),
    projectFromV0: arrayType(ACLAction$inboundSchema).optional(),
    projectAccessGroup: arrayType(ACLAction$inboundSchema).optional(),
    projectAnalyticsSampling: arrayType(ACLAction$inboundSchema).optional(),
    projectCheck: arrayType(ACLAction$inboundSchema).optional(),
    projectCheckRun: arrayType(ACLAction$inboundSchema).optional(),
    projectDeploymentHook: arrayType(ACLAction$inboundSchema).optional(),
    projectDomain: arrayType(ACLAction$inboundSchema).optional(),
    projectDomainMove: arrayType(ACLAction$inboundSchema).optional(),
    projectDomainCheckConfig: arrayType(ACLAction$inboundSchema).optional(),
    projectEnvVars: arrayType(ACLAction$inboundSchema).optional(),
    projectEnvVarsProduction: arrayType(ACLAction$inboundSchema).optional(),
    projectEnvVarsUnownedByIntegration: arrayType(ACLAction$inboundSchema).optional(),
    projectFlags: arrayType(ACLAction$inboundSchema).optional(),
    projectId: arrayType(ACLAction$inboundSchema).optional(),
    projectIntegrationConfiguration: arrayType(ACLAction$inboundSchema).optional(),
    projectLink: arrayType(ACLAction$inboundSchema).optional(),
    projectMember: arrayType(ACLAction$inboundSchema).optional(),
    projectMonitoring: arrayType(ACLAction$inboundSchema).optional(),
    projectPermissions: arrayType(ACLAction$inboundSchema).optional(),
    projectProductionBranch: arrayType(ACLAction$inboundSchema).optional(),
    projectTransfer: arrayType(ACLAction$inboundSchema).optional(),
    projectTransferOut: arrayType(ACLAction$inboundSchema).optional(),
    projectProtectionBypass: arrayType(ACLAction$inboundSchema).optional(),
    projectUsage: arrayType(ACLAction$inboundSchema).optional(),
    projectAnalyticsUsage: arrayType(ACLAction$inboundSchema).optional(),
    projectSupportCase: arrayType(ACLAction$inboundSchema).optional(),
    projectSupportCaseComment: arrayType(ACLAction$inboundSchema).optional(),
    projectDeploymentExpiration: arrayType(ACLAction$inboundSchema).optional(),
    projectRollingRelease: arrayType(ACLAction$inboundSchema).optional(),
    projectTier: arrayType(ACLAction$inboundSchema).optional(),
    seawallConfig: arrayType(ACLAction$inboundSchema).optional(),
    skewProtection: arrayType(ACLAction$inboundSchema).optional(),
    analytics: arrayType(ACLAction$inboundSchema).optional(),
    trustedIps: arrayType(ACLAction$inboundSchema).optional(),
    webAnalytics: arrayType(ACLAction$inboundSchema).optional(),
    sharedEnvVarConnection: arrayType(ACLAction$inboundSchema).optional(),
    sonar: arrayType(ACLAction$inboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      Monitoring: "monitoring",
      NotificationMonitoringAlert: "notificationMonitoringAlert",
      "webhook-event": "webhookEvent"
    });
  });
  CreateProjectPermissions$outboundSchema = objectType({
    user: arrayType(ACLAction$outboundSchema).optional(),
    userConnection: arrayType(ACLAction$outboundSchema).optional(),
    userSudo: arrayType(ACLAction$outboundSchema).optional(),
    webAuthn: arrayType(ACLAction$outboundSchema).optional(),
    oauth2Connection: arrayType(ACLAction$outboundSchema).optional(),
    accessGroup: arrayType(ACLAction$outboundSchema).optional(),
    aliasGlobal: arrayType(ACLAction$outboundSchema).optional(),
    analyticsSampling: arrayType(ACLAction$outboundSchema).optional(),
    analyticsUsage: arrayType(ACLAction$outboundSchema).optional(),
    auditLog: arrayType(ACLAction$outboundSchema).optional(),
    billingAddress: arrayType(ACLAction$outboundSchema).optional(),
    billingInformation: arrayType(ACLAction$outboundSchema).optional(),
    billingInvoice: arrayType(ACLAction$outboundSchema).optional(),
    billingInvoiceEmailRecipient: arrayType(ACLAction$outboundSchema).optional(),
    billingInvoiceLanguage: arrayType(ACLAction$outboundSchema).optional(),
    billingPlan: arrayType(ACLAction$outboundSchema).optional(),
    billingPurchaseOrder: arrayType(ACLAction$outboundSchema).optional(),
    billingTaxId: arrayType(ACLAction$outboundSchema).optional(),
    blob: arrayType(ACLAction$outboundSchema).optional(),
    budget: arrayType(ACLAction$outboundSchema).optional(),
    cacheArtifact: arrayType(ACLAction$outboundSchema).optional(),
    cacheArtifactUsageEvent: arrayType(ACLAction$outboundSchema).optional(),
    codeChecks: arrayType(ACLAction$outboundSchema).optional(),
    concurrentBuilds: arrayType(ACLAction$outboundSchema).optional(),
    connect: arrayType(ACLAction$outboundSchema).optional(),
    connectConfiguration: arrayType(ACLAction$outboundSchema).optional(),
    domain: arrayType(ACLAction$outboundSchema).optional(),
    domainAcceptDelegation: arrayType(ACLAction$outboundSchema).optional(),
    domainAuthCodes: arrayType(ACLAction$outboundSchema).optional(),
    domainCertificate: arrayType(ACLAction$outboundSchema).optional(),
    domainCheckConfig: arrayType(ACLAction$outboundSchema).optional(),
    domainMove: arrayType(ACLAction$outboundSchema).optional(),
    domainPurchase: arrayType(ACLAction$outboundSchema).optional(),
    domainRecord: arrayType(ACLAction$outboundSchema).optional(),
    domainTransferIn: arrayType(ACLAction$outboundSchema).optional(),
    event: arrayType(ACLAction$outboundSchema).optional(),
    ownEvent: arrayType(ACLAction$outboundSchema).optional(),
    sensitiveEnvironmentVariablePolicy: arrayType(ACLAction$outboundSchema).optional(),
    fileUpload: arrayType(ACLAction$outboundSchema).optional(),
    flagsExplorerSubscription: arrayType(ACLAction$outboundSchema).optional(),
    gitRepository: arrayType(ACLAction$outboundSchema).optional(),
    ipBlocking: arrayType(ACLAction$outboundSchema).optional(),
    imageOptimizationNewPrice: arrayType(ACLAction$outboundSchema).optional(),
    integration: arrayType(ACLAction$outboundSchema).optional(),
    integrationAccount: arrayType(ACLAction$outboundSchema).optional(),
    integrationConfiguration: arrayType(ACLAction$outboundSchema).optional(),
    integrationConfigurationTransfer: arrayType(ACLAction$outboundSchema).optional(),
    integrationConfigurationProjects: arrayType(ACLAction$outboundSchema).optional(),
    integrationVercelConfigurationOverride: arrayType(ACLAction$outboundSchema).optional(),
    integrationConfigurationRole: arrayType(ACLAction$outboundSchema).optional(),
    integrationSSOSession: arrayType(ACLAction$outboundSchema).optional(),
    integrationResource: arrayType(ACLAction$outboundSchema).optional(),
    integrationEvent: arrayType(ACLAction$outboundSchema).optional(),
    integrationResourceSecrets: arrayType(ACLAction$outboundSchema).optional(),
    integrationDeploymentAction: arrayType(ACLAction$outboundSchema).optional(),
    marketplaceInstallationMember: arrayType(ACLAction$outboundSchema).optional(),
    marketplaceBillingData: arrayType(ACLAction$outboundSchema).optional(),
    marketplaceInvoice: arrayType(ACLAction$outboundSchema).optional(),
    marketplaceExperimentationItem: arrayType(ACLAction$outboundSchema).optional(),
    marketplaceExperimentationEdgeConfigData: arrayType(ACLAction$outboundSchema).optional(),
    jobGlobal: arrayType(ACLAction$outboundSchema).optional(),
    drain: arrayType(ACLAction$outboundSchema).optional(),
    logDrain: arrayType(ACLAction$outboundSchema).optional(),
    monitoring: arrayType(ACLAction$outboundSchema).optional(),
    monitoringSettings: arrayType(ACLAction$outboundSchema).optional(),
    monitoringQuery: arrayType(ACLAction$outboundSchema).optional(),
    monitoringChart: arrayType(ACLAction$outboundSchema).optional(),
    monitoringAlert: arrayType(ACLAction$outboundSchema).optional(),
    notificationDeploymentFailed: arrayType(ACLAction$outboundSchema).optional(),
    notificationDomainConfiguration: arrayType(ACLAction$outboundSchema).optional(),
    notificationDomainExpire: arrayType(ACLAction$outboundSchema).optional(),
    notificationDomainMoved: arrayType(ACLAction$outboundSchema).optional(),
    notificationDomainPurchase: arrayType(ACLAction$outboundSchema).optional(),
    notificationDomainRenewal: arrayType(ACLAction$outboundSchema).optional(),
    notificationDomainTransfer: arrayType(ACLAction$outboundSchema).optional(),
    notificationDomainUnverified: arrayType(ACLAction$outboundSchema).optional(),
    notificationMonitoringAlert: arrayType(ACLAction$outboundSchema).optional(),
    notificationPaymentFailed: arrayType(ACLAction$outboundSchema).optional(),
    notificationUsageAlert: arrayType(ACLAction$outboundSchema).optional(),
    notificationCustomerBudget: arrayType(ACLAction$outboundSchema).optional(),
    notificationStatementOfReasons: arrayType(ACLAction$outboundSchema).optional(),
    observabilityConfiguration: arrayType(ACLAction$outboundSchema).optional(),
    observabilityNotebook: arrayType(ACLAction$outboundSchema).optional(),
    openTelemetryEndpoint: arrayType(ACLAction$outboundSchema).optional(),
    vercelAppInstallation: arrayType(ACLAction$outboundSchema).optional(),
    paymentMethod: arrayType(ACLAction$outboundSchema).optional(),
    permissions: arrayType(ACLAction$outboundSchema).optional(),
    postgres: arrayType(ACLAction$outboundSchema).optional(),
    previewDeploymentSuffix: arrayType(ACLAction$outboundSchema).optional(),
    proTrialOnboarding: arrayType(ACLAction$outboundSchema).optional(),
    sharedEnvVars: arrayType(ACLAction$outboundSchema).optional(),
    sharedEnvVarsProduction: arrayType(ACLAction$outboundSchema).optional(),
    space: arrayType(ACLAction$outboundSchema).optional(),
    spaceRun: arrayType(ACLAction$outboundSchema).optional(),
    passwordProtectionInvoiceItem: arrayType(ACLAction$outboundSchema).optional(),
    rateLimit: arrayType(ACLAction$outboundSchema).optional(),
    redis: arrayType(ACLAction$outboundSchema).optional(),
    repository: arrayType(ACLAction$outboundSchema).optional(),
    remoteCaching: arrayType(ACLAction$outboundSchema).optional(),
    samlConfig: arrayType(ACLAction$outboundSchema).optional(),
    secret: arrayType(ACLAction$outboundSchema).optional(),
    redisStoreTokenSet: arrayType(ACLAction$outboundSchema).optional(),
    blobStoreTokenSet: arrayType(ACLAction$outboundSchema).optional(),
    postgresStoreTokenSet: arrayType(ACLAction$outboundSchema).optional(),
    integrationStoreTokenSet: arrayType(ACLAction$outboundSchema).optional(),
    integrationResourceReplCommand: arrayType(ACLAction$outboundSchema).optional(),
    storeTransfer: arrayType(ACLAction$outboundSchema).optional(),
    supportCase: arrayType(ACLAction$outboundSchema).optional(),
    supportCaseComment: arrayType(ACLAction$outboundSchema).optional(),
    dataCacheBillingSettings: arrayType(ACLAction$outboundSchema).optional(),
    team: arrayType(ACLAction$outboundSchema).optional(),
    teamAccessRequest: arrayType(ACLAction$outboundSchema).optional(),
    teamFellowMembership: arrayType(ACLAction$outboundSchema).optional(),
    teamGitExclusivity: arrayType(ACLAction$outboundSchema).optional(),
    teamInvite: arrayType(ACLAction$outboundSchema).optional(),
    teamInviteCode: arrayType(ACLAction$outboundSchema).optional(),
    teamJoin: arrayType(ACLAction$outboundSchema).optional(),
    teamMemberMfaStatus: arrayType(ACLAction$outboundSchema).optional(),
    teamMicrofrontends: arrayType(ACLAction$outboundSchema).optional(),
    teamOwnMembership: arrayType(ACLAction$outboundSchema).optional(),
    teamOwnMembershipDisconnectSAML: arrayType(ACLAction$outboundSchema).optional(),
    token: arrayType(ACLAction$outboundSchema).optional(),
    usage: arrayType(ACLAction$outboundSchema).optional(),
    usageCycle: arrayType(ACLAction$outboundSchema).optional(),
    vpcPeeringConnection: arrayType(ACLAction$outboundSchema).optional(),
    webAnalyticsPlan: arrayType(ACLAction$outboundSchema).optional(),
    edgeConfig: arrayType(ACLAction$outboundSchema).optional(),
    edgeConfigItem: arrayType(ACLAction$outboundSchema).optional(),
    edgeConfigSchema: arrayType(ACLAction$outboundSchema).optional(),
    edgeConfigToken: arrayType(ACLAction$outboundSchema).optional(),
    webhook: arrayType(ACLAction$outboundSchema).optional(),
    webhookEvent: arrayType(ACLAction$outboundSchema).optional(),
    endpointVerification: arrayType(ACLAction$outboundSchema).optional(),
    projectTransferIn: arrayType(ACLAction$outboundSchema).optional(),
    oauth2Application: arrayType(ACLAction$outboundSchema).optional(),
    vercelRun: arrayType(ACLAction$outboundSchema).optional(),
    vercelRunExec: arrayType(ACLAction$outboundSchema).optional(),
    aliasProject: arrayType(ACLAction$outboundSchema).optional(),
    aliasProtectionBypass: arrayType(ACLAction$outboundSchema).optional(),
    productionAliasProtectionBypass: arrayType(ACLAction$outboundSchema).optional(),
    connectConfigurationLink: arrayType(ACLAction$outboundSchema).optional(),
    dataCacheNamespace: arrayType(ACLAction$outboundSchema).optional(),
    deployment: arrayType(ACLAction$outboundSchema).optional(),
    deploymentCheck: arrayType(ACLAction$outboundSchema).optional(),
    deploymentCheckPreview: arrayType(ACLAction$outboundSchema).optional(),
    deploymentCheckReRunFromProductionBranch: arrayType(ACLAction$outboundSchema).optional(),
    deploymentProductionGit: arrayType(ACLAction$outboundSchema).optional(),
    deploymentV0: arrayType(ACLAction$outboundSchema).optional(),
    deploymentPreview: arrayType(ACLAction$outboundSchema).optional(),
    deploymentPrivate: arrayType(ACLAction$outboundSchema).optional(),
    deploymentPromote: arrayType(ACLAction$outboundSchema).optional(),
    deploymentRollback: arrayType(ACLAction$outboundSchema).optional(),
    edgeCacheNamespace: arrayType(ACLAction$outboundSchema).optional(),
    environments: arrayType(ACLAction$outboundSchema).optional(),
    logs: arrayType(ACLAction$outboundSchema).optional(),
    logsPreset: arrayType(ACLAction$outboundSchema).optional(),
    passwordProtection: arrayType(ACLAction$outboundSchema).optional(),
    optionsAllowlist: arrayType(ACLAction$outboundSchema).optional(),
    job: arrayType(ACLAction$outboundSchema).optional(),
    observabilityData: arrayType(ACLAction$outboundSchema).optional(),
    project: arrayType(ACLAction$outboundSchema).optional(),
    projectFromV0: arrayType(ACLAction$outboundSchema).optional(),
    projectAccessGroup: arrayType(ACLAction$outboundSchema).optional(),
    projectAnalyticsSampling: arrayType(ACLAction$outboundSchema).optional(),
    projectCheck: arrayType(ACLAction$outboundSchema).optional(),
    projectCheckRun: arrayType(ACLAction$outboundSchema).optional(),
    projectDeploymentHook: arrayType(ACLAction$outboundSchema).optional(),
    projectDomain: arrayType(ACLAction$outboundSchema).optional(),
    projectDomainMove: arrayType(ACLAction$outboundSchema).optional(),
    projectDomainCheckConfig: arrayType(ACLAction$outboundSchema).optional(),
    projectEnvVars: arrayType(ACLAction$outboundSchema).optional(),
    projectEnvVarsProduction: arrayType(ACLAction$outboundSchema).optional(),
    projectEnvVarsUnownedByIntegration: arrayType(ACLAction$outboundSchema).optional(),
    projectFlags: arrayType(ACLAction$outboundSchema).optional(),
    projectId: arrayType(ACLAction$outboundSchema).optional(),
    projectIntegrationConfiguration: arrayType(ACLAction$outboundSchema).optional(),
    projectLink: arrayType(ACLAction$outboundSchema).optional(),
    projectMember: arrayType(ACLAction$outboundSchema).optional(),
    projectMonitoring: arrayType(ACLAction$outboundSchema).optional(),
    projectPermissions: arrayType(ACLAction$outboundSchema).optional(),
    projectProductionBranch: arrayType(ACLAction$outboundSchema).optional(),
    projectTransfer: arrayType(ACLAction$outboundSchema).optional(),
    projectTransferOut: arrayType(ACLAction$outboundSchema).optional(),
    projectProtectionBypass: arrayType(ACLAction$outboundSchema).optional(),
    projectUsage: arrayType(ACLAction$outboundSchema).optional(),
    projectAnalyticsUsage: arrayType(ACLAction$outboundSchema).optional(),
    projectSupportCase: arrayType(ACLAction$outboundSchema).optional(),
    projectSupportCaseComment: arrayType(ACLAction$outboundSchema).optional(),
    projectDeploymentExpiration: arrayType(ACLAction$outboundSchema).optional(),
    projectRollingRelease: arrayType(ACLAction$outboundSchema).optional(),
    projectTier: arrayType(ACLAction$outboundSchema).optional(),
    seawallConfig: arrayType(ACLAction$outboundSchema).optional(),
    skewProtection: arrayType(ACLAction$outboundSchema).optional(),
    analytics: arrayType(ACLAction$outboundSchema).optional(),
    trustedIps: arrayType(ACLAction$outboundSchema).optional(),
    webAnalytics: arrayType(ACLAction$outboundSchema).optional(),
    sharedEnvVarConnection: arrayType(ACLAction$outboundSchema).optional(),
    sonar: arrayType(ACLAction$outboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      monitoring: "Monitoring",
      notificationMonitoringAlert: "NotificationMonitoringAlert",
      webhookEvent: "webhook-event"
    });
  });
  ((CreateProjectPermissions$) => {
    CreateProjectPermissions$.inboundSchema = CreateProjectPermissions$inboundSchema;
    CreateProjectPermissions$.outboundSchema = CreateProjectPermissions$outboundSchema;
  })(CreateProjectPermissions$ ||= {});
  CreateProjectLastRollbackTarget$inboundSchema = objectType({});
  CreateProjectLastRollbackTarget$outboundSchema = objectType({});
  ((CreateProjectLastRollbackTarget$) => {
    CreateProjectLastRollbackTarget$.inboundSchema = CreateProjectLastRollbackTarget$inboundSchema;
    CreateProjectLastRollbackTarget$.outboundSchema = CreateProjectLastRollbackTarget$outboundSchema;
  })(CreateProjectLastRollbackTarget$ ||= {});
  CreateProjectJobStatus$inboundSchema = nativeEnumType(CreateProjectJobStatus);
  CreateProjectJobStatus$outboundSchema = CreateProjectJobStatus$inboundSchema;
  ((CreateProjectJobStatus$) => {
    CreateProjectJobStatus$.inboundSchema = CreateProjectJobStatus$inboundSchema;
    CreateProjectJobStatus$.outboundSchema = CreateProjectJobStatus$outboundSchema;
  })(CreateProjectJobStatus$ ||= {});
  CreateProjectProjectsResponse200ApplicationJSONResponseBodyLastAliasRequestType$inboundSchema = nativeEnumType(CreateProjectProjectsResponse200ApplicationJSONResponseBodyLastAliasRequestType);
  CreateProjectProjectsResponse200ApplicationJSONResponseBodyLastAliasRequestType$outboundSchema = CreateProjectProjectsResponse200ApplicationJSONResponseBodyLastAliasRequestType$inboundSchema;
  ((CreateProjectProjectsResponse200ApplicationJSONResponseBodyLastAliasRequestType$) => {
    CreateProjectProjectsResponse200ApplicationJSONResponseBodyLastAliasRequestType$.inboundSchema = CreateProjectProjectsResponse200ApplicationJSONResponseBodyLastAliasRequestType$inboundSchema;
    CreateProjectProjectsResponse200ApplicationJSONResponseBodyLastAliasRequestType$.outboundSchema = CreateProjectProjectsResponse200ApplicationJSONResponseBodyLastAliasRequestType$outboundSchema;
  })(CreateProjectProjectsResponse200ApplicationJSONResponseBodyLastAliasRequestType$ ||= {});
  CreateProjectLastAliasRequest$inboundSchema = objectType({
    fromDeploymentId: stringType(),
    toDeploymentId: stringType(),
    fromRollingReleaseId: stringType().optional(),
    jobStatus: CreateProjectJobStatus$inboundSchema,
    requestedAt: numberType(),
    type: CreateProjectProjectsResponse200ApplicationJSONResponseBodyLastAliasRequestType$inboundSchema
  });
  CreateProjectLastAliasRequest$outboundSchema = objectType({
    fromDeploymentId: stringType(),
    toDeploymentId: stringType(),
    fromRollingReleaseId: stringType().optional(),
    jobStatus: CreateProjectJobStatus$outboundSchema,
    requestedAt: numberType(),
    type: CreateProjectProjectsResponse200ApplicationJSONResponseBodyLastAliasRequestType$outboundSchema
  });
  ((CreateProjectLastAliasRequest$) => {
    CreateProjectLastAliasRequest$.inboundSchema = CreateProjectLastAliasRequest$inboundSchema;
    CreateProjectLastAliasRequest$.outboundSchema = CreateProjectLastAliasRequest$outboundSchema;
  })(CreateProjectLastAliasRequest$ ||= {});
  CreateProjectProtectionBypassProjectsScope$inboundSchema = nativeEnumType(CreateProjectProtectionBypassProjectsScope);
  CreateProjectProtectionBypassProjectsScope$outboundSchema = CreateProjectProtectionBypassProjectsScope$inboundSchema;
  ((CreateProjectProtectionBypassProjectsScope$) => {
    CreateProjectProtectionBypassProjectsScope$.inboundSchema = CreateProjectProtectionBypassProjectsScope$inboundSchema;
    CreateProjectProtectionBypassProjectsScope$.outboundSchema = CreateProjectProtectionBypassProjectsScope$outboundSchema;
  })(CreateProjectProtectionBypassProjectsScope$ ||= {});
  CreateProjectProtectionBypass2$inboundSchema = objectType({
    createdAt: numberType(),
    createdBy: stringType(),
    scope: CreateProjectProtectionBypassProjectsScope$inboundSchema
  });
  CreateProjectProtectionBypass2$outboundSchema = objectType({
    createdAt: numberType(),
    createdBy: stringType(),
    scope: CreateProjectProtectionBypassProjectsScope$outboundSchema
  });
  ((CreateProjectProtectionBypass2$) => {
    CreateProjectProtectionBypass2$.inboundSchema = CreateProjectProtectionBypass2$inboundSchema;
    CreateProjectProtectionBypass2$.outboundSchema = CreateProjectProtectionBypass2$outboundSchema;
  })(CreateProjectProtectionBypass2$ ||= {});
  CreateProjectProtectionBypassScope$inboundSchema = nativeEnumType(CreateProjectProtectionBypassScope);
  CreateProjectProtectionBypassScope$outboundSchema = CreateProjectProtectionBypassScope$inboundSchema;
  ((CreateProjectProtectionBypassScope$) => {
    CreateProjectProtectionBypassScope$.inboundSchema = CreateProjectProtectionBypassScope$inboundSchema;
    CreateProjectProtectionBypassScope$.outboundSchema = CreateProjectProtectionBypassScope$outboundSchema;
  })(CreateProjectProtectionBypassScope$ ||= {});
  CreateProjectProtectionBypass1$inboundSchema = objectType({
    createdAt: numberType(),
    createdBy: stringType(),
    scope: CreateProjectProtectionBypassScope$inboundSchema,
    integrationId: stringType(),
    configurationId: stringType()
  });
  CreateProjectProtectionBypass1$outboundSchema = objectType({
    createdAt: numberType(),
    createdBy: stringType(),
    scope: CreateProjectProtectionBypassScope$outboundSchema,
    integrationId: stringType(),
    configurationId: stringType()
  });
  ((CreateProjectProtectionBypass1$) => {
    CreateProjectProtectionBypass1$.inboundSchema = CreateProjectProtectionBypass1$inboundSchema;
    CreateProjectProtectionBypass1$.outboundSchema = CreateProjectProtectionBypass1$outboundSchema;
  })(CreateProjectProtectionBypass1$ ||= {});
  CreateProjectProtectionBypass$inboundSchema = unionType([
    lazyType(() => CreateProjectProtectionBypass2$inboundSchema),
    lazyType(() => CreateProjectProtectionBypass1$inboundSchema)
  ]);
  CreateProjectProtectionBypass$outboundSchema = unionType([
    lazyType(() => CreateProjectProtectionBypass2$outboundSchema),
    lazyType(() => CreateProjectProtectionBypass1$outboundSchema)
  ]);
  ((CreateProjectProtectionBypass$) => {
    CreateProjectProtectionBypass$.inboundSchema = CreateProjectProtectionBypass$inboundSchema;
    CreateProjectProtectionBypass$.outboundSchema = CreateProjectProtectionBypass$outboundSchema;
  })(CreateProjectProtectionBypass$ ||= {});
  CreateProjectTrustedIpsProjectsDeploymentType$inboundSchema = nativeEnumType(CreateProjectTrustedIpsProjectsDeploymentType);
  CreateProjectTrustedIpsProjectsDeploymentType$outboundSchema = CreateProjectTrustedIpsProjectsDeploymentType$inboundSchema;
  ((CreateProjectTrustedIpsProjectsDeploymentType$) => {
    CreateProjectTrustedIpsProjectsDeploymentType$.inboundSchema = CreateProjectTrustedIpsProjectsDeploymentType$inboundSchema;
    CreateProjectTrustedIpsProjectsDeploymentType$.outboundSchema = CreateProjectTrustedIpsProjectsDeploymentType$outboundSchema;
  })(CreateProjectTrustedIpsProjectsDeploymentType$ ||= {});
  CreateProjectTrustedIps2$inboundSchema = objectType({
    deploymentType: CreateProjectTrustedIpsProjectsDeploymentType$inboundSchema
  });
  CreateProjectTrustedIps2$outboundSchema = objectType({
    deploymentType: CreateProjectTrustedIpsProjectsDeploymentType$outboundSchema
  });
  ((CreateProjectTrustedIps2$) => {
    CreateProjectTrustedIps2$.inboundSchema = CreateProjectTrustedIps2$inboundSchema;
    CreateProjectTrustedIps2$.outboundSchema = CreateProjectTrustedIps2$outboundSchema;
  })(CreateProjectTrustedIps2$ ||= {});
  CreateProjectTrustedIpsDeploymentType$inboundSchema = nativeEnumType(CreateProjectTrustedIpsDeploymentType);
  CreateProjectTrustedIpsDeploymentType$outboundSchema = CreateProjectTrustedIpsDeploymentType$inboundSchema;
  ((CreateProjectTrustedIpsDeploymentType$) => {
    CreateProjectTrustedIpsDeploymentType$.inboundSchema = CreateProjectTrustedIpsDeploymentType$inboundSchema;
    CreateProjectTrustedIpsDeploymentType$.outboundSchema = CreateProjectTrustedIpsDeploymentType$outboundSchema;
  })(CreateProjectTrustedIpsDeploymentType$ ||= {});
  TrustedIpsAddresses$inboundSchema = objectType({
    value: stringType(),
    note: stringType().optional()
  });
  TrustedIpsAddresses$outboundSchema = objectType({
    value: stringType(),
    note: stringType().optional()
  });
  ((TrustedIpsAddresses$) => {
    TrustedIpsAddresses$.inboundSchema = TrustedIpsAddresses$inboundSchema;
    TrustedIpsAddresses$.outboundSchema = TrustedIpsAddresses$outboundSchema;
  })(TrustedIpsAddresses$ ||= {});
  TrustedIpsProtectionMode$inboundSchema = nativeEnumType(TrustedIpsProtectionMode);
  TrustedIpsProtectionMode$outboundSchema = TrustedIpsProtectionMode$inboundSchema;
  ((TrustedIpsProtectionMode$) => {
    TrustedIpsProtectionMode$.inboundSchema = TrustedIpsProtectionMode$inboundSchema;
    TrustedIpsProtectionMode$.outboundSchema = TrustedIpsProtectionMode$outboundSchema;
  })(TrustedIpsProtectionMode$ ||= {});
  CreateProjectTrustedIps1$inboundSchema = objectType({
    deploymentType: CreateProjectTrustedIpsDeploymentType$inboundSchema,
    addresses: arrayType(lazyType(() => TrustedIpsAddresses$inboundSchema)),
    protectionMode: TrustedIpsProtectionMode$inboundSchema
  });
  CreateProjectTrustedIps1$outboundSchema = objectType({
    deploymentType: CreateProjectTrustedIpsDeploymentType$outboundSchema,
    addresses: arrayType(lazyType(() => TrustedIpsAddresses$outboundSchema)),
    protectionMode: TrustedIpsProtectionMode$outboundSchema
  });
  ((CreateProjectTrustedIps1$) => {
    CreateProjectTrustedIps1$.inboundSchema = CreateProjectTrustedIps1$inboundSchema;
    CreateProjectTrustedIps1$.outboundSchema = CreateProjectTrustedIps1$outboundSchema;
  })(CreateProjectTrustedIps1$ ||= {});
  CreateProjectTrustedIps$inboundSchema = unionType([
    lazyType(() => CreateProjectTrustedIps2$inboundSchema),
    lazyType(() => CreateProjectTrustedIps1$inboundSchema)
  ]);
  CreateProjectTrustedIps$outboundSchema = unionType([
    lazyType(() => CreateProjectTrustedIps2$outboundSchema),
    lazyType(() => CreateProjectTrustedIps1$outboundSchema)
  ]);
  ((CreateProjectTrustedIps$) => {
    CreateProjectTrustedIps$.inboundSchema = CreateProjectTrustedIps$inboundSchema;
    CreateProjectTrustedIps$.outboundSchema = CreateProjectTrustedIps$outboundSchema;
  })(CreateProjectTrustedIps$ ||= {});
  CreateProjectGitComments$inboundSchema = objectType({
    onPullRequest: booleanType(),
    onCommit: booleanType()
  });
  CreateProjectGitComments$outboundSchema = objectType({
    onPullRequest: booleanType(),
    onCommit: booleanType()
  });
  ((CreateProjectGitComments$) => {
    CreateProjectGitComments$.inboundSchema = CreateProjectGitComments$inboundSchema;
    CreateProjectGitComments$.outboundSchema = CreateProjectGitComments$outboundSchema;
  })(CreateProjectGitComments$ ||= {});
  CreateProjectCreateDeployments$inboundSchema = nativeEnumType(CreateProjectCreateDeployments);
  CreateProjectCreateDeployments$outboundSchema = CreateProjectCreateDeployments$inboundSchema;
  ((CreateProjectCreateDeployments$) => {
    CreateProjectCreateDeployments$.inboundSchema = CreateProjectCreateDeployments$inboundSchema;
    CreateProjectCreateDeployments$.outboundSchema = CreateProjectCreateDeployments$outboundSchema;
  })(CreateProjectCreateDeployments$ ||= {});
  CreateProjectGitProviderOptions$inboundSchema = objectType({
    createDeployments: CreateProjectCreateDeployments$inboundSchema
  });
  CreateProjectGitProviderOptions$outboundSchema = objectType({
    createDeployments: CreateProjectCreateDeployments$outboundSchema
  });
  ((CreateProjectGitProviderOptions$) => {
    CreateProjectGitProviderOptions$.inboundSchema = CreateProjectGitProviderOptions$inboundSchema;
    CreateProjectGitProviderOptions$.outboundSchema = CreateProjectGitProviderOptions$outboundSchema;
  })(CreateProjectGitProviderOptions$ ||= {});
  CreateProjectWebAnalytics$inboundSchema = objectType({
    id: stringType(),
    disabledAt: numberType().optional(),
    canceledAt: numberType().optional(),
    enabledAt: numberType().optional(),
    hasData: booleanType().optional()
  });
  CreateProjectWebAnalytics$outboundSchema = objectType({
    id: stringType(),
    disabledAt: numberType().optional(),
    canceledAt: numberType().optional(),
    enabledAt: numberType().optional(),
    hasData: booleanType().optional()
  });
  ((CreateProjectWebAnalytics$) => {
    CreateProjectWebAnalytics$.inboundSchema = CreateProjectWebAnalytics$inboundSchema;
    CreateProjectWebAnalytics$.outboundSchema = CreateProjectWebAnalytics$outboundSchema;
  })(CreateProjectWebAnalytics$ ||= {});
  CreateProjectSrc2$inboundSchema = objectType({
    re: stringType().optional(),
    eq: stringType().optional(),
    neq: stringType().optional(),
    inc: arrayType(stringType()).optional(),
    ninc: arrayType(stringType()).optional(),
    pre: stringType().optional(),
    suf: stringType().optional(),
    gt: numberType().optional(),
    gte: numberType().optional(),
    lt: numberType().optional(),
    lte: numberType().optional()
  });
  CreateProjectSrc2$outboundSchema = objectType({
    re: stringType().optional(),
    eq: stringType().optional(),
    neq: stringType().optional(),
    inc: arrayType(stringType()).optional(),
    ninc: arrayType(stringType()).optional(),
    pre: stringType().optional(),
    suf: stringType().optional(),
    gt: numberType().optional(),
    gte: numberType().optional(),
    lt: numberType().optional(),
    lte: numberType().optional()
  });
  ((CreateProjectSrc2$) => {
    CreateProjectSrc2$.inboundSchema = CreateProjectSrc2$inboundSchema;
    CreateProjectSrc2$.outboundSchema = CreateProjectSrc2$outboundSchema;
  })(CreateProjectSrc2$ ||= {});
  CreateProjectSrc$inboundSchema = unionType([lazyType(() => CreateProjectSrc2$inboundSchema), stringType()]);
  CreateProjectSrc$outboundSchema = unionType([lazyType(() => CreateProjectSrc2$outboundSchema), stringType()]);
  ((CreateProjectSrc$) => {
    CreateProjectSrc$.inboundSchema = CreateProjectSrc$inboundSchema;
    CreateProjectSrc$.outboundSchema = CreateProjectSrc$outboundSchema;
  })(CreateProjectSrc$ ||= {});
  CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType$inboundSchema = nativeEnumType(CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType);
  CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType$outboundSchema = CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType$inboundSchema;
  ((CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType$) => {
    CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType$.inboundSchema = CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType$inboundSchema;
    CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType$.outboundSchema = CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType$outboundSchema;
  })(CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType$ ||= {});
  CreateProjectValue2$inboundSchema = objectType({
    re: stringType().optional(),
    eq: stringType().optional(),
    neq: stringType().optional(),
    inc: arrayType(stringType()).optional(),
    ninc: arrayType(stringType()).optional(),
    pre: stringType().optional(),
    suf: stringType().optional(),
    gt: numberType().optional(),
    gte: numberType().optional(),
    lt: numberType().optional(),
    lte: numberType().optional()
  });
  CreateProjectValue2$outboundSchema = objectType({
    re: stringType().optional(),
    eq: stringType().optional(),
    neq: stringType().optional(),
    inc: arrayType(stringType()).optional(),
    ninc: arrayType(stringType()).optional(),
    pre: stringType().optional(),
    suf: stringType().optional(),
    gt: numberType().optional(),
    gte: numberType().optional(),
    lt: numberType().optional(),
    lte: numberType().optional()
  });
  ((CreateProjectValue2$) => {
    CreateProjectValue2$.inboundSchema = CreateProjectValue2$inboundSchema;
    CreateProjectValue2$.outboundSchema = CreateProjectValue2$outboundSchema;
  })(CreateProjectValue2$ ||= {});
  CreateProjectValue$inboundSchema = unionType([lazyType(() => CreateProjectValue2$inboundSchema), stringType()]);
  CreateProjectValue$outboundSchema = unionType([lazyType(() => CreateProjectValue2$outboundSchema), stringType()]);
  ((CreateProjectValue$) => {
    CreateProjectValue$.inboundSchema = CreateProjectValue$inboundSchema;
    CreateProjectValue$.outboundSchema = CreateProjectValue$outboundSchema;
  })(CreateProjectValue$ ||= {});
  CreateProjectHas$inboundSchema = objectType({
    type: CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType$inboundSchema,
    key: stringType().optional(),
    value: unionType([lazyType(() => CreateProjectValue2$inboundSchema), stringType()]).optional()
  });
  CreateProjectHas$outboundSchema = objectType({
    type: CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType$outboundSchema,
    key: stringType().optional(),
    value: unionType([lazyType(() => CreateProjectValue2$outboundSchema), stringType()]).optional()
  });
  ((CreateProjectHas$) => {
    CreateProjectHas$.inboundSchema = CreateProjectHas$inboundSchema;
    CreateProjectHas$.outboundSchema = CreateProjectHas$outboundSchema;
  })(CreateProjectHas$ ||= {});
  CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$inboundSchema = nativeEnumType(CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType);
  CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$outboundSchema = CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$inboundSchema;
  ((CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$) => {
    CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$.inboundSchema = CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$inboundSchema;
    CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$.outboundSchema = CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$outboundSchema;
  })(CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$ ||= {});
  CreateProjectValueProjects2$inboundSchema = objectType({
    re: stringType().optional(),
    eq: stringType().optional(),
    neq: stringType().optional(),
    inc: arrayType(stringType()).optional(),
    ninc: arrayType(stringType()).optional(),
    pre: stringType().optional(),
    suf: stringType().optional(),
    gt: numberType().optional(),
    gte: numberType().optional(),
    lt: numberType().optional(),
    lte: numberType().optional()
  });
  CreateProjectValueProjects2$outboundSchema = objectType({
    re: stringType().optional(),
    eq: stringType().optional(),
    neq: stringType().optional(),
    inc: arrayType(stringType()).optional(),
    ninc: arrayType(stringType()).optional(),
    pre: stringType().optional(),
    suf: stringType().optional(),
    gt: numberType().optional(),
    gte: numberType().optional(),
    lt: numberType().optional(),
    lte: numberType().optional()
  });
  ((CreateProjectValueProjects2$) => {
    CreateProjectValueProjects2$.inboundSchema = CreateProjectValueProjects2$inboundSchema;
    CreateProjectValueProjects2$.outboundSchema = CreateProjectValueProjects2$outboundSchema;
  })(CreateProjectValueProjects2$ ||= {});
  CreateProjectProjectsValue$inboundSchema = unionType([
    lazyType(() => CreateProjectValueProjects2$inboundSchema),
    stringType()
  ]);
  CreateProjectProjectsValue$outboundSchema = unionType([
    lazyType(() => CreateProjectValueProjects2$outboundSchema),
    stringType()
  ]);
  ((CreateProjectProjectsValue$) => {
    CreateProjectProjectsValue$.inboundSchema = CreateProjectProjectsValue$inboundSchema;
    CreateProjectProjectsValue$.outboundSchema = CreateProjectProjectsValue$outboundSchema;
  })(CreateProjectProjectsValue$ ||= {});
  CreateProjectMissing$inboundSchema = objectType({
    type: CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$inboundSchema,
    key: stringType().optional(),
    value: unionType([
      lazyType(() => CreateProjectValueProjects2$inboundSchema),
      stringType()
    ]).optional()
  });
  CreateProjectMissing$outboundSchema = objectType({
    type: CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$outboundSchema,
    key: stringType().optional(),
    value: unionType([
      lazyType(() => CreateProjectValueProjects2$outboundSchema),
      stringType()
    ]).optional()
  });
  ((CreateProjectMissing$) => {
    CreateProjectMissing$.inboundSchema = CreateProjectMissing$inboundSchema;
    CreateProjectMissing$.outboundSchema = CreateProjectMissing$outboundSchema;
  })(CreateProjectMissing$ ||= {});
  CreateProjectHandle$inboundSchema = nativeEnumType(CreateProjectHandle);
  CreateProjectHandle$outboundSchema = CreateProjectHandle$inboundSchema;
  ((CreateProjectHandle$) => {
    CreateProjectHandle$.inboundSchema = CreateProjectHandle$inboundSchema;
    CreateProjectHandle$.outboundSchema = CreateProjectHandle$outboundSchema;
  })(CreateProjectHandle$ ||= {});
  CreateProjectProjectsAction$inboundSchema = nativeEnumType(CreateProjectProjectsAction);
  CreateProjectProjectsAction$outboundSchema = CreateProjectProjectsAction$inboundSchema;
  ((CreateProjectProjectsAction$) => {
    CreateProjectProjectsAction$.inboundSchema = CreateProjectProjectsAction$inboundSchema;
    CreateProjectProjectsAction$.outboundSchema = CreateProjectProjectsAction$outboundSchema;
  })(CreateProjectProjectsAction$ ||= {});
  CreateProjectAlgo$inboundSchema = nativeEnumType(CreateProjectAlgo);
  CreateProjectAlgo$outboundSchema = CreateProjectAlgo$inboundSchema;
  ((CreateProjectAlgo$) => {
    CreateProjectAlgo$.inboundSchema = CreateProjectAlgo$inboundSchema;
    CreateProjectAlgo$.outboundSchema = CreateProjectAlgo$outboundSchema;
  })(CreateProjectAlgo$ ||= {});
  CreateProjectErl$inboundSchema = objectType({
    algo: CreateProjectAlgo$inboundSchema,
    window: numberType(),
    limit: numberType(),
    keys: arrayType(stringType())
  });
  CreateProjectErl$outboundSchema = objectType({
    algo: CreateProjectAlgo$outboundSchema,
    window: numberType(),
    limit: numberType(),
    keys: arrayType(stringType())
  });
  ((CreateProjectErl$) => {
    CreateProjectErl$.inboundSchema = CreateProjectErl$inboundSchema;
    CreateProjectErl$.outboundSchema = CreateProjectErl$outboundSchema;
  })(CreateProjectErl$ ||= {});
  CreateProjectMitigate$inboundSchema = objectType({
    action: CreateProjectProjectsAction$inboundSchema,
    rule_id: stringType(),
    ttl: numberType().optional(),
    erl: lazyType(() => CreateProjectErl$inboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      rule_id: "ruleId"
    });
  });
  CreateProjectMitigate$outboundSchema = objectType({
    action: CreateProjectProjectsAction$outboundSchema,
    ruleId: stringType(),
    ttl: numberType().optional(),
    erl: lazyType(() => CreateProjectErl$outboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      ruleId: "rule_id"
    });
  });
  ((CreateProjectMitigate$) => {
    CreateProjectMitigate$.inboundSchema = CreateProjectMitigate$inboundSchema;
    CreateProjectMitigate$.outboundSchema = CreateProjectMitigate$outboundSchema;
  })(CreateProjectMitigate$ ||= {});
  CreateProjectFirewallRoutes$inboundSchema = objectType({
    src: unionType([lazyType(() => CreateProjectSrc2$inboundSchema), stringType()]).optional(),
    has: arrayType(lazyType(() => CreateProjectHas$inboundSchema)).optional(),
    missing: arrayType(lazyType(() => CreateProjectMissing$inboundSchema)).optional(),
    dest: stringType().optional(),
    status: numberType().optional(),
    handle: CreateProjectHandle$inboundSchema.optional(),
    mitigate: lazyType(() => CreateProjectMitigate$inboundSchema).optional()
  });
  CreateProjectFirewallRoutes$outboundSchema = objectType({
    src: unionType([lazyType(() => CreateProjectSrc2$outboundSchema), stringType()]).optional(),
    has: arrayType(lazyType(() => CreateProjectHas$outboundSchema)).optional(),
    missing: arrayType(lazyType(() => CreateProjectMissing$outboundSchema)).optional(),
    dest: stringType().optional(),
    status: numberType().optional(),
    handle: CreateProjectHandle$outboundSchema.optional(),
    mitigate: lazyType(() => CreateProjectMitigate$outboundSchema).optional()
  });
  ((CreateProjectFirewallRoutes$) => {
    CreateProjectFirewallRoutes$.inboundSchema = CreateProjectFirewallRoutes$inboundSchema;
    CreateProjectFirewallRoutes$.outboundSchema = CreateProjectFirewallRoutes$outboundSchema;
  })(CreateProjectFirewallRoutes$ ||= {});
  CreateProjectAction$inboundSchema = nativeEnumType(CreateProjectAction);
  CreateProjectAction$outboundSchema = CreateProjectAction$inboundSchema;
  ((CreateProjectAction$) => {
    CreateProjectAction$.inboundSchema = CreateProjectAction$inboundSchema;
    CreateProjectAction$.outboundSchema = CreateProjectAction$outboundSchema;
  })(CreateProjectAction$ ||= {});
  CreateProjectManagedRules$inboundSchema = objectType({
    active: booleanType(),
    action: CreateProjectAction$inboundSchema.optional()
  });
  CreateProjectManagedRules$outboundSchema = objectType({
    active: booleanType(),
    action: CreateProjectAction$outboundSchema.optional()
  });
  ((CreateProjectManagedRules$) => {
    CreateProjectManagedRules$.inboundSchema = CreateProjectManagedRules$inboundSchema;
    CreateProjectManagedRules$.outboundSchema = CreateProjectManagedRules$outboundSchema;
  })(CreateProjectManagedRules$ ||= {});
  CreateProjectSecurity$inboundSchema = objectType({
    attackModeEnabled: booleanType().optional(),
    attackModeUpdatedAt: numberType().optional(),
    firewallEnabled: booleanType().optional(),
    firewallUpdatedAt: numberType().optional(),
    attackModeActiveUntil: nullableType(numberType()).optional(),
    firewallConfigVersion: numberType().optional(),
    firewallRoutes: arrayType(lazyType(() => CreateProjectFirewallRoutes$inboundSchema)).optional(),
    firewallSeawallEnabled: booleanType().optional(),
    ja3Enabled: booleanType().optional(),
    ja4Enabled: booleanType().optional(),
    firewallBypassIps: arrayType(stringType()).optional(),
    managedRules: nullableType(recordType(lazyType(() => CreateProjectManagedRules$inboundSchema))).optional()
  });
  CreateProjectSecurity$outboundSchema = objectType({
    attackModeEnabled: booleanType().optional(),
    attackModeUpdatedAt: numberType().optional(),
    firewallEnabled: booleanType().optional(),
    firewallUpdatedAt: numberType().optional(),
    attackModeActiveUntil: nullableType(numberType()).optional(),
    firewallConfigVersion: numberType().optional(),
    firewallRoutes: arrayType(lazyType(() => CreateProjectFirewallRoutes$outboundSchema)).optional(),
    firewallSeawallEnabled: booleanType().optional(),
    ja3Enabled: booleanType().optional(),
    ja4Enabled: booleanType().optional(),
    firewallBypassIps: arrayType(stringType()).optional(),
    managedRules: nullableType(recordType(lazyType(() => CreateProjectManagedRules$outboundSchema))).optional()
  });
  ((CreateProjectSecurity$) => {
    CreateProjectSecurity$.inboundSchema = CreateProjectSecurity$inboundSchema;
    CreateProjectSecurity$.outboundSchema = CreateProjectSecurity$outboundSchema;
  })(CreateProjectSecurity$ ||= {});
  CreateProjectIssuerMode$inboundSchema = nativeEnumType(CreateProjectIssuerMode);
  CreateProjectIssuerMode$outboundSchema = CreateProjectIssuerMode$inboundSchema;
  ((CreateProjectIssuerMode$) => {
    CreateProjectIssuerMode$.inboundSchema = CreateProjectIssuerMode$inboundSchema;
    CreateProjectIssuerMode$.outboundSchema = CreateProjectIssuerMode$outboundSchema;
  })(CreateProjectIssuerMode$ ||= {});
  CreateProjectOidcTokenConfig$inboundSchema = objectType({
    enabled: booleanType(),
    issuerMode: CreateProjectIssuerMode$inboundSchema.optional()
  });
  CreateProjectOidcTokenConfig$outboundSchema = objectType({
    enabled: booleanType(),
    issuerMode: CreateProjectIssuerMode$outboundSchema.optional()
  });
  ((CreateProjectOidcTokenConfig$) => {
    CreateProjectOidcTokenConfig$.inboundSchema = CreateProjectOidcTokenConfig$inboundSchema;
    CreateProjectOidcTokenConfig$.outboundSchema = CreateProjectOidcTokenConfig$outboundSchema;
  })(CreateProjectOidcTokenConfig$ ||= {});
  CreateProjectTier$inboundSchema = nativeEnumType(CreateProjectTier);
  CreateProjectTier$outboundSchema = CreateProjectTier$inboundSchema;
  ((CreateProjectTier$) => {
    CreateProjectTier$.inboundSchema = CreateProjectTier$inboundSchema;
    CreateProjectTier$.outboundSchema = CreateProjectTier$outboundSchema;
  })(CreateProjectTier$ ||= {});
  CreateProjectResponseBody$inboundSchema = objectType({
    accountId: stringType(),
    analytics: lazyType(() => CreateProjectAnalytics$inboundSchema).optional(),
    speedInsights: lazyType(() => CreateProjectSpeedInsights$inboundSchema).optional(),
    autoExposeSystemEnvs: booleanType().optional(),
    autoAssignCustomDomains: booleanType().optional(),
    autoAssignCustomDomainsUpdatedBy: stringType().optional(),
    buildCommand: nullableType(stringType()).optional(),
    commandForIgnoringBuildStep: nullableType(stringType()).optional(),
    connectConfigurations: nullableType(arrayType(lazyType(() => CreateProjectConnectConfigurations$inboundSchema))).optional(),
    connectConfigurationId: nullableType(stringType()).optional(),
    connectBuildsEnabled: booleanType().optional(),
    passiveConnectConfigurationId: nullableType(stringType()).optional(),
    createdAt: numberType().optional(),
    customerSupportCodeVisibility: booleanType().optional(),
    crons: lazyType(() => CreateProjectCrons$inboundSchema).optional(),
    dataCache: lazyType(() => CreateProjectDataCache$inboundSchema).optional(),
    deploymentExpiration: nullableType(lazyType(() => CreateProjectDeploymentExpiration$inboundSchema)).optional(),
    devCommand: nullableType(stringType()).optional(),
    directoryListing: booleanType(),
    installCommand: nullableType(stringType()).optional(),
    env: arrayType(lazyType(() => CreateProjectEnv$inboundSchema)).optional(),
    customEnvironments: arrayType(lazyType(() => CreateProjectCustomEnvironments$inboundSchema)).optional(),
    framework: nullableType(CreateProjectProjectsFramework$inboundSchema).optional(),
    gitForkProtection: booleanType().optional(),
    gitLFS: booleanType().optional(),
    id: stringType(),
    ipBuckets: arrayType(lazyType(() => CreateProjectIpBuckets$inboundSchema)).optional(),
    latestDeployments: arrayType(lazyType(() => CreateProjectLatestDeployments$inboundSchema)).optional(),
    link: unionType([
      lazyType(() => CreateProjectLink1$inboundSchema),
      lazyType(() => CreateProjectLink3$inboundSchema),
      lazyType(() => CreateProjectLink4$inboundSchema),
      lazyType(() => CreateProjectLink2$inboundSchema)
    ]).optional(),
    microfrontends: unionType([
      lazyType(() => CreateProjectMicrofrontends2$inboundSchema),
      lazyType(() => CreateProjectMicrofrontends1$inboundSchema)
    ]).optional(),
    name: stringType(),
    nodeVersion: CreateProjectNodeVersion$inboundSchema,
    optionsAllowlist: nullableType(lazyType(() => CreateProjectOptionsAllowlist$inboundSchema)).optional(),
    outputDirectory: nullableType(stringType()).optional(),
    passwordProtection: nullableType(lazyType(() => CreateProjectPasswordProtection$inboundSchema)).optional(),
    productionDeploymentsFastLane: booleanType().optional(),
    publicSource: nullableType(booleanType()).optional(),
    resourceConfig: lazyType(() => CreateProjectProjectsResourceConfig$inboundSchema),
    rollingRelease: nullableType(lazyType(() => CreateProjectRollingRelease$inboundSchema)).optional(),
    defaultResourceConfig: lazyType(() => CreateProjectDefaultResourceConfig$inboundSchema),
    rootDirectory: nullableType(stringType()).optional(),
    serverlessFunctionRegion: nullableType(stringType()).optional(),
    serverlessFunctionZeroConfigFailover: booleanType().optional(),
    skewProtectionBoundaryAt: numberType().optional(),
    skewProtectionMaxAge: numberType().optional(),
    skipGitConnectDuringLink: booleanType().optional(),
    sourceFilesOutsideRootDirectory: booleanType().optional(),
    enableAffectedProjectsDeployments: booleanType().optional(),
    ssoProtection: nullableType(lazyType(() => CreateProjectSsoProtection$inboundSchema)).optional(),
    targets: recordType(nullableType(lazyType(() => CreateProjectTargets$inboundSchema))).optional(),
    transferCompletedAt: numberType().optional(),
    transferStartedAt: numberType().optional(),
    transferToAccountId: stringType().optional(),
    transferredFromAccountId: stringType().optional(),
    updatedAt: numberType().optional(),
    live: booleanType().optional(),
    enablePreviewFeedback: nullableType(booleanType()).optional(),
    enableProductionFeedback: nullableType(booleanType()).optional(),
    permissions: lazyType(() => CreateProjectPermissions$inboundSchema).optional(),
    lastRollbackTarget: nullableType(lazyType(() => CreateProjectLastRollbackTarget$inboundSchema)).optional(),
    lastAliasRequest: nullableType(lazyType(() => CreateProjectLastAliasRequest$inboundSchema)).optional(),
    protectionBypass: recordType(unionType([
      lazyType(() => CreateProjectProtectionBypass2$inboundSchema),
      lazyType(() => CreateProjectProtectionBypass1$inboundSchema)
    ])).optional(),
    hasActiveBranches: booleanType().optional(),
    trustedIps: nullableType(unionType([
      lazyType(() => CreateProjectTrustedIps2$inboundSchema),
      lazyType(() => CreateProjectTrustedIps1$inboundSchema)
    ])).optional(),
    gitComments: lazyType(() => CreateProjectGitComments$inboundSchema).optional(),
    gitProviderOptions: lazyType(() => CreateProjectGitProviderOptions$inboundSchema).optional(),
    paused: booleanType().optional(),
    concurrencyBucketName: stringType().optional(),
    webAnalytics: lazyType(() => CreateProjectWebAnalytics$inboundSchema).optional(),
    security: lazyType(() => CreateProjectSecurity$inboundSchema).optional(),
    oidcTokenConfig: lazyType(() => CreateProjectOidcTokenConfig$inboundSchema).optional(),
    tier: CreateProjectTier$inboundSchema.optional()
  });
  CreateProjectResponseBody$outboundSchema = objectType({
    accountId: stringType(),
    analytics: lazyType(() => CreateProjectAnalytics$outboundSchema).optional(),
    speedInsights: lazyType(() => CreateProjectSpeedInsights$outboundSchema).optional(),
    autoExposeSystemEnvs: booleanType().optional(),
    autoAssignCustomDomains: booleanType().optional(),
    autoAssignCustomDomainsUpdatedBy: stringType().optional(),
    buildCommand: nullableType(stringType()).optional(),
    commandForIgnoringBuildStep: nullableType(stringType()).optional(),
    connectConfigurations: nullableType(arrayType(lazyType(() => CreateProjectConnectConfigurations$outboundSchema))).optional(),
    connectConfigurationId: nullableType(stringType()).optional(),
    connectBuildsEnabled: booleanType().optional(),
    passiveConnectConfigurationId: nullableType(stringType()).optional(),
    createdAt: numberType().optional(),
    customerSupportCodeVisibility: booleanType().optional(),
    crons: lazyType(() => CreateProjectCrons$outboundSchema).optional(),
    dataCache: lazyType(() => CreateProjectDataCache$outboundSchema).optional(),
    deploymentExpiration: nullableType(lazyType(() => CreateProjectDeploymentExpiration$outboundSchema)).optional(),
    devCommand: nullableType(stringType()).optional(),
    directoryListing: booleanType(),
    installCommand: nullableType(stringType()).optional(),
    env: arrayType(lazyType(() => CreateProjectEnv$outboundSchema)).optional(),
    customEnvironments: arrayType(lazyType(() => CreateProjectCustomEnvironments$outboundSchema)).optional(),
    framework: nullableType(CreateProjectProjectsFramework$outboundSchema).optional(),
    gitForkProtection: booleanType().optional(),
    gitLFS: booleanType().optional(),
    id: stringType(),
    ipBuckets: arrayType(lazyType(() => CreateProjectIpBuckets$outboundSchema)).optional(),
    latestDeployments: arrayType(lazyType(() => CreateProjectLatestDeployments$outboundSchema)).optional(),
    link: unionType([
      lazyType(() => CreateProjectLink1$outboundSchema),
      lazyType(() => CreateProjectLink3$outboundSchema),
      lazyType(() => CreateProjectLink4$outboundSchema),
      lazyType(() => CreateProjectLink2$outboundSchema)
    ]).optional(),
    microfrontends: unionType([
      lazyType(() => CreateProjectMicrofrontends2$outboundSchema),
      lazyType(() => CreateProjectMicrofrontends1$outboundSchema)
    ]).optional(),
    name: stringType(),
    nodeVersion: CreateProjectNodeVersion$outboundSchema,
    optionsAllowlist: nullableType(lazyType(() => CreateProjectOptionsAllowlist$outboundSchema)).optional(),
    outputDirectory: nullableType(stringType()).optional(),
    passwordProtection: nullableType(lazyType(() => CreateProjectPasswordProtection$outboundSchema)).optional(),
    productionDeploymentsFastLane: booleanType().optional(),
    publicSource: nullableType(booleanType()).optional(),
    resourceConfig: lazyType(() => CreateProjectProjectsResourceConfig$outboundSchema),
    rollingRelease: nullableType(lazyType(() => CreateProjectRollingRelease$outboundSchema)).optional(),
    defaultResourceConfig: lazyType(() => CreateProjectDefaultResourceConfig$outboundSchema),
    rootDirectory: nullableType(stringType()).optional(),
    serverlessFunctionRegion: nullableType(stringType()).optional(),
    serverlessFunctionZeroConfigFailover: booleanType().optional(),
    skewProtectionBoundaryAt: numberType().optional(),
    skewProtectionMaxAge: numberType().optional(),
    skipGitConnectDuringLink: booleanType().optional(),
    sourceFilesOutsideRootDirectory: booleanType().optional(),
    enableAffectedProjectsDeployments: booleanType().optional(),
    ssoProtection: nullableType(lazyType(() => CreateProjectSsoProtection$outboundSchema)).optional(),
    targets: recordType(nullableType(lazyType(() => CreateProjectTargets$outboundSchema))).optional(),
    transferCompletedAt: numberType().optional(),
    transferStartedAt: numberType().optional(),
    transferToAccountId: stringType().optional(),
    transferredFromAccountId: stringType().optional(),
    updatedAt: numberType().optional(),
    live: booleanType().optional(),
    enablePreviewFeedback: nullableType(booleanType()).optional(),
    enableProductionFeedback: nullableType(booleanType()).optional(),
    permissions: lazyType(() => CreateProjectPermissions$outboundSchema).optional(),
    lastRollbackTarget: nullableType(lazyType(() => CreateProjectLastRollbackTarget$outboundSchema)).optional(),
    lastAliasRequest: nullableType(lazyType(() => CreateProjectLastAliasRequest$outboundSchema)).optional(),
    protectionBypass: recordType(unionType([
      lazyType(() => CreateProjectProtectionBypass2$outboundSchema),
      lazyType(() => CreateProjectProtectionBypass1$outboundSchema)
    ])).optional(),
    hasActiveBranches: booleanType().optional(),
    trustedIps: nullableType(unionType([
      lazyType(() => CreateProjectTrustedIps2$outboundSchema),
      lazyType(() => CreateProjectTrustedIps1$outboundSchema)
    ])).optional(),
    gitComments: lazyType(() => CreateProjectGitComments$outboundSchema).optional(),
    gitProviderOptions: lazyType(() => CreateProjectGitProviderOptions$outboundSchema).optional(),
    paused: booleanType().optional(),
    concurrencyBucketName: stringType().optional(),
    webAnalytics: lazyType(() => CreateProjectWebAnalytics$outboundSchema).optional(),
    security: lazyType(() => CreateProjectSecurity$outboundSchema).optional(),
    oidcTokenConfig: lazyType(() => CreateProjectOidcTokenConfig$outboundSchema).optional(),
    tier: CreateProjectTier$outboundSchema.optional()
  });
  ((CreateProjectResponseBody$) => {
    CreateProjectResponseBody$.inboundSchema = CreateProjectResponseBody$inboundSchema;
    CreateProjectResponseBody$.outboundSchema = CreateProjectResponseBody$outboundSchema;
  })(CreateProjectResponseBody$ ||= {});
});

// src/funcs/projectsCreateProject.ts
function projectsCreateProject(client, request, options) {
  return new APIPromise($do118(client, request, options));
}
async function $do118(client, request, options) {
  const parsed = safeParse(request, (value) => CreateProjectRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const path = pathToFunc("/v11/projects")();
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "createProject",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "409", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, CreateProjectResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([402, 403, 409, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_projectsCreateProject = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_createprojectop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/projectsCreateProject.ts
var args117, tool$projectsCreateProject;
var init_projectsCreateProject2 = __esm(() => {
  init_projectsCreateProject();
  init_createprojectop();
  init_tools();
  args117 = {
    request: CreateProjectRequest$inboundSchema
  };
  tool$projectsCreateProject = {
    name: "projects-create-project",
    description: `Create a new project

Allows to create a new project with the provided configuration. It only requires the project \`name\` but more configuration can be provided to override the defaults.`,
    args: args117,
    tool: async (client, args118, ctx) => {
      const [result, apiCall] = await projectsCreateProject(client, args118.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/createprojectenvop.ts
var CreateProjectEnv2Type, CreateProjectEnv2Target, TwoType, TwoTarget, CreateProjectEnv1Type, CreateProjectEnv1Target, OneType, OneTarget, CreateProjectEnvTargetProjects2, CreateProjectEnvCreatedType, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated215Type, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated214Type, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated213Type, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated212Type, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated211Type, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated210Type, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated29Type, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated28Type, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated27Type, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated26Type, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated25Type, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated24Type, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated23Type, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated22Type, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated2Type, CreateProjectEnvCreatedProjectsResponseType, CreateProjectEnvTarget2, CreateProjectEnvTarget1, CreatedType, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated115Type, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated114Type, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated113Type, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated112Type, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated111Type, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated110Type, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated19Type, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated1Type, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreatedType, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyType, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONType, CreateProjectEnvContentHintProjectsResponse201Type, CreateProjectEnvContentHintProjectsResponseType, CreateProjectEnvContentHintProjectsType, CreateProjectEnvContentHintType, CreateProjectEnvCreatedProjectsType, Value2, CreateProjectEnvTargetProjectsResponse2, CreateProjectEnvTargetProjects1, CreateProjectEnv2Type$inboundSchema, CreateProjectEnv2Type$outboundSchema, CreateProjectEnv2Type$, CreateProjectEnv2Target$inboundSchema, CreateProjectEnv2Target$outboundSchema, CreateProjectEnv2Target$, Two2$inboundSchema, Two2$outboundSchema, Two2$, TwoType$inboundSchema, TwoType$outboundSchema, TwoType$, TwoTarget$inboundSchema, TwoTarget$outboundSchema, TwoTarget$, Two1$inboundSchema, Two1$outboundSchema, Two1$, CreateProjectEnvRequestBody2$inboundSchema, CreateProjectEnvRequestBody2$outboundSchema, CreateProjectEnvRequestBody2$, CreateProjectEnv1Type$inboundSchema, CreateProjectEnv1Type$outboundSchema, CreateProjectEnv1Type$, CreateProjectEnv1Target$inboundSchema, CreateProjectEnv1Target$outboundSchema, CreateProjectEnv1Target$, CreateProjectEnv12$inboundSchema, CreateProjectEnv12$outboundSchema, CreateProjectEnv12$, OneType$inboundSchema, OneType$outboundSchema, OneType$, OneTarget$inboundSchema, OneTarget$outboundSchema, OneTarget$, CreateProjectEnv11$inboundSchema, CreateProjectEnv11$outboundSchema, CreateProjectEnv11$, CreateProjectEnvRequestBody1$inboundSchema, CreateProjectEnvRequestBody1$outboundSchema, CreateProjectEnvRequestBody1$, CreateProjectEnvRequestBody$inboundSchema, CreateProjectEnvRequestBody$outboundSchema, CreateProjectEnvRequestBody$, CreateProjectEnvRequest$inboundSchema, CreateProjectEnvRequest$outboundSchema, CreateProjectEnvRequest$, CreateProjectEnvTargetProjects2$inboundSchema, CreateProjectEnvTargetProjects2$outboundSchema, CreateProjectEnvTargetProjects2$, CreateProjectEnvCreatedTarget$inboundSchema, CreateProjectEnvCreatedTarget$outboundSchema, CreateProjectEnvCreatedTarget$, CreateProjectEnvCreatedType$inboundSchema, CreateProjectEnvCreatedType$outboundSchema, CreateProjectEnvCreatedType$, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated215Type$inboundSchema, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated215Type$outboundSchema, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated215Type$, CreateProjectEnvContentHintProjects15$inboundSchema, CreateProjectEnvContentHintProjects15$outboundSchema, CreateProjectEnvContentHintProjects15$, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated214Type$inboundSchema, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated214Type$outboundSchema, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated214Type$, CreateProjectEnvContentHintProjects14$inboundSchema, CreateProjectEnvContentHintProjects14$outboundSchema, CreateProjectEnvContentHintProjects14$, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated213Type$inboundSchema, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated213Type$outboundSchema, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated213Type$, CreateProjectEnvContentHintProjects13$inboundSchema, CreateProjectEnvContentHintProjects13$outboundSchema, CreateProjectEnvContentHintProjects13$, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated212Type$inboundSchema, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated212Type$outboundSchema, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated212Type$, CreateProjectEnvContentHintProjects12$inboundSchema, CreateProjectEnvContentHintProjects12$outboundSchema, CreateProjectEnvContentHintProjects12$, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated211Type$inboundSchema, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated211Type$outboundSchema, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated211Type$, CreateProjectEnvContentHintProjects11$inboundSchema, CreateProjectEnvContentHintProjects11$outboundSchema, CreateProjectEnvContentHintProjects11$, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated210Type$inboundSchema, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated210Type$outboundSchema, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated210Type$, CreateProjectEnvContentHintProjects10$inboundSchema, CreateProjectEnvContentHintProjects10$outboundSchema, CreateProjectEnvContentHintProjects10$, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated29Type$inboundSchema, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated29Type$outboundSchema, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated29Type$, CreateProjectEnvContentHintProjects9$inboundSchema, CreateProjectEnvContentHintProjects9$outboundSchema, CreateProjectEnvContentHintProjects9$, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated28Type$inboundSchema, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated28Type$outboundSchema, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated28Type$, CreateProjectEnvContentHintProjects8$inboundSchema, CreateProjectEnvContentHintProjects8$outboundSchema, CreateProjectEnvContentHintProjects8$, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated27Type$inboundSchema, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated27Type$outboundSchema, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated27Type$, CreateProjectEnvContentHintProjects7$inboundSchema, CreateProjectEnvContentHintProjects7$outboundSchema, CreateProjectEnvContentHintProjects7$, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated26Type$inboundSchema, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated26Type$outboundSchema, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated26Type$, CreateProjectEnvContentHintProjects6$inboundSchema, CreateProjectEnvContentHintProjects6$outboundSchema, CreateProjectEnvContentHintProjects6$, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated25Type$inboundSchema, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated25Type$outboundSchema, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated25Type$, CreateProjectEnvContentHintProjects5$inboundSchema, CreateProjectEnvContentHintProjects5$outboundSchema, CreateProjectEnvContentHintProjects5$, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated24Type$inboundSchema, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated24Type$outboundSchema, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated24Type$, CreateProjectEnvContentHintProjects4$inboundSchema, CreateProjectEnvContentHintProjects4$outboundSchema, CreateProjectEnvContentHintProjects4$, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated23Type$inboundSchema, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated23Type$outboundSchema, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated23Type$, CreateProjectEnvContentHintProjects3$inboundSchema, CreateProjectEnvContentHintProjects3$outboundSchema, CreateProjectEnvContentHintProjects3$, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated22Type$inboundSchema, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated22Type$outboundSchema, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated22Type$, CreateProjectEnvContentHintProjects2$inboundSchema, CreateProjectEnvContentHintProjects2$outboundSchema, CreateProjectEnvContentHintProjects2$, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated2Type$inboundSchema, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated2Type$outboundSchema, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated2Type$, CreateProjectEnvContentHintProjects1$inboundSchema, CreateProjectEnvContentHintProjects1$outboundSchema, CreateProjectEnvContentHintProjects1$, CreateProjectEnvCreatedContentHint$inboundSchema, CreateProjectEnvCreatedContentHint$outboundSchema, CreateProjectEnvCreatedContentHint$, CreateProjectEnvCreatedProjectsResponseType$inboundSchema, CreateProjectEnvCreatedProjectsResponseType$outboundSchema, CreateProjectEnvCreatedProjectsResponseType$, CreateProjectEnvCreatedInternalContentHint$inboundSchema, CreateProjectEnvCreatedInternalContentHint$outboundSchema, CreateProjectEnvCreatedInternalContentHint$, Created2$inboundSchema, Created2$outboundSchema, Created2$, CreateProjectEnvTarget2$inboundSchema, CreateProjectEnvTarget2$outboundSchema, CreateProjectEnvTarget2$, CreateProjectEnvTarget1$inboundSchema, CreateProjectEnvTarget1$outboundSchema, CreateProjectEnvTarget1$, CreatedTarget$inboundSchema, CreatedTarget$outboundSchema, CreatedTarget$, CreatedType$inboundSchema, CreatedType$outboundSchema, CreatedType$, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated115Type$inboundSchema, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated115Type$outboundSchema, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated115Type$, CreateProjectEnvContentHint15$inboundSchema, CreateProjectEnvContentHint15$outboundSchema, CreateProjectEnvContentHint15$, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated114Type$inboundSchema, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated114Type$outboundSchema, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated114Type$, CreateProjectEnvContentHint14$inboundSchema, CreateProjectEnvContentHint14$outboundSchema, CreateProjectEnvContentHint14$, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated113Type$inboundSchema, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated113Type$outboundSchema, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated113Type$, CreateProjectEnvContentHint13$inboundSchema, CreateProjectEnvContentHint13$outboundSchema, CreateProjectEnvContentHint13$, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated112Type$inboundSchema, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated112Type$outboundSchema, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated112Type$, CreateProjectEnvContentHint12$inboundSchema, CreateProjectEnvContentHint12$outboundSchema, CreateProjectEnvContentHint12$, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated111Type$inboundSchema, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated111Type$outboundSchema, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated111Type$, CreateProjectEnvContentHint11$inboundSchema, CreateProjectEnvContentHint11$outboundSchema, CreateProjectEnvContentHint11$, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated110Type$inboundSchema, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated110Type$outboundSchema, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated110Type$, CreateProjectEnvContentHint10$inboundSchema, CreateProjectEnvContentHint10$outboundSchema, CreateProjectEnvContentHint10$, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated19Type$inboundSchema, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated19Type$outboundSchema, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated19Type$, CreateProjectEnvContentHint9$inboundSchema, CreateProjectEnvContentHint9$outboundSchema, CreateProjectEnvContentHint9$, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated1Type$inboundSchema, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated1Type$outboundSchema, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated1Type$, CreateProjectEnvContentHint8$inboundSchema, CreateProjectEnvContentHint8$outboundSchema, CreateProjectEnvContentHint8$, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreatedType$inboundSchema, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreatedType$outboundSchema, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreatedType$, CreateProjectEnvContentHint7$inboundSchema, CreateProjectEnvContentHint7$outboundSchema, CreateProjectEnvContentHint7$, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyType$inboundSchema, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyType$outboundSchema, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyType$, CreateProjectEnvContentHint6$inboundSchema, CreateProjectEnvContentHint6$outboundSchema, CreateProjectEnvContentHint6$, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONType$inboundSchema, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONType$outboundSchema, CreateProjectEnvContentHintProjectsResponse201ApplicationJSONType$, CreateProjectEnvContentHint5$inboundSchema, CreateProjectEnvContentHint5$outboundSchema, CreateProjectEnvContentHint5$, CreateProjectEnvContentHintProjectsResponse201Type$inboundSchema, CreateProjectEnvContentHintProjectsResponse201Type$outboundSchema, CreateProjectEnvContentHintProjectsResponse201Type$, CreateProjectEnvContentHint4$inboundSchema, CreateProjectEnvContentHint4$outboundSchema, CreateProjectEnvContentHint4$, CreateProjectEnvContentHintProjectsResponseType$inboundSchema, CreateProjectEnvContentHintProjectsResponseType$outboundSchema, CreateProjectEnvContentHintProjectsResponseType$, CreateProjectEnvContentHint3$inboundSchema, CreateProjectEnvContentHint3$outboundSchema, CreateProjectEnvContentHint3$, CreateProjectEnvContentHintProjectsType$inboundSchema, CreateProjectEnvContentHintProjectsType$outboundSchema, CreateProjectEnvContentHintProjectsType$, CreateProjectEnvContentHint2$inboundSchema, CreateProjectEnvContentHint2$outboundSchema, CreateProjectEnvContentHint2$, CreateProjectEnvContentHintType$inboundSchema, CreateProjectEnvContentHintType$outboundSchema, CreateProjectEnvContentHintType$, CreateProjectEnvContentHint1$inboundSchema, CreateProjectEnvContentHint1$outboundSchema, CreateProjectEnvContentHint1$, CreatedContentHint$inboundSchema, CreatedContentHint$outboundSchema, CreatedContentHint$, CreateProjectEnvCreatedProjectsType$inboundSchema, CreateProjectEnvCreatedProjectsType$outboundSchema, CreateProjectEnvCreatedProjectsType$, CreatedInternalContentHint$inboundSchema, CreatedInternalContentHint$outboundSchema, CreatedInternalContentHint$, Created1$inboundSchema, Created1$outboundSchema, Created1$, Created$inboundSchema, Created$outboundSchema, Created$, Value2$inboundSchema, Value2$outboundSchema, Value2$, CreateProjectEnvValue$inboundSchema, CreateProjectEnvValue$outboundSchema, CreateProjectEnvValue$, CreateProjectEnvTargetProjectsResponse2$inboundSchema, CreateProjectEnvTargetProjectsResponse2$outboundSchema, CreateProjectEnvTargetProjectsResponse2$, CreateProjectEnvTargetProjects1$inboundSchema, CreateProjectEnvTargetProjects1$outboundSchema, CreateProjectEnvTargetProjects1$, CreateProjectEnvTarget$inboundSchema, CreateProjectEnvTarget$outboundSchema, CreateProjectEnvTarget$, CreateProjectEnvError$inboundSchema, CreateProjectEnvError$outboundSchema, CreateProjectEnvError$, Failed$inboundSchema, Failed$outboundSchema, Failed$, CreateProjectEnvResponseBody$inboundSchema, CreateProjectEnvResponseBody$outboundSchema, CreateProjectEnvResponseBody$;
var init_createprojectenvop = __esm(() => {
  init_esm();
  init_primitives();
  CreateProjectEnv2Type = {
    System: "system",
    Secret: "secret",
    Encrypted: "encrypted",
    Plain: "plain",
    Sensitive: "sensitive"
  };
  CreateProjectEnv2Target = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  TwoType = {
    System: "system",
    Secret: "secret",
    Encrypted: "encrypted",
    Plain: "plain",
    Sensitive: "sensitive"
  };
  TwoTarget = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  CreateProjectEnv1Type = {
    System: "system",
    Secret: "secret",
    Encrypted: "encrypted",
    Plain: "plain",
    Sensitive: "sensitive"
  };
  CreateProjectEnv1Target = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  OneType = {
    System: "system",
    Secret: "secret",
    Encrypted: "encrypted",
    Plain: "plain",
    Sensitive: "sensitive"
  };
  OneTarget = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  CreateProjectEnvTargetProjects2 = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  CreateProjectEnvCreatedType = {
    System: "system",
    Encrypted: "encrypted",
    Plain: "plain",
    Sensitive: "sensitive",
    Secret: "secret"
  };
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated215Type = {
    FlagsConnectionString: "flags-connection-string"
  };
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated214Type = {
    IntegrationStoreSecret: "integration-store-secret"
  };
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated213Type = {
    PostgresUrlNoSsl: "postgres-url-no-ssl"
  };
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated212Type = {
    PostgresDatabase: "postgres-database"
  };
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated211Type = {
    PostgresPassword: "postgres-password"
  };
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated210Type = {
    PostgresHost: "postgres-host"
  };
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated29Type = {
    PostgresUser: "postgres-user"
  };
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated28Type = {
    PostgresPrismaUrl: "postgres-prisma-url"
  };
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated27Type = {
    PostgresUrlNonPooling: "postgres-url-non-pooling"
  };
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated26Type = {
    PostgresUrl: "postgres-url"
  };
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated25Type = {
    BlobReadWriteToken: "blob-read-write-token"
  };
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated24Type = {
    RedisRestApiReadOnlyToken: "redis-rest-api-read-only-token"
  };
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated23Type = {
    RedisRestApiToken: "redis-rest-api-token"
  };
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated22Type = {
    RedisRestApiUrl: "redis-rest-api-url"
  };
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated2Type = {
    RedisUrl: "redis-url"
  };
  CreateProjectEnvCreatedProjectsResponseType = {
    FlagsSecret: "flags-secret"
  };
  CreateProjectEnvTarget2 = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  CreateProjectEnvTarget1 = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  CreatedType = {
    System: "system",
    Encrypted: "encrypted",
    Plain: "plain",
    Sensitive: "sensitive",
    Secret: "secret"
  };
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated115Type = {
    FlagsConnectionString: "flags-connection-string"
  };
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated114Type = {
    IntegrationStoreSecret: "integration-store-secret"
  };
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated113Type = {
    PostgresUrlNoSsl: "postgres-url-no-ssl"
  };
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated112Type = {
    PostgresDatabase: "postgres-database"
  };
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated111Type = {
    PostgresPassword: "postgres-password"
  };
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated110Type = {
    PostgresHost: "postgres-host"
  };
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated19Type = {
    PostgresUser: "postgres-user"
  };
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated1Type = {
    PostgresPrismaUrl: "postgres-prisma-url"
  };
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreatedType = {
    PostgresUrlNonPooling: "postgres-url-non-pooling"
  };
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyType = {
    PostgresUrl: "postgres-url"
  };
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONType = {
    BlobReadWriteToken: "blob-read-write-token"
  };
  CreateProjectEnvContentHintProjectsResponse201Type = {
    RedisRestApiReadOnlyToken: "redis-rest-api-read-only-token"
  };
  CreateProjectEnvContentHintProjectsResponseType = {
    RedisRestApiToken: "redis-rest-api-token"
  };
  CreateProjectEnvContentHintProjectsType = {
    RedisRestApiUrl: "redis-rest-api-url"
  };
  CreateProjectEnvContentHintType = {
    RedisUrl: "redis-url"
  };
  CreateProjectEnvCreatedProjectsType = {
    FlagsSecret: "flags-secret"
  };
  Value2 = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  CreateProjectEnvTargetProjectsResponse2 = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  CreateProjectEnvTargetProjects1 = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  CreateProjectEnv2Type$inboundSchema = nativeEnumType(CreateProjectEnv2Type);
  CreateProjectEnv2Type$outboundSchema = CreateProjectEnv2Type$inboundSchema;
  ((CreateProjectEnv2Type$) => {
    CreateProjectEnv2Type$.inboundSchema = CreateProjectEnv2Type$inboundSchema;
    CreateProjectEnv2Type$.outboundSchema = CreateProjectEnv2Type$outboundSchema;
  })(CreateProjectEnv2Type$ ||= {});
  CreateProjectEnv2Target$inboundSchema = nativeEnumType(CreateProjectEnv2Target);
  CreateProjectEnv2Target$outboundSchema = CreateProjectEnv2Target$inboundSchema;
  ((CreateProjectEnv2Target$) => {
    CreateProjectEnv2Target$.inboundSchema = CreateProjectEnv2Target$inboundSchema;
    CreateProjectEnv2Target$.outboundSchema = CreateProjectEnv2Target$outboundSchema;
  })(CreateProjectEnv2Target$ ||= {});
  Two2$inboundSchema = objectType({
    key: stringType(),
    value: stringType(),
    type: CreateProjectEnv2Type$inboundSchema,
    target: arrayType(CreateProjectEnv2Target$inboundSchema).optional(),
    gitBranch: nullableType(stringType()).optional(),
    comment: stringType().optional(),
    customEnvironmentIds: arrayType(stringType())
  });
  Two2$outboundSchema = objectType({
    key: stringType(),
    value: stringType(),
    type: CreateProjectEnv2Type$outboundSchema,
    target: arrayType(CreateProjectEnv2Target$outboundSchema).optional(),
    gitBranch: nullableType(stringType()).optional(),
    comment: stringType().optional(),
    customEnvironmentIds: arrayType(stringType())
  });
  ((Two2$) => {
    Two2$.inboundSchema = Two2$inboundSchema;
    Two2$.outboundSchema = Two2$outboundSchema;
  })(Two2$ ||= {});
  TwoType$inboundSchema = nativeEnumType(TwoType);
  TwoType$outboundSchema = TwoType$inboundSchema;
  ((TwoType$) => {
    TwoType$.inboundSchema = TwoType$inboundSchema;
    TwoType$.outboundSchema = TwoType$outboundSchema;
  })(TwoType$ ||= {});
  TwoTarget$inboundSchema = nativeEnumType(TwoTarget);
  TwoTarget$outboundSchema = TwoTarget$inboundSchema;
  ((TwoTarget$) => {
    TwoTarget$.inboundSchema = TwoTarget$inboundSchema;
    TwoTarget$.outboundSchema = TwoTarget$outboundSchema;
  })(TwoTarget$ ||= {});
  Two1$inboundSchema = objectType({
    key: stringType(),
    value: stringType(),
    type: TwoType$inboundSchema,
    target: arrayType(TwoTarget$inboundSchema),
    gitBranch: nullableType(stringType()).optional(),
    comment: stringType().optional(),
    customEnvironmentIds: arrayType(stringType()).optional()
  });
  Two1$outboundSchema = objectType({
    key: stringType(),
    value: stringType(),
    type: TwoType$outboundSchema,
    target: arrayType(TwoTarget$outboundSchema),
    gitBranch: nullableType(stringType()).optional(),
    comment: stringType().optional(),
    customEnvironmentIds: arrayType(stringType()).optional()
  });
  ((Two1$) => {
    Two1$.inboundSchema = Two1$inboundSchema;
    Two1$.outboundSchema = Two1$outboundSchema;
  })(Two1$ ||= {});
  CreateProjectEnvRequestBody2$inboundSchema = unionType([
    lazyType(() => Two1$inboundSchema),
    lazyType(() => Two2$inboundSchema)
  ]);
  CreateProjectEnvRequestBody2$outboundSchema = unionType([
    lazyType(() => Two1$outboundSchema),
    lazyType(() => Two2$outboundSchema)
  ]);
  ((CreateProjectEnvRequestBody2$) => {
    CreateProjectEnvRequestBody2$.inboundSchema = CreateProjectEnvRequestBody2$inboundSchema;
    CreateProjectEnvRequestBody2$.outboundSchema = CreateProjectEnvRequestBody2$outboundSchema;
  })(CreateProjectEnvRequestBody2$ ||= {});
  CreateProjectEnv1Type$inboundSchema = nativeEnumType(CreateProjectEnv1Type);
  CreateProjectEnv1Type$outboundSchema = CreateProjectEnv1Type$inboundSchema;
  ((CreateProjectEnv1Type$) => {
    CreateProjectEnv1Type$.inboundSchema = CreateProjectEnv1Type$inboundSchema;
    CreateProjectEnv1Type$.outboundSchema = CreateProjectEnv1Type$outboundSchema;
  })(CreateProjectEnv1Type$ ||= {});
  CreateProjectEnv1Target$inboundSchema = nativeEnumType(CreateProjectEnv1Target);
  CreateProjectEnv1Target$outboundSchema = CreateProjectEnv1Target$inboundSchema;
  ((CreateProjectEnv1Target$) => {
    CreateProjectEnv1Target$.inboundSchema = CreateProjectEnv1Target$inboundSchema;
    CreateProjectEnv1Target$.outboundSchema = CreateProjectEnv1Target$outboundSchema;
  })(CreateProjectEnv1Target$ ||= {});
  CreateProjectEnv12$inboundSchema = objectType({
    key: stringType(),
    value: stringType(),
    type: CreateProjectEnv1Type$inboundSchema,
    target: arrayType(CreateProjectEnv1Target$inboundSchema).optional(),
    gitBranch: nullableType(stringType()).optional(),
    comment: stringType().optional(),
    customEnvironmentIds: arrayType(stringType())
  });
  CreateProjectEnv12$outboundSchema = objectType({
    key: stringType(),
    value: stringType(),
    type: CreateProjectEnv1Type$outboundSchema,
    target: arrayType(CreateProjectEnv1Target$outboundSchema).optional(),
    gitBranch: nullableType(stringType()).optional(),
    comment: stringType().optional(),
    customEnvironmentIds: arrayType(stringType())
  });
  ((CreateProjectEnv12$) => {
    CreateProjectEnv12$.inboundSchema = CreateProjectEnv12$inboundSchema;
    CreateProjectEnv12$.outboundSchema = CreateProjectEnv12$outboundSchema;
  })(CreateProjectEnv12$ ||= {});
  OneType$inboundSchema = nativeEnumType(OneType);
  OneType$outboundSchema = OneType$inboundSchema;
  ((OneType$) => {
    OneType$.inboundSchema = OneType$inboundSchema;
    OneType$.outboundSchema = OneType$outboundSchema;
  })(OneType$ ||= {});
  OneTarget$inboundSchema = nativeEnumType(OneTarget);
  OneTarget$outboundSchema = OneTarget$inboundSchema;
  ((OneTarget$) => {
    OneTarget$.inboundSchema = OneTarget$inboundSchema;
    OneTarget$.outboundSchema = OneTarget$outboundSchema;
  })(OneTarget$ ||= {});
  CreateProjectEnv11$inboundSchema = objectType({
    key: stringType(),
    value: stringType(),
    type: OneType$inboundSchema,
    target: arrayType(OneTarget$inboundSchema),
    gitBranch: nullableType(stringType()).optional(),
    comment: stringType().optional(),
    customEnvironmentIds: arrayType(stringType()).optional()
  });
  CreateProjectEnv11$outboundSchema = objectType({
    key: stringType(),
    value: stringType(),
    type: OneType$outboundSchema,
    target: arrayType(OneTarget$outboundSchema),
    gitBranch: nullableType(stringType()).optional(),
    comment: stringType().optional(),
    customEnvironmentIds: arrayType(stringType()).optional()
  });
  ((CreateProjectEnv11$) => {
    CreateProjectEnv11$.inboundSchema = CreateProjectEnv11$inboundSchema;
    CreateProjectEnv11$.outboundSchema = CreateProjectEnv11$outboundSchema;
  })(CreateProjectEnv11$ ||= {});
  CreateProjectEnvRequestBody1$inboundSchema = unionType([
    lazyType(() => CreateProjectEnv11$inboundSchema),
    lazyType(() => CreateProjectEnv12$inboundSchema)
  ]);
  CreateProjectEnvRequestBody1$outboundSchema = unionType([
    lazyType(() => CreateProjectEnv11$outboundSchema),
    lazyType(() => CreateProjectEnv12$outboundSchema)
  ]);
  ((CreateProjectEnvRequestBody1$) => {
    CreateProjectEnvRequestBody1$.inboundSchema = CreateProjectEnvRequestBody1$inboundSchema;
    CreateProjectEnvRequestBody1$.outboundSchema = CreateProjectEnvRequestBody1$outboundSchema;
  })(CreateProjectEnvRequestBody1$ ||= {});
  CreateProjectEnvRequestBody$inboundSchema = unionType([
    unionType([
      lazyType(() => CreateProjectEnv11$inboundSchema),
      lazyType(() => CreateProjectEnv12$inboundSchema)
    ]),
    arrayType(unionType([
      lazyType(() => Two1$inboundSchema),
      lazyType(() => Two2$inboundSchema)
    ]))
  ]);
  CreateProjectEnvRequestBody$outboundSchema = unionType([
    unionType([
      lazyType(() => CreateProjectEnv11$outboundSchema),
      lazyType(() => CreateProjectEnv12$outboundSchema)
    ]),
    arrayType(unionType([
      lazyType(() => Two1$outboundSchema),
      lazyType(() => Two2$outboundSchema)
    ]))
  ]);
  ((CreateProjectEnvRequestBody$) => {
    CreateProjectEnvRequestBody$.inboundSchema = CreateProjectEnvRequestBody$inboundSchema;
    CreateProjectEnvRequestBody$.outboundSchema = CreateProjectEnvRequestBody$outboundSchema;
  })(CreateProjectEnvRequestBody$ ||= {});
  CreateProjectEnvRequest$inboundSchema = objectType({
    idOrName: stringType(),
    upsert: stringType().optional(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    RequestBody: unionType([
      unionType([
        lazyType(() => CreateProjectEnv11$inboundSchema),
        lazyType(() => CreateProjectEnv12$inboundSchema)
      ]),
      arrayType(unionType([
        lazyType(() => Two1$inboundSchema),
        lazyType(() => Two2$inboundSchema)
      ]))
    ])
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  CreateProjectEnvRequest$outboundSchema = objectType({
    idOrName: stringType(),
    upsert: stringType().optional(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    requestBody: unionType([
      unionType([
        lazyType(() => CreateProjectEnv11$outboundSchema),
        lazyType(() => CreateProjectEnv12$outboundSchema)
      ]),
      arrayType(unionType([
        lazyType(() => Two1$outboundSchema),
        lazyType(() => Two2$outboundSchema)
      ]))
    ])
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((CreateProjectEnvRequest$) => {
    CreateProjectEnvRequest$.inboundSchema = CreateProjectEnvRequest$inboundSchema;
    CreateProjectEnvRequest$.outboundSchema = CreateProjectEnvRequest$outboundSchema;
  })(CreateProjectEnvRequest$ ||= {});
  CreateProjectEnvTargetProjects2$inboundSchema = nativeEnumType(CreateProjectEnvTargetProjects2);
  CreateProjectEnvTargetProjects2$outboundSchema = CreateProjectEnvTargetProjects2$inboundSchema;
  ((CreateProjectEnvTargetProjects2$) => {
    CreateProjectEnvTargetProjects2$.inboundSchema = CreateProjectEnvTargetProjects2$inboundSchema;
    CreateProjectEnvTargetProjects2$.outboundSchema = CreateProjectEnvTargetProjects2$outboundSchema;
  })(CreateProjectEnvTargetProjects2$ ||= {});
  CreateProjectEnvCreatedTarget$inboundSchema = unionType([
    arrayType(stringType()),
    CreateProjectEnvTargetProjects2$inboundSchema
  ]);
  CreateProjectEnvCreatedTarget$outboundSchema = unionType([
    arrayType(stringType()),
    CreateProjectEnvTargetProjects2$outboundSchema
  ]);
  ((CreateProjectEnvCreatedTarget$) => {
    CreateProjectEnvCreatedTarget$.inboundSchema = CreateProjectEnvCreatedTarget$inboundSchema;
    CreateProjectEnvCreatedTarget$.outboundSchema = CreateProjectEnvCreatedTarget$outboundSchema;
  })(CreateProjectEnvCreatedTarget$ ||= {});
  CreateProjectEnvCreatedType$inboundSchema = nativeEnumType(CreateProjectEnvCreatedType);
  CreateProjectEnvCreatedType$outboundSchema = CreateProjectEnvCreatedType$inboundSchema;
  ((CreateProjectEnvCreatedType$) => {
    CreateProjectEnvCreatedType$.inboundSchema = CreateProjectEnvCreatedType$inboundSchema;
    CreateProjectEnvCreatedType$.outboundSchema = CreateProjectEnvCreatedType$outboundSchema;
  })(CreateProjectEnvCreatedType$ ||= {});
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated215Type$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated215Type);
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated215Type$outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated215Type$inboundSchema;
  ((CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated215Type$) => {
    CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated215Type$.inboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated215Type$inboundSchema;
    CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated215Type$.outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated215Type$outboundSchema;
  })(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated215Type$ ||= {});
  CreateProjectEnvContentHintProjects15$inboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated215Type$inboundSchema,
    projectId: stringType()
  });
  CreateProjectEnvContentHintProjects15$outboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated215Type$outboundSchema,
    projectId: stringType()
  });
  ((CreateProjectEnvContentHintProjects15$) => {
    CreateProjectEnvContentHintProjects15$.inboundSchema = CreateProjectEnvContentHintProjects15$inboundSchema;
    CreateProjectEnvContentHintProjects15$.outboundSchema = CreateProjectEnvContentHintProjects15$outboundSchema;
  })(CreateProjectEnvContentHintProjects15$ ||= {});
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated214Type$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated214Type);
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated214Type$outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated214Type$inboundSchema;
  ((CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated214Type$) => {
    CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated214Type$.inboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated214Type$inboundSchema;
    CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated214Type$.outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated214Type$outboundSchema;
  })(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated214Type$ ||= {});
  CreateProjectEnvContentHintProjects14$inboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated214Type$inboundSchema,
    storeId: stringType(),
    integrationId: stringType(),
    integrationProductId: stringType(),
    integrationConfigurationId: stringType()
  });
  CreateProjectEnvContentHintProjects14$outboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated214Type$outboundSchema,
    storeId: stringType(),
    integrationId: stringType(),
    integrationProductId: stringType(),
    integrationConfigurationId: stringType()
  });
  ((CreateProjectEnvContentHintProjects14$) => {
    CreateProjectEnvContentHintProjects14$.inboundSchema = CreateProjectEnvContentHintProjects14$inboundSchema;
    CreateProjectEnvContentHintProjects14$.outboundSchema = CreateProjectEnvContentHintProjects14$outboundSchema;
  })(CreateProjectEnvContentHintProjects14$ ||= {});
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated213Type$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated213Type);
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated213Type$outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated213Type$inboundSchema;
  ((CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated213Type$) => {
    CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated213Type$.inboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated213Type$inboundSchema;
    CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated213Type$.outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated213Type$outboundSchema;
  })(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated213Type$ ||= {});
  CreateProjectEnvContentHintProjects13$inboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated213Type$inboundSchema,
    storeId: stringType()
  });
  CreateProjectEnvContentHintProjects13$outboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated213Type$outboundSchema,
    storeId: stringType()
  });
  ((CreateProjectEnvContentHintProjects13$) => {
    CreateProjectEnvContentHintProjects13$.inboundSchema = CreateProjectEnvContentHintProjects13$inboundSchema;
    CreateProjectEnvContentHintProjects13$.outboundSchema = CreateProjectEnvContentHintProjects13$outboundSchema;
  })(CreateProjectEnvContentHintProjects13$ ||= {});
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated212Type$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated212Type);
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated212Type$outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated212Type$inboundSchema;
  ((CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated212Type$) => {
    CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated212Type$.inboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated212Type$inboundSchema;
    CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated212Type$.outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated212Type$outboundSchema;
  })(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated212Type$ ||= {});
  CreateProjectEnvContentHintProjects12$inboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated212Type$inboundSchema,
    storeId: stringType()
  });
  CreateProjectEnvContentHintProjects12$outboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated212Type$outboundSchema,
    storeId: stringType()
  });
  ((CreateProjectEnvContentHintProjects12$) => {
    CreateProjectEnvContentHintProjects12$.inboundSchema = CreateProjectEnvContentHintProjects12$inboundSchema;
    CreateProjectEnvContentHintProjects12$.outboundSchema = CreateProjectEnvContentHintProjects12$outboundSchema;
  })(CreateProjectEnvContentHintProjects12$ ||= {});
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated211Type$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated211Type);
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated211Type$outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated211Type$inboundSchema;
  ((CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated211Type$) => {
    CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated211Type$.inboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated211Type$inboundSchema;
    CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated211Type$.outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated211Type$outboundSchema;
  })(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated211Type$ ||= {});
  CreateProjectEnvContentHintProjects11$inboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated211Type$inboundSchema,
    storeId: stringType()
  });
  CreateProjectEnvContentHintProjects11$outboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated211Type$outboundSchema,
    storeId: stringType()
  });
  ((CreateProjectEnvContentHintProjects11$) => {
    CreateProjectEnvContentHintProjects11$.inboundSchema = CreateProjectEnvContentHintProjects11$inboundSchema;
    CreateProjectEnvContentHintProjects11$.outboundSchema = CreateProjectEnvContentHintProjects11$outboundSchema;
  })(CreateProjectEnvContentHintProjects11$ ||= {});
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated210Type$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated210Type);
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated210Type$outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated210Type$inboundSchema;
  ((CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated210Type$) => {
    CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated210Type$.inboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated210Type$inboundSchema;
    CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated210Type$.outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated210Type$outboundSchema;
  })(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated210Type$ ||= {});
  CreateProjectEnvContentHintProjects10$inboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated210Type$inboundSchema,
    storeId: stringType()
  });
  CreateProjectEnvContentHintProjects10$outboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated210Type$outboundSchema,
    storeId: stringType()
  });
  ((CreateProjectEnvContentHintProjects10$) => {
    CreateProjectEnvContentHintProjects10$.inboundSchema = CreateProjectEnvContentHintProjects10$inboundSchema;
    CreateProjectEnvContentHintProjects10$.outboundSchema = CreateProjectEnvContentHintProjects10$outboundSchema;
  })(CreateProjectEnvContentHintProjects10$ ||= {});
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated29Type$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated29Type);
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated29Type$outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated29Type$inboundSchema;
  ((CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated29Type$) => {
    CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated29Type$.inboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated29Type$inboundSchema;
    CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated29Type$.outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated29Type$outboundSchema;
  })(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated29Type$ ||= {});
  CreateProjectEnvContentHintProjects9$inboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated29Type$inboundSchema,
    storeId: stringType()
  });
  CreateProjectEnvContentHintProjects9$outboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated29Type$outboundSchema,
    storeId: stringType()
  });
  ((CreateProjectEnvContentHintProjects9$) => {
    CreateProjectEnvContentHintProjects9$.inboundSchema = CreateProjectEnvContentHintProjects9$inboundSchema;
    CreateProjectEnvContentHintProjects9$.outboundSchema = CreateProjectEnvContentHintProjects9$outboundSchema;
  })(CreateProjectEnvContentHintProjects9$ ||= {});
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated28Type$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated28Type);
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated28Type$outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated28Type$inboundSchema;
  ((CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated28Type$) => {
    CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated28Type$.inboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated28Type$inboundSchema;
    CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated28Type$.outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated28Type$outboundSchema;
  })(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated28Type$ ||= {});
  CreateProjectEnvContentHintProjects8$inboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated28Type$inboundSchema,
    storeId: stringType()
  });
  CreateProjectEnvContentHintProjects8$outboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated28Type$outboundSchema,
    storeId: stringType()
  });
  ((CreateProjectEnvContentHintProjects8$) => {
    CreateProjectEnvContentHintProjects8$.inboundSchema = CreateProjectEnvContentHintProjects8$inboundSchema;
    CreateProjectEnvContentHintProjects8$.outboundSchema = CreateProjectEnvContentHintProjects8$outboundSchema;
  })(CreateProjectEnvContentHintProjects8$ ||= {});
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated27Type$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated27Type);
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated27Type$outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated27Type$inboundSchema;
  ((CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated27Type$) => {
    CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated27Type$.inboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated27Type$inboundSchema;
    CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated27Type$.outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated27Type$outboundSchema;
  })(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated27Type$ ||= {});
  CreateProjectEnvContentHintProjects7$inboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated27Type$inboundSchema,
    storeId: stringType()
  });
  CreateProjectEnvContentHintProjects7$outboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated27Type$outboundSchema,
    storeId: stringType()
  });
  ((CreateProjectEnvContentHintProjects7$) => {
    CreateProjectEnvContentHintProjects7$.inboundSchema = CreateProjectEnvContentHintProjects7$inboundSchema;
    CreateProjectEnvContentHintProjects7$.outboundSchema = CreateProjectEnvContentHintProjects7$outboundSchema;
  })(CreateProjectEnvContentHintProjects7$ ||= {});
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated26Type$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated26Type);
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated26Type$outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated26Type$inboundSchema;
  ((CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated26Type$) => {
    CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated26Type$.inboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated26Type$inboundSchema;
    CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated26Type$.outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated26Type$outboundSchema;
  })(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated26Type$ ||= {});
  CreateProjectEnvContentHintProjects6$inboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated26Type$inboundSchema,
    storeId: stringType()
  });
  CreateProjectEnvContentHintProjects6$outboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated26Type$outboundSchema,
    storeId: stringType()
  });
  ((CreateProjectEnvContentHintProjects6$) => {
    CreateProjectEnvContentHintProjects6$.inboundSchema = CreateProjectEnvContentHintProjects6$inboundSchema;
    CreateProjectEnvContentHintProjects6$.outboundSchema = CreateProjectEnvContentHintProjects6$outboundSchema;
  })(CreateProjectEnvContentHintProjects6$ ||= {});
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated25Type$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated25Type);
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated25Type$outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated25Type$inboundSchema;
  ((CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated25Type$) => {
    CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated25Type$.inboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated25Type$inboundSchema;
    CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated25Type$.outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated25Type$outboundSchema;
  })(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated25Type$ ||= {});
  CreateProjectEnvContentHintProjects5$inboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated25Type$inboundSchema,
    storeId: stringType()
  });
  CreateProjectEnvContentHintProjects5$outboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated25Type$outboundSchema,
    storeId: stringType()
  });
  ((CreateProjectEnvContentHintProjects5$) => {
    CreateProjectEnvContentHintProjects5$.inboundSchema = CreateProjectEnvContentHintProjects5$inboundSchema;
    CreateProjectEnvContentHintProjects5$.outboundSchema = CreateProjectEnvContentHintProjects5$outboundSchema;
  })(CreateProjectEnvContentHintProjects5$ ||= {});
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated24Type$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated24Type);
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated24Type$outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated24Type$inboundSchema;
  ((CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated24Type$) => {
    CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated24Type$.inboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated24Type$inboundSchema;
    CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated24Type$.outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated24Type$outboundSchema;
  })(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated24Type$ ||= {});
  CreateProjectEnvContentHintProjects4$inboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated24Type$inboundSchema,
    storeId: stringType()
  });
  CreateProjectEnvContentHintProjects4$outboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated24Type$outboundSchema,
    storeId: stringType()
  });
  ((CreateProjectEnvContentHintProjects4$) => {
    CreateProjectEnvContentHintProjects4$.inboundSchema = CreateProjectEnvContentHintProjects4$inboundSchema;
    CreateProjectEnvContentHintProjects4$.outboundSchema = CreateProjectEnvContentHintProjects4$outboundSchema;
  })(CreateProjectEnvContentHintProjects4$ ||= {});
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated23Type$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated23Type);
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated23Type$outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated23Type$inboundSchema;
  ((CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated23Type$) => {
    CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated23Type$.inboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated23Type$inboundSchema;
    CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated23Type$.outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated23Type$outboundSchema;
  })(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated23Type$ ||= {});
  CreateProjectEnvContentHintProjects3$inboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated23Type$inboundSchema,
    storeId: stringType()
  });
  CreateProjectEnvContentHintProjects3$outboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated23Type$outboundSchema,
    storeId: stringType()
  });
  ((CreateProjectEnvContentHintProjects3$) => {
    CreateProjectEnvContentHintProjects3$.inboundSchema = CreateProjectEnvContentHintProjects3$inboundSchema;
    CreateProjectEnvContentHintProjects3$.outboundSchema = CreateProjectEnvContentHintProjects3$outboundSchema;
  })(CreateProjectEnvContentHintProjects3$ ||= {});
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated22Type$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated22Type);
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated22Type$outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated22Type$inboundSchema;
  ((CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated22Type$) => {
    CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated22Type$.inboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated22Type$inboundSchema;
    CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated22Type$.outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated22Type$outboundSchema;
  })(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated22Type$ ||= {});
  CreateProjectEnvContentHintProjects2$inboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated22Type$inboundSchema,
    storeId: stringType()
  });
  CreateProjectEnvContentHintProjects2$outboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated22Type$outboundSchema,
    storeId: stringType()
  });
  ((CreateProjectEnvContentHintProjects2$) => {
    CreateProjectEnvContentHintProjects2$.inboundSchema = CreateProjectEnvContentHintProjects2$inboundSchema;
    CreateProjectEnvContentHintProjects2$.outboundSchema = CreateProjectEnvContentHintProjects2$outboundSchema;
  })(CreateProjectEnvContentHintProjects2$ ||= {});
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated2Type$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated2Type);
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated2Type$outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated2Type$inboundSchema;
  ((CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated2Type$) => {
    CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated2Type$.inboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated2Type$inboundSchema;
    CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated2Type$.outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated2Type$outboundSchema;
  })(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated2Type$ ||= {});
  CreateProjectEnvContentHintProjects1$inboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated2Type$inboundSchema,
    storeId: stringType()
  });
  CreateProjectEnvContentHintProjects1$outboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated2Type$outboundSchema,
    storeId: stringType()
  });
  ((CreateProjectEnvContentHintProjects1$) => {
    CreateProjectEnvContentHintProjects1$.inboundSchema = CreateProjectEnvContentHintProjects1$inboundSchema;
    CreateProjectEnvContentHintProjects1$.outboundSchema = CreateProjectEnvContentHintProjects1$outboundSchema;
  })(CreateProjectEnvContentHintProjects1$ ||= {});
  CreateProjectEnvCreatedContentHint$inboundSchema = unionType([
    lazyType(() => CreateProjectEnvContentHintProjects1$inboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects2$inboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects3$inboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects4$inboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects5$inboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects6$inboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects7$inboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects8$inboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects9$inboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects10$inboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects11$inboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects12$inboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects13$inboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects15$inboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects14$inboundSchema)
  ]);
  CreateProjectEnvCreatedContentHint$outboundSchema = unionType([
    lazyType(() => CreateProjectEnvContentHintProjects1$outboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects2$outboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects3$outboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects4$outboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects5$outboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects6$outboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects7$outboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects8$outboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects9$outboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects10$outboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects11$outboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects12$outboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects13$outboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects15$outboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects14$outboundSchema)
  ]);
  ((CreateProjectEnvCreatedContentHint$) => {
    CreateProjectEnvCreatedContentHint$.inboundSchema = CreateProjectEnvCreatedContentHint$inboundSchema;
    CreateProjectEnvCreatedContentHint$.outboundSchema = CreateProjectEnvCreatedContentHint$outboundSchema;
  })(CreateProjectEnvCreatedContentHint$ ||= {});
  CreateProjectEnvCreatedProjectsResponseType$inboundSchema = nativeEnumType(CreateProjectEnvCreatedProjectsResponseType);
  CreateProjectEnvCreatedProjectsResponseType$outboundSchema = CreateProjectEnvCreatedProjectsResponseType$inboundSchema;
  ((CreateProjectEnvCreatedProjectsResponseType$) => {
    CreateProjectEnvCreatedProjectsResponseType$.inboundSchema = CreateProjectEnvCreatedProjectsResponseType$inboundSchema;
    CreateProjectEnvCreatedProjectsResponseType$.outboundSchema = CreateProjectEnvCreatedProjectsResponseType$outboundSchema;
  })(CreateProjectEnvCreatedProjectsResponseType$ ||= {});
  CreateProjectEnvCreatedInternalContentHint$inboundSchema = objectType({
    type: CreateProjectEnvCreatedProjectsResponseType$inboundSchema,
    encryptedValue: stringType()
  });
  CreateProjectEnvCreatedInternalContentHint$outboundSchema = objectType({
    type: CreateProjectEnvCreatedProjectsResponseType$outboundSchema,
    encryptedValue: stringType()
  });
  ((CreateProjectEnvCreatedInternalContentHint$) => {
    CreateProjectEnvCreatedInternalContentHint$.inboundSchema = CreateProjectEnvCreatedInternalContentHint$inboundSchema;
    CreateProjectEnvCreatedInternalContentHint$.outboundSchema = CreateProjectEnvCreatedInternalContentHint$outboundSchema;
  })(CreateProjectEnvCreatedInternalContentHint$ ||= {});
  Created2$inboundSchema = objectType({
    target: unionType([
      arrayType(stringType()),
      CreateProjectEnvTargetProjects2$inboundSchema
    ]).optional(),
    type: CreateProjectEnvCreatedType$inboundSchema.optional(),
    sunsetSecretId: stringType().optional(),
    decrypted: booleanType().optional(),
    value: stringType().optional(),
    vsmValue: stringType().optional(),
    id: stringType().optional(),
    key: stringType().optional(),
    configurationId: nullableType(stringType()).optional(),
    createdAt: numberType().optional(),
    updatedAt: numberType().optional(),
    createdBy: nullableType(stringType()).optional(),
    updatedBy: nullableType(stringType()).optional(),
    gitBranch: stringType().optional(),
    edgeConfigId: nullableType(stringType()).optional(),
    edgeConfigTokenId: nullableType(stringType()).optional(),
    contentHint: nullableType(unionType([
      lazyType(() => CreateProjectEnvContentHintProjects1$inboundSchema),
      lazyType(() => CreateProjectEnvContentHintProjects2$inboundSchema),
      lazyType(() => CreateProjectEnvContentHintProjects3$inboundSchema),
      lazyType(() => CreateProjectEnvContentHintProjects4$inboundSchema),
      lazyType(() => CreateProjectEnvContentHintProjects5$inboundSchema),
      lazyType(() => CreateProjectEnvContentHintProjects6$inboundSchema),
      lazyType(() => CreateProjectEnvContentHintProjects7$inboundSchema),
      lazyType(() => CreateProjectEnvContentHintProjects8$inboundSchema),
      lazyType(() => CreateProjectEnvContentHintProjects9$inboundSchema),
      lazyType(() => CreateProjectEnvContentHintProjects10$inboundSchema),
      lazyType(() => CreateProjectEnvContentHintProjects11$inboundSchema),
      lazyType(() => CreateProjectEnvContentHintProjects12$inboundSchema),
      lazyType(() => CreateProjectEnvContentHintProjects13$inboundSchema),
      lazyType(() => CreateProjectEnvContentHintProjects15$inboundSchema),
      lazyType(() => CreateProjectEnvContentHintProjects14$inboundSchema)
    ])).optional(),
    internalContentHint: nullableType(lazyType(() => CreateProjectEnvCreatedInternalContentHint$inboundSchema)).optional(),
    comment: stringType().optional(),
    customEnvironmentIds: arrayType(stringType()).optional(),
    system: booleanType().optional()
  });
  Created2$outboundSchema = objectType({
    target: unionType([
      arrayType(stringType()),
      CreateProjectEnvTargetProjects2$outboundSchema
    ]).optional(),
    type: CreateProjectEnvCreatedType$outboundSchema.optional(),
    sunsetSecretId: stringType().optional(),
    decrypted: booleanType().optional(),
    value: stringType().optional(),
    vsmValue: stringType().optional(),
    id: stringType().optional(),
    key: stringType().optional(),
    configurationId: nullableType(stringType()).optional(),
    createdAt: numberType().optional(),
    updatedAt: numberType().optional(),
    createdBy: nullableType(stringType()).optional(),
    updatedBy: nullableType(stringType()).optional(),
    gitBranch: stringType().optional(),
    edgeConfigId: nullableType(stringType()).optional(),
    edgeConfigTokenId: nullableType(stringType()).optional(),
    contentHint: nullableType(unionType([
      lazyType(() => CreateProjectEnvContentHintProjects1$outboundSchema),
      lazyType(() => CreateProjectEnvContentHintProjects2$outboundSchema),
      lazyType(() => CreateProjectEnvContentHintProjects3$outboundSchema),
      lazyType(() => CreateProjectEnvContentHintProjects4$outboundSchema),
      lazyType(() => CreateProjectEnvContentHintProjects5$outboundSchema),
      lazyType(() => CreateProjectEnvContentHintProjects6$outboundSchema),
      lazyType(() => CreateProjectEnvContentHintProjects7$outboundSchema),
      lazyType(() => CreateProjectEnvContentHintProjects8$outboundSchema),
      lazyType(() => CreateProjectEnvContentHintProjects9$outboundSchema),
      lazyType(() => CreateProjectEnvContentHintProjects10$outboundSchema),
      lazyType(() => CreateProjectEnvContentHintProjects11$outboundSchema),
      lazyType(() => CreateProjectEnvContentHintProjects12$outboundSchema),
      lazyType(() => CreateProjectEnvContentHintProjects13$outboundSchema),
      lazyType(() => CreateProjectEnvContentHintProjects15$outboundSchema),
      lazyType(() => CreateProjectEnvContentHintProjects14$outboundSchema)
    ])).optional(),
    internalContentHint: nullableType(lazyType(() => CreateProjectEnvCreatedInternalContentHint$outboundSchema)).optional(),
    comment: stringType().optional(),
    customEnvironmentIds: arrayType(stringType()).optional(),
    system: booleanType().optional()
  });
  ((Created2$) => {
    Created2$.inboundSchema = Created2$inboundSchema;
    Created2$.outboundSchema = Created2$outboundSchema;
  })(Created2$ ||= {});
  CreateProjectEnvTarget2$inboundSchema = nativeEnumType(CreateProjectEnvTarget2);
  CreateProjectEnvTarget2$outboundSchema = CreateProjectEnvTarget2$inboundSchema;
  ((CreateProjectEnvTarget2$) => {
    CreateProjectEnvTarget2$.inboundSchema = CreateProjectEnvTarget2$inboundSchema;
    CreateProjectEnvTarget2$.outboundSchema = CreateProjectEnvTarget2$outboundSchema;
  })(CreateProjectEnvTarget2$ ||= {});
  CreateProjectEnvTarget1$inboundSchema = nativeEnumType(CreateProjectEnvTarget1);
  CreateProjectEnvTarget1$outboundSchema = CreateProjectEnvTarget1$inboundSchema;
  ((CreateProjectEnvTarget1$) => {
    CreateProjectEnvTarget1$.inboundSchema = CreateProjectEnvTarget1$inboundSchema;
    CreateProjectEnvTarget1$.outboundSchema = CreateProjectEnvTarget1$outboundSchema;
  })(CreateProjectEnvTarget1$ ||= {});
  CreatedTarget$inboundSchema = unionType([
    arrayType(CreateProjectEnvTarget1$inboundSchema),
    CreateProjectEnvTarget2$inboundSchema
  ]);
  CreatedTarget$outboundSchema = unionType([
    arrayType(CreateProjectEnvTarget1$outboundSchema),
    CreateProjectEnvTarget2$outboundSchema
  ]);
  ((CreatedTarget$) => {
    CreatedTarget$.inboundSchema = CreatedTarget$inboundSchema;
    CreatedTarget$.outboundSchema = CreatedTarget$outboundSchema;
  })(CreatedTarget$ ||= {});
  CreatedType$inboundSchema = nativeEnumType(CreatedType);
  CreatedType$outboundSchema = CreatedType$inboundSchema;
  ((CreatedType$) => {
    CreatedType$.inboundSchema = CreatedType$inboundSchema;
    CreatedType$.outboundSchema = CreatedType$outboundSchema;
  })(CreatedType$ ||= {});
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated115Type$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated115Type);
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated115Type$outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated115Type$inboundSchema;
  ((CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated115Type$) => {
    CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated115Type$.inboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated115Type$inboundSchema;
    CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated115Type$.outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated115Type$outboundSchema;
  })(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated115Type$ ||= {});
  CreateProjectEnvContentHint15$inboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated115Type$inboundSchema,
    projectId: stringType()
  });
  CreateProjectEnvContentHint15$outboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated115Type$outboundSchema,
    projectId: stringType()
  });
  ((CreateProjectEnvContentHint15$) => {
    CreateProjectEnvContentHint15$.inboundSchema = CreateProjectEnvContentHint15$inboundSchema;
    CreateProjectEnvContentHint15$.outboundSchema = CreateProjectEnvContentHint15$outboundSchema;
  })(CreateProjectEnvContentHint15$ ||= {});
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated114Type$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated114Type);
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated114Type$outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated114Type$inboundSchema;
  ((CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated114Type$) => {
    CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated114Type$.inboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated114Type$inboundSchema;
    CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated114Type$.outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated114Type$outboundSchema;
  })(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated114Type$ ||= {});
  CreateProjectEnvContentHint14$inboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated114Type$inboundSchema,
    storeId: stringType(),
    integrationId: stringType(),
    integrationProductId: stringType(),
    integrationConfigurationId: stringType()
  });
  CreateProjectEnvContentHint14$outboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated114Type$outboundSchema,
    storeId: stringType(),
    integrationId: stringType(),
    integrationProductId: stringType(),
    integrationConfigurationId: stringType()
  });
  ((CreateProjectEnvContentHint14$) => {
    CreateProjectEnvContentHint14$.inboundSchema = CreateProjectEnvContentHint14$inboundSchema;
    CreateProjectEnvContentHint14$.outboundSchema = CreateProjectEnvContentHint14$outboundSchema;
  })(CreateProjectEnvContentHint14$ ||= {});
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated113Type$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated113Type);
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated113Type$outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated113Type$inboundSchema;
  ((CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated113Type$) => {
    CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated113Type$.inboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated113Type$inboundSchema;
    CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated113Type$.outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated113Type$outboundSchema;
  })(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated113Type$ ||= {});
  CreateProjectEnvContentHint13$inboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated113Type$inboundSchema,
    storeId: stringType()
  });
  CreateProjectEnvContentHint13$outboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated113Type$outboundSchema,
    storeId: stringType()
  });
  ((CreateProjectEnvContentHint13$) => {
    CreateProjectEnvContentHint13$.inboundSchema = CreateProjectEnvContentHint13$inboundSchema;
    CreateProjectEnvContentHint13$.outboundSchema = CreateProjectEnvContentHint13$outboundSchema;
  })(CreateProjectEnvContentHint13$ ||= {});
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated112Type$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated112Type);
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated112Type$outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated112Type$inboundSchema;
  ((CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated112Type$) => {
    CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated112Type$.inboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated112Type$inboundSchema;
    CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated112Type$.outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated112Type$outboundSchema;
  })(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated112Type$ ||= {});
  CreateProjectEnvContentHint12$inboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated112Type$inboundSchema,
    storeId: stringType()
  });
  CreateProjectEnvContentHint12$outboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated112Type$outboundSchema,
    storeId: stringType()
  });
  ((CreateProjectEnvContentHint12$) => {
    CreateProjectEnvContentHint12$.inboundSchema = CreateProjectEnvContentHint12$inboundSchema;
    CreateProjectEnvContentHint12$.outboundSchema = CreateProjectEnvContentHint12$outboundSchema;
  })(CreateProjectEnvContentHint12$ ||= {});
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated111Type$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated111Type);
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated111Type$outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated111Type$inboundSchema;
  ((CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated111Type$) => {
    CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated111Type$.inboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated111Type$inboundSchema;
    CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated111Type$.outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated111Type$outboundSchema;
  })(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated111Type$ ||= {});
  CreateProjectEnvContentHint11$inboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated111Type$inboundSchema,
    storeId: stringType()
  });
  CreateProjectEnvContentHint11$outboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated111Type$outboundSchema,
    storeId: stringType()
  });
  ((CreateProjectEnvContentHint11$) => {
    CreateProjectEnvContentHint11$.inboundSchema = CreateProjectEnvContentHint11$inboundSchema;
    CreateProjectEnvContentHint11$.outboundSchema = CreateProjectEnvContentHint11$outboundSchema;
  })(CreateProjectEnvContentHint11$ ||= {});
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated110Type$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated110Type);
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated110Type$outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated110Type$inboundSchema;
  ((CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated110Type$) => {
    CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated110Type$.inboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated110Type$inboundSchema;
    CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated110Type$.outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated110Type$outboundSchema;
  })(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated110Type$ ||= {});
  CreateProjectEnvContentHint10$inboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated110Type$inboundSchema,
    storeId: stringType()
  });
  CreateProjectEnvContentHint10$outboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated110Type$outboundSchema,
    storeId: stringType()
  });
  ((CreateProjectEnvContentHint10$) => {
    CreateProjectEnvContentHint10$.inboundSchema = CreateProjectEnvContentHint10$inboundSchema;
    CreateProjectEnvContentHint10$.outboundSchema = CreateProjectEnvContentHint10$outboundSchema;
  })(CreateProjectEnvContentHint10$ ||= {});
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated19Type$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated19Type);
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated19Type$outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated19Type$inboundSchema;
  ((CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated19Type$) => {
    CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated19Type$.inboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated19Type$inboundSchema;
    CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated19Type$.outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated19Type$outboundSchema;
  })(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated19Type$ ||= {});
  CreateProjectEnvContentHint9$inboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated19Type$inboundSchema,
    storeId: stringType()
  });
  CreateProjectEnvContentHint9$outboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated19Type$outboundSchema,
    storeId: stringType()
  });
  ((CreateProjectEnvContentHint9$) => {
    CreateProjectEnvContentHint9$.inboundSchema = CreateProjectEnvContentHint9$inboundSchema;
    CreateProjectEnvContentHint9$.outboundSchema = CreateProjectEnvContentHint9$outboundSchema;
  })(CreateProjectEnvContentHint9$ ||= {});
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated1Type$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated1Type);
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated1Type$outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated1Type$inboundSchema;
  ((CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated1Type$) => {
    CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated1Type$.inboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated1Type$inboundSchema;
    CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated1Type$.outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated1Type$outboundSchema;
  })(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated1Type$ ||= {});
  CreateProjectEnvContentHint8$inboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated1Type$inboundSchema,
    storeId: stringType()
  });
  CreateProjectEnvContentHint8$outboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated1Type$outboundSchema,
    storeId: stringType()
  });
  ((CreateProjectEnvContentHint8$) => {
    CreateProjectEnvContentHint8$.inboundSchema = CreateProjectEnvContentHint8$inboundSchema;
    CreateProjectEnvContentHint8$.outboundSchema = CreateProjectEnvContentHint8$outboundSchema;
  })(CreateProjectEnvContentHint8$ ||= {});
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreatedType$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreatedType);
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreatedType$outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreatedType$inboundSchema;
  ((CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreatedType$) => {
    CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreatedType$.inboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreatedType$inboundSchema;
    CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreatedType$.outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreatedType$outboundSchema;
  })(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreatedType$ ||= {});
  CreateProjectEnvContentHint7$inboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreatedType$inboundSchema,
    storeId: stringType()
  });
  CreateProjectEnvContentHint7$outboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreatedType$outboundSchema,
    storeId: stringType()
  });
  ((CreateProjectEnvContentHint7$) => {
    CreateProjectEnvContentHint7$.inboundSchema = CreateProjectEnvContentHint7$inboundSchema;
    CreateProjectEnvContentHint7$.outboundSchema = CreateProjectEnvContentHint7$outboundSchema;
  })(CreateProjectEnvContentHint7$ ||= {});
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyType$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyType);
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyType$outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyType$inboundSchema;
  ((CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyType$) => {
    CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyType$.inboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyType$inboundSchema;
    CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyType$.outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyType$outboundSchema;
  })(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyType$ ||= {});
  CreateProjectEnvContentHint6$inboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyType$inboundSchema,
    storeId: stringType()
  });
  CreateProjectEnvContentHint6$outboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyType$outboundSchema,
    storeId: stringType()
  });
  ((CreateProjectEnvContentHint6$) => {
    CreateProjectEnvContentHint6$.inboundSchema = CreateProjectEnvContentHint6$inboundSchema;
    CreateProjectEnvContentHint6$.outboundSchema = CreateProjectEnvContentHint6$outboundSchema;
  })(CreateProjectEnvContentHint6$ ||= {});
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONType$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONType);
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONType$outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONType$inboundSchema;
  ((CreateProjectEnvContentHintProjectsResponse201ApplicationJSONType$) => {
    CreateProjectEnvContentHintProjectsResponse201ApplicationJSONType$.inboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONType$inboundSchema;
    CreateProjectEnvContentHintProjectsResponse201ApplicationJSONType$.outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONType$outboundSchema;
  })(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONType$ ||= {});
  CreateProjectEnvContentHint5$inboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONType$inboundSchema,
    storeId: stringType()
  });
  CreateProjectEnvContentHint5$outboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONType$outboundSchema,
    storeId: stringType()
  });
  ((CreateProjectEnvContentHint5$) => {
    CreateProjectEnvContentHint5$.inboundSchema = CreateProjectEnvContentHint5$inboundSchema;
    CreateProjectEnvContentHint5$.outboundSchema = CreateProjectEnvContentHint5$outboundSchema;
  })(CreateProjectEnvContentHint5$ ||= {});
  CreateProjectEnvContentHintProjectsResponse201Type$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponse201Type);
  CreateProjectEnvContentHintProjectsResponse201Type$outboundSchema = CreateProjectEnvContentHintProjectsResponse201Type$inboundSchema;
  ((CreateProjectEnvContentHintProjectsResponse201Type$) => {
    CreateProjectEnvContentHintProjectsResponse201Type$.inboundSchema = CreateProjectEnvContentHintProjectsResponse201Type$inboundSchema;
    CreateProjectEnvContentHintProjectsResponse201Type$.outboundSchema = CreateProjectEnvContentHintProjectsResponse201Type$outboundSchema;
  })(CreateProjectEnvContentHintProjectsResponse201Type$ ||= {});
  CreateProjectEnvContentHint4$inboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponse201Type$inboundSchema,
    storeId: stringType()
  });
  CreateProjectEnvContentHint4$outboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponse201Type$outboundSchema,
    storeId: stringType()
  });
  ((CreateProjectEnvContentHint4$) => {
    CreateProjectEnvContentHint4$.inboundSchema = CreateProjectEnvContentHint4$inboundSchema;
    CreateProjectEnvContentHint4$.outboundSchema = CreateProjectEnvContentHint4$outboundSchema;
  })(CreateProjectEnvContentHint4$ ||= {});
  CreateProjectEnvContentHintProjectsResponseType$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponseType);
  CreateProjectEnvContentHintProjectsResponseType$outboundSchema = CreateProjectEnvContentHintProjectsResponseType$inboundSchema;
  ((CreateProjectEnvContentHintProjectsResponseType$) => {
    CreateProjectEnvContentHintProjectsResponseType$.inboundSchema = CreateProjectEnvContentHintProjectsResponseType$inboundSchema;
    CreateProjectEnvContentHintProjectsResponseType$.outboundSchema = CreateProjectEnvContentHintProjectsResponseType$outboundSchema;
  })(CreateProjectEnvContentHintProjectsResponseType$ ||= {});
  CreateProjectEnvContentHint3$inboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponseType$inboundSchema,
    storeId: stringType()
  });
  CreateProjectEnvContentHint3$outboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsResponseType$outboundSchema,
    storeId: stringType()
  });
  ((CreateProjectEnvContentHint3$) => {
    CreateProjectEnvContentHint3$.inboundSchema = CreateProjectEnvContentHint3$inboundSchema;
    CreateProjectEnvContentHint3$.outboundSchema = CreateProjectEnvContentHint3$outboundSchema;
  })(CreateProjectEnvContentHint3$ ||= {});
  CreateProjectEnvContentHintProjectsType$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsType);
  CreateProjectEnvContentHintProjectsType$outboundSchema = CreateProjectEnvContentHintProjectsType$inboundSchema;
  ((CreateProjectEnvContentHintProjectsType$) => {
    CreateProjectEnvContentHintProjectsType$.inboundSchema = CreateProjectEnvContentHintProjectsType$inboundSchema;
    CreateProjectEnvContentHintProjectsType$.outboundSchema = CreateProjectEnvContentHintProjectsType$outboundSchema;
  })(CreateProjectEnvContentHintProjectsType$ ||= {});
  CreateProjectEnvContentHint2$inboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsType$inboundSchema,
    storeId: stringType()
  });
  CreateProjectEnvContentHint2$outboundSchema = objectType({
    type: CreateProjectEnvContentHintProjectsType$outboundSchema,
    storeId: stringType()
  });
  ((CreateProjectEnvContentHint2$) => {
    CreateProjectEnvContentHint2$.inboundSchema = CreateProjectEnvContentHint2$inboundSchema;
    CreateProjectEnvContentHint2$.outboundSchema = CreateProjectEnvContentHint2$outboundSchema;
  })(CreateProjectEnvContentHint2$ ||= {});
  CreateProjectEnvContentHintType$inboundSchema = nativeEnumType(CreateProjectEnvContentHintType);
  CreateProjectEnvContentHintType$outboundSchema = CreateProjectEnvContentHintType$inboundSchema;
  ((CreateProjectEnvContentHintType$) => {
    CreateProjectEnvContentHintType$.inboundSchema = CreateProjectEnvContentHintType$inboundSchema;
    CreateProjectEnvContentHintType$.outboundSchema = CreateProjectEnvContentHintType$outboundSchema;
  })(CreateProjectEnvContentHintType$ ||= {});
  CreateProjectEnvContentHint1$inboundSchema = objectType({
    type: CreateProjectEnvContentHintType$inboundSchema,
    storeId: stringType()
  });
  CreateProjectEnvContentHint1$outboundSchema = objectType({
    type: CreateProjectEnvContentHintType$outboundSchema,
    storeId: stringType()
  });
  ((CreateProjectEnvContentHint1$) => {
    CreateProjectEnvContentHint1$.inboundSchema = CreateProjectEnvContentHint1$inboundSchema;
    CreateProjectEnvContentHint1$.outboundSchema = CreateProjectEnvContentHint1$outboundSchema;
  })(CreateProjectEnvContentHint1$ ||= {});
  CreatedContentHint$inboundSchema = unionType([
    lazyType(() => CreateProjectEnvContentHint1$inboundSchema),
    lazyType(() => CreateProjectEnvContentHint2$inboundSchema),
    lazyType(() => CreateProjectEnvContentHint3$inboundSchema),
    lazyType(() => CreateProjectEnvContentHint4$inboundSchema),
    lazyType(() => CreateProjectEnvContentHint5$inboundSchema),
    lazyType(() => CreateProjectEnvContentHint6$inboundSchema),
    lazyType(() => CreateProjectEnvContentHint7$inboundSchema),
    lazyType(() => CreateProjectEnvContentHint8$inboundSchema),
    lazyType(() => CreateProjectEnvContentHint9$inboundSchema),
    lazyType(() => CreateProjectEnvContentHint10$inboundSchema),
    lazyType(() => CreateProjectEnvContentHint11$inboundSchema),
    lazyType(() => CreateProjectEnvContentHint12$inboundSchema),
    lazyType(() => CreateProjectEnvContentHint13$inboundSchema),
    lazyType(() => CreateProjectEnvContentHint15$inboundSchema),
    lazyType(() => CreateProjectEnvContentHint14$inboundSchema)
  ]);
  CreatedContentHint$outboundSchema = unionType([
    lazyType(() => CreateProjectEnvContentHint1$outboundSchema),
    lazyType(() => CreateProjectEnvContentHint2$outboundSchema),
    lazyType(() => CreateProjectEnvContentHint3$outboundSchema),
    lazyType(() => CreateProjectEnvContentHint4$outboundSchema),
    lazyType(() => CreateProjectEnvContentHint5$outboundSchema),
    lazyType(() => CreateProjectEnvContentHint6$outboundSchema),
    lazyType(() => CreateProjectEnvContentHint7$outboundSchema),
    lazyType(() => CreateProjectEnvContentHint8$outboundSchema),
    lazyType(() => CreateProjectEnvContentHint9$outboundSchema),
    lazyType(() => CreateProjectEnvContentHint10$outboundSchema),
    lazyType(() => CreateProjectEnvContentHint11$outboundSchema),
    lazyType(() => CreateProjectEnvContentHint12$outboundSchema),
    lazyType(() => CreateProjectEnvContentHint13$outboundSchema),
    lazyType(() => CreateProjectEnvContentHint15$outboundSchema),
    lazyType(() => CreateProjectEnvContentHint14$outboundSchema)
  ]);
  ((CreatedContentHint$) => {
    CreatedContentHint$.inboundSchema = CreatedContentHint$inboundSchema;
    CreatedContentHint$.outboundSchema = CreatedContentHint$outboundSchema;
  })(CreatedContentHint$ ||= {});
  CreateProjectEnvCreatedProjectsType$inboundSchema = nativeEnumType(CreateProjectEnvCreatedProjectsType);
  CreateProjectEnvCreatedProjectsType$outboundSchema = CreateProjectEnvCreatedProjectsType$inboundSchema;
  ((CreateProjectEnvCreatedProjectsType$) => {
    CreateProjectEnvCreatedProjectsType$.inboundSchema = CreateProjectEnvCreatedProjectsType$inboundSchema;
    CreateProjectEnvCreatedProjectsType$.outboundSchema = CreateProjectEnvCreatedProjectsType$outboundSchema;
  })(CreateProjectEnvCreatedProjectsType$ ||= {});
  CreatedInternalContentHint$inboundSchema = objectType({
    type: CreateProjectEnvCreatedProjectsType$inboundSchema,
    encryptedValue: stringType()
  });
  CreatedInternalContentHint$outboundSchema = objectType({
    type: CreateProjectEnvCreatedProjectsType$outboundSchema,
    encryptedValue: stringType()
  });
  ((CreatedInternalContentHint$) => {
    CreatedInternalContentHint$.inboundSchema = CreatedInternalContentHint$inboundSchema;
    CreatedInternalContentHint$.outboundSchema = CreatedInternalContentHint$outboundSchema;
  })(CreatedInternalContentHint$ ||= {});
  Created1$inboundSchema = objectType({
    target: unionType([
      arrayType(CreateProjectEnvTarget1$inboundSchema),
      CreateProjectEnvTarget2$inboundSchema
    ]).optional(),
    type: CreatedType$inboundSchema.optional(),
    sunsetSecretId: stringType().optional(),
    decrypted: booleanType().optional(),
    value: stringType().optional(),
    vsmValue: stringType().optional(),
    id: stringType().optional(),
    key: stringType().optional(),
    configurationId: nullableType(stringType()).optional(),
    createdAt: numberType().optional(),
    updatedAt: numberType().optional(),
    createdBy: nullableType(stringType()).optional(),
    updatedBy: nullableType(stringType()).optional(),
    gitBranch: stringType().optional(),
    edgeConfigId: nullableType(stringType()).optional(),
    edgeConfigTokenId: nullableType(stringType()).optional(),
    contentHint: nullableType(unionType([
      lazyType(() => CreateProjectEnvContentHint1$inboundSchema),
      lazyType(() => CreateProjectEnvContentHint2$inboundSchema),
      lazyType(() => CreateProjectEnvContentHint3$inboundSchema),
      lazyType(() => CreateProjectEnvContentHint4$inboundSchema),
      lazyType(() => CreateProjectEnvContentHint5$inboundSchema),
      lazyType(() => CreateProjectEnvContentHint6$inboundSchema),
      lazyType(() => CreateProjectEnvContentHint7$inboundSchema),
      lazyType(() => CreateProjectEnvContentHint8$inboundSchema),
      lazyType(() => CreateProjectEnvContentHint9$inboundSchema),
      lazyType(() => CreateProjectEnvContentHint10$inboundSchema),
      lazyType(() => CreateProjectEnvContentHint11$inboundSchema),
      lazyType(() => CreateProjectEnvContentHint12$inboundSchema),
      lazyType(() => CreateProjectEnvContentHint13$inboundSchema),
      lazyType(() => CreateProjectEnvContentHint15$inboundSchema),
      lazyType(() => CreateProjectEnvContentHint14$inboundSchema)
    ])).optional(),
    internalContentHint: nullableType(lazyType(() => CreatedInternalContentHint$inboundSchema)).optional(),
    comment: stringType().optional(),
    customEnvironmentIds: arrayType(stringType()).optional(),
    system: booleanType().optional()
  });
  Created1$outboundSchema = objectType({
    target: unionType([
      arrayType(CreateProjectEnvTarget1$outboundSchema),
      CreateProjectEnvTarget2$outboundSchema
    ]).optional(),
    type: CreatedType$outboundSchema.optional(),
    sunsetSecretId: stringType().optional(),
    decrypted: booleanType().optional(),
    value: stringType().optional(),
    vsmValue: stringType().optional(),
    id: stringType().optional(),
    key: stringType().optional(),
    configurationId: nullableType(stringType()).optional(),
    createdAt: numberType().optional(),
    updatedAt: numberType().optional(),
    createdBy: nullableType(stringType()).optional(),
    updatedBy: nullableType(stringType()).optional(),
    gitBranch: stringType().optional(),
    edgeConfigId: nullableType(stringType()).optional(),
    edgeConfigTokenId: nullableType(stringType()).optional(),
    contentHint: nullableType(unionType([
      lazyType(() => CreateProjectEnvContentHint1$outboundSchema),
      lazyType(() => CreateProjectEnvContentHint2$outboundSchema),
      lazyType(() => CreateProjectEnvContentHint3$outboundSchema),
      lazyType(() => CreateProjectEnvContentHint4$outboundSchema),
      lazyType(() => CreateProjectEnvContentHint5$outboundSchema),
      lazyType(() => CreateProjectEnvContentHint6$outboundSchema),
      lazyType(() => CreateProjectEnvContentHint7$outboundSchema),
      lazyType(() => CreateProjectEnvContentHint8$outboundSchema),
      lazyType(() => CreateProjectEnvContentHint9$outboundSchema),
      lazyType(() => CreateProjectEnvContentHint10$outboundSchema),
      lazyType(() => CreateProjectEnvContentHint11$outboundSchema),
      lazyType(() => CreateProjectEnvContentHint12$outboundSchema),
      lazyType(() => CreateProjectEnvContentHint13$outboundSchema),
      lazyType(() => CreateProjectEnvContentHint15$outboundSchema),
      lazyType(() => CreateProjectEnvContentHint14$outboundSchema)
    ])).optional(),
    internalContentHint: nullableType(lazyType(() => CreatedInternalContentHint$outboundSchema)).optional(),
    comment: stringType().optional(),
    customEnvironmentIds: arrayType(stringType()).optional(),
    system: booleanType().optional()
  });
  ((Created1$) => {
    Created1$.inboundSchema = Created1$inboundSchema;
    Created1$.outboundSchema = Created1$outboundSchema;
  })(Created1$ ||= {});
  Created$inboundSchema = unionType([
    lazyType(() => Created1$inboundSchema),
    arrayType(lazyType(() => Created2$inboundSchema))
  ]);
  Created$outboundSchema = unionType([
    lazyType(() => Created1$outboundSchema),
    arrayType(lazyType(() => Created2$outboundSchema))
  ]);
  ((Created$) => {
    Created$.inboundSchema = Created$inboundSchema;
    Created$.outboundSchema = Created$outboundSchema;
  })(Created$ ||= {});
  Value2$inboundSchema = nativeEnumType(Value2);
  Value2$outboundSchema = Value2$inboundSchema;
  ((Value2$) => {
    Value2$.inboundSchema = Value2$inboundSchema;
    Value2$.outboundSchema = Value2$outboundSchema;
  })(Value2$ ||= {});
  CreateProjectEnvValue$inboundSchema = unionType([stringType(), arrayType(Value2$inboundSchema)]);
  CreateProjectEnvValue$outboundSchema = unionType([stringType(), arrayType(Value2$outboundSchema)]);
  ((CreateProjectEnvValue$) => {
    CreateProjectEnvValue$.inboundSchema = CreateProjectEnvValue$inboundSchema;
    CreateProjectEnvValue$.outboundSchema = CreateProjectEnvValue$outboundSchema;
  })(CreateProjectEnvValue$ ||= {});
  CreateProjectEnvTargetProjectsResponse2$inboundSchema = nativeEnumType(CreateProjectEnvTargetProjectsResponse2);
  CreateProjectEnvTargetProjectsResponse2$outboundSchema = CreateProjectEnvTargetProjectsResponse2$inboundSchema;
  ((CreateProjectEnvTargetProjectsResponse2$) => {
    CreateProjectEnvTargetProjectsResponse2$.inboundSchema = CreateProjectEnvTargetProjectsResponse2$inboundSchema;
    CreateProjectEnvTargetProjectsResponse2$.outboundSchema = CreateProjectEnvTargetProjectsResponse2$outboundSchema;
  })(CreateProjectEnvTargetProjectsResponse2$ ||= {});
  CreateProjectEnvTargetProjects1$inboundSchema = nativeEnumType(CreateProjectEnvTargetProjects1);
  CreateProjectEnvTargetProjects1$outboundSchema = CreateProjectEnvTargetProjects1$inboundSchema;
  ((CreateProjectEnvTargetProjects1$) => {
    CreateProjectEnvTargetProjects1$.inboundSchema = CreateProjectEnvTargetProjects1$inboundSchema;
    CreateProjectEnvTargetProjects1$.outboundSchema = CreateProjectEnvTargetProjects1$outboundSchema;
  })(CreateProjectEnvTargetProjects1$ ||= {});
  CreateProjectEnvTarget$inboundSchema = unionType([
    arrayType(CreateProjectEnvTargetProjects1$inboundSchema),
    CreateProjectEnvTargetProjectsResponse2$inboundSchema
  ]);
  CreateProjectEnvTarget$outboundSchema = unionType([
    arrayType(CreateProjectEnvTargetProjects1$outboundSchema),
    CreateProjectEnvTargetProjectsResponse2$outboundSchema
  ]);
  ((CreateProjectEnvTarget$) => {
    CreateProjectEnvTarget$.inboundSchema = CreateProjectEnvTarget$inboundSchema;
    CreateProjectEnvTarget$.outboundSchema = CreateProjectEnvTarget$outboundSchema;
  })(CreateProjectEnvTarget$ ||= {});
  CreateProjectEnvError$inboundSchema = objectType({
    code: stringType(),
    message: stringType(),
    key: stringType().optional(),
    envVarId: stringType().optional(),
    envVarKey: stringType().optional(),
    action: stringType().optional(),
    link: stringType().optional(),
    value: unionType([stringType(), arrayType(Value2$inboundSchema)]).optional(),
    gitBranch: stringType().optional(),
    target: unionType([
      arrayType(CreateProjectEnvTargetProjects1$inboundSchema),
      CreateProjectEnvTargetProjectsResponse2$inboundSchema
    ]).optional(),
    project: stringType().optional()
  });
  CreateProjectEnvError$outboundSchema = objectType({
    code: stringType(),
    message: stringType(),
    key: stringType().optional(),
    envVarId: stringType().optional(),
    envVarKey: stringType().optional(),
    action: stringType().optional(),
    link: stringType().optional(),
    value: unionType([stringType(), arrayType(Value2$outboundSchema)]).optional(),
    gitBranch: stringType().optional(),
    target: unionType([
      arrayType(CreateProjectEnvTargetProjects1$outboundSchema),
      CreateProjectEnvTargetProjectsResponse2$outboundSchema
    ]).optional(),
    project: stringType().optional()
  });
  ((CreateProjectEnvError$) => {
    CreateProjectEnvError$.inboundSchema = CreateProjectEnvError$inboundSchema;
    CreateProjectEnvError$.outboundSchema = CreateProjectEnvError$outboundSchema;
  })(CreateProjectEnvError$ ||= {});
  Failed$inboundSchema = objectType({
    error: lazyType(() => CreateProjectEnvError$inboundSchema)
  });
  Failed$outboundSchema = objectType({
    error: lazyType(() => CreateProjectEnvError$outboundSchema)
  });
  ((Failed$) => {
    Failed$.inboundSchema = Failed$inboundSchema;
    Failed$.outboundSchema = Failed$outboundSchema;
  })(Failed$ ||= {});
  CreateProjectEnvResponseBody$inboundSchema = objectType({
    created: unionType([
      lazyType(() => Created1$inboundSchema),
      arrayType(lazyType(() => Created2$inboundSchema))
    ]),
    failed: arrayType(lazyType(() => Failed$inboundSchema))
  });
  CreateProjectEnvResponseBody$outboundSchema = objectType({
    created: unionType([
      lazyType(() => Created1$outboundSchema),
      arrayType(lazyType(() => Created2$outboundSchema))
    ]),
    failed: arrayType(lazyType(() => Failed$outboundSchema))
  });
  ((CreateProjectEnvResponseBody$) => {
    CreateProjectEnvResponseBody$.inboundSchema = CreateProjectEnvResponseBody$inboundSchema;
    CreateProjectEnvResponseBody$.outboundSchema = CreateProjectEnvResponseBody$outboundSchema;
  })(CreateProjectEnvResponseBody$ ||= {});
});

// src/funcs/projectsCreateProjectEnv.ts
function projectsCreateProjectEnv(client, request, options) {
  return new APIPromise($do119(client, request, options));
}
async function $do119(client, request, options) {
  const parsed = safeParse(request, (value) => CreateProjectEnvRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v10/projects/{idOrName}/env")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId,
    upsert: payload.upsert
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "createProjectEnv",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "409", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(201, CreateProjectEnvResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([402, 403, 409, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_projectsCreateProjectEnv = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_createprojectenvop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/projectsCreateProjectEnv.ts
var args118, tool$projectsCreateProjectEnv;
var init_projectsCreateProjectEnv2 = __esm(() => {
  init_projectsCreateProjectEnv();
  init_createprojectenvop();
  init_tools();
  args118 = {
    request: CreateProjectEnvRequest$inboundSchema
  };
  tool$projectsCreateProjectEnv = {
    name: "projects-create-project-env",
    description: `Create one or more environment variables

Create one or more environment variables for a project by passing its \`key\`, \`value\`, \`type\` and \`target\` and by specifying the project by either passing the project \`id\` or \`name\` in the URL. If you include \`upsert=true\` as a query parameter, a new environment variable will not be created if it already exists but, the existing variable's value will be updated.`,
    args: args118,
    tool: async (client, args119, ctx) => {
      const [result, apiCall] = await projectsCreateProjectEnv(client, args119.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/createprojecttransferrequestop.ts
var CreateProjectTransferRequestRequestBody$inboundSchema, CreateProjectTransferRequestRequestBody$outboundSchema, CreateProjectTransferRequestRequestBody$, CreateProjectTransferRequestRequest$inboundSchema, CreateProjectTransferRequestRequest$outboundSchema, CreateProjectTransferRequestRequest$, CreateProjectTransferRequestResponseBody$inboundSchema, CreateProjectTransferRequestResponseBody$outboundSchema, CreateProjectTransferRequestResponseBody$;
var init_createprojecttransferrequestop = __esm(() => {
  init_esm();
  init_primitives();
  CreateProjectTransferRequestRequestBody$inboundSchema = objectType({
    callbackUrl: stringType().optional(),
    callbackSecret: stringType().optional()
  });
  CreateProjectTransferRequestRequestBody$outboundSchema = objectType({
    callbackUrl: stringType().optional(),
    callbackSecret: stringType().optional()
  });
  ((CreateProjectTransferRequestRequestBody$) => {
    CreateProjectTransferRequestRequestBody$.inboundSchema = CreateProjectTransferRequestRequestBody$inboundSchema;
    CreateProjectTransferRequestRequestBody$.outboundSchema = CreateProjectTransferRequestRequestBody$outboundSchema;
  })(CreateProjectTransferRequestRequestBody$ ||= {});
  CreateProjectTransferRequestRequest$inboundSchema = objectType({
    idOrName: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    RequestBody: lazyType(() => CreateProjectTransferRequestRequestBody$inboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  CreateProjectTransferRequestRequest$outboundSchema = objectType({
    idOrName: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    requestBody: lazyType(() => CreateProjectTransferRequestRequestBody$outboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((CreateProjectTransferRequestRequest$) => {
    CreateProjectTransferRequestRequest$.inboundSchema = CreateProjectTransferRequestRequest$inboundSchema;
    CreateProjectTransferRequestRequest$.outboundSchema = CreateProjectTransferRequestRequest$outboundSchema;
  })(CreateProjectTransferRequestRequest$ ||= {});
  CreateProjectTransferRequestResponseBody$inboundSchema = objectType({
    code: stringType()
  });
  CreateProjectTransferRequestResponseBody$outboundSchema = objectType({
    code: stringType()
  });
  ((CreateProjectTransferRequestResponseBody$) => {
    CreateProjectTransferRequestResponseBody$.inboundSchema = CreateProjectTransferRequestResponseBody$inboundSchema;
    CreateProjectTransferRequestResponseBody$.outboundSchema = CreateProjectTransferRequestResponseBody$outboundSchema;
  })(CreateProjectTransferRequestResponseBody$ ||= {});
});

// src/funcs/projectsCreateProjectTransferRequest.ts
function projectsCreateProjectTransferRequest(client, request, options) {
  return new APIPromise($do120(client, request, options));
}
async function $do120(client, request, options) {
  const parsed = safeParse(request, (value) => CreateProjectTransferRequestRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/projects/{idOrName}/transfer-request")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "createProjectTransferRequest",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, CreateProjectTransferRequestResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_projectsCreateProjectTransferRequest = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_createprojecttransferrequestop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/projectsCreateProjectTransferRequest.ts
var args119, tool$projectsCreateProjectTransferRequest;
var init_projectsCreateProjectTransferRequest2 = __esm(() => {
  init_projectsCreateProjectTransferRequest();
  init_createprojecttransferrequestop();
  init_tools();
  args119 = {
    request: CreateProjectTransferRequestRequest$inboundSchema
  };
  tool$projectsCreateProjectTransferRequest = {
    name: "projects-create-project-transfer-request",
    description: `Create project transfer request

Initiates a project transfer request from one team to another. <br/> Returns a \`code\` that remains valid for 24 hours and can be used to accept the transfer request by another team using the \`PUT /projects/transfer-request/:code\` endpoint. <br/> Users can also accept the project transfer request using the claim URL: \`https://vercel.com/claim-deployment?code=<code>&returnUrl=<returnUrl>\`. <br/> The \`code\` parameter specifies the project transfer request code generated using this endpoint. <br/> The \`returnUrl\` parameter redirects users to a specific page of the application if the claim URL is invalid or expired.`,
    args: args119,
    tool: async (client, args120, ctx) => {
      const [result, apiCall] = await projectsCreateProjectTransferRequest(client, args120.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/deleteprojectop.ts
var DeleteProjectRequest$inboundSchema, DeleteProjectRequest$outboundSchema, DeleteProjectRequest$;
var init_deleteprojectop = __esm(() => {
  init_esm();
  DeleteProjectRequest$inboundSchema = objectType({
    idOrName: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  DeleteProjectRequest$outboundSchema = objectType({
    idOrName: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((DeleteProjectRequest$) => {
    DeleteProjectRequest$.inboundSchema = DeleteProjectRequest$inboundSchema;
    DeleteProjectRequest$.outboundSchema = DeleteProjectRequest$outboundSchema;
  })(DeleteProjectRequest$ ||= {});
});

// src/funcs/projectsDeleteProject.ts
function projectsDeleteProject(client, request, options) {
  return new APIPromise($do121(client, request, options));
}
async function $do121(client, request, options) {
  const parsed = safeParse(request, (value) => DeleteProjectRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v9/projects/{idOrName}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "deleteProject",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "DELETE",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "409", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(nil(204, voidType()), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, 409, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_projectsDeleteProject = __esm(() => {
  init_esm();
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_deleteprojectop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/projectsDeleteProject.ts
var args120, tool$projectsDeleteProject;
var init_projectsDeleteProject2 = __esm(() => {
  init_projectsDeleteProject();
  init_deleteprojectop();
  init_tools();
  args120 = {
    request: DeleteProjectRequest$inboundSchema
  };
  tool$projectsDeleteProject = {
    name: "projects-delete-project",
    description: `Delete a Project

Delete a specific project by passing either the project \`id\` or \`name\` in the URL.`,
    args: args120,
    tool: async (client, args121, ctx) => {
      const [result, apiCall] = await projectsDeleteProject(client, args121.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      return formatResult(undefined, apiCall);
    }
  };
});

// src/models/editprojectenvop.ts
var EditProjectEnvTarget, EditProjectEnvType, EditProjectEnvTarget2, EditProjectEnvResponseBodyType, EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type, EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type, EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type, EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type, EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type, EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type, EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type, EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type, EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type, EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType, EditProjectEnvContentHintProjectsResponse200ApplicationJSONType, EditProjectEnvContentHintProjectsResponse200Type, EditProjectEnvContentHintProjectsResponseType, EditProjectEnvContentHintProjectsType, EditProjectEnvContentHintType, EditProjectEnvResponseBodyProjectsType, EditProjectEnvTarget$inboundSchema, EditProjectEnvTarget$outboundSchema, EditProjectEnvTarget$, EditProjectEnvType$inboundSchema, EditProjectEnvType$outboundSchema, EditProjectEnvType$, EditProjectEnvRequestBody$inboundSchema, EditProjectEnvRequestBody$outboundSchema, EditProjectEnvRequestBody$, EditProjectEnvRequest$inboundSchema, EditProjectEnvRequest$outboundSchema, EditProjectEnvRequest$, EditProjectEnvResponseBody2$inboundSchema, EditProjectEnvResponseBody2$outboundSchema, EditProjectEnvResponseBody2$, EditProjectEnvTarget2$inboundSchema, EditProjectEnvTarget2$outboundSchema, EditProjectEnvTarget2$, EditProjectEnvResponseBodyTarget$inboundSchema, EditProjectEnvResponseBodyTarget$outboundSchema, EditProjectEnvResponseBodyTarget$, EditProjectEnvResponseBodyType$inboundSchema, EditProjectEnvResponseBodyType$outboundSchema, EditProjectEnvResponseBodyType$, EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$inboundSchema, EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$outboundSchema, EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$, EditProjectEnvContentHint15$inboundSchema, EditProjectEnvContentHint15$outboundSchema, EditProjectEnvContentHint15$, EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$inboundSchema, EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$outboundSchema, EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$, EditProjectEnvContentHint14$inboundSchema, EditProjectEnvContentHint14$outboundSchema, EditProjectEnvContentHint14$, EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$inboundSchema, EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$outboundSchema, EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$, EditProjectEnvContentHint13$inboundSchema, EditProjectEnvContentHint13$outboundSchema, EditProjectEnvContentHint13$, EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$inboundSchema, EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$outboundSchema, EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$, EditProjectEnvContentHint12$inboundSchema, EditProjectEnvContentHint12$outboundSchema, EditProjectEnvContentHint12$, EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$inboundSchema, EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$outboundSchema, EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$, EditProjectEnvContentHint11$inboundSchema, EditProjectEnvContentHint11$outboundSchema, EditProjectEnvContentHint11$, EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$inboundSchema, EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$outboundSchema, EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$, EditProjectEnvContentHint10$inboundSchema, EditProjectEnvContentHint10$outboundSchema, EditProjectEnvContentHint10$, EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$inboundSchema, EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$outboundSchema, EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$, EditProjectEnvContentHint9$inboundSchema, EditProjectEnvContentHint9$outboundSchema, EditProjectEnvContentHint9$, EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$inboundSchema, EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$outboundSchema, EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$, EditProjectEnvContentHint8$inboundSchema, EditProjectEnvContentHint8$outboundSchema, EditProjectEnvContentHint8$, EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$inboundSchema, EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$outboundSchema, EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$, EditProjectEnvContentHint7$inboundSchema, EditProjectEnvContentHint7$outboundSchema, EditProjectEnvContentHint7$, EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema, EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema, EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$, EditProjectEnvContentHint6$inboundSchema, EditProjectEnvContentHint6$outboundSchema, EditProjectEnvContentHint6$, EditProjectEnvContentHintProjectsResponse200ApplicationJSONType$inboundSchema, EditProjectEnvContentHintProjectsResponse200ApplicationJSONType$outboundSchema, EditProjectEnvContentHintProjectsResponse200ApplicationJSONType$, EditProjectEnvContentHint5$inboundSchema, EditProjectEnvContentHint5$outboundSchema, EditProjectEnvContentHint5$, EditProjectEnvContentHintProjectsResponse200Type$inboundSchema, EditProjectEnvContentHintProjectsResponse200Type$outboundSchema, EditProjectEnvContentHintProjectsResponse200Type$, EditProjectEnvContentHint4$inboundSchema, EditProjectEnvContentHint4$outboundSchema, EditProjectEnvContentHint4$, EditProjectEnvContentHintProjectsResponseType$inboundSchema, EditProjectEnvContentHintProjectsResponseType$outboundSchema, EditProjectEnvContentHintProjectsResponseType$, EditProjectEnvContentHint3$inboundSchema, EditProjectEnvContentHint3$outboundSchema, EditProjectEnvContentHint3$, EditProjectEnvContentHintProjectsType$inboundSchema, EditProjectEnvContentHintProjectsType$outboundSchema, EditProjectEnvContentHintProjectsType$, EditProjectEnvContentHint2$inboundSchema, EditProjectEnvContentHint2$outboundSchema, EditProjectEnvContentHint2$, EditProjectEnvContentHintType$inboundSchema, EditProjectEnvContentHintType$outboundSchema, EditProjectEnvContentHintType$, EditProjectEnvContentHint1$inboundSchema, EditProjectEnvContentHint1$outboundSchema, EditProjectEnvContentHint1$, EditProjectEnvResponseBodyContentHint$inboundSchema, EditProjectEnvResponseBodyContentHint$outboundSchema, EditProjectEnvResponseBodyContentHint$, EditProjectEnvResponseBodyProjectsType$inboundSchema, EditProjectEnvResponseBodyProjectsType$outboundSchema, EditProjectEnvResponseBodyProjectsType$, EditProjectEnvResponseBodyInternalContentHint$inboundSchema, EditProjectEnvResponseBodyInternalContentHint$outboundSchema, EditProjectEnvResponseBodyInternalContentHint$, EditProjectEnvResponseBody1$inboundSchema, EditProjectEnvResponseBody1$outboundSchema, EditProjectEnvResponseBody1$, EditProjectEnvResponseBody$inboundSchema, EditProjectEnvResponseBody$outboundSchema, EditProjectEnvResponseBody$;
var init_editprojectenvop = __esm(() => {
  init_esm();
  init_primitives();
  EditProjectEnvTarget = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  EditProjectEnvType = {
    System: "system",
    Secret: "secret",
    Encrypted: "encrypted",
    Plain: "plain",
    Sensitive: "sensitive"
  };
  EditProjectEnvTarget2 = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  EditProjectEnvResponseBodyType = {
    System: "system",
    Encrypted: "encrypted",
    Plain: "plain",
    Sensitive: "sensitive",
    Secret: "secret"
  };
  EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type = {
    FlagsConnectionString: "flags-connection-string"
  };
  EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type = {
    IntegrationStoreSecret: "integration-store-secret"
  };
  EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type = {
    PostgresUrlNoSsl: "postgres-url-no-ssl"
  };
  EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type = {
    PostgresDatabase: "postgres-database"
  };
  EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type = {
    PostgresPassword: "postgres-password"
  };
  EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type = {
    PostgresHost: "postgres-host"
  };
  EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type = {
    PostgresUser: "postgres-user"
  };
  EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type = {
    PostgresPrismaUrl: "postgres-prisma-url"
  };
  EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type = {
    PostgresUrlNonPooling: "postgres-url-non-pooling"
  };
  EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType = {
    PostgresUrl: "postgres-url"
  };
  EditProjectEnvContentHintProjectsResponse200ApplicationJSONType = {
    BlobReadWriteToken: "blob-read-write-token"
  };
  EditProjectEnvContentHintProjectsResponse200Type = {
    RedisRestApiReadOnlyToken: "redis-rest-api-read-only-token"
  };
  EditProjectEnvContentHintProjectsResponseType = {
    RedisRestApiToken: "redis-rest-api-token"
  };
  EditProjectEnvContentHintProjectsType = {
    RedisRestApiUrl: "redis-rest-api-url"
  };
  EditProjectEnvContentHintType = {
    RedisUrl: "redis-url"
  };
  EditProjectEnvResponseBodyProjectsType = {
    FlagsSecret: "flags-secret"
  };
  EditProjectEnvTarget$inboundSchema = nativeEnumType(EditProjectEnvTarget);
  EditProjectEnvTarget$outboundSchema = EditProjectEnvTarget$inboundSchema;
  ((EditProjectEnvTarget$) => {
    EditProjectEnvTarget$.inboundSchema = EditProjectEnvTarget$inboundSchema;
    EditProjectEnvTarget$.outboundSchema = EditProjectEnvTarget$outboundSchema;
  })(EditProjectEnvTarget$ ||= {});
  EditProjectEnvType$inboundSchema = nativeEnumType(EditProjectEnvType);
  EditProjectEnvType$outboundSchema = EditProjectEnvType$inboundSchema;
  ((EditProjectEnvType$) => {
    EditProjectEnvType$.inboundSchema = EditProjectEnvType$inboundSchema;
    EditProjectEnvType$.outboundSchema = EditProjectEnvType$outboundSchema;
  })(EditProjectEnvType$ ||= {});
  EditProjectEnvRequestBody$inboundSchema = objectType({
    key: stringType().optional(),
    target: arrayType(EditProjectEnvTarget$inboundSchema).optional(),
    gitBranch: nullableType(stringType()).optional(),
    type: EditProjectEnvType$inboundSchema.optional(),
    value: stringType().optional(),
    customEnvironmentIds: arrayType(stringType()).optional(),
    comment: stringType().optional()
  });
  EditProjectEnvRequestBody$outboundSchema = objectType({
    key: stringType().optional(),
    target: arrayType(EditProjectEnvTarget$outboundSchema).optional(),
    gitBranch: nullableType(stringType()).optional(),
    type: EditProjectEnvType$outboundSchema.optional(),
    value: stringType().optional(),
    customEnvironmentIds: arrayType(stringType()).optional(),
    comment: stringType().optional()
  });
  ((EditProjectEnvRequestBody$) => {
    EditProjectEnvRequestBody$.inboundSchema = EditProjectEnvRequestBody$inboundSchema;
    EditProjectEnvRequestBody$.outboundSchema = EditProjectEnvRequestBody$outboundSchema;
  })(EditProjectEnvRequestBody$ ||= {});
  EditProjectEnvRequest$inboundSchema = objectType({
    idOrName: stringType(),
    id: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    RequestBody: lazyType(() => EditProjectEnvRequestBody$inboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  EditProjectEnvRequest$outboundSchema = objectType({
    idOrName: stringType(),
    id: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    requestBody: lazyType(() => EditProjectEnvRequestBody$outboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((EditProjectEnvRequest$) => {
    EditProjectEnvRequest$.inboundSchema = EditProjectEnvRequest$inboundSchema;
    EditProjectEnvRequest$.outboundSchema = EditProjectEnvRequest$outboundSchema;
  })(EditProjectEnvRequest$ ||= {});
  EditProjectEnvResponseBody2$inboundSchema = objectType({});
  EditProjectEnvResponseBody2$outboundSchema = objectType({});
  ((EditProjectEnvResponseBody2$) => {
    EditProjectEnvResponseBody2$.inboundSchema = EditProjectEnvResponseBody2$inboundSchema;
    EditProjectEnvResponseBody2$.outboundSchema = EditProjectEnvResponseBody2$outboundSchema;
  })(EditProjectEnvResponseBody2$ ||= {});
  EditProjectEnvTarget2$inboundSchema = nativeEnumType(EditProjectEnvTarget2);
  EditProjectEnvTarget2$outboundSchema = EditProjectEnvTarget2$inboundSchema;
  ((EditProjectEnvTarget2$) => {
    EditProjectEnvTarget2$.inboundSchema = EditProjectEnvTarget2$inboundSchema;
    EditProjectEnvTarget2$.outboundSchema = EditProjectEnvTarget2$outboundSchema;
  })(EditProjectEnvTarget2$ ||= {});
  EditProjectEnvResponseBodyTarget$inboundSchema = unionType([arrayType(stringType()), EditProjectEnvTarget2$inboundSchema]);
  EditProjectEnvResponseBodyTarget$outboundSchema = unionType([arrayType(stringType()), EditProjectEnvTarget2$outboundSchema]);
  ((EditProjectEnvResponseBodyTarget$) => {
    EditProjectEnvResponseBodyTarget$.inboundSchema = EditProjectEnvResponseBodyTarget$inboundSchema;
    EditProjectEnvResponseBodyTarget$.outboundSchema = EditProjectEnvResponseBodyTarget$outboundSchema;
  })(EditProjectEnvResponseBodyTarget$ ||= {});
  EditProjectEnvResponseBodyType$inboundSchema = nativeEnumType(EditProjectEnvResponseBodyType);
  EditProjectEnvResponseBodyType$outboundSchema = EditProjectEnvResponseBodyType$inboundSchema;
  ((EditProjectEnvResponseBodyType$) => {
    EditProjectEnvResponseBodyType$.inboundSchema = EditProjectEnvResponseBodyType$inboundSchema;
    EditProjectEnvResponseBodyType$.outboundSchema = EditProjectEnvResponseBodyType$outboundSchema;
  })(EditProjectEnvResponseBodyType$ ||= {});
  EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$inboundSchema = nativeEnumType(EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type);
  EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$outboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$inboundSchema;
  ((EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$) => {
    EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$.inboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$inboundSchema;
    EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$.outboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$outboundSchema;
  })(EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$ ||= {});
  EditProjectEnvContentHint15$inboundSchema = objectType({
    type: EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$inboundSchema,
    projectId: stringType()
  });
  EditProjectEnvContentHint15$outboundSchema = objectType({
    type: EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$outboundSchema,
    projectId: stringType()
  });
  ((EditProjectEnvContentHint15$) => {
    EditProjectEnvContentHint15$.inboundSchema = EditProjectEnvContentHint15$inboundSchema;
    EditProjectEnvContentHint15$.outboundSchema = EditProjectEnvContentHint15$outboundSchema;
  })(EditProjectEnvContentHint15$ ||= {});
  EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$inboundSchema = nativeEnumType(EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type);
  EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$outboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$inboundSchema;
  ((EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$) => {
    EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$.inboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$inboundSchema;
    EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$.outboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$outboundSchema;
  })(EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$ ||= {});
  EditProjectEnvContentHint14$inboundSchema = objectType({
    type: EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$inboundSchema,
    storeId: stringType(),
    integrationId: stringType(),
    integrationProductId: stringType(),
    integrationConfigurationId: stringType()
  });
  EditProjectEnvContentHint14$outboundSchema = objectType({
    type: EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$outboundSchema,
    storeId: stringType(),
    integrationId: stringType(),
    integrationProductId: stringType(),
    integrationConfigurationId: stringType()
  });
  ((EditProjectEnvContentHint14$) => {
    EditProjectEnvContentHint14$.inboundSchema = EditProjectEnvContentHint14$inboundSchema;
    EditProjectEnvContentHint14$.outboundSchema = EditProjectEnvContentHint14$outboundSchema;
  })(EditProjectEnvContentHint14$ ||= {});
  EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$inboundSchema = nativeEnumType(EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type);
  EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$outboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$inboundSchema;
  ((EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$) => {
    EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$.inboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$inboundSchema;
    EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$.outboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$outboundSchema;
  })(EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$ ||= {});
  EditProjectEnvContentHint13$inboundSchema = objectType({
    type: EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$inboundSchema,
    storeId: stringType()
  });
  EditProjectEnvContentHint13$outboundSchema = objectType({
    type: EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$outboundSchema,
    storeId: stringType()
  });
  ((EditProjectEnvContentHint13$) => {
    EditProjectEnvContentHint13$.inboundSchema = EditProjectEnvContentHint13$inboundSchema;
    EditProjectEnvContentHint13$.outboundSchema = EditProjectEnvContentHint13$outboundSchema;
  })(EditProjectEnvContentHint13$ ||= {});
  EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$inboundSchema = nativeEnumType(EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type);
  EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$outboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$inboundSchema;
  ((EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$) => {
    EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$.inboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$inboundSchema;
    EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$.outboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$outboundSchema;
  })(EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$ ||= {});
  EditProjectEnvContentHint12$inboundSchema = objectType({
    type: EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$inboundSchema,
    storeId: stringType()
  });
  EditProjectEnvContentHint12$outboundSchema = objectType({
    type: EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$outboundSchema,
    storeId: stringType()
  });
  ((EditProjectEnvContentHint12$) => {
    EditProjectEnvContentHint12$.inboundSchema = EditProjectEnvContentHint12$inboundSchema;
    EditProjectEnvContentHint12$.outboundSchema = EditProjectEnvContentHint12$outboundSchema;
  })(EditProjectEnvContentHint12$ ||= {});
  EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$inboundSchema = nativeEnumType(EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type);
  EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$outboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$inboundSchema;
  ((EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$) => {
    EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$.inboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$inboundSchema;
    EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$.outboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$outboundSchema;
  })(EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$ ||= {});
  EditProjectEnvContentHint11$inboundSchema = objectType({
    type: EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$inboundSchema,
    storeId: stringType()
  });
  EditProjectEnvContentHint11$outboundSchema = objectType({
    type: EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$outboundSchema,
    storeId: stringType()
  });
  ((EditProjectEnvContentHint11$) => {
    EditProjectEnvContentHint11$.inboundSchema = EditProjectEnvContentHint11$inboundSchema;
    EditProjectEnvContentHint11$.outboundSchema = EditProjectEnvContentHint11$outboundSchema;
  })(EditProjectEnvContentHint11$ ||= {});
  EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$inboundSchema = nativeEnumType(EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type);
  EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$outboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$inboundSchema;
  ((EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$) => {
    EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$.inboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$inboundSchema;
    EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$.outboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$outboundSchema;
  })(EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$ ||= {});
  EditProjectEnvContentHint10$inboundSchema = objectType({
    type: EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$inboundSchema,
    storeId: stringType()
  });
  EditProjectEnvContentHint10$outboundSchema = objectType({
    type: EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$outboundSchema,
    storeId: stringType()
  });
  ((EditProjectEnvContentHint10$) => {
    EditProjectEnvContentHint10$.inboundSchema = EditProjectEnvContentHint10$inboundSchema;
    EditProjectEnvContentHint10$.outboundSchema = EditProjectEnvContentHint10$outboundSchema;
  })(EditProjectEnvContentHint10$ ||= {});
  EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$inboundSchema = nativeEnumType(EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type);
  EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$outboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$inboundSchema;
  ((EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$) => {
    EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$.inboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$inboundSchema;
    EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$.outboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$outboundSchema;
  })(EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$ ||= {});
  EditProjectEnvContentHint9$inboundSchema = objectType({
    type: EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$inboundSchema,
    storeId: stringType()
  });
  EditProjectEnvContentHint9$outboundSchema = objectType({
    type: EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$outboundSchema,
    storeId: stringType()
  });
  ((EditProjectEnvContentHint9$) => {
    EditProjectEnvContentHint9$.inboundSchema = EditProjectEnvContentHint9$inboundSchema;
    EditProjectEnvContentHint9$.outboundSchema = EditProjectEnvContentHint9$outboundSchema;
  })(EditProjectEnvContentHint9$ ||= {});
  EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$inboundSchema = nativeEnumType(EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type);
  EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$outboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$inboundSchema;
  ((EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$) => {
    EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$.inboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$inboundSchema;
    EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$.outboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$outboundSchema;
  })(EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$ ||= {});
  EditProjectEnvContentHint8$inboundSchema = objectType({
    type: EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$inboundSchema,
    storeId: stringType()
  });
  EditProjectEnvContentHint8$outboundSchema = objectType({
    type: EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$outboundSchema,
    storeId: stringType()
  });
  ((EditProjectEnvContentHint8$) => {
    EditProjectEnvContentHint8$.inboundSchema = EditProjectEnvContentHint8$inboundSchema;
    EditProjectEnvContentHint8$.outboundSchema = EditProjectEnvContentHint8$outboundSchema;
  })(EditProjectEnvContentHint8$ ||= {});
  EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$inboundSchema = nativeEnumType(EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type);
  EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$outboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$inboundSchema;
  ((EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$) => {
    EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$.inboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$inboundSchema;
    EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$.outboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$outboundSchema;
  })(EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$ ||= {});
  EditProjectEnvContentHint7$inboundSchema = objectType({
    type: EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$inboundSchema,
    storeId: stringType()
  });
  EditProjectEnvContentHint7$outboundSchema = objectType({
    type: EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$outboundSchema,
    storeId: stringType()
  });
  ((EditProjectEnvContentHint7$) => {
    EditProjectEnvContentHint7$.inboundSchema = EditProjectEnvContentHint7$inboundSchema;
    EditProjectEnvContentHint7$.outboundSchema = EditProjectEnvContentHint7$outboundSchema;
  })(EditProjectEnvContentHint7$ ||= {});
  EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema = nativeEnumType(EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType);
  EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema;
  ((EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$) => {
    EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$.inboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema;
    EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$.outboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema;
  })(EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$ ||= {});
  EditProjectEnvContentHint6$inboundSchema = objectType({
    type: EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema,
    storeId: stringType()
  });
  EditProjectEnvContentHint6$outboundSchema = objectType({
    type: EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema,
    storeId: stringType()
  });
  ((EditProjectEnvContentHint6$) => {
    EditProjectEnvContentHint6$.inboundSchema = EditProjectEnvContentHint6$inboundSchema;
    EditProjectEnvContentHint6$.outboundSchema = EditProjectEnvContentHint6$outboundSchema;
  })(EditProjectEnvContentHint6$ ||= {});
  EditProjectEnvContentHintProjectsResponse200ApplicationJSONType$inboundSchema = nativeEnumType(EditProjectEnvContentHintProjectsResponse200ApplicationJSONType);
  EditProjectEnvContentHintProjectsResponse200ApplicationJSONType$outboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONType$inboundSchema;
  ((EditProjectEnvContentHintProjectsResponse200ApplicationJSONType$) => {
    EditProjectEnvContentHintProjectsResponse200ApplicationJSONType$.inboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONType$inboundSchema;
    EditProjectEnvContentHintProjectsResponse200ApplicationJSONType$.outboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONType$outboundSchema;
  })(EditProjectEnvContentHintProjectsResponse200ApplicationJSONType$ ||= {});
  EditProjectEnvContentHint5$inboundSchema = objectType({
    type: EditProjectEnvContentHintProjectsResponse200ApplicationJSONType$inboundSchema,
    storeId: stringType()
  });
  EditProjectEnvContentHint5$outboundSchema = objectType({
    type: EditProjectEnvContentHintProjectsResponse200ApplicationJSONType$outboundSchema,
    storeId: stringType()
  });
  ((EditProjectEnvContentHint5$) => {
    EditProjectEnvContentHint5$.inboundSchema = EditProjectEnvContentHint5$inboundSchema;
    EditProjectEnvContentHint5$.outboundSchema = EditProjectEnvContentHint5$outboundSchema;
  })(EditProjectEnvContentHint5$ ||= {});
  EditProjectEnvContentHintProjectsResponse200Type$inboundSchema = nativeEnumType(EditProjectEnvContentHintProjectsResponse200Type);
  EditProjectEnvContentHintProjectsResponse200Type$outboundSchema = EditProjectEnvContentHintProjectsResponse200Type$inboundSchema;
  ((EditProjectEnvContentHintProjectsResponse200Type$) => {
    EditProjectEnvContentHintProjectsResponse200Type$.inboundSchema = EditProjectEnvContentHintProjectsResponse200Type$inboundSchema;
    EditProjectEnvContentHintProjectsResponse200Type$.outboundSchema = EditProjectEnvContentHintProjectsResponse200Type$outboundSchema;
  })(EditProjectEnvContentHintProjectsResponse200Type$ ||= {});
  EditProjectEnvContentHint4$inboundSchema = objectType({
    type: EditProjectEnvContentHintProjectsResponse200Type$inboundSchema,
    storeId: stringType()
  });
  EditProjectEnvContentHint4$outboundSchema = objectType({
    type: EditProjectEnvContentHintProjectsResponse200Type$outboundSchema,
    storeId: stringType()
  });
  ((EditProjectEnvContentHint4$) => {
    EditProjectEnvContentHint4$.inboundSchema = EditProjectEnvContentHint4$inboundSchema;
    EditProjectEnvContentHint4$.outboundSchema = EditProjectEnvContentHint4$outboundSchema;
  })(EditProjectEnvContentHint4$ ||= {});
  EditProjectEnvContentHintProjectsResponseType$inboundSchema = nativeEnumType(EditProjectEnvContentHintProjectsResponseType);
  EditProjectEnvContentHintProjectsResponseType$outboundSchema = EditProjectEnvContentHintProjectsResponseType$inboundSchema;
  ((EditProjectEnvContentHintProjectsResponseType$) => {
    EditProjectEnvContentHintProjectsResponseType$.inboundSchema = EditProjectEnvContentHintProjectsResponseType$inboundSchema;
    EditProjectEnvContentHintProjectsResponseType$.outboundSchema = EditProjectEnvContentHintProjectsResponseType$outboundSchema;
  })(EditProjectEnvContentHintProjectsResponseType$ ||= {});
  EditProjectEnvContentHint3$inboundSchema = objectType({
    type: EditProjectEnvContentHintProjectsResponseType$inboundSchema,
    storeId: stringType()
  });
  EditProjectEnvContentHint3$outboundSchema = objectType({
    type: EditProjectEnvContentHintProjectsResponseType$outboundSchema,
    storeId: stringType()
  });
  ((EditProjectEnvContentHint3$) => {
    EditProjectEnvContentHint3$.inboundSchema = EditProjectEnvContentHint3$inboundSchema;
    EditProjectEnvContentHint3$.outboundSchema = EditProjectEnvContentHint3$outboundSchema;
  })(EditProjectEnvContentHint3$ ||= {});
  EditProjectEnvContentHintProjectsType$inboundSchema = nativeEnumType(EditProjectEnvContentHintProjectsType);
  EditProjectEnvContentHintProjectsType$outboundSchema = EditProjectEnvContentHintProjectsType$inboundSchema;
  ((EditProjectEnvContentHintProjectsType$) => {
    EditProjectEnvContentHintProjectsType$.inboundSchema = EditProjectEnvContentHintProjectsType$inboundSchema;
    EditProjectEnvContentHintProjectsType$.outboundSchema = EditProjectEnvContentHintProjectsType$outboundSchema;
  })(EditProjectEnvContentHintProjectsType$ ||= {});
  EditProjectEnvContentHint2$inboundSchema = objectType({
    type: EditProjectEnvContentHintProjectsType$inboundSchema,
    storeId: stringType()
  });
  EditProjectEnvContentHint2$outboundSchema = objectType({
    type: EditProjectEnvContentHintProjectsType$outboundSchema,
    storeId: stringType()
  });
  ((EditProjectEnvContentHint2$) => {
    EditProjectEnvContentHint2$.inboundSchema = EditProjectEnvContentHint2$inboundSchema;
    EditProjectEnvContentHint2$.outboundSchema = EditProjectEnvContentHint2$outboundSchema;
  })(EditProjectEnvContentHint2$ ||= {});
  EditProjectEnvContentHintType$inboundSchema = nativeEnumType(EditProjectEnvContentHintType);
  EditProjectEnvContentHintType$outboundSchema = EditProjectEnvContentHintType$inboundSchema;
  ((EditProjectEnvContentHintType$) => {
    EditProjectEnvContentHintType$.inboundSchema = EditProjectEnvContentHintType$inboundSchema;
    EditProjectEnvContentHintType$.outboundSchema = EditProjectEnvContentHintType$outboundSchema;
  })(EditProjectEnvContentHintType$ ||= {});
  EditProjectEnvContentHint1$inboundSchema = objectType({
    type: EditProjectEnvContentHintType$inboundSchema,
    storeId: stringType()
  });
  EditProjectEnvContentHint1$outboundSchema = objectType({
    type: EditProjectEnvContentHintType$outboundSchema,
    storeId: stringType()
  });
  ((EditProjectEnvContentHint1$) => {
    EditProjectEnvContentHint1$.inboundSchema = EditProjectEnvContentHint1$inboundSchema;
    EditProjectEnvContentHint1$.outboundSchema = EditProjectEnvContentHint1$outboundSchema;
  })(EditProjectEnvContentHint1$ ||= {});
  EditProjectEnvResponseBodyContentHint$inboundSchema = unionType([
    lazyType(() => EditProjectEnvContentHint1$inboundSchema),
    lazyType(() => EditProjectEnvContentHint2$inboundSchema),
    lazyType(() => EditProjectEnvContentHint3$inboundSchema),
    lazyType(() => EditProjectEnvContentHint4$inboundSchema),
    lazyType(() => EditProjectEnvContentHint5$inboundSchema),
    lazyType(() => EditProjectEnvContentHint6$inboundSchema),
    lazyType(() => EditProjectEnvContentHint7$inboundSchema),
    lazyType(() => EditProjectEnvContentHint8$inboundSchema),
    lazyType(() => EditProjectEnvContentHint9$inboundSchema),
    lazyType(() => EditProjectEnvContentHint10$inboundSchema),
    lazyType(() => EditProjectEnvContentHint11$inboundSchema),
    lazyType(() => EditProjectEnvContentHint12$inboundSchema),
    lazyType(() => EditProjectEnvContentHint13$inboundSchema),
    lazyType(() => EditProjectEnvContentHint15$inboundSchema),
    lazyType(() => EditProjectEnvContentHint14$inboundSchema)
  ]);
  EditProjectEnvResponseBodyContentHint$outboundSchema = unionType([
    lazyType(() => EditProjectEnvContentHint1$outboundSchema),
    lazyType(() => EditProjectEnvContentHint2$outboundSchema),
    lazyType(() => EditProjectEnvContentHint3$outboundSchema),
    lazyType(() => EditProjectEnvContentHint4$outboundSchema),
    lazyType(() => EditProjectEnvContentHint5$outboundSchema),
    lazyType(() => EditProjectEnvContentHint6$outboundSchema),
    lazyType(() => EditProjectEnvContentHint7$outboundSchema),
    lazyType(() => EditProjectEnvContentHint8$outboundSchema),
    lazyType(() => EditProjectEnvContentHint9$outboundSchema),
    lazyType(() => EditProjectEnvContentHint10$outboundSchema),
    lazyType(() => EditProjectEnvContentHint11$outboundSchema),
    lazyType(() => EditProjectEnvContentHint12$outboundSchema),
    lazyType(() => EditProjectEnvContentHint13$outboundSchema),
    lazyType(() => EditProjectEnvContentHint15$outboundSchema),
    lazyType(() => EditProjectEnvContentHint14$outboundSchema)
  ]);
  ((EditProjectEnvResponseBodyContentHint$) => {
    EditProjectEnvResponseBodyContentHint$.inboundSchema = EditProjectEnvResponseBodyContentHint$inboundSchema;
    EditProjectEnvResponseBodyContentHint$.outboundSchema = EditProjectEnvResponseBodyContentHint$outboundSchema;
  })(EditProjectEnvResponseBodyContentHint$ ||= {});
  EditProjectEnvResponseBodyProjectsType$inboundSchema = nativeEnumType(EditProjectEnvResponseBodyProjectsType);
  EditProjectEnvResponseBodyProjectsType$outboundSchema = EditProjectEnvResponseBodyProjectsType$inboundSchema;
  ((EditProjectEnvResponseBodyProjectsType$) => {
    EditProjectEnvResponseBodyProjectsType$.inboundSchema = EditProjectEnvResponseBodyProjectsType$inboundSchema;
    EditProjectEnvResponseBodyProjectsType$.outboundSchema = EditProjectEnvResponseBodyProjectsType$outboundSchema;
  })(EditProjectEnvResponseBodyProjectsType$ ||= {});
  EditProjectEnvResponseBodyInternalContentHint$inboundSchema = objectType({
    type: EditProjectEnvResponseBodyProjectsType$inboundSchema,
    encryptedValue: stringType()
  });
  EditProjectEnvResponseBodyInternalContentHint$outboundSchema = objectType({
    type: EditProjectEnvResponseBodyProjectsType$outboundSchema,
    encryptedValue: stringType()
  });
  ((EditProjectEnvResponseBodyInternalContentHint$) => {
    EditProjectEnvResponseBodyInternalContentHint$.inboundSchema = EditProjectEnvResponseBodyInternalContentHint$inboundSchema;
    EditProjectEnvResponseBodyInternalContentHint$.outboundSchema = EditProjectEnvResponseBodyInternalContentHint$outboundSchema;
  })(EditProjectEnvResponseBodyInternalContentHint$ ||= {});
  EditProjectEnvResponseBody1$inboundSchema = objectType({
    target: unionType([arrayType(stringType()), EditProjectEnvTarget2$inboundSchema]).optional(),
    type: EditProjectEnvResponseBodyType$inboundSchema,
    sunsetSecretId: stringType().optional(),
    decrypted: booleanType().optional(),
    value: stringType(),
    id: stringType().optional(),
    key: stringType(),
    configurationId: nullableType(stringType()).optional(),
    createdAt: numberType().optional(),
    updatedAt: numberType().optional(),
    createdBy: nullableType(stringType()).optional(),
    updatedBy: nullableType(stringType()).optional(),
    gitBranch: stringType().optional(),
    edgeConfigId: nullableType(stringType()).optional(),
    edgeConfigTokenId: nullableType(stringType()).optional(),
    contentHint: nullableType(unionType([
      lazyType(() => EditProjectEnvContentHint1$inboundSchema),
      lazyType(() => EditProjectEnvContentHint2$inboundSchema),
      lazyType(() => EditProjectEnvContentHint3$inboundSchema),
      lazyType(() => EditProjectEnvContentHint4$inboundSchema),
      lazyType(() => EditProjectEnvContentHint5$inboundSchema),
      lazyType(() => EditProjectEnvContentHint6$inboundSchema),
      lazyType(() => EditProjectEnvContentHint7$inboundSchema),
      lazyType(() => EditProjectEnvContentHint8$inboundSchema),
      lazyType(() => EditProjectEnvContentHint9$inboundSchema),
      lazyType(() => EditProjectEnvContentHint10$inboundSchema),
      lazyType(() => EditProjectEnvContentHint11$inboundSchema),
      lazyType(() => EditProjectEnvContentHint12$inboundSchema),
      lazyType(() => EditProjectEnvContentHint13$inboundSchema),
      lazyType(() => EditProjectEnvContentHint15$inboundSchema),
      lazyType(() => EditProjectEnvContentHint14$inboundSchema)
    ])).optional(),
    internalContentHint: nullableType(lazyType(() => EditProjectEnvResponseBodyInternalContentHint$inboundSchema)).optional(),
    comment: stringType().optional(),
    customEnvironmentIds: arrayType(stringType()).optional()
  });
  EditProjectEnvResponseBody1$outboundSchema = objectType({
    target: unionType([arrayType(stringType()), EditProjectEnvTarget2$outboundSchema]).optional(),
    type: EditProjectEnvResponseBodyType$outboundSchema,
    sunsetSecretId: stringType().optional(),
    decrypted: booleanType().optional(),
    value: stringType(),
    id: stringType().optional(),
    key: stringType(),
    configurationId: nullableType(stringType()).optional(),
    createdAt: numberType().optional(),
    updatedAt: numberType().optional(),
    createdBy: nullableType(stringType()).optional(),
    updatedBy: nullableType(stringType()).optional(),
    gitBranch: stringType().optional(),
    edgeConfigId: nullableType(stringType()).optional(),
    edgeConfigTokenId: nullableType(stringType()).optional(),
    contentHint: nullableType(unionType([
      lazyType(() => EditProjectEnvContentHint1$outboundSchema),
      lazyType(() => EditProjectEnvContentHint2$outboundSchema),
      lazyType(() => EditProjectEnvContentHint3$outboundSchema),
      lazyType(() => EditProjectEnvContentHint4$outboundSchema),
      lazyType(() => EditProjectEnvContentHint5$outboundSchema),
      lazyType(() => EditProjectEnvContentHint6$outboundSchema),
      lazyType(() => EditProjectEnvContentHint7$outboundSchema),
      lazyType(() => EditProjectEnvContentHint8$outboundSchema),
      lazyType(() => EditProjectEnvContentHint9$outboundSchema),
      lazyType(() => EditProjectEnvContentHint10$outboundSchema),
      lazyType(() => EditProjectEnvContentHint11$outboundSchema),
      lazyType(() => EditProjectEnvContentHint12$outboundSchema),
      lazyType(() => EditProjectEnvContentHint13$outboundSchema),
      lazyType(() => EditProjectEnvContentHint15$outboundSchema),
      lazyType(() => EditProjectEnvContentHint14$outboundSchema)
    ])).optional(),
    internalContentHint: nullableType(lazyType(() => EditProjectEnvResponseBodyInternalContentHint$outboundSchema)).optional(),
    comment: stringType().optional(),
    customEnvironmentIds: arrayType(stringType()).optional()
  });
  ((EditProjectEnvResponseBody1$) => {
    EditProjectEnvResponseBody1$.inboundSchema = EditProjectEnvResponseBody1$inboundSchema;
    EditProjectEnvResponseBody1$.outboundSchema = EditProjectEnvResponseBody1$outboundSchema;
  })(EditProjectEnvResponseBody1$ ||= {});
  EditProjectEnvResponseBody$inboundSchema = unionType([
    lazyType(() => EditProjectEnvResponseBody2$inboundSchema),
    lazyType(() => EditProjectEnvResponseBody1$inboundSchema)
  ]);
  EditProjectEnvResponseBody$outboundSchema = unionType([
    lazyType(() => EditProjectEnvResponseBody2$outboundSchema),
    lazyType(() => EditProjectEnvResponseBody1$outboundSchema)
  ]);
  ((EditProjectEnvResponseBody$) => {
    EditProjectEnvResponseBody$.inboundSchema = EditProjectEnvResponseBody$inboundSchema;
    EditProjectEnvResponseBody$.outboundSchema = EditProjectEnvResponseBody$outboundSchema;
  })(EditProjectEnvResponseBody$ ||= {});
});

// src/funcs/projectsEditProjectEnv.ts
function projectsEditProjectEnv(client, request, options) {
  return new APIPromise($do122(client, request, options));
}
async function $do122(client, request, options) {
  const parsed = safeParse(request, (value) => EditProjectEnvRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    id: encodeSimple("id", payload.id, {
      explode: false,
      charEncoding: "percent"
    }),
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v9/projects/{idOrName}/env/{id}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "editProjectEnv",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "PATCH",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "409", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, EditProjectEnvResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, 409, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_projectsEditProjectEnv = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_editprojectenvop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/projectsEditProjectEnv.ts
var args121, tool$projectsEditProjectEnv;
var init_projectsEditProjectEnv2 = __esm(() => {
  init_projectsEditProjectEnv();
  init_editprojectenvop();
  init_tools();
  args121 = {
    request: EditProjectEnvRequest$inboundSchema
  };
  tool$projectsEditProjectEnv = {
    name: "projects-edit-project-env",
    description: `Edit an environment variable

Edit a specific environment variable for a given project by passing the environment variable identifier and either passing the project \`id\` or \`name\` in the URL.`,
    args: args121,
    tool: async (client, args122, ctx) => {
      const [result, apiCall] = await projectsEditProjectEnv(client, args122.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/filterprojectenvsop.ts
var Decrypt, FilterProjectEnvsTargetProjectsResponse2, FilterProjectEnvsTargetProjectsResponse1, FilterProjectEnvsResponseBodyProjectsResponse200Type, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs15Type, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs14Type, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs13Type, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs12Type, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs11Type, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs10Type, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs9Type, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs8Type, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs7Type, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs6Type, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs5Type, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs4Type, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs3Type, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3EnvsType, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Type, FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJson3Type, FilterProjectEnvsTargetProjects2, FilterProjectEnvsTargetProjects1, FilterProjectEnvsResponseBodyProjectsResponseType, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs15Type, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs14Type, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs13Type, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs12Type, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs11Type, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs10Type, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs9Type, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs8Type, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs7Type, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs6Type, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs5Type, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs4Type, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs3Type, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2EnvsType, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Type, FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJSONType, FilterProjectEnvsTarget2, FilterProjectEnvsTarget1, FilterProjectEnvsResponseBodyType, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody115Type, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody114Type, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody113Type, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody112Type, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody111Type, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody110Type, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody19Type, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody18Type, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody1Type, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBodyType, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONType, FilterProjectEnvsContentHintProjectsResponse200Type, FilterProjectEnvsContentHintProjectsResponseType, FilterProjectEnvsContentHintProjectsType, FilterProjectEnvsContentHintType, FilterProjectEnvsResponseBodyProjectsType, Decrypt$inboundSchema, Decrypt$outboundSchema, Decrypt$, FilterProjectEnvsRequest$inboundSchema, FilterProjectEnvsRequest$outboundSchema, FilterProjectEnvsRequest$, FilterProjectEnvsTargetProjectsResponse2$inboundSchema, FilterProjectEnvsTargetProjectsResponse2$outboundSchema, FilterProjectEnvsTargetProjectsResponse2$, FilterProjectEnvsTargetProjectsResponse1$inboundSchema, FilterProjectEnvsTargetProjectsResponse1$outboundSchema, FilterProjectEnvsTargetProjectsResponse1$, FilterProjectEnvsResponseBodyProjectsResponseTarget$inboundSchema, FilterProjectEnvsResponseBodyProjectsResponseTarget$outboundSchema, FilterProjectEnvsResponseBodyProjectsResponseTarget$, FilterProjectEnvsResponseBodyProjectsResponse200Type$inboundSchema, FilterProjectEnvsResponseBodyProjectsResponse200Type$outboundSchema, FilterProjectEnvsResponseBodyProjectsResponse200Type$, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs15Type$inboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs15Type$outboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs15Type$, FilterProjectEnvsContentHintProjectsResponse15$inboundSchema, FilterProjectEnvsContentHintProjectsResponse15$outboundSchema, FilterProjectEnvsContentHintProjectsResponse15$, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs14Type$inboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs14Type$outboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs14Type$, FilterProjectEnvsContentHintProjectsResponse14$inboundSchema, FilterProjectEnvsContentHintProjectsResponse14$outboundSchema, FilterProjectEnvsContentHintProjectsResponse14$, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs13Type$inboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs13Type$outboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs13Type$, FilterProjectEnvsContentHintProjectsResponse13$inboundSchema, FilterProjectEnvsContentHintProjectsResponse13$outboundSchema, FilterProjectEnvsContentHintProjectsResponse13$, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs12Type$inboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs12Type$outboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs12Type$, FilterProjectEnvsContentHintProjectsResponse12$inboundSchema, FilterProjectEnvsContentHintProjectsResponse12$outboundSchema, FilterProjectEnvsContentHintProjectsResponse12$, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs11Type$inboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs11Type$outboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs11Type$, FilterProjectEnvsContentHintProjectsResponse11$inboundSchema, FilterProjectEnvsContentHintProjectsResponse11$outboundSchema, FilterProjectEnvsContentHintProjectsResponse11$, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs10Type$inboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs10Type$outboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs10Type$, FilterProjectEnvsContentHintProjectsResponse10$inboundSchema, FilterProjectEnvsContentHintProjectsResponse10$outboundSchema, FilterProjectEnvsContentHintProjectsResponse10$, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs9Type$inboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs9Type$outboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs9Type$, FilterProjectEnvsContentHintProjectsResponse9$inboundSchema, FilterProjectEnvsContentHintProjectsResponse9$outboundSchema, FilterProjectEnvsContentHintProjectsResponse9$, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs8Type$inboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs8Type$outboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs8Type$, FilterProjectEnvsContentHintProjectsResponse8$inboundSchema, FilterProjectEnvsContentHintProjectsResponse8$outboundSchema, FilterProjectEnvsContentHintProjectsResponse8$, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs7Type$inboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs7Type$outboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs7Type$, FilterProjectEnvsContentHintProjectsResponse7$inboundSchema, FilterProjectEnvsContentHintProjectsResponse7$outboundSchema, FilterProjectEnvsContentHintProjectsResponse7$, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs6Type$inboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs6Type$outboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs6Type$, FilterProjectEnvsContentHintProjectsResponse6$inboundSchema, FilterProjectEnvsContentHintProjectsResponse6$outboundSchema, FilterProjectEnvsContentHintProjectsResponse6$, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs5Type$inboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs5Type$outboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs5Type$, FilterProjectEnvsContentHintProjectsResponse5$inboundSchema, FilterProjectEnvsContentHintProjectsResponse5$outboundSchema, FilterProjectEnvsContentHintProjectsResponse5$, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs4Type$inboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs4Type$outboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs4Type$, FilterProjectEnvsContentHintProjectsResponse4$inboundSchema, FilterProjectEnvsContentHintProjectsResponse4$outboundSchema, FilterProjectEnvsContentHintProjectsResponse4$, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs3Type$inboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs3Type$outboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs3Type$, FilterProjectEnvsContentHintProjectsResponse3$inboundSchema, FilterProjectEnvsContentHintProjectsResponse3$outboundSchema, FilterProjectEnvsContentHintProjectsResponse3$, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3EnvsType$inboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3EnvsType$outboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3EnvsType$, FilterProjectEnvsContentHintProjectsResponse2$inboundSchema, FilterProjectEnvsContentHintProjectsResponse2$outboundSchema, FilterProjectEnvsContentHintProjectsResponse2$, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Type$inboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Type$outboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Type$, FilterProjectEnvsContentHintProjectsResponse1$inboundSchema, FilterProjectEnvsContentHintProjectsResponse1$outboundSchema, FilterProjectEnvsContentHintProjectsResponse1$, FilterProjectEnvsResponseBodyProjectsContentHint$inboundSchema, FilterProjectEnvsResponseBodyProjectsContentHint$outboundSchema, FilterProjectEnvsResponseBodyProjectsContentHint$, FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJson3Type$inboundSchema, FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJson3Type$outboundSchema, FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJson3Type$, FilterProjectEnvsResponseBodyProjectsInternalContentHint$inboundSchema, FilterProjectEnvsResponseBodyProjectsInternalContentHint$outboundSchema, FilterProjectEnvsResponseBodyProjectsInternalContentHint$, ResponseBodyEnvs$inboundSchema, ResponseBodyEnvs$outboundSchema, ResponseBodyEnvs$, FilterProjectEnvsResponseBody3$inboundSchema, FilterProjectEnvsResponseBody3$outboundSchema, FilterProjectEnvsResponseBody3$, FilterProjectEnvsTargetProjects2$inboundSchema, FilterProjectEnvsTargetProjects2$outboundSchema, FilterProjectEnvsTargetProjects2$, FilterProjectEnvsTargetProjects1$inboundSchema, FilterProjectEnvsTargetProjects1$outboundSchema, FilterProjectEnvsTargetProjects1$, FilterProjectEnvsResponseBodyProjectsTarget$inboundSchema, FilterProjectEnvsResponseBodyProjectsTarget$outboundSchema, FilterProjectEnvsResponseBodyProjectsTarget$, FilterProjectEnvsResponseBodyProjectsResponseType$inboundSchema, FilterProjectEnvsResponseBodyProjectsResponseType$outboundSchema, FilterProjectEnvsResponseBodyProjectsResponseType$, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs15Type$inboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs15Type$outboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs15Type$, FilterProjectEnvsContentHintProjects15$inboundSchema, FilterProjectEnvsContentHintProjects15$outboundSchema, FilterProjectEnvsContentHintProjects15$, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs14Type$inboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs14Type$outboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs14Type$, FilterProjectEnvsContentHintProjects14$inboundSchema, FilterProjectEnvsContentHintProjects14$outboundSchema, FilterProjectEnvsContentHintProjects14$, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs13Type$inboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs13Type$outboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs13Type$, FilterProjectEnvsContentHintProjects13$inboundSchema, FilterProjectEnvsContentHintProjects13$outboundSchema, FilterProjectEnvsContentHintProjects13$, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs12Type$inboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs12Type$outboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs12Type$, FilterProjectEnvsContentHintProjects12$inboundSchema, FilterProjectEnvsContentHintProjects12$outboundSchema, FilterProjectEnvsContentHintProjects12$, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs11Type$inboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs11Type$outboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs11Type$, FilterProjectEnvsContentHintProjects11$inboundSchema, FilterProjectEnvsContentHintProjects11$outboundSchema, FilterProjectEnvsContentHintProjects11$, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs10Type$inboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs10Type$outboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs10Type$, FilterProjectEnvsContentHintProjects10$inboundSchema, FilterProjectEnvsContentHintProjects10$outboundSchema, FilterProjectEnvsContentHintProjects10$, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs9Type$inboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs9Type$outboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs9Type$, FilterProjectEnvsContentHintProjects9$inboundSchema, FilterProjectEnvsContentHintProjects9$outboundSchema, FilterProjectEnvsContentHintProjects9$, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs8Type$inboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs8Type$outboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs8Type$, FilterProjectEnvsContentHintProjects8$inboundSchema, FilterProjectEnvsContentHintProjects8$outboundSchema, FilterProjectEnvsContentHintProjects8$, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs7Type$inboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs7Type$outboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs7Type$, FilterProjectEnvsContentHintProjects7$inboundSchema, FilterProjectEnvsContentHintProjects7$outboundSchema, FilterProjectEnvsContentHintProjects7$, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs6Type$inboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs6Type$outboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs6Type$, FilterProjectEnvsContentHintProjects6$inboundSchema, FilterProjectEnvsContentHintProjects6$outboundSchema, FilterProjectEnvsContentHintProjects6$, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs5Type$inboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs5Type$outboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs5Type$, FilterProjectEnvsContentHintProjects5$inboundSchema, FilterProjectEnvsContentHintProjects5$outboundSchema, FilterProjectEnvsContentHintProjects5$, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs4Type$inboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs4Type$outboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs4Type$, FilterProjectEnvsContentHintProjects4$inboundSchema, FilterProjectEnvsContentHintProjects4$outboundSchema, FilterProjectEnvsContentHintProjects4$, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs3Type$inboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs3Type$outboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs3Type$, FilterProjectEnvsContentHintProjects3$inboundSchema, FilterProjectEnvsContentHintProjects3$outboundSchema, FilterProjectEnvsContentHintProjects3$, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2EnvsType$inboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2EnvsType$outboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2EnvsType$, FilterProjectEnvsContentHintProjects2$inboundSchema, FilterProjectEnvsContentHintProjects2$outboundSchema, FilterProjectEnvsContentHintProjects2$, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Type$inboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Type$outboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Type$, FilterProjectEnvsContentHintProjects1$inboundSchema, FilterProjectEnvsContentHintProjects1$outboundSchema, FilterProjectEnvsContentHintProjects1$, FilterProjectEnvsResponseBodyContentHint$inboundSchema, FilterProjectEnvsResponseBodyContentHint$outboundSchema, FilterProjectEnvsResponseBodyContentHint$, FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJSONType$inboundSchema, FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJSONType$outboundSchema, FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJSONType$, FilterProjectEnvsResponseBodyInternalContentHint$inboundSchema, FilterProjectEnvsResponseBodyInternalContentHint$outboundSchema, FilterProjectEnvsResponseBodyInternalContentHint$, Envs$inboundSchema, Envs$outboundSchema, Envs$, FilterProjectEnvsResponseBody2$inboundSchema, FilterProjectEnvsResponseBody2$outboundSchema, FilterProjectEnvsResponseBody2$, FilterProjectEnvsTarget2$inboundSchema, FilterProjectEnvsTarget2$outboundSchema, FilterProjectEnvsTarget2$, FilterProjectEnvsTarget1$inboundSchema, FilterProjectEnvsTarget1$outboundSchema, FilterProjectEnvsTarget1$, FilterProjectEnvsResponseBodyTarget$inboundSchema, FilterProjectEnvsResponseBodyTarget$outboundSchema, FilterProjectEnvsResponseBodyTarget$, FilterProjectEnvsResponseBodyType$inboundSchema, FilterProjectEnvsResponseBodyType$outboundSchema, FilterProjectEnvsResponseBodyType$, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody115Type$inboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody115Type$outboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody115Type$, FilterProjectEnvsContentHint15$inboundSchema, FilterProjectEnvsContentHint15$outboundSchema, FilterProjectEnvsContentHint15$, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody114Type$inboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody114Type$outboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody114Type$, FilterProjectEnvsContentHint14$inboundSchema, FilterProjectEnvsContentHint14$outboundSchema, FilterProjectEnvsContentHint14$, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody113Type$inboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody113Type$outboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody113Type$, FilterProjectEnvsContentHint13$inboundSchema, FilterProjectEnvsContentHint13$outboundSchema, FilterProjectEnvsContentHint13$, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody112Type$inboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody112Type$outboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody112Type$, FilterProjectEnvsContentHint12$inboundSchema, FilterProjectEnvsContentHint12$outboundSchema, FilterProjectEnvsContentHint12$, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody111Type$inboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody111Type$outboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody111Type$, FilterProjectEnvsContentHint11$inboundSchema, FilterProjectEnvsContentHint11$outboundSchema, FilterProjectEnvsContentHint11$, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody110Type$inboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody110Type$outboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody110Type$, FilterProjectEnvsContentHint10$inboundSchema, FilterProjectEnvsContentHint10$outboundSchema, FilterProjectEnvsContentHint10$, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody19Type$inboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody19Type$outboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody19Type$, FilterProjectEnvsContentHint9$inboundSchema, FilterProjectEnvsContentHint9$outboundSchema, FilterProjectEnvsContentHint9$, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody18Type$inboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody18Type$outboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody18Type$, FilterProjectEnvsContentHint8$inboundSchema, FilterProjectEnvsContentHint8$outboundSchema, FilterProjectEnvsContentHint8$, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody1Type$inboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody1Type$outboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody1Type$, FilterProjectEnvsContentHint7$inboundSchema, FilterProjectEnvsContentHint7$outboundSchema, FilterProjectEnvsContentHint7$, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBodyType$, FilterProjectEnvsContentHint6$inboundSchema, FilterProjectEnvsContentHint6$outboundSchema, FilterProjectEnvsContentHint6$, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONType$inboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONType$outboundSchema, FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONType$, FilterProjectEnvsContentHint5$inboundSchema, FilterProjectEnvsContentHint5$outboundSchema, FilterProjectEnvsContentHint5$, FilterProjectEnvsContentHintProjectsResponse200Type$inboundSchema, FilterProjectEnvsContentHintProjectsResponse200Type$outboundSchema, FilterProjectEnvsContentHintProjectsResponse200Type$, FilterProjectEnvsContentHint4$inboundSchema, FilterProjectEnvsContentHint4$outboundSchema, FilterProjectEnvsContentHint4$, FilterProjectEnvsContentHintProjectsResponseType$inboundSchema, FilterProjectEnvsContentHintProjectsResponseType$outboundSchema, FilterProjectEnvsContentHintProjectsResponseType$, FilterProjectEnvsContentHint3$inboundSchema, FilterProjectEnvsContentHint3$outboundSchema, FilterProjectEnvsContentHint3$, FilterProjectEnvsContentHintProjectsType$inboundSchema, FilterProjectEnvsContentHintProjectsType$outboundSchema, FilterProjectEnvsContentHintProjectsType$, FilterProjectEnvsContentHint2$inboundSchema, FilterProjectEnvsContentHint2$outboundSchema, FilterProjectEnvsContentHint2$, FilterProjectEnvsContentHintType$inboundSchema, FilterProjectEnvsContentHintType$outboundSchema, FilterProjectEnvsContentHintType$, FilterProjectEnvsContentHint1$inboundSchema, FilterProjectEnvsContentHint1$outboundSchema, FilterProjectEnvsContentHint1$, ResponseBodyContentHint$inboundSchema, ResponseBodyContentHint$outboundSchema, ResponseBodyContentHint$, FilterProjectEnvsResponseBodyProjectsType$inboundSchema, FilterProjectEnvsResponseBodyProjectsType$outboundSchema, FilterProjectEnvsResponseBodyProjectsType$, ResponseBodyInternalContentHint$inboundSchema, ResponseBodyInternalContentHint$outboundSchema, ResponseBodyInternalContentHint$, FilterProjectEnvsResponseBody1$inboundSchema, FilterProjectEnvsResponseBody1$outboundSchema, FilterProjectEnvsResponseBody1$, FilterProjectEnvsResponseBody$inboundSchema, FilterProjectEnvsResponseBody$outboundSchema, FilterProjectEnvsResponseBody$;
var init_filterprojectenvsop = __esm(() => {
  init_esm();
  init_pagination();
  Decrypt = {
    True: "true",
    False: "false"
  };
  FilterProjectEnvsTargetProjectsResponse2 = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  FilterProjectEnvsTargetProjectsResponse1 = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  FilterProjectEnvsResponseBodyProjectsResponse200Type = {
    System: "system",
    Encrypted: "encrypted",
    Plain: "plain",
    Sensitive: "sensitive",
    Secret: "secret"
  };
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs15Type = {
    FlagsConnectionString: "flags-connection-string"
  };
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs14Type = {
    IntegrationStoreSecret: "integration-store-secret"
  };
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs13Type = {
    PostgresUrlNoSsl: "postgres-url-no-ssl"
  };
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs12Type = {
    PostgresDatabase: "postgres-database"
  };
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs11Type = {
    PostgresPassword: "postgres-password"
  };
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs10Type = {
    PostgresHost: "postgres-host"
  };
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs9Type = {
    PostgresUser: "postgres-user"
  };
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs8Type = {
    PostgresPrismaUrl: "postgres-prisma-url"
  };
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs7Type = {
    PostgresUrlNonPooling: "postgres-url-non-pooling"
  };
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs6Type = {
    PostgresUrl: "postgres-url"
  };
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs5Type = {
    BlobReadWriteToken: "blob-read-write-token"
  };
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs4Type = {
    RedisRestApiReadOnlyToken: "redis-rest-api-read-only-token"
  };
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs3Type = {
    RedisRestApiToken: "redis-rest-api-token"
  };
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3EnvsType = {
    RedisRestApiUrl: "redis-rest-api-url"
  };
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Type = {
    RedisUrl: "redis-url"
  };
  FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJson3Type = {
    FlagsSecret: "flags-secret"
  };
  FilterProjectEnvsTargetProjects2 = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  FilterProjectEnvsTargetProjects1 = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  FilterProjectEnvsResponseBodyProjectsResponseType = {
    System: "system",
    Encrypted: "encrypted",
    Plain: "plain",
    Sensitive: "sensitive",
    Secret: "secret"
  };
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs15Type = {
    FlagsConnectionString: "flags-connection-string"
  };
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs14Type = {
    IntegrationStoreSecret: "integration-store-secret"
  };
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs13Type = {
    PostgresUrlNoSsl: "postgres-url-no-ssl"
  };
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs12Type = {
    PostgresDatabase: "postgres-database"
  };
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs11Type = {
    PostgresPassword: "postgres-password"
  };
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs10Type = {
    PostgresHost: "postgres-host"
  };
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs9Type = {
    PostgresUser: "postgres-user"
  };
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs8Type = {
    PostgresPrismaUrl: "postgres-prisma-url"
  };
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs7Type = {
    PostgresUrlNonPooling: "postgres-url-non-pooling"
  };
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs6Type = {
    PostgresUrl: "postgres-url"
  };
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs5Type = {
    BlobReadWriteToken: "blob-read-write-token"
  };
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs4Type = {
    RedisRestApiReadOnlyToken: "redis-rest-api-read-only-token"
  };
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs3Type = {
    RedisRestApiToken: "redis-rest-api-token"
  };
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2EnvsType = {
    RedisRestApiUrl: "redis-rest-api-url"
  };
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Type = {
    RedisUrl: "redis-url"
  };
  FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJSONType = {
    FlagsSecret: "flags-secret"
  };
  FilterProjectEnvsTarget2 = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  FilterProjectEnvsTarget1 = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  FilterProjectEnvsResponseBodyType = {
    System: "system",
    Encrypted: "encrypted",
    Plain: "plain",
    Sensitive: "sensitive",
    Secret: "secret"
  };
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody115Type = {
    FlagsConnectionString: "flags-connection-string"
  };
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody114Type = {
    IntegrationStoreSecret: "integration-store-secret"
  };
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody113Type = {
    PostgresUrlNoSsl: "postgres-url-no-ssl"
  };
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody112Type = {
    PostgresDatabase: "postgres-database"
  };
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody111Type = {
    PostgresPassword: "postgres-password"
  };
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody110Type = {
    PostgresHost: "postgres-host"
  };
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody19Type = {
    PostgresUser: "postgres-user"
  };
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody18Type = {
    PostgresPrismaUrl: "postgres-prisma-url"
  };
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody1Type = {
    PostgresUrlNonPooling: "postgres-url-non-pooling"
  };
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBodyType = {
    PostgresUrl: "postgres-url"
  };
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONType = {
    BlobReadWriteToken: "blob-read-write-token"
  };
  FilterProjectEnvsContentHintProjectsResponse200Type = {
    RedisRestApiReadOnlyToken: "redis-rest-api-read-only-token"
  };
  FilterProjectEnvsContentHintProjectsResponseType = {
    RedisRestApiToken: "redis-rest-api-token"
  };
  FilterProjectEnvsContentHintProjectsType = {
    RedisRestApiUrl: "redis-rest-api-url"
  };
  FilterProjectEnvsContentHintType = {
    RedisUrl: "redis-url"
  };
  FilterProjectEnvsResponseBodyProjectsType = {
    FlagsSecret: "flags-secret"
  };
  Decrypt$inboundSchema = nativeEnumType(Decrypt);
  Decrypt$outboundSchema = Decrypt$inboundSchema;
  ((Decrypt$) => {
    Decrypt$.inboundSchema = Decrypt$inboundSchema;
    Decrypt$.outboundSchema = Decrypt$outboundSchema;
  })(Decrypt$ ||= {});
  FilterProjectEnvsRequest$inboundSchema = objectType({
    idOrName: stringType(),
    gitBranch: stringType().optional(),
    decrypt: Decrypt$inboundSchema.optional(),
    source: stringType().optional(),
    customEnvironmentId: stringType().optional(),
    customEnvironmentSlug: stringType().optional(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  FilterProjectEnvsRequest$outboundSchema = objectType({
    idOrName: stringType(),
    gitBranch: stringType().optional(),
    decrypt: Decrypt$outboundSchema.optional(),
    source: stringType().optional(),
    customEnvironmentId: stringType().optional(),
    customEnvironmentSlug: stringType().optional(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((FilterProjectEnvsRequest$) => {
    FilterProjectEnvsRequest$.inboundSchema = FilterProjectEnvsRequest$inboundSchema;
    FilterProjectEnvsRequest$.outboundSchema = FilterProjectEnvsRequest$outboundSchema;
  })(FilterProjectEnvsRequest$ ||= {});
  FilterProjectEnvsTargetProjectsResponse2$inboundSchema = nativeEnumType(FilterProjectEnvsTargetProjectsResponse2);
  FilterProjectEnvsTargetProjectsResponse2$outboundSchema = FilterProjectEnvsTargetProjectsResponse2$inboundSchema;
  ((FilterProjectEnvsTargetProjectsResponse2$) => {
    FilterProjectEnvsTargetProjectsResponse2$.inboundSchema = FilterProjectEnvsTargetProjectsResponse2$inboundSchema;
    FilterProjectEnvsTargetProjectsResponse2$.outboundSchema = FilterProjectEnvsTargetProjectsResponse2$outboundSchema;
  })(FilterProjectEnvsTargetProjectsResponse2$ ||= {});
  FilterProjectEnvsTargetProjectsResponse1$inboundSchema = nativeEnumType(FilterProjectEnvsTargetProjectsResponse1);
  FilterProjectEnvsTargetProjectsResponse1$outboundSchema = FilterProjectEnvsTargetProjectsResponse1$inboundSchema;
  ((FilterProjectEnvsTargetProjectsResponse1$) => {
    FilterProjectEnvsTargetProjectsResponse1$.inboundSchema = FilterProjectEnvsTargetProjectsResponse1$inboundSchema;
    FilterProjectEnvsTargetProjectsResponse1$.outboundSchema = FilterProjectEnvsTargetProjectsResponse1$outboundSchema;
  })(FilterProjectEnvsTargetProjectsResponse1$ ||= {});
  FilterProjectEnvsResponseBodyProjectsResponseTarget$inboundSchema = unionType([
    arrayType(FilterProjectEnvsTargetProjectsResponse1$inboundSchema),
    FilterProjectEnvsTargetProjectsResponse2$inboundSchema
  ]);
  FilterProjectEnvsResponseBodyProjectsResponseTarget$outboundSchema = unionType([
    arrayType(FilterProjectEnvsTargetProjectsResponse1$outboundSchema),
    FilterProjectEnvsTargetProjectsResponse2$outboundSchema
  ]);
  ((FilterProjectEnvsResponseBodyProjectsResponseTarget$) => {
    FilterProjectEnvsResponseBodyProjectsResponseTarget$.inboundSchema = FilterProjectEnvsResponseBodyProjectsResponseTarget$inboundSchema;
    FilterProjectEnvsResponseBodyProjectsResponseTarget$.outboundSchema = FilterProjectEnvsResponseBodyProjectsResponseTarget$outboundSchema;
  })(FilterProjectEnvsResponseBodyProjectsResponseTarget$ ||= {});
  FilterProjectEnvsResponseBodyProjectsResponse200Type$inboundSchema = nativeEnumType(FilterProjectEnvsResponseBodyProjectsResponse200Type);
  FilterProjectEnvsResponseBodyProjectsResponse200Type$outboundSchema = FilterProjectEnvsResponseBodyProjectsResponse200Type$inboundSchema;
  ((FilterProjectEnvsResponseBodyProjectsResponse200Type$) => {
    FilterProjectEnvsResponseBodyProjectsResponse200Type$.inboundSchema = FilterProjectEnvsResponseBodyProjectsResponse200Type$inboundSchema;
    FilterProjectEnvsResponseBodyProjectsResponse200Type$.outboundSchema = FilterProjectEnvsResponseBodyProjectsResponse200Type$outboundSchema;
  })(FilterProjectEnvsResponseBodyProjectsResponse200Type$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs15Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs15Type);
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs15Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs15Type$inboundSchema;
  ((FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs15Type$) => {
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs15Type$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs15Type$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs15Type$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs15Type$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs15Type$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse15$inboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs15Type$inboundSchema,
    projectId: stringType()
  });
  FilterProjectEnvsContentHintProjectsResponse15$outboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs15Type$outboundSchema,
    projectId: stringType()
  });
  ((FilterProjectEnvsContentHintProjectsResponse15$) => {
    FilterProjectEnvsContentHintProjectsResponse15$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse15$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse15$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse15$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse15$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs14Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs14Type);
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs14Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs14Type$inboundSchema;
  ((FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs14Type$) => {
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs14Type$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs14Type$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs14Type$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs14Type$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs14Type$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse14$inboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs14Type$inboundSchema,
    storeId: stringType(),
    integrationId: stringType(),
    integrationProductId: stringType(),
    integrationConfigurationId: stringType()
  });
  FilterProjectEnvsContentHintProjectsResponse14$outboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs14Type$outboundSchema,
    storeId: stringType(),
    integrationId: stringType(),
    integrationProductId: stringType(),
    integrationConfigurationId: stringType()
  });
  ((FilterProjectEnvsContentHintProjectsResponse14$) => {
    FilterProjectEnvsContentHintProjectsResponse14$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse14$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse14$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse14$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse14$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs13Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs13Type);
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs13Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs13Type$inboundSchema;
  ((FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs13Type$) => {
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs13Type$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs13Type$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs13Type$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs13Type$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs13Type$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse13$inboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs13Type$inboundSchema,
    storeId: stringType()
  });
  FilterProjectEnvsContentHintProjectsResponse13$outboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs13Type$outboundSchema,
    storeId: stringType()
  });
  ((FilterProjectEnvsContentHintProjectsResponse13$) => {
    FilterProjectEnvsContentHintProjectsResponse13$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse13$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse13$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse13$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse13$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs12Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs12Type);
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs12Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs12Type$inboundSchema;
  ((FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs12Type$) => {
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs12Type$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs12Type$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs12Type$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs12Type$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs12Type$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse12$inboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs12Type$inboundSchema,
    storeId: stringType()
  });
  FilterProjectEnvsContentHintProjectsResponse12$outboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs12Type$outboundSchema,
    storeId: stringType()
  });
  ((FilterProjectEnvsContentHintProjectsResponse12$) => {
    FilterProjectEnvsContentHintProjectsResponse12$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse12$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse12$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse12$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse12$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs11Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs11Type);
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs11Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs11Type$inboundSchema;
  ((FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs11Type$) => {
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs11Type$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs11Type$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs11Type$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs11Type$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs11Type$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse11$inboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs11Type$inboundSchema,
    storeId: stringType()
  });
  FilterProjectEnvsContentHintProjectsResponse11$outboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs11Type$outboundSchema,
    storeId: stringType()
  });
  ((FilterProjectEnvsContentHintProjectsResponse11$) => {
    FilterProjectEnvsContentHintProjectsResponse11$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse11$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse11$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse11$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse11$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs10Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs10Type);
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs10Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs10Type$inboundSchema;
  ((FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs10Type$) => {
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs10Type$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs10Type$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs10Type$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs10Type$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs10Type$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse10$inboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs10Type$inboundSchema,
    storeId: stringType()
  });
  FilterProjectEnvsContentHintProjectsResponse10$outboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs10Type$outboundSchema,
    storeId: stringType()
  });
  ((FilterProjectEnvsContentHintProjectsResponse10$) => {
    FilterProjectEnvsContentHintProjectsResponse10$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse10$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse10$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse10$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse10$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs9Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs9Type);
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs9Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs9Type$inboundSchema;
  ((FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs9Type$) => {
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs9Type$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs9Type$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs9Type$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs9Type$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs9Type$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse9$inboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs9Type$inboundSchema,
    storeId: stringType()
  });
  FilterProjectEnvsContentHintProjectsResponse9$outboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs9Type$outboundSchema,
    storeId: stringType()
  });
  ((FilterProjectEnvsContentHintProjectsResponse9$) => {
    FilterProjectEnvsContentHintProjectsResponse9$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse9$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse9$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse9$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse9$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs8Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs8Type);
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs8Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs8Type$inboundSchema;
  ((FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs8Type$) => {
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs8Type$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs8Type$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs8Type$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs8Type$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs8Type$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse8$inboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs8Type$inboundSchema,
    storeId: stringType()
  });
  FilterProjectEnvsContentHintProjectsResponse8$outboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs8Type$outboundSchema,
    storeId: stringType()
  });
  ((FilterProjectEnvsContentHintProjectsResponse8$) => {
    FilterProjectEnvsContentHintProjectsResponse8$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse8$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse8$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse8$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse8$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs7Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs7Type);
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs7Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs7Type$inboundSchema;
  ((FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs7Type$) => {
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs7Type$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs7Type$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs7Type$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs7Type$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs7Type$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse7$inboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs7Type$inboundSchema,
    storeId: stringType()
  });
  FilterProjectEnvsContentHintProjectsResponse7$outboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs7Type$outboundSchema,
    storeId: stringType()
  });
  ((FilterProjectEnvsContentHintProjectsResponse7$) => {
    FilterProjectEnvsContentHintProjectsResponse7$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse7$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse7$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse7$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse7$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs6Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs6Type);
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs6Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs6Type$inboundSchema;
  ((FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs6Type$) => {
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs6Type$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs6Type$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs6Type$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs6Type$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs6Type$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse6$inboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs6Type$inboundSchema,
    storeId: stringType()
  });
  FilterProjectEnvsContentHintProjectsResponse6$outboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs6Type$outboundSchema,
    storeId: stringType()
  });
  ((FilterProjectEnvsContentHintProjectsResponse6$) => {
    FilterProjectEnvsContentHintProjectsResponse6$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse6$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse6$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse6$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse6$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs5Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs5Type);
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs5Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs5Type$inboundSchema;
  ((FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs5Type$) => {
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs5Type$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs5Type$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs5Type$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs5Type$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs5Type$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse5$inboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs5Type$inboundSchema,
    storeId: stringType()
  });
  FilterProjectEnvsContentHintProjectsResponse5$outboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs5Type$outboundSchema,
    storeId: stringType()
  });
  ((FilterProjectEnvsContentHintProjectsResponse5$) => {
    FilterProjectEnvsContentHintProjectsResponse5$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse5$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse5$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse5$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse5$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs4Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs4Type);
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs4Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs4Type$inboundSchema;
  ((FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs4Type$) => {
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs4Type$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs4Type$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs4Type$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs4Type$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs4Type$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse4$inboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs4Type$inboundSchema,
    storeId: stringType()
  });
  FilterProjectEnvsContentHintProjectsResponse4$outboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs4Type$outboundSchema,
    storeId: stringType()
  });
  ((FilterProjectEnvsContentHintProjectsResponse4$) => {
    FilterProjectEnvsContentHintProjectsResponse4$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse4$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse4$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse4$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse4$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs3Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs3Type);
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs3Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs3Type$inboundSchema;
  ((FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs3Type$) => {
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs3Type$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs3Type$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs3Type$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs3Type$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs3Type$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse3$inboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs3Type$inboundSchema,
    storeId: stringType()
  });
  FilterProjectEnvsContentHintProjectsResponse3$outboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs3Type$outboundSchema,
    storeId: stringType()
  });
  ((FilterProjectEnvsContentHintProjectsResponse3$) => {
    FilterProjectEnvsContentHintProjectsResponse3$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse3$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse3$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse3$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse3$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3EnvsType$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3EnvsType);
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3EnvsType$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3EnvsType$inboundSchema;
  ((FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3EnvsType$) => {
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3EnvsType$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3EnvsType$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3EnvsType$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3EnvsType$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3EnvsType$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse2$inboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3EnvsType$inboundSchema,
    storeId: stringType()
  });
  FilterProjectEnvsContentHintProjectsResponse2$outboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3EnvsType$outboundSchema,
    storeId: stringType()
  });
  ((FilterProjectEnvsContentHintProjectsResponse2$) => {
    FilterProjectEnvsContentHintProjectsResponse2$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse2$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse2$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse2$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse2$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Type);
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Type$inboundSchema;
  ((FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Type$) => {
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Type$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Type$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Type$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Type$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Type$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse1$inboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Type$inboundSchema,
    storeId: stringType()
  });
  FilterProjectEnvsContentHintProjectsResponse1$outboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Type$outboundSchema,
    storeId: stringType()
  });
  ((FilterProjectEnvsContentHintProjectsResponse1$) => {
    FilterProjectEnvsContentHintProjectsResponse1$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse1$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse1$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse1$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse1$ ||= {});
  FilterProjectEnvsResponseBodyProjectsContentHint$inboundSchema = unionType([
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse1$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse2$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse3$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse4$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse5$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse6$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse7$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse8$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse9$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse10$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse11$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse12$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse13$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse15$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse14$inboundSchema)
  ]);
  FilterProjectEnvsResponseBodyProjectsContentHint$outboundSchema = unionType([
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse1$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse2$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse3$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse4$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse5$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse6$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse7$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse8$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse9$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse10$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse11$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse12$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse13$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse15$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse14$outboundSchema)
  ]);
  ((FilterProjectEnvsResponseBodyProjectsContentHint$) => {
    FilterProjectEnvsResponseBodyProjectsContentHint$.inboundSchema = FilterProjectEnvsResponseBodyProjectsContentHint$inboundSchema;
    FilterProjectEnvsResponseBodyProjectsContentHint$.outboundSchema = FilterProjectEnvsResponseBodyProjectsContentHint$outboundSchema;
  })(FilterProjectEnvsResponseBodyProjectsContentHint$ ||= {});
  FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJson3Type$inboundSchema = nativeEnumType(FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJson3Type);
  FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJson3Type$outboundSchema = FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJson3Type$inboundSchema;
  ((FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJson3Type$) => {
    FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJson3Type$.inboundSchema = FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJson3Type$inboundSchema;
    FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJson3Type$.outboundSchema = FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJson3Type$outboundSchema;
  })(FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJson3Type$ ||= {});
  FilterProjectEnvsResponseBodyProjectsInternalContentHint$inboundSchema = objectType({
    type: FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJson3Type$inboundSchema,
    encryptedValue: stringType()
  });
  FilterProjectEnvsResponseBodyProjectsInternalContentHint$outboundSchema = objectType({
    type: FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJson3Type$outboundSchema,
    encryptedValue: stringType()
  });
  ((FilterProjectEnvsResponseBodyProjectsInternalContentHint$) => {
    FilterProjectEnvsResponseBodyProjectsInternalContentHint$.inboundSchema = FilterProjectEnvsResponseBodyProjectsInternalContentHint$inboundSchema;
    FilterProjectEnvsResponseBodyProjectsInternalContentHint$.outboundSchema = FilterProjectEnvsResponseBodyProjectsInternalContentHint$outboundSchema;
  })(FilterProjectEnvsResponseBodyProjectsInternalContentHint$ ||= {});
  ResponseBodyEnvs$inboundSchema = objectType({
    target: unionType([
      arrayType(FilterProjectEnvsTargetProjectsResponse1$inboundSchema),
      FilterProjectEnvsTargetProjectsResponse2$inboundSchema
    ]).optional(),
    type: FilterProjectEnvsResponseBodyProjectsResponse200Type$inboundSchema.optional(),
    sunsetSecretId: stringType().optional(),
    decrypted: booleanType().optional(),
    value: stringType().optional(),
    vsmValue: stringType().optional(),
    id: stringType().optional(),
    key: stringType().optional(),
    configurationId: nullableType(stringType()).optional(),
    createdAt: numberType().optional(),
    updatedAt: numberType().optional(),
    createdBy: nullableType(stringType()).optional(),
    updatedBy: nullableType(stringType()).optional(),
    gitBranch: stringType().optional(),
    edgeConfigId: nullableType(stringType()).optional(),
    edgeConfigTokenId: nullableType(stringType()).optional(),
    contentHint: nullableType(unionType([
      lazyType(() => FilterProjectEnvsContentHintProjectsResponse1$inboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjectsResponse2$inboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjectsResponse3$inboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjectsResponse4$inboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjectsResponse5$inboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjectsResponse6$inboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjectsResponse7$inboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjectsResponse8$inboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjectsResponse9$inboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjectsResponse10$inboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjectsResponse11$inboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjectsResponse12$inboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjectsResponse13$inboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjectsResponse15$inboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjectsResponse14$inboundSchema)
    ])).optional(),
    internalContentHint: nullableType(lazyType(() => FilterProjectEnvsResponseBodyProjectsInternalContentHint$inboundSchema)).optional(),
    comment: stringType().optional(),
    customEnvironmentIds: arrayType(stringType()).optional(),
    system: booleanType().optional()
  });
  ResponseBodyEnvs$outboundSchema = objectType({
    target: unionType([
      arrayType(FilterProjectEnvsTargetProjectsResponse1$outboundSchema),
      FilterProjectEnvsTargetProjectsResponse2$outboundSchema
    ]).optional(),
    type: FilterProjectEnvsResponseBodyProjectsResponse200Type$outboundSchema.optional(),
    sunsetSecretId: stringType().optional(),
    decrypted: booleanType().optional(),
    value: stringType().optional(),
    vsmValue: stringType().optional(),
    id: stringType().optional(),
    key: stringType().optional(),
    configurationId: nullableType(stringType()).optional(),
    createdAt: numberType().optional(),
    updatedAt: numberType().optional(),
    createdBy: nullableType(stringType()).optional(),
    updatedBy: nullableType(stringType()).optional(),
    gitBranch: stringType().optional(),
    edgeConfigId: nullableType(stringType()).optional(),
    edgeConfigTokenId: nullableType(stringType()).optional(),
    contentHint: nullableType(unionType([
      lazyType(() => FilterProjectEnvsContentHintProjectsResponse1$outboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjectsResponse2$outboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjectsResponse3$outboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjectsResponse4$outboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjectsResponse5$outboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjectsResponse6$outboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjectsResponse7$outboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjectsResponse8$outboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjectsResponse9$outboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjectsResponse10$outboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjectsResponse11$outboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjectsResponse12$outboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjectsResponse13$outboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjectsResponse15$outboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjectsResponse14$outboundSchema)
    ])).optional(),
    internalContentHint: nullableType(lazyType(() => FilterProjectEnvsResponseBodyProjectsInternalContentHint$outboundSchema)).optional(),
    comment: stringType().optional(),
    customEnvironmentIds: arrayType(stringType()).optional(),
    system: booleanType().optional()
  });
  ((ResponseBodyEnvs$) => {
    ResponseBodyEnvs$.inboundSchema = ResponseBodyEnvs$inboundSchema;
    ResponseBodyEnvs$.outboundSchema = ResponseBodyEnvs$outboundSchema;
  })(ResponseBodyEnvs$ ||= {});
  FilterProjectEnvsResponseBody3$inboundSchema = objectType({
    envs: arrayType(lazyType(() => ResponseBodyEnvs$inboundSchema))
  });
  FilterProjectEnvsResponseBody3$outboundSchema = objectType({
    envs: arrayType(lazyType(() => ResponseBodyEnvs$outboundSchema))
  });
  ((FilterProjectEnvsResponseBody3$) => {
    FilterProjectEnvsResponseBody3$.inboundSchema = FilterProjectEnvsResponseBody3$inboundSchema;
    FilterProjectEnvsResponseBody3$.outboundSchema = FilterProjectEnvsResponseBody3$outboundSchema;
  })(FilterProjectEnvsResponseBody3$ ||= {});
  FilterProjectEnvsTargetProjects2$inboundSchema = nativeEnumType(FilterProjectEnvsTargetProjects2);
  FilterProjectEnvsTargetProjects2$outboundSchema = FilterProjectEnvsTargetProjects2$inboundSchema;
  ((FilterProjectEnvsTargetProjects2$) => {
    FilterProjectEnvsTargetProjects2$.inboundSchema = FilterProjectEnvsTargetProjects2$inboundSchema;
    FilterProjectEnvsTargetProjects2$.outboundSchema = FilterProjectEnvsTargetProjects2$outboundSchema;
  })(FilterProjectEnvsTargetProjects2$ ||= {});
  FilterProjectEnvsTargetProjects1$inboundSchema = nativeEnumType(FilterProjectEnvsTargetProjects1);
  FilterProjectEnvsTargetProjects1$outboundSchema = FilterProjectEnvsTargetProjects1$inboundSchema;
  ((FilterProjectEnvsTargetProjects1$) => {
    FilterProjectEnvsTargetProjects1$.inboundSchema = FilterProjectEnvsTargetProjects1$inboundSchema;
    FilterProjectEnvsTargetProjects1$.outboundSchema = FilterProjectEnvsTargetProjects1$outboundSchema;
  })(FilterProjectEnvsTargetProjects1$ ||= {});
  FilterProjectEnvsResponseBodyProjectsTarget$inboundSchema = unionType([
    arrayType(FilterProjectEnvsTargetProjects1$inboundSchema),
    FilterProjectEnvsTargetProjects2$inboundSchema
  ]);
  FilterProjectEnvsResponseBodyProjectsTarget$outboundSchema = unionType([
    arrayType(FilterProjectEnvsTargetProjects1$outboundSchema),
    FilterProjectEnvsTargetProjects2$outboundSchema
  ]);
  ((FilterProjectEnvsResponseBodyProjectsTarget$) => {
    FilterProjectEnvsResponseBodyProjectsTarget$.inboundSchema = FilterProjectEnvsResponseBodyProjectsTarget$inboundSchema;
    FilterProjectEnvsResponseBodyProjectsTarget$.outboundSchema = FilterProjectEnvsResponseBodyProjectsTarget$outboundSchema;
  })(FilterProjectEnvsResponseBodyProjectsTarget$ ||= {});
  FilterProjectEnvsResponseBodyProjectsResponseType$inboundSchema = nativeEnumType(FilterProjectEnvsResponseBodyProjectsResponseType);
  FilterProjectEnvsResponseBodyProjectsResponseType$outboundSchema = FilterProjectEnvsResponseBodyProjectsResponseType$inboundSchema;
  ((FilterProjectEnvsResponseBodyProjectsResponseType$) => {
    FilterProjectEnvsResponseBodyProjectsResponseType$.inboundSchema = FilterProjectEnvsResponseBodyProjectsResponseType$inboundSchema;
    FilterProjectEnvsResponseBodyProjectsResponseType$.outboundSchema = FilterProjectEnvsResponseBodyProjectsResponseType$outboundSchema;
  })(FilterProjectEnvsResponseBodyProjectsResponseType$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs15Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs15Type);
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs15Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs15Type$inboundSchema;
  ((FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs15Type$) => {
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs15Type$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs15Type$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs15Type$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs15Type$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs15Type$ ||= {});
  FilterProjectEnvsContentHintProjects15$inboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs15Type$inboundSchema,
    projectId: stringType()
  });
  FilterProjectEnvsContentHintProjects15$outboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs15Type$outboundSchema,
    projectId: stringType()
  });
  ((FilterProjectEnvsContentHintProjects15$) => {
    FilterProjectEnvsContentHintProjects15$.inboundSchema = FilterProjectEnvsContentHintProjects15$inboundSchema;
    FilterProjectEnvsContentHintProjects15$.outboundSchema = FilterProjectEnvsContentHintProjects15$outboundSchema;
  })(FilterProjectEnvsContentHintProjects15$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs14Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs14Type);
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs14Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs14Type$inboundSchema;
  ((FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs14Type$) => {
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs14Type$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs14Type$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs14Type$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs14Type$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs14Type$ ||= {});
  FilterProjectEnvsContentHintProjects14$inboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs14Type$inboundSchema,
    storeId: stringType(),
    integrationId: stringType(),
    integrationProductId: stringType(),
    integrationConfigurationId: stringType()
  });
  FilterProjectEnvsContentHintProjects14$outboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs14Type$outboundSchema,
    storeId: stringType(),
    integrationId: stringType(),
    integrationProductId: stringType(),
    integrationConfigurationId: stringType()
  });
  ((FilterProjectEnvsContentHintProjects14$) => {
    FilterProjectEnvsContentHintProjects14$.inboundSchema = FilterProjectEnvsContentHintProjects14$inboundSchema;
    FilterProjectEnvsContentHintProjects14$.outboundSchema = FilterProjectEnvsContentHintProjects14$outboundSchema;
  })(FilterProjectEnvsContentHintProjects14$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs13Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs13Type);
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs13Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs13Type$inboundSchema;
  ((FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs13Type$) => {
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs13Type$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs13Type$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs13Type$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs13Type$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs13Type$ ||= {});
  FilterProjectEnvsContentHintProjects13$inboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs13Type$inboundSchema,
    storeId: stringType()
  });
  FilterProjectEnvsContentHintProjects13$outboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs13Type$outboundSchema,
    storeId: stringType()
  });
  ((FilterProjectEnvsContentHintProjects13$) => {
    FilterProjectEnvsContentHintProjects13$.inboundSchema = FilterProjectEnvsContentHintProjects13$inboundSchema;
    FilterProjectEnvsContentHintProjects13$.outboundSchema = FilterProjectEnvsContentHintProjects13$outboundSchema;
  })(FilterProjectEnvsContentHintProjects13$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs12Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs12Type);
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs12Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs12Type$inboundSchema;
  ((FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs12Type$) => {
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs12Type$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs12Type$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs12Type$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs12Type$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs12Type$ ||= {});
  FilterProjectEnvsContentHintProjects12$inboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs12Type$inboundSchema,
    storeId: stringType()
  });
  FilterProjectEnvsContentHintProjects12$outboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs12Type$outboundSchema,
    storeId: stringType()
  });
  ((FilterProjectEnvsContentHintProjects12$) => {
    FilterProjectEnvsContentHintProjects12$.inboundSchema = FilterProjectEnvsContentHintProjects12$inboundSchema;
    FilterProjectEnvsContentHintProjects12$.outboundSchema = FilterProjectEnvsContentHintProjects12$outboundSchema;
  })(FilterProjectEnvsContentHintProjects12$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs11Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs11Type);
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs11Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs11Type$inboundSchema;
  ((FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs11Type$) => {
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs11Type$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs11Type$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs11Type$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs11Type$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs11Type$ ||= {});
  FilterProjectEnvsContentHintProjects11$inboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs11Type$inboundSchema,
    storeId: stringType()
  });
  FilterProjectEnvsContentHintProjects11$outboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs11Type$outboundSchema,
    storeId: stringType()
  });
  ((FilterProjectEnvsContentHintProjects11$) => {
    FilterProjectEnvsContentHintProjects11$.inboundSchema = FilterProjectEnvsContentHintProjects11$inboundSchema;
    FilterProjectEnvsContentHintProjects11$.outboundSchema = FilterProjectEnvsContentHintProjects11$outboundSchema;
  })(FilterProjectEnvsContentHintProjects11$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs10Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs10Type);
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs10Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs10Type$inboundSchema;
  ((FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs10Type$) => {
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs10Type$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs10Type$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs10Type$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs10Type$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs10Type$ ||= {});
  FilterProjectEnvsContentHintProjects10$inboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs10Type$inboundSchema,
    storeId: stringType()
  });
  FilterProjectEnvsContentHintProjects10$outboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs10Type$outboundSchema,
    storeId: stringType()
  });
  ((FilterProjectEnvsContentHintProjects10$) => {
    FilterProjectEnvsContentHintProjects10$.inboundSchema = FilterProjectEnvsContentHintProjects10$inboundSchema;
    FilterProjectEnvsContentHintProjects10$.outboundSchema = FilterProjectEnvsContentHintProjects10$outboundSchema;
  })(FilterProjectEnvsContentHintProjects10$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs9Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs9Type);
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs9Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs9Type$inboundSchema;
  ((FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs9Type$) => {
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs9Type$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs9Type$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs9Type$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs9Type$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs9Type$ ||= {});
  FilterProjectEnvsContentHintProjects9$inboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs9Type$inboundSchema,
    storeId: stringType()
  });
  FilterProjectEnvsContentHintProjects9$outboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs9Type$outboundSchema,
    storeId: stringType()
  });
  ((FilterProjectEnvsContentHintProjects9$) => {
    FilterProjectEnvsContentHintProjects9$.inboundSchema = FilterProjectEnvsContentHintProjects9$inboundSchema;
    FilterProjectEnvsContentHintProjects9$.outboundSchema = FilterProjectEnvsContentHintProjects9$outboundSchema;
  })(FilterProjectEnvsContentHintProjects9$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs8Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs8Type);
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs8Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs8Type$inboundSchema;
  ((FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs8Type$) => {
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs8Type$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs8Type$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs8Type$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs8Type$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs8Type$ ||= {});
  FilterProjectEnvsContentHintProjects8$inboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs8Type$inboundSchema,
    storeId: stringType()
  });
  FilterProjectEnvsContentHintProjects8$outboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs8Type$outboundSchema,
    storeId: stringType()
  });
  ((FilterProjectEnvsContentHintProjects8$) => {
    FilterProjectEnvsContentHintProjects8$.inboundSchema = FilterProjectEnvsContentHintProjects8$inboundSchema;
    FilterProjectEnvsContentHintProjects8$.outboundSchema = FilterProjectEnvsContentHintProjects8$outboundSchema;
  })(FilterProjectEnvsContentHintProjects8$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs7Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs7Type);
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs7Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs7Type$inboundSchema;
  ((FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs7Type$) => {
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs7Type$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs7Type$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs7Type$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs7Type$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs7Type$ ||= {});
  FilterProjectEnvsContentHintProjects7$inboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs7Type$inboundSchema,
    storeId: stringType()
  });
  FilterProjectEnvsContentHintProjects7$outboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs7Type$outboundSchema,
    storeId: stringType()
  });
  ((FilterProjectEnvsContentHintProjects7$) => {
    FilterProjectEnvsContentHintProjects7$.inboundSchema = FilterProjectEnvsContentHintProjects7$inboundSchema;
    FilterProjectEnvsContentHintProjects7$.outboundSchema = FilterProjectEnvsContentHintProjects7$outboundSchema;
  })(FilterProjectEnvsContentHintProjects7$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs6Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs6Type);
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs6Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs6Type$inboundSchema;
  ((FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs6Type$) => {
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs6Type$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs6Type$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs6Type$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs6Type$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs6Type$ ||= {});
  FilterProjectEnvsContentHintProjects6$inboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs6Type$inboundSchema,
    storeId: stringType()
  });
  FilterProjectEnvsContentHintProjects6$outboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs6Type$outboundSchema,
    storeId: stringType()
  });
  ((FilterProjectEnvsContentHintProjects6$) => {
    FilterProjectEnvsContentHintProjects6$.inboundSchema = FilterProjectEnvsContentHintProjects6$inboundSchema;
    FilterProjectEnvsContentHintProjects6$.outboundSchema = FilterProjectEnvsContentHintProjects6$outboundSchema;
  })(FilterProjectEnvsContentHintProjects6$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs5Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs5Type);
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs5Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs5Type$inboundSchema;
  ((FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs5Type$) => {
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs5Type$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs5Type$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs5Type$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs5Type$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs5Type$ ||= {});
  FilterProjectEnvsContentHintProjects5$inboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs5Type$inboundSchema,
    storeId: stringType()
  });
  FilterProjectEnvsContentHintProjects5$outboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs5Type$outboundSchema,
    storeId: stringType()
  });
  ((FilterProjectEnvsContentHintProjects5$) => {
    FilterProjectEnvsContentHintProjects5$.inboundSchema = FilterProjectEnvsContentHintProjects5$inboundSchema;
    FilterProjectEnvsContentHintProjects5$.outboundSchema = FilterProjectEnvsContentHintProjects5$outboundSchema;
  })(FilterProjectEnvsContentHintProjects5$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs4Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs4Type);
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs4Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs4Type$inboundSchema;
  ((FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs4Type$) => {
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs4Type$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs4Type$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs4Type$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs4Type$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs4Type$ ||= {});
  FilterProjectEnvsContentHintProjects4$inboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs4Type$inboundSchema,
    storeId: stringType()
  });
  FilterProjectEnvsContentHintProjects4$outboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs4Type$outboundSchema,
    storeId: stringType()
  });
  ((FilterProjectEnvsContentHintProjects4$) => {
    FilterProjectEnvsContentHintProjects4$.inboundSchema = FilterProjectEnvsContentHintProjects4$inboundSchema;
    FilterProjectEnvsContentHintProjects4$.outboundSchema = FilterProjectEnvsContentHintProjects4$outboundSchema;
  })(FilterProjectEnvsContentHintProjects4$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs3Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs3Type);
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs3Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs3Type$inboundSchema;
  ((FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs3Type$) => {
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs3Type$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs3Type$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs3Type$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs3Type$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs3Type$ ||= {});
  FilterProjectEnvsContentHintProjects3$inboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs3Type$inboundSchema,
    storeId: stringType()
  });
  FilterProjectEnvsContentHintProjects3$outboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs3Type$outboundSchema,
    storeId: stringType()
  });
  ((FilterProjectEnvsContentHintProjects3$) => {
    FilterProjectEnvsContentHintProjects3$.inboundSchema = FilterProjectEnvsContentHintProjects3$inboundSchema;
    FilterProjectEnvsContentHintProjects3$.outboundSchema = FilterProjectEnvsContentHintProjects3$outboundSchema;
  })(FilterProjectEnvsContentHintProjects3$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2EnvsType$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2EnvsType);
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2EnvsType$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2EnvsType$inboundSchema;
  ((FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2EnvsType$) => {
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2EnvsType$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2EnvsType$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2EnvsType$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2EnvsType$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2EnvsType$ ||= {});
  FilterProjectEnvsContentHintProjects2$inboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2EnvsType$inboundSchema,
    storeId: stringType()
  });
  FilterProjectEnvsContentHintProjects2$outboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2EnvsType$outboundSchema,
    storeId: stringType()
  });
  ((FilterProjectEnvsContentHintProjects2$) => {
    FilterProjectEnvsContentHintProjects2$.inboundSchema = FilterProjectEnvsContentHintProjects2$inboundSchema;
    FilterProjectEnvsContentHintProjects2$.outboundSchema = FilterProjectEnvsContentHintProjects2$outboundSchema;
  })(FilterProjectEnvsContentHintProjects2$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Type);
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Type$inboundSchema;
  ((FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Type$) => {
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Type$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Type$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Type$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Type$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Type$ ||= {});
  FilterProjectEnvsContentHintProjects1$inboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Type$inboundSchema,
    storeId: stringType()
  });
  FilterProjectEnvsContentHintProjects1$outboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Type$outboundSchema,
    storeId: stringType()
  });
  ((FilterProjectEnvsContentHintProjects1$) => {
    FilterProjectEnvsContentHintProjects1$.inboundSchema = FilterProjectEnvsContentHintProjects1$inboundSchema;
    FilterProjectEnvsContentHintProjects1$.outboundSchema = FilterProjectEnvsContentHintProjects1$outboundSchema;
  })(FilterProjectEnvsContentHintProjects1$ ||= {});
  FilterProjectEnvsResponseBodyContentHint$inboundSchema = unionType([
    lazyType(() => FilterProjectEnvsContentHintProjects1$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects2$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects3$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects4$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects5$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects6$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects7$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects8$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects9$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects10$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects11$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects12$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects13$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects15$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects14$inboundSchema)
  ]);
  FilterProjectEnvsResponseBodyContentHint$outboundSchema = unionType([
    lazyType(() => FilterProjectEnvsContentHintProjects1$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects2$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects3$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects4$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects5$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects6$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects7$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects8$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects9$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects10$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects11$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects12$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects13$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects15$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects14$outboundSchema)
  ]);
  ((FilterProjectEnvsResponseBodyContentHint$) => {
    FilterProjectEnvsResponseBodyContentHint$.inboundSchema = FilterProjectEnvsResponseBodyContentHint$inboundSchema;
    FilterProjectEnvsResponseBodyContentHint$.outboundSchema = FilterProjectEnvsResponseBodyContentHint$outboundSchema;
  })(FilterProjectEnvsResponseBodyContentHint$ ||= {});
  FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJSONType$inboundSchema = nativeEnumType(FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJSONType);
  FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJSONType$outboundSchema = FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJSONType$inboundSchema;
  ((FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJSONType$) => {
    FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJSONType$.inboundSchema = FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJSONType$inboundSchema;
    FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJSONType$.outboundSchema = FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJSONType$outboundSchema;
  })(FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJSONType$ ||= {});
  FilterProjectEnvsResponseBodyInternalContentHint$inboundSchema = objectType({
    type: FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJSONType$inboundSchema,
    encryptedValue: stringType()
  });
  FilterProjectEnvsResponseBodyInternalContentHint$outboundSchema = objectType({
    type: FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJSONType$outboundSchema,
    encryptedValue: stringType()
  });
  ((FilterProjectEnvsResponseBodyInternalContentHint$) => {
    FilterProjectEnvsResponseBodyInternalContentHint$.inboundSchema = FilterProjectEnvsResponseBodyInternalContentHint$inboundSchema;
    FilterProjectEnvsResponseBodyInternalContentHint$.outboundSchema = FilterProjectEnvsResponseBodyInternalContentHint$outboundSchema;
  })(FilterProjectEnvsResponseBodyInternalContentHint$ ||= {});
  Envs$inboundSchema = objectType({
    target: unionType([
      arrayType(FilterProjectEnvsTargetProjects1$inboundSchema),
      FilterProjectEnvsTargetProjects2$inboundSchema
    ]).optional(),
    type: FilterProjectEnvsResponseBodyProjectsResponseType$inboundSchema.optional(),
    sunsetSecretId: stringType().optional(),
    decrypted: booleanType().optional(),
    value: stringType().optional(),
    vsmValue: stringType().optional(),
    id: stringType().optional(),
    key: stringType().optional(),
    configurationId: nullableType(stringType()).optional(),
    createdAt: numberType().optional(),
    updatedAt: numberType().optional(),
    createdBy: nullableType(stringType()).optional(),
    updatedBy: nullableType(stringType()).optional(),
    gitBranch: stringType().optional(),
    edgeConfigId: nullableType(stringType()).optional(),
    edgeConfigTokenId: nullableType(stringType()).optional(),
    contentHint: nullableType(unionType([
      lazyType(() => FilterProjectEnvsContentHintProjects1$inboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjects2$inboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjects3$inboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjects4$inboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjects5$inboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjects6$inboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjects7$inboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjects8$inboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjects9$inboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjects10$inboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjects11$inboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjects12$inboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjects13$inboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjects15$inboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjects14$inboundSchema)
    ])).optional(),
    internalContentHint: nullableType(lazyType(() => FilterProjectEnvsResponseBodyInternalContentHint$inboundSchema)).optional(),
    comment: stringType().optional(),
    customEnvironmentIds: arrayType(stringType()).optional(),
    system: booleanType().optional()
  });
  Envs$outboundSchema = objectType({
    target: unionType([
      arrayType(FilterProjectEnvsTargetProjects1$outboundSchema),
      FilterProjectEnvsTargetProjects2$outboundSchema
    ]).optional(),
    type: FilterProjectEnvsResponseBodyProjectsResponseType$outboundSchema.optional(),
    sunsetSecretId: stringType().optional(),
    decrypted: booleanType().optional(),
    value: stringType().optional(),
    vsmValue: stringType().optional(),
    id: stringType().optional(),
    key: stringType().optional(),
    configurationId: nullableType(stringType()).optional(),
    createdAt: numberType().optional(),
    updatedAt: numberType().optional(),
    createdBy: nullableType(stringType()).optional(),
    updatedBy: nullableType(stringType()).optional(),
    gitBranch: stringType().optional(),
    edgeConfigId: nullableType(stringType()).optional(),
    edgeConfigTokenId: nullableType(stringType()).optional(),
    contentHint: nullableType(unionType([
      lazyType(() => FilterProjectEnvsContentHintProjects1$outboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjects2$outboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjects3$outboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjects4$outboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjects5$outboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjects6$outboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjects7$outboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjects8$outboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjects9$outboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjects10$outboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjects11$outboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjects12$outboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjects13$outboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjects15$outboundSchema),
      lazyType(() => FilterProjectEnvsContentHintProjects14$outboundSchema)
    ])).optional(),
    internalContentHint: nullableType(lazyType(() => FilterProjectEnvsResponseBodyInternalContentHint$outboundSchema)).optional(),
    comment: stringType().optional(),
    customEnvironmentIds: arrayType(stringType()).optional(),
    system: booleanType().optional()
  });
  ((Envs$) => {
    Envs$.inboundSchema = Envs$inboundSchema;
    Envs$.outboundSchema = Envs$outboundSchema;
  })(Envs$ ||= {});
  FilterProjectEnvsResponseBody2$inboundSchema = objectType({
    envs: arrayType(lazyType(() => Envs$inboundSchema)),
    pagination: Pagination$inboundSchema
  });
  FilterProjectEnvsResponseBody2$outboundSchema = objectType({
    envs: arrayType(lazyType(() => Envs$outboundSchema)),
    pagination: Pagination$outboundSchema
  });
  ((FilterProjectEnvsResponseBody2$) => {
    FilterProjectEnvsResponseBody2$.inboundSchema = FilterProjectEnvsResponseBody2$inboundSchema;
    FilterProjectEnvsResponseBody2$.outboundSchema = FilterProjectEnvsResponseBody2$outboundSchema;
  })(FilterProjectEnvsResponseBody2$ ||= {});
  FilterProjectEnvsTarget2$inboundSchema = nativeEnumType(FilterProjectEnvsTarget2);
  FilterProjectEnvsTarget2$outboundSchema = FilterProjectEnvsTarget2$inboundSchema;
  ((FilterProjectEnvsTarget2$) => {
    FilterProjectEnvsTarget2$.inboundSchema = FilterProjectEnvsTarget2$inboundSchema;
    FilterProjectEnvsTarget2$.outboundSchema = FilterProjectEnvsTarget2$outboundSchema;
  })(FilterProjectEnvsTarget2$ ||= {});
  FilterProjectEnvsTarget1$inboundSchema = nativeEnumType(FilterProjectEnvsTarget1);
  FilterProjectEnvsTarget1$outboundSchema = FilterProjectEnvsTarget1$inboundSchema;
  ((FilterProjectEnvsTarget1$) => {
    FilterProjectEnvsTarget1$.inboundSchema = FilterProjectEnvsTarget1$inboundSchema;
    FilterProjectEnvsTarget1$.outboundSchema = FilterProjectEnvsTarget1$outboundSchema;
  })(FilterProjectEnvsTarget1$ ||= {});
  FilterProjectEnvsResponseBodyTarget$inboundSchema = unionType([
    arrayType(FilterProjectEnvsTarget1$inboundSchema),
    FilterProjectEnvsTarget2$inboundSchema
  ]);
  FilterProjectEnvsResponseBodyTarget$outboundSchema = unionType([
    arrayType(FilterProjectEnvsTarget1$outboundSchema),
    FilterProjectEnvsTarget2$outboundSchema
  ]);
  ((FilterProjectEnvsResponseBodyTarget$) => {
    FilterProjectEnvsResponseBodyTarget$.inboundSchema = FilterProjectEnvsResponseBodyTarget$inboundSchema;
    FilterProjectEnvsResponseBodyTarget$.outboundSchema = FilterProjectEnvsResponseBodyTarget$outboundSchema;
  })(FilterProjectEnvsResponseBodyTarget$ ||= {});
  FilterProjectEnvsResponseBodyType$inboundSchema = nativeEnumType(FilterProjectEnvsResponseBodyType);
  FilterProjectEnvsResponseBodyType$outboundSchema = FilterProjectEnvsResponseBodyType$inboundSchema;
  ((FilterProjectEnvsResponseBodyType$) => {
    FilterProjectEnvsResponseBodyType$.inboundSchema = FilterProjectEnvsResponseBodyType$inboundSchema;
    FilterProjectEnvsResponseBodyType$.outboundSchema = FilterProjectEnvsResponseBodyType$outboundSchema;
  })(FilterProjectEnvsResponseBodyType$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody115Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody115Type);
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody115Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody115Type$inboundSchema;
  ((FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody115Type$) => {
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody115Type$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody115Type$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody115Type$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody115Type$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody115Type$ ||= {});
  FilterProjectEnvsContentHint15$inboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody115Type$inboundSchema,
    projectId: stringType()
  });
  FilterProjectEnvsContentHint15$outboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody115Type$outboundSchema,
    projectId: stringType()
  });
  ((FilterProjectEnvsContentHint15$) => {
    FilterProjectEnvsContentHint15$.inboundSchema = FilterProjectEnvsContentHint15$inboundSchema;
    FilterProjectEnvsContentHint15$.outboundSchema = FilterProjectEnvsContentHint15$outboundSchema;
  })(FilterProjectEnvsContentHint15$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody114Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody114Type);
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody114Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody114Type$inboundSchema;
  ((FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody114Type$) => {
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody114Type$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody114Type$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody114Type$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody114Type$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody114Type$ ||= {});
  FilterProjectEnvsContentHint14$inboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody114Type$inboundSchema,
    storeId: stringType(),
    integrationId: stringType(),
    integrationProductId: stringType(),
    integrationConfigurationId: stringType()
  });
  FilterProjectEnvsContentHint14$outboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody114Type$outboundSchema,
    storeId: stringType(),
    integrationId: stringType(),
    integrationProductId: stringType(),
    integrationConfigurationId: stringType()
  });
  ((FilterProjectEnvsContentHint14$) => {
    FilterProjectEnvsContentHint14$.inboundSchema = FilterProjectEnvsContentHint14$inboundSchema;
    FilterProjectEnvsContentHint14$.outboundSchema = FilterProjectEnvsContentHint14$outboundSchema;
  })(FilterProjectEnvsContentHint14$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody113Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody113Type);
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody113Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody113Type$inboundSchema;
  ((FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody113Type$) => {
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody113Type$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody113Type$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody113Type$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody113Type$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody113Type$ ||= {});
  FilterProjectEnvsContentHint13$inboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody113Type$inboundSchema,
    storeId: stringType()
  });
  FilterProjectEnvsContentHint13$outboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody113Type$outboundSchema,
    storeId: stringType()
  });
  ((FilterProjectEnvsContentHint13$) => {
    FilterProjectEnvsContentHint13$.inboundSchema = FilterProjectEnvsContentHint13$inboundSchema;
    FilterProjectEnvsContentHint13$.outboundSchema = FilterProjectEnvsContentHint13$outboundSchema;
  })(FilterProjectEnvsContentHint13$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody112Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody112Type);
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody112Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody112Type$inboundSchema;
  ((FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody112Type$) => {
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody112Type$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody112Type$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody112Type$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody112Type$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody112Type$ ||= {});
  FilterProjectEnvsContentHint12$inboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody112Type$inboundSchema,
    storeId: stringType()
  });
  FilterProjectEnvsContentHint12$outboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody112Type$outboundSchema,
    storeId: stringType()
  });
  ((FilterProjectEnvsContentHint12$) => {
    FilterProjectEnvsContentHint12$.inboundSchema = FilterProjectEnvsContentHint12$inboundSchema;
    FilterProjectEnvsContentHint12$.outboundSchema = FilterProjectEnvsContentHint12$outboundSchema;
  })(FilterProjectEnvsContentHint12$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody111Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody111Type);
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody111Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody111Type$inboundSchema;
  ((FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody111Type$) => {
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody111Type$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody111Type$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody111Type$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody111Type$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody111Type$ ||= {});
  FilterProjectEnvsContentHint11$inboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody111Type$inboundSchema,
    storeId: stringType()
  });
  FilterProjectEnvsContentHint11$outboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody111Type$outboundSchema,
    storeId: stringType()
  });
  ((FilterProjectEnvsContentHint11$) => {
    FilterProjectEnvsContentHint11$.inboundSchema = FilterProjectEnvsContentHint11$inboundSchema;
    FilterProjectEnvsContentHint11$.outboundSchema = FilterProjectEnvsContentHint11$outboundSchema;
  })(FilterProjectEnvsContentHint11$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody110Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody110Type);
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody110Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody110Type$inboundSchema;
  ((FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody110Type$) => {
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody110Type$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody110Type$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody110Type$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody110Type$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody110Type$ ||= {});
  FilterProjectEnvsContentHint10$inboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody110Type$inboundSchema,
    storeId: stringType()
  });
  FilterProjectEnvsContentHint10$outboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody110Type$outboundSchema,
    storeId: stringType()
  });
  ((FilterProjectEnvsContentHint10$) => {
    FilterProjectEnvsContentHint10$.inboundSchema = FilterProjectEnvsContentHint10$inboundSchema;
    FilterProjectEnvsContentHint10$.outboundSchema = FilterProjectEnvsContentHint10$outboundSchema;
  })(FilterProjectEnvsContentHint10$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody19Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody19Type);
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody19Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody19Type$inboundSchema;
  ((FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody19Type$) => {
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody19Type$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody19Type$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody19Type$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody19Type$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody19Type$ ||= {});
  FilterProjectEnvsContentHint9$inboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody19Type$inboundSchema,
    storeId: stringType()
  });
  FilterProjectEnvsContentHint9$outboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody19Type$outboundSchema,
    storeId: stringType()
  });
  ((FilterProjectEnvsContentHint9$) => {
    FilterProjectEnvsContentHint9$.inboundSchema = FilterProjectEnvsContentHint9$inboundSchema;
    FilterProjectEnvsContentHint9$.outboundSchema = FilterProjectEnvsContentHint9$outboundSchema;
  })(FilterProjectEnvsContentHint9$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody18Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody18Type);
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody18Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody18Type$inboundSchema;
  ((FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody18Type$) => {
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody18Type$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody18Type$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody18Type$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody18Type$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody18Type$ ||= {});
  FilterProjectEnvsContentHint8$inboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody18Type$inboundSchema,
    storeId: stringType()
  });
  FilterProjectEnvsContentHint8$outboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody18Type$outboundSchema,
    storeId: stringType()
  });
  ((FilterProjectEnvsContentHint8$) => {
    FilterProjectEnvsContentHint8$.inboundSchema = FilterProjectEnvsContentHint8$inboundSchema;
    FilterProjectEnvsContentHint8$.outboundSchema = FilterProjectEnvsContentHint8$outboundSchema;
  })(FilterProjectEnvsContentHint8$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody1Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody1Type);
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody1Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody1Type$inboundSchema;
  ((FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody1Type$) => {
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody1Type$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody1Type$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody1Type$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody1Type$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody1Type$ ||= {});
  FilterProjectEnvsContentHint7$inboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody1Type$inboundSchema,
    storeId: stringType()
  });
  FilterProjectEnvsContentHint7$outboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody1Type$outboundSchema,
    storeId: stringType()
  });
  ((FilterProjectEnvsContentHint7$) => {
    FilterProjectEnvsContentHint7$.inboundSchema = FilterProjectEnvsContentHint7$inboundSchema;
    FilterProjectEnvsContentHint7$.outboundSchema = FilterProjectEnvsContentHint7$outboundSchema;
  })(FilterProjectEnvsContentHint7$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBodyType);
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema;
  ((FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBodyType$) => {
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBodyType$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBodyType$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBodyType$ ||= {});
  FilterProjectEnvsContentHint6$inboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema,
    storeId: stringType()
  });
  FilterProjectEnvsContentHint6$outboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema,
    storeId: stringType()
  });
  ((FilterProjectEnvsContentHint6$) => {
    FilterProjectEnvsContentHint6$.inboundSchema = FilterProjectEnvsContentHint6$inboundSchema;
    FilterProjectEnvsContentHint6$.outboundSchema = FilterProjectEnvsContentHint6$outboundSchema;
  })(FilterProjectEnvsContentHint6$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONType$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONType);
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONType$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONType$inboundSchema;
  ((FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONType$) => {
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONType$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONType$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONType$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONType$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONType$ ||= {});
  FilterProjectEnvsContentHint5$inboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONType$inboundSchema,
    storeId: stringType()
  });
  FilterProjectEnvsContentHint5$outboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONType$outboundSchema,
    storeId: stringType()
  });
  ((FilterProjectEnvsContentHint5$) => {
    FilterProjectEnvsContentHint5$.inboundSchema = FilterProjectEnvsContentHint5$inboundSchema;
    FilterProjectEnvsContentHint5$.outboundSchema = FilterProjectEnvsContentHint5$outboundSchema;
  })(FilterProjectEnvsContentHint5$ ||= {});
  FilterProjectEnvsContentHintProjectsResponse200Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200Type);
  FilterProjectEnvsContentHintProjectsResponse200Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200Type$inboundSchema;
  ((FilterProjectEnvsContentHintProjectsResponse200Type$) => {
    FilterProjectEnvsContentHintProjectsResponse200Type$.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200Type$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponse200Type$.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200Type$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponse200Type$ ||= {});
  FilterProjectEnvsContentHint4$inboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200Type$inboundSchema,
    storeId: stringType()
  });
  FilterProjectEnvsContentHint4$outboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponse200Type$outboundSchema,
    storeId: stringType()
  });
  ((FilterProjectEnvsContentHint4$) => {
    FilterProjectEnvsContentHint4$.inboundSchema = FilterProjectEnvsContentHint4$inboundSchema;
    FilterProjectEnvsContentHint4$.outboundSchema = FilterProjectEnvsContentHint4$outboundSchema;
  })(FilterProjectEnvsContentHint4$ ||= {});
  FilterProjectEnvsContentHintProjectsResponseType$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponseType);
  FilterProjectEnvsContentHintProjectsResponseType$outboundSchema = FilterProjectEnvsContentHintProjectsResponseType$inboundSchema;
  ((FilterProjectEnvsContentHintProjectsResponseType$) => {
    FilterProjectEnvsContentHintProjectsResponseType$.inboundSchema = FilterProjectEnvsContentHintProjectsResponseType$inboundSchema;
    FilterProjectEnvsContentHintProjectsResponseType$.outboundSchema = FilterProjectEnvsContentHintProjectsResponseType$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsResponseType$ ||= {});
  FilterProjectEnvsContentHint3$inboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponseType$inboundSchema,
    storeId: stringType()
  });
  FilterProjectEnvsContentHint3$outboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsResponseType$outboundSchema,
    storeId: stringType()
  });
  ((FilterProjectEnvsContentHint3$) => {
    FilterProjectEnvsContentHint3$.inboundSchema = FilterProjectEnvsContentHint3$inboundSchema;
    FilterProjectEnvsContentHint3$.outboundSchema = FilterProjectEnvsContentHint3$outboundSchema;
  })(FilterProjectEnvsContentHint3$ ||= {});
  FilterProjectEnvsContentHintProjectsType$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsType);
  FilterProjectEnvsContentHintProjectsType$outboundSchema = FilterProjectEnvsContentHintProjectsType$inboundSchema;
  ((FilterProjectEnvsContentHintProjectsType$) => {
    FilterProjectEnvsContentHintProjectsType$.inboundSchema = FilterProjectEnvsContentHintProjectsType$inboundSchema;
    FilterProjectEnvsContentHintProjectsType$.outboundSchema = FilterProjectEnvsContentHintProjectsType$outboundSchema;
  })(FilterProjectEnvsContentHintProjectsType$ ||= {});
  FilterProjectEnvsContentHint2$inboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsType$inboundSchema,
    storeId: stringType()
  });
  FilterProjectEnvsContentHint2$outboundSchema = objectType({
    type: FilterProjectEnvsContentHintProjectsType$outboundSchema,
    storeId: stringType()
  });
  ((FilterProjectEnvsContentHint2$) => {
    FilterProjectEnvsContentHint2$.inboundSchema = FilterProjectEnvsContentHint2$inboundSchema;
    FilterProjectEnvsContentHint2$.outboundSchema = FilterProjectEnvsContentHint2$outboundSchema;
  })(FilterProjectEnvsContentHint2$ ||= {});
  FilterProjectEnvsContentHintType$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintType);
  FilterProjectEnvsContentHintType$outboundSchema = FilterProjectEnvsContentHintType$inboundSchema;
  ((FilterProjectEnvsContentHintType$) => {
    FilterProjectEnvsContentHintType$.inboundSchema = FilterProjectEnvsContentHintType$inboundSchema;
    FilterProjectEnvsContentHintType$.outboundSchema = FilterProjectEnvsContentHintType$outboundSchema;
  })(FilterProjectEnvsContentHintType$ ||= {});
  FilterProjectEnvsContentHint1$inboundSchema = objectType({
    type: FilterProjectEnvsContentHintType$inboundSchema,
    storeId: stringType()
  });
  FilterProjectEnvsContentHint1$outboundSchema = objectType({
    type: FilterProjectEnvsContentHintType$outboundSchema,
    storeId: stringType()
  });
  ((FilterProjectEnvsContentHint1$) => {
    FilterProjectEnvsContentHint1$.inboundSchema = FilterProjectEnvsContentHint1$inboundSchema;
    FilterProjectEnvsContentHint1$.outboundSchema = FilterProjectEnvsContentHint1$outboundSchema;
  })(FilterProjectEnvsContentHint1$ ||= {});
  ResponseBodyContentHint$inboundSchema = unionType([
    lazyType(() => FilterProjectEnvsContentHint1$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHint2$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHint3$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHint4$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHint5$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHint6$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHint7$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHint8$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHint9$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHint10$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHint11$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHint12$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHint13$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHint15$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHint14$inboundSchema)
  ]);
  ResponseBodyContentHint$outboundSchema = unionType([
    lazyType(() => FilterProjectEnvsContentHint1$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHint2$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHint3$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHint4$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHint5$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHint6$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHint7$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHint8$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHint9$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHint10$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHint11$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHint12$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHint13$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHint15$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHint14$outboundSchema)
  ]);
  ((ResponseBodyContentHint$) => {
    ResponseBodyContentHint$.inboundSchema = ResponseBodyContentHint$inboundSchema;
    ResponseBodyContentHint$.outboundSchema = ResponseBodyContentHint$outboundSchema;
  })(ResponseBodyContentHint$ ||= {});
  FilterProjectEnvsResponseBodyProjectsType$inboundSchema = nativeEnumType(FilterProjectEnvsResponseBodyProjectsType);
  FilterProjectEnvsResponseBodyProjectsType$outboundSchema = FilterProjectEnvsResponseBodyProjectsType$inboundSchema;
  ((FilterProjectEnvsResponseBodyProjectsType$) => {
    FilterProjectEnvsResponseBodyProjectsType$.inboundSchema = FilterProjectEnvsResponseBodyProjectsType$inboundSchema;
    FilterProjectEnvsResponseBodyProjectsType$.outboundSchema = FilterProjectEnvsResponseBodyProjectsType$outboundSchema;
  })(FilterProjectEnvsResponseBodyProjectsType$ ||= {});
  ResponseBodyInternalContentHint$inboundSchema = objectType({
    type: FilterProjectEnvsResponseBodyProjectsType$inboundSchema,
    encryptedValue: stringType()
  });
  ResponseBodyInternalContentHint$outboundSchema = objectType({
    type: FilterProjectEnvsResponseBodyProjectsType$outboundSchema,
    encryptedValue: stringType()
  });
  ((ResponseBodyInternalContentHint$) => {
    ResponseBodyInternalContentHint$.inboundSchema = ResponseBodyInternalContentHint$inboundSchema;
    ResponseBodyInternalContentHint$.outboundSchema = ResponseBodyInternalContentHint$outboundSchema;
  })(ResponseBodyInternalContentHint$ ||= {});
  FilterProjectEnvsResponseBody1$inboundSchema = objectType({
    target: unionType([
      arrayType(FilterProjectEnvsTarget1$inboundSchema),
      FilterProjectEnvsTarget2$inboundSchema
    ]).optional(),
    type: FilterProjectEnvsResponseBodyType$inboundSchema.optional(),
    sunsetSecretId: stringType().optional(),
    decrypted: booleanType().optional(),
    value: stringType().optional(),
    vsmValue: stringType().optional(),
    id: stringType().optional(),
    key: stringType().optional(),
    configurationId: nullableType(stringType()).optional(),
    createdAt: numberType().optional(),
    updatedAt: numberType().optional(),
    createdBy: nullableType(stringType()).optional(),
    updatedBy: nullableType(stringType()).optional(),
    gitBranch: stringType().optional(),
    edgeConfigId: nullableType(stringType()).optional(),
    edgeConfigTokenId: nullableType(stringType()).optional(),
    contentHint: nullableType(unionType([
      lazyType(() => FilterProjectEnvsContentHint1$inboundSchema),
      lazyType(() => FilterProjectEnvsContentHint2$inboundSchema),
      lazyType(() => FilterProjectEnvsContentHint3$inboundSchema),
      lazyType(() => FilterProjectEnvsContentHint4$inboundSchema),
      lazyType(() => FilterProjectEnvsContentHint5$inboundSchema),
      lazyType(() => FilterProjectEnvsContentHint6$inboundSchema),
      lazyType(() => FilterProjectEnvsContentHint7$inboundSchema),
      lazyType(() => FilterProjectEnvsContentHint8$inboundSchema),
      lazyType(() => FilterProjectEnvsContentHint9$inboundSchema),
      lazyType(() => FilterProjectEnvsContentHint10$inboundSchema),
      lazyType(() => FilterProjectEnvsContentHint11$inboundSchema),
      lazyType(() => FilterProjectEnvsContentHint12$inboundSchema),
      lazyType(() => FilterProjectEnvsContentHint13$inboundSchema),
      lazyType(() => FilterProjectEnvsContentHint15$inboundSchema),
      lazyType(() => FilterProjectEnvsContentHint14$inboundSchema)
    ])).optional(),
    internalContentHint: nullableType(lazyType(() => ResponseBodyInternalContentHint$inboundSchema)).optional(),
    comment: stringType().optional(),
    customEnvironmentIds: arrayType(stringType()).optional(),
    system: booleanType().optional()
  });
  FilterProjectEnvsResponseBody1$outboundSchema = objectType({
    target: unionType([
      arrayType(FilterProjectEnvsTarget1$outboundSchema),
      FilterProjectEnvsTarget2$outboundSchema
    ]).optional(),
    type: FilterProjectEnvsResponseBodyType$outboundSchema.optional(),
    sunsetSecretId: stringType().optional(),
    decrypted: booleanType().optional(),
    value: stringType().optional(),
    vsmValue: stringType().optional(),
    id: stringType().optional(),
    key: stringType().optional(),
    configurationId: nullableType(stringType()).optional(),
    createdAt: numberType().optional(),
    updatedAt: numberType().optional(),
    createdBy: nullableType(stringType()).optional(),
    updatedBy: nullableType(stringType()).optional(),
    gitBranch: stringType().optional(),
    edgeConfigId: nullableType(stringType()).optional(),
    edgeConfigTokenId: nullableType(stringType()).optional(),
    contentHint: nullableType(unionType([
      lazyType(() => FilterProjectEnvsContentHint1$outboundSchema),
      lazyType(() => FilterProjectEnvsContentHint2$outboundSchema),
      lazyType(() => FilterProjectEnvsContentHint3$outboundSchema),
      lazyType(() => FilterProjectEnvsContentHint4$outboundSchema),
      lazyType(() => FilterProjectEnvsContentHint5$outboundSchema),
      lazyType(() => FilterProjectEnvsContentHint6$outboundSchema),
      lazyType(() => FilterProjectEnvsContentHint7$outboundSchema),
      lazyType(() => FilterProjectEnvsContentHint8$outboundSchema),
      lazyType(() => FilterProjectEnvsContentHint9$outboundSchema),
      lazyType(() => FilterProjectEnvsContentHint10$outboundSchema),
      lazyType(() => FilterProjectEnvsContentHint11$outboundSchema),
      lazyType(() => FilterProjectEnvsContentHint12$outboundSchema),
      lazyType(() => FilterProjectEnvsContentHint13$outboundSchema),
      lazyType(() => FilterProjectEnvsContentHint15$outboundSchema),
      lazyType(() => FilterProjectEnvsContentHint14$outboundSchema)
    ])).optional(),
    internalContentHint: nullableType(lazyType(() => ResponseBodyInternalContentHint$outboundSchema)).optional(),
    comment: stringType().optional(),
    customEnvironmentIds: arrayType(stringType()).optional(),
    system: booleanType().optional()
  });
  ((FilterProjectEnvsResponseBody1$) => {
    FilterProjectEnvsResponseBody1$.inboundSchema = FilterProjectEnvsResponseBody1$inboundSchema;
    FilterProjectEnvsResponseBody1$.outboundSchema = FilterProjectEnvsResponseBody1$outboundSchema;
  })(FilterProjectEnvsResponseBody1$ ||= {});
  FilterProjectEnvsResponseBody$inboundSchema = unionType([
    lazyType(() => FilterProjectEnvsResponseBody3$inboundSchema),
    lazyType(() => FilterProjectEnvsResponseBody2$inboundSchema),
    lazyType(() => FilterProjectEnvsResponseBody1$inboundSchema)
  ]);
  FilterProjectEnvsResponseBody$outboundSchema = unionType([
    lazyType(() => FilterProjectEnvsResponseBody3$outboundSchema),
    lazyType(() => FilterProjectEnvsResponseBody2$outboundSchema),
    lazyType(() => FilterProjectEnvsResponseBody1$outboundSchema)
  ]);
  ((FilterProjectEnvsResponseBody$) => {
    FilterProjectEnvsResponseBody$.inboundSchema = FilterProjectEnvsResponseBody$inboundSchema;
    FilterProjectEnvsResponseBody$.outboundSchema = FilterProjectEnvsResponseBody$outboundSchema;
  })(FilterProjectEnvsResponseBody$ ||= {});
});

// src/funcs/projectsFilterProjectEnvs.ts
function projectsFilterProjectEnvs(client, request, options) {
  return new APIPromise($do123(client, request, options));
}
async function $do123(client, request, options) {
  const parsed = safeParse(request, (value) => FilterProjectEnvsRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v10/projects/{idOrName}/env")(pathParams);
  const query = encodeFormQuery({
    customEnvironmentId: payload.customEnvironmentId,
    customEnvironmentSlug: payload.customEnvironmentSlug,
    decrypt: payload.decrypt,
    gitBranch: payload.gitBranch,
    slug: payload.slug,
    source: payload.source,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "filterProjectEnvs",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, FilterProjectEnvsResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_projectsFilterProjectEnvs = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_filterprojectenvsop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/projectsFilterProjectEnvs.ts
var args122, tool$projectsFilterProjectEnvs;
var init_projectsFilterProjectEnvs2 = __esm(() => {
  init_projectsFilterProjectEnvs();
  init_filterprojectenvsop();
  init_tools();
  args122 = {
    request: FilterProjectEnvsRequest$inboundSchema
  };
  tool$projectsFilterProjectEnvs = {
    name: "projects-filter-project-envs",
    description: `Retrieve the environment variables of a project by id or name

Retrieve the environment variables for a given project by passing either the project \`id\` or \`name\` in the URL.`,
    args: args122,
    tool: async (client, args123, ctx) => {
      const [result, apiCall] = await projectsFilterProjectEnvs(client, args123.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/getprojectdomainop.ts
var GetProjectDomainRequest$inboundSchema, GetProjectDomainRequest$outboundSchema, GetProjectDomainRequest$, Verification$inboundSchema, Verification$outboundSchema, Verification$, GetProjectDomainResponseBody$inboundSchema, GetProjectDomainResponseBody$outboundSchema, GetProjectDomainResponseBody$;
var init_getprojectdomainop = __esm(() => {
  init_esm();
  GetProjectDomainRequest$inboundSchema = objectType({
    idOrName: stringType(),
    domain: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  GetProjectDomainRequest$outboundSchema = objectType({
    idOrName: stringType(),
    domain: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((GetProjectDomainRequest$) => {
    GetProjectDomainRequest$.inboundSchema = GetProjectDomainRequest$inboundSchema;
    GetProjectDomainRequest$.outboundSchema = GetProjectDomainRequest$outboundSchema;
  })(GetProjectDomainRequest$ ||= {});
  Verification$inboundSchema = objectType({
    type: stringType(),
    domain: stringType(),
    value: stringType(),
    reason: stringType()
  });
  Verification$outboundSchema = objectType({
    type: stringType(),
    domain: stringType(),
    value: stringType(),
    reason: stringType()
  });
  ((Verification$) => {
    Verification$.inboundSchema = Verification$inboundSchema;
    Verification$.outboundSchema = Verification$outboundSchema;
  })(Verification$ ||= {});
  GetProjectDomainResponseBody$inboundSchema = objectType({
    name: stringType(),
    apexName: stringType(),
    projectId: stringType(),
    redirect: nullableType(stringType()).optional(),
    redirectStatusCode: nullableType(numberType()).optional(),
    gitBranch: nullableType(stringType()).optional(),
    customEnvironmentId: nullableType(stringType()).optional(),
    updatedAt: numberType().optional(),
    createdAt: numberType().optional(),
    verified: booleanType(),
    verification: arrayType(lazyType(() => Verification$inboundSchema)).optional()
  });
  GetProjectDomainResponseBody$outboundSchema = objectType({
    name: stringType(),
    apexName: stringType(),
    projectId: stringType(),
    redirect: nullableType(stringType()).optional(),
    redirectStatusCode: nullableType(numberType()).optional(),
    gitBranch: nullableType(stringType()).optional(),
    customEnvironmentId: nullableType(stringType()).optional(),
    updatedAt: numberType().optional(),
    createdAt: numberType().optional(),
    verified: booleanType(),
    verification: arrayType(lazyType(() => Verification$outboundSchema)).optional()
  });
  ((GetProjectDomainResponseBody$) => {
    GetProjectDomainResponseBody$.inboundSchema = GetProjectDomainResponseBody$inboundSchema;
    GetProjectDomainResponseBody$.outboundSchema = GetProjectDomainResponseBody$outboundSchema;
  })(GetProjectDomainResponseBody$ ||= {});
});

// src/funcs/projectsGetProjectDomain.ts
function projectsGetProjectDomain(client, request, options) {
  return new APIPromise($do124(client, request, options));
}
async function $do124(client, request, options) {
  const parsed = safeParse(request, (value) => GetProjectDomainRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    domain: encodeSimple("domain", payload.domain, {
      explode: false,
      charEncoding: "percent"
    }),
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v9/projects/{idOrName}/domains/{domain}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "getProjectDomain",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetProjectDomainResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_projectsGetProjectDomain = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_getprojectdomainop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/projectsGetProjectDomain.ts
var args123, tool$projectsGetProjectDomain;
var init_projectsGetProjectDomain2 = __esm(() => {
  init_projectsGetProjectDomain();
  init_getprojectdomainop();
  init_tools();
  args123 = {
    request: GetProjectDomainRequest$inboundSchema
  };
  tool$projectsGetProjectDomain = {
    name: "projects-get-project-domain",
    description: `Get a project domain

Get project domain by project id/name and domain name.`,
    args: args123,
    tool: async (client, args124, ctx) => {
      const [result, apiCall] = await projectsGetProjectDomain(client, args124.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/getprojectdomainsop.ts
var Production, QueryParamTarget, Redirects, Verified, Order, Production$inboundSchema, Production$outboundSchema, Production$, QueryParamTarget$inboundSchema, QueryParamTarget$outboundSchema, QueryParamTarget$, Redirects$inboundSchema, Redirects$outboundSchema, Redirects$, Verified$inboundSchema, Verified$outboundSchema, Verified$, Order$inboundSchema, Order$outboundSchema, Order$, GetProjectDomainsRequest$inboundSchema, GetProjectDomainsRequest$outboundSchema, GetProjectDomainsRequest$, GetProjectDomainsResponseBodyVerification$inboundSchema, GetProjectDomainsResponseBodyVerification$outboundSchema, GetProjectDomainsResponseBodyVerification$, GetProjectDomainsResponseBodyDomains$inboundSchema, GetProjectDomainsResponseBodyDomains$outboundSchema, GetProjectDomainsResponseBodyDomains$, GetProjectDomainsResponseBody2$inboundSchema, GetProjectDomainsResponseBody2$outboundSchema, GetProjectDomainsResponseBody2$, ResponseBodyVerification$inboundSchema, ResponseBodyVerification$outboundSchema, ResponseBodyVerification$, ResponseBodyDomains$inboundSchema, ResponseBodyDomains$outboundSchema, ResponseBodyDomains$, GetProjectDomainsResponseBodyPagination$inboundSchema, GetProjectDomainsResponseBodyPagination$outboundSchema, GetProjectDomainsResponseBodyPagination$, GetProjectDomainsResponseBody1$inboundSchema, GetProjectDomainsResponseBody1$outboundSchema, GetProjectDomainsResponseBody1$, GetProjectDomainsResponseBody$inboundSchema, GetProjectDomainsResponseBody$outboundSchema, GetProjectDomainsResponseBody$;
var init_getprojectdomainsop = __esm(() => {
  init_esm();
  init_pagination();
  Production = {
    True: "true",
    False: "false"
  };
  QueryParamTarget = {
    Production: "production",
    Preview: "preview"
  };
  Redirects = {
    True: "true",
    False: "false"
  };
  Verified = {
    True: "true",
    False: "false"
  };
  Order = {
    Asc: "ASC",
    Desc: "DESC"
  };
  Production$inboundSchema = nativeEnumType(Production);
  Production$outboundSchema = Production$inboundSchema;
  ((Production$) => {
    Production$.inboundSchema = Production$inboundSchema;
    Production$.outboundSchema = Production$outboundSchema;
  })(Production$ ||= {});
  QueryParamTarget$inboundSchema = nativeEnumType(QueryParamTarget);
  QueryParamTarget$outboundSchema = QueryParamTarget$inboundSchema;
  ((QueryParamTarget$) => {
    QueryParamTarget$.inboundSchema = QueryParamTarget$inboundSchema;
    QueryParamTarget$.outboundSchema = QueryParamTarget$outboundSchema;
  })(QueryParamTarget$ ||= {});
  Redirects$inboundSchema = nativeEnumType(Redirects);
  Redirects$outboundSchema = Redirects$inboundSchema;
  ((Redirects$) => {
    Redirects$.inboundSchema = Redirects$inboundSchema;
    Redirects$.outboundSchema = Redirects$outboundSchema;
  })(Redirects$ ||= {});
  Verified$inboundSchema = nativeEnumType(Verified);
  Verified$outboundSchema = Verified$inboundSchema;
  ((Verified$) => {
    Verified$.inboundSchema = Verified$inboundSchema;
    Verified$.outboundSchema = Verified$outboundSchema;
  })(Verified$ ||= {});
  Order$inboundSchema = nativeEnumType(Order);
  Order$outboundSchema = Order$inboundSchema;
  ((Order$) => {
    Order$.inboundSchema = Order$inboundSchema;
    Order$.outboundSchema = Order$outboundSchema;
  })(Order$ ||= {});
  GetProjectDomainsRequest$inboundSchema = objectType({
    idOrName: stringType(),
    production: Production$inboundSchema.default("false"),
    target: QueryParamTarget$inboundSchema.optional(),
    customEnvironmentId: stringType().optional(),
    gitBranch: stringType().optional(),
    redirects: Redirects$inboundSchema.default("true"),
    redirect: stringType().optional(),
    verified: Verified$inboundSchema.optional(),
    limit: numberType().optional(),
    since: numberType().optional(),
    until: numberType().optional(),
    order: Order$inboundSchema.default("DESC"),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  GetProjectDomainsRequest$outboundSchema = objectType({
    idOrName: stringType(),
    production: Production$outboundSchema.default("false"),
    target: QueryParamTarget$outboundSchema.optional(),
    customEnvironmentId: stringType().optional(),
    gitBranch: stringType().optional(),
    redirects: Redirects$outboundSchema.default("true"),
    redirect: stringType().optional(),
    verified: Verified$outboundSchema.optional(),
    limit: numberType().optional(),
    since: numberType().optional(),
    until: numberType().optional(),
    order: Order$outboundSchema.default("DESC"),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((GetProjectDomainsRequest$) => {
    GetProjectDomainsRequest$.inboundSchema = GetProjectDomainsRequest$inboundSchema;
    GetProjectDomainsRequest$.outboundSchema = GetProjectDomainsRequest$outboundSchema;
  })(GetProjectDomainsRequest$ ||= {});
  GetProjectDomainsResponseBodyVerification$inboundSchema = objectType({
    type: stringType(),
    domain: stringType(),
    value: stringType(),
    reason: stringType()
  });
  GetProjectDomainsResponseBodyVerification$outboundSchema = objectType({
    type: stringType(),
    domain: stringType(),
    value: stringType(),
    reason: stringType()
  });
  ((GetProjectDomainsResponseBodyVerification$) => {
    GetProjectDomainsResponseBodyVerification$.inboundSchema = GetProjectDomainsResponseBodyVerification$inboundSchema;
    GetProjectDomainsResponseBodyVerification$.outboundSchema = GetProjectDomainsResponseBodyVerification$outboundSchema;
  })(GetProjectDomainsResponseBodyVerification$ ||= {});
  GetProjectDomainsResponseBodyDomains$inboundSchema = objectType({
    name: stringType(),
    apexName: stringType(),
    projectId: stringType(),
    redirect: nullableType(stringType()).optional(),
    redirectStatusCode: nullableType(numberType()).optional(),
    gitBranch: nullableType(stringType()).optional(),
    customEnvironmentId: nullableType(stringType()).optional(),
    updatedAt: numberType().optional(),
    createdAt: numberType().optional(),
    verified: booleanType(),
    verification: arrayType(lazyType(() => GetProjectDomainsResponseBodyVerification$inboundSchema)).optional()
  });
  GetProjectDomainsResponseBodyDomains$outboundSchema = objectType({
    name: stringType(),
    apexName: stringType(),
    projectId: stringType(),
    redirect: nullableType(stringType()).optional(),
    redirectStatusCode: nullableType(numberType()).optional(),
    gitBranch: nullableType(stringType()).optional(),
    customEnvironmentId: nullableType(stringType()).optional(),
    updatedAt: numberType().optional(),
    createdAt: numberType().optional(),
    verified: booleanType(),
    verification: arrayType(lazyType(() => GetProjectDomainsResponseBodyVerification$outboundSchema)).optional()
  });
  ((GetProjectDomainsResponseBodyDomains$) => {
    GetProjectDomainsResponseBodyDomains$.inboundSchema = GetProjectDomainsResponseBodyDomains$inboundSchema;
    GetProjectDomainsResponseBodyDomains$.outboundSchema = GetProjectDomainsResponseBodyDomains$outboundSchema;
  })(GetProjectDomainsResponseBodyDomains$ ||= {});
  GetProjectDomainsResponseBody2$inboundSchema = objectType({
    domains: arrayType(lazyType(() => GetProjectDomainsResponseBodyDomains$inboundSchema)),
    pagination: Pagination$inboundSchema
  });
  GetProjectDomainsResponseBody2$outboundSchema = objectType({
    domains: arrayType(lazyType(() => GetProjectDomainsResponseBodyDomains$outboundSchema)),
    pagination: Pagination$outboundSchema
  });
  ((GetProjectDomainsResponseBody2$) => {
    GetProjectDomainsResponseBody2$.inboundSchema = GetProjectDomainsResponseBody2$inboundSchema;
    GetProjectDomainsResponseBody2$.outboundSchema = GetProjectDomainsResponseBody2$outboundSchema;
  })(GetProjectDomainsResponseBody2$ ||= {});
  ResponseBodyVerification$inboundSchema = objectType({
    type: stringType(),
    domain: stringType(),
    value: stringType(),
    reason: stringType()
  });
  ResponseBodyVerification$outboundSchema = objectType({
    type: stringType(),
    domain: stringType(),
    value: stringType(),
    reason: stringType()
  });
  ((ResponseBodyVerification$) => {
    ResponseBodyVerification$.inboundSchema = ResponseBodyVerification$inboundSchema;
    ResponseBodyVerification$.outboundSchema = ResponseBodyVerification$outboundSchema;
  })(ResponseBodyVerification$ ||= {});
  ResponseBodyDomains$inboundSchema = objectType({
    name: stringType(),
    apexName: stringType(),
    projectId: stringType(),
    redirect: nullableType(stringType()).optional(),
    redirectStatusCode: nullableType(numberType()).optional(),
    gitBranch: nullableType(stringType()).optional(),
    customEnvironmentId: nullableType(stringType()).optional(),
    updatedAt: numberType().optional(),
    createdAt: numberType().optional(),
    verified: booleanType(),
    verification: arrayType(lazyType(() => ResponseBodyVerification$inboundSchema)).optional()
  });
  ResponseBodyDomains$outboundSchema = objectType({
    name: stringType(),
    apexName: stringType(),
    projectId: stringType(),
    redirect: nullableType(stringType()).optional(),
    redirectStatusCode: nullableType(numberType()).optional(),
    gitBranch: nullableType(stringType()).optional(),
    customEnvironmentId: nullableType(stringType()).optional(),
    updatedAt: numberType().optional(),
    createdAt: numberType().optional(),
    verified: booleanType(),
    verification: arrayType(lazyType(() => ResponseBodyVerification$outboundSchema)).optional()
  });
  ((ResponseBodyDomains$) => {
    ResponseBodyDomains$.inboundSchema = ResponseBodyDomains$inboundSchema;
    ResponseBodyDomains$.outboundSchema = ResponseBodyDomains$outboundSchema;
  })(ResponseBodyDomains$ ||= {});
  GetProjectDomainsResponseBodyPagination$inboundSchema = objectType({
    count: numberType(),
    next: nullableType(numberType()),
    prev: nullableType(numberType())
  });
  GetProjectDomainsResponseBodyPagination$outboundSchema = objectType({
    count: numberType(),
    next: nullableType(numberType()),
    prev: nullableType(numberType())
  });
  ((GetProjectDomainsResponseBodyPagination$) => {
    GetProjectDomainsResponseBodyPagination$.inboundSchema = GetProjectDomainsResponseBodyPagination$inboundSchema;
    GetProjectDomainsResponseBodyPagination$.outboundSchema = GetProjectDomainsResponseBodyPagination$outboundSchema;
  })(GetProjectDomainsResponseBodyPagination$ ||= {});
  GetProjectDomainsResponseBody1$inboundSchema = objectType({
    domains: arrayType(lazyType(() => ResponseBodyDomains$inboundSchema)),
    pagination: lazyType(() => GetProjectDomainsResponseBodyPagination$inboundSchema)
  });
  GetProjectDomainsResponseBody1$outboundSchema = objectType({
    domains: arrayType(lazyType(() => ResponseBodyDomains$outboundSchema)),
    pagination: lazyType(() => GetProjectDomainsResponseBodyPagination$outboundSchema)
  });
  ((GetProjectDomainsResponseBody1$) => {
    GetProjectDomainsResponseBody1$.inboundSchema = GetProjectDomainsResponseBody1$inboundSchema;
    GetProjectDomainsResponseBody1$.outboundSchema = GetProjectDomainsResponseBody1$outboundSchema;
  })(GetProjectDomainsResponseBody1$ ||= {});
  GetProjectDomainsResponseBody$inboundSchema = unionType([
    lazyType(() => GetProjectDomainsResponseBody1$inboundSchema),
    lazyType(() => GetProjectDomainsResponseBody2$inboundSchema)
  ]);
  GetProjectDomainsResponseBody$outboundSchema = unionType([
    lazyType(() => GetProjectDomainsResponseBody1$outboundSchema),
    lazyType(() => GetProjectDomainsResponseBody2$outboundSchema)
  ]);
  ((GetProjectDomainsResponseBody$) => {
    GetProjectDomainsResponseBody$.inboundSchema = GetProjectDomainsResponseBody$inboundSchema;
    GetProjectDomainsResponseBody$.outboundSchema = GetProjectDomainsResponseBody$outboundSchema;
  })(GetProjectDomainsResponseBody$ ||= {});
});

// src/funcs/projectsGetProjectDomains.ts
function projectsGetProjectDomains(client, request, options) {
  return new APIPromise($do125(client, request, options));
}
async function $do125(client, request, options) {
  const parsed = safeParse(request, (value) => GetProjectDomainsRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v9/projects/{idOrName}/domains")(pathParams);
  const query = encodeFormQuery({
    customEnvironmentId: payload.customEnvironmentId,
    gitBranch: payload.gitBranch,
    limit: payload.limit,
    order: payload.order,
    production: payload.production,
    redirect: payload.redirect,
    redirects: payload.redirects,
    since: payload.since,
    slug: payload.slug,
    target: payload.target,
    teamId: payload.teamId,
    until: payload.until,
    verified: payload.verified
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "getProjectDomains",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetProjectDomainsResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_projectsGetProjectDomains = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_getprojectdomainsop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/projectsGetProjectDomains.ts
var args124, tool$projectsGetProjectDomains;
var init_projectsGetProjectDomains2 = __esm(() => {
  init_projectsGetProjectDomains();
  init_getprojectdomainsop();
  init_tools();
  args124 = {
    request: GetProjectDomainsRequest$inboundSchema
  };
  tool$projectsGetProjectDomains = {
    name: "projects-get-project-domains",
    description: `Retrieve project domains by project by id or name

Retrieve the domains associated with a given project by passing either the project \`id\` or \`name\` in the URL.`,
    args: args124,
    tool: async (client, args125, ctx) => {
      const [result, apiCall] = await projectsGetProjectDomains(client, args125.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/getprojectenvop.ts
var GetProjectEnvTargetProjectsResponse2, GetProjectEnvResponseBodyProjectsResponseType, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type, GetProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type, GetProjectEnvTargetProjects2, GetProjectEnvTargetProjects1, GetProjectEnvResponseBodyProjectsType, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type, GetProjectEnvResponseBodyProjectsResponse200Type, GetProjectEnvTarget2, GetProjectEnvTarget1, GetProjectEnvResponseBodyType, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType, GetProjectEnvContentHintProjectsResponse200ApplicationJSONType, GetProjectEnvContentHintProjectsResponse200Type, GetProjectEnvContentHintProjectsResponseType, GetProjectEnvContentHintProjectsType, GetProjectEnvContentHintType, GetProjectEnvResponseBodyProjectsResponse200ApplicationJSONType, GetProjectEnvRequest$inboundSchema, GetProjectEnvRequest$outboundSchema, GetProjectEnvRequest$, GetProjectEnvTargetProjectsResponse2$inboundSchema, GetProjectEnvTargetProjectsResponse2$outboundSchema, GetProjectEnvTargetProjectsResponse2$, GetProjectEnvResponseBodyProjectsResponseTarget$inboundSchema, GetProjectEnvResponseBodyProjectsResponseTarget$outboundSchema, GetProjectEnvResponseBodyProjectsResponseTarget$, GetProjectEnvResponseBodyProjectsResponseType$inboundSchema, GetProjectEnvResponseBodyProjectsResponseType$outboundSchema, GetProjectEnvResponseBodyProjectsResponseType$, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$inboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$outboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$, GetProjectEnvContentHintProjectsResponse15$inboundSchema, GetProjectEnvContentHintProjectsResponse15$outboundSchema, GetProjectEnvContentHintProjectsResponse15$, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$inboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$outboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$, GetProjectEnvContentHintProjectsResponse14$inboundSchema, GetProjectEnvContentHintProjectsResponse14$outboundSchema, GetProjectEnvContentHintProjectsResponse14$, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$inboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$outboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$, GetProjectEnvContentHintProjectsResponse13$inboundSchema, GetProjectEnvContentHintProjectsResponse13$outboundSchema, GetProjectEnvContentHintProjectsResponse13$, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$inboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$outboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$, GetProjectEnvContentHintProjectsResponse12$inboundSchema, GetProjectEnvContentHintProjectsResponse12$outboundSchema, GetProjectEnvContentHintProjectsResponse12$, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$inboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$outboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$, GetProjectEnvContentHintProjectsResponse11$inboundSchema, GetProjectEnvContentHintProjectsResponse11$outboundSchema, GetProjectEnvContentHintProjectsResponse11$, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$inboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$outboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$, GetProjectEnvContentHintProjectsResponse10$inboundSchema, GetProjectEnvContentHintProjectsResponse10$outboundSchema, GetProjectEnvContentHintProjectsResponse10$, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$inboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$outboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$, GetProjectEnvContentHintProjectsResponse9$inboundSchema, GetProjectEnvContentHintProjectsResponse9$outboundSchema, GetProjectEnvContentHintProjectsResponse9$, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$inboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$outboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$, GetProjectEnvContentHintProjectsResponse8$inboundSchema, GetProjectEnvContentHintProjectsResponse8$outboundSchema, GetProjectEnvContentHintProjectsResponse8$, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$inboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$outboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$, GetProjectEnvContentHintProjectsResponse7$inboundSchema, GetProjectEnvContentHintProjectsResponse7$outboundSchema, GetProjectEnvContentHintProjectsResponse7$, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$inboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$outboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$, GetProjectEnvContentHintProjectsResponse6$inboundSchema, GetProjectEnvContentHintProjectsResponse6$outboundSchema, GetProjectEnvContentHintProjectsResponse6$, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$inboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$outboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$, GetProjectEnvContentHintProjectsResponse5$inboundSchema, GetProjectEnvContentHintProjectsResponse5$outboundSchema, GetProjectEnvContentHintProjectsResponse5$, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$inboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$outboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$, GetProjectEnvContentHintProjectsResponse4$inboundSchema, GetProjectEnvContentHintProjectsResponse4$outboundSchema, GetProjectEnvContentHintProjectsResponse4$, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$inboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$outboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$, GetProjectEnvContentHintProjectsResponse3$inboundSchema, GetProjectEnvContentHintProjectsResponse3$outboundSchema, GetProjectEnvContentHintProjectsResponse3$, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$inboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$outboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$, GetProjectEnvContentHintProjectsResponse2$inboundSchema, GetProjectEnvContentHintProjectsResponse2$outboundSchema, GetProjectEnvContentHintProjectsResponse2$, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$inboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$outboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$, GetProjectEnvContentHintProjectsResponse1$inboundSchema, GetProjectEnvContentHintProjectsResponse1$outboundSchema, GetProjectEnvContentHintProjectsResponse1$, GetProjectEnvResponseBodyProjectsResponseContentHint$inboundSchema, GetProjectEnvResponseBodyProjectsResponseContentHint$outboundSchema, GetProjectEnvResponseBodyProjectsResponseContentHint$, GetProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$inboundSchema, GetProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$outboundSchema, GetProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$, GetProjectEnvResponseBodyProjectsResponseInternalContentHint$inboundSchema, GetProjectEnvResponseBodyProjectsResponseInternalContentHint$outboundSchema, GetProjectEnvResponseBodyProjectsResponseInternalContentHint$, GetProjectEnvResponseBody3$inboundSchema, GetProjectEnvResponseBody3$outboundSchema, GetProjectEnvResponseBody3$, GetProjectEnvTargetProjects2$inboundSchema, GetProjectEnvTargetProjects2$outboundSchema, GetProjectEnvTargetProjects2$, GetProjectEnvTargetProjects1$inboundSchema, GetProjectEnvTargetProjects1$outboundSchema, GetProjectEnvTargetProjects1$, GetProjectEnvResponseBodyProjectsTarget$inboundSchema, GetProjectEnvResponseBodyProjectsTarget$outboundSchema, GetProjectEnvResponseBodyProjectsTarget$, GetProjectEnvResponseBodyProjectsType$inboundSchema, GetProjectEnvResponseBodyProjectsType$outboundSchema, GetProjectEnvResponseBodyProjectsType$, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$inboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$outboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$, GetProjectEnvContentHintProjects15$inboundSchema, GetProjectEnvContentHintProjects15$outboundSchema, GetProjectEnvContentHintProjects15$, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$inboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$outboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$, GetProjectEnvContentHintProjects14$inboundSchema, GetProjectEnvContentHintProjects14$outboundSchema, GetProjectEnvContentHintProjects14$, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$inboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$outboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$, GetProjectEnvContentHintProjects13$inboundSchema, GetProjectEnvContentHintProjects13$outboundSchema, GetProjectEnvContentHintProjects13$, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$inboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$outboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$, GetProjectEnvContentHintProjects12$inboundSchema, GetProjectEnvContentHintProjects12$outboundSchema, GetProjectEnvContentHintProjects12$, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$inboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$outboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$, GetProjectEnvContentHintProjects11$inboundSchema, GetProjectEnvContentHintProjects11$outboundSchema, GetProjectEnvContentHintProjects11$, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$inboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$outboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$, GetProjectEnvContentHintProjects10$inboundSchema, GetProjectEnvContentHintProjects10$outboundSchema, GetProjectEnvContentHintProjects10$, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$inboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$outboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$, GetProjectEnvContentHintProjects9$inboundSchema, GetProjectEnvContentHintProjects9$outboundSchema, GetProjectEnvContentHintProjects9$, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$inboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$outboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$, GetProjectEnvContentHintProjects8$inboundSchema, GetProjectEnvContentHintProjects8$outboundSchema, GetProjectEnvContentHintProjects8$, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$inboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$outboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$, GetProjectEnvContentHintProjects7$inboundSchema, GetProjectEnvContentHintProjects7$outboundSchema, GetProjectEnvContentHintProjects7$, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$inboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$outboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$, GetProjectEnvContentHintProjects6$inboundSchema, GetProjectEnvContentHintProjects6$outboundSchema, GetProjectEnvContentHintProjects6$, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$inboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$outboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$, GetProjectEnvContentHintProjects5$inboundSchema, GetProjectEnvContentHintProjects5$outboundSchema, GetProjectEnvContentHintProjects5$, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$inboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$outboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$, GetProjectEnvContentHintProjects4$inboundSchema, GetProjectEnvContentHintProjects4$outboundSchema, GetProjectEnvContentHintProjects4$, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$inboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$outboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$, GetProjectEnvContentHintProjects3$inboundSchema, GetProjectEnvContentHintProjects3$outboundSchema, GetProjectEnvContentHintProjects3$, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$inboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$outboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$, GetProjectEnvContentHintProjects2$inboundSchema, GetProjectEnvContentHintProjects2$outboundSchema, GetProjectEnvContentHintProjects2$, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$inboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$outboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$, GetProjectEnvContentHintProjects1$inboundSchema, GetProjectEnvContentHintProjects1$outboundSchema, GetProjectEnvContentHintProjects1$, GetProjectEnvResponseBodyProjectsContentHint$inboundSchema, GetProjectEnvResponseBodyProjectsContentHint$outboundSchema, GetProjectEnvResponseBodyProjectsContentHint$, GetProjectEnvResponseBodyProjectsResponse200Type$inboundSchema, GetProjectEnvResponseBodyProjectsResponse200Type$outboundSchema, GetProjectEnvResponseBodyProjectsResponse200Type$, GetProjectEnvResponseBodyProjectsInternalContentHint$inboundSchema, GetProjectEnvResponseBodyProjectsInternalContentHint$outboundSchema, GetProjectEnvResponseBodyProjectsInternalContentHint$, GetProjectEnvResponseBody2$inboundSchema, GetProjectEnvResponseBody2$outboundSchema, GetProjectEnvResponseBody2$, GetProjectEnvTarget2$inboundSchema, GetProjectEnvTarget2$outboundSchema, GetProjectEnvTarget2$, GetProjectEnvTarget1$inboundSchema, GetProjectEnvTarget1$outboundSchema, GetProjectEnvTarget1$, GetProjectEnvResponseBodyTarget$inboundSchema, GetProjectEnvResponseBodyTarget$outboundSchema, GetProjectEnvResponseBodyTarget$, GetProjectEnvResponseBodyType$inboundSchema, GetProjectEnvResponseBodyType$outboundSchema, GetProjectEnvResponseBodyType$, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$inboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$outboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$, GetProjectEnvContentHint15$inboundSchema, GetProjectEnvContentHint15$outboundSchema, GetProjectEnvContentHint15$, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$inboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$outboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$, GetProjectEnvContentHint14$inboundSchema, GetProjectEnvContentHint14$outboundSchema, GetProjectEnvContentHint14$, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$inboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$outboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$, GetProjectEnvContentHint13$inboundSchema, GetProjectEnvContentHint13$outboundSchema, GetProjectEnvContentHint13$, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$inboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$outboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$, GetProjectEnvContentHint12$inboundSchema, GetProjectEnvContentHint12$outboundSchema, GetProjectEnvContentHint12$, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$inboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$outboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$, GetProjectEnvContentHint11$inboundSchema, GetProjectEnvContentHint11$outboundSchema, GetProjectEnvContentHint11$, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$inboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$outboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$, GetProjectEnvContentHint10$inboundSchema, GetProjectEnvContentHint10$outboundSchema, GetProjectEnvContentHint10$, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$inboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$outboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$, GetProjectEnvContentHint9$inboundSchema, GetProjectEnvContentHint9$outboundSchema, GetProjectEnvContentHint9$, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$inboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$outboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$, GetProjectEnvContentHint8$inboundSchema, GetProjectEnvContentHint8$outboundSchema, GetProjectEnvContentHint8$, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$inboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$outboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$, GetProjectEnvContentHint7$inboundSchema, GetProjectEnvContentHint7$outboundSchema, GetProjectEnvContentHint7$, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$, GetProjectEnvContentHint6$inboundSchema, GetProjectEnvContentHint6$outboundSchema, GetProjectEnvContentHint6$, GetProjectEnvContentHintProjectsResponse200ApplicationJSONType$inboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONType$outboundSchema, GetProjectEnvContentHintProjectsResponse200ApplicationJSONType$, GetProjectEnvContentHint5$inboundSchema, GetProjectEnvContentHint5$outboundSchema, GetProjectEnvContentHint5$, GetProjectEnvContentHintProjectsResponse200Type$inboundSchema, GetProjectEnvContentHintProjectsResponse200Type$outboundSchema, GetProjectEnvContentHintProjectsResponse200Type$, GetProjectEnvContentHint4$inboundSchema, GetProjectEnvContentHint4$outboundSchema, GetProjectEnvContentHint4$, GetProjectEnvContentHintProjectsResponseType$inboundSchema, GetProjectEnvContentHintProjectsResponseType$outboundSchema, GetProjectEnvContentHintProjectsResponseType$, GetProjectEnvContentHint3$inboundSchema, GetProjectEnvContentHint3$outboundSchema, GetProjectEnvContentHint3$, GetProjectEnvContentHintProjectsType$inboundSchema, GetProjectEnvContentHintProjectsType$outboundSchema, GetProjectEnvContentHintProjectsType$, GetProjectEnvContentHint2$inboundSchema, GetProjectEnvContentHint2$outboundSchema, GetProjectEnvContentHint2$, GetProjectEnvContentHintType$inboundSchema, GetProjectEnvContentHintType$outboundSchema, GetProjectEnvContentHintType$, GetProjectEnvContentHint1$inboundSchema, GetProjectEnvContentHint1$outboundSchema, GetProjectEnvContentHint1$, GetProjectEnvResponseBodyContentHint$inboundSchema, GetProjectEnvResponseBodyContentHint$outboundSchema, GetProjectEnvResponseBodyContentHint$, GetProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$inboundSchema, GetProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$outboundSchema, GetProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$, GetProjectEnvResponseBodyInternalContentHint$inboundSchema, GetProjectEnvResponseBodyInternalContentHint$outboundSchema, GetProjectEnvResponseBodyInternalContentHint$, GetProjectEnvResponseBody1$inboundSchema, GetProjectEnvResponseBody1$outboundSchema, GetProjectEnvResponseBody1$, GetProjectEnvResponseBody$inboundSchema, GetProjectEnvResponseBody$outboundSchema, GetProjectEnvResponseBody$;
var init_getprojectenvop = __esm(() => {
  init_esm();
  GetProjectEnvTargetProjectsResponse2 = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  GetProjectEnvResponseBodyProjectsResponseType = {
    System: "system",
    Encrypted: "encrypted",
    Plain: "plain",
    Sensitive: "sensitive",
    Secret: "secret"
  };
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type = {
    FlagsConnectionString: "flags-connection-string"
  };
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type = {
    IntegrationStoreSecret: "integration-store-secret"
  };
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type = {
    PostgresUrlNoSsl: "postgres-url-no-ssl"
  };
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type = {
    PostgresDatabase: "postgres-database"
  };
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type = {
    PostgresPassword: "postgres-password"
  };
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type = {
    PostgresHost: "postgres-host"
  };
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type = {
    PostgresUser: "postgres-user"
  };
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type = {
    PostgresPrismaUrl: "postgres-prisma-url"
  };
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type = {
    PostgresUrlNonPooling: "postgres-url-non-pooling"
  };
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type = {
    PostgresUrl: "postgres-url"
  };
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type = {
    BlobReadWriteToken: "blob-read-write-token"
  };
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type = {
    RedisRestApiReadOnlyToken: "redis-rest-api-read-only-token"
  };
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type = {
    RedisRestApiToken: "redis-rest-api-token"
  };
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type = {
    RedisRestApiUrl: "redis-rest-api-url"
  };
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type = {
    RedisUrl: "redis-url"
  };
  GetProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type = {
    FlagsSecret: "flags-secret"
  };
  GetProjectEnvTargetProjects2 = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  GetProjectEnvTargetProjects1 = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  GetProjectEnvResponseBodyProjectsType = {
    System: "system",
    Encrypted: "encrypted",
    Plain: "plain",
    Sensitive: "sensitive",
    Secret: "secret"
  };
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type = {
    FlagsConnectionString: "flags-connection-string"
  };
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type = {
    IntegrationStoreSecret: "integration-store-secret"
  };
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type = {
    PostgresUrlNoSsl: "postgres-url-no-ssl"
  };
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type = {
    PostgresDatabase: "postgres-database"
  };
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type = {
    PostgresPassword: "postgres-password"
  };
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type = {
    PostgresHost: "postgres-host"
  };
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type = {
    PostgresUser: "postgres-user"
  };
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type = {
    PostgresPrismaUrl: "postgres-prisma-url"
  };
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type = {
    PostgresUrlNonPooling: "postgres-url-non-pooling"
  };
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type = {
    PostgresUrl: "postgres-url"
  };
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type = {
    BlobReadWriteToken: "blob-read-write-token"
  };
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type = {
    RedisRestApiReadOnlyToken: "redis-rest-api-read-only-token"
  };
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type = {
    RedisRestApiToken: "redis-rest-api-token"
  };
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type = {
    RedisRestApiUrl: "redis-rest-api-url"
  };
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type = {
    RedisUrl: "redis-url"
  };
  GetProjectEnvResponseBodyProjectsResponse200Type = {
    FlagsSecret: "flags-secret"
  };
  GetProjectEnvTarget2 = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  GetProjectEnvTarget1 = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  GetProjectEnvResponseBodyType = {
    System: "system",
    Encrypted: "encrypted",
    Plain: "plain",
    Sensitive: "sensitive",
    Secret: "secret"
  };
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type = {
    FlagsConnectionString: "flags-connection-string"
  };
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type = {
    IntegrationStoreSecret: "integration-store-secret"
  };
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type = {
    PostgresUrlNoSsl: "postgres-url-no-ssl"
  };
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type = {
    PostgresDatabase: "postgres-database"
  };
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type = {
    PostgresPassword: "postgres-password"
  };
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type = {
    PostgresHost: "postgres-host"
  };
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type = {
    PostgresUser: "postgres-user"
  };
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type = {
    PostgresPrismaUrl: "postgres-prisma-url"
  };
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type = {
    PostgresUrlNonPooling: "postgres-url-non-pooling"
  };
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType = {
    PostgresUrl: "postgres-url"
  };
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONType = {
    BlobReadWriteToken: "blob-read-write-token"
  };
  GetProjectEnvContentHintProjectsResponse200Type = {
    RedisRestApiReadOnlyToken: "redis-rest-api-read-only-token"
  };
  GetProjectEnvContentHintProjectsResponseType = {
    RedisRestApiToken: "redis-rest-api-token"
  };
  GetProjectEnvContentHintProjectsType = {
    RedisRestApiUrl: "redis-rest-api-url"
  };
  GetProjectEnvContentHintType = {
    RedisUrl: "redis-url"
  };
  GetProjectEnvResponseBodyProjectsResponse200ApplicationJSONType = {
    FlagsSecret: "flags-secret"
  };
  GetProjectEnvRequest$inboundSchema = objectType({
    idOrName: stringType(),
    id: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  GetProjectEnvRequest$outboundSchema = objectType({
    idOrName: stringType(),
    id: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((GetProjectEnvRequest$) => {
    GetProjectEnvRequest$.inboundSchema = GetProjectEnvRequest$inboundSchema;
    GetProjectEnvRequest$.outboundSchema = GetProjectEnvRequest$outboundSchema;
  })(GetProjectEnvRequest$ ||= {});
  GetProjectEnvTargetProjectsResponse2$inboundSchema = nativeEnumType(GetProjectEnvTargetProjectsResponse2);
  GetProjectEnvTargetProjectsResponse2$outboundSchema = GetProjectEnvTargetProjectsResponse2$inboundSchema;
  ((GetProjectEnvTargetProjectsResponse2$) => {
    GetProjectEnvTargetProjectsResponse2$.inboundSchema = GetProjectEnvTargetProjectsResponse2$inboundSchema;
    GetProjectEnvTargetProjectsResponse2$.outboundSchema = GetProjectEnvTargetProjectsResponse2$outboundSchema;
  })(GetProjectEnvTargetProjectsResponse2$ ||= {});
  GetProjectEnvResponseBodyProjectsResponseTarget$inboundSchema = unionType([
    arrayType(stringType()),
    GetProjectEnvTargetProjectsResponse2$inboundSchema
  ]);
  GetProjectEnvResponseBodyProjectsResponseTarget$outboundSchema = unionType([
    arrayType(stringType()),
    GetProjectEnvTargetProjectsResponse2$outboundSchema
  ]);
  ((GetProjectEnvResponseBodyProjectsResponseTarget$) => {
    GetProjectEnvResponseBodyProjectsResponseTarget$.inboundSchema = GetProjectEnvResponseBodyProjectsResponseTarget$inboundSchema;
    GetProjectEnvResponseBodyProjectsResponseTarget$.outboundSchema = GetProjectEnvResponseBodyProjectsResponseTarget$outboundSchema;
  })(GetProjectEnvResponseBodyProjectsResponseTarget$ ||= {});
  GetProjectEnvResponseBodyProjectsResponseType$inboundSchema = nativeEnumType(GetProjectEnvResponseBodyProjectsResponseType);
  GetProjectEnvResponseBodyProjectsResponseType$outboundSchema = GetProjectEnvResponseBodyProjectsResponseType$inboundSchema;
  ((GetProjectEnvResponseBodyProjectsResponseType$) => {
    GetProjectEnvResponseBodyProjectsResponseType$.inboundSchema = GetProjectEnvResponseBodyProjectsResponseType$inboundSchema;
    GetProjectEnvResponseBodyProjectsResponseType$.outboundSchema = GetProjectEnvResponseBodyProjectsResponseType$outboundSchema;
  })(GetProjectEnvResponseBodyProjectsResponseType$ ||= {});
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type);
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$inboundSchema;
  ((GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$) => {
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$inboundSchema;
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$ ||= {});
  GetProjectEnvContentHintProjectsResponse15$inboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$inboundSchema,
    projectId: stringType()
  });
  GetProjectEnvContentHintProjectsResponse15$outboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$outboundSchema,
    projectId: stringType()
  });
  ((GetProjectEnvContentHintProjectsResponse15$) => {
    GetProjectEnvContentHintProjectsResponse15$.inboundSchema = GetProjectEnvContentHintProjectsResponse15$inboundSchema;
    GetProjectEnvContentHintProjectsResponse15$.outboundSchema = GetProjectEnvContentHintProjectsResponse15$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse15$ ||= {});
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type);
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$inboundSchema;
  ((GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$) => {
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$inboundSchema;
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$ ||= {});
  GetProjectEnvContentHintProjectsResponse14$inboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$inboundSchema,
    storeId: stringType(),
    integrationId: stringType(),
    integrationProductId: stringType(),
    integrationConfigurationId: stringType()
  });
  GetProjectEnvContentHintProjectsResponse14$outboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$outboundSchema,
    storeId: stringType(),
    integrationId: stringType(),
    integrationProductId: stringType(),
    integrationConfigurationId: stringType()
  });
  ((GetProjectEnvContentHintProjectsResponse14$) => {
    GetProjectEnvContentHintProjectsResponse14$.inboundSchema = GetProjectEnvContentHintProjectsResponse14$inboundSchema;
    GetProjectEnvContentHintProjectsResponse14$.outboundSchema = GetProjectEnvContentHintProjectsResponse14$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse14$ ||= {});
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type);
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$inboundSchema;
  ((GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$) => {
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$inboundSchema;
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$ ||= {});
  GetProjectEnvContentHintProjectsResponse13$inboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$inboundSchema,
    storeId: stringType()
  });
  GetProjectEnvContentHintProjectsResponse13$outboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$outboundSchema,
    storeId: stringType()
  });
  ((GetProjectEnvContentHintProjectsResponse13$) => {
    GetProjectEnvContentHintProjectsResponse13$.inboundSchema = GetProjectEnvContentHintProjectsResponse13$inboundSchema;
    GetProjectEnvContentHintProjectsResponse13$.outboundSchema = GetProjectEnvContentHintProjectsResponse13$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse13$ ||= {});
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type);
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$inboundSchema;
  ((GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$) => {
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$inboundSchema;
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$ ||= {});
  GetProjectEnvContentHintProjectsResponse12$inboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$inboundSchema,
    storeId: stringType()
  });
  GetProjectEnvContentHintProjectsResponse12$outboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$outboundSchema,
    storeId: stringType()
  });
  ((GetProjectEnvContentHintProjectsResponse12$) => {
    GetProjectEnvContentHintProjectsResponse12$.inboundSchema = GetProjectEnvContentHintProjectsResponse12$inboundSchema;
    GetProjectEnvContentHintProjectsResponse12$.outboundSchema = GetProjectEnvContentHintProjectsResponse12$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse12$ ||= {});
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type);
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$inboundSchema;
  ((GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$) => {
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$inboundSchema;
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$ ||= {});
  GetProjectEnvContentHintProjectsResponse11$inboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$inboundSchema,
    storeId: stringType()
  });
  GetProjectEnvContentHintProjectsResponse11$outboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$outboundSchema,
    storeId: stringType()
  });
  ((GetProjectEnvContentHintProjectsResponse11$) => {
    GetProjectEnvContentHintProjectsResponse11$.inboundSchema = GetProjectEnvContentHintProjectsResponse11$inboundSchema;
    GetProjectEnvContentHintProjectsResponse11$.outboundSchema = GetProjectEnvContentHintProjectsResponse11$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse11$ ||= {});
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type);
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$inboundSchema;
  ((GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$) => {
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$inboundSchema;
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$ ||= {});
  GetProjectEnvContentHintProjectsResponse10$inboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$inboundSchema,
    storeId: stringType()
  });
  GetProjectEnvContentHintProjectsResponse10$outboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$outboundSchema,
    storeId: stringType()
  });
  ((GetProjectEnvContentHintProjectsResponse10$) => {
    GetProjectEnvContentHintProjectsResponse10$.inboundSchema = GetProjectEnvContentHintProjectsResponse10$inboundSchema;
    GetProjectEnvContentHintProjectsResponse10$.outboundSchema = GetProjectEnvContentHintProjectsResponse10$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse10$ ||= {});
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type);
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$inboundSchema;
  ((GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$) => {
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$inboundSchema;
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$ ||= {});
  GetProjectEnvContentHintProjectsResponse9$inboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$inboundSchema,
    storeId: stringType()
  });
  GetProjectEnvContentHintProjectsResponse9$outboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$outboundSchema,
    storeId: stringType()
  });
  ((GetProjectEnvContentHintProjectsResponse9$) => {
    GetProjectEnvContentHintProjectsResponse9$.inboundSchema = GetProjectEnvContentHintProjectsResponse9$inboundSchema;
    GetProjectEnvContentHintProjectsResponse9$.outboundSchema = GetProjectEnvContentHintProjectsResponse9$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse9$ ||= {});
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type);
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$inboundSchema;
  ((GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$) => {
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$inboundSchema;
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$ ||= {});
  GetProjectEnvContentHintProjectsResponse8$inboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$inboundSchema,
    storeId: stringType()
  });
  GetProjectEnvContentHintProjectsResponse8$outboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$outboundSchema,
    storeId: stringType()
  });
  ((GetProjectEnvContentHintProjectsResponse8$) => {
    GetProjectEnvContentHintProjectsResponse8$.inboundSchema = GetProjectEnvContentHintProjectsResponse8$inboundSchema;
    GetProjectEnvContentHintProjectsResponse8$.outboundSchema = GetProjectEnvContentHintProjectsResponse8$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse8$ ||= {});
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type);
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$inboundSchema;
  ((GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$) => {
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$inboundSchema;
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$ ||= {});
  GetProjectEnvContentHintProjectsResponse7$inboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$inboundSchema,
    storeId: stringType()
  });
  GetProjectEnvContentHintProjectsResponse7$outboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$outboundSchema,
    storeId: stringType()
  });
  ((GetProjectEnvContentHintProjectsResponse7$) => {
    GetProjectEnvContentHintProjectsResponse7$.inboundSchema = GetProjectEnvContentHintProjectsResponse7$inboundSchema;
    GetProjectEnvContentHintProjectsResponse7$.outboundSchema = GetProjectEnvContentHintProjectsResponse7$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse7$ ||= {});
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type);
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$inboundSchema;
  ((GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$) => {
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$inboundSchema;
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$ ||= {});
  GetProjectEnvContentHintProjectsResponse6$inboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$inboundSchema,
    storeId: stringType()
  });
  GetProjectEnvContentHintProjectsResponse6$outboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$outboundSchema,
    storeId: stringType()
  });
  ((GetProjectEnvContentHintProjectsResponse6$) => {
    GetProjectEnvContentHintProjectsResponse6$.inboundSchema = GetProjectEnvContentHintProjectsResponse6$inboundSchema;
    GetProjectEnvContentHintProjectsResponse6$.outboundSchema = GetProjectEnvContentHintProjectsResponse6$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse6$ ||= {});
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type);
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$inboundSchema;
  ((GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$) => {
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$inboundSchema;
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$ ||= {});
  GetProjectEnvContentHintProjectsResponse5$inboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$inboundSchema,
    storeId: stringType()
  });
  GetProjectEnvContentHintProjectsResponse5$outboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$outboundSchema,
    storeId: stringType()
  });
  ((GetProjectEnvContentHintProjectsResponse5$) => {
    GetProjectEnvContentHintProjectsResponse5$.inboundSchema = GetProjectEnvContentHintProjectsResponse5$inboundSchema;
    GetProjectEnvContentHintProjectsResponse5$.outboundSchema = GetProjectEnvContentHintProjectsResponse5$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse5$ ||= {});
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type);
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$inboundSchema;
  ((GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$) => {
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$inboundSchema;
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$ ||= {});
  GetProjectEnvContentHintProjectsResponse4$inboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$inboundSchema,
    storeId: stringType()
  });
  GetProjectEnvContentHintProjectsResponse4$outboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$outboundSchema,
    storeId: stringType()
  });
  ((GetProjectEnvContentHintProjectsResponse4$) => {
    GetProjectEnvContentHintProjectsResponse4$.inboundSchema = GetProjectEnvContentHintProjectsResponse4$inboundSchema;
    GetProjectEnvContentHintProjectsResponse4$.outboundSchema = GetProjectEnvContentHintProjectsResponse4$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse4$ ||= {});
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type);
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$inboundSchema;
  ((GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$) => {
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$inboundSchema;
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$ ||= {});
  GetProjectEnvContentHintProjectsResponse3$inboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$inboundSchema,
    storeId: stringType()
  });
  GetProjectEnvContentHintProjectsResponse3$outboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$outboundSchema,
    storeId: stringType()
  });
  ((GetProjectEnvContentHintProjectsResponse3$) => {
    GetProjectEnvContentHintProjectsResponse3$.inboundSchema = GetProjectEnvContentHintProjectsResponse3$inboundSchema;
    GetProjectEnvContentHintProjectsResponse3$.outboundSchema = GetProjectEnvContentHintProjectsResponse3$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse3$ ||= {});
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type);
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$inboundSchema;
  ((GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$) => {
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$inboundSchema;
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$ ||= {});
  GetProjectEnvContentHintProjectsResponse2$inboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$inboundSchema,
    storeId: stringType()
  });
  GetProjectEnvContentHintProjectsResponse2$outboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$outboundSchema,
    storeId: stringType()
  });
  ((GetProjectEnvContentHintProjectsResponse2$) => {
    GetProjectEnvContentHintProjectsResponse2$.inboundSchema = GetProjectEnvContentHintProjectsResponse2$inboundSchema;
    GetProjectEnvContentHintProjectsResponse2$.outboundSchema = GetProjectEnvContentHintProjectsResponse2$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse2$ ||= {});
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type);
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$inboundSchema;
  ((GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$) => {
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$inboundSchema;
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$ ||= {});
  GetProjectEnvContentHintProjectsResponse1$inboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$inboundSchema,
    storeId: stringType()
  });
  GetProjectEnvContentHintProjectsResponse1$outboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$outboundSchema,
    storeId: stringType()
  });
  ((GetProjectEnvContentHintProjectsResponse1$) => {
    GetProjectEnvContentHintProjectsResponse1$.inboundSchema = GetProjectEnvContentHintProjectsResponse1$inboundSchema;
    GetProjectEnvContentHintProjectsResponse1$.outboundSchema = GetProjectEnvContentHintProjectsResponse1$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse1$ ||= {});
  GetProjectEnvResponseBodyProjectsResponseContentHint$inboundSchema = unionType([
    lazyType(() => GetProjectEnvContentHintProjectsResponse1$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse2$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse3$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse4$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse5$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse6$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse7$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse8$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse9$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse10$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse11$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse12$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse13$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse15$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse14$inboundSchema)
  ]);
  GetProjectEnvResponseBodyProjectsResponseContentHint$outboundSchema = unionType([
    lazyType(() => GetProjectEnvContentHintProjectsResponse1$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse2$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse3$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse4$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse5$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse6$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse7$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse8$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse9$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse10$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse11$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse12$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse13$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse15$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse14$outboundSchema)
  ]);
  ((GetProjectEnvResponseBodyProjectsResponseContentHint$) => {
    GetProjectEnvResponseBodyProjectsResponseContentHint$.inboundSchema = GetProjectEnvResponseBodyProjectsResponseContentHint$inboundSchema;
    GetProjectEnvResponseBodyProjectsResponseContentHint$.outboundSchema = GetProjectEnvResponseBodyProjectsResponseContentHint$outboundSchema;
  })(GetProjectEnvResponseBodyProjectsResponseContentHint$ ||= {});
  GetProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$inboundSchema = nativeEnumType(GetProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type);
  GetProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$outboundSchema = GetProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$inboundSchema;
  ((GetProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$) => {
    GetProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$.inboundSchema = GetProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$inboundSchema;
    GetProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$.outboundSchema = GetProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$outboundSchema;
  })(GetProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$ ||= {});
  GetProjectEnvResponseBodyProjectsResponseInternalContentHint$inboundSchema = objectType({
    type: GetProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$inboundSchema,
    encryptedValue: stringType()
  });
  GetProjectEnvResponseBodyProjectsResponseInternalContentHint$outboundSchema = objectType({
    type: GetProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$outboundSchema,
    encryptedValue: stringType()
  });
  ((GetProjectEnvResponseBodyProjectsResponseInternalContentHint$) => {
    GetProjectEnvResponseBodyProjectsResponseInternalContentHint$.inboundSchema = GetProjectEnvResponseBodyProjectsResponseInternalContentHint$inboundSchema;
    GetProjectEnvResponseBodyProjectsResponseInternalContentHint$.outboundSchema = GetProjectEnvResponseBodyProjectsResponseInternalContentHint$outboundSchema;
  })(GetProjectEnvResponseBodyProjectsResponseInternalContentHint$ ||= {});
  GetProjectEnvResponseBody3$inboundSchema = objectType({
    target: unionType([
      arrayType(stringType()),
      GetProjectEnvTargetProjectsResponse2$inboundSchema
    ]).optional(),
    type: GetProjectEnvResponseBodyProjectsResponseType$inboundSchema,
    sunsetSecretId: stringType().optional(),
    decrypted: booleanType().optional(),
    value: stringType(),
    id: stringType().optional(),
    key: stringType(),
    configurationId: nullableType(stringType()).optional(),
    createdAt: numberType().optional(),
    updatedAt: numberType().optional(),
    createdBy: nullableType(stringType()).optional(),
    updatedBy: nullableType(stringType()).optional(),
    gitBranch: stringType().optional(),
    edgeConfigId: nullableType(stringType()).optional(),
    edgeConfigTokenId: nullableType(stringType()).optional(),
    contentHint: nullableType(unionType([
      lazyType(() => GetProjectEnvContentHintProjectsResponse1$inboundSchema),
      lazyType(() => GetProjectEnvContentHintProjectsResponse2$inboundSchema),
      lazyType(() => GetProjectEnvContentHintProjectsResponse3$inboundSchema),
      lazyType(() => GetProjectEnvContentHintProjectsResponse4$inboundSchema),
      lazyType(() => GetProjectEnvContentHintProjectsResponse5$inboundSchema),
      lazyType(() => GetProjectEnvContentHintProjectsResponse6$inboundSchema),
      lazyType(() => GetProjectEnvContentHintProjectsResponse7$inboundSchema),
      lazyType(() => GetProjectEnvContentHintProjectsResponse8$inboundSchema),
      lazyType(() => GetProjectEnvContentHintProjectsResponse9$inboundSchema),
      lazyType(() => GetProjectEnvContentHintProjectsResponse10$inboundSchema),
      lazyType(() => GetProjectEnvContentHintProjectsResponse11$inboundSchema),
      lazyType(() => GetProjectEnvContentHintProjectsResponse12$inboundSchema),
      lazyType(() => GetProjectEnvContentHintProjectsResponse13$inboundSchema),
      lazyType(() => GetProjectEnvContentHintProjectsResponse15$inboundSchema),
      lazyType(() => GetProjectEnvContentHintProjectsResponse14$inboundSchema)
    ])).optional(),
    internalContentHint: nullableType(lazyType(() => GetProjectEnvResponseBodyProjectsResponseInternalContentHint$inboundSchema)).optional(),
    comment: stringType().optional(),
    customEnvironmentIds: arrayType(stringType()).optional()
  });
  GetProjectEnvResponseBody3$outboundSchema = objectType({
    target: unionType([
      arrayType(stringType()),
      GetProjectEnvTargetProjectsResponse2$outboundSchema
    ]).optional(),
    type: GetProjectEnvResponseBodyProjectsResponseType$outboundSchema,
    sunsetSecretId: stringType().optional(),
    decrypted: booleanType().optional(),
    value: stringType(),
    id: stringType().optional(),
    key: stringType(),
    configurationId: nullableType(stringType()).optional(),
    createdAt: numberType().optional(),
    updatedAt: numberType().optional(),
    createdBy: nullableType(stringType()).optional(),
    updatedBy: nullableType(stringType()).optional(),
    gitBranch: stringType().optional(),
    edgeConfigId: nullableType(stringType()).optional(),
    edgeConfigTokenId: nullableType(stringType()).optional(),
    contentHint: nullableType(unionType([
      lazyType(() => GetProjectEnvContentHintProjectsResponse1$outboundSchema),
      lazyType(() => GetProjectEnvContentHintProjectsResponse2$outboundSchema),
      lazyType(() => GetProjectEnvContentHintProjectsResponse3$outboundSchema),
      lazyType(() => GetProjectEnvContentHintProjectsResponse4$outboundSchema),
      lazyType(() => GetProjectEnvContentHintProjectsResponse5$outboundSchema),
      lazyType(() => GetProjectEnvContentHintProjectsResponse6$outboundSchema),
      lazyType(() => GetProjectEnvContentHintProjectsResponse7$outboundSchema),
      lazyType(() => GetProjectEnvContentHintProjectsResponse8$outboundSchema),
      lazyType(() => GetProjectEnvContentHintProjectsResponse9$outboundSchema),
      lazyType(() => GetProjectEnvContentHintProjectsResponse10$outboundSchema),
      lazyType(() => GetProjectEnvContentHintProjectsResponse11$outboundSchema),
      lazyType(() => GetProjectEnvContentHintProjectsResponse12$outboundSchema),
      lazyType(() => GetProjectEnvContentHintProjectsResponse13$outboundSchema),
      lazyType(() => GetProjectEnvContentHintProjectsResponse15$outboundSchema),
      lazyType(() => GetProjectEnvContentHintProjectsResponse14$outboundSchema)
    ])).optional(),
    internalContentHint: nullableType(lazyType(() => GetProjectEnvResponseBodyProjectsResponseInternalContentHint$outboundSchema)).optional(),
    comment: stringType().optional(),
    customEnvironmentIds: arrayType(stringType()).optional()
  });
  ((GetProjectEnvResponseBody3$) => {
    GetProjectEnvResponseBody3$.inboundSchema = GetProjectEnvResponseBody3$inboundSchema;
    GetProjectEnvResponseBody3$.outboundSchema = GetProjectEnvResponseBody3$outboundSchema;
  })(GetProjectEnvResponseBody3$ ||= {});
  GetProjectEnvTargetProjects2$inboundSchema = nativeEnumType(GetProjectEnvTargetProjects2);
  GetProjectEnvTargetProjects2$outboundSchema = GetProjectEnvTargetProjects2$inboundSchema;
  ((GetProjectEnvTargetProjects2$) => {
    GetProjectEnvTargetProjects2$.inboundSchema = GetProjectEnvTargetProjects2$inboundSchema;
    GetProjectEnvTargetProjects2$.outboundSchema = GetProjectEnvTargetProjects2$outboundSchema;
  })(GetProjectEnvTargetProjects2$ ||= {});
  GetProjectEnvTargetProjects1$inboundSchema = nativeEnumType(GetProjectEnvTargetProjects1);
  GetProjectEnvTargetProjects1$outboundSchema = GetProjectEnvTargetProjects1$inboundSchema;
  ((GetProjectEnvTargetProjects1$) => {
    GetProjectEnvTargetProjects1$.inboundSchema = GetProjectEnvTargetProjects1$inboundSchema;
    GetProjectEnvTargetProjects1$.outboundSchema = GetProjectEnvTargetProjects1$outboundSchema;
  })(GetProjectEnvTargetProjects1$ ||= {});
  GetProjectEnvResponseBodyProjectsTarget$inboundSchema = unionType([
    arrayType(GetProjectEnvTargetProjects1$inboundSchema),
    GetProjectEnvTargetProjects2$inboundSchema
  ]);
  GetProjectEnvResponseBodyProjectsTarget$outboundSchema = unionType([
    arrayType(GetProjectEnvTargetProjects1$outboundSchema),
    GetProjectEnvTargetProjects2$outboundSchema
  ]);
  ((GetProjectEnvResponseBodyProjectsTarget$) => {
    GetProjectEnvResponseBodyProjectsTarget$.inboundSchema = GetProjectEnvResponseBodyProjectsTarget$inboundSchema;
    GetProjectEnvResponseBodyProjectsTarget$.outboundSchema = GetProjectEnvResponseBodyProjectsTarget$outboundSchema;
  })(GetProjectEnvResponseBodyProjectsTarget$ ||= {});
  GetProjectEnvResponseBodyProjectsType$inboundSchema = nativeEnumType(GetProjectEnvResponseBodyProjectsType);
  GetProjectEnvResponseBodyProjectsType$outboundSchema = GetProjectEnvResponseBodyProjectsType$inboundSchema;
  ((GetProjectEnvResponseBodyProjectsType$) => {
    GetProjectEnvResponseBodyProjectsType$.inboundSchema = GetProjectEnvResponseBodyProjectsType$inboundSchema;
    GetProjectEnvResponseBodyProjectsType$.outboundSchema = GetProjectEnvResponseBodyProjectsType$outboundSchema;
  })(GetProjectEnvResponseBodyProjectsType$ ||= {});
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type);
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$inboundSchema;
  ((GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$) => {
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$inboundSchema;
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$ ||= {});
  GetProjectEnvContentHintProjects15$inboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$inboundSchema,
    projectId: stringType()
  });
  GetProjectEnvContentHintProjects15$outboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$outboundSchema,
    projectId: stringType()
  });
  ((GetProjectEnvContentHintProjects15$) => {
    GetProjectEnvContentHintProjects15$.inboundSchema = GetProjectEnvContentHintProjects15$inboundSchema;
    GetProjectEnvContentHintProjects15$.outboundSchema = GetProjectEnvContentHintProjects15$outboundSchema;
  })(GetProjectEnvContentHintProjects15$ ||= {});
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type);
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$inboundSchema;
  ((GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$) => {
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$inboundSchema;
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$ ||= {});
  GetProjectEnvContentHintProjects14$inboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$inboundSchema,
    storeId: stringType(),
    integrationId: stringType(),
    integrationProductId: stringType(),
    integrationConfigurationId: stringType()
  });
  GetProjectEnvContentHintProjects14$outboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$outboundSchema,
    storeId: stringType(),
    integrationId: stringType(),
    integrationProductId: stringType(),
    integrationConfigurationId: stringType()
  });
  ((GetProjectEnvContentHintProjects14$) => {
    GetProjectEnvContentHintProjects14$.inboundSchema = GetProjectEnvContentHintProjects14$inboundSchema;
    GetProjectEnvContentHintProjects14$.outboundSchema = GetProjectEnvContentHintProjects14$outboundSchema;
  })(GetProjectEnvContentHintProjects14$ ||= {});
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type);
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$inboundSchema;
  ((GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$) => {
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$inboundSchema;
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$ ||= {});
  GetProjectEnvContentHintProjects13$inboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$inboundSchema,
    storeId: stringType()
  });
  GetProjectEnvContentHintProjects13$outboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$outboundSchema,
    storeId: stringType()
  });
  ((GetProjectEnvContentHintProjects13$) => {
    GetProjectEnvContentHintProjects13$.inboundSchema = GetProjectEnvContentHintProjects13$inboundSchema;
    GetProjectEnvContentHintProjects13$.outboundSchema = GetProjectEnvContentHintProjects13$outboundSchema;
  })(GetProjectEnvContentHintProjects13$ ||= {});
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type);
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$inboundSchema;
  ((GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$) => {
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$inboundSchema;
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$ ||= {});
  GetProjectEnvContentHintProjects12$inboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$inboundSchema,
    storeId: stringType()
  });
  GetProjectEnvContentHintProjects12$outboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$outboundSchema,
    storeId: stringType()
  });
  ((GetProjectEnvContentHintProjects12$) => {
    GetProjectEnvContentHintProjects12$.inboundSchema = GetProjectEnvContentHintProjects12$inboundSchema;
    GetProjectEnvContentHintProjects12$.outboundSchema = GetProjectEnvContentHintProjects12$outboundSchema;
  })(GetProjectEnvContentHintProjects12$ ||= {});
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type);
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$inboundSchema;
  ((GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$) => {
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$inboundSchema;
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$ ||= {});
  GetProjectEnvContentHintProjects11$inboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$inboundSchema,
    storeId: stringType()
  });
  GetProjectEnvContentHintProjects11$outboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$outboundSchema,
    storeId: stringType()
  });
  ((GetProjectEnvContentHintProjects11$) => {
    GetProjectEnvContentHintProjects11$.inboundSchema = GetProjectEnvContentHintProjects11$inboundSchema;
    GetProjectEnvContentHintProjects11$.outboundSchema = GetProjectEnvContentHintProjects11$outboundSchema;
  })(GetProjectEnvContentHintProjects11$ ||= {});
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type);
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$inboundSchema;
  ((GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$) => {
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$inboundSchema;
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$ ||= {});
  GetProjectEnvContentHintProjects10$inboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$inboundSchema,
    storeId: stringType()
  });
  GetProjectEnvContentHintProjects10$outboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$outboundSchema,
    storeId: stringType()
  });
  ((GetProjectEnvContentHintProjects10$) => {
    GetProjectEnvContentHintProjects10$.inboundSchema = GetProjectEnvContentHintProjects10$inboundSchema;
    GetProjectEnvContentHintProjects10$.outboundSchema = GetProjectEnvContentHintProjects10$outboundSchema;
  })(GetProjectEnvContentHintProjects10$ ||= {});
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type);
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$inboundSchema;
  ((GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$) => {
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$inboundSchema;
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$ ||= {});
  GetProjectEnvContentHintProjects9$inboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$inboundSchema,
    storeId: stringType()
  });
  GetProjectEnvContentHintProjects9$outboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$outboundSchema,
    storeId: stringType()
  });
  ((GetProjectEnvContentHintProjects9$) => {
    GetProjectEnvContentHintProjects9$.inboundSchema = GetProjectEnvContentHintProjects9$inboundSchema;
    GetProjectEnvContentHintProjects9$.outboundSchema = GetProjectEnvContentHintProjects9$outboundSchema;
  })(GetProjectEnvContentHintProjects9$ ||= {});
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type);
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$inboundSchema;
  ((GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$) => {
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$inboundSchema;
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$ ||= {});
  GetProjectEnvContentHintProjects8$inboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$inboundSchema,
    storeId: stringType()
  });
  GetProjectEnvContentHintProjects8$outboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$outboundSchema,
    storeId: stringType()
  });
  ((GetProjectEnvContentHintProjects8$) => {
    GetProjectEnvContentHintProjects8$.inboundSchema = GetProjectEnvContentHintProjects8$inboundSchema;
    GetProjectEnvContentHintProjects8$.outboundSchema = GetProjectEnvContentHintProjects8$outboundSchema;
  })(GetProjectEnvContentHintProjects8$ ||= {});
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type);
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$inboundSchema;
  ((GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$) => {
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$inboundSchema;
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$ ||= {});
  GetProjectEnvContentHintProjects7$inboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$inboundSchema,
    storeId: stringType()
  });
  GetProjectEnvContentHintProjects7$outboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$outboundSchema,
    storeId: stringType()
  });
  ((GetProjectEnvContentHintProjects7$) => {
    GetProjectEnvContentHintProjects7$.inboundSchema = GetProjectEnvContentHintProjects7$inboundSchema;
    GetProjectEnvContentHintProjects7$.outboundSchema = GetProjectEnvContentHintProjects7$outboundSchema;
  })(GetProjectEnvContentHintProjects7$ ||= {});
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type);
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$inboundSchema;
  ((GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$) => {
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$inboundSchema;
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$ ||= {});
  GetProjectEnvContentHintProjects6$inboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$inboundSchema,
    storeId: stringType()
  });
  GetProjectEnvContentHintProjects6$outboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$outboundSchema,
    storeId: stringType()
  });
  ((GetProjectEnvContentHintProjects6$) => {
    GetProjectEnvContentHintProjects6$.inboundSchema = GetProjectEnvContentHintProjects6$inboundSchema;
    GetProjectEnvContentHintProjects6$.outboundSchema = GetProjectEnvContentHintProjects6$outboundSchema;
  })(GetProjectEnvContentHintProjects6$ ||= {});
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type);
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$inboundSchema;
  ((GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$) => {
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$inboundSchema;
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$ ||= {});
  GetProjectEnvContentHintProjects5$inboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$inboundSchema,
    storeId: stringType()
  });
  GetProjectEnvContentHintProjects5$outboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$outboundSchema,
    storeId: stringType()
  });
  ((GetProjectEnvContentHintProjects5$) => {
    GetProjectEnvContentHintProjects5$.inboundSchema = GetProjectEnvContentHintProjects5$inboundSchema;
    GetProjectEnvContentHintProjects5$.outboundSchema = GetProjectEnvContentHintProjects5$outboundSchema;
  })(GetProjectEnvContentHintProjects5$ ||= {});
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type);
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$inboundSchema;
  ((GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$) => {
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$inboundSchema;
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$ ||= {});
  GetProjectEnvContentHintProjects4$inboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$inboundSchema,
    storeId: stringType()
  });
  GetProjectEnvContentHintProjects4$outboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$outboundSchema,
    storeId: stringType()
  });
  ((GetProjectEnvContentHintProjects4$) => {
    GetProjectEnvContentHintProjects4$.inboundSchema = GetProjectEnvContentHintProjects4$inboundSchema;
    GetProjectEnvContentHintProjects4$.outboundSchema = GetProjectEnvContentHintProjects4$outboundSchema;
  })(GetProjectEnvContentHintProjects4$ ||= {});
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type);
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$inboundSchema;
  ((GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$) => {
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$inboundSchema;
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$ ||= {});
  GetProjectEnvContentHintProjects3$inboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$inboundSchema,
    storeId: stringType()
  });
  GetProjectEnvContentHintProjects3$outboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$outboundSchema,
    storeId: stringType()
  });
  ((GetProjectEnvContentHintProjects3$) => {
    GetProjectEnvContentHintProjects3$.inboundSchema = GetProjectEnvContentHintProjects3$inboundSchema;
    GetProjectEnvContentHintProjects3$.outboundSchema = GetProjectEnvContentHintProjects3$outboundSchema;
  })(GetProjectEnvContentHintProjects3$ ||= {});
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type);
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$inboundSchema;
  ((GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$) => {
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$inboundSchema;
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$ ||= {});
  GetProjectEnvContentHintProjects2$inboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$inboundSchema,
    storeId: stringType()
  });
  GetProjectEnvContentHintProjects2$outboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$outboundSchema,
    storeId: stringType()
  });
  ((GetProjectEnvContentHintProjects2$) => {
    GetProjectEnvContentHintProjects2$.inboundSchema = GetProjectEnvContentHintProjects2$inboundSchema;
    GetProjectEnvContentHintProjects2$.outboundSchema = GetProjectEnvContentHintProjects2$outboundSchema;
  })(GetProjectEnvContentHintProjects2$ ||= {});
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type);
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$inboundSchema;
  ((GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$) => {
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$inboundSchema;
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$ ||= {});
  GetProjectEnvContentHintProjects1$inboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$inboundSchema,
    storeId: stringType()
  });
  GetProjectEnvContentHintProjects1$outboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$outboundSchema,
    storeId: stringType()
  });
  ((GetProjectEnvContentHintProjects1$) => {
    GetProjectEnvContentHintProjects1$.inboundSchema = GetProjectEnvContentHintProjects1$inboundSchema;
    GetProjectEnvContentHintProjects1$.outboundSchema = GetProjectEnvContentHintProjects1$outboundSchema;
  })(GetProjectEnvContentHintProjects1$ ||= {});
  GetProjectEnvResponseBodyProjectsContentHint$inboundSchema = unionType([
    lazyType(() => GetProjectEnvContentHintProjects1$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects2$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects3$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects4$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects5$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects6$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects7$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects8$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects9$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects10$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects11$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects12$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects13$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects15$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects14$inboundSchema)
  ]);
  GetProjectEnvResponseBodyProjectsContentHint$outboundSchema = unionType([
    lazyType(() => GetProjectEnvContentHintProjects1$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects2$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects3$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects4$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects5$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects6$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects7$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects8$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects9$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects10$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects11$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects12$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects13$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects15$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects14$outboundSchema)
  ]);
  ((GetProjectEnvResponseBodyProjectsContentHint$) => {
    GetProjectEnvResponseBodyProjectsContentHint$.inboundSchema = GetProjectEnvResponseBodyProjectsContentHint$inboundSchema;
    GetProjectEnvResponseBodyProjectsContentHint$.outboundSchema = GetProjectEnvResponseBodyProjectsContentHint$outboundSchema;
  })(GetProjectEnvResponseBodyProjectsContentHint$ ||= {});
  GetProjectEnvResponseBodyProjectsResponse200Type$inboundSchema = nativeEnumType(GetProjectEnvResponseBodyProjectsResponse200Type);
  GetProjectEnvResponseBodyProjectsResponse200Type$outboundSchema = GetProjectEnvResponseBodyProjectsResponse200Type$inboundSchema;
  ((GetProjectEnvResponseBodyProjectsResponse200Type$) => {
    GetProjectEnvResponseBodyProjectsResponse200Type$.inboundSchema = GetProjectEnvResponseBodyProjectsResponse200Type$inboundSchema;
    GetProjectEnvResponseBodyProjectsResponse200Type$.outboundSchema = GetProjectEnvResponseBodyProjectsResponse200Type$outboundSchema;
  })(GetProjectEnvResponseBodyProjectsResponse200Type$ ||= {});
  GetProjectEnvResponseBodyProjectsInternalContentHint$inboundSchema = objectType({
    type: GetProjectEnvResponseBodyProjectsResponse200Type$inboundSchema,
    encryptedValue: stringType()
  });
  GetProjectEnvResponseBodyProjectsInternalContentHint$outboundSchema = objectType({
    type: GetProjectEnvResponseBodyProjectsResponse200Type$outboundSchema,
    encryptedValue: stringType()
  });
  ((GetProjectEnvResponseBodyProjectsInternalContentHint$) => {
    GetProjectEnvResponseBodyProjectsInternalContentHint$.inboundSchema = GetProjectEnvResponseBodyProjectsInternalContentHint$inboundSchema;
    GetProjectEnvResponseBodyProjectsInternalContentHint$.outboundSchema = GetProjectEnvResponseBodyProjectsInternalContentHint$outboundSchema;
  })(GetProjectEnvResponseBodyProjectsInternalContentHint$ ||= {});
  GetProjectEnvResponseBody2$inboundSchema = objectType({
    target: unionType([
      arrayType(GetProjectEnvTargetProjects1$inboundSchema),
      GetProjectEnvTargetProjects2$inboundSchema
    ]).optional(),
    type: GetProjectEnvResponseBodyProjectsType$inboundSchema,
    sunsetSecretId: stringType().optional(),
    decrypted: booleanType().optional(),
    value: stringType(),
    vsmValue: stringType().optional(),
    id: stringType().optional(),
    key: stringType(),
    configurationId: nullableType(stringType()).optional(),
    createdAt: numberType().optional(),
    updatedAt: numberType().optional(),
    createdBy: nullableType(stringType()).optional(),
    updatedBy: nullableType(stringType()).optional(),
    gitBranch: stringType().optional(),
    edgeConfigId: nullableType(stringType()).optional(),
    edgeConfigTokenId: nullableType(stringType()).optional(),
    contentHint: nullableType(unionType([
      lazyType(() => GetProjectEnvContentHintProjects1$inboundSchema),
      lazyType(() => GetProjectEnvContentHintProjects2$inboundSchema),
      lazyType(() => GetProjectEnvContentHintProjects3$inboundSchema),
      lazyType(() => GetProjectEnvContentHintProjects4$inboundSchema),
      lazyType(() => GetProjectEnvContentHintProjects5$inboundSchema),
      lazyType(() => GetProjectEnvContentHintProjects6$inboundSchema),
      lazyType(() => GetProjectEnvContentHintProjects7$inboundSchema),
      lazyType(() => GetProjectEnvContentHintProjects8$inboundSchema),
      lazyType(() => GetProjectEnvContentHintProjects9$inboundSchema),
      lazyType(() => GetProjectEnvContentHintProjects10$inboundSchema),
      lazyType(() => GetProjectEnvContentHintProjects11$inboundSchema),
      lazyType(() => GetProjectEnvContentHintProjects12$inboundSchema),
      lazyType(() => GetProjectEnvContentHintProjects13$inboundSchema),
      lazyType(() => GetProjectEnvContentHintProjects15$inboundSchema),
      lazyType(() => GetProjectEnvContentHintProjects14$inboundSchema)
    ])).optional(),
    internalContentHint: nullableType(lazyType(() => GetProjectEnvResponseBodyProjectsInternalContentHint$inboundSchema)).optional(),
    comment: stringType().optional(),
    customEnvironmentIds: arrayType(stringType()).optional()
  });
  GetProjectEnvResponseBody2$outboundSchema = objectType({
    target: unionType([
      arrayType(GetProjectEnvTargetProjects1$outboundSchema),
      GetProjectEnvTargetProjects2$outboundSchema
    ]).optional(),
    type: GetProjectEnvResponseBodyProjectsType$outboundSchema,
    sunsetSecretId: stringType().optional(),
    decrypted: booleanType().optional(),
    value: stringType(),
    vsmValue: stringType().optional(),
    id: stringType().optional(),
    key: stringType(),
    configurationId: nullableType(stringType()).optional(),
    createdAt: numberType().optional(),
    updatedAt: numberType().optional(),
    createdBy: nullableType(stringType()).optional(),
    updatedBy: nullableType(stringType()).optional(),
    gitBranch: stringType().optional(),
    edgeConfigId: nullableType(stringType()).optional(),
    edgeConfigTokenId: nullableType(stringType()).optional(),
    contentHint: nullableType(unionType([
      lazyType(() => GetProjectEnvContentHintProjects1$outboundSchema),
      lazyType(() => GetProjectEnvContentHintProjects2$outboundSchema),
      lazyType(() => GetProjectEnvContentHintProjects3$outboundSchema),
      lazyType(() => GetProjectEnvContentHintProjects4$outboundSchema),
      lazyType(() => GetProjectEnvContentHintProjects5$outboundSchema),
      lazyType(() => GetProjectEnvContentHintProjects6$outboundSchema),
      lazyType(() => GetProjectEnvContentHintProjects7$outboundSchema),
      lazyType(() => GetProjectEnvContentHintProjects8$outboundSchema),
      lazyType(() => GetProjectEnvContentHintProjects9$outboundSchema),
      lazyType(() => GetProjectEnvContentHintProjects10$outboundSchema),
      lazyType(() => GetProjectEnvContentHintProjects11$outboundSchema),
      lazyType(() => GetProjectEnvContentHintProjects12$outboundSchema),
      lazyType(() => GetProjectEnvContentHintProjects13$outboundSchema),
      lazyType(() => GetProjectEnvContentHintProjects15$outboundSchema),
      lazyType(() => GetProjectEnvContentHintProjects14$outboundSchema)
    ])).optional(),
    internalContentHint: nullableType(lazyType(() => GetProjectEnvResponseBodyProjectsInternalContentHint$outboundSchema)).optional(),
    comment: stringType().optional(),
    customEnvironmentIds: arrayType(stringType()).optional()
  });
  ((GetProjectEnvResponseBody2$) => {
    GetProjectEnvResponseBody2$.inboundSchema = GetProjectEnvResponseBody2$inboundSchema;
    GetProjectEnvResponseBody2$.outboundSchema = GetProjectEnvResponseBody2$outboundSchema;
  })(GetProjectEnvResponseBody2$ ||= {});
  GetProjectEnvTarget2$inboundSchema = nativeEnumType(GetProjectEnvTarget2);
  GetProjectEnvTarget2$outboundSchema = GetProjectEnvTarget2$inboundSchema;
  ((GetProjectEnvTarget2$) => {
    GetProjectEnvTarget2$.inboundSchema = GetProjectEnvTarget2$inboundSchema;
    GetProjectEnvTarget2$.outboundSchema = GetProjectEnvTarget2$outboundSchema;
  })(GetProjectEnvTarget2$ ||= {});
  GetProjectEnvTarget1$inboundSchema = nativeEnumType(GetProjectEnvTarget1);
  GetProjectEnvTarget1$outboundSchema = GetProjectEnvTarget1$inboundSchema;
  ((GetProjectEnvTarget1$) => {
    GetProjectEnvTarget1$.inboundSchema = GetProjectEnvTarget1$inboundSchema;
    GetProjectEnvTarget1$.outboundSchema = GetProjectEnvTarget1$outboundSchema;
  })(GetProjectEnvTarget1$ ||= {});
  GetProjectEnvResponseBodyTarget$inboundSchema = unionType([
    arrayType(GetProjectEnvTarget1$inboundSchema),
    GetProjectEnvTarget2$inboundSchema
  ]);
  GetProjectEnvResponseBodyTarget$outboundSchema = unionType([
    arrayType(GetProjectEnvTarget1$outboundSchema),
    GetProjectEnvTarget2$outboundSchema
  ]);
  ((GetProjectEnvResponseBodyTarget$) => {
    GetProjectEnvResponseBodyTarget$.inboundSchema = GetProjectEnvResponseBodyTarget$inboundSchema;
    GetProjectEnvResponseBodyTarget$.outboundSchema = GetProjectEnvResponseBodyTarget$outboundSchema;
  })(GetProjectEnvResponseBodyTarget$ ||= {});
  GetProjectEnvResponseBodyType$inboundSchema = nativeEnumType(GetProjectEnvResponseBodyType);
  GetProjectEnvResponseBodyType$outboundSchema = GetProjectEnvResponseBodyType$inboundSchema;
  ((GetProjectEnvResponseBodyType$) => {
    GetProjectEnvResponseBodyType$.inboundSchema = GetProjectEnvResponseBodyType$inboundSchema;
    GetProjectEnvResponseBodyType$.outboundSchema = GetProjectEnvResponseBodyType$outboundSchema;
  })(GetProjectEnvResponseBodyType$ ||= {});
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type);
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$inboundSchema;
  ((GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$) => {
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$inboundSchema;
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$ ||= {});
  GetProjectEnvContentHint15$inboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$inboundSchema,
    projectId: stringType()
  });
  GetProjectEnvContentHint15$outboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$outboundSchema,
    projectId: stringType()
  });
  ((GetProjectEnvContentHint15$) => {
    GetProjectEnvContentHint15$.inboundSchema = GetProjectEnvContentHint15$inboundSchema;
    GetProjectEnvContentHint15$.outboundSchema = GetProjectEnvContentHint15$outboundSchema;
  })(GetProjectEnvContentHint15$ ||= {});
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type);
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$inboundSchema;
  ((GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$) => {
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$inboundSchema;
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$ ||= {});
  GetProjectEnvContentHint14$inboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$inboundSchema,
    storeId: stringType(),
    integrationId: stringType(),
    integrationProductId: stringType(),
    integrationConfigurationId: stringType()
  });
  GetProjectEnvContentHint14$outboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$outboundSchema,
    storeId: stringType(),
    integrationId: stringType(),
    integrationProductId: stringType(),
    integrationConfigurationId: stringType()
  });
  ((GetProjectEnvContentHint14$) => {
    GetProjectEnvContentHint14$.inboundSchema = GetProjectEnvContentHint14$inboundSchema;
    GetProjectEnvContentHint14$.outboundSchema = GetProjectEnvContentHint14$outboundSchema;
  })(GetProjectEnvContentHint14$ ||= {});
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type);
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$inboundSchema;
  ((GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$) => {
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$inboundSchema;
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$ ||= {});
  GetProjectEnvContentHint13$inboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$inboundSchema,
    storeId: stringType()
  });
  GetProjectEnvContentHint13$outboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$outboundSchema,
    storeId: stringType()
  });
  ((GetProjectEnvContentHint13$) => {
    GetProjectEnvContentHint13$.inboundSchema = GetProjectEnvContentHint13$inboundSchema;
    GetProjectEnvContentHint13$.outboundSchema = GetProjectEnvContentHint13$outboundSchema;
  })(GetProjectEnvContentHint13$ ||= {});
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type);
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$inboundSchema;
  ((GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$) => {
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$inboundSchema;
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$ ||= {});
  GetProjectEnvContentHint12$inboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$inboundSchema,
    storeId: stringType()
  });
  GetProjectEnvContentHint12$outboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$outboundSchema,
    storeId: stringType()
  });
  ((GetProjectEnvContentHint12$) => {
    GetProjectEnvContentHint12$.inboundSchema = GetProjectEnvContentHint12$inboundSchema;
    GetProjectEnvContentHint12$.outboundSchema = GetProjectEnvContentHint12$outboundSchema;
  })(GetProjectEnvContentHint12$ ||= {});
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type);
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$inboundSchema;
  ((GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$) => {
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$inboundSchema;
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$ ||= {});
  GetProjectEnvContentHint11$inboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$inboundSchema,
    storeId: stringType()
  });
  GetProjectEnvContentHint11$outboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$outboundSchema,
    storeId: stringType()
  });
  ((GetProjectEnvContentHint11$) => {
    GetProjectEnvContentHint11$.inboundSchema = GetProjectEnvContentHint11$inboundSchema;
    GetProjectEnvContentHint11$.outboundSchema = GetProjectEnvContentHint11$outboundSchema;
  })(GetProjectEnvContentHint11$ ||= {});
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type);
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$inboundSchema;
  ((GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$) => {
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$inboundSchema;
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$ ||= {});
  GetProjectEnvContentHint10$inboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$inboundSchema,
    storeId: stringType()
  });
  GetProjectEnvContentHint10$outboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$outboundSchema,
    storeId: stringType()
  });
  ((GetProjectEnvContentHint10$) => {
    GetProjectEnvContentHint10$.inboundSchema = GetProjectEnvContentHint10$inboundSchema;
    GetProjectEnvContentHint10$.outboundSchema = GetProjectEnvContentHint10$outboundSchema;
  })(GetProjectEnvContentHint10$ ||= {});
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type);
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$inboundSchema;
  ((GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$) => {
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$inboundSchema;
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$ ||= {});
  GetProjectEnvContentHint9$inboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$inboundSchema,
    storeId: stringType()
  });
  GetProjectEnvContentHint9$outboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$outboundSchema,
    storeId: stringType()
  });
  ((GetProjectEnvContentHint9$) => {
    GetProjectEnvContentHint9$.inboundSchema = GetProjectEnvContentHint9$inboundSchema;
    GetProjectEnvContentHint9$.outboundSchema = GetProjectEnvContentHint9$outboundSchema;
  })(GetProjectEnvContentHint9$ ||= {});
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type);
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$inboundSchema;
  ((GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$) => {
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$inboundSchema;
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$ ||= {});
  GetProjectEnvContentHint8$inboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$inboundSchema,
    storeId: stringType()
  });
  GetProjectEnvContentHint8$outboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$outboundSchema,
    storeId: stringType()
  });
  ((GetProjectEnvContentHint8$) => {
    GetProjectEnvContentHint8$.inboundSchema = GetProjectEnvContentHint8$inboundSchema;
    GetProjectEnvContentHint8$.outboundSchema = GetProjectEnvContentHint8$outboundSchema;
  })(GetProjectEnvContentHint8$ ||= {});
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type);
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$inboundSchema;
  ((GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$) => {
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$inboundSchema;
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$ ||= {});
  GetProjectEnvContentHint7$inboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$inboundSchema,
    storeId: stringType()
  });
  GetProjectEnvContentHint7$outboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$outboundSchema,
    storeId: stringType()
  });
  ((GetProjectEnvContentHint7$) => {
    GetProjectEnvContentHint7$.inboundSchema = GetProjectEnvContentHint7$inboundSchema;
    GetProjectEnvContentHint7$.outboundSchema = GetProjectEnvContentHint7$outboundSchema;
  })(GetProjectEnvContentHint7$ ||= {});
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType);
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema;
  ((GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$) => {
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema;
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$ ||= {});
  GetProjectEnvContentHint6$inboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema,
    storeId: stringType()
  });
  GetProjectEnvContentHint6$outboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema,
    storeId: stringType()
  });
  ((GetProjectEnvContentHint6$) => {
    GetProjectEnvContentHint6$.inboundSchema = GetProjectEnvContentHint6$inboundSchema;
    GetProjectEnvContentHint6$.outboundSchema = GetProjectEnvContentHint6$outboundSchema;
  })(GetProjectEnvContentHint6$ ||= {});
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONType$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONType);
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONType$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONType$inboundSchema;
  ((GetProjectEnvContentHintProjectsResponse200ApplicationJSONType$) => {
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONType$.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONType$inboundSchema;
    GetProjectEnvContentHintProjectsResponse200ApplicationJSONType$.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONType$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse200ApplicationJSONType$ ||= {});
  GetProjectEnvContentHint5$inboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONType$inboundSchema,
    storeId: stringType()
  });
  GetProjectEnvContentHint5$outboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONType$outboundSchema,
    storeId: stringType()
  });
  ((GetProjectEnvContentHint5$) => {
    GetProjectEnvContentHint5$.inboundSchema = GetProjectEnvContentHint5$inboundSchema;
    GetProjectEnvContentHint5$.outboundSchema = GetProjectEnvContentHint5$outboundSchema;
  })(GetProjectEnvContentHint5$ ||= {});
  GetProjectEnvContentHintProjectsResponse200Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200Type);
  GetProjectEnvContentHintProjectsResponse200Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200Type$inboundSchema;
  ((GetProjectEnvContentHintProjectsResponse200Type$) => {
    GetProjectEnvContentHintProjectsResponse200Type$.inboundSchema = GetProjectEnvContentHintProjectsResponse200Type$inboundSchema;
    GetProjectEnvContentHintProjectsResponse200Type$.outboundSchema = GetProjectEnvContentHintProjectsResponse200Type$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponse200Type$ ||= {});
  GetProjectEnvContentHint4$inboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200Type$inboundSchema,
    storeId: stringType()
  });
  GetProjectEnvContentHint4$outboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponse200Type$outboundSchema,
    storeId: stringType()
  });
  ((GetProjectEnvContentHint4$) => {
    GetProjectEnvContentHint4$.inboundSchema = GetProjectEnvContentHint4$inboundSchema;
    GetProjectEnvContentHint4$.outboundSchema = GetProjectEnvContentHint4$outboundSchema;
  })(GetProjectEnvContentHint4$ ||= {});
  GetProjectEnvContentHintProjectsResponseType$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponseType);
  GetProjectEnvContentHintProjectsResponseType$outboundSchema = GetProjectEnvContentHintProjectsResponseType$inboundSchema;
  ((GetProjectEnvContentHintProjectsResponseType$) => {
    GetProjectEnvContentHintProjectsResponseType$.inboundSchema = GetProjectEnvContentHintProjectsResponseType$inboundSchema;
    GetProjectEnvContentHintProjectsResponseType$.outboundSchema = GetProjectEnvContentHintProjectsResponseType$outboundSchema;
  })(GetProjectEnvContentHintProjectsResponseType$ ||= {});
  GetProjectEnvContentHint3$inboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponseType$inboundSchema,
    storeId: stringType()
  });
  GetProjectEnvContentHint3$outboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsResponseType$outboundSchema,
    storeId: stringType()
  });
  ((GetProjectEnvContentHint3$) => {
    GetProjectEnvContentHint3$.inboundSchema = GetProjectEnvContentHint3$inboundSchema;
    GetProjectEnvContentHint3$.outboundSchema = GetProjectEnvContentHint3$outboundSchema;
  })(GetProjectEnvContentHint3$ ||= {});
  GetProjectEnvContentHintProjectsType$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsType);
  GetProjectEnvContentHintProjectsType$outboundSchema = GetProjectEnvContentHintProjectsType$inboundSchema;
  ((GetProjectEnvContentHintProjectsType$) => {
    GetProjectEnvContentHintProjectsType$.inboundSchema = GetProjectEnvContentHintProjectsType$inboundSchema;
    GetProjectEnvContentHintProjectsType$.outboundSchema = GetProjectEnvContentHintProjectsType$outboundSchema;
  })(GetProjectEnvContentHintProjectsType$ ||= {});
  GetProjectEnvContentHint2$inboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsType$inboundSchema,
    storeId: stringType()
  });
  GetProjectEnvContentHint2$outboundSchema = objectType({
    type: GetProjectEnvContentHintProjectsType$outboundSchema,
    storeId: stringType()
  });
  ((GetProjectEnvContentHint2$) => {
    GetProjectEnvContentHint2$.inboundSchema = GetProjectEnvContentHint2$inboundSchema;
    GetProjectEnvContentHint2$.outboundSchema = GetProjectEnvContentHint2$outboundSchema;
  })(GetProjectEnvContentHint2$ ||= {});
  GetProjectEnvContentHintType$inboundSchema = nativeEnumType(GetProjectEnvContentHintType);
  GetProjectEnvContentHintType$outboundSchema = GetProjectEnvContentHintType$inboundSchema;
  ((GetProjectEnvContentHintType$) => {
    GetProjectEnvContentHintType$.inboundSchema = GetProjectEnvContentHintType$inboundSchema;
    GetProjectEnvContentHintType$.outboundSchema = GetProjectEnvContentHintType$outboundSchema;
  })(GetProjectEnvContentHintType$ ||= {});
  GetProjectEnvContentHint1$inboundSchema = objectType({
    type: GetProjectEnvContentHintType$inboundSchema,
    storeId: stringType()
  });
  GetProjectEnvContentHint1$outboundSchema = objectType({
    type: GetProjectEnvContentHintType$outboundSchema,
    storeId: stringType()
  });
  ((GetProjectEnvContentHint1$) => {
    GetProjectEnvContentHint1$.inboundSchema = GetProjectEnvContentHint1$inboundSchema;
    GetProjectEnvContentHint1$.outboundSchema = GetProjectEnvContentHint1$outboundSchema;
  })(GetProjectEnvContentHint1$ ||= {});
  GetProjectEnvResponseBodyContentHint$inboundSchema = unionType([
    lazyType(() => GetProjectEnvContentHint1$inboundSchema),
    lazyType(() => GetProjectEnvContentHint2$inboundSchema),
    lazyType(() => GetProjectEnvContentHint3$inboundSchema),
    lazyType(() => GetProjectEnvContentHint4$inboundSchema),
    lazyType(() => GetProjectEnvContentHint5$inboundSchema),
    lazyType(() => GetProjectEnvContentHint6$inboundSchema),
    lazyType(() => GetProjectEnvContentHint7$inboundSchema),
    lazyType(() => GetProjectEnvContentHint8$inboundSchema),
    lazyType(() => GetProjectEnvContentHint9$inboundSchema),
    lazyType(() => GetProjectEnvContentHint10$inboundSchema),
    lazyType(() => GetProjectEnvContentHint11$inboundSchema),
    lazyType(() => GetProjectEnvContentHint12$inboundSchema),
    lazyType(() => GetProjectEnvContentHint13$inboundSchema),
    lazyType(() => GetProjectEnvContentHint15$inboundSchema),
    lazyType(() => GetProjectEnvContentHint14$inboundSchema)
  ]);
  GetProjectEnvResponseBodyContentHint$outboundSchema = unionType([
    lazyType(() => GetProjectEnvContentHint1$outboundSchema),
    lazyType(() => GetProjectEnvContentHint2$outboundSchema),
    lazyType(() => GetProjectEnvContentHint3$outboundSchema),
    lazyType(() => GetProjectEnvContentHint4$outboundSchema),
    lazyType(() => GetProjectEnvContentHint5$outboundSchema),
    lazyType(() => GetProjectEnvContentHint6$outboundSchema),
    lazyType(() => GetProjectEnvContentHint7$outboundSchema),
    lazyType(() => GetProjectEnvContentHint8$outboundSchema),
    lazyType(() => GetProjectEnvContentHint9$outboundSchema),
    lazyType(() => GetProjectEnvContentHint10$outboundSchema),
    lazyType(() => GetProjectEnvContentHint11$outboundSchema),
    lazyType(() => GetProjectEnvContentHint12$outboundSchema),
    lazyType(() => GetProjectEnvContentHint13$outboundSchema),
    lazyType(() => GetProjectEnvContentHint15$outboundSchema),
    lazyType(() => GetProjectEnvContentHint14$outboundSchema)
  ]);
  ((GetProjectEnvResponseBodyContentHint$) => {
    GetProjectEnvResponseBodyContentHint$.inboundSchema = GetProjectEnvResponseBodyContentHint$inboundSchema;
    GetProjectEnvResponseBodyContentHint$.outboundSchema = GetProjectEnvResponseBodyContentHint$outboundSchema;
  })(GetProjectEnvResponseBodyContentHint$ ||= {});
  GetProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$inboundSchema = nativeEnumType(GetProjectEnvResponseBodyProjectsResponse200ApplicationJSONType);
  GetProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$outboundSchema = GetProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$inboundSchema;
  ((GetProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$) => {
    GetProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$.inboundSchema = GetProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$inboundSchema;
    GetProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$.outboundSchema = GetProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$outboundSchema;
  })(GetProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$ ||= {});
  GetProjectEnvResponseBodyInternalContentHint$inboundSchema = objectType({
    type: GetProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$inboundSchema,
    encryptedValue: stringType()
  });
  GetProjectEnvResponseBodyInternalContentHint$outboundSchema = objectType({
    type: GetProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$outboundSchema,
    encryptedValue: stringType()
  });
  ((GetProjectEnvResponseBodyInternalContentHint$) => {
    GetProjectEnvResponseBodyInternalContentHint$.inboundSchema = GetProjectEnvResponseBodyInternalContentHint$inboundSchema;
    GetProjectEnvResponseBodyInternalContentHint$.outboundSchema = GetProjectEnvResponseBodyInternalContentHint$outboundSchema;
  })(GetProjectEnvResponseBodyInternalContentHint$ ||= {});
  GetProjectEnvResponseBody1$inboundSchema = objectType({
    decrypted: booleanType(),
    target: unionType([
      arrayType(GetProjectEnvTarget1$inboundSchema),
      GetProjectEnvTarget2$inboundSchema
    ]).optional(),
    type: GetProjectEnvResponseBodyType$inboundSchema,
    sunsetSecretId: stringType().optional(),
    id: stringType().optional(),
    key: stringType(),
    configurationId: nullableType(stringType()).optional(),
    createdAt: numberType().optional(),
    updatedAt: numberType().optional(),
    createdBy: nullableType(stringType()).optional(),
    updatedBy: nullableType(stringType()).optional(),
    gitBranch: stringType().optional(),
    edgeConfigId: nullableType(stringType()).optional(),
    edgeConfigTokenId: nullableType(stringType()).optional(),
    contentHint: nullableType(unionType([
      lazyType(() => GetProjectEnvContentHint1$inboundSchema),
      lazyType(() => GetProjectEnvContentHint2$inboundSchema),
      lazyType(() => GetProjectEnvContentHint3$inboundSchema),
      lazyType(() => GetProjectEnvContentHint4$inboundSchema),
      lazyType(() => GetProjectEnvContentHint5$inboundSchema),
      lazyType(() => GetProjectEnvContentHint6$inboundSchema),
      lazyType(() => GetProjectEnvContentHint7$inboundSchema),
      lazyType(() => GetProjectEnvContentHint8$inboundSchema),
      lazyType(() => GetProjectEnvContentHint9$inboundSchema),
      lazyType(() => GetProjectEnvContentHint10$inboundSchema),
      lazyType(() => GetProjectEnvContentHint11$inboundSchema),
      lazyType(() => GetProjectEnvContentHint12$inboundSchema),
      lazyType(() => GetProjectEnvContentHint13$inboundSchema),
      lazyType(() => GetProjectEnvContentHint15$inboundSchema),
      lazyType(() => GetProjectEnvContentHint14$inboundSchema)
    ])).optional(),
    internalContentHint: nullableType(lazyType(() => GetProjectEnvResponseBodyInternalContentHint$inboundSchema)).optional(),
    comment: stringType().optional(),
    customEnvironmentIds: arrayType(stringType()).optional()
  });
  GetProjectEnvResponseBody1$outboundSchema = objectType({
    decrypted: booleanType(),
    target: unionType([
      arrayType(GetProjectEnvTarget1$outboundSchema),
      GetProjectEnvTarget2$outboundSchema
    ]).optional(),
    type: GetProjectEnvResponseBodyType$outboundSchema,
    sunsetSecretId: stringType().optional(),
    id: stringType().optional(),
    key: stringType(),
    configurationId: nullableType(stringType()).optional(),
    createdAt: numberType().optional(),
    updatedAt: numberType().optional(),
    createdBy: nullableType(stringType()).optional(),
    updatedBy: nullableType(stringType()).optional(),
    gitBranch: stringType().optional(),
    edgeConfigId: nullableType(stringType()).optional(),
    edgeConfigTokenId: nullableType(stringType()).optional(),
    contentHint: nullableType(unionType([
      lazyType(() => GetProjectEnvContentHint1$outboundSchema),
      lazyType(() => GetProjectEnvContentHint2$outboundSchema),
      lazyType(() => GetProjectEnvContentHint3$outboundSchema),
      lazyType(() => GetProjectEnvContentHint4$outboundSchema),
      lazyType(() => GetProjectEnvContentHint5$outboundSchema),
      lazyType(() => GetProjectEnvContentHint6$outboundSchema),
      lazyType(() => GetProjectEnvContentHint7$outboundSchema),
      lazyType(() => GetProjectEnvContentHint8$outboundSchema),
      lazyType(() => GetProjectEnvContentHint9$outboundSchema),
      lazyType(() => GetProjectEnvContentHint10$outboundSchema),
      lazyType(() => GetProjectEnvContentHint11$outboundSchema),
      lazyType(() => GetProjectEnvContentHint12$outboundSchema),
      lazyType(() => GetProjectEnvContentHint13$outboundSchema),
      lazyType(() => GetProjectEnvContentHint15$outboundSchema),
      lazyType(() => GetProjectEnvContentHint14$outboundSchema)
    ])).optional(),
    internalContentHint: nullableType(lazyType(() => GetProjectEnvResponseBodyInternalContentHint$outboundSchema)).optional(),
    comment: stringType().optional(),
    customEnvironmentIds: arrayType(stringType()).optional()
  });
  ((GetProjectEnvResponseBody1$) => {
    GetProjectEnvResponseBody1$.inboundSchema = GetProjectEnvResponseBody1$inboundSchema;
    GetProjectEnvResponseBody1$.outboundSchema = GetProjectEnvResponseBody1$outboundSchema;
  })(GetProjectEnvResponseBody1$ ||= {});
  GetProjectEnvResponseBody$inboundSchema = unionType([
    lazyType(() => GetProjectEnvResponseBody1$inboundSchema),
    lazyType(() => GetProjectEnvResponseBody3$inboundSchema),
    lazyType(() => GetProjectEnvResponseBody2$inboundSchema)
  ]);
  GetProjectEnvResponseBody$outboundSchema = unionType([
    lazyType(() => GetProjectEnvResponseBody1$outboundSchema),
    lazyType(() => GetProjectEnvResponseBody3$outboundSchema),
    lazyType(() => GetProjectEnvResponseBody2$outboundSchema)
  ]);
  ((GetProjectEnvResponseBody$) => {
    GetProjectEnvResponseBody$.inboundSchema = GetProjectEnvResponseBody$inboundSchema;
    GetProjectEnvResponseBody$.outboundSchema = GetProjectEnvResponseBody$outboundSchema;
  })(GetProjectEnvResponseBody$ ||= {});
});

// src/funcs/projectsGetProjectEnv.ts
function projectsGetProjectEnv(client, request, options) {
  return new APIPromise($do126(client, request, options));
}
async function $do126(client, request, options) {
  const parsed = safeParse(request, (value) => GetProjectEnvRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    id: encodeSimple("id", payload.id, {
      explode: false,
      charEncoding: "percent"
    }),
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/projects/{idOrName}/env/{id}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "getProjectEnv",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetProjectEnvResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_projectsGetProjectEnv = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_getprojectenvop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/projectsGetProjectEnv.ts
var args125, tool$projectsGetProjectEnv;
var init_projectsGetProjectEnv2 = __esm(() => {
  init_projectsGetProjectEnv();
  init_getprojectenvop();
  init_tools();
  args125 = {
    request: GetProjectEnvRequest$inboundSchema
  };
  tool$projectsGetProjectEnv = {
    name: "projects-get-project-env",
    description: `Retrieve the decrypted value of an environment variable of a project by id

Retrieve the environment variable for a given project.`,
    args: args125,
    tool: async (client, args126, ctx) => {
      const [result, apiCall] = await projectsGetProjectEnv(client, args126.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/getprojectsop.ts
var GitForkProtection, GetProjectsEnvId2, GetProjectsTarget2, GetProjectsTarget1, GetProjectsType, GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv15Type, GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv14Type, GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv13Type, GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv12Type, GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv11Type, GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv10Type, GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv9Type, GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnvType, GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsType, GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyType, GetProjectsContentHintProjectsResponse200ApplicationJSONType, GetProjectsContentHintProjectsResponse200Type, GetProjectsContentHintProjectsResponseType, GetProjectsContentHintProjectsType, GetProjectsContentHintType, GetProjectsProjectsResponse200ApplicationJSONResponseBodyType, GetProjectsProjectsType, GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsCustomEnvironmentsType, GetProjectsFramework, GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsLatestDeploymentsType, GetProjectsChecksConclusion, GetProjectsChecksState, GetProjectsPlan, GetProjectsReadyState, GetProjectsReadySubstate, GetProjectsProjectsResponseType, GetProjectsLinkProjectsResponse200Type, GetProjectsLinkProjectsResponseType, GetProjectsLinkProjectsType, GetProjectsLinkType, GetProjectsNodeVersion, GetProjectsFunctionDefaultMemoryType, GetProjectsBuildMachineType, GetProjectsProjectsFunctionDefaultMemoryType, GetProjectsProjectsBuildMachineType, GetProjectsDeploymentType, GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsType, GetProjectsProjectsChecksConclusion, GetProjectsProjectsChecksState, GetProjectsProjectsPlan, GetProjectsProjectsReadyState, GetProjectsProjectsReadySubstate, GetProjectsProjectsResponse200Type, GetProjectsJobStatus, GetProjectsProjectsResponse200ApplicationJSONType, GetProjectsProtectionBypassProjectsScope, GetProjectsProtectionBypassScope, GetProjectsTrustedIpsProjectsDeploymentType, GetProjectsTrustedIpsDeploymentType, GetProjectsTrustedIpsProtectionMode, GetProjectsCreateDeployments, GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityType, GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityFirewallRoutesType, GetProjectsHandle, GetProjectsProjectsAction, GetProjectsAlgo, GetProjectsAction, GetProjectsIssuerMode, GetProjectsTier, GitForkProtection$inboundSchema, GitForkProtection$outboundSchema, GitForkProtection$, GetProjectsRequest$inboundSchema, GetProjectsRequest$outboundSchema, GetProjectsRequest$, GetProjectsAnalytics$inboundSchema, GetProjectsAnalytics$outboundSchema, GetProjectsAnalytics$, GetProjectsSpeedInsights$inboundSchema, GetProjectsSpeedInsights$outboundSchema, GetProjectsSpeedInsights$, GetProjectsEnvId2$inboundSchema, GetProjectsEnvId2$outboundSchema, GetProjectsEnvId2$, GetProjectsEnvId$inboundSchema, GetProjectsEnvId$outboundSchema, GetProjectsEnvId$, GetProjectsAws$inboundSchema, GetProjectsAws$outboundSchema, GetProjectsAws$, GetProjectsConnectConfigurations$inboundSchema, GetProjectsConnectConfigurations$outboundSchema, GetProjectsConnectConfigurations$, GetProjectsDefinitions$inboundSchema, GetProjectsDefinitions$outboundSchema, GetProjectsDefinitions$, GetProjectsCrons$inboundSchema, GetProjectsCrons$outboundSchema, GetProjectsCrons$, GetProjectsDataCache$inboundSchema, GetProjectsDataCache$outboundSchema, GetProjectsDataCache$, GetProjectsDeploymentExpiration$inboundSchema, GetProjectsDeploymentExpiration$outboundSchema, GetProjectsDeploymentExpiration$, GetProjectsTarget2$inboundSchema, GetProjectsTarget2$outboundSchema, GetProjectsTarget2$, GetProjectsTarget1$inboundSchema, GetProjectsTarget1$outboundSchema, GetProjectsTarget1$, GetProjectsTarget$inboundSchema, GetProjectsTarget$outboundSchema, GetProjectsTarget$, GetProjectsType$inboundSchema, GetProjectsType$outboundSchema, GetProjectsType$, GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv15Type$inboundSchema, GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv15Type$outboundSchema, GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv15Type$, GetProjectsContentHint15$inboundSchema, GetProjectsContentHint15$outboundSchema, GetProjectsContentHint15$, GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv14Type$inboundSchema, GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv14Type$outboundSchema, GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv14Type$, GetProjectsContentHint14$inboundSchema, GetProjectsContentHint14$outboundSchema, GetProjectsContentHint14$, GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv13Type$inboundSchema, GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv13Type$outboundSchema, GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv13Type$, GetProjectsContentHint13$inboundSchema, GetProjectsContentHint13$outboundSchema, GetProjectsContentHint13$, GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv12Type$inboundSchema, GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv12Type$outboundSchema, GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv12Type$, GetProjectsContentHint12$inboundSchema, GetProjectsContentHint12$outboundSchema, GetProjectsContentHint12$, GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv11Type$inboundSchema, GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv11Type$outboundSchema, GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv11Type$, GetProjectsContentHint11$inboundSchema, GetProjectsContentHint11$outboundSchema, GetProjectsContentHint11$, GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv10Type$inboundSchema, GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv10Type$outboundSchema, GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv10Type$, GetProjectsContentHint10$inboundSchema, GetProjectsContentHint10$outboundSchema, GetProjectsContentHint10$, GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv9Type$inboundSchema, GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv9Type$outboundSchema, GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv9Type$, GetProjectsContentHint9$inboundSchema, GetProjectsContentHint9$outboundSchema, GetProjectsContentHint9$, GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnvType$inboundSchema, GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnvType$outboundSchema, GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnvType$, GetProjectsContentHint8$inboundSchema, GetProjectsContentHint8$outboundSchema, GetProjectsContentHint8$, GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsType$inboundSchema, GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsType$outboundSchema, GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsType$, GetProjectsContentHint7$inboundSchema, GetProjectsContentHint7$outboundSchema, GetProjectsContentHint7$, GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema, GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema, GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyType$, GetProjectsContentHint6$inboundSchema, GetProjectsContentHint6$outboundSchema, GetProjectsContentHint6$, GetProjectsContentHintProjectsResponse200ApplicationJSONType$inboundSchema, GetProjectsContentHintProjectsResponse200ApplicationJSONType$outboundSchema, GetProjectsContentHintProjectsResponse200ApplicationJSONType$, GetProjectsContentHint5$inboundSchema, GetProjectsContentHint5$outboundSchema, GetProjectsContentHint5$, GetProjectsContentHintProjectsResponse200Type$inboundSchema, GetProjectsContentHintProjectsResponse200Type$outboundSchema, GetProjectsContentHintProjectsResponse200Type$, GetProjectsContentHint4$inboundSchema, GetProjectsContentHint4$outboundSchema, GetProjectsContentHint4$, GetProjectsContentHintProjectsResponseType$inboundSchema, GetProjectsContentHintProjectsResponseType$outboundSchema, GetProjectsContentHintProjectsResponseType$, GetProjectsContentHint3$inboundSchema, GetProjectsContentHint3$outboundSchema, GetProjectsContentHint3$, GetProjectsContentHintProjectsType$inboundSchema, GetProjectsContentHintProjectsType$outboundSchema, GetProjectsContentHintProjectsType$, GetProjectsContentHint2$inboundSchema, GetProjectsContentHint2$outboundSchema, GetProjectsContentHint2$, GetProjectsContentHintType$inboundSchema, GetProjectsContentHintType$outboundSchema, GetProjectsContentHintType$, GetProjectsContentHint1$inboundSchema, GetProjectsContentHint1$outboundSchema, GetProjectsContentHint1$, GetProjectsContentHint$inboundSchema, GetProjectsContentHint$outboundSchema, GetProjectsContentHint$, GetProjectsProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema, GetProjectsProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema, GetProjectsProjectsResponse200ApplicationJSONResponseBodyType$, GetProjectsInternalContentHint$inboundSchema, GetProjectsInternalContentHint$outboundSchema, GetProjectsInternalContentHint$, GetProjectsEnv$inboundSchema, GetProjectsEnv$outboundSchema, GetProjectsEnv$, GetProjectsProjectsType$inboundSchema, GetProjectsProjectsType$outboundSchema, GetProjectsProjectsType$, GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsCustomEnvironmentsType$inboundSchema, GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsCustomEnvironmentsType$outboundSchema, GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsCustomEnvironmentsType$, GetProjectsBranchMatcher$inboundSchema, GetProjectsBranchMatcher$outboundSchema, GetProjectsBranchMatcher$, GetProjectsVerification$inboundSchema, GetProjectsVerification$outboundSchema, GetProjectsVerification$, GetProjectsDomains$inboundSchema, GetProjectsDomains$outboundSchema, GetProjectsDomains$, GetProjectsCustomEnvironments$inboundSchema, GetProjectsCustomEnvironments$outboundSchema, GetProjectsCustomEnvironments$, GetProjectsFramework$inboundSchema, GetProjectsFramework$outboundSchema, GetProjectsFramework$, GetProjectsIpBuckets$inboundSchema, GetProjectsIpBuckets$outboundSchema, GetProjectsIpBuckets$, GetProjectsAliasAssigned$inboundSchema, GetProjectsAliasAssigned$outboundSchema, GetProjectsAliasAssigned$, GetProjectsAliasError$inboundSchema, GetProjectsAliasError$outboundSchema, GetProjectsAliasError$, GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsLatestDeploymentsType$inboundSchema, GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsLatestDeploymentsType$outboundSchema, GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsLatestDeploymentsType$, GetProjectsProjectsBranchMatcher$inboundSchema, GetProjectsProjectsBranchMatcher$outboundSchema, GetProjectsProjectsBranchMatcher$, GetProjectsBuilds$inboundSchema, GetProjectsBuilds$outboundSchema, GetProjectsBuilds$, GetProjectsChecksConclusion$inboundSchema, GetProjectsChecksConclusion$outboundSchema, GetProjectsChecksConclusion$, GetProjectsChecksState$inboundSchema, GetProjectsChecksState$outboundSchema, GetProjectsChecksState$, GetProjectsCreator$inboundSchema, GetProjectsCreator$outboundSchema, GetProjectsCreator$, GetProjectsOidcTokenClaims$inboundSchema, GetProjectsOidcTokenClaims$outboundSchema, GetProjectsOidcTokenClaims$, GetProjectsPlan$inboundSchema, GetProjectsPlan$outboundSchema, GetProjectsPlan$, GetProjectsReadyState$inboundSchema, GetProjectsReadyState$outboundSchema, GetProjectsReadyState$, GetProjectsReadySubstate$inboundSchema, GetProjectsReadySubstate$outboundSchema, GetProjectsReadySubstate$, GetProjectsProjectsResponseType$inboundSchema, GetProjectsProjectsResponseType$outboundSchema, GetProjectsProjectsResponseType$, GetProjectsLatestDeployments$inboundSchema, GetProjectsLatestDeployments$outboundSchema, GetProjectsLatestDeployments$, GetProjectsLinkProjectsResponse200Type$inboundSchema, GetProjectsLinkProjectsResponse200Type$outboundSchema, GetProjectsLinkProjectsResponse200Type$, GetProjectsLinkProjectsResponse200DeployHooks$inboundSchema, GetProjectsLinkProjectsResponse200DeployHooks$outboundSchema, GetProjectsLinkProjectsResponse200DeployHooks$, GetProjectsLink4$inboundSchema, GetProjectsLink4$outboundSchema, GetProjectsLink4$, GetProjectsLinkProjectsResponseType$inboundSchema, GetProjectsLinkProjectsResponseType$outboundSchema, GetProjectsLinkProjectsResponseType$, GetProjectsLinkProjectsResponseDeployHooks$inboundSchema, GetProjectsLinkProjectsResponseDeployHooks$outboundSchema, GetProjectsLinkProjectsResponseDeployHooks$, GetProjectsLink3$inboundSchema, GetProjectsLink3$outboundSchema, GetProjectsLink3$, GetProjectsLinkProjectsType$inboundSchema, GetProjectsLinkProjectsType$outboundSchema, GetProjectsLinkProjectsType$, GetProjectsLinkProjectsDeployHooks$inboundSchema, GetProjectsLinkProjectsDeployHooks$outboundSchema, GetProjectsLinkProjectsDeployHooks$, GetProjectsLink2$inboundSchema, GetProjectsLink2$outboundSchema, GetProjectsLink2$, GetProjectsLinkType$inboundSchema, GetProjectsLinkType$outboundSchema, GetProjectsLinkType$, GetProjectsLinkDeployHooks$inboundSchema, GetProjectsLinkDeployHooks$outboundSchema, GetProjectsLinkDeployHooks$, GetProjectsLink1$inboundSchema, GetProjectsLink1$outboundSchema, GetProjectsLink1$, GetProjectsLink$inboundSchema, GetProjectsLink$outboundSchema, GetProjectsLink$, GetProjectsMicrofrontends2$inboundSchema, GetProjectsMicrofrontends2$outboundSchema, GetProjectsMicrofrontends2$, GetProjectsMicrofrontends1$inboundSchema, GetProjectsMicrofrontends1$outboundSchema, GetProjectsMicrofrontends1$, GetProjectsMicrofrontends$inboundSchema, GetProjectsMicrofrontends$outboundSchema, GetProjectsMicrofrontends$, GetProjectsNodeVersion$inboundSchema, GetProjectsNodeVersion$outboundSchema, GetProjectsNodeVersion$, GetProjectsPaths$inboundSchema, GetProjectsPaths$outboundSchema, GetProjectsPaths$, GetProjectsOptionsAllowlist$inboundSchema, GetProjectsOptionsAllowlist$outboundSchema, GetProjectsOptionsAllowlist$, GetProjectsPasswordProtection$inboundSchema, GetProjectsPasswordProtection$outboundSchema, GetProjectsPasswordProtection$, GetProjectsFunctionDefaultMemoryType$inboundSchema, GetProjectsFunctionDefaultMemoryType$outboundSchema, GetProjectsFunctionDefaultMemoryType$, GetProjectsBuildMachineType$inboundSchema, GetProjectsBuildMachineType$outboundSchema, GetProjectsBuildMachineType$, GetProjectsResourceConfig$inboundSchema, GetProjectsResourceConfig$outboundSchema, GetProjectsResourceConfig$, GetProjectsStages$inboundSchema, GetProjectsStages$outboundSchema, GetProjectsStages$, GetProjectsRollingRelease$inboundSchema, GetProjectsRollingRelease$outboundSchema, GetProjectsRollingRelease$, GetProjectsProjectsFunctionDefaultMemoryType$inboundSchema, GetProjectsProjectsFunctionDefaultMemoryType$outboundSchema, GetProjectsProjectsFunctionDefaultMemoryType$, GetProjectsProjectsBuildMachineType$inboundSchema, GetProjectsProjectsBuildMachineType$outboundSchema, GetProjectsProjectsBuildMachineType$, GetProjectsDefaultResourceConfig$inboundSchema, GetProjectsDefaultResourceConfig$outboundSchema, GetProjectsDefaultResourceConfig$, GetProjectsDeploymentType$inboundSchema, GetProjectsDeploymentType$outboundSchema, GetProjectsDeploymentType$, GetProjectsSsoProtection$inboundSchema, GetProjectsSsoProtection$outboundSchema, GetProjectsSsoProtection$, GetProjectsProjectsAliasAssigned$inboundSchema, GetProjectsProjectsAliasAssigned$outboundSchema, GetProjectsProjectsAliasAssigned$, GetProjectsProjectsAliasError$inboundSchema, GetProjectsProjectsAliasError$outboundSchema, GetProjectsProjectsAliasError$, GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsType$inboundSchema, GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsType$outboundSchema, GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsType$, GetProjectsProjectsResponseBranchMatcher$inboundSchema, GetProjectsProjectsResponseBranchMatcher$outboundSchema, GetProjectsProjectsResponseBranchMatcher$, GetProjectsProjectsBuilds$inboundSchema, GetProjectsProjectsBuilds$outboundSchema, GetProjectsProjectsBuilds$, GetProjectsProjectsChecksConclusion$inboundSchema, GetProjectsProjectsChecksConclusion$outboundSchema, GetProjectsProjectsChecksConclusion$, GetProjectsProjectsChecksState$inboundSchema, GetProjectsProjectsChecksState$outboundSchema, GetProjectsProjectsChecksState$, GetProjectsProjectsCreator$inboundSchema, GetProjectsProjectsCreator$outboundSchema, GetProjectsProjectsCreator$, GetProjectsProjectsOidcTokenClaims$inboundSchema, GetProjectsProjectsOidcTokenClaims$outboundSchema, GetProjectsProjectsOidcTokenClaims$, GetProjectsProjectsPlan$inboundSchema, GetProjectsProjectsPlan$outboundSchema, GetProjectsProjectsPlan$, GetProjectsProjectsReadyState$inboundSchema, GetProjectsProjectsReadyState$outboundSchema, GetProjectsProjectsReadyState$, GetProjectsProjectsReadySubstate$inboundSchema, GetProjectsProjectsReadySubstate$outboundSchema, GetProjectsProjectsReadySubstate$, GetProjectsProjectsResponse200Type$inboundSchema, GetProjectsProjectsResponse200Type$outboundSchema, GetProjectsProjectsResponse200Type$, GetProjectsTargets$inboundSchema, GetProjectsTargets$outboundSchema, GetProjectsTargets$, GetProjectsPermissions$inboundSchema, GetProjectsPermissions$outboundSchema, GetProjectsPermissions$, GetProjectsLastRollbackTarget$inboundSchema, GetProjectsLastRollbackTarget$outboundSchema, GetProjectsLastRollbackTarget$, GetProjectsJobStatus$inboundSchema, GetProjectsJobStatus$outboundSchema, GetProjectsJobStatus$, GetProjectsProjectsResponse200ApplicationJSONType$inboundSchema, GetProjectsProjectsResponse200ApplicationJSONType$outboundSchema, GetProjectsProjectsResponse200ApplicationJSONType$, GetProjectsLastAliasRequest$inboundSchema, GetProjectsLastAliasRequest$outboundSchema, GetProjectsLastAliasRequest$, GetProjectsProtectionBypassProjectsScope$inboundSchema, GetProjectsProtectionBypassProjectsScope$outboundSchema, GetProjectsProtectionBypassProjectsScope$, GetProjectsProtectionBypass2$inboundSchema, GetProjectsProtectionBypass2$outboundSchema, GetProjectsProtectionBypass2$, GetProjectsProtectionBypassScope$inboundSchema, GetProjectsProtectionBypassScope$outboundSchema, GetProjectsProtectionBypassScope$, GetProjectsProtectionBypass1$inboundSchema, GetProjectsProtectionBypass1$outboundSchema, GetProjectsProtectionBypass1$, GetProjectsProtectionBypass$inboundSchema, GetProjectsProtectionBypass$outboundSchema, GetProjectsProtectionBypass$, GetProjectsTrustedIpsProjectsDeploymentType$inboundSchema, GetProjectsTrustedIpsProjectsDeploymentType$outboundSchema, GetProjectsTrustedIpsProjectsDeploymentType$, GetProjectsTrustedIps2$inboundSchema, GetProjectsTrustedIps2$outboundSchema, GetProjectsTrustedIps2$, GetProjectsTrustedIpsDeploymentType$inboundSchema, GetProjectsTrustedIpsDeploymentType$outboundSchema, GetProjectsTrustedIpsDeploymentType$, GetProjectsTrustedIpsAddresses$inboundSchema, GetProjectsTrustedIpsAddresses$outboundSchema, GetProjectsTrustedIpsAddresses$, GetProjectsTrustedIpsProtectionMode$inboundSchema, GetProjectsTrustedIpsProtectionMode$outboundSchema, GetProjectsTrustedIpsProtectionMode$, GetProjectsTrustedIps1$inboundSchema, GetProjectsTrustedIps1$outboundSchema, GetProjectsTrustedIps1$, GetProjectsTrustedIps$inboundSchema, GetProjectsTrustedIps$outboundSchema, GetProjectsTrustedIps$, GetProjectsGitComments$inboundSchema, GetProjectsGitComments$outboundSchema, GetProjectsGitComments$, GetProjectsCreateDeployments$inboundSchema, GetProjectsCreateDeployments$outboundSchema, GetProjectsCreateDeployments$, GetProjectsGitProviderOptions$inboundSchema, GetProjectsGitProviderOptions$outboundSchema, GetProjectsGitProviderOptions$, GetProjectsWebAnalytics$inboundSchema, GetProjectsWebAnalytics$outboundSchema, GetProjectsWebAnalytics$, GetProjectsSrc2$inboundSchema, GetProjectsSrc2$outboundSchema, GetProjectsSrc2$, GetProjectsSrc$inboundSchema, GetProjectsSrc$outboundSchema, GetProjectsSrc$, GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityType$inboundSchema, GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityType$outboundSchema, GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityType$, GetProjectsValue2$inboundSchema, GetProjectsValue2$outboundSchema, GetProjectsValue2$, GetProjectsValue$inboundSchema, GetProjectsValue$outboundSchema, GetProjectsValue$, GetProjectsHas$inboundSchema, GetProjectsHas$outboundSchema, GetProjectsHas$, GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityFirewallRoutesType$inboundSchema, GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityFirewallRoutesType$outboundSchema, GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityFirewallRoutesType$, GetProjectsValueProjects2$inboundSchema, GetProjectsValueProjects2$outboundSchema, GetProjectsValueProjects2$, GetProjectsProjectsValue$inboundSchema, GetProjectsProjectsValue$outboundSchema, GetProjectsProjectsValue$, GetProjectsMissing$inboundSchema, GetProjectsMissing$outboundSchema, GetProjectsMissing$, GetProjectsHandle$inboundSchema, GetProjectsHandle$outboundSchema, GetProjectsHandle$, GetProjectsProjectsAction$inboundSchema, GetProjectsProjectsAction$outboundSchema, GetProjectsProjectsAction$, GetProjectsAlgo$inboundSchema, GetProjectsAlgo$outboundSchema, GetProjectsAlgo$, GetProjectsErl$inboundSchema, GetProjectsErl$outboundSchema, GetProjectsErl$, GetProjectsMitigate$inboundSchema, GetProjectsMitigate$outboundSchema, GetProjectsMitigate$, GetProjectsFirewallRoutes$inboundSchema, GetProjectsFirewallRoutes$outboundSchema, GetProjectsFirewallRoutes$, GetProjectsAction$inboundSchema, GetProjectsAction$outboundSchema, GetProjectsAction$, GetProjectsManagedRules$inboundSchema, GetProjectsManagedRules$outboundSchema, GetProjectsManagedRules$, GetProjectsSecurity$inboundSchema, GetProjectsSecurity$outboundSchema, GetProjectsSecurity$, GetProjectsIssuerMode$inboundSchema, GetProjectsIssuerMode$outboundSchema, GetProjectsIssuerMode$, GetProjectsOidcTokenConfig$inboundSchema, GetProjectsOidcTokenConfig$outboundSchema, GetProjectsOidcTokenConfig$, GetProjectsTier$inboundSchema, GetProjectsTier$outboundSchema, GetProjectsTier$, GetProjectsProjects$inboundSchema, GetProjectsProjects$outboundSchema, GetProjectsProjects$, GetProjectsResponseBody$inboundSchema, GetProjectsResponseBody$outboundSchema, GetProjectsResponseBody$;
var init_getprojectsop = __esm(() => {
  init_esm();
  init_primitives();
  init_aclaction();
  init_pagination();
  GitForkProtection = {
    One: "1",
    Zero: "0"
  };
  GetProjectsEnvId2 = {
    Production: "production",
    Preview: "preview"
  };
  GetProjectsTarget2 = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  GetProjectsTarget1 = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  GetProjectsType = {
    System: "system",
    Encrypted: "encrypted",
    Plain: "plain",
    Sensitive: "sensitive",
    Secret: "secret"
  };
  GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv15Type = {
    FlagsConnectionString: "flags-connection-string"
  };
  GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv14Type = {
    IntegrationStoreSecret: "integration-store-secret"
  };
  GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv13Type = {
    PostgresUrlNoSsl: "postgres-url-no-ssl"
  };
  GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv12Type = {
    PostgresDatabase: "postgres-database"
  };
  GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv11Type = {
    PostgresPassword: "postgres-password"
  };
  GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv10Type = {
    PostgresHost: "postgres-host"
  };
  GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv9Type = {
    PostgresUser: "postgres-user"
  };
  GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnvType = {
    PostgresPrismaUrl: "postgres-prisma-url"
  };
  GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsType = {
    PostgresUrlNonPooling: "postgres-url-non-pooling"
  };
  GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyType = {
    PostgresUrl: "postgres-url"
  };
  GetProjectsContentHintProjectsResponse200ApplicationJSONType = {
    BlobReadWriteToken: "blob-read-write-token"
  };
  GetProjectsContentHintProjectsResponse200Type = {
    RedisRestApiReadOnlyToken: "redis-rest-api-read-only-token"
  };
  GetProjectsContentHintProjectsResponseType = {
    RedisRestApiToken: "redis-rest-api-token"
  };
  GetProjectsContentHintProjectsType = {
    RedisRestApiUrl: "redis-rest-api-url"
  };
  GetProjectsContentHintType = {
    RedisUrl: "redis-url"
  };
  GetProjectsProjectsResponse200ApplicationJSONResponseBodyType = {
    FlagsSecret: "flags-secret"
  };
  GetProjectsProjectsType = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsCustomEnvironmentsType = {
    EndsWith: "endsWith",
    StartsWith: "startsWith",
    Equals: "equals"
  };
  GetProjectsFramework = {
    Blitzjs: "blitzjs",
    Nextjs: "nextjs",
    Gatsby: "gatsby",
    Remix: "remix",
    ReactRouter: "react-router",
    Astro: "astro",
    Hexo: "hexo",
    Eleventy: "eleventy",
    Docusaurus2: "docusaurus-2",
    Docusaurus: "docusaurus",
    Preact: "preact",
    Solidstart1: "solidstart-1",
    Solidstart: "solidstart",
    Dojo: "dojo",
    Ember: "ember",
    Vue: "vue",
    Scully: "scully",
    IonicAngular: "ionic-angular",
    Angular: "angular",
    Polymer: "polymer",
    Svelte: "svelte",
    Sveltekit: "sveltekit",
    Sveltekit1: "sveltekit-1",
    IonicReact: "ionic-react",
    CreateReactApp: "create-react-app",
    Gridsome: "gridsome",
    Umijs: "umijs",
    Sapper: "sapper",
    Saber: "saber",
    Stencil: "stencil",
    Nuxtjs: "nuxtjs",
    Redwoodjs: "redwoodjs",
    Hugo: "hugo",
    Jekyll: "jekyll",
    Brunch: "brunch",
    Middleman: "middleman",
    Zola: "zola",
    Hydrogen: "hydrogen",
    Vite: "vite",
    Vitepress: "vitepress",
    Vuepress: "vuepress",
    Parcel: "parcel",
    Fasthtml: "fasthtml",
    SanityV3: "sanity-v3",
    Sanity: "sanity",
    Storybook: "storybook"
  };
  GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsLatestDeploymentsType = {
    EndsWith: "endsWith",
    StartsWith: "startsWith",
    Equals: "equals"
  };
  GetProjectsChecksConclusion = {
    Succeeded: "succeeded",
    Failed: "failed",
    Skipped: "skipped",
    Canceled: "canceled"
  };
  GetProjectsChecksState = {
    Registered: "registered",
    Running: "running",
    Completed: "completed"
  };
  GetProjectsPlan = {
    Pro: "pro",
    Enterprise: "enterprise",
    Hobby: "hobby"
  };
  GetProjectsReadyState = {
    Building: "BUILDING",
    Error: "ERROR",
    Initializing: "INITIALIZING",
    Queued: "QUEUED",
    Ready: "READY",
    Canceled: "CANCELED"
  };
  GetProjectsReadySubstate = {
    Staged: "STAGED",
    Rolling: "ROLLING",
    Promoted: "PROMOTED"
  };
  GetProjectsProjectsResponseType = {
    Lambdas: "LAMBDAS"
  };
  GetProjectsLinkProjectsResponse200Type = {
    GithubCustomHost: "github-custom-host"
  };
  GetProjectsLinkProjectsResponseType = {
    Bitbucket: "bitbucket"
  };
  GetProjectsLinkProjectsType = {
    Gitlab: "gitlab"
  };
  GetProjectsLinkType = {
    Github: "github"
  };
  GetProjectsNodeVersion = {
    TwentyTwoDotX: "22.x",
    TwentyDotX: "20.x",
    EighteenDotX: "18.x",
    SixteenDotX: "16.x",
    FourteenDotX: "14.x",
    TwelveDotX: "12.x",
    TenDotX: "10.x",
    EightDot10DotX: "8.10.x"
  };
  GetProjectsFunctionDefaultMemoryType = {
    StandardLegacy: "standard_legacy",
    Standard: "standard",
    Performance: "performance"
  };
  GetProjectsBuildMachineType = {
    Enhanced: "enhanced",
    Ultra: "ultra"
  };
  GetProjectsProjectsFunctionDefaultMemoryType = {
    StandardLegacy: "standard_legacy",
    Standard: "standard",
    Performance: "performance"
  };
  GetProjectsProjectsBuildMachineType = {
    Enhanced: "enhanced",
    Ultra: "ultra"
  };
  GetProjectsDeploymentType = {
    Preview: "preview",
    All: "all",
    ProdDeploymentUrlsAndAllPreviews: "prod_deployment_urls_and_all_previews"
  };
  GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsType = {
    EndsWith: "endsWith",
    StartsWith: "startsWith",
    Equals: "equals"
  };
  GetProjectsProjectsChecksConclusion = {
    Succeeded: "succeeded",
    Failed: "failed",
    Skipped: "skipped",
    Canceled: "canceled"
  };
  GetProjectsProjectsChecksState = {
    Registered: "registered",
    Running: "running",
    Completed: "completed"
  };
  GetProjectsProjectsPlan = {
    Pro: "pro",
    Enterprise: "enterprise",
    Hobby: "hobby"
  };
  GetProjectsProjectsReadyState = {
    Building: "BUILDING",
    Error: "ERROR",
    Initializing: "INITIALIZING",
    Queued: "QUEUED",
    Ready: "READY",
    Canceled: "CANCELED"
  };
  GetProjectsProjectsReadySubstate = {
    Staged: "STAGED",
    Rolling: "ROLLING",
    Promoted: "PROMOTED"
  };
  GetProjectsProjectsResponse200Type = {
    Lambdas: "LAMBDAS"
  };
  GetProjectsJobStatus = {
    Succeeded: "succeeded",
    Failed: "failed",
    Skipped: "skipped",
    Pending: "pending",
    InProgress: "in-progress"
  };
  GetProjectsProjectsResponse200ApplicationJSONType = {
    Promote: "promote",
    Rollback: "rollback"
  };
  GetProjectsProtectionBypassProjectsScope = {
    AutomationBypass: "automation-bypass"
  };
  GetProjectsProtectionBypassScope = {
    IntegrationAutomationBypass: "integration-automation-bypass"
  };
  GetProjectsTrustedIpsProjectsDeploymentType = {
    Production: "production",
    Preview: "preview",
    All: "all",
    ProdDeploymentUrlsAndAllPreviews: "prod_deployment_urls_and_all_previews"
  };
  GetProjectsTrustedIpsDeploymentType = {
    Production: "production",
    Preview: "preview",
    All: "all",
    ProdDeploymentUrlsAndAllPreviews: "prod_deployment_urls_and_all_previews"
  };
  GetProjectsTrustedIpsProtectionMode = {
    Additional: "additional",
    Exclusive: "exclusive"
  };
  GetProjectsCreateDeployments = {
    Enabled: "enabled",
    Disabled: "disabled"
  };
  GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityType = {
    Path: "path",
    Host: "host",
    Method: "method",
    Header: "header",
    Cookie: "cookie",
    Query: "query",
    IpAddress: "ip_address",
    Protocol: "protocol",
    Scheme: "scheme",
    Environment: "environment",
    Region: "region",
    InitialRequestPath: "initial_request_path"
  };
  GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityFirewallRoutesType = {
    Path: "path",
    Host: "host",
    Method: "method",
    Header: "header",
    Cookie: "cookie",
    Query: "query",
    IpAddress: "ip_address",
    Protocol: "protocol",
    Scheme: "scheme",
    Environment: "environment",
    Region: "region",
    InitialRequestPath: "initial_request_path"
  };
  GetProjectsHandle = {
    Init: "init",
    Finalize: "finalize"
  };
  GetProjectsProjectsAction = {
    Deny: "deny",
    Challenge: "challenge",
    Log: "log",
    Bypass: "bypass",
    RateLimit: "rate_limit",
    Redirect: "redirect"
  };
  GetProjectsAlgo = {
    FixedWindow: "fixed_window",
    TokenBucket: "token_bucket"
  };
  GetProjectsAction = {
    Deny: "deny",
    Challenge: "challenge",
    Log: "log"
  };
  GetProjectsIssuerMode = {
    Team: "team",
    Global: "global"
  };
  GetProjectsTier = {
    Standard: "standard",
    Advanced: "advanced",
    Critical: "critical"
  };
  GitForkProtection$inboundSchema = nativeEnumType(GitForkProtection);
  GitForkProtection$outboundSchema = GitForkProtection$inboundSchema;
  ((GitForkProtection$) => {
    GitForkProtection$.inboundSchema = GitForkProtection$inboundSchema;
    GitForkProtection$.outboundSchema = GitForkProtection$outboundSchema;
  })(GitForkProtection$ ||= {});
  GetProjectsRequest$inboundSchema = objectType({
    from: stringType().optional(),
    gitForkProtection: GitForkProtection$inboundSchema.optional(),
    limit: stringType().optional(),
    search: stringType().optional(),
    repo: stringType().optional(),
    repoId: stringType().optional(),
    repoUrl: stringType().optional(),
    excludeRepos: stringType().optional(),
    edgeConfigId: stringType().optional(),
    edgeConfigTokenId: stringType().optional(),
    deprecated: booleanType().optional(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  GetProjectsRequest$outboundSchema = objectType({
    from: stringType().optional(),
    gitForkProtection: GitForkProtection$outboundSchema.optional(),
    limit: stringType().optional(),
    search: stringType().optional(),
    repo: stringType().optional(),
    repoId: stringType().optional(),
    repoUrl: stringType().optional(),
    excludeRepos: stringType().optional(),
    edgeConfigId: stringType().optional(),
    edgeConfigTokenId: stringType().optional(),
    deprecated: booleanType().optional(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((GetProjectsRequest$) => {
    GetProjectsRequest$.inboundSchema = GetProjectsRequest$inboundSchema;
    GetProjectsRequest$.outboundSchema = GetProjectsRequest$outboundSchema;
  })(GetProjectsRequest$ ||= {});
  GetProjectsAnalytics$inboundSchema = objectType({
    id: stringType(),
    canceledAt: nullableType(numberType()).optional(),
    disabledAt: numberType(),
    enabledAt: numberType(),
    paidAt: numberType().optional(),
    sampleRatePercent: nullableType(numberType()).optional(),
    spendLimitInDollars: nullableType(numberType()).optional()
  });
  GetProjectsAnalytics$outboundSchema = objectType({
    id: stringType(),
    canceledAt: nullableType(numberType()).optional(),
    disabledAt: numberType(),
    enabledAt: numberType(),
    paidAt: numberType().optional(),
    sampleRatePercent: nullableType(numberType()).optional(),
    spendLimitInDollars: nullableType(numberType()).optional()
  });
  ((GetProjectsAnalytics$) => {
    GetProjectsAnalytics$.inboundSchema = GetProjectsAnalytics$inboundSchema;
    GetProjectsAnalytics$.outboundSchema = GetProjectsAnalytics$outboundSchema;
  })(GetProjectsAnalytics$ ||= {});
  GetProjectsSpeedInsights$inboundSchema = objectType({
    id: stringType(),
    enabledAt: numberType().optional(),
    disabledAt: numberType().optional(),
    canceledAt: numberType().optional(),
    hasData: booleanType().optional(),
    paidAt: numberType().optional()
  });
  GetProjectsSpeedInsights$outboundSchema = objectType({
    id: stringType(),
    enabledAt: numberType().optional(),
    disabledAt: numberType().optional(),
    canceledAt: numberType().optional(),
    hasData: booleanType().optional(),
    paidAt: numberType().optional()
  });
  ((GetProjectsSpeedInsights$) => {
    GetProjectsSpeedInsights$.inboundSchema = GetProjectsSpeedInsights$inboundSchema;
    GetProjectsSpeedInsights$.outboundSchema = GetProjectsSpeedInsights$outboundSchema;
  })(GetProjectsSpeedInsights$ ||= {});
  GetProjectsEnvId2$inboundSchema = nativeEnumType(GetProjectsEnvId2);
  GetProjectsEnvId2$outboundSchema = GetProjectsEnvId2$inboundSchema;
  ((GetProjectsEnvId2$) => {
    GetProjectsEnvId2$.inboundSchema = GetProjectsEnvId2$inboundSchema;
    GetProjectsEnvId2$.outboundSchema = GetProjectsEnvId2$outboundSchema;
  })(GetProjectsEnvId2$ ||= {});
  GetProjectsEnvId$inboundSchema = unionType([stringType(), GetProjectsEnvId2$inboundSchema]);
  GetProjectsEnvId$outboundSchema = unionType([stringType(), GetProjectsEnvId2$outboundSchema]);
  ((GetProjectsEnvId$) => {
    GetProjectsEnvId$.inboundSchema = GetProjectsEnvId$inboundSchema;
    GetProjectsEnvId$.outboundSchema = GetProjectsEnvId$outboundSchema;
  })(GetProjectsEnvId$ ||= {});
  GetProjectsAws$inboundSchema = objectType({
    subnetIds: arrayType(stringType()),
    securityGroupId: stringType()
  });
  GetProjectsAws$outboundSchema = objectType({
    subnetIds: arrayType(stringType()),
    securityGroupId: stringType()
  });
  ((GetProjectsAws$) => {
    GetProjectsAws$.inboundSchema = GetProjectsAws$inboundSchema;
    GetProjectsAws$.outboundSchema = GetProjectsAws$outboundSchema;
  })(GetProjectsAws$ ||= {});
  GetProjectsConnectConfigurations$inboundSchema = objectType({
    envId: unionType([stringType(), GetProjectsEnvId2$inboundSchema]),
    connectConfigurationId: stringType(),
    passive: booleanType(),
    buildsEnabled: booleanType(),
    aws: lazyType(() => GetProjectsAws$inboundSchema).optional(),
    createdAt: numberType(),
    updatedAt: numberType()
  });
  GetProjectsConnectConfigurations$outboundSchema = objectType({
    envId: unionType([stringType(), GetProjectsEnvId2$outboundSchema]),
    connectConfigurationId: stringType(),
    passive: booleanType(),
    buildsEnabled: booleanType(),
    aws: lazyType(() => GetProjectsAws$outboundSchema).optional(),
    createdAt: numberType(),
    updatedAt: numberType()
  });
  ((GetProjectsConnectConfigurations$) => {
    GetProjectsConnectConfigurations$.inboundSchema = GetProjectsConnectConfigurations$inboundSchema;
    GetProjectsConnectConfigurations$.outboundSchema = GetProjectsConnectConfigurations$outboundSchema;
  })(GetProjectsConnectConfigurations$ ||= {});
  GetProjectsDefinitions$inboundSchema = objectType({
    host: stringType(),
    path: stringType(),
    schedule: stringType()
  });
  GetProjectsDefinitions$outboundSchema = objectType({
    host: stringType(),
    path: stringType(),
    schedule: stringType()
  });
  ((GetProjectsDefinitions$) => {
    GetProjectsDefinitions$.inboundSchema = GetProjectsDefinitions$inboundSchema;
    GetProjectsDefinitions$.outboundSchema = GetProjectsDefinitions$outboundSchema;
  })(GetProjectsDefinitions$ ||= {});
  GetProjectsCrons$inboundSchema = objectType({
    enabledAt: numberType(),
    disabledAt: nullableType(numberType()),
    updatedAt: numberType(),
    deploymentId: nullableType(stringType()),
    definitions: arrayType(lazyType(() => GetProjectsDefinitions$inboundSchema))
  });
  GetProjectsCrons$outboundSchema = objectType({
    enabledAt: numberType(),
    disabledAt: nullableType(numberType()),
    updatedAt: numberType(),
    deploymentId: nullableType(stringType()),
    definitions: arrayType(lazyType(() => GetProjectsDefinitions$outboundSchema))
  });
  ((GetProjectsCrons$) => {
    GetProjectsCrons$.inboundSchema = GetProjectsCrons$inboundSchema;
    GetProjectsCrons$.outboundSchema = GetProjectsCrons$outboundSchema;
  })(GetProjectsCrons$ ||= {});
  GetProjectsDataCache$inboundSchema = objectType({
    userDisabled: booleanType(),
    storageSizeBytes: nullableType(numberType()).optional(),
    unlimited: booleanType().optional()
  });
  GetProjectsDataCache$outboundSchema = objectType({
    userDisabled: booleanType(),
    storageSizeBytes: nullableType(numberType()).optional(),
    unlimited: booleanType().optional()
  });
  ((GetProjectsDataCache$) => {
    GetProjectsDataCache$.inboundSchema = GetProjectsDataCache$inboundSchema;
    GetProjectsDataCache$.outboundSchema = GetProjectsDataCache$outboundSchema;
  })(GetProjectsDataCache$ ||= {});
  GetProjectsDeploymentExpiration$inboundSchema = objectType({
    expirationDays: numberType().optional(),
    expirationDaysProduction: numberType().optional(),
    expirationDaysCanceled: numberType().optional(),
    expirationDaysErrored: numberType().optional(),
    deploymentsToKeep: numberType().optional()
  });
  GetProjectsDeploymentExpiration$outboundSchema = objectType({
    expirationDays: numberType().optional(),
    expirationDaysProduction: numberType().optional(),
    expirationDaysCanceled: numberType().optional(),
    expirationDaysErrored: numberType().optional(),
    deploymentsToKeep: numberType().optional()
  });
  ((GetProjectsDeploymentExpiration$) => {
    GetProjectsDeploymentExpiration$.inboundSchema = GetProjectsDeploymentExpiration$inboundSchema;
    GetProjectsDeploymentExpiration$.outboundSchema = GetProjectsDeploymentExpiration$outboundSchema;
  })(GetProjectsDeploymentExpiration$ ||= {});
  GetProjectsTarget2$inboundSchema = nativeEnumType(GetProjectsTarget2);
  GetProjectsTarget2$outboundSchema = GetProjectsTarget2$inboundSchema;
  ((GetProjectsTarget2$) => {
    GetProjectsTarget2$.inboundSchema = GetProjectsTarget2$inboundSchema;
    GetProjectsTarget2$.outboundSchema = GetProjectsTarget2$outboundSchema;
  })(GetProjectsTarget2$ ||= {});
  GetProjectsTarget1$inboundSchema = nativeEnumType(GetProjectsTarget1);
  GetProjectsTarget1$outboundSchema = GetProjectsTarget1$inboundSchema;
  ((GetProjectsTarget1$) => {
    GetProjectsTarget1$.inboundSchema = GetProjectsTarget1$inboundSchema;
    GetProjectsTarget1$.outboundSchema = GetProjectsTarget1$outboundSchema;
  })(GetProjectsTarget1$ ||= {});
  GetProjectsTarget$inboundSchema = unionType([
    arrayType(GetProjectsTarget1$inboundSchema),
    GetProjectsTarget2$inboundSchema
  ]);
  GetProjectsTarget$outboundSchema = unionType([
    arrayType(GetProjectsTarget1$outboundSchema),
    GetProjectsTarget2$outboundSchema
  ]);
  ((GetProjectsTarget$) => {
    GetProjectsTarget$.inboundSchema = GetProjectsTarget$inboundSchema;
    GetProjectsTarget$.outboundSchema = GetProjectsTarget$outboundSchema;
  })(GetProjectsTarget$ ||= {});
  GetProjectsType$inboundSchema = nativeEnumType(GetProjectsType);
  GetProjectsType$outboundSchema = GetProjectsType$inboundSchema;
  ((GetProjectsType$) => {
    GetProjectsType$.inboundSchema = GetProjectsType$inboundSchema;
    GetProjectsType$.outboundSchema = GetProjectsType$outboundSchema;
  })(GetProjectsType$ ||= {});
  GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv15Type$inboundSchema = nativeEnumType(GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv15Type);
  GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv15Type$outboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv15Type$inboundSchema;
  ((GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv15Type$) => {
    GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv15Type$.inboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv15Type$inboundSchema;
    GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv15Type$.outboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv15Type$outboundSchema;
  })(GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv15Type$ ||= {});
  GetProjectsContentHint15$inboundSchema = objectType({
    type: GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv15Type$inboundSchema,
    projectId: stringType()
  });
  GetProjectsContentHint15$outboundSchema = objectType({
    type: GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv15Type$outboundSchema,
    projectId: stringType()
  });
  ((GetProjectsContentHint15$) => {
    GetProjectsContentHint15$.inboundSchema = GetProjectsContentHint15$inboundSchema;
    GetProjectsContentHint15$.outboundSchema = GetProjectsContentHint15$outboundSchema;
  })(GetProjectsContentHint15$ ||= {});
  GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv14Type$inboundSchema = nativeEnumType(GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv14Type);
  GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv14Type$outboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv14Type$inboundSchema;
  ((GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv14Type$) => {
    GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv14Type$.inboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv14Type$inboundSchema;
    GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv14Type$.outboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv14Type$outboundSchema;
  })(GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv14Type$ ||= {});
  GetProjectsContentHint14$inboundSchema = objectType({
    type: GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv14Type$inboundSchema,
    storeId: stringType(),
    integrationId: stringType(),
    integrationProductId: stringType(),
    integrationConfigurationId: stringType()
  });
  GetProjectsContentHint14$outboundSchema = objectType({
    type: GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv14Type$outboundSchema,
    storeId: stringType(),
    integrationId: stringType(),
    integrationProductId: stringType(),
    integrationConfigurationId: stringType()
  });
  ((GetProjectsContentHint14$) => {
    GetProjectsContentHint14$.inboundSchema = GetProjectsContentHint14$inboundSchema;
    GetProjectsContentHint14$.outboundSchema = GetProjectsContentHint14$outboundSchema;
  })(GetProjectsContentHint14$ ||= {});
  GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv13Type$inboundSchema = nativeEnumType(GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv13Type);
  GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv13Type$outboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv13Type$inboundSchema;
  ((GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv13Type$) => {
    GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv13Type$.inboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv13Type$inboundSchema;
    GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv13Type$.outboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv13Type$outboundSchema;
  })(GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv13Type$ ||= {});
  GetProjectsContentHint13$inboundSchema = objectType({
    type: GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv13Type$inboundSchema,
    storeId: stringType()
  });
  GetProjectsContentHint13$outboundSchema = objectType({
    type: GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv13Type$outboundSchema,
    storeId: stringType()
  });
  ((GetProjectsContentHint13$) => {
    GetProjectsContentHint13$.inboundSchema = GetProjectsContentHint13$inboundSchema;
    GetProjectsContentHint13$.outboundSchema = GetProjectsContentHint13$outboundSchema;
  })(GetProjectsContentHint13$ ||= {});
  GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv12Type$inboundSchema = nativeEnumType(GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv12Type);
  GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv12Type$outboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv12Type$inboundSchema;
  ((GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv12Type$) => {
    GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv12Type$.inboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv12Type$inboundSchema;
    GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv12Type$.outboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv12Type$outboundSchema;
  })(GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv12Type$ ||= {});
  GetProjectsContentHint12$inboundSchema = objectType({
    type: GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv12Type$inboundSchema,
    storeId: stringType()
  });
  GetProjectsContentHint12$outboundSchema = objectType({
    type: GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv12Type$outboundSchema,
    storeId: stringType()
  });
  ((GetProjectsContentHint12$) => {
    GetProjectsContentHint12$.inboundSchema = GetProjectsContentHint12$inboundSchema;
    GetProjectsContentHint12$.outboundSchema = GetProjectsContentHint12$outboundSchema;
  })(GetProjectsContentHint12$ ||= {});
  GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv11Type$inboundSchema = nativeEnumType(GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv11Type);
  GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv11Type$outboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv11Type$inboundSchema;
  ((GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv11Type$) => {
    GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv11Type$.inboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv11Type$inboundSchema;
    GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv11Type$.outboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv11Type$outboundSchema;
  })(GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv11Type$ ||= {});
  GetProjectsContentHint11$inboundSchema = objectType({
    type: GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv11Type$inboundSchema,
    storeId: stringType()
  });
  GetProjectsContentHint11$outboundSchema = objectType({
    type: GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv11Type$outboundSchema,
    storeId: stringType()
  });
  ((GetProjectsContentHint11$) => {
    GetProjectsContentHint11$.inboundSchema = GetProjectsContentHint11$inboundSchema;
    GetProjectsContentHint11$.outboundSchema = GetProjectsContentHint11$outboundSchema;
  })(GetProjectsContentHint11$ ||= {});
  GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv10Type$inboundSchema = nativeEnumType(GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv10Type);
  GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv10Type$outboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv10Type$inboundSchema;
  ((GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv10Type$) => {
    GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv10Type$.inboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv10Type$inboundSchema;
    GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv10Type$.outboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv10Type$outboundSchema;
  })(GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv10Type$ ||= {});
  GetProjectsContentHint10$inboundSchema = objectType({
    type: GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv10Type$inboundSchema,
    storeId: stringType()
  });
  GetProjectsContentHint10$outboundSchema = objectType({
    type: GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv10Type$outboundSchema,
    storeId: stringType()
  });
  ((GetProjectsContentHint10$) => {
    GetProjectsContentHint10$.inboundSchema = GetProjectsContentHint10$inboundSchema;
    GetProjectsContentHint10$.outboundSchema = GetProjectsContentHint10$outboundSchema;
  })(GetProjectsContentHint10$ ||= {});
  GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv9Type$inboundSchema = nativeEnumType(GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv9Type);
  GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv9Type$outboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv9Type$inboundSchema;
  ((GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv9Type$) => {
    GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv9Type$.inboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv9Type$inboundSchema;
    GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv9Type$.outboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv9Type$outboundSchema;
  })(GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv9Type$ ||= {});
  GetProjectsContentHint9$inboundSchema = objectType({
    type: GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv9Type$inboundSchema,
    storeId: stringType()
  });
  GetProjectsContentHint9$outboundSchema = objectType({
    type: GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv9Type$outboundSchema,
    storeId: stringType()
  });
  ((GetProjectsContentHint9$) => {
    GetProjectsContentHint9$.inboundSchema = GetProjectsContentHint9$inboundSchema;
    GetProjectsContentHint9$.outboundSchema = GetProjectsContentHint9$outboundSchema;
  })(GetProjectsContentHint9$ ||= {});
  GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnvType$inboundSchema = nativeEnumType(GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnvType);
  GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnvType$outboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnvType$inboundSchema;
  ((GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnvType$) => {
    GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnvType$.inboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnvType$inboundSchema;
    GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnvType$.outboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnvType$outboundSchema;
  })(GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnvType$ ||= {});
  GetProjectsContentHint8$inboundSchema = objectType({
    type: GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnvType$inboundSchema,
    storeId: stringType()
  });
  GetProjectsContentHint8$outboundSchema = objectType({
    type: GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnvType$outboundSchema,
    storeId: stringType()
  });
  ((GetProjectsContentHint8$) => {
    GetProjectsContentHint8$.inboundSchema = GetProjectsContentHint8$inboundSchema;
    GetProjectsContentHint8$.outboundSchema = GetProjectsContentHint8$outboundSchema;
  })(GetProjectsContentHint8$ ||= {});
  GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsType$inboundSchema = nativeEnumType(GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsType);
  GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsType$outboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsType$inboundSchema;
  ((GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsType$) => {
    GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsType$.inboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsType$inboundSchema;
    GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsType$.outboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsType$outboundSchema;
  })(GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsType$ ||= {});
  GetProjectsContentHint7$inboundSchema = objectType({
    type: GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsType$inboundSchema,
    storeId: stringType()
  });
  GetProjectsContentHint7$outboundSchema = objectType({
    type: GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsType$outboundSchema,
    storeId: stringType()
  });
  ((GetProjectsContentHint7$) => {
    GetProjectsContentHint7$.inboundSchema = GetProjectsContentHint7$inboundSchema;
    GetProjectsContentHint7$.outboundSchema = GetProjectsContentHint7$outboundSchema;
  })(GetProjectsContentHint7$ ||= {});
  GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema = nativeEnumType(GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyType);
  GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema;
  ((GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyType$) => {
    GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyType$.inboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema;
    GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyType$.outboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema;
  })(GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyType$ ||= {});
  GetProjectsContentHint6$inboundSchema = objectType({
    type: GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema,
    storeId: stringType()
  });
  GetProjectsContentHint6$outboundSchema = objectType({
    type: GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema,
    storeId: stringType()
  });
  ((GetProjectsContentHint6$) => {
    GetProjectsContentHint6$.inboundSchema = GetProjectsContentHint6$inboundSchema;
    GetProjectsContentHint6$.outboundSchema = GetProjectsContentHint6$outboundSchema;
  })(GetProjectsContentHint6$ ||= {});
  GetProjectsContentHintProjectsResponse200ApplicationJSONType$inboundSchema = nativeEnumType(GetProjectsContentHintProjectsResponse200ApplicationJSONType);
  GetProjectsContentHintProjectsResponse200ApplicationJSONType$outboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONType$inboundSchema;
  ((GetProjectsContentHintProjectsResponse200ApplicationJSONType$) => {
    GetProjectsContentHintProjectsResponse200ApplicationJSONType$.inboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONType$inboundSchema;
    GetProjectsContentHintProjectsResponse200ApplicationJSONType$.outboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONType$outboundSchema;
  })(GetProjectsContentHintProjectsResponse200ApplicationJSONType$ ||= {});
  GetProjectsContentHint5$inboundSchema = objectType({
    type: GetProjectsContentHintProjectsResponse200ApplicationJSONType$inboundSchema,
    storeId: stringType()
  });
  GetProjectsContentHint5$outboundSchema = objectType({
    type: GetProjectsContentHintProjectsResponse200ApplicationJSONType$outboundSchema,
    storeId: stringType()
  });
  ((GetProjectsContentHint5$) => {
    GetProjectsContentHint5$.inboundSchema = GetProjectsContentHint5$inboundSchema;
    GetProjectsContentHint5$.outboundSchema = GetProjectsContentHint5$outboundSchema;
  })(GetProjectsContentHint5$ ||= {});
  GetProjectsContentHintProjectsResponse200Type$inboundSchema = nativeEnumType(GetProjectsContentHintProjectsResponse200Type);
  GetProjectsContentHintProjectsResponse200Type$outboundSchema = GetProjectsContentHintProjectsResponse200Type$inboundSchema;
  ((GetProjectsContentHintProjectsResponse200Type$) => {
    GetProjectsContentHintProjectsResponse200Type$.inboundSchema = GetProjectsContentHintProjectsResponse200Type$inboundSchema;
    GetProjectsContentHintProjectsResponse200Type$.outboundSchema = GetProjectsContentHintProjectsResponse200Type$outboundSchema;
  })(GetProjectsContentHintProjectsResponse200Type$ ||= {});
  GetProjectsContentHint4$inboundSchema = objectType({
    type: GetProjectsContentHintProjectsResponse200Type$inboundSchema,
    storeId: stringType()
  });
  GetProjectsContentHint4$outboundSchema = objectType({
    type: GetProjectsContentHintProjectsResponse200Type$outboundSchema,
    storeId: stringType()
  });
  ((GetProjectsContentHint4$) => {
    GetProjectsContentHint4$.inboundSchema = GetProjectsContentHint4$inboundSchema;
    GetProjectsContentHint4$.outboundSchema = GetProjectsContentHint4$outboundSchema;
  })(GetProjectsContentHint4$ ||= {});
  GetProjectsContentHintProjectsResponseType$inboundSchema = nativeEnumType(GetProjectsContentHintProjectsResponseType);
  GetProjectsContentHintProjectsResponseType$outboundSchema = GetProjectsContentHintProjectsResponseType$inboundSchema;
  ((GetProjectsContentHintProjectsResponseType$) => {
    GetProjectsContentHintProjectsResponseType$.inboundSchema = GetProjectsContentHintProjectsResponseType$inboundSchema;
    GetProjectsContentHintProjectsResponseType$.outboundSchema = GetProjectsContentHintProjectsResponseType$outboundSchema;
  })(GetProjectsContentHintProjectsResponseType$ ||= {});
  GetProjectsContentHint3$inboundSchema = objectType({
    type: GetProjectsContentHintProjectsResponseType$inboundSchema,
    storeId: stringType()
  });
  GetProjectsContentHint3$outboundSchema = objectType({
    type: GetProjectsContentHintProjectsResponseType$outboundSchema,
    storeId: stringType()
  });
  ((GetProjectsContentHint3$) => {
    GetProjectsContentHint3$.inboundSchema = GetProjectsContentHint3$inboundSchema;
    GetProjectsContentHint3$.outboundSchema = GetProjectsContentHint3$outboundSchema;
  })(GetProjectsContentHint3$ ||= {});
  GetProjectsContentHintProjectsType$inboundSchema = nativeEnumType(GetProjectsContentHintProjectsType);
  GetProjectsContentHintProjectsType$outboundSchema = GetProjectsContentHintProjectsType$inboundSchema;
  ((GetProjectsContentHintProjectsType$) => {
    GetProjectsContentHintProjectsType$.inboundSchema = GetProjectsContentHintProjectsType$inboundSchema;
    GetProjectsContentHintProjectsType$.outboundSchema = GetProjectsContentHintProjectsType$outboundSchema;
  })(GetProjectsContentHintProjectsType$ ||= {});
  GetProjectsContentHint2$inboundSchema = objectType({
    type: GetProjectsContentHintProjectsType$inboundSchema,
    storeId: stringType()
  });
  GetProjectsContentHint2$outboundSchema = objectType({
    type: GetProjectsContentHintProjectsType$outboundSchema,
    storeId: stringType()
  });
  ((GetProjectsContentHint2$) => {
    GetProjectsContentHint2$.inboundSchema = GetProjectsContentHint2$inboundSchema;
    GetProjectsContentHint2$.outboundSchema = GetProjectsContentHint2$outboundSchema;
  })(GetProjectsContentHint2$ ||= {});
  GetProjectsContentHintType$inboundSchema = nativeEnumType(GetProjectsContentHintType);
  GetProjectsContentHintType$outboundSchema = GetProjectsContentHintType$inboundSchema;
  ((GetProjectsContentHintType$) => {
    GetProjectsContentHintType$.inboundSchema = GetProjectsContentHintType$inboundSchema;
    GetProjectsContentHintType$.outboundSchema = GetProjectsContentHintType$outboundSchema;
  })(GetProjectsContentHintType$ ||= {});
  GetProjectsContentHint1$inboundSchema = objectType({
    type: GetProjectsContentHintType$inboundSchema,
    storeId: stringType()
  });
  GetProjectsContentHint1$outboundSchema = objectType({
    type: GetProjectsContentHintType$outboundSchema,
    storeId: stringType()
  });
  ((GetProjectsContentHint1$) => {
    GetProjectsContentHint1$.inboundSchema = GetProjectsContentHint1$inboundSchema;
    GetProjectsContentHint1$.outboundSchema = GetProjectsContentHint1$outboundSchema;
  })(GetProjectsContentHint1$ ||= {});
  GetProjectsContentHint$inboundSchema = unionType([
    lazyType(() => GetProjectsContentHint1$inboundSchema),
    lazyType(() => GetProjectsContentHint2$inboundSchema),
    lazyType(() => GetProjectsContentHint3$inboundSchema),
    lazyType(() => GetProjectsContentHint4$inboundSchema),
    lazyType(() => GetProjectsContentHint5$inboundSchema),
    lazyType(() => GetProjectsContentHint6$inboundSchema),
    lazyType(() => GetProjectsContentHint7$inboundSchema),
    lazyType(() => GetProjectsContentHint8$inboundSchema),
    lazyType(() => GetProjectsContentHint9$inboundSchema),
    lazyType(() => GetProjectsContentHint10$inboundSchema),
    lazyType(() => GetProjectsContentHint11$inboundSchema),
    lazyType(() => GetProjectsContentHint12$inboundSchema),
    lazyType(() => GetProjectsContentHint13$inboundSchema),
    lazyType(() => GetProjectsContentHint15$inboundSchema),
    lazyType(() => GetProjectsContentHint14$inboundSchema)
  ]);
  GetProjectsContentHint$outboundSchema = unionType([
    lazyType(() => GetProjectsContentHint1$outboundSchema),
    lazyType(() => GetProjectsContentHint2$outboundSchema),
    lazyType(() => GetProjectsContentHint3$outboundSchema),
    lazyType(() => GetProjectsContentHint4$outboundSchema),
    lazyType(() => GetProjectsContentHint5$outboundSchema),
    lazyType(() => GetProjectsContentHint6$outboundSchema),
    lazyType(() => GetProjectsContentHint7$outboundSchema),
    lazyType(() => GetProjectsContentHint8$outboundSchema),
    lazyType(() => GetProjectsContentHint9$outboundSchema),
    lazyType(() => GetProjectsContentHint10$outboundSchema),
    lazyType(() => GetProjectsContentHint11$outboundSchema),
    lazyType(() => GetProjectsContentHint12$outboundSchema),
    lazyType(() => GetProjectsContentHint13$outboundSchema),
    lazyType(() => GetProjectsContentHint15$outboundSchema),
    lazyType(() => GetProjectsContentHint14$outboundSchema)
  ]);
  ((GetProjectsContentHint$) => {
    GetProjectsContentHint$.inboundSchema = GetProjectsContentHint$inboundSchema;
    GetProjectsContentHint$.outboundSchema = GetProjectsContentHint$outboundSchema;
  })(GetProjectsContentHint$ ||= {});
  GetProjectsProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema = nativeEnumType(GetProjectsProjectsResponse200ApplicationJSONResponseBodyType);
  GetProjectsProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema = GetProjectsProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema;
  ((GetProjectsProjectsResponse200ApplicationJSONResponseBodyType$) => {
    GetProjectsProjectsResponse200ApplicationJSONResponseBodyType$.inboundSchema = GetProjectsProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema;
    GetProjectsProjectsResponse200ApplicationJSONResponseBodyType$.outboundSchema = GetProjectsProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema;
  })(GetProjectsProjectsResponse200ApplicationJSONResponseBodyType$ ||= {});
  GetProjectsInternalContentHint$inboundSchema = objectType({
    type: GetProjectsProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema,
    encryptedValue: stringType()
  });
  GetProjectsInternalContentHint$outboundSchema = objectType({
    type: GetProjectsProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema,
    encryptedValue: stringType()
  });
  ((GetProjectsInternalContentHint$) => {
    GetProjectsInternalContentHint$.inboundSchema = GetProjectsInternalContentHint$inboundSchema;
    GetProjectsInternalContentHint$.outboundSchema = GetProjectsInternalContentHint$outboundSchema;
  })(GetProjectsInternalContentHint$ ||= {});
  GetProjectsEnv$inboundSchema = objectType({
    target: unionType([
      arrayType(GetProjectsTarget1$inboundSchema),
      GetProjectsTarget2$inboundSchema
    ]).optional(),
    type: GetProjectsType$inboundSchema,
    sunsetSecretId: stringType().optional(),
    decrypted: booleanType().optional(),
    value: stringType(),
    vsmValue: stringType().optional(),
    id: stringType().optional(),
    key: stringType(),
    configurationId: nullableType(stringType()).optional(),
    createdAt: numberType().optional(),
    updatedAt: numberType().optional(),
    createdBy: nullableType(stringType()).optional(),
    updatedBy: nullableType(stringType()).optional(),
    gitBranch: stringType().optional(),
    edgeConfigId: nullableType(stringType()).optional(),
    edgeConfigTokenId: nullableType(stringType()).optional(),
    contentHint: nullableType(unionType([
      lazyType(() => GetProjectsContentHint1$inboundSchema),
      lazyType(() => GetProjectsContentHint2$inboundSchema),
      lazyType(() => GetProjectsContentHint3$inboundSchema),
      lazyType(() => GetProjectsContentHint4$inboundSchema),
      lazyType(() => GetProjectsContentHint5$inboundSchema),
      lazyType(() => GetProjectsContentHint6$inboundSchema),
      lazyType(() => GetProjectsContentHint7$inboundSchema),
      lazyType(() => GetProjectsContentHint8$inboundSchema),
      lazyType(() => GetProjectsContentHint9$inboundSchema),
      lazyType(() => GetProjectsContentHint10$inboundSchema),
      lazyType(() => GetProjectsContentHint11$inboundSchema),
      lazyType(() => GetProjectsContentHint12$inboundSchema),
      lazyType(() => GetProjectsContentHint13$inboundSchema),
      lazyType(() => GetProjectsContentHint15$inboundSchema),
      lazyType(() => GetProjectsContentHint14$inboundSchema)
    ])).optional(),
    internalContentHint: nullableType(lazyType(() => GetProjectsInternalContentHint$inboundSchema)).optional(),
    comment: stringType().optional(),
    customEnvironmentIds: arrayType(stringType()).optional()
  });
  GetProjectsEnv$outboundSchema = objectType({
    target: unionType([
      arrayType(GetProjectsTarget1$outboundSchema),
      GetProjectsTarget2$outboundSchema
    ]).optional(),
    type: GetProjectsType$outboundSchema,
    sunsetSecretId: stringType().optional(),
    decrypted: booleanType().optional(),
    value: stringType(),
    vsmValue: stringType().optional(),
    id: stringType().optional(),
    key: stringType(),
    configurationId: nullableType(stringType()).optional(),
    createdAt: numberType().optional(),
    updatedAt: numberType().optional(),
    createdBy: nullableType(stringType()).optional(),
    updatedBy: nullableType(stringType()).optional(),
    gitBranch: stringType().optional(),
    edgeConfigId: nullableType(stringType()).optional(),
    edgeConfigTokenId: nullableType(stringType()).optional(),
    contentHint: nullableType(unionType([
      lazyType(() => GetProjectsContentHint1$outboundSchema),
      lazyType(() => GetProjectsContentHint2$outboundSchema),
      lazyType(() => GetProjectsContentHint3$outboundSchema),
      lazyType(() => GetProjectsContentHint4$outboundSchema),
      lazyType(() => GetProjectsContentHint5$outboundSchema),
      lazyType(() => GetProjectsContentHint6$outboundSchema),
      lazyType(() => GetProjectsContentHint7$outboundSchema),
      lazyType(() => GetProjectsContentHint8$outboundSchema),
      lazyType(() => GetProjectsContentHint9$outboundSchema),
      lazyType(() => GetProjectsContentHint10$outboundSchema),
      lazyType(() => GetProjectsContentHint11$outboundSchema),
      lazyType(() => GetProjectsContentHint12$outboundSchema),
      lazyType(() => GetProjectsContentHint13$outboundSchema),
      lazyType(() => GetProjectsContentHint15$outboundSchema),
      lazyType(() => GetProjectsContentHint14$outboundSchema)
    ])).optional(),
    internalContentHint: nullableType(lazyType(() => GetProjectsInternalContentHint$outboundSchema)).optional(),
    comment: stringType().optional(),
    customEnvironmentIds: arrayType(stringType()).optional()
  });
  ((GetProjectsEnv$) => {
    GetProjectsEnv$.inboundSchema = GetProjectsEnv$inboundSchema;
    GetProjectsEnv$.outboundSchema = GetProjectsEnv$outboundSchema;
  })(GetProjectsEnv$ ||= {});
  GetProjectsProjectsType$inboundSchema = nativeEnumType(GetProjectsProjectsType);
  GetProjectsProjectsType$outboundSchema = GetProjectsProjectsType$inboundSchema;
  ((GetProjectsProjectsType$) => {
    GetProjectsProjectsType$.inboundSchema = GetProjectsProjectsType$inboundSchema;
    GetProjectsProjectsType$.outboundSchema = GetProjectsProjectsType$outboundSchema;
  })(GetProjectsProjectsType$ ||= {});
  GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsCustomEnvironmentsType$inboundSchema = nativeEnumType(GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsCustomEnvironmentsType);
  GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsCustomEnvironmentsType$outboundSchema = GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsCustomEnvironmentsType$inboundSchema;
  ((GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsCustomEnvironmentsType$) => {
    GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsCustomEnvironmentsType$.inboundSchema = GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsCustomEnvironmentsType$inboundSchema;
    GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsCustomEnvironmentsType$.outboundSchema = GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsCustomEnvironmentsType$outboundSchema;
  })(GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsCustomEnvironmentsType$ ||= {});
  GetProjectsBranchMatcher$inboundSchema = objectType({
    type: GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsCustomEnvironmentsType$inboundSchema,
    pattern: stringType()
  });
  GetProjectsBranchMatcher$outboundSchema = objectType({
    type: GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsCustomEnvironmentsType$outboundSchema,
    pattern: stringType()
  });
  ((GetProjectsBranchMatcher$) => {
    GetProjectsBranchMatcher$.inboundSchema = GetProjectsBranchMatcher$inboundSchema;
    GetProjectsBranchMatcher$.outboundSchema = GetProjectsBranchMatcher$outboundSchema;
  })(GetProjectsBranchMatcher$ ||= {});
  GetProjectsVerification$inboundSchema = objectType({
    type: stringType(),
    domain: stringType(),
    value: stringType(),
    reason: stringType()
  });
  GetProjectsVerification$outboundSchema = objectType({
    type: stringType(),
    domain: stringType(),
    value: stringType(),
    reason: stringType()
  });
  ((GetProjectsVerification$) => {
    GetProjectsVerification$.inboundSchema = GetProjectsVerification$inboundSchema;
    GetProjectsVerification$.outboundSchema = GetProjectsVerification$outboundSchema;
  })(GetProjectsVerification$ ||= {});
  GetProjectsDomains$inboundSchema = objectType({
    name: stringType(),
    apexName: stringType(),
    projectId: stringType(),
    redirect: nullableType(stringType()).optional(),
    redirectStatusCode: nullableType(numberType()).optional(),
    gitBranch: nullableType(stringType()).optional(),
    customEnvironmentId: nullableType(stringType()).optional(),
    updatedAt: numberType().optional(),
    createdAt: numberType().optional(),
    verified: booleanType(),
    verification: arrayType(lazyType(() => GetProjectsVerification$inboundSchema)).optional()
  });
  GetProjectsDomains$outboundSchema = objectType({
    name: stringType(),
    apexName: stringType(),
    projectId: stringType(),
    redirect: nullableType(stringType()).optional(),
    redirectStatusCode: nullableType(numberType()).optional(),
    gitBranch: nullableType(stringType()).optional(),
    customEnvironmentId: nullableType(stringType()).optional(),
    updatedAt: numberType().optional(),
    createdAt: numberType().optional(),
    verified: booleanType(),
    verification: arrayType(lazyType(() => GetProjectsVerification$outboundSchema)).optional()
  });
  ((GetProjectsDomains$) => {
    GetProjectsDomains$.inboundSchema = GetProjectsDomains$inboundSchema;
    GetProjectsDomains$.outboundSchema = GetProjectsDomains$outboundSchema;
  })(GetProjectsDomains$ ||= {});
  GetProjectsCustomEnvironments$inboundSchema = objectType({
    id: stringType(),
    slug: stringType(),
    type: GetProjectsProjectsType$inboundSchema,
    description: stringType().optional(),
    branchMatcher: lazyType(() => GetProjectsBranchMatcher$inboundSchema).optional(),
    domains: arrayType(lazyType(() => GetProjectsDomains$inboundSchema)).optional(),
    currentDeploymentAliases: arrayType(stringType()).optional(),
    createdAt: numberType(),
    updatedAt: numberType()
  });
  GetProjectsCustomEnvironments$outboundSchema = objectType({
    id: stringType(),
    slug: stringType(),
    type: GetProjectsProjectsType$outboundSchema,
    description: stringType().optional(),
    branchMatcher: lazyType(() => GetProjectsBranchMatcher$outboundSchema).optional(),
    domains: arrayType(lazyType(() => GetProjectsDomains$outboundSchema)).optional(),
    currentDeploymentAliases: arrayType(stringType()).optional(),
    createdAt: numberType(),
    updatedAt: numberType()
  });
  ((GetProjectsCustomEnvironments$) => {
    GetProjectsCustomEnvironments$.inboundSchema = GetProjectsCustomEnvironments$inboundSchema;
    GetProjectsCustomEnvironments$.outboundSchema = GetProjectsCustomEnvironments$outboundSchema;
  })(GetProjectsCustomEnvironments$ ||= {});
  GetProjectsFramework$inboundSchema = nativeEnumType(GetProjectsFramework);
  GetProjectsFramework$outboundSchema = GetProjectsFramework$inboundSchema;
  ((GetProjectsFramework$) => {
    GetProjectsFramework$.inboundSchema = GetProjectsFramework$inboundSchema;
    GetProjectsFramework$.outboundSchema = GetProjectsFramework$outboundSchema;
  })(GetProjectsFramework$ ||= {});
  GetProjectsIpBuckets$inboundSchema = objectType({
    bucket: stringType(),
    supportUntil: numberType().optional()
  });
  GetProjectsIpBuckets$outboundSchema = objectType({
    bucket: stringType(),
    supportUntil: numberType().optional()
  });
  ((GetProjectsIpBuckets$) => {
    GetProjectsIpBuckets$.inboundSchema = GetProjectsIpBuckets$inboundSchema;
    GetProjectsIpBuckets$.outboundSchema = GetProjectsIpBuckets$outboundSchema;
  })(GetProjectsIpBuckets$ ||= {});
  GetProjectsAliasAssigned$inboundSchema = unionType([numberType(), booleanType()]);
  GetProjectsAliasAssigned$outboundSchema = unionType([numberType(), booleanType()]);
  ((GetProjectsAliasAssigned$) => {
    GetProjectsAliasAssigned$.inboundSchema = GetProjectsAliasAssigned$inboundSchema;
    GetProjectsAliasAssigned$.outboundSchema = GetProjectsAliasAssigned$outboundSchema;
  })(GetProjectsAliasAssigned$ ||= {});
  GetProjectsAliasError$inboundSchema = objectType({
    code: stringType(),
    message: stringType()
  });
  GetProjectsAliasError$outboundSchema = objectType({
    code: stringType(),
    message: stringType()
  });
  ((GetProjectsAliasError$) => {
    GetProjectsAliasError$.inboundSchema = GetProjectsAliasError$inboundSchema;
    GetProjectsAliasError$.outboundSchema = GetProjectsAliasError$outboundSchema;
  })(GetProjectsAliasError$ ||= {});
  GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsLatestDeploymentsType$inboundSchema = nativeEnumType(GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsLatestDeploymentsType);
  GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsLatestDeploymentsType$outboundSchema = GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsLatestDeploymentsType$inboundSchema;
  ((GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsLatestDeploymentsType$) => {
    GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsLatestDeploymentsType$.inboundSchema = GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsLatestDeploymentsType$inboundSchema;
    GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsLatestDeploymentsType$.outboundSchema = GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsLatestDeploymentsType$outboundSchema;
  })(GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsLatestDeploymentsType$ ||= {});
  GetProjectsProjectsBranchMatcher$inboundSchema = objectType({
    type: GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsLatestDeploymentsType$inboundSchema,
    pattern: stringType()
  });
  GetProjectsProjectsBranchMatcher$outboundSchema = objectType({
    type: GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsLatestDeploymentsType$outboundSchema,
    pattern: stringType()
  });
  ((GetProjectsProjectsBranchMatcher$) => {
    GetProjectsProjectsBranchMatcher$.inboundSchema = GetProjectsProjectsBranchMatcher$inboundSchema;
    GetProjectsProjectsBranchMatcher$.outboundSchema = GetProjectsProjectsBranchMatcher$outboundSchema;
  })(GetProjectsProjectsBranchMatcher$ ||= {});
  GetProjectsBuilds$inboundSchema = objectType({
    use: stringType(),
    src: stringType().optional(),
    dest: stringType().optional()
  });
  GetProjectsBuilds$outboundSchema = objectType({
    use: stringType(),
    src: stringType().optional(),
    dest: stringType().optional()
  });
  ((GetProjectsBuilds$) => {
    GetProjectsBuilds$.inboundSchema = GetProjectsBuilds$inboundSchema;
    GetProjectsBuilds$.outboundSchema = GetProjectsBuilds$outboundSchema;
  })(GetProjectsBuilds$ ||= {});
  GetProjectsChecksConclusion$inboundSchema = nativeEnumType(GetProjectsChecksConclusion);
  GetProjectsChecksConclusion$outboundSchema = GetProjectsChecksConclusion$inboundSchema;
  ((GetProjectsChecksConclusion$) => {
    GetProjectsChecksConclusion$.inboundSchema = GetProjectsChecksConclusion$inboundSchema;
    GetProjectsChecksConclusion$.outboundSchema = GetProjectsChecksConclusion$outboundSchema;
  })(GetProjectsChecksConclusion$ ||= {});
  GetProjectsChecksState$inboundSchema = nativeEnumType(GetProjectsChecksState);
  GetProjectsChecksState$outboundSchema = GetProjectsChecksState$inboundSchema;
  ((GetProjectsChecksState$) => {
    GetProjectsChecksState$.inboundSchema = GetProjectsChecksState$inboundSchema;
    GetProjectsChecksState$.outboundSchema = GetProjectsChecksState$outboundSchema;
  })(GetProjectsChecksState$ ||= {});
  GetProjectsCreator$inboundSchema = objectType({
    email: stringType(),
    githubLogin: stringType().optional(),
    gitlabLogin: stringType().optional(),
    uid: stringType(),
    username: stringType()
  });
  GetProjectsCreator$outboundSchema = objectType({
    email: stringType(),
    githubLogin: stringType().optional(),
    gitlabLogin: stringType().optional(),
    uid: stringType(),
    username: stringType()
  });
  ((GetProjectsCreator$) => {
    GetProjectsCreator$.inboundSchema = GetProjectsCreator$inboundSchema;
    GetProjectsCreator$.outboundSchema = GetProjectsCreator$outboundSchema;
  })(GetProjectsCreator$ ||= {});
  GetProjectsOidcTokenClaims$inboundSchema = objectType({
    iss: stringType(),
    sub: stringType(),
    scope: stringType(),
    aud: stringType(),
    owner: stringType(),
    owner_id: stringType(),
    project: stringType(),
    project_id: stringType(),
    environment: stringType()
  }).transform((v2) => {
    return remap(v2, {
      owner_id: "ownerId",
      project_id: "projectId"
    });
  });
  GetProjectsOidcTokenClaims$outboundSchema = objectType({
    iss: stringType(),
    sub: stringType(),
    scope: stringType(),
    aud: stringType(),
    owner: stringType(),
    ownerId: stringType(),
    project: stringType(),
    projectId: stringType(),
    environment: stringType()
  }).transform((v2) => {
    return remap(v2, {
      ownerId: "owner_id",
      projectId: "project_id"
    });
  });
  ((GetProjectsOidcTokenClaims$) => {
    GetProjectsOidcTokenClaims$.inboundSchema = GetProjectsOidcTokenClaims$inboundSchema;
    GetProjectsOidcTokenClaims$.outboundSchema = GetProjectsOidcTokenClaims$outboundSchema;
  })(GetProjectsOidcTokenClaims$ ||= {});
  GetProjectsPlan$inboundSchema = nativeEnumType(GetProjectsPlan);
  GetProjectsPlan$outboundSchema = GetProjectsPlan$inboundSchema;
  ((GetProjectsPlan$) => {
    GetProjectsPlan$.inboundSchema = GetProjectsPlan$inboundSchema;
    GetProjectsPlan$.outboundSchema = GetProjectsPlan$outboundSchema;
  })(GetProjectsPlan$ ||= {});
  GetProjectsReadyState$inboundSchema = nativeEnumType(GetProjectsReadyState);
  GetProjectsReadyState$outboundSchema = GetProjectsReadyState$inboundSchema;
  ((GetProjectsReadyState$) => {
    GetProjectsReadyState$.inboundSchema = GetProjectsReadyState$inboundSchema;
    GetProjectsReadyState$.outboundSchema = GetProjectsReadyState$outboundSchema;
  })(GetProjectsReadyState$ ||= {});
  GetProjectsReadySubstate$inboundSchema = nativeEnumType(GetProjectsReadySubstate);
  GetProjectsReadySubstate$outboundSchema = GetProjectsReadySubstate$inboundSchema;
  ((GetProjectsReadySubstate$) => {
    GetProjectsReadySubstate$.inboundSchema = GetProjectsReadySubstate$inboundSchema;
    GetProjectsReadySubstate$.outboundSchema = GetProjectsReadySubstate$outboundSchema;
  })(GetProjectsReadySubstate$ ||= {});
  GetProjectsProjectsResponseType$inboundSchema = nativeEnumType(GetProjectsProjectsResponseType);
  GetProjectsProjectsResponseType$outboundSchema = GetProjectsProjectsResponseType$inboundSchema;
  ((GetProjectsProjectsResponseType$) => {
    GetProjectsProjectsResponseType$.inboundSchema = GetProjectsProjectsResponseType$inboundSchema;
    GetProjectsProjectsResponseType$.outboundSchema = GetProjectsProjectsResponseType$outboundSchema;
  })(GetProjectsProjectsResponseType$ ||= {});
  GetProjectsLatestDeployments$inboundSchema = objectType({
    id: stringType(),
    alias: arrayType(stringType()).optional(),
    aliasAssigned: nullableType(unionType([numberType(), booleanType()])).optional(),
    aliasError: nullableType(lazyType(() => GetProjectsAliasError$inboundSchema)).optional(),
    aliasFinal: nullableType(stringType()).optional(),
    automaticAliases: arrayType(stringType()).optional(),
    branchMatcher: lazyType(() => GetProjectsProjectsBranchMatcher$inboundSchema).optional(),
    buildingAt: numberType().optional(),
    builds: arrayType(lazyType(() => GetProjectsBuilds$inboundSchema)).optional(),
    checksConclusion: GetProjectsChecksConclusion$inboundSchema.optional(),
    checksState: GetProjectsChecksState$inboundSchema.optional(),
    connectBuildsEnabled: booleanType().optional(),
    connectConfigurationId: stringType().optional(),
    createdAt: numberType(),
    createdIn: stringType(),
    creator: nullableType(lazyType(() => GetProjectsCreator$inboundSchema)),
    deletedAt: numberType().optional(),
    deploymentHostname: stringType(),
    forced: booleanType().optional(),
    name: stringType(),
    meta: recordType(stringType()).optional(),
    monorepoManager: nullableType(stringType()).optional(),
    oidcTokenClaims: lazyType(() => GetProjectsOidcTokenClaims$inboundSchema).optional(),
    plan: GetProjectsPlan$inboundSchema,
    previewCommentsEnabled: booleanType().optional(),
    private: booleanType(),
    readyAt: numberType().optional(),
    readyState: GetProjectsReadyState$inboundSchema,
    readySubstate: GetProjectsReadySubstate$inboundSchema.optional(),
    requestedAt: numberType().optional(),
    target: nullableType(stringType()).optional(),
    teamId: nullableType(stringType()).optional(),
    type: GetProjectsProjectsResponseType$inboundSchema,
    url: stringType(),
    userId: stringType(),
    withCache: booleanType().optional()
  });
  GetProjectsLatestDeployments$outboundSchema = objectType({
    id: stringType(),
    alias: arrayType(stringType()).optional(),
    aliasAssigned: nullableType(unionType([numberType(), booleanType()])).optional(),
    aliasError: nullableType(lazyType(() => GetProjectsAliasError$outboundSchema)).optional(),
    aliasFinal: nullableType(stringType()).optional(),
    automaticAliases: arrayType(stringType()).optional(),
    branchMatcher: lazyType(() => GetProjectsProjectsBranchMatcher$outboundSchema).optional(),
    buildingAt: numberType().optional(),
    builds: arrayType(lazyType(() => GetProjectsBuilds$outboundSchema)).optional(),
    checksConclusion: GetProjectsChecksConclusion$outboundSchema.optional(),
    checksState: GetProjectsChecksState$outboundSchema.optional(),
    connectBuildsEnabled: booleanType().optional(),
    connectConfigurationId: stringType().optional(),
    createdAt: numberType(),
    createdIn: stringType(),
    creator: nullableType(lazyType(() => GetProjectsCreator$outboundSchema)),
    deletedAt: numberType().optional(),
    deploymentHostname: stringType(),
    forced: booleanType().optional(),
    name: stringType(),
    meta: recordType(stringType()).optional(),
    monorepoManager: nullableType(stringType()).optional(),
    oidcTokenClaims: lazyType(() => GetProjectsOidcTokenClaims$outboundSchema).optional(),
    plan: GetProjectsPlan$outboundSchema,
    previewCommentsEnabled: booleanType().optional(),
    private: booleanType(),
    readyAt: numberType().optional(),
    readyState: GetProjectsReadyState$outboundSchema,
    readySubstate: GetProjectsReadySubstate$outboundSchema.optional(),
    requestedAt: numberType().optional(),
    target: nullableType(stringType()).optional(),
    teamId: nullableType(stringType()).optional(),
    type: GetProjectsProjectsResponseType$outboundSchema,
    url: stringType(),
    userId: stringType(),
    withCache: booleanType().optional()
  });
  ((GetProjectsLatestDeployments$) => {
    GetProjectsLatestDeployments$.inboundSchema = GetProjectsLatestDeployments$inboundSchema;
    GetProjectsLatestDeployments$.outboundSchema = GetProjectsLatestDeployments$outboundSchema;
  })(GetProjectsLatestDeployments$ ||= {});
  GetProjectsLinkProjectsResponse200Type$inboundSchema = nativeEnumType(GetProjectsLinkProjectsResponse200Type);
  GetProjectsLinkProjectsResponse200Type$outboundSchema = GetProjectsLinkProjectsResponse200Type$inboundSchema;
  ((GetProjectsLinkProjectsResponse200Type$) => {
    GetProjectsLinkProjectsResponse200Type$.inboundSchema = GetProjectsLinkProjectsResponse200Type$inboundSchema;
    GetProjectsLinkProjectsResponse200Type$.outboundSchema = GetProjectsLinkProjectsResponse200Type$outboundSchema;
  })(GetProjectsLinkProjectsResponse200Type$ ||= {});
  GetProjectsLinkProjectsResponse200DeployHooks$inboundSchema = objectType({
    createdAt: numberType().optional(),
    id: stringType(),
    name: stringType(),
    ref: stringType(),
    url: stringType()
  });
  GetProjectsLinkProjectsResponse200DeployHooks$outboundSchema = objectType({
    createdAt: numberType().optional(),
    id: stringType(),
    name: stringType(),
    ref: stringType(),
    url: stringType()
  });
  ((GetProjectsLinkProjectsResponse200DeployHooks$) => {
    GetProjectsLinkProjectsResponse200DeployHooks$.inboundSchema = GetProjectsLinkProjectsResponse200DeployHooks$inboundSchema;
    GetProjectsLinkProjectsResponse200DeployHooks$.outboundSchema = GetProjectsLinkProjectsResponse200DeployHooks$outboundSchema;
  })(GetProjectsLinkProjectsResponse200DeployHooks$ ||= {});
  GetProjectsLink4$inboundSchema = objectType({
    org: stringType().optional(),
    repoOwnerId: numberType().optional(),
    repo: stringType().optional(),
    repoId: numberType().optional(),
    type: GetProjectsLinkProjectsResponse200Type$inboundSchema.optional(),
    host: stringType().optional(),
    createdAt: numberType().optional(),
    deployHooks: arrayType(lazyType(() => GetProjectsLinkProjectsResponse200DeployHooks$inboundSchema)),
    gitCredentialId: stringType().optional(),
    updatedAt: numberType().optional(),
    sourceless: booleanType().optional(),
    productionBranch: stringType().optional()
  });
  GetProjectsLink4$outboundSchema = objectType({
    org: stringType().optional(),
    repoOwnerId: numberType().optional(),
    repo: stringType().optional(),
    repoId: numberType().optional(),
    type: GetProjectsLinkProjectsResponse200Type$outboundSchema.optional(),
    host: stringType().optional(),
    createdAt: numberType().optional(),
    deployHooks: arrayType(lazyType(() => GetProjectsLinkProjectsResponse200DeployHooks$outboundSchema)),
    gitCredentialId: stringType().optional(),
    updatedAt: numberType().optional(),
    sourceless: booleanType().optional(),
    productionBranch: stringType().optional()
  });
  ((GetProjectsLink4$) => {
    GetProjectsLink4$.inboundSchema = GetProjectsLink4$inboundSchema;
    GetProjectsLink4$.outboundSchema = GetProjectsLink4$outboundSchema;
  })(GetProjectsLink4$ ||= {});
  GetProjectsLinkProjectsResponseType$inboundSchema = nativeEnumType(GetProjectsLinkProjectsResponseType);
  GetProjectsLinkProjectsResponseType$outboundSchema = GetProjectsLinkProjectsResponseType$inboundSchema;
  ((GetProjectsLinkProjectsResponseType$) => {
    GetProjectsLinkProjectsResponseType$.inboundSchema = GetProjectsLinkProjectsResponseType$inboundSchema;
    GetProjectsLinkProjectsResponseType$.outboundSchema = GetProjectsLinkProjectsResponseType$outboundSchema;
  })(GetProjectsLinkProjectsResponseType$ ||= {});
  GetProjectsLinkProjectsResponseDeployHooks$inboundSchema = objectType({
    createdAt: numberType().optional(),
    id: stringType(),
    name: stringType(),
    ref: stringType(),
    url: stringType()
  });
  GetProjectsLinkProjectsResponseDeployHooks$outboundSchema = objectType({
    createdAt: numberType().optional(),
    id: stringType(),
    name: stringType(),
    ref: stringType(),
    url: stringType()
  });
  ((GetProjectsLinkProjectsResponseDeployHooks$) => {
    GetProjectsLinkProjectsResponseDeployHooks$.inboundSchema = GetProjectsLinkProjectsResponseDeployHooks$inboundSchema;
    GetProjectsLinkProjectsResponseDeployHooks$.outboundSchema = GetProjectsLinkProjectsResponseDeployHooks$outboundSchema;
  })(GetProjectsLinkProjectsResponseDeployHooks$ ||= {});
  GetProjectsLink3$inboundSchema = objectType({
    name: stringType().optional(),
    slug: stringType().optional(),
    owner: stringType().optional(),
    type: GetProjectsLinkProjectsResponseType$inboundSchema.optional(),
    uuid: stringType().optional(),
    workspaceUuid: stringType().optional(),
    createdAt: numberType().optional(),
    deployHooks: arrayType(lazyType(() => GetProjectsLinkProjectsResponseDeployHooks$inboundSchema)),
    gitCredentialId: stringType().optional(),
    updatedAt: numberType().optional(),
    sourceless: booleanType().optional(),
    productionBranch: stringType().optional()
  });
  GetProjectsLink3$outboundSchema = objectType({
    name: stringType().optional(),
    slug: stringType().optional(),
    owner: stringType().optional(),
    type: GetProjectsLinkProjectsResponseType$outboundSchema.optional(),
    uuid: stringType().optional(),
    workspaceUuid: stringType().optional(),
    createdAt: numberType().optional(),
    deployHooks: arrayType(lazyType(() => GetProjectsLinkProjectsResponseDeployHooks$outboundSchema)),
    gitCredentialId: stringType().optional(),
    updatedAt: numberType().optional(),
    sourceless: booleanType().optional(),
    productionBranch: stringType().optional()
  });
  ((GetProjectsLink3$) => {
    GetProjectsLink3$.inboundSchema = GetProjectsLink3$inboundSchema;
    GetProjectsLink3$.outboundSchema = GetProjectsLink3$outboundSchema;
  })(GetProjectsLink3$ ||= {});
  GetProjectsLinkProjectsType$inboundSchema = nativeEnumType(GetProjectsLinkProjectsType);
  GetProjectsLinkProjectsType$outboundSchema = GetProjectsLinkProjectsType$inboundSchema;
  ((GetProjectsLinkProjectsType$) => {
    GetProjectsLinkProjectsType$.inboundSchema = GetProjectsLinkProjectsType$inboundSchema;
    GetProjectsLinkProjectsType$.outboundSchema = GetProjectsLinkProjectsType$outboundSchema;
  })(GetProjectsLinkProjectsType$ ||= {});
  GetProjectsLinkProjectsDeployHooks$inboundSchema = objectType({
    createdAt: numberType().optional(),
    id: stringType(),
    name: stringType(),
    ref: stringType(),
    url: stringType()
  });
  GetProjectsLinkProjectsDeployHooks$outboundSchema = objectType({
    createdAt: numberType().optional(),
    id: stringType(),
    name: stringType(),
    ref: stringType(),
    url: stringType()
  });
  ((GetProjectsLinkProjectsDeployHooks$) => {
    GetProjectsLinkProjectsDeployHooks$.inboundSchema = GetProjectsLinkProjectsDeployHooks$inboundSchema;
    GetProjectsLinkProjectsDeployHooks$.outboundSchema = GetProjectsLinkProjectsDeployHooks$outboundSchema;
  })(GetProjectsLinkProjectsDeployHooks$ ||= {});
  GetProjectsLink2$inboundSchema = objectType({
    projectId: stringType().optional(),
    projectName: stringType().optional(),
    projectNameWithNamespace: stringType().optional(),
    projectNamespace: stringType().optional(),
    projectOwnerId: numberType().optional(),
    projectUrl: stringType().optional(),
    type: GetProjectsLinkProjectsType$inboundSchema.optional(),
    createdAt: numberType().optional(),
    deployHooks: arrayType(lazyType(() => GetProjectsLinkProjectsDeployHooks$inboundSchema)),
    gitCredentialId: stringType().optional(),
    updatedAt: numberType().optional(),
    sourceless: booleanType().optional(),
    productionBranch: stringType().optional()
  });
  GetProjectsLink2$outboundSchema = objectType({
    projectId: stringType().optional(),
    projectName: stringType().optional(),
    projectNameWithNamespace: stringType().optional(),
    projectNamespace: stringType().optional(),
    projectOwnerId: numberType().optional(),
    projectUrl: stringType().optional(),
    type: GetProjectsLinkProjectsType$outboundSchema.optional(),
    createdAt: numberType().optional(),
    deployHooks: arrayType(lazyType(() => GetProjectsLinkProjectsDeployHooks$outboundSchema)),
    gitCredentialId: stringType().optional(),
    updatedAt: numberType().optional(),
    sourceless: booleanType().optional(),
    productionBranch: stringType().optional()
  });
  ((GetProjectsLink2$) => {
    GetProjectsLink2$.inboundSchema = GetProjectsLink2$inboundSchema;
    GetProjectsLink2$.outboundSchema = GetProjectsLink2$outboundSchema;
  })(GetProjectsLink2$ ||= {});
  GetProjectsLinkType$inboundSchema = nativeEnumType(GetProjectsLinkType);
  GetProjectsLinkType$outboundSchema = GetProjectsLinkType$inboundSchema;
  ((GetProjectsLinkType$) => {
    GetProjectsLinkType$.inboundSchema = GetProjectsLinkType$inboundSchema;
    GetProjectsLinkType$.outboundSchema = GetProjectsLinkType$outboundSchema;
  })(GetProjectsLinkType$ ||= {});
  GetProjectsLinkDeployHooks$inboundSchema = objectType({
    createdAt: numberType().optional(),
    id: stringType(),
    name: stringType(),
    ref: stringType(),
    url: stringType()
  });
  GetProjectsLinkDeployHooks$outboundSchema = objectType({
    createdAt: numberType().optional(),
    id: stringType(),
    name: stringType(),
    ref: stringType(),
    url: stringType()
  });
  ((GetProjectsLinkDeployHooks$) => {
    GetProjectsLinkDeployHooks$.inboundSchema = GetProjectsLinkDeployHooks$inboundSchema;
    GetProjectsLinkDeployHooks$.outboundSchema = GetProjectsLinkDeployHooks$outboundSchema;
  })(GetProjectsLinkDeployHooks$ ||= {});
  GetProjectsLink1$inboundSchema = objectType({
    org: stringType().optional(),
    repoOwnerId: numberType().optional(),
    repo: stringType().optional(),
    repoId: numberType().optional(),
    type: GetProjectsLinkType$inboundSchema.optional(),
    createdAt: numberType().optional(),
    deployHooks: arrayType(lazyType(() => GetProjectsLinkDeployHooks$inboundSchema)),
    gitCredentialId: stringType().optional(),
    updatedAt: numberType().optional(),
    sourceless: booleanType().optional(),
    productionBranch: stringType().optional()
  });
  GetProjectsLink1$outboundSchema = objectType({
    org: stringType().optional(),
    repoOwnerId: numberType().optional(),
    repo: stringType().optional(),
    repoId: numberType().optional(),
    type: GetProjectsLinkType$outboundSchema.optional(),
    createdAt: numberType().optional(),
    deployHooks: arrayType(lazyType(() => GetProjectsLinkDeployHooks$outboundSchema)),
    gitCredentialId: stringType().optional(),
    updatedAt: numberType().optional(),
    sourceless: booleanType().optional(),
    productionBranch: stringType().optional()
  });
  ((GetProjectsLink1$) => {
    GetProjectsLink1$.inboundSchema = GetProjectsLink1$inboundSchema;
    GetProjectsLink1$.outboundSchema = GetProjectsLink1$outboundSchema;
  })(GetProjectsLink1$ ||= {});
  GetProjectsLink$inboundSchema = unionType([
    lazyType(() => GetProjectsLink1$inboundSchema),
    lazyType(() => GetProjectsLink3$inboundSchema),
    lazyType(() => GetProjectsLink4$inboundSchema),
    lazyType(() => GetProjectsLink2$inboundSchema)
  ]);
  GetProjectsLink$outboundSchema = unionType([
    lazyType(() => GetProjectsLink1$outboundSchema),
    lazyType(() => GetProjectsLink3$outboundSchema),
    lazyType(() => GetProjectsLink4$outboundSchema),
    lazyType(() => GetProjectsLink2$outboundSchema)
  ]);
  ((GetProjectsLink$) => {
    GetProjectsLink$.inboundSchema = GetProjectsLink$inboundSchema;
    GetProjectsLink$.outboundSchema = GetProjectsLink$outboundSchema;
  })(GetProjectsLink$ ||= {});
  GetProjectsMicrofrontends2$inboundSchema = objectType({
    updatedAt: numberType(),
    groupIds: arrayType(anyType()),
    enabled: booleanType()
  });
  GetProjectsMicrofrontends2$outboundSchema = objectType({
    updatedAt: numberType(),
    groupIds: arrayType(anyType()),
    enabled: booleanType()
  });
  ((GetProjectsMicrofrontends2$) => {
    GetProjectsMicrofrontends2$.inboundSchema = GetProjectsMicrofrontends2$inboundSchema;
    GetProjectsMicrofrontends2$.outboundSchema = GetProjectsMicrofrontends2$outboundSchema;
  })(GetProjectsMicrofrontends2$ ||= {});
  GetProjectsMicrofrontends1$inboundSchema = objectType({
    updatedAt: numberType(),
    groupIds: arrayType(stringType()),
    enabled: booleanType(),
    isDefaultApp: booleanType().optional(),
    defaultRoute: stringType().optional(),
    routeObservabilityToThisProject: booleanType().optional()
  });
  GetProjectsMicrofrontends1$outboundSchema = objectType({
    updatedAt: numberType(),
    groupIds: arrayType(stringType()),
    enabled: booleanType(),
    isDefaultApp: booleanType().optional(),
    defaultRoute: stringType().optional(),
    routeObservabilityToThisProject: booleanType().optional()
  });
  ((GetProjectsMicrofrontends1$) => {
    GetProjectsMicrofrontends1$.inboundSchema = GetProjectsMicrofrontends1$inboundSchema;
    GetProjectsMicrofrontends1$.outboundSchema = GetProjectsMicrofrontends1$outboundSchema;
  })(GetProjectsMicrofrontends1$ ||= {});
  GetProjectsMicrofrontends$inboundSchema = unionType([
    lazyType(() => GetProjectsMicrofrontends2$inboundSchema),
    lazyType(() => GetProjectsMicrofrontends1$inboundSchema)
  ]);
  GetProjectsMicrofrontends$outboundSchema = unionType([
    lazyType(() => GetProjectsMicrofrontends2$outboundSchema),
    lazyType(() => GetProjectsMicrofrontends1$outboundSchema)
  ]);
  ((GetProjectsMicrofrontends$) => {
    GetProjectsMicrofrontends$.inboundSchema = GetProjectsMicrofrontends$inboundSchema;
    GetProjectsMicrofrontends$.outboundSchema = GetProjectsMicrofrontends$outboundSchema;
  })(GetProjectsMicrofrontends$ ||= {});
  GetProjectsNodeVersion$inboundSchema = nativeEnumType(GetProjectsNodeVersion);
  GetProjectsNodeVersion$outboundSchema = GetProjectsNodeVersion$inboundSchema;
  ((GetProjectsNodeVersion$) => {
    GetProjectsNodeVersion$.inboundSchema = GetProjectsNodeVersion$inboundSchema;
    GetProjectsNodeVersion$.outboundSchema = GetProjectsNodeVersion$outboundSchema;
  })(GetProjectsNodeVersion$ ||= {});
  GetProjectsPaths$inboundSchema = objectType({
    value: stringType()
  });
  GetProjectsPaths$outboundSchema = objectType({
    value: stringType()
  });
  ((GetProjectsPaths$) => {
    GetProjectsPaths$.inboundSchema = GetProjectsPaths$inboundSchema;
    GetProjectsPaths$.outboundSchema = GetProjectsPaths$outboundSchema;
  })(GetProjectsPaths$ ||= {});
  GetProjectsOptionsAllowlist$inboundSchema = objectType({
    paths: arrayType(lazyType(() => GetProjectsPaths$inboundSchema))
  });
  GetProjectsOptionsAllowlist$outboundSchema = objectType({
    paths: arrayType(lazyType(() => GetProjectsPaths$outboundSchema))
  });
  ((GetProjectsOptionsAllowlist$) => {
    GetProjectsOptionsAllowlist$.inboundSchema = GetProjectsOptionsAllowlist$inboundSchema;
    GetProjectsOptionsAllowlist$.outboundSchema = GetProjectsOptionsAllowlist$outboundSchema;
  })(GetProjectsOptionsAllowlist$ ||= {});
  GetProjectsPasswordProtection$inboundSchema = objectType({});
  GetProjectsPasswordProtection$outboundSchema = objectType({});
  ((GetProjectsPasswordProtection$) => {
    GetProjectsPasswordProtection$.inboundSchema = GetProjectsPasswordProtection$inboundSchema;
    GetProjectsPasswordProtection$.outboundSchema = GetProjectsPasswordProtection$outboundSchema;
  })(GetProjectsPasswordProtection$ ||= {});
  GetProjectsFunctionDefaultMemoryType$inboundSchema = nativeEnumType(GetProjectsFunctionDefaultMemoryType);
  GetProjectsFunctionDefaultMemoryType$outboundSchema = GetProjectsFunctionDefaultMemoryType$inboundSchema;
  ((GetProjectsFunctionDefaultMemoryType$) => {
    GetProjectsFunctionDefaultMemoryType$.inboundSchema = GetProjectsFunctionDefaultMemoryType$inboundSchema;
    GetProjectsFunctionDefaultMemoryType$.outboundSchema = GetProjectsFunctionDefaultMemoryType$outboundSchema;
  })(GetProjectsFunctionDefaultMemoryType$ ||= {});
  GetProjectsBuildMachineType$inboundSchema = nativeEnumType(GetProjectsBuildMachineType);
  GetProjectsBuildMachineType$outboundSchema = GetProjectsBuildMachineType$inboundSchema;
  ((GetProjectsBuildMachineType$) => {
    GetProjectsBuildMachineType$.inboundSchema = GetProjectsBuildMachineType$inboundSchema;
    GetProjectsBuildMachineType$.outboundSchema = GetProjectsBuildMachineType$outboundSchema;
  })(GetProjectsBuildMachineType$ ||= {});
  GetProjectsResourceConfig$inboundSchema = objectType({
    fluid: booleanType().optional(),
    functionDefaultRegions: arrayType(stringType()),
    functionDefaultTimeout: numberType().optional(),
    functionDefaultMemoryType: GetProjectsFunctionDefaultMemoryType$inboundSchema.optional(),
    functionZeroConfigFailover: booleanType().optional(),
    elasticConcurrencyEnabled: booleanType().optional(),
    buildMachineType: GetProjectsBuildMachineType$inboundSchema.optional()
  });
  GetProjectsResourceConfig$outboundSchema = objectType({
    fluid: booleanType().optional(),
    functionDefaultRegions: arrayType(stringType()),
    functionDefaultTimeout: numberType().optional(),
    functionDefaultMemoryType: GetProjectsFunctionDefaultMemoryType$outboundSchema.optional(),
    functionZeroConfigFailover: booleanType().optional(),
    elasticConcurrencyEnabled: booleanType().optional(),
    buildMachineType: GetProjectsBuildMachineType$outboundSchema.optional()
  });
  ((GetProjectsResourceConfig$) => {
    GetProjectsResourceConfig$.inboundSchema = GetProjectsResourceConfig$inboundSchema;
    GetProjectsResourceConfig$.outboundSchema = GetProjectsResourceConfig$outboundSchema;
  })(GetProjectsResourceConfig$ ||= {});
  GetProjectsStages$inboundSchema = objectType({
    targetPercentage: numberType(),
    minutesToRelease: numberType().optional(),
    requireApproval: booleanType().optional(),
    duration: numberType().optional()
  });
  GetProjectsStages$outboundSchema = objectType({
    targetPercentage: numberType(),
    minutesToRelease: numberType().optional(),
    requireApproval: booleanType().optional(),
    duration: numberType().optional()
  });
  ((GetProjectsStages$) => {
    GetProjectsStages$.inboundSchema = GetProjectsStages$inboundSchema;
    GetProjectsStages$.outboundSchema = GetProjectsStages$outboundSchema;
  })(GetProjectsStages$ ||= {});
  GetProjectsRollingRelease$inboundSchema = objectType({
    target: stringType(),
    minutesToRelease: numberType().optional(),
    stages: nullableType(arrayType(lazyType(() => GetProjectsStages$inboundSchema))).optional(),
    canaryResponseHeader: booleanType().optional()
  });
  GetProjectsRollingRelease$outboundSchema = objectType({
    target: stringType(),
    minutesToRelease: numberType().optional(),
    stages: nullableType(arrayType(lazyType(() => GetProjectsStages$outboundSchema))).optional(),
    canaryResponseHeader: booleanType().optional()
  });
  ((GetProjectsRollingRelease$) => {
    GetProjectsRollingRelease$.inboundSchema = GetProjectsRollingRelease$inboundSchema;
    GetProjectsRollingRelease$.outboundSchema = GetProjectsRollingRelease$outboundSchema;
  })(GetProjectsRollingRelease$ ||= {});
  GetProjectsProjectsFunctionDefaultMemoryType$inboundSchema = nativeEnumType(GetProjectsProjectsFunctionDefaultMemoryType);
  GetProjectsProjectsFunctionDefaultMemoryType$outboundSchema = GetProjectsProjectsFunctionDefaultMemoryType$inboundSchema;
  ((GetProjectsProjectsFunctionDefaultMemoryType$) => {
    GetProjectsProjectsFunctionDefaultMemoryType$.inboundSchema = GetProjectsProjectsFunctionDefaultMemoryType$inboundSchema;
    GetProjectsProjectsFunctionDefaultMemoryType$.outboundSchema = GetProjectsProjectsFunctionDefaultMemoryType$outboundSchema;
  })(GetProjectsProjectsFunctionDefaultMemoryType$ ||= {});
  GetProjectsProjectsBuildMachineType$inboundSchema = nativeEnumType(GetProjectsProjectsBuildMachineType);
  GetProjectsProjectsBuildMachineType$outboundSchema = GetProjectsProjectsBuildMachineType$inboundSchema;
  ((GetProjectsProjectsBuildMachineType$) => {
    GetProjectsProjectsBuildMachineType$.inboundSchema = GetProjectsProjectsBuildMachineType$inboundSchema;
    GetProjectsProjectsBuildMachineType$.outboundSchema = GetProjectsProjectsBuildMachineType$outboundSchema;
  })(GetProjectsProjectsBuildMachineType$ ||= {});
  GetProjectsDefaultResourceConfig$inboundSchema = objectType({
    fluid: booleanType().optional(),
    functionDefaultRegions: arrayType(stringType()),
    functionDefaultTimeout: numberType().optional(),
    functionDefaultMemoryType: GetProjectsProjectsFunctionDefaultMemoryType$inboundSchema.optional(),
    functionZeroConfigFailover: booleanType().optional(),
    elasticConcurrencyEnabled: booleanType().optional(),
    buildMachineType: GetProjectsProjectsBuildMachineType$inboundSchema.optional()
  });
  GetProjectsDefaultResourceConfig$outboundSchema = objectType({
    fluid: booleanType().optional(),
    functionDefaultRegions: arrayType(stringType()),
    functionDefaultTimeout: numberType().optional(),
    functionDefaultMemoryType: GetProjectsProjectsFunctionDefaultMemoryType$outboundSchema.optional(),
    functionZeroConfigFailover: booleanType().optional(),
    elasticConcurrencyEnabled: booleanType().optional(),
    buildMachineType: GetProjectsProjectsBuildMachineType$outboundSchema.optional()
  });
  ((GetProjectsDefaultResourceConfig$) => {
    GetProjectsDefaultResourceConfig$.inboundSchema = GetProjectsDefaultResourceConfig$inboundSchema;
    GetProjectsDefaultResourceConfig$.outboundSchema = GetProjectsDefaultResourceConfig$outboundSchema;
  })(GetProjectsDefaultResourceConfig$ ||= {});
  GetProjectsDeploymentType$inboundSchema = nativeEnumType(GetProjectsDeploymentType);
  GetProjectsDeploymentType$outboundSchema = GetProjectsDeploymentType$inboundSchema;
  ((GetProjectsDeploymentType$) => {
    GetProjectsDeploymentType$.inboundSchema = GetProjectsDeploymentType$inboundSchema;
    GetProjectsDeploymentType$.outboundSchema = GetProjectsDeploymentType$outboundSchema;
  })(GetProjectsDeploymentType$ ||= {});
  GetProjectsSsoProtection$inboundSchema = objectType({
    deploymentType: GetProjectsDeploymentType$inboundSchema
  });
  GetProjectsSsoProtection$outboundSchema = objectType({
    deploymentType: GetProjectsDeploymentType$outboundSchema
  });
  ((GetProjectsSsoProtection$) => {
    GetProjectsSsoProtection$.inboundSchema = GetProjectsSsoProtection$inboundSchema;
    GetProjectsSsoProtection$.outboundSchema = GetProjectsSsoProtection$outboundSchema;
  })(GetProjectsSsoProtection$ ||= {});
  GetProjectsProjectsAliasAssigned$inboundSchema = unionType([numberType(), booleanType()]);
  GetProjectsProjectsAliasAssigned$outboundSchema = unionType([numberType(), booleanType()]);
  ((GetProjectsProjectsAliasAssigned$) => {
    GetProjectsProjectsAliasAssigned$.inboundSchema = GetProjectsProjectsAliasAssigned$inboundSchema;
    GetProjectsProjectsAliasAssigned$.outboundSchema = GetProjectsProjectsAliasAssigned$outboundSchema;
  })(GetProjectsProjectsAliasAssigned$ ||= {});
  GetProjectsProjectsAliasError$inboundSchema = objectType({
    code: stringType(),
    message: stringType()
  });
  GetProjectsProjectsAliasError$outboundSchema = objectType({
    code: stringType(),
    message: stringType()
  });
  ((GetProjectsProjectsAliasError$) => {
    GetProjectsProjectsAliasError$.inboundSchema = GetProjectsProjectsAliasError$inboundSchema;
    GetProjectsProjectsAliasError$.outboundSchema = GetProjectsProjectsAliasError$outboundSchema;
  })(GetProjectsProjectsAliasError$ ||= {});
  GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsType$inboundSchema = nativeEnumType(GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsType);
  GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsType$outboundSchema = GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsType$inboundSchema;
  ((GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsType$) => {
    GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsType$.inboundSchema = GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsType$inboundSchema;
    GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsType$.outboundSchema = GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsType$outboundSchema;
  })(GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsType$ ||= {});
  GetProjectsProjectsResponseBranchMatcher$inboundSchema = objectType({
    type: GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsType$inboundSchema,
    pattern: stringType()
  });
  GetProjectsProjectsResponseBranchMatcher$outboundSchema = objectType({
    type: GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsType$outboundSchema,
    pattern: stringType()
  });
  ((GetProjectsProjectsResponseBranchMatcher$) => {
    GetProjectsProjectsResponseBranchMatcher$.inboundSchema = GetProjectsProjectsResponseBranchMatcher$inboundSchema;
    GetProjectsProjectsResponseBranchMatcher$.outboundSchema = GetProjectsProjectsResponseBranchMatcher$outboundSchema;
  })(GetProjectsProjectsResponseBranchMatcher$ ||= {});
  GetProjectsProjectsBuilds$inboundSchema = objectType({
    use: stringType(),
    src: stringType().optional(),
    dest: stringType().optional()
  });
  GetProjectsProjectsBuilds$outboundSchema = objectType({
    use: stringType(),
    src: stringType().optional(),
    dest: stringType().optional()
  });
  ((GetProjectsProjectsBuilds$) => {
    GetProjectsProjectsBuilds$.inboundSchema = GetProjectsProjectsBuilds$inboundSchema;
    GetProjectsProjectsBuilds$.outboundSchema = GetProjectsProjectsBuilds$outboundSchema;
  })(GetProjectsProjectsBuilds$ ||= {});
  GetProjectsProjectsChecksConclusion$inboundSchema = nativeEnumType(GetProjectsProjectsChecksConclusion);
  GetProjectsProjectsChecksConclusion$outboundSchema = GetProjectsProjectsChecksConclusion$inboundSchema;
  ((GetProjectsProjectsChecksConclusion$) => {
    GetProjectsProjectsChecksConclusion$.inboundSchema = GetProjectsProjectsChecksConclusion$inboundSchema;
    GetProjectsProjectsChecksConclusion$.outboundSchema = GetProjectsProjectsChecksConclusion$outboundSchema;
  })(GetProjectsProjectsChecksConclusion$ ||= {});
  GetProjectsProjectsChecksState$inboundSchema = nativeEnumType(GetProjectsProjectsChecksState);
  GetProjectsProjectsChecksState$outboundSchema = GetProjectsProjectsChecksState$inboundSchema;
  ((GetProjectsProjectsChecksState$) => {
    GetProjectsProjectsChecksState$.inboundSchema = GetProjectsProjectsChecksState$inboundSchema;
    GetProjectsProjectsChecksState$.outboundSchema = GetProjectsProjectsChecksState$outboundSchema;
  })(GetProjectsProjectsChecksState$ ||= {});
  GetProjectsProjectsCreator$inboundSchema = objectType({
    email: stringType(),
    githubLogin: stringType().optional(),
    gitlabLogin: stringType().optional(),
    uid: stringType(),
    username: stringType()
  });
  GetProjectsProjectsCreator$outboundSchema = objectType({
    email: stringType(),
    githubLogin: stringType().optional(),
    gitlabLogin: stringType().optional(),
    uid: stringType(),
    username: stringType()
  });
  ((GetProjectsProjectsCreator$) => {
    GetProjectsProjectsCreator$.inboundSchema = GetProjectsProjectsCreator$inboundSchema;
    GetProjectsProjectsCreator$.outboundSchema = GetProjectsProjectsCreator$outboundSchema;
  })(GetProjectsProjectsCreator$ ||= {});
  GetProjectsProjectsOidcTokenClaims$inboundSchema = objectType({
    iss: stringType(),
    sub: stringType(),
    scope: stringType(),
    aud: stringType(),
    owner: stringType(),
    owner_id: stringType(),
    project: stringType(),
    project_id: stringType(),
    environment: stringType()
  }).transform((v2) => {
    return remap(v2, {
      owner_id: "ownerId",
      project_id: "projectId"
    });
  });
  GetProjectsProjectsOidcTokenClaims$outboundSchema = objectType({
    iss: stringType(),
    sub: stringType(),
    scope: stringType(),
    aud: stringType(),
    owner: stringType(),
    ownerId: stringType(),
    project: stringType(),
    projectId: stringType(),
    environment: stringType()
  }).transform((v2) => {
    return remap(v2, {
      ownerId: "owner_id",
      projectId: "project_id"
    });
  });
  ((GetProjectsProjectsOidcTokenClaims$) => {
    GetProjectsProjectsOidcTokenClaims$.inboundSchema = GetProjectsProjectsOidcTokenClaims$inboundSchema;
    GetProjectsProjectsOidcTokenClaims$.outboundSchema = GetProjectsProjectsOidcTokenClaims$outboundSchema;
  })(GetProjectsProjectsOidcTokenClaims$ ||= {});
  GetProjectsProjectsPlan$inboundSchema = nativeEnumType(GetProjectsProjectsPlan);
  GetProjectsProjectsPlan$outboundSchema = GetProjectsProjectsPlan$inboundSchema;
  ((GetProjectsProjectsPlan$) => {
    GetProjectsProjectsPlan$.inboundSchema = GetProjectsProjectsPlan$inboundSchema;
    GetProjectsProjectsPlan$.outboundSchema = GetProjectsProjectsPlan$outboundSchema;
  })(GetProjectsProjectsPlan$ ||= {});
  GetProjectsProjectsReadyState$inboundSchema = nativeEnumType(GetProjectsProjectsReadyState);
  GetProjectsProjectsReadyState$outboundSchema = GetProjectsProjectsReadyState$inboundSchema;
  ((GetProjectsProjectsReadyState$) => {
    GetProjectsProjectsReadyState$.inboundSchema = GetProjectsProjectsReadyState$inboundSchema;
    GetProjectsProjectsReadyState$.outboundSchema = GetProjectsProjectsReadyState$outboundSchema;
  })(GetProjectsProjectsReadyState$ ||= {});
  GetProjectsProjectsReadySubstate$inboundSchema = nativeEnumType(GetProjectsProjectsReadySubstate);
  GetProjectsProjectsReadySubstate$outboundSchema = GetProjectsProjectsReadySubstate$inboundSchema;
  ((GetProjectsProjectsReadySubstate$) => {
    GetProjectsProjectsReadySubstate$.inboundSchema = GetProjectsProjectsReadySubstate$inboundSchema;
    GetProjectsProjectsReadySubstate$.outboundSchema = GetProjectsProjectsReadySubstate$outboundSchema;
  })(GetProjectsProjectsReadySubstate$ ||= {});
  GetProjectsProjectsResponse200Type$inboundSchema = nativeEnumType(GetProjectsProjectsResponse200Type);
  GetProjectsProjectsResponse200Type$outboundSchema = GetProjectsProjectsResponse200Type$inboundSchema;
  ((GetProjectsProjectsResponse200Type$) => {
    GetProjectsProjectsResponse200Type$.inboundSchema = GetProjectsProjectsResponse200Type$inboundSchema;
    GetProjectsProjectsResponse200Type$.outboundSchema = GetProjectsProjectsResponse200Type$outboundSchema;
  })(GetProjectsProjectsResponse200Type$ ||= {});
  GetProjectsTargets$inboundSchema = objectType({
    id: stringType(),
    alias: arrayType(stringType()).optional(),
    aliasAssigned: nullableType(unionType([numberType(), booleanType()])).optional(),
    aliasError: nullableType(lazyType(() => GetProjectsProjectsAliasError$inboundSchema)).optional(),
    aliasFinal: nullableType(stringType()).optional(),
    automaticAliases: arrayType(stringType()).optional(),
    branchMatcher: lazyType(() => GetProjectsProjectsResponseBranchMatcher$inboundSchema).optional(),
    buildingAt: numberType().optional(),
    builds: arrayType(lazyType(() => GetProjectsProjectsBuilds$inboundSchema)).optional(),
    checksConclusion: GetProjectsProjectsChecksConclusion$inboundSchema.optional(),
    checksState: GetProjectsProjectsChecksState$inboundSchema.optional(),
    connectBuildsEnabled: booleanType().optional(),
    connectConfigurationId: stringType().optional(),
    createdAt: numberType(),
    createdIn: stringType(),
    creator: nullableType(lazyType(() => GetProjectsProjectsCreator$inboundSchema)),
    deletedAt: numberType().optional(),
    deploymentHostname: stringType(),
    forced: booleanType().optional(),
    name: stringType(),
    meta: recordType(stringType()).optional(),
    monorepoManager: nullableType(stringType()).optional(),
    oidcTokenClaims: lazyType(() => GetProjectsProjectsOidcTokenClaims$inboundSchema).optional(),
    plan: GetProjectsProjectsPlan$inboundSchema,
    previewCommentsEnabled: booleanType().optional(),
    private: booleanType(),
    readyAt: numberType().optional(),
    readyState: GetProjectsProjectsReadyState$inboundSchema,
    readySubstate: GetProjectsProjectsReadySubstate$inboundSchema.optional(),
    requestedAt: numberType().optional(),
    target: nullableType(stringType()).optional(),
    teamId: nullableType(stringType()).optional(),
    type: GetProjectsProjectsResponse200Type$inboundSchema,
    url: stringType(),
    userId: stringType(),
    withCache: booleanType().optional()
  });
  GetProjectsTargets$outboundSchema = objectType({
    id: stringType(),
    alias: arrayType(stringType()).optional(),
    aliasAssigned: nullableType(unionType([numberType(), booleanType()])).optional(),
    aliasError: nullableType(lazyType(() => GetProjectsProjectsAliasError$outboundSchema)).optional(),
    aliasFinal: nullableType(stringType()).optional(),
    automaticAliases: arrayType(stringType()).optional(),
    branchMatcher: lazyType(() => GetProjectsProjectsResponseBranchMatcher$outboundSchema).optional(),
    buildingAt: numberType().optional(),
    builds: arrayType(lazyType(() => GetProjectsProjectsBuilds$outboundSchema)).optional(),
    checksConclusion: GetProjectsProjectsChecksConclusion$outboundSchema.optional(),
    checksState: GetProjectsProjectsChecksState$outboundSchema.optional(),
    connectBuildsEnabled: booleanType().optional(),
    connectConfigurationId: stringType().optional(),
    createdAt: numberType(),
    createdIn: stringType(),
    creator: nullableType(lazyType(() => GetProjectsProjectsCreator$outboundSchema)),
    deletedAt: numberType().optional(),
    deploymentHostname: stringType(),
    forced: booleanType().optional(),
    name: stringType(),
    meta: recordType(stringType()).optional(),
    monorepoManager: nullableType(stringType()).optional(),
    oidcTokenClaims: lazyType(() => GetProjectsProjectsOidcTokenClaims$outboundSchema).optional(),
    plan: GetProjectsProjectsPlan$outboundSchema,
    previewCommentsEnabled: booleanType().optional(),
    private: booleanType(),
    readyAt: numberType().optional(),
    readyState: GetProjectsProjectsReadyState$outboundSchema,
    readySubstate: GetProjectsProjectsReadySubstate$outboundSchema.optional(),
    requestedAt: numberType().optional(),
    target: nullableType(stringType()).optional(),
    teamId: nullableType(stringType()).optional(),
    type: GetProjectsProjectsResponse200Type$outboundSchema,
    url: stringType(),
    userId: stringType(),
    withCache: booleanType().optional()
  });
  ((GetProjectsTargets$) => {
    GetProjectsTargets$.inboundSchema = GetProjectsTargets$inboundSchema;
    GetProjectsTargets$.outboundSchema = GetProjectsTargets$outboundSchema;
  })(GetProjectsTargets$ ||= {});
  GetProjectsPermissions$inboundSchema = objectType({
    user: arrayType(ACLAction$inboundSchema).optional(),
    userConnection: arrayType(ACLAction$inboundSchema).optional(),
    userSudo: arrayType(ACLAction$inboundSchema).optional(),
    webAuthn: arrayType(ACLAction$inboundSchema).optional(),
    oauth2Connection: arrayType(ACLAction$inboundSchema).optional(),
    accessGroup: arrayType(ACLAction$inboundSchema).optional(),
    aliasGlobal: arrayType(ACLAction$inboundSchema).optional(),
    analyticsSampling: arrayType(ACLAction$inboundSchema).optional(),
    analyticsUsage: arrayType(ACLAction$inboundSchema).optional(),
    auditLog: arrayType(ACLAction$inboundSchema).optional(),
    billingAddress: arrayType(ACLAction$inboundSchema).optional(),
    billingInformation: arrayType(ACLAction$inboundSchema).optional(),
    billingInvoice: arrayType(ACLAction$inboundSchema).optional(),
    billingInvoiceEmailRecipient: arrayType(ACLAction$inboundSchema).optional(),
    billingInvoiceLanguage: arrayType(ACLAction$inboundSchema).optional(),
    billingPlan: arrayType(ACLAction$inboundSchema).optional(),
    billingPurchaseOrder: arrayType(ACLAction$inboundSchema).optional(),
    billingTaxId: arrayType(ACLAction$inboundSchema).optional(),
    blob: arrayType(ACLAction$inboundSchema).optional(),
    budget: arrayType(ACLAction$inboundSchema).optional(),
    cacheArtifact: arrayType(ACLAction$inboundSchema).optional(),
    cacheArtifactUsageEvent: arrayType(ACLAction$inboundSchema).optional(),
    codeChecks: arrayType(ACLAction$inboundSchema).optional(),
    concurrentBuilds: arrayType(ACLAction$inboundSchema).optional(),
    connect: arrayType(ACLAction$inboundSchema).optional(),
    connectConfiguration: arrayType(ACLAction$inboundSchema).optional(),
    domain: arrayType(ACLAction$inboundSchema).optional(),
    domainAcceptDelegation: arrayType(ACLAction$inboundSchema).optional(),
    domainAuthCodes: arrayType(ACLAction$inboundSchema).optional(),
    domainCertificate: arrayType(ACLAction$inboundSchema).optional(),
    domainCheckConfig: arrayType(ACLAction$inboundSchema).optional(),
    domainMove: arrayType(ACLAction$inboundSchema).optional(),
    domainPurchase: arrayType(ACLAction$inboundSchema).optional(),
    domainRecord: arrayType(ACLAction$inboundSchema).optional(),
    domainTransferIn: arrayType(ACLAction$inboundSchema).optional(),
    event: arrayType(ACLAction$inboundSchema).optional(),
    ownEvent: arrayType(ACLAction$inboundSchema).optional(),
    sensitiveEnvironmentVariablePolicy: arrayType(ACLAction$inboundSchema).optional(),
    fileUpload: arrayType(ACLAction$inboundSchema).optional(),
    flagsExplorerSubscription: arrayType(ACLAction$inboundSchema).optional(),
    gitRepository: arrayType(ACLAction$inboundSchema).optional(),
    ipBlocking: arrayType(ACLAction$inboundSchema).optional(),
    imageOptimizationNewPrice: arrayType(ACLAction$inboundSchema).optional(),
    integration: arrayType(ACLAction$inboundSchema).optional(),
    integrationAccount: arrayType(ACLAction$inboundSchema).optional(),
    integrationConfiguration: arrayType(ACLAction$inboundSchema).optional(),
    integrationConfigurationTransfer: arrayType(ACLAction$inboundSchema).optional(),
    integrationConfigurationProjects: arrayType(ACLAction$inboundSchema).optional(),
    integrationVercelConfigurationOverride: arrayType(ACLAction$inboundSchema).optional(),
    integrationConfigurationRole: arrayType(ACLAction$inboundSchema).optional(),
    integrationSSOSession: arrayType(ACLAction$inboundSchema).optional(),
    integrationResource: arrayType(ACLAction$inboundSchema).optional(),
    integrationEvent: arrayType(ACLAction$inboundSchema).optional(),
    integrationResourceSecrets: arrayType(ACLAction$inboundSchema).optional(),
    integrationDeploymentAction: arrayType(ACLAction$inboundSchema).optional(),
    marketplaceInstallationMember: arrayType(ACLAction$inboundSchema).optional(),
    marketplaceBillingData: arrayType(ACLAction$inboundSchema).optional(),
    marketplaceInvoice: arrayType(ACLAction$inboundSchema).optional(),
    marketplaceExperimentationItem: arrayType(ACLAction$inboundSchema).optional(),
    marketplaceExperimentationEdgeConfigData: arrayType(ACLAction$inboundSchema).optional(),
    jobGlobal: arrayType(ACLAction$inboundSchema).optional(),
    drain: arrayType(ACLAction$inboundSchema).optional(),
    logDrain: arrayType(ACLAction$inboundSchema).optional(),
    Monitoring: arrayType(ACLAction$inboundSchema).optional(),
    monitoringSettings: arrayType(ACLAction$inboundSchema).optional(),
    monitoringQuery: arrayType(ACLAction$inboundSchema).optional(),
    monitoringChart: arrayType(ACLAction$inboundSchema).optional(),
    monitoringAlert: arrayType(ACLAction$inboundSchema).optional(),
    notificationDeploymentFailed: arrayType(ACLAction$inboundSchema).optional(),
    notificationDomainConfiguration: arrayType(ACLAction$inboundSchema).optional(),
    notificationDomainExpire: arrayType(ACLAction$inboundSchema).optional(),
    notificationDomainMoved: arrayType(ACLAction$inboundSchema).optional(),
    notificationDomainPurchase: arrayType(ACLAction$inboundSchema).optional(),
    notificationDomainRenewal: arrayType(ACLAction$inboundSchema).optional(),
    notificationDomainTransfer: arrayType(ACLAction$inboundSchema).optional(),
    notificationDomainUnverified: arrayType(ACLAction$inboundSchema).optional(),
    NotificationMonitoringAlert: arrayType(ACLAction$inboundSchema).optional(),
    notificationPaymentFailed: arrayType(ACLAction$inboundSchema).optional(),
    notificationUsageAlert: arrayType(ACLAction$inboundSchema).optional(),
    notificationCustomerBudget: arrayType(ACLAction$inboundSchema).optional(),
    notificationStatementOfReasons: arrayType(ACLAction$inboundSchema).optional(),
    observabilityConfiguration: arrayType(ACLAction$inboundSchema).optional(),
    observabilityNotebook: arrayType(ACLAction$inboundSchema).optional(),
    openTelemetryEndpoint: arrayType(ACLAction$inboundSchema).optional(),
    vercelAppInstallation: arrayType(ACLAction$inboundSchema).optional(),
    paymentMethod: arrayType(ACLAction$inboundSchema).optional(),
    permissions: arrayType(ACLAction$inboundSchema).optional(),
    postgres: arrayType(ACLAction$inboundSchema).optional(),
    previewDeploymentSuffix: arrayType(ACLAction$inboundSchema).optional(),
    proTrialOnboarding: arrayType(ACLAction$inboundSchema).optional(),
    sharedEnvVars: arrayType(ACLAction$inboundSchema).optional(),
    sharedEnvVarsProduction: arrayType(ACLAction$inboundSchema).optional(),
    space: arrayType(ACLAction$inboundSchema).optional(),
    spaceRun: arrayType(ACLAction$inboundSchema).optional(),
    passwordProtectionInvoiceItem: arrayType(ACLAction$inboundSchema).optional(),
    rateLimit: arrayType(ACLAction$inboundSchema).optional(),
    redis: arrayType(ACLAction$inboundSchema).optional(),
    repository: arrayType(ACLAction$inboundSchema).optional(),
    remoteCaching: arrayType(ACLAction$inboundSchema).optional(),
    samlConfig: arrayType(ACLAction$inboundSchema).optional(),
    secret: arrayType(ACLAction$inboundSchema).optional(),
    redisStoreTokenSet: arrayType(ACLAction$inboundSchema).optional(),
    blobStoreTokenSet: arrayType(ACLAction$inboundSchema).optional(),
    postgresStoreTokenSet: arrayType(ACLAction$inboundSchema).optional(),
    integrationStoreTokenSet: arrayType(ACLAction$inboundSchema).optional(),
    integrationResourceReplCommand: arrayType(ACLAction$inboundSchema).optional(),
    storeTransfer: arrayType(ACLAction$inboundSchema).optional(),
    supportCase: arrayType(ACLAction$inboundSchema).optional(),
    supportCaseComment: arrayType(ACLAction$inboundSchema).optional(),
    dataCacheBillingSettings: arrayType(ACLAction$inboundSchema).optional(),
    team: arrayType(ACLAction$inboundSchema).optional(),
    teamAccessRequest: arrayType(ACLAction$inboundSchema).optional(),
    teamFellowMembership: arrayType(ACLAction$inboundSchema).optional(),
    teamGitExclusivity: arrayType(ACLAction$inboundSchema).optional(),
    teamInvite: arrayType(ACLAction$inboundSchema).optional(),
    teamInviteCode: arrayType(ACLAction$inboundSchema).optional(),
    teamJoin: arrayType(ACLAction$inboundSchema).optional(),
    teamMemberMfaStatus: arrayType(ACLAction$inboundSchema).optional(),
    teamMicrofrontends: arrayType(ACLAction$inboundSchema).optional(),
    teamOwnMembership: arrayType(ACLAction$inboundSchema).optional(),
    teamOwnMembershipDisconnectSAML: arrayType(ACLAction$inboundSchema).optional(),
    token: arrayType(ACLAction$inboundSchema).optional(),
    usage: arrayType(ACLAction$inboundSchema).optional(),
    usageCycle: arrayType(ACLAction$inboundSchema).optional(),
    vpcPeeringConnection: arrayType(ACLAction$inboundSchema).optional(),
    webAnalyticsPlan: arrayType(ACLAction$inboundSchema).optional(),
    edgeConfig: arrayType(ACLAction$inboundSchema).optional(),
    edgeConfigItem: arrayType(ACLAction$inboundSchema).optional(),
    edgeConfigSchema: arrayType(ACLAction$inboundSchema).optional(),
    edgeConfigToken: arrayType(ACLAction$inboundSchema).optional(),
    webhook: arrayType(ACLAction$inboundSchema).optional(),
    "webhook-event": arrayType(ACLAction$inboundSchema).optional(),
    endpointVerification: arrayType(ACLAction$inboundSchema).optional(),
    projectTransferIn: arrayType(ACLAction$inboundSchema).optional(),
    oauth2Application: arrayType(ACLAction$inboundSchema).optional(),
    vercelRun: arrayType(ACLAction$inboundSchema).optional(),
    vercelRunExec: arrayType(ACLAction$inboundSchema).optional(),
    aliasProject: arrayType(ACLAction$inboundSchema).optional(),
    aliasProtectionBypass: arrayType(ACLAction$inboundSchema).optional(),
    productionAliasProtectionBypass: arrayType(ACLAction$inboundSchema).optional(),
    connectConfigurationLink: arrayType(ACLAction$inboundSchema).optional(),
    dataCacheNamespace: arrayType(ACLAction$inboundSchema).optional(),
    deployment: arrayType(ACLAction$inboundSchema).optional(),
    deploymentCheck: arrayType(ACLAction$inboundSchema).optional(),
    deploymentCheckPreview: arrayType(ACLAction$inboundSchema).optional(),
    deploymentCheckReRunFromProductionBranch: arrayType(ACLAction$inboundSchema).optional(),
    deploymentProductionGit: arrayType(ACLAction$inboundSchema).optional(),
    deploymentV0: arrayType(ACLAction$inboundSchema).optional(),
    deploymentPreview: arrayType(ACLAction$inboundSchema).optional(),
    deploymentPrivate: arrayType(ACLAction$inboundSchema).optional(),
    deploymentPromote: arrayType(ACLAction$inboundSchema).optional(),
    deploymentRollback: arrayType(ACLAction$inboundSchema).optional(),
    edgeCacheNamespace: arrayType(ACLAction$inboundSchema).optional(),
    environments: arrayType(ACLAction$inboundSchema).optional(),
    logs: arrayType(ACLAction$inboundSchema).optional(),
    logsPreset: arrayType(ACLAction$inboundSchema).optional(),
    passwordProtection: arrayType(ACLAction$inboundSchema).optional(),
    optionsAllowlist: arrayType(ACLAction$inboundSchema).optional(),
    job: arrayType(ACLAction$inboundSchema).optional(),
    observabilityData: arrayType(ACLAction$inboundSchema).optional(),
    project: arrayType(ACLAction$inboundSchema).optional(),
    projectFromV0: arrayType(ACLAction$inboundSchema).optional(),
    projectAccessGroup: arrayType(ACLAction$inboundSchema).optional(),
    projectAnalyticsSampling: arrayType(ACLAction$inboundSchema).optional(),
    projectCheck: arrayType(ACLAction$inboundSchema).optional(),
    projectCheckRun: arrayType(ACLAction$inboundSchema).optional(),
    projectDeploymentHook: arrayType(ACLAction$inboundSchema).optional(),
    projectDomain: arrayType(ACLAction$inboundSchema).optional(),
    projectDomainMove: arrayType(ACLAction$inboundSchema).optional(),
    projectDomainCheckConfig: arrayType(ACLAction$inboundSchema).optional(),
    projectEnvVars: arrayType(ACLAction$inboundSchema).optional(),
    projectEnvVarsProduction: arrayType(ACLAction$inboundSchema).optional(),
    projectEnvVarsUnownedByIntegration: arrayType(ACLAction$inboundSchema).optional(),
    projectFlags: arrayType(ACLAction$inboundSchema).optional(),
    projectId: arrayType(ACLAction$inboundSchema).optional(),
    projectIntegrationConfiguration: arrayType(ACLAction$inboundSchema).optional(),
    projectLink: arrayType(ACLAction$inboundSchema).optional(),
    projectMember: arrayType(ACLAction$inboundSchema).optional(),
    projectMonitoring: arrayType(ACLAction$inboundSchema).optional(),
    projectPermissions: arrayType(ACLAction$inboundSchema).optional(),
    projectProductionBranch: arrayType(ACLAction$inboundSchema).optional(),
    projectTransfer: arrayType(ACLAction$inboundSchema).optional(),
    projectTransferOut: arrayType(ACLAction$inboundSchema).optional(),
    projectProtectionBypass: arrayType(ACLAction$inboundSchema).optional(),
    projectUsage: arrayType(ACLAction$inboundSchema).optional(),
    projectAnalyticsUsage: arrayType(ACLAction$inboundSchema).optional(),
    projectSupportCase: arrayType(ACLAction$inboundSchema).optional(),
    projectSupportCaseComment: arrayType(ACLAction$inboundSchema).optional(),
    projectDeploymentExpiration: arrayType(ACLAction$inboundSchema).optional(),
    projectRollingRelease: arrayType(ACLAction$inboundSchema).optional(),
    projectTier: arrayType(ACLAction$inboundSchema).optional(),
    seawallConfig: arrayType(ACLAction$inboundSchema).optional(),
    skewProtection: arrayType(ACLAction$inboundSchema).optional(),
    analytics: arrayType(ACLAction$inboundSchema).optional(),
    trustedIps: arrayType(ACLAction$inboundSchema).optional(),
    webAnalytics: arrayType(ACLAction$inboundSchema).optional(),
    sharedEnvVarConnection: arrayType(ACLAction$inboundSchema).optional(),
    sonar: arrayType(ACLAction$inboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      Monitoring: "monitoring",
      NotificationMonitoringAlert: "notificationMonitoringAlert",
      "webhook-event": "webhookEvent"
    });
  });
  GetProjectsPermissions$outboundSchema = objectType({
    user: arrayType(ACLAction$outboundSchema).optional(),
    userConnection: arrayType(ACLAction$outboundSchema).optional(),
    userSudo: arrayType(ACLAction$outboundSchema).optional(),
    webAuthn: arrayType(ACLAction$outboundSchema).optional(),
    oauth2Connection: arrayType(ACLAction$outboundSchema).optional(),
    accessGroup: arrayType(ACLAction$outboundSchema).optional(),
    aliasGlobal: arrayType(ACLAction$outboundSchema).optional(),
    analyticsSampling: arrayType(ACLAction$outboundSchema).optional(),
    analyticsUsage: arrayType(ACLAction$outboundSchema).optional(),
    auditLog: arrayType(ACLAction$outboundSchema).optional(),
    billingAddress: arrayType(ACLAction$outboundSchema).optional(),
    billingInformation: arrayType(ACLAction$outboundSchema).optional(),
    billingInvoice: arrayType(ACLAction$outboundSchema).optional(),
    billingInvoiceEmailRecipient: arrayType(ACLAction$outboundSchema).optional(),
    billingInvoiceLanguage: arrayType(ACLAction$outboundSchema).optional(),
    billingPlan: arrayType(ACLAction$outboundSchema).optional(),
    billingPurchaseOrder: arrayType(ACLAction$outboundSchema).optional(),
    billingTaxId: arrayType(ACLAction$outboundSchema).optional(),
    blob: arrayType(ACLAction$outboundSchema).optional(),
    budget: arrayType(ACLAction$outboundSchema).optional(),
    cacheArtifact: arrayType(ACLAction$outboundSchema).optional(),
    cacheArtifactUsageEvent: arrayType(ACLAction$outboundSchema).optional(),
    codeChecks: arrayType(ACLAction$outboundSchema).optional(),
    concurrentBuilds: arrayType(ACLAction$outboundSchema).optional(),
    connect: arrayType(ACLAction$outboundSchema).optional(),
    connectConfiguration: arrayType(ACLAction$outboundSchema).optional(),
    domain: arrayType(ACLAction$outboundSchema).optional(),
    domainAcceptDelegation: arrayType(ACLAction$outboundSchema).optional(),
    domainAuthCodes: arrayType(ACLAction$outboundSchema).optional(),
    domainCertificate: arrayType(ACLAction$outboundSchema).optional(),
    domainCheckConfig: arrayType(ACLAction$outboundSchema).optional(),
    domainMove: arrayType(ACLAction$outboundSchema).optional(),
    domainPurchase: arrayType(ACLAction$outboundSchema).optional(),
    domainRecord: arrayType(ACLAction$outboundSchema).optional(),
    domainTransferIn: arrayType(ACLAction$outboundSchema).optional(),
    event: arrayType(ACLAction$outboundSchema).optional(),
    ownEvent: arrayType(ACLAction$outboundSchema).optional(),
    sensitiveEnvironmentVariablePolicy: arrayType(ACLAction$outboundSchema).optional(),
    fileUpload: arrayType(ACLAction$outboundSchema).optional(),
    flagsExplorerSubscription: arrayType(ACLAction$outboundSchema).optional(),
    gitRepository: arrayType(ACLAction$outboundSchema).optional(),
    ipBlocking: arrayType(ACLAction$outboundSchema).optional(),
    imageOptimizationNewPrice: arrayType(ACLAction$outboundSchema).optional(),
    integration: arrayType(ACLAction$outboundSchema).optional(),
    integrationAccount: arrayType(ACLAction$outboundSchema).optional(),
    integrationConfiguration: arrayType(ACLAction$outboundSchema).optional(),
    integrationConfigurationTransfer: arrayType(ACLAction$outboundSchema).optional(),
    integrationConfigurationProjects: arrayType(ACLAction$outboundSchema).optional(),
    integrationVercelConfigurationOverride: arrayType(ACLAction$outboundSchema).optional(),
    integrationConfigurationRole: arrayType(ACLAction$outboundSchema).optional(),
    integrationSSOSession: arrayType(ACLAction$outboundSchema).optional(),
    integrationResource: arrayType(ACLAction$outboundSchema).optional(),
    integrationEvent: arrayType(ACLAction$outboundSchema).optional(),
    integrationResourceSecrets: arrayType(ACLAction$outboundSchema).optional(),
    integrationDeploymentAction: arrayType(ACLAction$outboundSchema).optional(),
    marketplaceInstallationMember: arrayType(ACLAction$outboundSchema).optional(),
    marketplaceBillingData: arrayType(ACLAction$outboundSchema).optional(),
    marketplaceInvoice: arrayType(ACLAction$outboundSchema).optional(),
    marketplaceExperimentationItem: arrayType(ACLAction$outboundSchema).optional(),
    marketplaceExperimentationEdgeConfigData: arrayType(ACLAction$outboundSchema).optional(),
    jobGlobal: arrayType(ACLAction$outboundSchema).optional(),
    drain: arrayType(ACLAction$outboundSchema).optional(),
    logDrain: arrayType(ACLAction$outboundSchema).optional(),
    monitoring: arrayType(ACLAction$outboundSchema).optional(),
    monitoringSettings: arrayType(ACLAction$outboundSchema).optional(),
    monitoringQuery: arrayType(ACLAction$outboundSchema).optional(),
    monitoringChart: arrayType(ACLAction$outboundSchema).optional(),
    monitoringAlert: arrayType(ACLAction$outboundSchema).optional(),
    notificationDeploymentFailed: arrayType(ACLAction$outboundSchema).optional(),
    notificationDomainConfiguration: arrayType(ACLAction$outboundSchema).optional(),
    notificationDomainExpire: arrayType(ACLAction$outboundSchema).optional(),
    notificationDomainMoved: arrayType(ACLAction$outboundSchema).optional(),
    notificationDomainPurchase: arrayType(ACLAction$outboundSchema).optional(),
    notificationDomainRenewal: arrayType(ACLAction$outboundSchema).optional(),
    notificationDomainTransfer: arrayType(ACLAction$outboundSchema).optional(),
    notificationDomainUnverified: arrayType(ACLAction$outboundSchema).optional(),
    notificationMonitoringAlert: arrayType(ACLAction$outboundSchema).optional(),
    notificationPaymentFailed: arrayType(ACLAction$outboundSchema).optional(),
    notificationUsageAlert: arrayType(ACLAction$outboundSchema).optional(),
    notificationCustomerBudget: arrayType(ACLAction$outboundSchema).optional(),
    notificationStatementOfReasons: arrayType(ACLAction$outboundSchema).optional(),
    observabilityConfiguration: arrayType(ACLAction$outboundSchema).optional(),
    observabilityNotebook: arrayType(ACLAction$outboundSchema).optional(),
    openTelemetryEndpoint: arrayType(ACLAction$outboundSchema).optional(),
    vercelAppInstallation: arrayType(ACLAction$outboundSchema).optional(),
    paymentMethod: arrayType(ACLAction$outboundSchema).optional(),
    permissions: arrayType(ACLAction$outboundSchema).optional(),
    postgres: arrayType(ACLAction$outboundSchema).optional(),
    previewDeploymentSuffix: arrayType(ACLAction$outboundSchema).optional(),
    proTrialOnboarding: arrayType(ACLAction$outboundSchema).optional(),
    sharedEnvVars: arrayType(ACLAction$outboundSchema).optional(),
    sharedEnvVarsProduction: arrayType(ACLAction$outboundSchema).optional(),
    space: arrayType(ACLAction$outboundSchema).optional(),
    spaceRun: arrayType(ACLAction$outboundSchema).optional(),
    passwordProtectionInvoiceItem: arrayType(ACLAction$outboundSchema).optional(),
    rateLimit: arrayType(ACLAction$outboundSchema).optional(),
    redis: arrayType(ACLAction$outboundSchema).optional(),
    repository: arrayType(ACLAction$outboundSchema).optional(),
    remoteCaching: arrayType(ACLAction$outboundSchema).optional(),
    samlConfig: arrayType(ACLAction$outboundSchema).optional(),
    secret: arrayType(ACLAction$outboundSchema).optional(),
    redisStoreTokenSet: arrayType(ACLAction$outboundSchema).optional(),
    blobStoreTokenSet: arrayType(ACLAction$outboundSchema).optional(),
    postgresStoreTokenSet: arrayType(ACLAction$outboundSchema).optional(),
    integrationStoreTokenSet: arrayType(ACLAction$outboundSchema).optional(),
    integrationResourceReplCommand: arrayType(ACLAction$outboundSchema).optional(),
    storeTransfer: arrayType(ACLAction$outboundSchema).optional(),
    supportCase: arrayType(ACLAction$outboundSchema).optional(),
    supportCaseComment: arrayType(ACLAction$outboundSchema).optional(),
    dataCacheBillingSettings: arrayType(ACLAction$outboundSchema).optional(),
    team: arrayType(ACLAction$outboundSchema).optional(),
    teamAccessRequest: arrayType(ACLAction$outboundSchema).optional(),
    teamFellowMembership: arrayType(ACLAction$outboundSchema).optional(),
    teamGitExclusivity: arrayType(ACLAction$outboundSchema).optional(),
    teamInvite: arrayType(ACLAction$outboundSchema).optional(),
    teamInviteCode: arrayType(ACLAction$outboundSchema).optional(),
    teamJoin: arrayType(ACLAction$outboundSchema).optional(),
    teamMemberMfaStatus: arrayType(ACLAction$outboundSchema).optional(),
    teamMicrofrontends: arrayType(ACLAction$outboundSchema).optional(),
    teamOwnMembership: arrayType(ACLAction$outboundSchema).optional(),
    teamOwnMembershipDisconnectSAML: arrayType(ACLAction$outboundSchema).optional(),
    token: arrayType(ACLAction$outboundSchema).optional(),
    usage: arrayType(ACLAction$outboundSchema).optional(),
    usageCycle: arrayType(ACLAction$outboundSchema).optional(),
    vpcPeeringConnection: arrayType(ACLAction$outboundSchema).optional(),
    webAnalyticsPlan: arrayType(ACLAction$outboundSchema).optional(),
    edgeConfig: arrayType(ACLAction$outboundSchema).optional(),
    edgeConfigItem: arrayType(ACLAction$outboundSchema).optional(),
    edgeConfigSchema: arrayType(ACLAction$outboundSchema).optional(),
    edgeConfigToken: arrayType(ACLAction$outboundSchema).optional(),
    webhook: arrayType(ACLAction$outboundSchema).optional(),
    webhookEvent: arrayType(ACLAction$outboundSchema).optional(),
    endpointVerification: arrayType(ACLAction$outboundSchema).optional(),
    projectTransferIn: arrayType(ACLAction$outboundSchema).optional(),
    oauth2Application: arrayType(ACLAction$outboundSchema).optional(),
    vercelRun: arrayType(ACLAction$outboundSchema).optional(),
    vercelRunExec: arrayType(ACLAction$outboundSchema).optional(),
    aliasProject: arrayType(ACLAction$outboundSchema).optional(),
    aliasProtectionBypass: arrayType(ACLAction$outboundSchema).optional(),
    productionAliasProtectionBypass: arrayType(ACLAction$outboundSchema).optional(),
    connectConfigurationLink: arrayType(ACLAction$outboundSchema).optional(),
    dataCacheNamespace: arrayType(ACLAction$outboundSchema).optional(),
    deployment: arrayType(ACLAction$outboundSchema).optional(),
    deploymentCheck: arrayType(ACLAction$outboundSchema).optional(),
    deploymentCheckPreview: arrayType(ACLAction$outboundSchema).optional(),
    deploymentCheckReRunFromProductionBranch: arrayType(ACLAction$outboundSchema).optional(),
    deploymentProductionGit: arrayType(ACLAction$outboundSchema).optional(),
    deploymentV0: arrayType(ACLAction$outboundSchema).optional(),
    deploymentPreview: arrayType(ACLAction$outboundSchema).optional(),
    deploymentPrivate: arrayType(ACLAction$outboundSchema).optional(),
    deploymentPromote: arrayType(ACLAction$outboundSchema).optional(),
    deploymentRollback: arrayType(ACLAction$outboundSchema).optional(),
    edgeCacheNamespace: arrayType(ACLAction$outboundSchema).optional(),
    environments: arrayType(ACLAction$outboundSchema).optional(),
    logs: arrayType(ACLAction$outboundSchema).optional(),
    logsPreset: arrayType(ACLAction$outboundSchema).optional(),
    passwordProtection: arrayType(ACLAction$outboundSchema).optional(),
    optionsAllowlist: arrayType(ACLAction$outboundSchema).optional(),
    job: arrayType(ACLAction$outboundSchema).optional(),
    observabilityData: arrayType(ACLAction$outboundSchema).optional(),
    project: arrayType(ACLAction$outboundSchema).optional(),
    projectFromV0: arrayType(ACLAction$outboundSchema).optional(),
    projectAccessGroup: arrayType(ACLAction$outboundSchema).optional(),
    projectAnalyticsSampling: arrayType(ACLAction$outboundSchema).optional(),
    projectCheck: arrayType(ACLAction$outboundSchema).optional(),
    projectCheckRun: arrayType(ACLAction$outboundSchema).optional(),
    projectDeploymentHook: arrayType(ACLAction$outboundSchema).optional(),
    projectDomain: arrayType(ACLAction$outboundSchema).optional(),
    projectDomainMove: arrayType(ACLAction$outboundSchema).optional(),
    projectDomainCheckConfig: arrayType(ACLAction$outboundSchema).optional(),
    projectEnvVars: arrayType(ACLAction$outboundSchema).optional(),
    projectEnvVarsProduction: arrayType(ACLAction$outboundSchema).optional(),
    projectEnvVarsUnownedByIntegration: arrayType(ACLAction$outboundSchema).optional(),
    projectFlags: arrayType(ACLAction$outboundSchema).optional(),
    projectId: arrayType(ACLAction$outboundSchema).optional(),
    projectIntegrationConfiguration: arrayType(ACLAction$outboundSchema).optional(),
    projectLink: arrayType(ACLAction$outboundSchema).optional(),
    projectMember: arrayType(ACLAction$outboundSchema).optional(),
    projectMonitoring: arrayType(ACLAction$outboundSchema).optional(),
    projectPermissions: arrayType(ACLAction$outboundSchema).optional(),
    projectProductionBranch: arrayType(ACLAction$outboundSchema).optional(),
    projectTransfer: arrayType(ACLAction$outboundSchema).optional(),
    projectTransferOut: arrayType(ACLAction$outboundSchema).optional(),
    projectProtectionBypass: arrayType(ACLAction$outboundSchema).optional(),
    projectUsage: arrayType(ACLAction$outboundSchema).optional(),
    projectAnalyticsUsage: arrayType(ACLAction$outboundSchema).optional(),
    projectSupportCase: arrayType(ACLAction$outboundSchema).optional(),
    projectSupportCaseComment: arrayType(ACLAction$outboundSchema).optional(),
    projectDeploymentExpiration: arrayType(ACLAction$outboundSchema).optional(),
    projectRollingRelease: arrayType(ACLAction$outboundSchema).optional(),
    projectTier: arrayType(ACLAction$outboundSchema).optional(),
    seawallConfig: arrayType(ACLAction$outboundSchema).optional(),
    skewProtection: arrayType(ACLAction$outboundSchema).optional(),
    analytics: arrayType(ACLAction$outboundSchema).optional(),
    trustedIps: arrayType(ACLAction$outboundSchema).optional(),
    webAnalytics: arrayType(ACLAction$outboundSchema).optional(),
    sharedEnvVarConnection: arrayType(ACLAction$outboundSchema).optional(),
    sonar: arrayType(ACLAction$outboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      monitoring: "Monitoring",
      notificationMonitoringAlert: "NotificationMonitoringAlert",
      webhookEvent: "webhook-event"
    });
  });
  ((GetProjectsPermissions$) => {
    GetProjectsPermissions$.inboundSchema = GetProjectsPermissions$inboundSchema;
    GetProjectsPermissions$.outboundSchema = GetProjectsPermissions$outboundSchema;
  })(GetProjectsPermissions$ ||= {});
  GetProjectsLastRollbackTarget$inboundSchema = objectType({});
  GetProjectsLastRollbackTarget$outboundSchema = objectType({});
  ((GetProjectsLastRollbackTarget$) => {
    GetProjectsLastRollbackTarget$.inboundSchema = GetProjectsLastRollbackTarget$inboundSchema;
    GetProjectsLastRollbackTarget$.outboundSchema = GetProjectsLastRollbackTarget$outboundSchema;
  })(GetProjectsLastRollbackTarget$ ||= {});
  GetProjectsJobStatus$inboundSchema = nativeEnumType(GetProjectsJobStatus);
  GetProjectsJobStatus$outboundSchema = GetProjectsJobStatus$inboundSchema;
  ((GetProjectsJobStatus$) => {
    GetProjectsJobStatus$.inboundSchema = GetProjectsJobStatus$inboundSchema;
    GetProjectsJobStatus$.outboundSchema = GetProjectsJobStatus$outboundSchema;
  })(GetProjectsJobStatus$ ||= {});
  GetProjectsProjectsResponse200ApplicationJSONType$inboundSchema = nativeEnumType(GetProjectsProjectsResponse200ApplicationJSONType);
  GetProjectsProjectsResponse200ApplicationJSONType$outboundSchema = GetProjectsProjectsResponse200ApplicationJSONType$inboundSchema;
  ((GetProjectsProjectsResponse200ApplicationJSONType$) => {
    GetProjectsProjectsResponse200ApplicationJSONType$.inboundSchema = GetProjectsProjectsResponse200ApplicationJSONType$inboundSchema;
    GetProjectsProjectsResponse200ApplicationJSONType$.outboundSchema = GetProjectsProjectsResponse200ApplicationJSONType$outboundSchema;
  })(GetProjectsProjectsResponse200ApplicationJSONType$ ||= {});
  GetProjectsLastAliasRequest$inboundSchema = objectType({
    fromDeploymentId: stringType(),
    toDeploymentId: stringType(),
    fromRollingReleaseId: stringType().optional(),
    jobStatus: GetProjectsJobStatus$inboundSchema,
    requestedAt: numberType(),
    type: GetProjectsProjectsResponse200ApplicationJSONType$inboundSchema
  });
  GetProjectsLastAliasRequest$outboundSchema = objectType({
    fromDeploymentId: stringType(),
    toDeploymentId: stringType(),
    fromRollingReleaseId: stringType().optional(),
    jobStatus: GetProjectsJobStatus$outboundSchema,
    requestedAt: numberType(),
    type: GetProjectsProjectsResponse200ApplicationJSONType$outboundSchema
  });
  ((GetProjectsLastAliasRequest$) => {
    GetProjectsLastAliasRequest$.inboundSchema = GetProjectsLastAliasRequest$inboundSchema;
    GetProjectsLastAliasRequest$.outboundSchema = GetProjectsLastAliasRequest$outboundSchema;
  })(GetProjectsLastAliasRequest$ ||= {});
  GetProjectsProtectionBypassProjectsScope$inboundSchema = nativeEnumType(GetProjectsProtectionBypassProjectsScope);
  GetProjectsProtectionBypassProjectsScope$outboundSchema = GetProjectsProtectionBypassProjectsScope$inboundSchema;
  ((GetProjectsProtectionBypassProjectsScope$) => {
    GetProjectsProtectionBypassProjectsScope$.inboundSchema = GetProjectsProtectionBypassProjectsScope$inboundSchema;
    GetProjectsProtectionBypassProjectsScope$.outboundSchema = GetProjectsProtectionBypassProjectsScope$outboundSchema;
  })(GetProjectsProtectionBypassProjectsScope$ ||= {});
  GetProjectsProtectionBypass2$inboundSchema = objectType({
    createdAt: numberType(),
    createdBy: stringType(),
    scope: GetProjectsProtectionBypassProjectsScope$inboundSchema
  });
  GetProjectsProtectionBypass2$outboundSchema = objectType({
    createdAt: numberType(),
    createdBy: stringType(),
    scope: GetProjectsProtectionBypassProjectsScope$outboundSchema
  });
  ((GetProjectsProtectionBypass2$) => {
    GetProjectsProtectionBypass2$.inboundSchema = GetProjectsProtectionBypass2$inboundSchema;
    GetProjectsProtectionBypass2$.outboundSchema = GetProjectsProtectionBypass2$outboundSchema;
  })(GetProjectsProtectionBypass2$ ||= {});
  GetProjectsProtectionBypassScope$inboundSchema = nativeEnumType(GetProjectsProtectionBypassScope);
  GetProjectsProtectionBypassScope$outboundSchema = GetProjectsProtectionBypassScope$inboundSchema;
  ((GetProjectsProtectionBypassScope$) => {
    GetProjectsProtectionBypassScope$.inboundSchema = GetProjectsProtectionBypassScope$inboundSchema;
    GetProjectsProtectionBypassScope$.outboundSchema = GetProjectsProtectionBypassScope$outboundSchema;
  })(GetProjectsProtectionBypassScope$ ||= {});
  GetProjectsProtectionBypass1$inboundSchema = objectType({
    createdAt: numberType(),
    createdBy: stringType(),
    scope: GetProjectsProtectionBypassScope$inboundSchema,
    integrationId: stringType(),
    configurationId: stringType()
  });
  GetProjectsProtectionBypass1$outboundSchema = objectType({
    createdAt: numberType(),
    createdBy: stringType(),
    scope: GetProjectsProtectionBypassScope$outboundSchema,
    integrationId: stringType(),
    configurationId: stringType()
  });
  ((GetProjectsProtectionBypass1$) => {
    GetProjectsProtectionBypass1$.inboundSchema = GetProjectsProtectionBypass1$inboundSchema;
    GetProjectsProtectionBypass1$.outboundSchema = GetProjectsProtectionBypass1$outboundSchema;
  })(GetProjectsProtectionBypass1$ ||= {});
  GetProjectsProtectionBypass$inboundSchema = unionType([
    lazyType(() => GetProjectsProtectionBypass2$inboundSchema),
    lazyType(() => GetProjectsProtectionBypass1$inboundSchema)
  ]);
  GetProjectsProtectionBypass$outboundSchema = unionType([
    lazyType(() => GetProjectsProtectionBypass2$outboundSchema),
    lazyType(() => GetProjectsProtectionBypass1$outboundSchema)
  ]);
  ((GetProjectsProtectionBypass$) => {
    GetProjectsProtectionBypass$.inboundSchema = GetProjectsProtectionBypass$inboundSchema;
    GetProjectsProtectionBypass$.outboundSchema = GetProjectsProtectionBypass$outboundSchema;
  })(GetProjectsProtectionBypass$ ||= {});
  GetProjectsTrustedIpsProjectsDeploymentType$inboundSchema = nativeEnumType(GetProjectsTrustedIpsProjectsDeploymentType);
  GetProjectsTrustedIpsProjectsDeploymentType$outboundSchema = GetProjectsTrustedIpsProjectsDeploymentType$inboundSchema;
  ((GetProjectsTrustedIpsProjectsDeploymentType$) => {
    GetProjectsTrustedIpsProjectsDeploymentType$.inboundSchema = GetProjectsTrustedIpsProjectsDeploymentType$inboundSchema;
    GetProjectsTrustedIpsProjectsDeploymentType$.outboundSchema = GetProjectsTrustedIpsProjectsDeploymentType$outboundSchema;
  })(GetProjectsTrustedIpsProjectsDeploymentType$ ||= {});
  GetProjectsTrustedIps2$inboundSchema = objectType({
    deploymentType: GetProjectsTrustedIpsProjectsDeploymentType$inboundSchema
  });
  GetProjectsTrustedIps2$outboundSchema = objectType({
    deploymentType: GetProjectsTrustedIpsProjectsDeploymentType$outboundSchema
  });
  ((GetProjectsTrustedIps2$) => {
    GetProjectsTrustedIps2$.inboundSchema = GetProjectsTrustedIps2$inboundSchema;
    GetProjectsTrustedIps2$.outboundSchema = GetProjectsTrustedIps2$outboundSchema;
  })(GetProjectsTrustedIps2$ ||= {});
  GetProjectsTrustedIpsDeploymentType$inboundSchema = nativeEnumType(GetProjectsTrustedIpsDeploymentType);
  GetProjectsTrustedIpsDeploymentType$outboundSchema = GetProjectsTrustedIpsDeploymentType$inboundSchema;
  ((GetProjectsTrustedIpsDeploymentType$) => {
    GetProjectsTrustedIpsDeploymentType$.inboundSchema = GetProjectsTrustedIpsDeploymentType$inboundSchema;
    GetProjectsTrustedIpsDeploymentType$.outboundSchema = GetProjectsTrustedIpsDeploymentType$outboundSchema;
  })(GetProjectsTrustedIpsDeploymentType$ ||= {});
  GetProjectsTrustedIpsAddresses$inboundSchema = objectType({
    value: stringType(),
    note: stringType().optional()
  });
  GetProjectsTrustedIpsAddresses$outboundSchema = objectType({
    value: stringType(),
    note: stringType().optional()
  });
  ((GetProjectsTrustedIpsAddresses$) => {
    GetProjectsTrustedIpsAddresses$.inboundSchema = GetProjectsTrustedIpsAddresses$inboundSchema;
    GetProjectsTrustedIpsAddresses$.outboundSchema = GetProjectsTrustedIpsAddresses$outboundSchema;
  })(GetProjectsTrustedIpsAddresses$ ||= {});
  GetProjectsTrustedIpsProtectionMode$inboundSchema = nativeEnumType(GetProjectsTrustedIpsProtectionMode);
  GetProjectsTrustedIpsProtectionMode$outboundSchema = GetProjectsTrustedIpsProtectionMode$inboundSchema;
  ((GetProjectsTrustedIpsProtectionMode$) => {
    GetProjectsTrustedIpsProtectionMode$.inboundSchema = GetProjectsTrustedIpsProtectionMode$inboundSchema;
    GetProjectsTrustedIpsProtectionMode$.outboundSchema = GetProjectsTrustedIpsProtectionMode$outboundSchema;
  })(GetProjectsTrustedIpsProtectionMode$ ||= {});
  GetProjectsTrustedIps1$inboundSchema = objectType({
    deploymentType: GetProjectsTrustedIpsDeploymentType$inboundSchema,
    addresses: arrayType(lazyType(() => GetProjectsTrustedIpsAddresses$inboundSchema)),
    protectionMode: GetProjectsTrustedIpsProtectionMode$inboundSchema
  });
  GetProjectsTrustedIps1$outboundSchema = objectType({
    deploymentType: GetProjectsTrustedIpsDeploymentType$outboundSchema,
    addresses: arrayType(lazyType(() => GetProjectsTrustedIpsAddresses$outboundSchema)),
    protectionMode: GetProjectsTrustedIpsProtectionMode$outboundSchema
  });
  ((GetProjectsTrustedIps1$) => {
    GetProjectsTrustedIps1$.inboundSchema = GetProjectsTrustedIps1$inboundSchema;
    GetProjectsTrustedIps1$.outboundSchema = GetProjectsTrustedIps1$outboundSchema;
  })(GetProjectsTrustedIps1$ ||= {});
  GetProjectsTrustedIps$inboundSchema = unionType([
    lazyType(() => GetProjectsTrustedIps2$inboundSchema),
    lazyType(() => GetProjectsTrustedIps1$inboundSchema)
  ]);
  GetProjectsTrustedIps$outboundSchema = unionType([
    lazyType(() => GetProjectsTrustedIps2$outboundSchema),
    lazyType(() => GetProjectsTrustedIps1$outboundSchema)
  ]);
  ((GetProjectsTrustedIps$) => {
    GetProjectsTrustedIps$.inboundSchema = GetProjectsTrustedIps$inboundSchema;
    GetProjectsTrustedIps$.outboundSchema = GetProjectsTrustedIps$outboundSchema;
  })(GetProjectsTrustedIps$ ||= {});
  GetProjectsGitComments$inboundSchema = objectType({
    onPullRequest: booleanType(),
    onCommit: booleanType()
  });
  GetProjectsGitComments$outboundSchema = objectType({
    onPullRequest: booleanType(),
    onCommit: booleanType()
  });
  ((GetProjectsGitComments$) => {
    GetProjectsGitComments$.inboundSchema = GetProjectsGitComments$inboundSchema;
    GetProjectsGitComments$.outboundSchema = GetProjectsGitComments$outboundSchema;
  })(GetProjectsGitComments$ ||= {});
  GetProjectsCreateDeployments$inboundSchema = nativeEnumType(GetProjectsCreateDeployments);
  GetProjectsCreateDeployments$outboundSchema = GetProjectsCreateDeployments$inboundSchema;
  ((GetProjectsCreateDeployments$) => {
    GetProjectsCreateDeployments$.inboundSchema = GetProjectsCreateDeployments$inboundSchema;
    GetProjectsCreateDeployments$.outboundSchema = GetProjectsCreateDeployments$outboundSchema;
  })(GetProjectsCreateDeployments$ ||= {});
  GetProjectsGitProviderOptions$inboundSchema = objectType({
    createDeployments: GetProjectsCreateDeployments$inboundSchema
  });
  GetProjectsGitProviderOptions$outboundSchema = objectType({
    createDeployments: GetProjectsCreateDeployments$outboundSchema
  });
  ((GetProjectsGitProviderOptions$) => {
    GetProjectsGitProviderOptions$.inboundSchema = GetProjectsGitProviderOptions$inboundSchema;
    GetProjectsGitProviderOptions$.outboundSchema = GetProjectsGitProviderOptions$outboundSchema;
  })(GetProjectsGitProviderOptions$ ||= {});
  GetProjectsWebAnalytics$inboundSchema = objectType({
    id: stringType(),
    disabledAt: numberType().optional(),
    canceledAt: numberType().optional(),
    enabledAt: numberType().optional(),
    hasData: booleanType().optional()
  });
  GetProjectsWebAnalytics$outboundSchema = objectType({
    id: stringType(),
    disabledAt: numberType().optional(),
    canceledAt: numberType().optional(),
    enabledAt: numberType().optional(),
    hasData: booleanType().optional()
  });
  ((GetProjectsWebAnalytics$) => {
    GetProjectsWebAnalytics$.inboundSchema = GetProjectsWebAnalytics$inboundSchema;
    GetProjectsWebAnalytics$.outboundSchema = GetProjectsWebAnalytics$outboundSchema;
  })(GetProjectsWebAnalytics$ ||= {});
  GetProjectsSrc2$inboundSchema = objectType({
    re: stringType().optional(),
    eq: stringType().optional(),
    neq: stringType().optional(),
    inc: arrayType(stringType()).optional(),
    ninc: arrayType(stringType()).optional(),
    pre: stringType().optional(),
    suf: stringType().optional(),
    gt: numberType().optional(),
    gte: numberType().optional(),
    lt: numberType().optional(),
    lte: numberType().optional()
  });
  GetProjectsSrc2$outboundSchema = objectType({
    re: stringType().optional(),
    eq: stringType().optional(),
    neq: stringType().optional(),
    inc: arrayType(stringType()).optional(),
    ninc: arrayType(stringType()).optional(),
    pre: stringType().optional(),
    suf: stringType().optional(),
    gt: numberType().optional(),
    gte: numberType().optional(),
    lt: numberType().optional(),
    lte: numberType().optional()
  });
  ((GetProjectsSrc2$) => {
    GetProjectsSrc2$.inboundSchema = GetProjectsSrc2$inboundSchema;
    GetProjectsSrc2$.outboundSchema = GetProjectsSrc2$outboundSchema;
  })(GetProjectsSrc2$ ||= {});
  GetProjectsSrc$inboundSchema = unionType([lazyType(() => GetProjectsSrc2$inboundSchema), stringType()]);
  GetProjectsSrc$outboundSchema = unionType([lazyType(() => GetProjectsSrc2$outboundSchema), stringType()]);
  ((GetProjectsSrc$) => {
    GetProjectsSrc$.inboundSchema = GetProjectsSrc$inboundSchema;
    GetProjectsSrc$.outboundSchema = GetProjectsSrc$outboundSchema;
  })(GetProjectsSrc$ ||= {});
  GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityType$inboundSchema = nativeEnumType(GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityType);
  GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityType$outboundSchema = GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityType$inboundSchema;
  ((GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityType$) => {
    GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityType$.inboundSchema = GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityType$inboundSchema;
    GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityType$.outboundSchema = GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityType$outboundSchema;
  })(GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityType$ ||= {});
  GetProjectsValue2$inboundSchema = objectType({
    re: stringType().optional(),
    eq: stringType().optional(),
    neq: stringType().optional(),
    inc: arrayType(stringType()).optional(),
    ninc: arrayType(stringType()).optional(),
    pre: stringType().optional(),
    suf: stringType().optional(),
    gt: numberType().optional(),
    gte: numberType().optional(),
    lt: numberType().optional(),
    lte: numberType().optional()
  });
  GetProjectsValue2$outboundSchema = objectType({
    re: stringType().optional(),
    eq: stringType().optional(),
    neq: stringType().optional(),
    inc: arrayType(stringType()).optional(),
    ninc: arrayType(stringType()).optional(),
    pre: stringType().optional(),
    suf: stringType().optional(),
    gt: numberType().optional(),
    gte: numberType().optional(),
    lt: numberType().optional(),
    lte: numberType().optional()
  });
  ((GetProjectsValue2$) => {
    GetProjectsValue2$.inboundSchema = GetProjectsValue2$inboundSchema;
    GetProjectsValue2$.outboundSchema = GetProjectsValue2$outboundSchema;
  })(GetProjectsValue2$ ||= {});
  GetProjectsValue$inboundSchema = unionType([lazyType(() => GetProjectsValue2$inboundSchema), stringType()]);
  GetProjectsValue$outboundSchema = unionType([lazyType(() => GetProjectsValue2$outboundSchema), stringType()]);
  ((GetProjectsValue$) => {
    GetProjectsValue$.inboundSchema = GetProjectsValue$inboundSchema;
    GetProjectsValue$.outboundSchema = GetProjectsValue$outboundSchema;
  })(GetProjectsValue$ ||= {});
  GetProjectsHas$inboundSchema = objectType({
    type: GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityType$inboundSchema,
    key: stringType().optional(),
    value: unionType([lazyType(() => GetProjectsValue2$inboundSchema), stringType()]).optional()
  });
  GetProjectsHas$outboundSchema = objectType({
    type: GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityType$outboundSchema,
    key: stringType().optional(),
    value: unionType([lazyType(() => GetProjectsValue2$outboundSchema), stringType()]).optional()
  });
  ((GetProjectsHas$) => {
    GetProjectsHas$.inboundSchema = GetProjectsHas$inboundSchema;
    GetProjectsHas$.outboundSchema = GetProjectsHas$outboundSchema;
  })(GetProjectsHas$ ||= {});
  GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityFirewallRoutesType$inboundSchema = nativeEnumType(GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityFirewallRoutesType);
  GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityFirewallRoutesType$outboundSchema = GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityFirewallRoutesType$inboundSchema;
  ((GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityFirewallRoutesType$) => {
    GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityFirewallRoutesType$.inboundSchema = GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityFirewallRoutesType$inboundSchema;
    GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityFirewallRoutesType$.outboundSchema = GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityFirewallRoutesType$outboundSchema;
  })(GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityFirewallRoutesType$ ||= {});
  GetProjectsValueProjects2$inboundSchema = objectType({
    re: stringType().optional(),
    eq: stringType().optional(),
    neq: stringType().optional(),
    inc: arrayType(stringType()).optional(),
    ninc: arrayType(stringType()).optional(),
    pre: stringType().optional(),
    suf: stringType().optional(),
    gt: numberType().optional(),
    gte: numberType().optional(),
    lt: numberType().optional(),
    lte: numberType().optional()
  });
  GetProjectsValueProjects2$outboundSchema = objectType({
    re: stringType().optional(),
    eq: stringType().optional(),
    neq: stringType().optional(),
    inc: arrayType(stringType()).optional(),
    ninc: arrayType(stringType()).optional(),
    pre: stringType().optional(),
    suf: stringType().optional(),
    gt: numberType().optional(),
    gte: numberType().optional(),
    lt: numberType().optional(),
    lte: numberType().optional()
  });
  ((GetProjectsValueProjects2$) => {
    GetProjectsValueProjects2$.inboundSchema = GetProjectsValueProjects2$inboundSchema;
    GetProjectsValueProjects2$.outboundSchema = GetProjectsValueProjects2$outboundSchema;
  })(GetProjectsValueProjects2$ ||= {});
  GetProjectsProjectsValue$inboundSchema = unionType([
    lazyType(() => GetProjectsValueProjects2$inboundSchema),
    stringType()
  ]);
  GetProjectsProjectsValue$outboundSchema = unionType([
    lazyType(() => GetProjectsValueProjects2$outboundSchema),
    stringType()
  ]);
  ((GetProjectsProjectsValue$) => {
    GetProjectsProjectsValue$.inboundSchema = GetProjectsProjectsValue$inboundSchema;
    GetProjectsProjectsValue$.outboundSchema = GetProjectsProjectsValue$outboundSchema;
  })(GetProjectsProjectsValue$ ||= {});
  GetProjectsMissing$inboundSchema = objectType({
    type: GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityFirewallRoutesType$inboundSchema,
    key: stringType().optional(),
    value: unionType([
      lazyType(() => GetProjectsValueProjects2$inboundSchema),
      stringType()
    ]).optional()
  });
  GetProjectsMissing$outboundSchema = objectType({
    type: GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityFirewallRoutesType$outboundSchema,
    key: stringType().optional(),
    value: unionType([
      lazyType(() => GetProjectsValueProjects2$outboundSchema),
      stringType()
    ]).optional()
  });
  ((GetProjectsMissing$) => {
    GetProjectsMissing$.inboundSchema = GetProjectsMissing$inboundSchema;
    GetProjectsMissing$.outboundSchema = GetProjectsMissing$outboundSchema;
  })(GetProjectsMissing$ ||= {});
  GetProjectsHandle$inboundSchema = nativeEnumType(GetProjectsHandle);
  GetProjectsHandle$outboundSchema = GetProjectsHandle$inboundSchema;
  ((GetProjectsHandle$) => {
    GetProjectsHandle$.inboundSchema = GetProjectsHandle$inboundSchema;
    GetProjectsHandle$.outboundSchema = GetProjectsHandle$outboundSchema;
  })(GetProjectsHandle$ ||= {});
  GetProjectsProjectsAction$inboundSchema = nativeEnumType(GetProjectsProjectsAction);
  GetProjectsProjectsAction$outboundSchema = GetProjectsProjectsAction$inboundSchema;
  ((GetProjectsProjectsAction$) => {
    GetProjectsProjectsAction$.inboundSchema = GetProjectsProjectsAction$inboundSchema;
    GetProjectsProjectsAction$.outboundSchema = GetProjectsProjectsAction$outboundSchema;
  })(GetProjectsProjectsAction$ ||= {});
  GetProjectsAlgo$inboundSchema = nativeEnumType(GetProjectsAlgo);
  GetProjectsAlgo$outboundSchema = GetProjectsAlgo$inboundSchema;
  ((GetProjectsAlgo$) => {
    GetProjectsAlgo$.inboundSchema = GetProjectsAlgo$inboundSchema;
    GetProjectsAlgo$.outboundSchema = GetProjectsAlgo$outboundSchema;
  })(GetProjectsAlgo$ ||= {});
  GetProjectsErl$inboundSchema = objectType({
    algo: GetProjectsAlgo$inboundSchema,
    window: numberType(),
    limit: numberType(),
    keys: arrayType(stringType())
  });
  GetProjectsErl$outboundSchema = objectType({
    algo: GetProjectsAlgo$outboundSchema,
    window: numberType(),
    limit: numberType(),
    keys: arrayType(stringType())
  });
  ((GetProjectsErl$) => {
    GetProjectsErl$.inboundSchema = GetProjectsErl$inboundSchema;
    GetProjectsErl$.outboundSchema = GetProjectsErl$outboundSchema;
  })(GetProjectsErl$ ||= {});
  GetProjectsMitigate$inboundSchema = objectType({
    action: GetProjectsProjectsAction$inboundSchema,
    rule_id: stringType(),
    ttl: numberType().optional(),
    erl: lazyType(() => GetProjectsErl$inboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      rule_id: "ruleId"
    });
  });
  GetProjectsMitigate$outboundSchema = objectType({
    action: GetProjectsProjectsAction$outboundSchema,
    ruleId: stringType(),
    ttl: numberType().optional(),
    erl: lazyType(() => GetProjectsErl$outboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      ruleId: "rule_id"
    });
  });
  ((GetProjectsMitigate$) => {
    GetProjectsMitigate$.inboundSchema = GetProjectsMitigate$inboundSchema;
    GetProjectsMitigate$.outboundSchema = GetProjectsMitigate$outboundSchema;
  })(GetProjectsMitigate$ ||= {});
  GetProjectsFirewallRoutes$inboundSchema = objectType({
    src: unionType([lazyType(() => GetProjectsSrc2$inboundSchema), stringType()]).optional(),
    has: arrayType(lazyType(() => GetProjectsHas$inboundSchema)).optional(),
    missing: arrayType(lazyType(() => GetProjectsMissing$inboundSchema)).optional(),
    dest: stringType().optional(),
    status: numberType().optional(),
    handle: GetProjectsHandle$inboundSchema.optional(),
    mitigate: lazyType(() => GetProjectsMitigate$inboundSchema).optional()
  });
  GetProjectsFirewallRoutes$outboundSchema = objectType({
    src: unionType([lazyType(() => GetProjectsSrc2$outboundSchema), stringType()]).optional(),
    has: arrayType(lazyType(() => GetProjectsHas$outboundSchema)).optional(),
    missing: arrayType(lazyType(() => GetProjectsMissing$outboundSchema)).optional(),
    dest: stringType().optional(),
    status: numberType().optional(),
    handle: GetProjectsHandle$outboundSchema.optional(),
    mitigate: lazyType(() => GetProjectsMitigate$outboundSchema).optional()
  });
  ((GetProjectsFirewallRoutes$) => {
    GetProjectsFirewallRoutes$.inboundSchema = GetProjectsFirewallRoutes$inboundSchema;
    GetProjectsFirewallRoutes$.outboundSchema = GetProjectsFirewallRoutes$outboundSchema;
  })(GetProjectsFirewallRoutes$ ||= {});
  GetProjectsAction$inboundSchema = nativeEnumType(GetProjectsAction);
  GetProjectsAction$outboundSchema = GetProjectsAction$inboundSchema;
  ((GetProjectsAction$) => {
    GetProjectsAction$.inboundSchema = GetProjectsAction$inboundSchema;
    GetProjectsAction$.outboundSchema = GetProjectsAction$outboundSchema;
  })(GetProjectsAction$ ||= {});
  GetProjectsManagedRules$inboundSchema = objectType({
    active: booleanType(),
    action: GetProjectsAction$inboundSchema.optional()
  });
  GetProjectsManagedRules$outboundSchema = objectType({
    active: booleanType(),
    action: GetProjectsAction$outboundSchema.optional()
  });
  ((GetProjectsManagedRules$) => {
    GetProjectsManagedRules$.inboundSchema = GetProjectsManagedRules$inboundSchema;
    GetProjectsManagedRules$.outboundSchema = GetProjectsManagedRules$outboundSchema;
  })(GetProjectsManagedRules$ ||= {});
  GetProjectsSecurity$inboundSchema = objectType({
    attackModeEnabled: booleanType().optional(),
    attackModeUpdatedAt: numberType().optional(),
    firewallEnabled: booleanType().optional(),
    firewallUpdatedAt: numberType().optional(),
    attackModeActiveUntil: nullableType(numberType()).optional(),
    firewallConfigVersion: numberType().optional(),
    firewallRoutes: arrayType(lazyType(() => GetProjectsFirewallRoutes$inboundSchema)).optional(),
    firewallSeawallEnabled: booleanType().optional(),
    ja3Enabled: booleanType().optional(),
    ja4Enabled: booleanType().optional(),
    firewallBypassIps: arrayType(stringType()).optional(),
    managedRules: nullableType(recordType(lazyType(() => GetProjectsManagedRules$inboundSchema))).optional()
  });
  GetProjectsSecurity$outboundSchema = objectType({
    attackModeEnabled: booleanType().optional(),
    attackModeUpdatedAt: numberType().optional(),
    firewallEnabled: booleanType().optional(),
    firewallUpdatedAt: numberType().optional(),
    attackModeActiveUntil: nullableType(numberType()).optional(),
    firewallConfigVersion: numberType().optional(),
    firewallRoutes: arrayType(lazyType(() => GetProjectsFirewallRoutes$outboundSchema)).optional(),
    firewallSeawallEnabled: booleanType().optional(),
    ja3Enabled: booleanType().optional(),
    ja4Enabled: booleanType().optional(),
    firewallBypassIps: arrayType(stringType()).optional(),
    managedRules: nullableType(recordType(lazyType(() => GetProjectsManagedRules$outboundSchema))).optional()
  });
  ((GetProjectsSecurity$) => {
    GetProjectsSecurity$.inboundSchema = GetProjectsSecurity$inboundSchema;
    GetProjectsSecurity$.outboundSchema = GetProjectsSecurity$outboundSchema;
  })(GetProjectsSecurity$ ||= {});
  GetProjectsIssuerMode$inboundSchema = nativeEnumType(GetProjectsIssuerMode);
  GetProjectsIssuerMode$outboundSchema = GetProjectsIssuerMode$inboundSchema;
  ((GetProjectsIssuerMode$) => {
    GetProjectsIssuerMode$.inboundSchema = GetProjectsIssuerMode$inboundSchema;
    GetProjectsIssuerMode$.outboundSchema = GetProjectsIssuerMode$outboundSchema;
  })(GetProjectsIssuerMode$ ||= {});
  GetProjectsOidcTokenConfig$inboundSchema = objectType({
    enabled: booleanType(),
    issuerMode: GetProjectsIssuerMode$inboundSchema.optional()
  });
  GetProjectsOidcTokenConfig$outboundSchema = objectType({
    enabled: booleanType(),
    issuerMode: GetProjectsIssuerMode$outboundSchema.optional()
  });
  ((GetProjectsOidcTokenConfig$) => {
    GetProjectsOidcTokenConfig$.inboundSchema = GetProjectsOidcTokenConfig$inboundSchema;
    GetProjectsOidcTokenConfig$.outboundSchema = GetProjectsOidcTokenConfig$outboundSchema;
  })(GetProjectsOidcTokenConfig$ ||= {});
  GetProjectsTier$inboundSchema = nativeEnumType(GetProjectsTier);
  GetProjectsTier$outboundSchema = GetProjectsTier$inboundSchema;
  ((GetProjectsTier$) => {
    GetProjectsTier$.inboundSchema = GetProjectsTier$inboundSchema;
    GetProjectsTier$.outboundSchema = GetProjectsTier$outboundSchema;
  })(GetProjectsTier$ ||= {});
  GetProjectsProjects$inboundSchema = objectType({
    accountId: stringType(),
    analytics: lazyType(() => GetProjectsAnalytics$inboundSchema).optional(),
    speedInsights: lazyType(() => GetProjectsSpeedInsights$inboundSchema).optional(),
    autoExposeSystemEnvs: booleanType().optional(),
    autoAssignCustomDomains: booleanType().optional(),
    autoAssignCustomDomainsUpdatedBy: stringType().optional(),
    buildCommand: nullableType(stringType()).optional(),
    commandForIgnoringBuildStep: nullableType(stringType()).optional(),
    connectConfigurations: nullableType(arrayType(lazyType(() => GetProjectsConnectConfigurations$inboundSchema))).optional(),
    connectConfigurationId: nullableType(stringType()).optional(),
    connectBuildsEnabled: booleanType().optional(),
    passiveConnectConfigurationId: nullableType(stringType()).optional(),
    createdAt: numberType().optional(),
    customerSupportCodeVisibility: booleanType().optional(),
    crons: lazyType(() => GetProjectsCrons$inboundSchema).optional(),
    dataCache: lazyType(() => GetProjectsDataCache$inboundSchema).optional(),
    deploymentExpiration: nullableType(lazyType(() => GetProjectsDeploymentExpiration$inboundSchema)).optional(),
    devCommand: nullableType(stringType()).optional(),
    directoryListing: booleanType(),
    installCommand: nullableType(stringType()).optional(),
    env: arrayType(lazyType(() => GetProjectsEnv$inboundSchema)).optional(),
    customEnvironments: arrayType(lazyType(() => GetProjectsCustomEnvironments$inboundSchema)).optional(),
    framework: nullableType(GetProjectsFramework$inboundSchema).optional(),
    gitForkProtection: booleanType().optional(),
    gitLFS: booleanType().optional(),
    id: stringType(),
    ipBuckets: arrayType(lazyType(() => GetProjectsIpBuckets$inboundSchema)).optional(),
    latestDeployments: arrayType(lazyType(() => GetProjectsLatestDeployments$inboundSchema)).optional(),
    link: unionType([
      lazyType(() => GetProjectsLink1$inboundSchema),
      lazyType(() => GetProjectsLink3$inboundSchema),
      lazyType(() => GetProjectsLink4$inboundSchema),
      lazyType(() => GetProjectsLink2$inboundSchema)
    ]).optional(),
    microfrontends: unionType([
      lazyType(() => GetProjectsMicrofrontends2$inboundSchema),
      lazyType(() => GetProjectsMicrofrontends1$inboundSchema)
    ]).optional(),
    name: stringType(),
    nodeVersion: GetProjectsNodeVersion$inboundSchema,
    optionsAllowlist: nullableType(lazyType(() => GetProjectsOptionsAllowlist$inboundSchema)).optional(),
    outputDirectory: nullableType(stringType()).optional(),
    passwordProtection: nullableType(lazyType(() => GetProjectsPasswordProtection$inboundSchema)).optional(),
    productionDeploymentsFastLane: booleanType().optional(),
    publicSource: nullableType(booleanType()).optional(),
    resourceConfig: lazyType(() => GetProjectsResourceConfig$inboundSchema),
    rollingRelease: nullableType(lazyType(() => GetProjectsRollingRelease$inboundSchema)).optional(),
    defaultResourceConfig: lazyType(() => GetProjectsDefaultResourceConfig$inboundSchema),
    rootDirectory: nullableType(stringType()).optional(),
    serverlessFunctionRegion: nullableType(stringType()).optional(),
    serverlessFunctionZeroConfigFailover: booleanType().optional(),
    skewProtectionBoundaryAt: numberType().optional(),
    skewProtectionMaxAge: numberType().optional(),
    skipGitConnectDuringLink: booleanType().optional(),
    sourceFilesOutsideRootDirectory: booleanType().optional(),
    enableAffectedProjectsDeployments: booleanType().optional(),
    ssoProtection: nullableType(lazyType(() => GetProjectsSsoProtection$inboundSchema)).optional(),
    targets: recordType(nullableType(lazyType(() => GetProjectsTargets$inboundSchema))).optional(),
    transferCompletedAt: numberType().optional(),
    transferStartedAt: numberType().optional(),
    transferToAccountId: stringType().optional(),
    transferredFromAccountId: stringType().optional(),
    updatedAt: numberType().optional(),
    live: booleanType().optional(),
    enablePreviewFeedback: nullableType(booleanType()).optional(),
    enableProductionFeedback: nullableType(booleanType()).optional(),
    permissions: lazyType(() => GetProjectsPermissions$inboundSchema).optional(),
    lastRollbackTarget: nullableType(lazyType(() => GetProjectsLastRollbackTarget$inboundSchema)).optional(),
    lastAliasRequest: nullableType(lazyType(() => GetProjectsLastAliasRequest$inboundSchema)).optional(),
    protectionBypass: recordType(unionType([
      lazyType(() => GetProjectsProtectionBypass2$inboundSchema),
      lazyType(() => GetProjectsProtectionBypass1$inboundSchema)
    ])).optional(),
    hasActiveBranches: booleanType().optional(),
    trustedIps: nullableType(unionType([
      lazyType(() => GetProjectsTrustedIps2$inboundSchema),
      lazyType(() => GetProjectsTrustedIps1$inboundSchema)
    ])).optional(),
    gitComments: lazyType(() => GetProjectsGitComments$inboundSchema).optional(),
    gitProviderOptions: lazyType(() => GetProjectsGitProviderOptions$inboundSchema).optional(),
    paused: booleanType().optional(),
    concurrencyBucketName: stringType().optional(),
    webAnalytics: lazyType(() => GetProjectsWebAnalytics$inboundSchema).optional(),
    security: lazyType(() => GetProjectsSecurity$inboundSchema).optional(),
    oidcTokenConfig: lazyType(() => GetProjectsOidcTokenConfig$inboundSchema).optional(),
    tier: GetProjectsTier$inboundSchema.optional()
  });
  GetProjectsProjects$outboundSchema = objectType({
    accountId: stringType(),
    analytics: lazyType(() => GetProjectsAnalytics$outboundSchema).optional(),
    speedInsights: lazyType(() => GetProjectsSpeedInsights$outboundSchema).optional(),
    autoExposeSystemEnvs: booleanType().optional(),
    autoAssignCustomDomains: booleanType().optional(),
    autoAssignCustomDomainsUpdatedBy: stringType().optional(),
    buildCommand: nullableType(stringType()).optional(),
    commandForIgnoringBuildStep: nullableType(stringType()).optional(),
    connectConfigurations: nullableType(arrayType(lazyType(() => GetProjectsConnectConfigurations$outboundSchema))).optional(),
    connectConfigurationId: nullableType(stringType()).optional(),
    connectBuildsEnabled: booleanType().optional(),
    passiveConnectConfigurationId: nullableType(stringType()).optional(),
    createdAt: numberType().optional(),
    customerSupportCodeVisibility: booleanType().optional(),
    crons: lazyType(() => GetProjectsCrons$outboundSchema).optional(),
    dataCache: lazyType(() => GetProjectsDataCache$outboundSchema).optional(),
    deploymentExpiration: nullableType(lazyType(() => GetProjectsDeploymentExpiration$outboundSchema)).optional(),
    devCommand: nullableType(stringType()).optional(),
    directoryListing: booleanType(),
    installCommand: nullableType(stringType()).optional(),
    env: arrayType(lazyType(() => GetProjectsEnv$outboundSchema)).optional(),
    customEnvironments: arrayType(lazyType(() => GetProjectsCustomEnvironments$outboundSchema)).optional(),
    framework: nullableType(GetProjectsFramework$outboundSchema).optional(),
    gitForkProtection: booleanType().optional(),
    gitLFS: booleanType().optional(),
    id: stringType(),
    ipBuckets: arrayType(lazyType(() => GetProjectsIpBuckets$outboundSchema)).optional(),
    latestDeployments: arrayType(lazyType(() => GetProjectsLatestDeployments$outboundSchema)).optional(),
    link: unionType([
      lazyType(() => GetProjectsLink1$outboundSchema),
      lazyType(() => GetProjectsLink3$outboundSchema),
      lazyType(() => GetProjectsLink4$outboundSchema),
      lazyType(() => GetProjectsLink2$outboundSchema)
    ]).optional(),
    microfrontends: unionType([
      lazyType(() => GetProjectsMicrofrontends2$outboundSchema),
      lazyType(() => GetProjectsMicrofrontends1$outboundSchema)
    ]).optional(),
    name: stringType(),
    nodeVersion: GetProjectsNodeVersion$outboundSchema,
    optionsAllowlist: nullableType(lazyType(() => GetProjectsOptionsAllowlist$outboundSchema)).optional(),
    outputDirectory: nullableType(stringType()).optional(),
    passwordProtection: nullableType(lazyType(() => GetProjectsPasswordProtection$outboundSchema)).optional(),
    productionDeploymentsFastLane: booleanType().optional(),
    publicSource: nullableType(booleanType()).optional(),
    resourceConfig: lazyType(() => GetProjectsResourceConfig$outboundSchema),
    rollingRelease: nullableType(lazyType(() => GetProjectsRollingRelease$outboundSchema)).optional(),
    defaultResourceConfig: lazyType(() => GetProjectsDefaultResourceConfig$outboundSchema),
    rootDirectory: nullableType(stringType()).optional(),
    serverlessFunctionRegion: nullableType(stringType()).optional(),
    serverlessFunctionZeroConfigFailover: booleanType().optional(),
    skewProtectionBoundaryAt: numberType().optional(),
    skewProtectionMaxAge: numberType().optional(),
    skipGitConnectDuringLink: booleanType().optional(),
    sourceFilesOutsideRootDirectory: booleanType().optional(),
    enableAffectedProjectsDeployments: booleanType().optional(),
    ssoProtection: nullableType(lazyType(() => GetProjectsSsoProtection$outboundSchema)).optional(),
    targets: recordType(nullableType(lazyType(() => GetProjectsTargets$outboundSchema))).optional(),
    transferCompletedAt: numberType().optional(),
    transferStartedAt: numberType().optional(),
    transferToAccountId: stringType().optional(),
    transferredFromAccountId: stringType().optional(),
    updatedAt: numberType().optional(),
    live: booleanType().optional(),
    enablePreviewFeedback: nullableType(booleanType()).optional(),
    enableProductionFeedback: nullableType(booleanType()).optional(),
    permissions: lazyType(() => GetProjectsPermissions$outboundSchema).optional(),
    lastRollbackTarget: nullableType(lazyType(() => GetProjectsLastRollbackTarget$outboundSchema)).optional(),
    lastAliasRequest: nullableType(lazyType(() => GetProjectsLastAliasRequest$outboundSchema)).optional(),
    protectionBypass: recordType(unionType([
      lazyType(() => GetProjectsProtectionBypass2$outboundSchema),
      lazyType(() => GetProjectsProtectionBypass1$outboundSchema)
    ])).optional(),
    hasActiveBranches: booleanType().optional(),
    trustedIps: nullableType(unionType([
      lazyType(() => GetProjectsTrustedIps2$outboundSchema),
      lazyType(() => GetProjectsTrustedIps1$outboundSchema)
    ])).optional(),
    gitComments: lazyType(() => GetProjectsGitComments$outboundSchema).optional(),
    gitProviderOptions: lazyType(() => GetProjectsGitProviderOptions$outboundSchema).optional(),
    paused: booleanType().optional(),
    concurrencyBucketName: stringType().optional(),
    webAnalytics: lazyType(() => GetProjectsWebAnalytics$outboundSchema).optional(),
    security: lazyType(() => GetProjectsSecurity$outboundSchema).optional(),
    oidcTokenConfig: lazyType(() => GetProjectsOidcTokenConfig$outboundSchema).optional(),
    tier: GetProjectsTier$outboundSchema.optional()
  });
  ((GetProjectsProjects$) => {
    GetProjectsProjects$.inboundSchema = GetProjectsProjects$inboundSchema;
    GetProjectsProjects$.outboundSchema = GetProjectsProjects$outboundSchema;
  })(GetProjectsProjects$ ||= {});
  GetProjectsResponseBody$inboundSchema = objectType({
    projects: arrayType(lazyType(() => GetProjectsProjects$inboundSchema)),
    pagination: Pagination$inboundSchema
  });
  GetProjectsResponseBody$outboundSchema = objectType({
    projects: arrayType(lazyType(() => GetProjectsProjects$outboundSchema)),
    pagination: Pagination$outboundSchema
  });
  ((GetProjectsResponseBody$) => {
    GetProjectsResponseBody$.inboundSchema = GetProjectsResponseBody$inboundSchema;
    GetProjectsResponseBody$.outboundSchema = GetProjectsResponseBody$outboundSchema;
  })(GetProjectsResponseBody$ ||= {});
});

// src/funcs/projectsGetProjects.ts
function projectsGetProjects(client, request, options) {
  return new APIPromise($do127(client, request, options));
}
async function $do127(client, request, options) {
  const parsed = safeParse(request, (value) => GetProjectsRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const path = pathToFunc("/v10/projects")();
  const query = encodeFormQuery({
    deprecated: payload.deprecated,
    edgeConfigId: payload.edgeConfigId,
    edgeConfigTokenId: payload.edgeConfigTokenId,
    excludeRepos: payload.excludeRepos,
    from: payload.from,
    gitForkProtection: payload.gitForkProtection,
    limit: payload.limit,
    repo: payload.repo,
    repoId: payload.repoId,
    repoUrl: payload.repoUrl,
    search: payload.search,
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "getProjects",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetProjectsResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_projectsGetProjects = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_getprojectsop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/projectsGetProjects.ts
var args126, tool$projectsGetProjects;
var init_projectsGetProjects2 = __esm(() => {
  init_projectsGetProjects();
  init_getprojectsop();
  init_tools();
  args126 = {
    request: GetProjectsRequest$inboundSchema
  };
  tool$projectsGetProjects = {
    name: "projects-get-projects",
    description: `Retrieve a list of projects

Allows to retrieve the list of projects of the authenticated user or team. The list will be paginated and the provided query parameters allow filtering the returned projects.`,
    args: args126,
    tool: async (client, args127, ctx) => {
      const [result, apiCall] = await projectsGetProjects(client, args127.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/listpromotealiasesop.ts
var ListPromoteAliasesRequest$inboundSchema, ListPromoteAliasesRequest$outboundSchema, ListPromoteAliasesRequest$, ResponseBodyAliases$inboundSchema, ResponseBodyAliases$outboundSchema, ResponseBodyAliases$, ListPromoteAliasesResponseBody2$inboundSchema, ListPromoteAliasesResponseBody2$outboundSchema, ListPromoteAliasesResponseBody2$, ListPromoteAliasesResponseBody1$inboundSchema, ListPromoteAliasesResponseBody1$outboundSchema, ListPromoteAliasesResponseBody1$, ListPromoteAliasesResponseBody$inboundSchema, ListPromoteAliasesResponseBody$outboundSchema, ListPromoteAliasesResponseBody$;
var init_listpromotealiasesop = __esm(() => {
  init_esm();
  init_pagination();
  ListPromoteAliasesRequest$inboundSchema = objectType({
    projectId: stringType(),
    limit: numberType().optional(),
    since: numberType().optional(),
    until: numberType().optional(),
    failedOnly: booleanType().optional(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ListPromoteAliasesRequest$outboundSchema = objectType({
    projectId: stringType(),
    limit: numberType().optional(),
    since: numberType().optional(),
    until: numberType().optional(),
    failedOnly: booleanType().optional(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((ListPromoteAliasesRequest$) => {
    ListPromoteAliasesRequest$.inboundSchema = ListPromoteAliasesRequest$inboundSchema;
    ListPromoteAliasesRequest$.outboundSchema = ListPromoteAliasesRequest$outboundSchema;
  })(ListPromoteAliasesRequest$ ||= {});
  ResponseBodyAliases$inboundSchema = objectType({
    status: stringType(),
    alias: stringType(),
    id: stringType()
  });
  ResponseBodyAliases$outboundSchema = objectType({
    status: stringType(),
    alias: stringType(),
    id: stringType()
  });
  ((ResponseBodyAliases$) => {
    ResponseBodyAliases$.inboundSchema = ResponseBodyAliases$inboundSchema;
    ResponseBodyAliases$.outboundSchema = ResponseBodyAliases$outboundSchema;
  })(ResponseBodyAliases$ ||= {});
  ListPromoteAliasesResponseBody2$inboundSchema = objectType({
    aliases: arrayType(lazyType(() => ResponseBodyAliases$inboundSchema)),
    pagination: Pagination$inboundSchema
  });
  ListPromoteAliasesResponseBody2$outboundSchema = objectType({
    aliases: arrayType(lazyType(() => ResponseBodyAliases$outboundSchema)),
    pagination: Pagination$outboundSchema
  });
  ((ListPromoteAliasesResponseBody2$) => {
    ListPromoteAliasesResponseBody2$.inboundSchema = ListPromoteAliasesResponseBody2$inboundSchema;
    ListPromoteAliasesResponseBody2$.outboundSchema = ListPromoteAliasesResponseBody2$outboundSchema;
  })(ListPromoteAliasesResponseBody2$ ||= {});
  ListPromoteAliasesResponseBody1$inboundSchema = objectType({});
  ListPromoteAliasesResponseBody1$outboundSchema = objectType({});
  ((ListPromoteAliasesResponseBody1$) => {
    ListPromoteAliasesResponseBody1$.inboundSchema = ListPromoteAliasesResponseBody1$inboundSchema;
    ListPromoteAliasesResponseBody1$.outboundSchema = ListPromoteAliasesResponseBody1$outboundSchema;
  })(ListPromoteAliasesResponseBody1$ ||= {});
  ListPromoteAliasesResponseBody$inboundSchema = unionType([
    lazyType(() => ListPromoteAliasesResponseBody1$inboundSchema),
    lazyType(() => ListPromoteAliasesResponseBody2$inboundSchema)
  ]);
  ListPromoteAliasesResponseBody$outboundSchema = unionType([
    lazyType(() => ListPromoteAliasesResponseBody1$outboundSchema),
    lazyType(() => ListPromoteAliasesResponseBody2$outboundSchema)
  ]);
  ((ListPromoteAliasesResponseBody$) => {
    ListPromoteAliasesResponseBody$.inboundSchema = ListPromoteAliasesResponseBody$inboundSchema;
    ListPromoteAliasesResponseBody$.outboundSchema = ListPromoteAliasesResponseBody$outboundSchema;
  })(ListPromoteAliasesResponseBody$ ||= {});
});

// src/funcs/projectsListPromoteAliases.ts
function projectsListPromoteAliases(client, request, options) {
  return new APIPromise($do128(client, request, options));
}
async function $do128(client, request, options) {
  const parsed = safeParse(request, (value) => ListPromoteAliasesRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    projectId: encodeSimple("projectId", payload.projectId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/projects/{projectId}/promote/aliases")(pathParams);
  const query = encodeFormQuery({
    failedOnly: payload.failedOnly,
    limit: payload.limit,
    since: payload.since,
    slug: payload.slug,
    teamId: payload.teamId,
    until: payload.until
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "listPromoteAliases",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, ListPromoteAliasesResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_projectsListPromoteAliases = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_listpromotealiasesop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/projectsListPromoteAliases.ts
var args127, tool$projectsListPromoteAliases;
var init_projectsListPromoteAliases2 = __esm(() => {
  init_projectsListPromoteAliases();
  init_listpromotealiasesop();
  init_tools();
  args127 = {
    request: ListPromoteAliasesRequest$inboundSchema
  };
  tool$projectsListPromoteAliases = {
    name: "projects-list-promote-aliases",
    description: `Gets a list of aliases with status for the current promote

Get a list of aliases related to the last promote request with their mapping status`,
    args: args127,
    tool: async (client, args128, ctx) => {
      const [result, apiCall] = await projectsListPromoteAliases(client, args128.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/moveprojectdomainop.ts
var MoveProjectDomainRequestBody$inboundSchema, MoveProjectDomainRequestBody$outboundSchema, MoveProjectDomainRequestBody$, MoveProjectDomainRequest$inboundSchema, MoveProjectDomainRequest$outboundSchema, MoveProjectDomainRequest$, MoveProjectDomainVerification$inboundSchema, MoveProjectDomainVerification$outboundSchema, MoveProjectDomainVerification$, MoveProjectDomainResponseBody$inboundSchema, MoveProjectDomainResponseBody$outboundSchema, MoveProjectDomainResponseBody$;
var init_moveprojectdomainop = __esm(() => {
  init_esm();
  init_primitives();
  MoveProjectDomainRequestBody$inboundSchema = objectType({
    projectId: stringType()
  });
  MoveProjectDomainRequestBody$outboundSchema = objectType({
    projectId: stringType()
  });
  ((MoveProjectDomainRequestBody$) => {
    MoveProjectDomainRequestBody$.inboundSchema = MoveProjectDomainRequestBody$inboundSchema;
    MoveProjectDomainRequestBody$.outboundSchema = MoveProjectDomainRequestBody$outboundSchema;
  })(MoveProjectDomainRequestBody$ ||= {});
  MoveProjectDomainRequest$inboundSchema = objectType({
    idOrName: stringType(),
    domain: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    RequestBody: lazyType(() => MoveProjectDomainRequestBody$inboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  MoveProjectDomainRequest$outboundSchema = objectType({
    idOrName: stringType(),
    domain: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    requestBody: lazyType(() => MoveProjectDomainRequestBody$outboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((MoveProjectDomainRequest$) => {
    MoveProjectDomainRequest$.inboundSchema = MoveProjectDomainRequest$inboundSchema;
    MoveProjectDomainRequest$.outboundSchema = MoveProjectDomainRequest$outboundSchema;
  })(MoveProjectDomainRequest$ ||= {});
  MoveProjectDomainVerification$inboundSchema = objectType({
    type: stringType(),
    domain: stringType(),
    value: stringType(),
    reason: stringType()
  });
  MoveProjectDomainVerification$outboundSchema = objectType({
    type: stringType(),
    domain: stringType(),
    value: stringType(),
    reason: stringType()
  });
  ((MoveProjectDomainVerification$) => {
    MoveProjectDomainVerification$.inboundSchema = MoveProjectDomainVerification$inboundSchema;
    MoveProjectDomainVerification$.outboundSchema = MoveProjectDomainVerification$outboundSchema;
  })(MoveProjectDomainVerification$ ||= {});
  MoveProjectDomainResponseBody$inboundSchema = objectType({
    name: stringType(),
    apexName: stringType(),
    projectId: stringType(),
    redirect: nullableType(stringType()).optional(),
    redirectStatusCode: nullableType(numberType()).optional(),
    gitBranch: nullableType(stringType()).optional(),
    customEnvironmentId: nullableType(stringType()).optional(),
    updatedAt: numberType().optional(),
    createdAt: numberType().optional(),
    verified: booleanType(),
    verification: arrayType(lazyType(() => MoveProjectDomainVerification$inboundSchema)).optional()
  });
  MoveProjectDomainResponseBody$outboundSchema = objectType({
    name: stringType(),
    apexName: stringType(),
    projectId: stringType(),
    redirect: nullableType(stringType()).optional(),
    redirectStatusCode: nullableType(numberType()).optional(),
    gitBranch: nullableType(stringType()).optional(),
    customEnvironmentId: nullableType(stringType()).optional(),
    updatedAt: numberType().optional(),
    createdAt: numberType().optional(),
    verified: booleanType(),
    verification: arrayType(lazyType(() => MoveProjectDomainVerification$outboundSchema)).optional()
  });
  ((MoveProjectDomainResponseBody$) => {
    MoveProjectDomainResponseBody$.inboundSchema = MoveProjectDomainResponseBody$inboundSchema;
    MoveProjectDomainResponseBody$.outboundSchema = MoveProjectDomainResponseBody$outboundSchema;
  })(MoveProjectDomainResponseBody$ ||= {});
});

// src/funcs/projectsMoveProjectDomain.ts
function projectsMoveProjectDomain(client, request, options) {
  return new APIPromise($do129(client, request, options));
}
async function $do129(client, request, options) {
  const parsed = safeParse(request, (value) => MoveProjectDomainRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    domain: encodeSimple("domain", payload.domain, {
      explode: false,
      charEncoding: "percent"
    }),
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/projects/{idOrName}/domains/{domain}/move")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "moveProjectDomain",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "409", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, MoveProjectDomainResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, 409, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_projectsMoveProjectDomain = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_moveprojectdomainop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/projectsMoveProjectDomain.ts
var args128, tool$projectsMoveProjectDomain;
var init_projectsMoveProjectDomain2 = __esm(() => {
  init_projectsMoveProjectDomain();
  init_moveprojectdomainop();
  init_tools();
  args128 = {
    request: MoveProjectDomainRequest$inboundSchema
  };
  tool$projectsMoveProjectDomain = {
    name: "projects-move-project-domain",
    description: `Move a project domain

Move one project's domain to another project. Also allows the move of all redirects pointed to that domain in the same project.`,
    args: args128,
    tool: async (client, args129, ctx) => {
      const [result, apiCall] = await projectsMoveProjectDomain(client, args129.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/pauseprojectop.ts
var PauseProjectRequest$inboundSchema, PauseProjectRequest$outboundSchema, PauseProjectRequest$;
var init_pauseprojectop = __esm(() => {
  init_esm();
  PauseProjectRequest$inboundSchema = objectType({
    projectId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  PauseProjectRequest$outboundSchema = objectType({
    projectId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((PauseProjectRequest$) => {
    PauseProjectRequest$.inboundSchema = PauseProjectRequest$inboundSchema;
    PauseProjectRequest$.outboundSchema = PauseProjectRequest$outboundSchema;
  })(PauseProjectRequest$ ||= {});
});

// src/funcs/projectsPauseProject.ts
function projectsPauseProject(client, request, options) {
  return new APIPromise($do130(client, request, options));
}
async function $do130(client, request, options) {
  const parsed = safeParse(request, (value) => PauseProjectRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    projectId: encodeSimple("projectId", payload.projectId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/projects/{projectId}/pause")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "pauseProject",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "4XX", "500", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(nil(200, voidType()), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([402, 403, "4XX"]), fail([500, "5XX"]))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_projectsPauseProject = __esm(() => {
  init_esm();
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_pauseprojectop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/projectsPauseProject.ts
var args129, tool$projectsPauseProject;
var init_projectsPauseProject2 = __esm(() => {
  init_projectsPauseProject();
  init_pauseprojectop();
  init_tools();
  args129 = {
    request: PauseProjectRequest$inboundSchema
  };
  tool$projectsPauseProject = {
    name: "projects-pause-project",
    description: `Pause a project

Pause a project by passing its project \`id\` in the URL. If the project does not exist given the id then the request will fail with 400 status code. If the project disables auto assigning custom production domains and blocks the active Production Deployment then the request will return with 200 status code.`,
    args: args129,
    tool: async (client, args130, ctx) => {
      const [result, apiCall] = await projectsPauseProject(client, args130.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      return formatResult(undefined, apiCall);
    }
  };
});

// src/models/removeprojectdomainop.ts
var RemoveProjectDomainRequestBody$inboundSchema, RemoveProjectDomainRequestBody$outboundSchema, RemoveProjectDomainRequestBody$, RemoveProjectDomainRequest$inboundSchema, RemoveProjectDomainRequest$outboundSchema, RemoveProjectDomainRequest$, RemoveProjectDomainResponseBody$inboundSchema, RemoveProjectDomainResponseBody$outboundSchema, RemoveProjectDomainResponseBody$;
var init_removeprojectdomainop = __esm(() => {
  init_esm();
  init_primitives();
  RemoveProjectDomainRequestBody$inboundSchema = objectType({
    removeRedirects: booleanType().optional()
  });
  RemoveProjectDomainRequestBody$outboundSchema = objectType({
    removeRedirects: booleanType().optional()
  });
  ((RemoveProjectDomainRequestBody$) => {
    RemoveProjectDomainRequestBody$.inboundSchema = RemoveProjectDomainRequestBody$inboundSchema;
    RemoveProjectDomainRequestBody$.outboundSchema = RemoveProjectDomainRequestBody$outboundSchema;
  })(RemoveProjectDomainRequestBody$ ||= {});
  RemoveProjectDomainRequest$inboundSchema = objectType({
    idOrName: stringType(),
    domain: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    RequestBody: lazyType(() => RemoveProjectDomainRequestBody$inboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  RemoveProjectDomainRequest$outboundSchema = objectType({
    idOrName: stringType(),
    domain: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    requestBody: lazyType(() => RemoveProjectDomainRequestBody$outboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((RemoveProjectDomainRequest$) => {
    RemoveProjectDomainRequest$.inboundSchema = RemoveProjectDomainRequest$inboundSchema;
    RemoveProjectDomainRequest$.outboundSchema = RemoveProjectDomainRequest$outboundSchema;
  })(RemoveProjectDomainRequest$ ||= {});
  RemoveProjectDomainResponseBody$inboundSchema = objectType({});
  RemoveProjectDomainResponseBody$outboundSchema = objectType({});
  ((RemoveProjectDomainResponseBody$) => {
    RemoveProjectDomainResponseBody$.inboundSchema = RemoveProjectDomainResponseBody$inboundSchema;
    RemoveProjectDomainResponseBody$.outboundSchema = RemoveProjectDomainResponseBody$outboundSchema;
  })(RemoveProjectDomainResponseBody$ ||= {});
});

// src/funcs/projectsRemoveProjectDomain.ts
function projectsRemoveProjectDomain(client, request, options) {
  return new APIPromise($do131(client, request, options));
}
async function $do131(client, request, options) {
  const parsed = safeParse(request, (value) => RemoveProjectDomainRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    domain: encodeSimple("domain", payload.domain, {
      explode: false,
      charEncoding: "percent"
    }),
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v9/projects/{idOrName}/domains/{domain}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "removeProjectDomain",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "DELETE",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "409", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, RemoveProjectDomainResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, 409, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_projectsRemoveProjectDomain = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_removeprojectdomainop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/projectsRemoveProjectDomain.ts
var args130, tool$projectsRemoveProjectDomain;
var init_projectsRemoveProjectDomain2 = __esm(() => {
  init_projectsRemoveProjectDomain();
  init_removeprojectdomainop();
  init_tools();
  args130 = {
    request: RemoveProjectDomainRequest$inboundSchema
  };
  tool$projectsRemoveProjectDomain = {
    name: "projects-remove-project-domain",
    description: `Remove a domain from a project

Remove a domain from a project by passing the domain name and by specifying the project by either passing the project \`id\` or \`name\` in the URL.`,
    args: args130,
    tool: async (client, args131, ctx) => {
      const [result, apiCall] = await projectsRemoveProjectDomain(client, args131.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/removeprojectenvop.ts
var RemoveProjectEnvTargetProjectsResponse2, RemoveProjectEnvTargetProjectsResponse1, RemoveProjectEnvResponseBodyProjectsResponseType, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type, RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type, RemoveProjectEnvTargetProjects2, RemoveProjectEnvTargetProjects1, RemoveProjectEnvResponseBodyProjectsType, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type, RemoveProjectEnvResponseBodyProjectsResponse200Type, RemoveProjectEnvTarget2, RemoveProjectEnvTarget1, RemoveProjectEnvResponseBodyType, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType, RemoveProjectEnvContentHintProjectsResponse200Type, RemoveProjectEnvContentHintProjectsResponseType, RemoveProjectEnvContentHintProjectsType, RemoveProjectEnvContentHintType, RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType, RemoveProjectEnvRequest$inboundSchema, RemoveProjectEnvRequest$outboundSchema, RemoveProjectEnvRequest$, RemoveProjectEnvTargetProjectsResponse2$inboundSchema, RemoveProjectEnvTargetProjectsResponse2$outboundSchema, RemoveProjectEnvTargetProjectsResponse2$, RemoveProjectEnvTargetProjectsResponse1$inboundSchema, RemoveProjectEnvTargetProjectsResponse1$outboundSchema, RemoveProjectEnvTargetProjectsResponse1$, RemoveProjectEnvResponseBodyProjectsResponseTarget$inboundSchema, RemoveProjectEnvResponseBodyProjectsResponseTarget$outboundSchema, RemoveProjectEnvResponseBodyProjectsResponseTarget$, RemoveProjectEnvResponseBodyProjectsResponseType$inboundSchema, RemoveProjectEnvResponseBodyProjectsResponseType$outboundSchema, RemoveProjectEnvResponseBodyProjectsResponseType$, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$inboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$outboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$, RemoveProjectEnvContentHintProjectsResponse15$inboundSchema, RemoveProjectEnvContentHintProjectsResponse15$outboundSchema, RemoveProjectEnvContentHintProjectsResponse15$, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$inboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$outboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$, RemoveProjectEnvContentHintProjectsResponse14$inboundSchema, RemoveProjectEnvContentHintProjectsResponse14$outboundSchema, RemoveProjectEnvContentHintProjectsResponse14$, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$inboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$outboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$, RemoveProjectEnvContentHintProjectsResponse13$inboundSchema, RemoveProjectEnvContentHintProjectsResponse13$outboundSchema, RemoveProjectEnvContentHintProjectsResponse13$, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$inboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$outboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$, RemoveProjectEnvContentHintProjectsResponse12$inboundSchema, RemoveProjectEnvContentHintProjectsResponse12$outboundSchema, RemoveProjectEnvContentHintProjectsResponse12$, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$inboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$outboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$, RemoveProjectEnvContentHintProjectsResponse11$inboundSchema, RemoveProjectEnvContentHintProjectsResponse11$outboundSchema, RemoveProjectEnvContentHintProjectsResponse11$, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$inboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$outboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$, RemoveProjectEnvContentHintProjectsResponse10$inboundSchema, RemoveProjectEnvContentHintProjectsResponse10$outboundSchema, RemoveProjectEnvContentHintProjectsResponse10$, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$inboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$outboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$, RemoveProjectEnvContentHintProjectsResponse9$inboundSchema, RemoveProjectEnvContentHintProjectsResponse9$outboundSchema, RemoveProjectEnvContentHintProjectsResponse9$, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$inboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$outboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$, RemoveProjectEnvContentHintProjectsResponse8$inboundSchema, RemoveProjectEnvContentHintProjectsResponse8$outboundSchema, RemoveProjectEnvContentHintProjectsResponse8$, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$inboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$outboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$, RemoveProjectEnvContentHintProjectsResponse7$inboundSchema, RemoveProjectEnvContentHintProjectsResponse7$outboundSchema, RemoveProjectEnvContentHintProjectsResponse7$, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$inboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$outboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$, RemoveProjectEnvContentHintProjectsResponse6$inboundSchema, RemoveProjectEnvContentHintProjectsResponse6$outboundSchema, RemoveProjectEnvContentHintProjectsResponse6$, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$inboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$outboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$, RemoveProjectEnvContentHintProjectsResponse5$inboundSchema, RemoveProjectEnvContentHintProjectsResponse5$outboundSchema, RemoveProjectEnvContentHintProjectsResponse5$, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$inboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$outboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$, RemoveProjectEnvContentHintProjectsResponse4$inboundSchema, RemoveProjectEnvContentHintProjectsResponse4$outboundSchema, RemoveProjectEnvContentHintProjectsResponse4$, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$inboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$outboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$, RemoveProjectEnvContentHintProjectsResponse3$inboundSchema, RemoveProjectEnvContentHintProjectsResponse3$outboundSchema, RemoveProjectEnvContentHintProjectsResponse3$, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$inboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$outboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$, RemoveProjectEnvContentHintProjectsResponse2$inboundSchema, RemoveProjectEnvContentHintProjectsResponse2$outboundSchema, RemoveProjectEnvContentHintProjectsResponse2$, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$inboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$outboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$, RemoveProjectEnvContentHintProjectsResponse1$inboundSchema, RemoveProjectEnvContentHintProjectsResponse1$outboundSchema, RemoveProjectEnvContentHintProjectsResponse1$, RemoveProjectEnvResponseBodyProjectsResponseContentHint$inboundSchema, RemoveProjectEnvResponseBodyProjectsResponseContentHint$outboundSchema, RemoveProjectEnvResponseBodyProjectsResponseContentHint$, RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$inboundSchema, RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$outboundSchema, RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$, RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint$inboundSchema, RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint$outboundSchema, RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint$, RemoveProjectEnvResponseBody3$inboundSchema, RemoveProjectEnvResponseBody3$outboundSchema, RemoveProjectEnvResponseBody3$, RemoveProjectEnvTargetProjects2$inboundSchema, RemoveProjectEnvTargetProjects2$outboundSchema, RemoveProjectEnvTargetProjects2$, RemoveProjectEnvTargetProjects1$inboundSchema, RemoveProjectEnvTargetProjects1$outboundSchema, RemoveProjectEnvTargetProjects1$, RemoveProjectEnvResponseBodyProjectsTarget$inboundSchema, RemoveProjectEnvResponseBodyProjectsTarget$outboundSchema, RemoveProjectEnvResponseBodyProjectsTarget$, RemoveProjectEnvResponseBodyProjectsType$inboundSchema, RemoveProjectEnvResponseBodyProjectsType$outboundSchema, RemoveProjectEnvResponseBodyProjectsType$, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$inboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$outboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$, RemoveProjectEnvContentHintProjects15$inboundSchema, RemoveProjectEnvContentHintProjects15$outboundSchema, RemoveProjectEnvContentHintProjects15$, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$inboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$outboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$, RemoveProjectEnvContentHintProjects14$inboundSchema, RemoveProjectEnvContentHintProjects14$outboundSchema, RemoveProjectEnvContentHintProjects14$, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$inboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$outboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$, RemoveProjectEnvContentHintProjects13$inboundSchema, RemoveProjectEnvContentHintProjects13$outboundSchema, RemoveProjectEnvContentHintProjects13$, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$inboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$outboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$, RemoveProjectEnvContentHintProjects12$inboundSchema, RemoveProjectEnvContentHintProjects12$outboundSchema, RemoveProjectEnvContentHintProjects12$, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$inboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$outboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$, RemoveProjectEnvContentHintProjects11$inboundSchema, RemoveProjectEnvContentHintProjects11$outboundSchema, RemoveProjectEnvContentHintProjects11$, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$inboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$outboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$, RemoveProjectEnvContentHintProjects10$inboundSchema, RemoveProjectEnvContentHintProjects10$outboundSchema, RemoveProjectEnvContentHintProjects10$, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$inboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$outboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$, RemoveProjectEnvContentHintProjects9$inboundSchema, RemoveProjectEnvContentHintProjects9$outboundSchema, RemoveProjectEnvContentHintProjects9$, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$inboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$outboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$, RemoveProjectEnvContentHintProjects8$inboundSchema, RemoveProjectEnvContentHintProjects8$outboundSchema, RemoveProjectEnvContentHintProjects8$, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$inboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$outboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$, RemoveProjectEnvContentHintProjects7$inboundSchema, RemoveProjectEnvContentHintProjects7$outboundSchema, RemoveProjectEnvContentHintProjects7$, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$inboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$outboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$, RemoveProjectEnvContentHintProjects6$inboundSchema, RemoveProjectEnvContentHintProjects6$outboundSchema, RemoveProjectEnvContentHintProjects6$, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$inboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$outboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$, RemoveProjectEnvContentHintProjects5$inboundSchema, RemoveProjectEnvContentHintProjects5$outboundSchema, RemoveProjectEnvContentHintProjects5$, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$inboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$outboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$, RemoveProjectEnvContentHintProjects4$inboundSchema, RemoveProjectEnvContentHintProjects4$outboundSchema, RemoveProjectEnvContentHintProjects4$, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$inboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$outboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$, RemoveProjectEnvContentHintProjects3$inboundSchema, RemoveProjectEnvContentHintProjects3$outboundSchema, RemoveProjectEnvContentHintProjects3$, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$inboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$outboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$, RemoveProjectEnvContentHintProjects2$inboundSchema, RemoveProjectEnvContentHintProjects2$outboundSchema, RemoveProjectEnvContentHintProjects2$, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$inboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$outboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$, RemoveProjectEnvContentHintProjects1$inboundSchema, RemoveProjectEnvContentHintProjects1$outboundSchema, RemoveProjectEnvContentHintProjects1$, RemoveProjectEnvResponseBodyProjectsContentHint$inboundSchema, RemoveProjectEnvResponseBodyProjectsContentHint$outboundSchema, RemoveProjectEnvResponseBodyProjectsContentHint$, RemoveProjectEnvResponseBodyProjectsResponse200Type$inboundSchema, RemoveProjectEnvResponseBodyProjectsResponse200Type$outboundSchema, RemoveProjectEnvResponseBodyProjectsResponse200Type$, RemoveProjectEnvResponseBodyProjectsInternalContentHint$inboundSchema, RemoveProjectEnvResponseBodyProjectsInternalContentHint$outboundSchema, RemoveProjectEnvResponseBodyProjectsInternalContentHint$, RemoveProjectEnvResponseBody2$inboundSchema, RemoveProjectEnvResponseBody2$outboundSchema, RemoveProjectEnvResponseBody2$, RemoveProjectEnvTarget2$inboundSchema, RemoveProjectEnvTarget2$outboundSchema, RemoveProjectEnvTarget2$, RemoveProjectEnvTarget1$inboundSchema, RemoveProjectEnvTarget1$outboundSchema, RemoveProjectEnvTarget1$, RemoveProjectEnvResponseBodyTarget$inboundSchema, RemoveProjectEnvResponseBodyTarget$outboundSchema, RemoveProjectEnvResponseBodyTarget$, RemoveProjectEnvResponseBodyType$inboundSchema, RemoveProjectEnvResponseBodyType$outboundSchema, RemoveProjectEnvResponseBodyType$, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$inboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$outboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$, RemoveProjectEnvContentHint15$inboundSchema, RemoveProjectEnvContentHint15$outboundSchema, RemoveProjectEnvContentHint15$, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$inboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$outboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$, RemoveProjectEnvContentHint14$inboundSchema, RemoveProjectEnvContentHint14$outboundSchema, RemoveProjectEnvContentHint14$, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$inboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$outboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$, RemoveProjectEnvContentHint13$inboundSchema, RemoveProjectEnvContentHint13$outboundSchema, RemoveProjectEnvContentHint13$, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$inboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$outboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$, RemoveProjectEnvContentHint12$inboundSchema, RemoveProjectEnvContentHint12$outboundSchema, RemoveProjectEnvContentHint12$, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$inboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$outboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$, RemoveProjectEnvContentHint11$inboundSchema, RemoveProjectEnvContentHint11$outboundSchema, RemoveProjectEnvContentHint11$, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$inboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$outboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$, RemoveProjectEnvContentHint10$inboundSchema, RemoveProjectEnvContentHint10$outboundSchema, RemoveProjectEnvContentHint10$, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$inboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$outboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$, RemoveProjectEnvContentHint9$inboundSchema, RemoveProjectEnvContentHint9$outboundSchema, RemoveProjectEnvContentHint9$, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$inboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$outboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$, RemoveProjectEnvContentHint8$inboundSchema, RemoveProjectEnvContentHint8$outboundSchema, RemoveProjectEnvContentHint8$, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$inboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$outboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$, RemoveProjectEnvContentHint7$inboundSchema, RemoveProjectEnvContentHint7$outboundSchema, RemoveProjectEnvContentHint7$, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$, RemoveProjectEnvContentHint6$inboundSchema, RemoveProjectEnvContentHint6$outboundSchema, RemoveProjectEnvContentHint6$, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType$inboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType$outboundSchema, RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType$, RemoveProjectEnvContentHint5$inboundSchema, RemoveProjectEnvContentHint5$outboundSchema, RemoveProjectEnvContentHint5$, RemoveProjectEnvContentHintProjectsResponse200Type$inboundSchema, RemoveProjectEnvContentHintProjectsResponse200Type$outboundSchema, RemoveProjectEnvContentHintProjectsResponse200Type$, RemoveProjectEnvContentHint4$inboundSchema, RemoveProjectEnvContentHint4$outboundSchema, RemoveProjectEnvContentHint4$, RemoveProjectEnvContentHintProjectsResponseType$inboundSchema, RemoveProjectEnvContentHintProjectsResponseType$outboundSchema, RemoveProjectEnvContentHintProjectsResponseType$, RemoveProjectEnvContentHint3$inboundSchema, RemoveProjectEnvContentHint3$outboundSchema, RemoveProjectEnvContentHint3$, RemoveProjectEnvContentHintProjectsType$inboundSchema, RemoveProjectEnvContentHintProjectsType$outboundSchema, RemoveProjectEnvContentHintProjectsType$, RemoveProjectEnvContentHint2$inboundSchema, RemoveProjectEnvContentHint2$outboundSchema, RemoveProjectEnvContentHint2$, RemoveProjectEnvContentHintType$inboundSchema, RemoveProjectEnvContentHintType$outboundSchema, RemoveProjectEnvContentHintType$, RemoveProjectEnvContentHint1$inboundSchema, RemoveProjectEnvContentHint1$outboundSchema, RemoveProjectEnvContentHint1$, RemoveProjectEnvResponseBodyContentHint$inboundSchema, RemoveProjectEnvResponseBodyContentHint$outboundSchema, RemoveProjectEnvResponseBodyContentHint$, RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$inboundSchema, RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$outboundSchema, RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$, RemoveProjectEnvResponseBodyInternalContentHint$inboundSchema, RemoveProjectEnvResponseBodyInternalContentHint$outboundSchema, RemoveProjectEnvResponseBodyInternalContentHint$, RemoveProjectEnvResponseBody1$inboundSchema, RemoveProjectEnvResponseBody1$outboundSchema, RemoveProjectEnvResponseBody1$, RemoveProjectEnvResponseBody$inboundSchema, RemoveProjectEnvResponseBody$outboundSchema, RemoveProjectEnvResponseBody$;
var init_removeprojectenvop = __esm(() => {
  init_esm();
  RemoveProjectEnvTargetProjectsResponse2 = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  RemoveProjectEnvTargetProjectsResponse1 = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  RemoveProjectEnvResponseBodyProjectsResponseType = {
    System: "system",
    Encrypted: "encrypted",
    Plain: "plain",
    Sensitive: "sensitive",
    Secret: "secret"
  };
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type = {
    FlagsConnectionString: "flags-connection-string"
  };
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type = {
    IntegrationStoreSecret: "integration-store-secret"
  };
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type = {
    PostgresUrlNoSsl: "postgres-url-no-ssl"
  };
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type = {
    PostgresDatabase: "postgres-database"
  };
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type = {
    PostgresPassword: "postgres-password"
  };
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type = {
    PostgresHost: "postgres-host"
  };
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type = {
    PostgresUser: "postgres-user"
  };
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type = {
    PostgresPrismaUrl: "postgres-prisma-url"
  };
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type = {
    PostgresUrlNonPooling: "postgres-url-non-pooling"
  };
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type = {
    PostgresUrl: "postgres-url"
  };
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type = {
    BlobReadWriteToken: "blob-read-write-token"
  };
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type = {
    RedisRestApiReadOnlyToken: "redis-rest-api-read-only-token"
  };
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type = {
    RedisRestApiToken: "redis-rest-api-token"
  };
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type = {
    RedisRestApiUrl: "redis-rest-api-url"
  };
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type = {
    RedisUrl: "redis-url"
  };
  RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type = {
    FlagsSecret: "flags-secret"
  };
  RemoveProjectEnvTargetProjects2 = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  RemoveProjectEnvTargetProjects1 = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  RemoveProjectEnvResponseBodyProjectsType = {
    System: "system",
    Encrypted: "encrypted",
    Plain: "plain",
    Sensitive: "sensitive",
    Secret: "secret"
  };
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type = {
    FlagsConnectionString: "flags-connection-string"
  };
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type = {
    IntegrationStoreSecret: "integration-store-secret"
  };
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type = {
    PostgresUrlNoSsl: "postgres-url-no-ssl"
  };
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type = {
    PostgresDatabase: "postgres-database"
  };
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type = {
    PostgresPassword: "postgres-password"
  };
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type = {
    PostgresHost: "postgres-host"
  };
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type = {
    PostgresUser: "postgres-user"
  };
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type = {
    PostgresPrismaUrl: "postgres-prisma-url"
  };
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type = {
    PostgresUrlNonPooling: "postgres-url-non-pooling"
  };
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type = {
    PostgresUrl: "postgres-url"
  };
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type = {
    BlobReadWriteToken: "blob-read-write-token"
  };
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type = {
    RedisRestApiReadOnlyToken: "redis-rest-api-read-only-token"
  };
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type = {
    RedisRestApiToken: "redis-rest-api-token"
  };
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type = {
    RedisRestApiUrl: "redis-rest-api-url"
  };
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type = {
    RedisUrl: "redis-url"
  };
  RemoveProjectEnvResponseBodyProjectsResponse200Type = {
    FlagsSecret: "flags-secret"
  };
  RemoveProjectEnvTarget2 = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  RemoveProjectEnvTarget1 = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  RemoveProjectEnvResponseBodyType = {
    System: "system",
    Encrypted: "encrypted",
    Plain: "plain",
    Sensitive: "sensitive",
    Secret: "secret"
  };
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type = {
    FlagsConnectionString: "flags-connection-string"
  };
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type = {
    IntegrationStoreSecret: "integration-store-secret"
  };
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type = {
    PostgresUrlNoSsl: "postgres-url-no-ssl"
  };
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type = {
    PostgresDatabase: "postgres-database"
  };
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type = {
    PostgresPassword: "postgres-password"
  };
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type = {
    PostgresHost: "postgres-host"
  };
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type = {
    PostgresUser: "postgres-user"
  };
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type = {
    PostgresPrismaUrl: "postgres-prisma-url"
  };
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type = {
    PostgresUrlNonPooling: "postgres-url-non-pooling"
  };
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType = {
    PostgresUrl: "postgres-url"
  };
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType = {
    BlobReadWriteToken: "blob-read-write-token"
  };
  RemoveProjectEnvContentHintProjectsResponse200Type = {
    RedisRestApiReadOnlyToken: "redis-rest-api-read-only-token"
  };
  RemoveProjectEnvContentHintProjectsResponseType = {
    RedisRestApiToken: "redis-rest-api-token"
  };
  RemoveProjectEnvContentHintProjectsType = {
    RedisRestApiUrl: "redis-rest-api-url"
  };
  RemoveProjectEnvContentHintType = {
    RedisUrl: "redis-url"
  };
  RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType = {
    FlagsSecret: "flags-secret"
  };
  RemoveProjectEnvRequest$inboundSchema = objectType({
    idOrName: stringType(),
    id: stringType(),
    customEnvironmentId: stringType().optional(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  RemoveProjectEnvRequest$outboundSchema = objectType({
    idOrName: stringType(),
    id: stringType(),
    customEnvironmentId: stringType().optional(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((RemoveProjectEnvRequest$) => {
    RemoveProjectEnvRequest$.inboundSchema = RemoveProjectEnvRequest$inboundSchema;
    RemoveProjectEnvRequest$.outboundSchema = RemoveProjectEnvRequest$outboundSchema;
  })(RemoveProjectEnvRequest$ ||= {});
  RemoveProjectEnvTargetProjectsResponse2$inboundSchema = nativeEnumType(RemoveProjectEnvTargetProjectsResponse2);
  RemoveProjectEnvTargetProjectsResponse2$outboundSchema = RemoveProjectEnvTargetProjectsResponse2$inboundSchema;
  ((RemoveProjectEnvTargetProjectsResponse2$) => {
    RemoveProjectEnvTargetProjectsResponse2$.inboundSchema = RemoveProjectEnvTargetProjectsResponse2$inboundSchema;
    RemoveProjectEnvTargetProjectsResponse2$.outboundSchema = RemoveProjectEnvTargetProjectsResponse2$outboundSchema;
  })(RemoveProjectEnvTargetProjectsResponse2$ ||= {});
  RemoveProjectEnvTargetProjectsResponse1$inboundSchema = nativeEnumType(RemoveProjectEnvTargetProjectsResponse1);
  RemoveProjectEnvTargetProjectsResponse1$outboundSchema = RemoveProjectEnvTargetProjectsResponse1$inboundSchema;
  ((RemoveProjectEnvTargetProjectsResponse1$) => {
    RemoveProjectEnvTargetProjectsResponse1$.inboundSchema = RemoveProjectEnvTargetProjectsResponse1$inboundSchema;
    RemoveProjectEnvTargetProjectsResponse1$.outboundSchema = RemoveProjectEnvTargetProjectsResponse1$outboundSchema;
  })(RemoveProjectEnvTargetProjectsResponse1$ ||= {});
  RemoveProjectEnvResponseBodyProjectsResponseTarget$inboundSchema = unionType([
    arrayType(RemoveProjectEnvTargetProjectsResponse1$inboundSchema),
    RemoveProjectEnvTargetProjectsResponse2$inboundSchema
  ]);
  RemoveProjectEnvResponseBodyProjectsResponseTarget$outboundSchema = unionType([
    arrayType(RemoveProjectEnvTargetProjectsResponse1$outboundSchema),
    RemoveProjectEnvTargetProjectsResponse2$outboundSchema
  ]);
  ((RemoveProjectEnvResponseBodyProjectsResponseTarget$) => {
    RemoveProjectEnvResponseBodyProjectsResponseTarget$.inboundSchema = RemoveProjectEnvResponseBodyProjectsResponseTarget$inboundSchema;
    RemoveProjectEnvResponseBodyProjectsResponseTarget$.outboundSchema = RemoveProjectEnvResponseBodyProjectsResponseTarget$outboundSchema;
  })(RemoveProjectEnvResponseBodyProjectsResponseTarget$ ||= {});
  RemoveProjectEnvResponseBodyProjectsResponseType$inboundSchema = nativeEnumType(RemoveProjectEnvResponseBodyProjectsResponseType);
  RemoveProjectEnvResponseBodyProjectsResponseType$outboundSchema = RemoveProjectEnvResponseBodyProjectsResponseType$inboundSchema;
  ((RemoveProjectEnvResponseBodyProjectsResponseType$) => {
    RemoveProjectEnvResponseBodyProjectsResponseType$.inboundSchema = RemoveProjectEnvResponseBodyProjectsResponseType$inboundSchema;
    RemoveProjectEnvResponseBodyProjectsResponseType$.outboundSchema = RemoveProjectEnvResponseBodyProjectsResponseType$outboundSchema;
  })(RemoveProjectEnvResponseBodyProjectsResponseType$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type);
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$inboundSchema;
  ((RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$) => {
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse15$inboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$inboundSchema,
    projectId: stringType()
  });
  RemoveProjectEnvContentHintProjectsResponse15$outboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$outboundSchema,
    projectId: stringType()
  });
  ((RemoveProjectEnvContentHintProjectsResponse15$) => {
    RemoveProjectEnvContentHintProjectsResponse15$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse15$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse15$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse15$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse15$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type);
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$inboundSchema;
  ((RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$) => {
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse14$inboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$inboundSchema,
    storeId: stringType(),
    integrationId: stringType(),
    integrationProductId: stringType(),
    integrationConfigurationId: stringType()
  });
  RemoveProjectEnvContentHintProjectsResponse14$outboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$outboundSchema,
    storeId: stringType(),
    integrationId: stringType(),
    integrationProductId: stringType(),
    integrationConfigurationId: stringType()
  });
  ((RemoveProjectEnvContentHintProjectsResponse14$) => {
    RemoveProjectEnvContentHintProjectsResponse14$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse14$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse14$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse14$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse14$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type);
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$inboundSchema;
  ((RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$) => {
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse13$inboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$inboundSchema,
    storeId: stringType()
  });
  RemoveProjectEnvContentHintProjectsResponse13$outboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$outboundSchema,
    storeId: stringType()
  });
  ((RemoveProjectEnvContentHintProjectsResponse13$) => {
    RemoveProjectEnvContentHintProjectsResponse13$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse13$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse13$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse13$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse13$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type);
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$inboundSchema;
  ((RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$) => {
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse12$inboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$inboundSchema,
    storeId: stringType()
  });
  RemoveProjectEnvContentHintProjectsResponse12$outboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$outboundSchema,
    storeId: stringType()
  });
  ((RemoveProjectEnvContentHintProjectsResponse12$) => {
    RemoveProjectEnvContentHintProjectsResponse12$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse12$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse12$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse12$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse12$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type);
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$inboundSchema;
  ((RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$) => {
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse11$inboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$inboundSchema,
    storeId: stringType()
  });
  RemoveProjectEnvContentHintProjectsResponse11$outboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$outboundSchema,
    storeId: stringType()
  });
  ((RemoveProjectEnvContentHintProjectsResponse11$) => {
    RemoveProjectEnvContentHintProjectsResponse11$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse11$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse11$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse11$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse11$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type);
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$inboundSchema;
  ((RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$) => {
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse10$inboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$inboundSchema,
    storeId: stringType()
  });
  RemoveProjectEnvContentHintProjectsResponse10$outboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$outboundSchema,
    storeId: stringType()
  });
  ((RemoveProjectEnvContentHintProjectsResponse10$) => {
    RemoveProjectEnvContentHintProjectsResponse10$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse10$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse10$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse10$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse10$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type);
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$inboundSchema;
  ((RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$) => {
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse9$inboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$inboundSchema,
    storeId: stringType()
  });
  RemoveProjectEnvContentHintProjectsResponse9$outboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$outboundSchema,
    storeId: stringType()
  });
  ((RemoveProjectEnvContentHintProjectsResponse9$) => {
    RemoveProjectEnvContentHintProjectsResponse9$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse9$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse9$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse9$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse9$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type);
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$inboundSchema;
  ((RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$) => {
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse8$inboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$inboundSchema,
    storeId: stringType()
  });
  RemoveProjectEnvContentHintProjectsResponse8$outboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$outboundSchema,
    storeId: stringType()
  });
  ((RemoveProjectEnvContentHintProjectsResponse8$) => {
    RemoveProjectEnvContentHintProjectsResponse8$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse8$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse8$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse8$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse8$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type);
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$inboundSchema;
  ((RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$) => {
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse7$inboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$inboundSchema,
    storeId: stringType()
  });
  RemoveProjectEnvContentHintProjectsResponse7$outboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$outboundSchema,
    storeId: stringType()
  });
  ((RemoveProjectEnvContentHintProjectsResponse7$) => {
    RemoveProjectEnvContentHintProjectsResponse7$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse7$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse7$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse7$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse7$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type);
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$inboundSchema;
  ((RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$) => {
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse6$inboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$inboundSchema,
    storeId: stringType()
  });
  RemoveProjectEnvContentHintProjectsResponse6$outboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$outboundSchema,
    storeId: stringType()
  });
  ((RemoveProjectEnvContentHintProjectsResponse6$) => {
    RemoveProjectEnvContentHintProjectsResponse6$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse6$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse6$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse6$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse6$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type);
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$inboundSchema;
  ((RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$) => {
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse5$inboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$inboundSchema,
    storeId: stringType()
  });
  RemoveProjectEnvContentHintProjectsResponse5$outboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$outboundSchema,
    storeId: stringType()
  });
  ((RemoveProjectEnvContentHintProjectsResponse5$) => {
    RemoveProjectEnvContentHintProjectsResponse5$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse5$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse5$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse5$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse5$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type);
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$inboundSchema;
  ((RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$) => {
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse4$inboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$inboundSchema,
    storeId: stringType()
  });
  RemoveProjectEnvContentHintProjectsResponse4$outboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$outboundSchema,
    storeId: stringType()
  });
  ((RemoveProjectEnvContentHintProjectsResponse4$) => {
    RemoveProjectEnvContentHintProjectsResponse4$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse4$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse4$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse4$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse4$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type);
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$inboundSchema;
  ((RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$) => {
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse3$inboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$inboundSchema,
    storeId: stringType()
  });
  RemoveProjectEnvContentHintProjectsResponse3$outboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$outboundSchema,
    storeId: stringType()
  });
  ((RemoveProjectEnvContentHintProjectsResponse3$) => {
    RemoveProjectEnvContentHintProjectsResponse3$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse3$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse3$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse3$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse3$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type);
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$inboundSchema;
  ((RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$) => {
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse2$inboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$inboundSchema,
    storeId: stringType()
  });
  RemoveProjectEnvContentHintProjectsResponse2$outboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$outboundSchema,
    storeId: stringType()
  });
  ((RemoveProjectEnvContentHintProjectsResponse2$) => {
    RemoveProjectEnvContentHintProjectsResponse2$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse2$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse2$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse2$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse2$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type);
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$inboundSchema;
  ((RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$) => {
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse1$inboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$inboundSchema,
    storeId: stringType()
  });
  RemoveProjectEnvContentHintProjectsResponse1$outboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$outboundSchema,
    storeId: stringType()
  });
  ((RemoveProjectEnvContentHintProjectsResponse1$) => {
    RemoveProjectEnvContentHintProjectsResponse1$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse1$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse1$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse1$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse1$ ||= {});
  RemoveProjectEnvResponseBodyProjectsResponseContentHint$inboundSchema = unionType([
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse1$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse2$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse3$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse4$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse5$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse6$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse7$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse8$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse9$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse10$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse11$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse12$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse13$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse15$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse14$inboundSchema)
  ]);
  RemoveProjectEnvResponseBodyProjectsResponseContentHint$outboundSchema = unionType([
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse1$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse2$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse3$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse4$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse5$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse6$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse7$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse8$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse9$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse10$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse11$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse12$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse13$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse15$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse14$outboundSchema)
  ]);
  ((RemoveProjectEnvResponseBodyProjectsResponseContentHint$) => {
    RemoveProjectEnvResponseBodyProjectsResponseContentHint$.inboundSchema = RemoveProjectEnvResponseBodyProjectsResponseContentHint$inboundSchema;
    RemoveProjectEnvResponseBodyProjectsResponseContentHint$.outboundSchema = RemoveProjectEnvResponseBodyProjectsResponseContentHint$outboundSchema;
  })(RemoveProjectEnvResponseBodyProjectsResponseContentHint$ ||= {});
  RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$inboundSchema = nativeEnumType(RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type);
  RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$outboundSchema = RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$inboundSchema;
  ((RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$) => {
    RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$.inboundSchema = RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$inboundSchema;
    RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$.outboundSchema = RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$outboundSchema;
  })(RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$ ||= {});
  RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint$inboundSchema = objectType({
    type: RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$inboundSchema,
    encryptedValue: stringType()
  });
  RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint$outboundSchema = objectType({
    type: RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$outboundSchema,
    encryptedValue: stringType()
  });
  ((RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint$) => {
    RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint$.inboundSchema = RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint$inboundSchema;
    RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint$.outboundSchema = RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint$outboundSchema;
  })(RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint$ ||= {});
  RemoveProjectEnvResponseBody3$inboundSchema = objectType({
    target: unionType([
      arrayType(RemoveProjectEnvTargetProjectsResponse1$inboundSchema),
      RemoveProjectEnvTargetProjectsResponse2$inboundSchema
    ]).optional(),
    type: RemoveProjectEnvResponseBodyProjectsResponseType$inboundSchema,
    sunsetSecretId: stringType().optional(),
    decrypted: booleanType().optional(),
    value: stringType(),
    vsmValue: stringType().optional(),
    id: stringType().optional(),
    key: stringType(),
    configurationId: nullableType(stringType()).optional(),
    createdAt: numberType().optional(),
    updatedAt: numberType().optional(),
    createdBy: nullableType(stringType()).optional(),
    updatedBy: nullableType(stringType()).optional(),
    gitBranch: stringType().optional(),
    edgeConfigId: nullableType(stringType()).optional(),
    edgeConfigTokenId: nullableType(stringType()).optional(),
    contentHint: nullableType(unionType([
      lazyType(() => RemoveProjectEnvContentHintProjectsResponse1$inboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjectsResponse2$inboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjectsResponse3$inboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjectsResponse4$inboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjectsResponse5$inboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjectsResponse6$inboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjectsResponse7$inboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjectsResponse8$inboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjectsResponse9$inboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjectsResponse10$inboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjectsResponse11$inboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjectsResponse12$inboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjectsResponse13$inboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjectsResponse15$inboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjectsResponse14$inboundSchema)
    ])).optional(),
    internalContentHint: nullableType(lazyType(() => RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint$inboundSchema)).optional(),
    comment: stringType().optional(),
    customEnvironmentIds: arrayType(stringType()).optional()
  });
  RemoveProjectEnvResponseBody3$outboundSchema = objectType({
    target: unionType([
      arrayType(RemoveProjectEnvTargetProjectsResponse1$outboundSchema),
      RemoveProjectEnvTargetProjectsResponse2$outboundSchema
    ]).optional(),
    type: RemoveProjectEnvResponseBodyProjectsResponseType$outboundSchema,
    sunsetSecretId: stringType().optional(),
    decrypted: booleanType().optional(),
    value: stringType(),
    vsmValue: stringType().optional(),
    id: stringType().optional(),
    key: stringType(),
    configurationId: nullableType(stringType()).optional(),
    createdAt: numberType().optional(),
    updatedAt: numberType().optional(),
    createdBy: nullableType(stringType()).optional(),
    updatedBy: nullableType(stringType()).optional(),
    gitBranch: stringType().optional(),
    edgeConfigId: nullableType(stringType()).optional(),
    edgeConfigTokenId: nullableType(stringType()).optional(),
    contentHint: nullableType(unionType([
      lazyType(() => RemoveProjectEnvContentHintProjectsResponse1$outboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjectsResponse2$outboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjectsResponse3$outboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjectsResponse4$outboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjectsResponse5$outboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjectsResponse6$outboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjectsResponse7$outboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjectsResponse8$outboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjectsResponse9$outboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjectsResponse10$outboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjectsResponse11$outboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjectsResponse12$outboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjectsResponse13$outboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjectsResponse15$outboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjectsResponse14$outboundSchema)
    ])).optional(),
    internalContentHint: nullableType(lazyType(() => RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint$outboundSchema)).optional(),
    comment: stringType().optional(),
    customEnvironmentIds: arrayType(stringType()).optional()
  });
  ((RemoveProjectEnvResponseBody3$) => {
    RemoveProjectEnvResponseBody3$.inboundSchema = RemoveProjectEnvResponseBody3$inboundSchema;
    RemoveProjectEnvResponseBody3$.outboundSchema = RemoveProjectEnvResponseBody3$outboundSchema;
  })(RemoveProjectEnvResponseBody3$ ||= {});
  RemoveProjectEnvTargetProjects2$inboundSchema = nativeEnumType(RemoveProjectEnvTargetProjects2);
  RemoveProjectEnvTargetProjects2$outboundSchema = RemoveProjectEnvTargetProjects2$inboundSchema;
  ((RemoveProjectEnvTargetProjects2$) => {
    RemoveProjectEnvTargetProjects2$.inboundSchema = RemoveProjectEnvTargetProjects2$inboundSchema;
    RemoveProjectEnvTargetProjects2$.outboundSchema = RemoveProjectEnvTargetProjects2$outboundSchema;
  })(RemoveProjectEnvTargetProjects2$ ||= {});
  RemoveProjectEnvTargetProjects1$inboundSchema = nativeEnumType(RemoveProjectEnvTargetProjects1);
  RemoveProjectEnvTargetProjects1$outboundSchema = RemoveProjectEnvTargetProjects1$inboundSchema;
  ((RemoveProjectEnvTargetProjects1$) => {
    RemoveProjectEnvTargetProjects1$.inboundSchema = RemoveProjectEnvTargetProjects1$inboundSchema;
    RemoveProjectEnvTargetProjects1$.outboundSchema = RemoveProjectEnvTargetProjects1$outboundSchema;
  })(RemoveProjectEnvTargetProjects1$ ||= {});
  RemoveProjectEnvResponseBodyProjectsTarget$inboundSchema = unionType([
    arrayType(RemoveProjectEnvTargetProjects1$inboundSchema),
    RemoveProjectEnvTargetProjects2$inboundSchema
  ]);
  RemoveProjectEnvResponseBodyProjectsTarget$outboundSchema = unionType([
    arrayType(RemoveProjectEnvTargetProjects1$outboundSchema),
    RemoveProjectEnvTargetProjects2$outboundSchema
  ]);
  ((RemoveProjectEnvResponseBodyProjectsTarget$) => {
    RemoveProjectEnvResponseBodyProjectsTarget$.inboundSchema = RemoveProjectEnvResponseBodyProjectsTarget$inboundSchema;
    RemoveProjectEnvResponseBodyProjectsTarget$.outboundSchema = RemoveProjectEnvResponseBodyProjectsTarget$outboundSchema;
  })(RemoveProjectEnvResponseBodyProjectsTarget$ ||= {});
  RemoveProjectEnvResponseBodyProjectsType$inboundSchema = nativeEnumType(RemoveProjectEnvResponseBodyProjectsType);
  RemoveProjectEnvResponseBodyProjectsType$outboundSchema = RemoveProjectEnvResponseBodyProjectsType$inboundSchema;
  ((RemoveProjectEnvResponseBodyProjectsType$) => {
    RemoveProjectEnvResponseBodyProjectsType$.inboundSchema = RemoveProjectEnvResponseBodyProjectsType$inboundSchema;
    RemoveProjectEnvResponseBodyProjectsType$.outboundSchema = RemoveProjectEnvResponseBodyProjectsType$outboundSchema;
  })(RemoveProjectEnvResponseBodyProjectsType$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type);
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$inboundSchema;
  ((RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$) => {
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$ ||= {});
  RemoveProjectEnvContentHintProjects15$inboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$inboundSchema,
    projectId: stringType()
  });
  RemoveProjectEnvContentHintProjects15$outboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$outboundSchema,
    projectId: stringType()
  });
  ((RemoveProjectEnvContentHintProjects15$) => {
    RemoveProjectEnvContentHintProjects15$.inboundSchema = RemoveProjectEnvContentHintProjects15$inboundSchema;
    RemoveProjectEnvContentHintProjects15$.outboundSchema = RemoveProjectEnvContentHintProjects15$outboundSchema;
  })(RemoveProjectEnvContentHintProjects15$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type);
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$inboundSchema;
  ((RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$) => {
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$ ||= {});
  RemoveProjectEnvContentHintProjects14$inboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$inboundSchema,
    storeId: stringType(),
    integrationId: stringType(),
    integrationProductId: stringType(),
    integrationConfigurationId: stringType()
  });
  RemoveProjectEnvContentHintProjects14$outboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$outboundSchema,
    storeId: stringType(),
    integrationId: stringType(),
    integrationProductId: stringType(),
    integrationConfigurationId: stringType()
  });
  ((RemoveProjectEnvContentHintProjects14$) => {
    RemoveProjectEnvContentHintProjects14$.inboundSchema = RemoveProjectEnvContentHintProjects14$inboundSchema;
    RemoveProjectEnvContentHintProjects14$.outboundSchema = RemoveProjectEnvContentHintProjects14$outboundSchema;
  })(RemoveProjectEnvContentHintProjects14$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type);
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$inboundSchema;
  ((RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$) => {
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$ ||= {});
  RemoveProjectEnvContentHintProjects13$inboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$inboundSchema,
    storeId: stringType()
  });
  RemoveProjectEnvContentHintProjects13$outboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$outboundSchema,
    storeId: stringType()
  });
  ((RemoveProjectEnvContentHintProjects13$) => {
    RemoveProjectEnvContentHintProjects13$.inboundSchema = RemoveProjectEnvContentHintProjects13$inboundSchema;
    RemoveProjectEnvContentHintProjects13$.outboundSchema = RemoveProjectEnvContentHintProjects13$outboundSchema;
  })(RemoveProjectEnvContentHintProjects13$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type);
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$inboundSchema;
  ((RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$) => {
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$ ||= {});
  RemoveProjectEnvContentHintProjects12$inboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$inboundSchema,
    storeId: stringType()
  });
  RemoveProjectEnvContentHintProjects12$outboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$outboundSchema,
    storeId: stringType()
  });
  ((RemoveProjectEnvContentHintProjects12$) => {
    RemoveProjectEnvContentHintProjects12$.inboundSchema = RemoveProjectEnvContentHintProjects12$inboundSchema;
    RemoveProjectEnvContentHintProjects12$.outboundSchema = RemoveProjectEnvContentHintProjects12$outboundSchema;
  })(RemoveProjectEnvContentHintProjects12$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type);
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$inboundSchema;
  ((RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$) => {
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$ ||= {});
  RemoveProjectEnvContentHintProjects11$inboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$inboundSchema,
    storeId: stringType()
  });
  RemoveProjectEnvContentHintProjects11$outboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$outboundSchema,
    storeId: stringType()
  });
  ((RemoveProjectEnvContentHintProjects11$) => {
    RemoveProjectEnvContentHintProjects11$.inboundSchema = RemoveProjectEnvContentHintProjects11$inboundSchema;
    RemoveProjectEnvContentHintProjects11$.outboundSchema = RemoveProjectEnvContentHintProjects11$outboundSchema;
  })(RemoveProjectEnvContentHintProjects11$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type);
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$inboundSchema;
  ((RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$) => {
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$ ||= {});
  RemoveProjectEnvContentHintProjects10$inboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$inboundSchema,
    storeId: stringType()
  });
  RemoveProjectEnvContentHintProjects10$outboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$outboundSchema,
    storeId: stringType()
  });
  ((RemoveProjectEnvContentHintProjects10$) => {
    RemoveProjectEnvContentHintProjects10$.inboundSchema = RemoveProjectEnvContentHintProjects10$inboundSchema;
    RemoveProjectEnvContentHintProjects10$.outboundSchema = RemoveProjectEnvContentHintProjects10$outboundSchema;
  })(RemoveProjectEnvContentHintProjects10$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type);
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$inboundSchema;
  ((RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$) => {
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$ ||= {});
  RemoveProjectEnvContentHintProjects9$inboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$inboundSchema,
    storeId: stringType()
  });
  RemoveProjectEnvContentHintProjects9$outboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$outboundSchema,
    storeId: stringType()
  });
  ((RemoveProjectEnvContentHintProjects9$) => {
    RemoveProjectEnvContentHintProjects9$.inboundSchema = RemoveProjectEnvContentHintProjects9$inboundSchema;
    RemoveProjectEnvContentHintProjects9$.outboundSchema = RemoveProjectEnvContentHintProjects9$outboundSchema;
  })(RemoveProjectEnvContentHintProjects9$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type);
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$inboundSchema;
  ((RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$) => {
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$ ||= {});
  RemoveProjectEnvContentHintProjects8$inboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$inboundSchema,
    storeId: stringType()
  });
  RemoveProjectEnvContentHintProjects8$outboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$outboundSchema,
    storeId: stringType()
  });
  ((RemoveProjectEnvContentHintProjects8$) => {
    RemoveProjectEnvContentHintProjects8$.inboundSchema = RemoveProjectEnvContentHintProjects8$inboundSchema;
    RemoveProjectEnvContentHintProjects8$.outboundSchema = RemoveProjectEnvContentHintProjects8$outboundSchema;
  })(RemoveProjectEnvContentHintProjects8$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type);
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$inboundSchema;
  ((RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$) => {
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$ ||= {});
  RemoveProjectEnvContentHintProjects7$inboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$inboundSchema,
    storeId: stringType()
  });
  RemoveProjectEnvContentHintProjects7$outboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$outboundSchema,
    storeId: stringType()
  });
  ((RemoveProjectEnvContentHintProjects7$) => {
    RemoveProjectEnvContentHintProjects7$.inboundSchema = RemoveProjectEnvContentHintProjects7$inboundSchema;
    RemoveProjectEnvContentHintProjects7$.outboundSchema = RemoveProjectEnvContentHintProjects7$outboundSchema;
  })(RemoveProjectEnvContentHintProjects7$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type);
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$inboundSchema;
  ((RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$) => {
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$ ||= {});
  RemoveProjectEnvContentHintProjects6$inboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$inboundSchema,
    storeId: stringType()
  });
  RemoveProjectEnvContentHintProjects6$outboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$outboundSchema,
    storeId: stringType()
  });
  ((RemoveProjectEnvContentHintProjects6$) => {
    RemoveProjectEnvContentHintProjects6$.inboundSchema = RemoveProjectEnvContentHintProjects6$inboundSchema;
    RemoveProjectEnvContentHintProjects6$.outboundSchema = RemoveProjectEnvContentHintProjects6$outboundSchema;
  })(RemoveProjectEnvContentHintProjects6$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type);
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$inboundSchema;
  ((RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$) => {
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$ ||= {});
  RemoveProjectEnvContentHintProjects5$inboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$inboundSchema,
    storeId: stringType()
  });
  RemoveProjectEnvContentHintProjects5$outboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$outboundSchema,
    storeId: stringType()
  });
  ((RemoveProjectEnvContentHintProjects5$) => {
    RemoveProjectEnvContentHintProjects5$.inboundSchema = RemoveProjectEnvContentHintProjects5$inboundSchema;
    RemoveProjectEnvContentHintProjects5$.outboundSchema = RemoveProjectEnvContentHintProjects5$outboundSchema;
  })(RemoveProjectEnvContentHintProjects5$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type);
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$inboundSchema;
  ((RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$) => {
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$ ||= {});
  RemoveProjectEnvContentHintProjects4$inboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$inboundSchema,
    storeId: stringType()
  });
  RemoveProjectEnvContentHintProjects4$outboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$outboundSchema,
    storeId: stringType()
  });
  ((RemoveProjectEnvContentHintProjects4$) => {
    RemoveProjectEnvContentHintProjects4$.inboundSchema = RemoveProjectEnvContentHintProjects4$inboundSchema;
    RemoveProjectEnvContentHintProjects4$.outboundSchema = RemoveProjectEnvContentHintProjects4$outboundSchema;
  })(RemoveProjectEnvContentHintProjects4$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type);
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$inboundSchema;
  ((RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$) => {
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$ ||= {});
  RemoveProjectEnvContentHintProjects3$inboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$inboundSchema,
    storeId: stringType()
  });
  RemoveProjectEnvContentHintProjects3$outboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$outboundSchema,
    storeId: stringType()
  });
  ((RemoveProjectEnvContentHintProjects3$) => {
    RemoveProjectEnvContentHintProjects3$.inboundSchema = RemoveProjectEnvContentHintProjects3$inboundSchema;
    RemoveProjectEnvContentHintProjects3$.outboundSchema = RemoveProjectEnvContentHintProjects3$outboundSchema;
  })(RemoveProjectEnvContentHintProjects3$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type);
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$inboundSchema;
  ((RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$) => {
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$ ||= {});
  RemoveProjectEnvContentHintProjects2$inboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$inboundSchema,
    storeId: stringType()
  });
  RemoveProjectEnvContentHintProjects2$outboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$outboundSchema,
    storeId: stringType()
  });
  ((RemoveProjectEnvContentHintProjects2$) => {
    RemoveProjectEnvContentHintProjects2$.inboundSchema = RemoveProjectEnvContentHintProjects2$inboundSchema;
    RemoveProjectEnvContentHintProjects2$.outboundSchema = RemoveProjectEnvContentHintProjects2$outboundSchema;
  })(RemoveProjectEnvContentHintProjects2$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type);
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$inboundSchema;
  ((RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$) => {
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$ ||= {});
  RemoveProjectEnvContentHintProjects1$inboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$inboundSchema,
    storeId: stringType()
  });
  RemoveProjectEnvContentHintProjects1$outboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$outboundSchema,
    storeId: stringType()
  });
  ((RemoveProjectEnvContentHintProjects1$) => {
    RemoveProjectEnvContentHintProjects1$.inboundSchema = RemoveProjectEnvContentHintProjects1$inboundSchema;
    RemoveProjectEnvContentHintProjects1$.outboundSchema = RemoveProjectEnvContentHintProjects1$outboundSchema;
  })(RemoveProjectEnvContentHintProjects1$ ||= {});
  RemoveProjectEnvResponseBodyProjectsContentHint$inboundSchema = unionType([
    lazyType(() => RemoveProjectEnvContentHintProjects1$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects2$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects3$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects4$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects5$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects6$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects7$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects8$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects9$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects10$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects11$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects12$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects13$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects15$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects14$inboundSchema)
  ]);
  RemoveProjectEnvResponseBodyProjectsContentHint$outboundSchema = unionType([
    lazyType(() => RemoveProjectEnvContentHintProjects1$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects2$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects3$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects4$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects5$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects6$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects7$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects8$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects9$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects10$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects11$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects12$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects13$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects15$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects14$outboundSchema)
  ]);
  ((RemoveProjectEnvResponseBodyProjectsContentHint$) => {
    RemoveProjectEnvResponseBodyProjectsContentHint$.inboundSchema = RemoveProjectEnvResponseBodyProjectsContentHint$inboundSchema;
    RemoveProjectEnvResponseBodyProjectsContentHint$.outboundSchema = RemoveProjectEnvResponseBodyProjectsContentHint$outboundSchema;
  })(RemoveProjectEnvResponseBodyProjectsContentHint$ ||= {});
  RemoveProjectEnvResponseBodyProjectsResponse200Type$inboundSchema = nativeEnumType(RemoveProjectEnvResponseBodyProjectsResponse200Type);
  RemoveProjectEnvResponseBodyProjectsResponse200Type$outboundSchema = RemoveProjectEnvResponseBodyProjectsResponse200Type$inboundSchema;
  ((RemoveProjectEnvResponseBodyProjectsResponse200Type$) => {
    RemoveProjectEnvResponseBodyProjectsResponse200Type$.inboundSchema = RemoveProjectEnvResponseBodyProjectsResponse200Type$inboundSchema;
    RemoveProjectEnvResponseBodyProjectsResponse200Type$.outboundSchema = RemoveProjectEnvResponseBodyProjectsResponse200Type$outboundSchema;
  })(RemoveProjectEnvResponseBodyProjectsResponse200Type$ ||= {});
  RemoveProjectEnvResponseBodyProjectsInternalContentHint$inboundSchema = objectType({
    type: RemoveProjectEnvResponseBodyProjectsResponse200Type$inboundSchema,
    encryptedValue: stringType()
  });
  RemoveProjectEnvResponseBodyProjectsInternalContentHint$outboundSchema = objectType({
    type: RemoveProjectEnvResponseBodyProjectsResponse200Type$outboundSchema,
    encryptedValue: stringType()
  });
  ((RemoveProjectEnvResponseBodyProjectsInternalContentHint$) => {
    RemoveProjectEnvResponseBodyProjectsInternalContentHint$.inboundSchema = RemoveProjectEnvResponseBodyProjectsInternalContentHint$inboundSchema;
    RemoveProjectEnvResponseBodyProjectsInternalContentHint$.outboundSchema = RemoveProjectEnvResponseBodyProjectsInternalContentHint$outboundSchema;
  })(RemoveProjectEnvResponseBodyProjectsInternalContentHint$ ||= {});
  RemoveProjectEnvResponseBody2$inboundSchema = objectType({
    system: booleanType().optional(),
    target: unionType([
      arrayType(RemoveProjectEnvTargetProjects1$inboundSchema),
      RemoveProjectEnvTargetProjects2$inboundSchema
    ]).optional(),
    type: RemoveProjectEnvResponseBodyProjectsType$inboundSchema,
    sunsetSecretId: stringType().optional(),
    decrypted: booleanType().optional(),
    value: stringType(),
    vsmValue: stringType().optional(),
    id: stringType().optional(),
    key: stringType(),
    configurationId: nullableType(stringType()).optional(),
    createdAt: numberType().optional(),
    updatedAt: numberType().optional(),
    createdBy: nullableType(stringType()).optional(),
    updatedBy: nullableType(stringType()).optional(),
    gitBranch: stringType().optional(),
    edgeConfigId: nullableType(stringType()).optional(),
    edgeConfigTokenId: nullableType(stringType()).optional(),
    contentHint: nullableType(unionType([
      lazyType(() => RemoveProjectEnvContentHintProjects1$inboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjects2$inboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjects3$inboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjects4$inboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjects5$inboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjects6$inboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjects7$inboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjects8$inboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjects9$inboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjects10$inboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjects11$inboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjects12$inboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjects13$inboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjects15$inboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjects14$inboundSchema)
    ])).optional(),
    internalContentHint: nullableType(lazyType(() => RemoveProjectEnvResponseBodyProjectsInternalContentHint$inboundSchema)).optional(),
    comment: stringType().optional(),
    customEnvironmentIds: arrayType(stringType()).optional()
  });
  RemoveProjectEnvResponseBody2$outboundSchema = objectType({
    system: booleanType().optional(),
    target: unionType([
      arrayType(RemoveProjectEnvTargetProjects1$outboundSchema),
      RemoveProjectEnvTargetProjects2$outboundSchema
    ]).optional(),
    type: RemoveProjectEnvResponseBodyProjectsType$outboundSchema,
    sunsetSecretId: stringType().optional(),
    decrypted: booleanType().optional(),
    value: stringType(),
    vsmValue: stringType().optional(),
    id: stringType().optional(),
    key: stringType(),
    configurationId: nullableType(stringType()).optional(),
    createdAt: numberType().optional(),
    updatedAt: numberType().optional(),
    createdBy: nullableType(stringType()).optional(),
    updatedBy: nullableType(stringType()).optional(),
    gitBranch: stringType().optional(),
    edgeConfigId: nullableType(stringType()).optional(),
    edgeConfigTokenId: nullableType(stringType()).optional(),
    contentHint: nullableType(unionType([
      lazyType(() => RemoveProjectEnvContentHintProjects1$outboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjects2$outboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjects3$outboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjects4$outboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjects5$outboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjects6$outboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjects7$outboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjects8$outboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjects9$outboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjects10$outboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjects11$outboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjects12$outboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjects13$outboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjects15$outboundSchema),
      lazyType(() => RemoveProjectEnvContentHintProjects14$outboundSchema)
    ])).optional(),
    internalContentHint: nullableType(lazyType(() => RemoveProjectEnvResponseBodyProjectsInternalContentHint$outboundSchema)).optional(),
    comment: stringType().optional(),
    customEnvironmentIds: arrayType(stringType()).optional()
  });
  ((RemoveProjectEnvResponseBody2$) => {
    RemoveProjectEnvResponseBody2$.inboundSchema = RemoveProjectEnvResponseBody2$inboundSchema;
    RemoveProjectEnvResponseBody2$.outboundSchema = RemoveProjectEnvResponseBody2$outboundSchema;
  })(RemoveProjectEnvResponseBody2$ ||= {});
  RemoveProjectEnvTarget2$inboundSchema = nativeEnumType(RemoveProjectEnvTarget2);
  RemoveProjectEnvTarget2$outboundSchema = RemoveProjectEnvTarget2$inboundSchema;
  ((RemoveProjectEnvTarget2$) => {
    RemoveProjectEnvTarget2$.inboundSchema = RemoveProjectEnvTarget2$inboundSchema;
    RemoveProjectEnvTarget2$.outboundSchema = RemoveProjectEnvTarget2$outboundSchema;
  })(RemoveProjectEnvTarget2$ ||= {});
  RemoveProjectEnvTarget1$inboundSchema = nativeEnumType(RemoveProjectEnvTarget1);
  RemoveProjectEnvTarget1$outboundSchema = RemoveProjectEnvTarget1$inboundSchema;
  ((RemoveProjectEnvTarget1$) => {
    RemoveProjectEnvTarget1$.inboundSchema = RemoveProjectEnvTarget1$inboundSchema;
    RemoveProjectEnvTarget1$.outboundSchema = RemoveProjectEnvTarget1$outboundSchema;
  })(RemoveProjectEnvTarget1$ ||= {});
  RemoveProjectEnvResponseBodyTarget$inboundSchema = unionType([
    arrayType(RemoveProjectEnvTarget1$inboundSchema),
    RemoveProjectEnvTarget2$inboundSchema
  ]);
  RemoveProjectEnvResponseBodyTarget$outboundSchema = unionType([
    arrayType(RemoveProjectEnvTarget1$outboundSchema),
    RemoveProjectEnvTarget2$outboundSchema
  ]);
  ((RemoveProjectEnvResponseBodyTarget$) => {
    RemoveProjectEnvResponseBodyTarget$.inboundSchema = RemoveProjectEnvResponseBodyTarget$inboundSchema;
    RemoveProjectEnvResponseBodyTarget$.outboundSchema = RemoveProjectEnvResponseBodyTarget$outboundSchema;
  })(RemoveProjectEnvResponseBodyTarget$ ||= {});
  RemoveProjectEnvResponseBodyType$inboundSchema = nativeEnumType(RemoveProjectEnvResponseBodyType);
  RemoveProjectEnvResponseBodyType$outboundSchema = RemoveProjectEnvResponseBodyType$inboundSchema;
  ((RemoveProjectEnvResponseBodyType$) => {
    RemoveProjectEnvResponseBodyType$.inboundSchema = RemoveProjectEnvResponseBodyType$inboundSchema;
    RemoveProjectEnvResponseBodyType$.outboundSchema = RemoveProjectEnvResponseBodyType$outboundSchema;
  })(RemoveProjectEnvResponseBodyType$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type);
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$inboundSchema;
  ((RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$) => {
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$ ||= {});
  RemoveProjectEnvContentHint15$inboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$inboundSchema,
    projectId: stringType()
  });
  RemoveProjectEnvContentHint15$outboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$outboundSchema,
    projectId: stringType()
  });
  ((RemoveProjectEnvContentHint15$) => {
    RemoveProjectEnvContentHint15$.inboundSchema = RemoveProjectEnvContentHint15$inboundSchema;
    RemoveProjectEnvContentHint15$.outboundSchema = RemoveProjectEnvContentHint15$outboundSchema;
  })(RemoveProjectEnvContentHint15$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type);
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$inboundSchema;
  ((RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$) => {
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$ ||= {});
  RemoveProjectEnvContentHint14$inboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$inboundSchema,
    storeId: stringType(),
    integrationId: stringType(),
    integrationProductId: stringType(),
    integrationConfigurationId: stringType()
  });
  RemoveProjectEnvContentHint14$outboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$outboundSchema,
    storeId: stringType(),
    integrationId: stringType(),
    integrationProductId: stringType(),
    integrationConfigurationId: stringType()
  });
  ((RemoveProjectEnvContentHint14$) => {
    RemoveProjectEnvContentHint14$.inboundSchema = RemoveProjectEnvContentHint14$inboundSchema;
    RemoveProjectEnvContentHint14$.outboundSchema = RemoveProjectEnvContentHint14$outboundSchema;
  })(RemoveProjectEnvContentHint14$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type);
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$inboundSchema;
  ((RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$) => {
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$ ||= {});
  RemoveProjectEnvContentHint13$inboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$inboundSchema,
    storeId: stringType()
  });
  RemoveProjectEnvContentHint13$outboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$outboundSchema,
    storeId: stringType()
  });
  ((RemoveProjectEnvContentHint13$) => {
    RemoveProjectEnvContentHint13$.inboundSchema = RemoveProjectEnvContentHint13$inboundSchema;
    RemoveProjectEnvContentHint13$.outboundSchema = RemoveProjectEnvContentHint13$outboundSchema;
  })(RemoveProjectEnvContentHint13$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type);
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$inboundSchema;
  ((RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$) => {
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$ ||= {});
  RemoveProjectEnvContentHint12$inboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$inboundSchema,
    storeId: stringType()
  });
  RemoveProjectEnvContentHint12$outboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$outboundSchema,
    storeId: stringType()
  });
  ((RemoveProjectEnvContentHint12$) => {
    RemoveProjectEnvContentHint12$.inboundSchema = RemoveProjectEnvContentHint12$inboundSchema;
    RemoveProjectEnvContentHint12$.outboundSchema = RemoveProjectEnvContentHint12$outboundSchema;
  })(RemoveProjectEnvContentHint12$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type);
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$inboundSchema;
  ((RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$) => {
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$ ||= {});
  RemoveProjectEnvContentHint11$inboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$inboundSchema,
    storeId: stringType()
  });
  RemoveProjectEnvContentHint11$outboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$outboundSchema,
    storeId: stringType()
  });
  ((RemoveProjectEnvContentHint11$) => {
    RemoveProjectEnvContentHint11$.inboundSchema = RemoveProjectEnvContentHint11$inboundSchema;
    RemoveProjectEnvContentHint11$.outboundSchema = RemoveProjectEnvContentHint11$outboundSchema;
  })(RemoveProjectEnvContentHint11$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type);
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$inboundSchema;
  ((RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$) => {
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$ ||= {});
  RemoveProjectEnvContentHint10$inboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$inboundSchema,
    storeId: stringType()
  });
  RemoveProjectEnvContentHint10$outboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$outboundSchema,
    storeId: stringType()
  });
  ((RemoveProjectEnvContentHint10$) => {
    RemoveProjectEnvContentHint10$.inboundSchema = RemoveProjectEnvContentHint10$inboundSchema;
    RemoveProjectEnvContentHint10$.outboundSchema = RemoveProjectEnvContentHint10$outboundSchema;
  })(RemoveProjectEnvContentHint10$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type);
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$inboundSchema;
  ((RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$) => {
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$ ||= {});
  RemoveProjectEnvContentHint9$inboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$inboundSchema,
    storeId: stringType()
  });
  RemoveProjectEnvContentHint9$outboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$outboundSchema,
    storeId: stringType()
  });
  ((RemoveProjectEnvContentHint9$) => {
    RemoveProjectEnvContentHint9$.inboundSchema = RemoveProjectEnvContentHint9$inboundSchema;
    RemoveProjectEnvContentHint9$.outboundSchema = RemoveProjectEnvContentHint9$outboundSchema;
  })(RemoveProjectEnvContentHint9$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type);
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$inboundSchema;
  ((RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$) => {
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$ ||= {});
  RemoveProjectEnvContentHint8$inboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$inboundSchema,
    storeId: stringType()
  });
  RemoveProjectEnvContentHint8$outboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$outboundSchema,
    storeId: stringType()
  });
  ((RemoveProjectEnvContentHint8$) => {
    RemoveProjectEnvContentHint8$.inboundSchema = RemoveProjectEnvContentHint8$inboundSchema;
    RemoveProjectEnvContentHint8$.outboundSchema = RemoveProjectEnvContentHint8$outboundSchema;
  })(RemoveProjectEnvContentHint8$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type);
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$inboundSchema;
  ((RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$) => {
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$ ||= {});
  RemoveProjectEnvContentHint7$inboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$inboundSchema,
    storeId: stringType()
  });
  RemoveProjectEnvContentHint7$outboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$outboundSchema,
    storeId: stringType()
  });
  ((RemoveProjectEnvContentHint7$) => {
    RemoveProjectEnvContentHint7$.inboundSchema = RemoveProjectEnvContentHint7$inboundSchema;
    RemoveProjectEnvContentHint7$.outboundSchema = RemoveProjectEnvContentHint7$outboundSchema;
  })(RemoveProjectEnvContentHint7$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType);
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema;
  ((RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$) => {
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$ ||= {});
  RemoveProjectEnvContentHint6$inboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema,
    storeId: stringType()
  });
  RemoveProjectEnvContentHint6$outboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema,
    storeId: stringType()
  });
  ((RemoveProjectEnvContentHint6$) => {
    RemoveProjectEnvContentHint6$.inboundSchema = RemoveProjectEnvContentHint6$inboundSchema;
    RemoveProjectEnvContentHint6$.outboundSchema = RemoveProjectEnvContentHint6$outboundSchema;
  })(RemoveProjectEnvContentHint6$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType);
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType$inboundSchema;
  ((RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType$) => {
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType$ ||= {});
  RemoveProjectEnvContentHint5$inboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType$inboundSchema,
    storeId: stringType()
  });
  RemoveProjectEnvContentHint5$outboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType$outboundSchema,
    storeId: stringType()
  });
  ((RemoveProjectEnvContentHint5$) => {
    RemoveProjectEnvContentHint5$.inboundSchema = RemoveProjectEnvContentHint5$inboundSchema;
    RemoveProjectEnvContentHint5$.outboundSchema = RemoveProjectEnvContentHint5$outboundSchema;
  })(RemoveProjectEnvContentHint5$ ||= {});
  RemoveProjectEnvContentHintProjectsResponse200Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200Type);
  RemoveProjectEnvContentHintProjectsResponse200Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200Type$inboundSchema;
  ((RemoveProjectEnvContentHintProjectsResponse200Type$) => {
    RemoveProjectEnvContentHintProjectsResponse200Type$.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200Type$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponse200Type$.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200Type$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponse200Type$ ||= {});
  RemoveProjectEnvContentHint4$inboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200Type$inboundSchema,
    storeId: stringType()
  });
  RemoveProjectEnvContentHint4$outboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponse200Type$outboundSchema,
    storeId: stringType()
  });
  ((RemoveProjectEnvContentHint4$) => {
    RemoveProjectEnvContentHint4$.inboundSchema = RemoveProjectEnvContentHint4$inboundSchema;
    RemoveProjectEnvContentHint4$.outboundSchema = RemoveProjectEnvContentHint4$outboundSchema;
  })(RemoveProjectEnvContentHint4$ ||= {});
  RemoveProjectEnvContentHintProjectsResponseType$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponseType);
  RemoveProjectEnvContentHintProjectsResponseType$outboundSchema = RemoveProjectEnvContentHintProjectsResponseType$inboundSchema;
  ((RemoveProjectEnvContentHintProjectsResponseType$) => {
    RemoveProjectEnvContentHintProjectsResponseType$.inboundSchema = RemoveProjectEnvContentHintProjectsResponseType$inboundSchema;
    RemoveProjectEnvContentHintProjectsResponseType$.outboundSchema = RemoveProjectEnvContentHintProjectsResponseType$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsResponseType$ ||= {});
  RemoveProjectEnvContentHint3$inboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponseType$inboundSchema,
    storeId: stringType()
  });
  RemoveProjectEnvContentHint3$outboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsResponseType$outboundSchema,
    storeId: stringType()
  });
  ((RemoveProjectEnvContentHint3$) => {
    RemoveProjectEnvContentHint3$.inboundSchema = RemoveProjectEnvContentHint3$inboundSchema;
    RemoveProjectEnvContentHint3$.outboundSchema = RemoveProjectEnvContentHint3$outboundSchema;
  })(RemoveProjectEnvContentHint3$ ||= {});
  RemoveProjectEnvContentHintProjectsType$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsType);
  RemoveProjectEnvContentHintProjectsType$outboundSchema = RemoveProjectEnvContentHintProjectsType$inboundSchema;
  ((RemoveProjectEnvContentHintProjectsType$) => {
    RemoveProjectEnvContentHintProjectsType$.inboundSchema = RemoveProjectEnvContentHintProjectsType$inboundSchema;
    RemoveProjectEnvContentHintProjectsType$.outboundSchema = RemoveProjectEnvContentHintProjectsType$outboundSchema;
  })(RemoveProjectEnvContentHintProjectsType$ ||= {});
  RemoveProjectEnvContentHint2$inboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsType$inboundSchema,
    storeId: stringType()
  });
  RemoveProjectEnvContentHint2$outboundSchema = objectType({
    type: RemoveProjectEnvContentHintProjectsType$outboundSchema,
    storeId: stringType()
  });
  ((RemoveProjectEnvContentHint2$) => {
    RemoveProjectEnvContentHint2$.inboundSchema = RemoveProjectEnvContentHint2$inboundSchema;
    RemoveProjectEnvContentHint2$.outboundSchema = RemoveProjectEnvContentHint2$outboundSchema;
  })(RemoveProjectEnvContentHint2$ ||= {});
  RemoveProjectEnvContentHintType$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintType);
  RemoveProjectEnvContentHintType$outboundSchema = RemoveProjectEnvContentHintType$inboundSchema;
  ((RemoveProjectEnvContentHintType$) => {
    RemoveProjectEnvContentHintType$.inboundSchema = RemoveProjectEnvContentHintType$inboundSchema;
    RemoveProjectEnvContentHintType$.outboundSchema = RemoveProjectEnvContentHintType$outboundSchema;
  })(RemoveProjectEnvContentHintType$ ||= {});
  RemoveProjectEnvContentHint1$inboundSchema = objectType({
    type: RemoveProjectEnvContentHintType$inboundSchema,
    storeId: stringType()
  });
  RemoveProjectEnvContentHint1$outboundSchema = objectType({
    type: RemoveProjectEnvContentHintType$outboundSchema,
    storeId: stringType()
  });
  ((RemoveProjectEnvContentHint1$) => {
    RemoveProjectEnvContentHint1$.inboundSchema = RemoveProjectEnvContentHint1$inboundSchema;
    RemoveProjectEnvContentHint1$.outboundSchema = RemoveProjectEnvContentHint1$outboundSchema;
  })(RemoveProjectEnvContentHint1$ ||= {});
  RemoveProjectEnvResponseBodyContentHint$inboundSchema = unionType([
    lazyType(() => RemoveProjectEnvContentHint1$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHint2$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHint3$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHint4$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHint5$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHint6$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHint7$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHint8$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHint9$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHint10$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHint11$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHint12$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHint13$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHint15$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHint14$inboundSchema)
  ]);
  RemoveProjectEnvResponseBodyContentHint$outboundSchema = unionType([
    lazyType(() => RemoveProjectEnvContentHint1$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHint2$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHint3$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHint4$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHint5$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHint6$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHint7$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHint8$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHint9$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHint10$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHint11$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHint12$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHint13$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHint15$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHint14$outboundSchema)
  ]);
  ((RemoveProjectEnvResponseBodyContentHint$) => {
    RemoveProjectEnvResponseBodyContentHint$.inboundSchema = RemoveProjectEnvResponseBodyContentHint$inboundSchema;
    RemoveProjectEnvResponseBodyContentHint$.outboundSchema = RemoveProjectEnvResponseBodyContentHint$outboundSchema;
  })(RemoveProjectEnvResponseBodyContentHint$ ||= {});
  RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$inboundSchema = nativeEnumType(RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType);
  RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$outboundSchema = RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$inboundSchema;
  ((RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$) => {
    RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$.inboundSchema = RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$inboundSchema;
    RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$.outboundSchema = RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$outboundSchema;
  })(RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$ ||= {});
  RemoveProjectEnvResponseBodyInternalContentHint$inboundSchema = objectType({
    type: RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$inboundSchema,
    encryptedValue: stringType()
  });
  RemoveProjectEnvResponseBodyInternalContentHint$outboundSchema = objectType({
    type: RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$outboundSchema,
    encryptedValue: stringType()
  });
  ((RemoveProjectEnvResponseBodyInternalContentHint$) => {
    RemoveProjectEnvResponseBodyInternalContentHint$.inboundSchema = RemoveProjectEnvResponseBodyInternalContentHint$inboundSchema;
    RemoveProjectEnvResponseBodyInternalContentHint$.outboundSchema = RemoveProjectEnvResponseBodyInternalContentHint$outboundSchema;
  })(RemoveProjectEnvResponseBodyInternalContentHint$ ||= {});
  RemoveProjectEnvResponseBody1$inboundSchema = objectType({
    target: unionType([
      arrayType(RemoveProjectEnvTarget1$inboundSchema),
      RemoveProjectEnvTarget2$inboundSchema
    ]).optional(),
    type: RemoveProjectEnvResponseBodyType$inboundSchema,
    sunsetSecretId: stringType().optional(),
    decrypted: booleanType().optional(),
    value: stringType(),
    vsmValue: stringType().optional(),
    id: stringType().optional(),
    key: stringType(),
    configurationId: nullableType(stringType()).optional(),
    createdAt: numberType().optional(),
    updatedAt: numberType().optional(),
    createdBy: nullableType(stringType()).optional(),
    updatedBy: nullableType(stringType()).optional(),
    gitBranch: stringType().optional(),
    edgeConfigId: nullableType(stringType()).optional(),
    edgeConfigTokenId: nullableType(stringType()).optional(),
    contentHint: nullableType(unionType([
      lazyType(() => RemoveProjectEnvContentHint1$inboundSchema),
      lazyType(() => RemoveProjectEnvContentHint2$inboundSchema),
      lazyType(() => RemoveProjectEnvContentHint3$inboundSchema),
      lazyType(() => RemoveProjectEnvContentHint4$inboundSchema),
      lazyType(() => RemoveProjectEnvContentHint5$inboundSchema),
      lazyType(() => RemoveProjectEnvContentHint6$inboundSchema),
      lazyType(() => RemoveProjectEnvContentHint7$inboundSchema),
      lazyType(() => RemoveProjectEnvContentHint8$inboundSchema),
      lazyType(() => RemoveProjectEnvContentHint9$inboundSchema),
      lazyType(() => RemoveProjectEnvContentHint10$inboundSchema),
      lazyType(() => RemoveProjectEnvContentHint11$inboundSchema),
      lazyType(() => RemoveProjectEnvContentHint12$inboundSchema),
      lazyType(() => RemoveProjectEnvContentHint13$inboundSchema),
      lazyType(() => RemoveProjectEnvContentHint15$inboundSchema),
      lazyType(() => RemoveProjectEnvContentHint14$inboundSchema)
    ])).optional(),
    internalContentHint: nullableType(lazyType(() => RemoveProjectEnvResponseBodyInternalContentHint$inboundSchema)).optional(),
    comment: stringType().optional(),
    customEnvironmentIds: arrayType(stringType()).optional()
  });
  RemoveProjectEnvResponseBody1$outboundSchema = objectType({
    target: unionType([
      arrayType(RemoveProjectEnvTarget1$outboundSchema),
      RemoveProjectEnvTarget2$outboundSchema
    ]).optional(),
    type: RemoveProjectEnvResponseBodyType$outboundSchema,
    sunsetSecretId: stringType().optional(),
    decrypted: booleanType().optional(),
    value: stringType(),
    vsmValue: stringType().optional(),
    id: stringType().optional(),
    key: stringType(),
    configurationId: nullableType(stringType()).optional(),
    createdAt: numberType().optional(),
    updatedAt: numberType().optional(),
    createdBy: nullableType(stringType()).optional(),
    updatedBy: nullableType(stringType()).optional(),
    gitBranch: stringType().optional(),
    edgeConfigId: nullableType(stringType()).optional(),
    edgeConfigTokenId: nullableType(stringType()).optional(),
    contentHint: nullableType(unionType([
      lazyType(() => RemoveProjectEnvContentHint1$outboundSchema),
      lazyType(() => RemoveProjectEnvContentHint2$outboundSchema),
      lazyType(() => RemoveProjectEnvContentHint3$outboundSchema),
      lazyType(() => RemoveProjectEnvContentHint4$outboundSchema),
      lazyType(() => RemoveProjectEnvContentHint5$outboundSchema),
      lazyType(() => RemoveProjectEnvContentHint6$outboundSchema),
      lazyType(() => RemoveProjectEnvContentHint7$outboundSchema),
      lazyType(() => RemoveProjectEnvContentHint8$outboundSchema),
      lazyType(() => RemoveProjectEnvContentHint9$outboundSchema),
      lazyType(() => RemoveProjectEnvContentHint10$outboundSchema),
      lazyType(() => RemoveProjectEnvContentHint11$outboundSchema),
      lazyType(() => RemoveProjectEnvContentHint12$outboundSchema),
      lazyType(() => RemoveProjectEnvContentHint13$outboundSchema),
      lazyType(() => RemoveProjectEnvContentHint15$outboundSchema),
      lazyType(() => RemoveProjectEnvContentHint14$outboundSchema)
    ])).optional(),
    internalContentHint: nullableType(lazyType(() => RemoveProjectEnvResponseBodyInternalContentHint$outboundSchema)).optional(),
    comment: stringType().optional(),
    customEnvironmentIds: arrayType(stringType()).optional()
  });
  ((RemoveProjectEnvResponseBody1$) => {
    RemoveProjectEnvResponseBody1$.inboundSchema = RemoveProjectEnvResponseBody1$inboundSchema;
    RemoveProjectEnvResponseBody1$.outboundSchema = RemoveProjectEnvResponseBody1$outboundSchema;
  })(RemoveProjectEnvResponseBody1$ ||= {});
  RemoveProjectEnvResponseBody$inboundSchema = unionType([
    lazyType(() => RemoveProjectEnvResponseBody3$inboundSchema),
    lazyType(() => RemoveProjectEnvResponseBody2$inboundSchema),
    arrayType(lazyType(() => RemoveProjectEnvResponseBody1$inboundSchema))
  ]);
  RemoveProjectEnvResponseBody$outboundSchema = unionType([
    lazyType(() => RemoveProjectEnvResponseBody3$outboundSchema),
    lazyType(() => RemoveProjectEnvResponseBody2$outboundSchema),
    arrayType(lazyType(() => RemoveProjectEnvResponseBody1$outboundSchema))
  ]);
  ((RemoveProjectEnvResponseBody$) => {
    RemoveProjectEnvResponseBody$.inboundSchema = RemoveProjectEnvResponseBody$inboundSchema;
    RemoveProjectEnvResponseBody$.outboundSchema = RemoveProjectEnvResponseBody$outboundSchema;
  })(RemoveProjectEnvResponseBody$ ||= {});
});

// src/funcs/projectsRemoveProjectEnv.ts
function projectsRemoveProjectEnv(client, request, options) {
  return new APIPromise($do132(client, request, options));
}
async function $do132(client, request, options) {
  const parsed = safeParse(request, (value) => RemoveProjectEnvRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    id: encodeSimple("id", payload.id, {
      explode: false,
      charEncoding: "percent"
    }),
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v9/projects/{idOrName}/env/{id}")(pathParams);
  const query = encodeFormQuery({
    customEnvironmentId: payload.customEnvironmentId,
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "removeProjectEnv",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "DELETE",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "409", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, RemoveProjectEnvResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, 409, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_projectsRemoveProjectEnv = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_removeprojectenvop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/projectsRemoveProjectEnv.ts
var args131, tool$projectsRemoveProjectEnv;
var init_projectsRemoveProjectEnv2 = __esm(() => {
  init_projectsRemoveProjectEnv();
  init_removeprojectenvop();
  init_tools();
  args131 = {
    request: RemoveProjectEnvRequest$inboundSchema
  };
  tool$projectsRemoveProjectEnv = {
    name: "projects-remove-project-env",
    description: `Remove an environment variable

Delete a specific environment variable for a given project by passing the environment variable identifier and either passing the project \`id\` or \`name\` in the URL.`,
    args: args131,
    tool: async (client, args132, ctx) => {
      const [result, apiCall] = await projectsRemoveProjectEnv(client, args132.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/requestpromoteop.ts
var RequestPromoteRequest$inboundSchema, RequestPromoteRequest$outboundSchema, RequestPromoteRequest$;
var init_requestpromoteop = __esm(() => {
  init_esm();
  RequestPromoteRequest$inboundSchema = objectType({
    projectId: stringType(),
    deploymentId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  RequestPromoteRequest$outboundSchema = objectType({
    projectId: stringType(),
    deploymentId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((RequestPromoteRequest$) => {
    RequestPromoteRequest$.inboundSchema = RequestPromoteRequest$inboundSchema;
    RequestPromoteRequest$.outboundSchema = RequestPromoteRequest$outboundSchema;
  })(RequestPromoteRequest$ ||= {});
});

// src/funcs/projectsRequestPromote.ts
function projectsRequestPromote(client, request, options) {
  return new APIPromise($do133(client, request, options));
}
async function $do133(client, request, options) {
  const parsed = safeParse(request, (value) => RequestPromoteRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    deploymentId: encodeSimple("deploymentId", payload.deploymentId, {
      explode: false,
      charEncoding: "percent"
    }),
    projectId: encodeSimple("projectId", payload.projectId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v10/projects/{projectId}/promote/{deploymentId}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "requestPromote",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "409", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(nil(201, voidType()), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, 409, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_projectsRequestPromote = __esm(() => {
  init_esm();
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_requestpromoteop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/projectsRequestPromote.ts
var args132, tool$projectsRequestPromote;
var init_projectsRequestPromote2 = __esm(() => {
  init_projectsRequestPromote();
  init_requestpromoteop();
  init_tools();
  args132 = {
    request: RequestPromoteRequest$inboundSchema
  };
  tool$projectsRequestPromote = {
    name: "projects-request-promote",
    description: `Points all production domains for a project to the given deploy

Allows users to promote a deployment to production. Note: This does NOT rebuild the deployment. If you need that, then call create-deployments endpoint.`,
    args: args132,
    tool: async (client, args133, ctx) => {
      const [result, apiCall] = await projectsRequestPromote(client, args133.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      return formatResult(undefined, apiCall);
    }
  };
});

// src/models/unpauseprojectop.ts
var UnpauseProjectRequest$inboundSchema, UnpauseProjectRequest$outboundSchema, UnpauseProjectRequest$;
var init_unpauseprojectop = __esm(() => {
  init_esm();
  UnpauseProjectRequest$inboundSchema = objectType({
    projectId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  UnpauseProjectRequest$outboundSchema = objectType({
    projectId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((UnpauseProjectRequest$) => {
    UnpauseProjectRequest$.inboundSchema = UnpauseProjectRequest$inboundSchema;
    UnpauseProjectRequest$.outboundSchema = UnpauseProjectRequest$outboundSchema;
  })(UnpauseProjectRequest$ ||= {});
});

// src/funcs/projectsUnpauseProject.ts
function projectsUnpauseProject(client, request, options) {
  return new APIPromise($do134(client, request, options));
}
async function $do134(client, request, options) {
  const parsed = safeParse(request, (value) => UnpauseProjectRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    projectId: encodeSimple("projectId", payload.projectId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/projects/{projectId}/unpause")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "unpauseProject",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "500", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(nil(200, voidType()), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail([500, "5XX"]))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_projectsUnpauseProject = __esm(() => {
  init_esm();
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_unpauseprojectop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/projectsUnpauseProject.ts
var args133, tool$projectsUnpauseProject;
var init_projectsUnpauseProject2 = __esm(() => {
  init_projectsUnpauseProject();
  init_unpauseprojectop();
  init_tools();
  args133 = {
    request: UnpauseProjectRequest$inboundSchema
  };
  tool$projectsUnpauseProject = {
    name: "projects-unpause-project",
    description: `Unpause a project

Unpause a project by passing its project \`id\` in the URL. If the project does not exist given the id then the request will fail with 400 status code. If the project enables auto assigning custom production domains and unblocks the active Production Deployment then the request will return with 200 status code.`,
    args: args133,
    tool: async (client, args134, ctx) => {
      const [result, apiCall] = await projectsUnpauseProject(client, args134.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      return formatResult(undefined, apiCall);
    }
  };
});

// src/models/updateprojectop.ts
var UpdateProjectFramework, UpdateProjectNodeVersion, UpdateProjectBuildMachineType, UpdateProjectFunctionDefaultMemoryType, UpdateProjectIssuerMode, UpdateProjectDeploymentType, UpdateProjectProjectsDeploymentType, UpdateProjectProjectsRequestDeploymentType, ProtectionMode, UpdateProjectEnvId2, UpdateProjectTarget2, UpdateProjectType, UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type, UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type, UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type, UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type, UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type, UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type, UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type, UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type, UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType, UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType, UpdateProjectContentHintProjectsResponse200ApplicationJSONType, UpdateProjectContentHintProjectsResponse200Type, UpdateProjectContentHintProjectsResponseType, UpdateProjectContentHintProjectsType, UpdateProjectContentHintType, UpdateProjectProjectsResponse200ApplicationJSONResponseBodyType, UpdateProjectProjectsType, UpdateProjectProjectsResponse200ApplicationJSONResponseBodyCustomEnvironmentsType, UpdateProjectProjectsFramework, UpdateProjectProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType, UpdateProjectChecksConclusion, UpdateProjectChecksState, UpdateProjectPlan, UpdateProjectReadyState, UpdateProjectReadySubstate, UpdateProjectProjectsResponseType, UpdateProjectLinkProjectsResponse200Type, UpdateProjectLinkProjectsResponseType, UpdateProjectLinkProjectsType, UpdateProjectLinkType, UpdateProjectProjectsNodeVersion, UpdateProjectProjectsFunctionDefaultMemoryType, UpdateProjectProjectsBuildMachineType, UpdateProjectProjectsResponseFunctionDefaultMemoryType, UpdateProjectProjectsResponseBuildMachineType, UpdateProjectProjectsResponseDeploymentType, UpdateProjectProjectsResponse200ApplicationJSONResponseBodyTargetsType, UpdateProjectProjectsChecksConclusion, UpdateProjectProjectsChecksState, UpdateProjectProjectsPlan, UpdateProjectProjectsReadyState, UpdateProjectProjectsReadySubstate, UpdateProjectProjectsResponse200Type, UpdateProjectJobStatus, UpdateProjectProjectsResponse200ApplicationJSONType, UpdateProjectProtectionBypassProjectsScope, UpdateProjectProtectionBypassScope, UpdateProjectTrustedIpsProjectsDeploymentType, UpdateProjectTrustedIpsDeploymentType, UpdateProjectTrustedIpsProtectionMode, UpdateProjectCreateDeployments, UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType, UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType, UpdateProjectHandle, UpdateProjectProjectsAction, UpdateProjectAlgo, UpdateProjectAction, UpdateProjectProjectsIssuerMode, UpdateProjectTier, UpdateProjectFramework$inboundSchema, UpdateProjectFramework$outboundSchema, UpdateProjectFramework$, UpdateProjectNodeVersion$inboundSchema, UpdateProjectNodeVersion$outboundSchema, UpdateProjectNodeVersion$, UpdateProjectBuildMachineType$inboundSchema, UpdateProjectBuildMachineType$outboundSchema, UpdateProjectBuildMachineType$, UpdateProjectFunctionDefaultMemoryType$inboundSchema, UpdateProjectFunctionDefaultMemoryType$outboundSchema, UpdateProjectFunctionDefaultMemoryType$, UpdateProjectResourceConfig$inboundSchema, UpdateProjectResourceConfig$outboundSchema, UpdateProjectResourceConfig$, UpdateProjectIssuerMode$inboundSchema, UpdateProjectIssuerMode$outboundSchema, UpdateProjectIssuerMode$, UpdateProjectOidcTokenConfig$inboundSchema, UpdateProjectOidcTokenConfig$outboundSchema, UpdateProjectOidcTokenConfig$, UpdateProjectDeploymentType$inboundSchema, UpdateProjectDeploymentType$outboundSchema, UpdateProjectDeploymentType$, UpdateProjectPasswordProtection$inboundSchema, UpdateProjectPasswordProtection$outboundSchema, UpdateProjectPasswordProtection$, UpdateProjectProjectsDeploymentType$inboundSchema, UpdateProjectProjectsDeploymentType$outboundSchema, UpdateProjectProjectsDeploymentType$, UpdateProjectSsoProtection$inboundSchema, UpdateProjectSsoProtection$outboundSchema, UpdateProjectSsoProtection$, UpdateProjectProjectsRequestDeploymentType$inboundSchema, UpdateProjectProjectsRequestDeploymentType$outboundSchema, UpdateProjectProjectsRequestDeploymentType$, Addresses$inboundSchema, Addresses$outboundSchema, Addresses$, ProtectionMode$inboundSchema, ProtectionMode$outboundSchema, ProtectionMode$, UpdateProjectTrustedIps$inboundSchema, UpdateProjectTrustedIps$outboundSchema, UpdateProjectTrustedIps$, UpdateProjectPaths$inboundSchema, UpdateProjectPaths$outboundSchema, UpdateProjectPaths$, UpdateProjectOptionsAllowlist$inboundSchema, UpdateProjectOptionsAllowlist$outboundSchema, UpdateProjectOptionsAllowlist$, ConnectConfigurations1$inboundSchema, ConnectConfigurations1$outboundSchema, ConnectConfigurations1$, ConnectConfigurations$inboundSchema, ConnectConfigurations$outboundSchema, ConnectConfigurations$, UpdateProjectRequestBody$inboundSchema, UpdateProjectRequestBody$outboundSchema, UpdateProjectRequestBody$, UpdateProjectRequest$inboundSchema, UpdateProjectRequest$outboundSchema, UpdateProjectRequest$, UpdateProjectAnalytics$inboundSchema, UpdateProjectAnalytics$outboundSchema, UpdateProjectAnalytics$, UpdateProjectSpeedInsights$inboundSchema, UpdateProjectSpeedInsights$outboundSchema, UpdateProjectSpeedInsights$, UpdateProjectEnvId2$inboundSchema, UpdateProjectEnvId2$outboundSchema, UpdateProjectEnvId2$, UpdateProjectEnvId$inboundSchema, UpdateProjectEnvId$outboundSchema, UpdateProjectEnvId$, UpdateProjectAws$inboundSchema, UpdateProjectAws$outboundSchema, UpdateProjectAws$, UpdateProjectConnectConfigurations$inboundSchema, UpdateProjectConnectConfigurations$outboundSchema, UpdateProjectConnectConfigurations$, UpdateProjectDefinitions$inboundSchema, UpdateProjectDefinitions$outboundSchema, UpdateProjectDefinitions$, UpdateProjectCrons$inboundSchema, UpdateProjectCrons$outboundSchema, UpdateProjectCrons$, UpdateProjectDataCache$inboundSchema, UpdateProjectDataCache$outboundSchema, UpdateProjectDataCache$, UpdateProjectDeploymentExpiration$inboundSchema, UpdateProjectDeploymentExpiration$outboundSchema, UpdateProjectDeploymentExpiration$, UpdateProjectTarget2$inboundSchema, UpdateProjectTarget2$outboundSchema, UpdateProjectTarget2$, UpdateProjectTarget$inboundSchema, UpdateProjectTarget$outboundSchema, UpdateProjectTarget$, UpdateProjectType$inboundSchema, UpdateProjectType$outboundSchema, UpdateProjectType$, UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$inboundSchema, UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$outboundSchema, UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$, UpdateProjectContentHint15$inboundSchema, UpdateProjectContentHint15$outboundSchema, UpdateProjectContentHint15$, UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$inboundSchema, UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$outboundSchema, UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$, UpdateProjectContentHint14$inboundSchema, UpdateProjectContentHint14$outboundSchema, UpdateProjectContentHint14$, UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$inboundSchema, UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$outboundSchema, UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$, UpdateProjectContentHint13$inboundSchema, UpdateProjectContentHint13$outboundSchema, UpdateProjectContentHint13$, UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$inboundSchema, UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$outboundSchema, UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$, UpdateProjectContentHint12$inboundSchema, UpdateProjectContentHint12$outboundSchema, UpdateProjectContentHint12$, UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$inboundSchema, UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$outboundSchema, UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$, UpdateProjectContentHint11$inboundSchema, UpdateProjectContentHint11$outboundSchema, UpdateProjectContentHint11$, UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$inboundSchema, UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$outboundSchema, UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$, UpdateProjectContentHint10$inboundSchema, UpdateProjectContentHint10$outboundSchema, UpdateProjectContentHint10$, UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$inboundSchema, UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$outboundSchema, UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$, UpdateProjectContentHint9$inboundSchema, UpdateProjectContentHint9$outboundSchema, UpdateProjectContentHint9$, UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type$inboundSchema, UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type$outboundSchema, UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type$, UpdateProjectContentHint8$inboundSchema, UpdateProjectContentHint8$outboundSchema, UpdateProjectContentHint8$, UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$inboundSchema, UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$outboundSchema, UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$, UpdateProjectContentHint7$inboundSchema, UpdateProjectContentHint7$outboundSchema, UpdateProjectContentHint7$, UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema, UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema, UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType$, UpdateProjectContentHint6$inboundSchema, UpdateProjectContentHint6$outboundSchema, UpdateProjectContentHint6$, UpdateProjectContentHintProjectsResponse200ApplicationJSONType$inboundSchema, UpdateProjectContentHintProjectsResponse200ApplicationJSONType$outboundSchema, UpdateProjectContentHintProjectsResponse200ApplicationJSONType$, UpdateProjectContentHint5$inboundSchema, UpdateProjectContentHint5$outboundSchema, UpdateProjectContentHint5$, UpdateProjectContentHintProjectsResponse200Type$inboundSchema, UpdateProjectContentHintProjectsResponse200Type$outboundSchema, UpdateProjectContentHintProjectsResponse200Type$, UpdateProjectContentHint4$inboundSchema, UpdateProjectContentHint4$outboundSchema, UpdateProjectContentHint4$, UpdateProjectContentHintProjectsResponseType$inboundSchema, UpdateProjectContentHintProjectsResponseType$outboundSchema, UpdateProjectContentHintProjectsResponseType$, UpdateProjectContentHint3$inboundSchema, UpdateProjectContentHint3$outboundSchema, UpdateProjectContentHint3$, UpdateProjectContentHintProjectsType$inboundSchema, UpdateProjectContentHintProjectsType$outboundSchema, UpdateProjectContentHintProjectsType$, UpdateProjectContentHint2$inboundSchema, UpdateProjectContentHint2$outboundSchema, UpdateProjectContentHint2$, UpdateProjectContentHintType$inboundSchema, UpdateProjectContentHintType$outboundSchema, UpdateProjectContentHintType$, UpdateProjectContentHint1$inboundSchema, UpdateProjectContentHint1$outboundSchema, UpdateProjectContentHint1$, UpdateProjectContentHint$inboundSchema, UpdateProjectContentHint$outboundSchema, UpdateProjectContentHint$, UpdateProjectProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema, UpdateProjectProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema, UpdateProjectProjectsResponse200ApplicationJSONResponseBodyType$, UpdateProjectInternalContentHint$inboundSchema, UpdateProjectInternalContentHint$outboundSchema, UpdateProjectInternalContentHint$, UpdateProjectEnv$inboundSchema, UpdateProjectEnv$outboundSchema, UpdateProjectEnv$, UpdateProjectProjectsType$inboundSchema, UpdateProjectProjectsType$outboundSchema, UpdateProjectProjectsType$, UpdateProjectProjectsResponse200ApplicationJSONResponseBodyCustomEnvironmentsType$inboundSchema, UpdateProjectProjectsResponse200ApplicationJSONResponseBodyCustomEnvironmentsType$outboundSchema, UpdateProjectProjectsResponse200ApplicationJSONResponseBodyCustomEnvironmentsType$, UpdateProjectBranchMatcher$inboundSchema, UpdateProjectBranchMatcher$outboundSchema, UpdateProjectBranchMatcher$, UpdateProjectVerification$inboundSchema, UpdateProjectVerification$outboundSchema, UpdateProjectVerification$, UpdateProjectDomains$inboundSchema, UpdateProjectDomains$outboundSchema, UpdateProjectDomains$, UpdateProjectCustomEnvironments$inboundSchema, UpdateProjectCustomEnvironments$outboundSchema, UpdateProjectCustomEnvironments$, UpdateProjectProjectsFramework$inboundSchema, UpdateProjectProjectsFramework$outboundSchema, UpdateProjectProjectsFramework$, UpdateProjectIpBuckets$inboundSchema, UpdateProjectIpBuckets$outboundSchema, UpdateProjectIpBuckets$, UpdateProjectAliasAssigned$inboundSchema, UpdateProjectAliasAssigned$outboundSchema, UpdateProjectAliasAssigned$, UpdateProjectAliasError$inboundSchema, UpdateProjectAliasError$outboundSchema, UpdateProjectAliasError$, UpdateProjectProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType$inboundSchema, UpdateProjectProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType$outboundSchema, UpdateProjectProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType$, UpdateProjectProjectsBranchMatcher$inboundSchema, UpdateProjectProjectsBranchMatcher$outboundSchema, UpdateProjectProjectsBranchMatcher$, UpdateProjectBuilds$inboundSchema, UpdateProjectBuilds$outboundSchema, UpdateProjectBuilds$, UpdateProjectChecksConclusion$inboundSchema, UpdateProjectChecksConclusion$outboundSchema, UpdateProjectChecksConclusion$, UpdateProjectChecksState$inboundSchema, UpdateProjectChecksState$outboundSchema, UpdateProjectChecksState$, UpdateProjectCreator$inboundSchema, UpdateProjectCreator$outboundSchema, UpdateProjectCreator$, UpdateProjectOidcTokenClaims$inboundSchema, UpdateProjectOidcTokenClaims$outboundSchema, UpdateProjectOidcTokenClaims$, UpdateProjectPlan$inboundSchema, UpdateProjectPlan$outboundSchema, UpdateProjectPlan$, UpdateProjectReadyState$inboundSchema, UpdateProjectReadyState$outboundSchema, UpdateProjectReadyState$, UpdateProjectReadySubstate$inboundSchema, UpdateProjectReadySubstate$outboundSchema, UpdateProjectReadySubstate$, UpdateProjectProjectsResponseType$inboundSchema, UpdateProjectProjectsResponseType$outboundSchema, UpdateProjectProjectsResponseType$, UpdateProjectLatestDeployments$inboundSchema, UpdateProjectLatestDeployments$outboundSchema, UpdateProjectLatestDeployments$, UpdateProjectLinkProjectsResponse200Type$inboundSchema, UpdateProjectLinkProjectsResponse200Type$outboundSchema, UpdateProjectLinkProjectsResponse200Type$, UpdateProjectLinkProjectsResponse200DeployHooks$inboundSchema, UpdateProjectLinkProjectsResponse200DeployHooks$outboundSchema, UpdateProjectLinkProjectsResponse200DeployHooks$, UpdateProjectLink4$inboundSchema, UpdateProjectLink4$outboundSchema, UpdateProjectLink4$, UpdateProjectLinkProjectsResponseType$inboundSchema, UpdateProjectLinkProjectsResponseType$outboundSchema, UpdateProjectLinkProjectsResponseType$, UpdateProjectLinkProjectsResponseDeployHooks$inboundSchema, UpdateProjectLinkProjectsResponseDeployHooks$outboundSchema, UpdateProjectLinkProjectsResponseDeployHooks$, UpdateProjectLink3$inboundSchema, UpdateProjectLink3$outboundSchema, UpdateProjectLink3$, UpdateProjectLinkProjectsType$inboundSchema, UpdateProjectLinkProjectsType$outboundSchema, UpdateProjectLinkProjectsType$, UpdateProjectLinkProjectsDeployHooks$inboundSchema, UpdateProjectLinkProjectsDeployHooks$outboundSchema, UpdateProjectLinkProjectsDeployHooks$, UpdateProjectLink2$inboundSchema, UpdateProjectLink2$outboundSchema, UpdateProjectLink2$, UpdateProjectLinkType$inboundSchema, UpdateProjectLinkType$outboundSchema, UpdateProjectLinkType$, UpdateProjectLinkDeployHooks$inboundSchema, UpdateProjectLinkDeployHooks$outboundSchema, UpdateProjectLinkDeployHooks$, UpdateProjectLink1$inboundSchema, UpdateProjectLink1$outboundSchema, UpdateProjectLink1$, UpdateProjectLink$inboundSchema, UpdateProjectLink$outboundSchema, UpdateProjectLink$, UpdateProjectMicrofrontends2$inboundSchema, UpdateProjectMicrofrontends2$outboundSchema, UpdateProjectMicrofrontends2$, UpdateProjectMicrofrontends1$inboundSchema, UpdateProjectMicrofrontends1$outboundSchema, UpdateProjectMicrofrontends1$, UpdateProjectMicrofrontends$inboundSchema, UpdateProjectMicrofrontends$outboundSchema, UpdateProjectMicrofrontends$, UpdateProjectProjectsNodeVersion$inboundSchema, UpdateProjectProjectsNodeVersion$outboundSchema, UpdateProjectProjectsNodeVersion$, UpdateProjectProjectsPaths$inboundSchema, UpdateProjectProjectsPaths$outboundSchema, UpdateProjectProjectsPaths$, UpdateProjectProjectsOptionsAllowlist$inboundSchema, UpdateProjectProjectsOptionsAllowlist$outboundSchema, UpdateProjectProjectsOptionsAllowlist$, UpdateProjectProjectsPasswordProtection$inboundSchema, UpdateProjectProjectsPasswordProtection$outboundSchema, UpdateProjectProjectsPasswordProtection$, UpdateProjectProjectsFunctionDefaultMemoryType$inboundSchema, UpdateProjectProjectsFunctionDefaultMemoryType$outboundSchema, UpdateProjectProjectsFunctionDefaultMemoryType$, UpdateProjectProjectsBuildMachineType$inboundSchema, UpdateProjectProjectsBuildMachineType$outboundSchema, UpdateProjectProjectsBuildMachineType$, UpdateProjectProjectsResourceConfig$inboundSchema, UpdateProjectProjectsResourceConfig$outboundSchema, UpdateProjectProjectsResourceConfig$, UpdateProjectStages$inboundSchema, UpdateProjectStages$outboundSchema, UpdateProjectStages$, UpdateProjectRollingRelease$inboundSchema, UpdateProjectRollingRelease$outboundSchema, UpdateProjectRollingRelease$, UpdateProjectProjectsResponseFunctionDefaultMemoryType$inboundSchema, UpdateProjectProjectsResponseFunctionDefaultMemoryType$outboundSchema, UpdateProjectProjectsResponseFunctionDefaultMemoryType$, UpdateProjectProjectsResponseBuildMachineType$inboundSchema, UpdateProjectProjectsResponseBuildMachineType$outboundSchema, UpdateProjectProjectsResponseBuildMachineType$, UpdateProjectDefaultResourceConfig$inboundSchema, UpdateProjectDefaultResourceConfig$outboundSchema, UpdateProjectDefaultResourceConfig$, UpdateProjectProjectsResponseDeploymentType$inboundSchema, UpdateProjectProjectsResponseDeploymentType$outboundSchema, UpdateProjectProjectsResponseDeploymentType$, UpdateProjectProjectsSsoProtection$inboundSchema, UpdateProjectProjectsSsoProtection$outboundSchema, UpdateProjectProjectsSsoProtection$, UpdateProjectProjectsAliasAssigned$inboundSchema, UpdateProjectProjectsAliasAssigned$outboundSchema, UpdateProjectProjectsAliasAssigned$, UpdateProjectProjectsAliasError$inboundSchema, UpdateProjectProjectsAliasError$outboundSchema, UpdateProjectProjectsAliasError$, UpdateProjectProjectsResponse200ApplicationJSONResponseBodyTargetsType$inboundSchema, UpdateProjectProjectsResponse200ApplicationJSONResponseBodyTargetsType$outboundSchema, UpdateProjectProjectsResponse200ApplicationJSONResponseBodyTargetsType$, UpdateProjectProjectsResponseBranchMatcher$inboundSchema, UpdateProjectProjectsResponseBranchMatcher$outboundSchema, UpdateProjectProjectsResponseBranchMatcher$, UpdateProjectProjectsBuilds$inboundSchema, UpdateProjectProjectsBuilds$outboundSchema, UpdateProjectProjectsBuilds$, UpdateProjectProjectsChecksConclusion$inboundSchema, UpdateProjectProjectsChecksConclusion$outboundSchema, UpdateProjectProjectsChecksConclusion$, UpdateProjectProjectsChecksState$inboundSchema, UpdateProjectProjectsChecksState$outboundSchema, UpdateProjectProjectsChecksState$, UpdateProjectProjectsCreator$inboundSchema, UpdateProjectProjectsCreator$outboundSchema, UpdateProjectProjectsCreator$, UpdateProjectProjectsOidcTokenClaims$inboundSchema, UpdateProjectProjectsOidcTokenClaims$outboundSchema, UpdateProjectProjectsOidcTokenClaims$, UpdateProjectProjectsPlan$inboundSchema, UpdateProjectProjectsPlan$outboundSchema, UpdateProjectProjectsPlan$, UpdateProjectProjectsReadyState$inboundSchema, UpdateProjectProjectsReadyState$outboundSchema, UpdateProjectProjectsReadyState$, UpdateProjectProjectsReadySubstate$inboundSchema, UpdateProjectProjectsReadySubstate$outboundSchema, UpdateProjectProjectsReadySubstate$, UpdateProjectProjectsResponse200Type$inboundSchema, UpdateProjectProjectsResponse200Type$outboundSchema, UpdateProjectProjectsResponse200Type$, UpdateProjectTargets$inboundSchema, UpdateProjectTargets$outboundSchema, UpdateProjectTargets$, UpdateProjectPermissions$inboundSchema, UpdateProjectPermissions$outboundSchema, UpdateProjectPermissions$, UpdateProjectLastRollbackTarget$inboundSchema, UpdateProjectLastRollbackTarget$outboundSchema, UpdateProjectLastRollbackTarget$, UpdateProjectJobStatus$inboundSchema, UpdateProjectJobStatus$outboundSchema, UpdateProjectJobStatus$, UpdateProjectProjectsResponse200ApplicationJSONType$inboundSchema, UpdateProjectProjectsResponse200ApplicationJSONType$outboundSchema, UpdateProjectProjectsResponse200ApplicationJSONType$, UpdateProjectLastAliasRequest$inboundSchema, UpdateProjectLastAliasRequest$outboundSchema, UpdateProjectLastAliasRequest$, UpdateProjectProtectionBypassProjectsScope$inboundSchema, UpdateProjectProtectionBypassProjectsScope$outboundSchema, UpdateProjectProtectionBypassProjectsScope$, UpdateProjectProtectionBypass2$inboundSchema, UpdateProjectProtectionBypass2$outboundSchema, UpdateProjectProtectionBypass2$, UpdateProjectProtectionBypassScope$inboundSchema, UpdateProjectProtectionBypassScope$outboundSchema, UpdateProjectProtectionBypassScope$, UpdateProjectProtectionBypass1$inboundSchema, UpdateProjectProtectionBypass1$outboundSchema, UpdateProjectProtectionBypass1$, UpdateProjectProtectionBypass$inboundSchema, UpdateProjectProtectionBypass$outboundSchema, UpdateProjectProtectionBypass$, UpdateProjectTrustedIpsProjectsDeploymentType$inboundSchema, UpdateProjectTrustedIpsProjectsDeploymentType$outboundSchema, UpdateProjectTrustedIpsProjectsDeploymentType$, UpdateProjectTrustedIps2$inboundSchema, UpdateProjectTrustedIps2$outboundSchema, UpdateProjectTrustedIps2$, UpdateProjectTrustedIpsDeploymentType$inboundSchema, UpdateProjectTrustedIpsDeploymentType$outboundSchema, UpdateProjectTrustedIpsDeploymentType$, UpdateProjectTrustedIpsAddresses$inboundSchema, UpdateProjectTrustedIpsAddresses$outboundSchema, UpdateProjectTrustedIpsAddresses$, UpdateProjectTrustedIpsProtectionMode$inboundSchema, UpdateProjectTrustedIpsProtectionMode$outboundSchema, UpdateProjectTrustedIpsProtectionMode$, UpdateProjectTrustedIps1$inboundSchema, UpdateProjectTrustedIps1$outboundSchema, UpdateProjectTrustedIps1$, UpdateProjectProjectsTrustedIps$inboundSchema, UpdateProjectProjectsTrustedIps$outboundSchema, UpdateProjectProjectsTrustedIps$, UpdateProjectGitComments$inboundSchema, UpdateProjectGitComments$outboundSchema, UpdateProjectGitComments$, UpdateProjectCreateDeployments$inboundSchema, UpdateProjectCreateDeployments$outboundSchema, UpdateProjectCreateDeployments$, UpdateProjectGitProviderOptions$inboundSchema, UpdateProjectGitProviderOptions$outboundSchema, UpdateProjectGitProviderOptions$, UpdateProjectWebAnalytics$inboundSchema, UpdateProjectWebAnalytics$outboundSchema, UpdateProjectWebAnalytics$, UpdateProjectSrc2$inboundSchema, UpdateProjectSrc2$outboundSchema, UpdateProjectSrc2$, UpdateProjectSrc$inboundSchema, UpdateProjectSrc$outboundSchema, UpdateProjectSrc$, UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType$inboundSchema, UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType$outboundSchema, UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType$, UpdateProjectValue2$inboundSchema, UpdateProjectValue2$outboundSchema, UpdateProjectValue2$, UpdateProjectValue$inboundSchema, UpdateProjectValue$outboundSchema, UpdateProjectValue$, UpdateProjectHas$inboundSchema, UpdateProjectHas$outboundSchema, UpdateProjectHas$, UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$inboundSchema, UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$outboundSchema, UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$, UpdateProjectValueProjects2$inboundSchema, UpdateProjectValueProjects2$outboundSchema, UpdateProjectValueProjects2$, UpdateProjectProjectsValue$inboundSchema, UpdateProjectProjectsValue$outboundSchema, UpdateProjectProjectsValue$, UpdateProjectMissing$inboundSchema, UpdateProjectMissing$outboundSchema, UpdateProjectMissing$, UpdateProjectHandle$inboundSchema, UpdateProjectHandle$outboundSchema, UpdateProjectHandle$, UpdateProjectProjectsAction$inboundSchema, UpdateProjectProjectsAction$outboundSchema, UpdateProjectProjectsAction$, UpdateProjectAlgo$inboundSchema, UpdateProjectAlgo$outboundSchema, UpdateProjectAlgo$, UpdateProjectErl$inboundSchema, UpdateProjectErl$outboundSchema, UpdateProjectErl$, UpdateProjectMitigate$inboundSchema, UpdateProjectMitigate$outboundSchema, UpdateProjectMitigate$, UpdateProjectFirewallRoutes$inboundSchema, UpdateProjectFirewallRoutes$outboundSchema, UpdateProjectFirewallRoutes$, UpdateProjectAction$inboundSchema, UpdateProjectAction$outboundSchema, UpdateProjectAction$, UpdateProjectManagedRules$inboundSchema, UpdateProjectManagedRules$outboundSchema, UpdateProjectManagedRules$, UpdateProjectSecurity$inboundSchema, UpdateProjectSecurity$outboundSchema, UpdateProjectSecurity$, UpdateProjectProjectsIssuerMode$inboundSchema, UpdateProjectProjectsIssuerMode$outboundSchema, UpdateProjectProjectsIssuerMode$, UpdateProjectProjectsOidcTokenConfig$inboundSchema, UpdateProjectProjectsOidcTokenConfig$outboundSchema, UpdateProjectProjectsOidcTokenConfig$, UpdateProjectTier$inboundSchema, UpdateProjectTier$outboundSchema, UpdateProjectTier$, UpdateProjectResponseBody$inboundSchema, UpdateProjectResponseBody$outboundSchema, UpdateProjectResponseBody$;
var init_updateprojectop = __esm(() => {
  init_esm();
  init_primitives();
  init_aclaction();
  UpdateProjectFramework = {
    Blitzjs: "blitzjs",
    Nextjs: "nextjs",
    Gatsby: "gatsby",
    Remix: "remix",
    ReactRouter: "react-router",
    Astro: "astro",
    Hexo: "hexo",
    Eleventy: "eleventy",
    Docusaurus2: "docusaurus-2",
    Docusaurus: "docusaurus",
    Preact: "preact",
    Solidstart1: "solidstart-1",
    Solidstart: "solidstart",
    Dojo: "dojo",
    Ember: "ember",
    Vue: "vue",
    Scully: "scully",
    IonicAngular: "ionic-angular",
    Angular: "angular",
    Polymer: "polymer",
    Svelte: "svelte",
    Sveltekit: "sveltekit",
    Sveltekit1: "sveltekit-1",
    IonicReact: "ionic-react",
    CreateReactApp: "create-react-app",
    Gridsome: "gridsome",
    Umijs: "umijs",
    Sapper: "sapper",
    Saber: "saber",
    Stencil: "stencil",
    Nuxtjs: "nuxtjs",
    Redwoodjs: "redwoodjs",
    Hugo: "hugo",
    Jekyll: "jekyll",
    Brunch: "brunch",
    Middleman: "middleman",
    Zola: "zola",
    Hydrogen: "hydrogen",
    Vite: "vite",
    Vitepress: "vitepress",
    Vuepress: "vuepress",
    Parcel: "parcel",
    Fasthtml: "fasthtml",
    SanityV3: "sanity-v3",
    Sanity: "sanity",
    Storybook: "storybook"
  };
  UpdateProjectNodeVersion = {
    TwentyTwoDotX: "22.x",
    TwentyDotX: "20.x",
    EighteenDotX: "18.x",
    SixteenDotX: "16.x",
    FourteenDotX: "14.x",
    TwelveDotX: "12.x",
    TenDotX: "10.x"
  };
  UpdateProjectBuildMachineType = {
    Enhanced: "enhanced",
    Ultra: "ultra"
  };
  UpdateProjectFunctionDefaultMemoryType = {
    StandardLegacy: "standard_legacy",
    Standard: "standard",
    Performance: "performance"
  };
  UpdateProjectIssuerMode = {
    Team: "team",
    Global: "global"
  };
  UpdateProjectDeploymentType = {
    All: "all",
    Preview: "preview",
    ProdDeploymentUrlsAndAllPreviews: "prod_deployment_urls_and_all_previews"
  };
  UpdateProjectProjectsDeploymentType = {
    All: "all",
    Preview: "preview",
    ProdDeploymentUrlsAndAllPreviews: "prod_deployment_urls_and_all_previews"
  };
  UpdateProjectProjectsRequestDeploymentType = {
    All: "all",
    Preview: "preview",
    Production: "production",
    ProdDeploymentUrlsAndAllPreviews: "prod_deployment_urls_and_all_previews"
  };
  ProtectionMode = {
    Exclusive: "exclusive",
    Additional: "additional"
  };
  UpdateProjectEnvId2 = {
    Production: "production",
    Preview: "preview"
  };
  UpdateProjectTarget2 = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  UpdateProjectType = {
    System: "system",
    Encrypted: "encrypted",
    Plain: "plain",
    Sensitive: "sensitive",
    Secret: "secret"
  };
  UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type = {
    FlagsConnectionString: "flags-connection-string"
  };
  UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type = {
    IntegrationStoreSecret: "integration-store-secret"
  };
  UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type = {
    PostgresUrlNoSsl: "postgres-url-no-ssl"
  };
  UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type = {
    PostgresDatabase: "postgres-database"
  };
  UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type = {
    PostgresPassword: "postgres-password"
  };
  UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type = {
    PostgresHost: "postgres-host"
  };
  UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type = {
    PostgresUser: "postgres-user"
  };
  UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type = {
    PostgresPrismaUrl: "postgres-prisma-url"
  };
  UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType = {
    PostgresUrlNonPooling: "postgres-url-non-pooling"
  };
  UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType = {
    PostgresUrl: "postgres-url"
  };
  UpdateProjectContentHintProjectsResponse200ApplicationJSONType = {
    BlobReadWriteToken: "blob-read-write-token"
  };
  UpdateProjectContentHintProjectsResponse200Type = {
    RedisRestApiReadOnlyToken: "redis-rest-api-read-only-token"
  };
  UpdateProjectContentHintProjectsResponseType = {
    RedisRestApiToken: "redis-rest-api-token"
  };
  UpdateProjectContentHintProjectsType = {
    RedisRestApiUrl: "redis-rest-api-url"
  };
  UpdateProjectContentHintType = {
    RedisUrl: "redis-url"
  };
  UpdateProjectProjectsResponse200ApplicationJSONResponseBodyType = {
    FlagsSecret: "flags-secret"
  };
  UpdateProjectProjectsType = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  UpdateProjectProjectsResponse200ApplicationJSONResponseBodyCustomEnvironmentsType = {
    EndsWith: "endsWith",
    StartsWith: "startsWith",
    Equals: "equals"
  };
  UpdateProjectProjectsFramework = {
    Blitzjs: "blitzjs",
    Nextjs: "nextjs",
    Gatsby: "gatsby",
    Remix: "remix",
    ReactRouter: "react-router",
    Astro: "astro",
    Hexo: "hexo",
    Eleventy: "eleventy",
    Docusaurus2: "docusaurus-2",
    Docusaurus: "docusaurus",
    Preact: "preact",
    Solidstart1: "solidstart-1",
    Solidstart: "solidstart",
    Dojo: "dojo",
    Ember: "ember",
    Vue: "vue",
    Scully: "scully",
    IonicAngular: "ionic-angular",
    Angular: "angular",
    Polymer: "polymer",
    Svelte: "svelte",
    Sveltekit: "sveltekit",
    Sveltekit1: "sveltekit-1",
    IonicReact: "ionic-react",
    CreateReactApp: "create-react-app",
    Gridsome: "gridsome",
    Umijs: "umijs",
    Sapper: "sapper",
    Saber: "saber",
    Stencil: "stencil",
    Nuxtjs: "nuxtjs",
    Redwoodjs: "redwoodjs",
    Hugo: "hugo",
    Jekyll: "jekyll",
    Brunch: "brunch",
    Middleman: "middleman",
    Zola: "zola",
    Hydrogen: "hydrogen",
    Vite: "vite",
    Vitepress: "vitepress",
    Vuepress: "vuepress",
    Parcel: "parcel",
    Fasthtml: "fasthtml",
    SanityV3: "sanity-v3",
    Sanity: "sanity",
    Storybook: "storybook"
  };
  UpdateProjectProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType = {
    EndsWith: "endsWith",
    StartsWith: "startsWith",
    Equals: "equals"
  };
  UpdateProjectChecksConclusion = {
    Succeeded: "succeeded",
    Failed: "failed",
    Skipped: "skipped",
    Canceled: "canceled"
  };
  UpdateProjectChecksState = {
    Registered: "registered",
    Running: "running",
    Completed: "completed"
  };
  UpdateProjectPlan = {
    Pro: "pro",
    Enterprise: "enterprise",
    Hobby: "hobby"
  };
  UpdateProjectReadyState = {
    Building: "BUILDING",
    Error: "ERROR",
    Initializing: "INITIALIZING",
    Queued: "QUEUED",
    Ready: "READY",
    Canceled: "CANCELED"
  };
  UpdateProjectReadySubstate = {
    Staged: "STAGED",
    Rolling: "ROLLING",
    Promoted: "PROMOTED"
  };
  UpdateProjectProjectsResponseType = {
    Lambdas: "LAMBDAS"
  };
  UpdateProjectLinkProjectsResponse200Type = {
    GithubCustomHost: "github-custom-host"
  };
  UpdateProjectLinkProjectsResponseType = {
    Bitbucket: "bitbucket"
  };
  UpdateProjectLinkProjectsType = {
    Gitlab: "gitlab"
  };
  UpdateProjectLinkType = {
    Github: "github"
  };
  UpdateProjectProjectsNodeVersion = {
    TwentyTwoDotX: "22.x",
    TwentyDotX: "20.x",
    EighteenDotX: "18.x",
    SixteenDotX: "16.x",
    FourteenDotX: "14.x",
    TwelveDotX: "12.x",
    TenDotX: "10.x",
    EightDot10DotX: "8.10.x"
  };
  UpdateProjectProjectsFunctionDefaultMemoryType = {
    StandardLegacy: "standard_legacy",
    Standard: "standard",
    Performance: "performance"
  };
  UpdateProjectProjectsBuildMachineType = {
    Enhanced: "enhanced",
    Ultra: "ultra"
  };
  UpdateProjectProjectsResponseFunctionDefaultMemoryType = {
    StandardLegacy: "standard_legacy",
    Standard: "standard",
    Performance: "performance"
  };
  UpdateProjectProjectsResponseBuildMachineType = {
    Enhanced: "enhanced",
    Ultra: "ultra"
  };
  UpdateProjectProjectsResponseDeploymentType = {
    Preview: "preview",
    All: "all",
    ProdDeploymentUrlsAndAllPreviews: "prod_deployment_urls_and_all_previews"
  };
  UpdateProjectProjectsResponse200ApplicationJSONResponseBodyTargetsType = {
    EndsWith: "endsWith",
    StartsWith: "startsWith",
    Equals: "equals"
  };
  UpdateProjectProjectsChecksConclusion = {
    Succeeded: "succeeded",
    Failed: "failed",
    Skipped: "skipped",
    Canceled: "canceled"
  };
  UpdateProjectProjectsChecksState = {
    Registered: "registered",
    Running: "running",
    Completed: "completed"
  };
  UpdateProjectProjectsPlan = {
    Pro: "pro",
    Enterprise: "enterprise",
    Hobby: "hobby"
  };
  UpdateProjectProjectsReadyState = {
    Building: "BUILDING",
    Error: "ERROR",
    Initializing: "INITIALIZING",
    Queued: "QUEUED",
    Ready: "READY",
    Canceled: "CANCELED"
  };
  UpdateProjectProjectsReadySubstate = {
    Staged: "STAGED",
    Rolling: "ROLLING",
    Promoted: "PROMOTED"
  };
  UpdateProjectProjectsResponse200Type = {
    Lambdas: "LAMBDAS"
  };
  UpdateProjectJobStatus = {
    Succeeded: "succeeded",
    Failed: "failed",
    Skipped: "skipped",
    Pending: "pending",
    InProgress: "in-progress"
  };
  UpdateProjectProjectsResponse200ApplicationJSONType = {
    Promote: "promote",
    Rollback: "rollback"
  };
  UpdateProjectProtectionBypassProjectsScope = {
    AutomationBypass: "automation-bypass"
  };
  UpdateProjectProtectionBypassScope = {
    IntegrationAutomationBypass: "integration-automation-bypass"
  };
  UpdateProjectTrustedIpsProjectsDeploymentType = {
    Production: "production",
    Preview: "preview",
    All: "all",
    ProdDeploymentUrlsAndAllPreviews: "prod_deployment_urls_and_all_previews"
  };
  UpdateProjectTrustedIpsDeploymentType = {
    Production: "production",
    Preview: "preview",
    All: "all",
    ProdDeploymentUrlsAndAllPreviews: "prod_deployment_urls_and_all_previews"
  };
  UpdateProjectTrustedIpsProtectionMode = {
    Additional: "additional",
    Exclusive: "exclusive"
  };
  UpdateProjectCreateDeployments = {
    Enabled: "enabled",
    Disabled: "disabled"
  };
  UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType = {
    Path: "path",
    Host: "host",
    Method: "method",
    Header: "header",
    Cookie: "cookie",
    Query: "query",
    IpAddress: "ip_address",
    Protocol: "protocol",
    Scheme: "scheme",
    Environment: "environment",
    Region: "region",
    InitialRequestPath: "initial_request_path"
  };
  UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType = {
    Path: "path",
    Host: "host",
    Method: "method",
    Header: "header",
    Cookie: "cookie",
    Query: "query",
    IpAddress: "ip_address",
    Protocol: "protocol",
    Scheme: "scheme",
    Environment: "environment",
    Region: "region",
    InitialRequestPath: "initial_request_path"
  };
  UpdateProjectHandle = {
    Init: "init",
    Finalize: "finalize"
  };
  UpdateProjectProjectsAction = {
    Deny: "deny",
    Challenge: "challenge",
    Log: "log",
    Bypass: "bypass",
    RateLimit: "rate_limit",
    Redirect: "redirect"
  };
  UpdateProjectAlgo = {
    FixedWindow: "fixed_window",
    TokenBucket: "token_bucket"
  };
  UpdateProjectAction = {
    Deny: "deny",
    Challenge: "challenge",
    Log: "log"
  };
  UpdateProjectProjectsIssuerMode = {
    Team: "team",
    Global: "global"
  };
  UpdateProjectTier = {
    Standard: "standard",
    Advanced: "advanced",
    Critical: "critical"
  };
  UpdateProjectFramework$inboundSchema = nativeEnumType(UpdateProjectFramework);
  UpdateProjectFramework$outboundSchema = UpdateProjectFramework$inboundSchema;
  ((UpdateProjectFramework$) => {
    UpdateProjectFramework$.inboundSchema = UpdateProjectFramework$inboundSchema;
    UpdateProjectFramework$.outboundSchema = UpdateProjectFramework$outboundSchema;
  })(UpdateProjectFramework$ ||= {});
  UpdateProjectNodeVersion$inboundSchema = nativeEnumType(UpdateProjectNodeVersion);
  UpdateProjectNodeVersion$outboundSchema = UpdateProjectNodeVersion$inboundSchema;
  ((UpdateProjectNodeVersion$) => {
    UpdateProjectNodeVersion$.inboundSchema = UpdateProjectNodeVersion$inboundSchema;
    UpdateProjectNodeVersion$.outboundSchema = UpdateProjectNodeVersion$outboundSchema;
  })(UpdateProjectNodeVersion$ ||= {});
  UpdateProjectBuildMachineType$inboundSchema = nativeEnumType(UpdateProjectBuildMachineType);
  UpdateProjectBuildMachineType$outboundSchema = UpdateProjectBuildMachineType$inboundSchema;
  ((UpdateProjectBuildMachineType$) => {
    UpdateProjectBuildMachineType$.inboundSchema = UpdateProjectBuildMachineType$inboundSchema;
    UpdateProjectBuildMachineType$.outboundSchema = UpdateProjectBuildMachineType$outboundSchema;
  })(UpdateProjectBuildMachineType$ ||= {});
  UpdateProjectFunctionDefaultMemoryType$inboundSchema = nativeEnumType(UpdateProjectFunctionDefaultMemoryType);
  UpdateProjectFunctionDefaultMemoryType$outboundSchema = UpdateProjectFunctionDefaultMemoryType$inboundSchema;
  ((UpdateProjectFunctionDefaultMemoryType$) => {
    UpdateProjectFunctionDefaultMemoryType$.inboundSchema = UpdateProjectFunctionDefaultMemoryType$inboundSchema;
    UpdateProjectFunctionDefaultMemoryType$.outboundSchema = UpdateProjectFunctionDefaultMemoryType$outboundSchema;
  })(UpdateProjectFunctionDefaultMemoryType$ ||= {});
  UpdateProjectResourceConfig$inboundSchema = objectType({
    buildMachineType: UpdateProjectBuildMachineType$inboundSchema.optional(),
    fluid: booleanType().optional(),
    functionDefaultRegions: arrayType(stringType()).optional(),
    functionDefaultTimeout: numberType().optional(),
    functionDefaultMemoryType: UpdateProjectFunctionDefaultMemoryType$inboundSchema.optional(),
    functionZeroConfigFailover: booleanType().optional(),
    elasticConcurrencyEnabled: booleanType().optional()
  });
  UpdateProjectResourceConfig$outboundSchema = objectType({
    buildMachineType: UpdateProjectBuildMachineType$outboundSchema.optional(),
    fluid: booleanType().optional(),
    functionDefaultRegions: arrayType(stringType()).optional(),
    functionDefaultTimeout: numberType().optional(),
    functionDefaultMemoryType: UpdateProjectFunctionDefaultMemoryType$outboundSchema.optional(),
    functionZeroConfigFailover: booleanType().optional(),
    elasticConcurrencyEnabled: booleanType().optional()
  });
  ((UpdateProjectResourceConfig$) => {
    UpdateProjectResourceConfig$.inboundSchema = UpdateProjectResourceConfig$inboundSchema;
    UpdateProjectResourceConfig$.outboundSchema = UpdateProjectResourceConfig$outboundSchema;
  })(UpdateProjectResourceConfig$ ||= {});
  UpdateProjectIssuerMode$inboundSchema = nativeEnumType(UpdateProjectIssuerMode);
  UpdateProjectIssuerMode$outboundSchema = UpdateProjectIssuerMode$inboundSchema;
  ((UpdateProjectIssuerMode$) => {
    UpdateProjectIssuerMode$.inboundSchema = UpdateProjectIssuerMode$inboundSchema;
    UpdateProjectIssuerMode$.outboundSchema = UpdateProjectIssuerMode$outboundSchema;
  })(UpdateProjectIssuerMode$ ||= {});
  UpdateProjectOidcTokenConfig$inboundSchema = objectType({
    enabled: booleanType().default(true),
    issuerMode: UpdateProjectIssuerMode$inboundSchema.default("team")
  });
  UpdateProjectOidcTokenConfig$outboundSchema = objectType({
    enabled: booleanType().default(true),
    issuerMode: UpdateProjectIssuerMode$outboundSchema.default("team")
  });
  ((UpdateProjectOidcTokenConfig$) => {
    UpdateProjectOidcTokenConfig$.inboundSchema = UpdateProjectOidcTokenConfig$inboundSchema;
    UpdateProjectOidcTokenConfig$.outboundSchema = UpdateProjectOidcTokenConfig$outboundSchema;
  })(UpdateProjectOidcTokenConfig$ ||= {});
  UpdateProjectDeploymentType$inboundSchema = nativeEnumType(UpdateProjectDeploymentType);
  UpdateProjectDeploymentType$outboundSchema = UpdateProjectDeploymentType$inboundSchema;
  ((UpdateProjectDeploymentType$) => {
    UpdateProjectDeploymentType$.inboundSchema = UpdateProjectDeploymentType$inboundSchema;
    UpdateProjectDeploymentType$.outboundSchema = UpdateProjectDeploymentType$outboundSchema;
  })(UpdateProjectDeploymentType$ ||= {});
  UpdateProjectPasswordProtection$inboundSchema = objectType({
    deploymentType: UpdateProjectDeploymentType$inboundSchema,
    password: nullableType(stringType()).optional()
  });
  UpdateProjectPasswordProtection$outboundSchema = objectType({
    deploymentType: UpdateProjectDeploymentType$outboundSchema,
    password: nullableType(stringType()).optional()
  });
  ((UpdateProjectPasswordProtection$) => {
    UpdateProjectPasswordProtection$.inboundSchema = UpdateProjectPasswordProtection$inboundSchema;
    UpdateProjectPasswordProtection$.outboundSchema = UpdateProjectPasswordProtection$outboundSchema;
  })(UpdateProjectPasswordProtection$ ||= {});
  UpdateProjectProjectsDeploymentType$inboundSchema = nativeEnumType(UpdateProjectProjectsDeploymentType);
  UpdateProjectProjectsDeploymentType$outboundSchema = UpdateProjectProjectsDeploymentType$inboundSchema;
  ((UpdateProjectProjectsDeploymentType$) => {
    UpdateProjectProjectsDeploymentType$.inboundSchema = UpdateProjectProjectsDeploymentType$inboundSchema;
    UpdateProjectProjectsDeploymentType$.outboundSchema = UpdateProjectProjectsDeploymentType$outboundSchema;
  })(UpdateProjectProjectsDeploymentType$ ||= {});
  UpdateProjectSsoProtection$inboundSchema = objectType({
    deploymentType: UpdateProjectProjectsDeploymentType$inboundSchema.default("preview")
  });
  UpdateProjectSsoProtection$outboundSchema = objectType({
    deploymentType: UpdateProjectProjectsDeploymentType$outboundSchema.default("preview")
  });
  ((UpdateProjectSsoProtection$) => {
    UpdateProjectSsoProtection$.inboundSchema = UpdateProjectSsoProtection$inboundSchema;
    UpdateProjectSsoProtection$.outboundSchema = UpdateProjectSsoProtection$outboundSchema;
  })(UpdateProjectSsoProtection$ ||= {});
  UpdateProjectProjectsRequestDeploymentType$inboundSchema = nativeEnumType(UpdateProjectProjectsRequestDeploymentType);
  UpdateProjectProjectsRequestDeploymentType$outboundSchema = UpdateProjectProjectsRequestDeploymentType$inboundSchema;
  ((UpdateProjectProjectsRequestDeploymentType$) => {
    UpdateProjectProjectsRequestDeploymentType$.inboundSchema = UpdateProjectProjectsRequestDeploymentType$inboundSchema;
    UpdateProjectProjectsRequestDeploymentType$.outboundSchema = UpdateProjectProjectsRequestDeploymentType$outboundSchema;
  })(UpdateProjectProjectsRequestDeploymentType$ ||= {});
  Addresses$inboundSchema = objectType({
    value: stringType(),
    note: stringType().optional()
  });
  Addresses$outboundSchema = objectType({
    value: stringType(),
    note: stringType().optional()
  });
  ((Addresses$) => {
    Addresses$.inboundSchema = Addresses$inboundSchema;
    Addresses$.outboundSchema = Addresses$outboundSchema;
  })(Addresses$ ||= {});
  ProtectionMode$inboundSchema = nativeEnumType(ProtectionMode);
  ProtectionMode$outboundSchema = ProtectionMode$inboundSchema;
  ((ProtectionMode$) => {
    ProtectionMode$.inboundSchema = ProtectionMode$inboundSchema;
    ProtectionMode$.outboundSchema = ProtectionMode$outboundSchema;
  })(ProtectionMode$ ||= {});
  UpdateProjectTrustedIps$inboundSchema = objectType({
    deploymentType: UpdateProjectProjectsRequestDeploymentType$inboundSchema,
    addresses: arrayType(lazyType(() => Addresses$inboundSchema)),
    protectionMode: ProtectionMode$inboundSchema
  });
  UpdateProjectTrustedIps$outboundSchema = objectType({
    deploymentType: UpdateProjectProjectsRequestDeploymentType$outboundSchema,
    addresses: arrayType(lazyType(() => Addresses$outboundSchema)),
    protectionMode: ProtectionMode$outboundSchema
  });
  ((UpdateProjectTrustedIps$) => {
    UpdateProjectTrustedIps$.inboundSchema = UpdateProjectTrustedIps$inboundSchema;
    UpdateProjectTrustedIps$.outboundSchema = UpdateProjectTrustedIps$outboundSchema;
  })(UpdateProjectTrustedIps$ ||= {});
  UpdateProjectPaths$inboundSchema = objectType({
    value: stringType()
  });
  UpdateProjectPaths$outboundSchema = objectType({
    value: stringType()
  });
  ((UpdateProjectPaths$) => {
    UpdateProjectPaths$.inboundSchema = UpdateProjectPaths$inboundSchema;
    UpdateProjectPaths$.outboundSchema = UpdateProjectPaths$outboundSchema;
  })(UpdateProjectPaths$ ||= {});
  UpdateProjectOptionsAllowlist$inboundSchema = objectType({
    paths: arrayType(lazyType(() => UpdateProjectPaths$inboundSchema))
  });
  UpdateProjectOptionsAllowlist$outboundSchema = objectType({
    paths: arrayType(lazyType(() => UpdateProjectPaths$outboundSchema))
  });
  ((UpdateProjectOptionsAllowlist$) => {
    UpdateProjectOptionsAllowlist$.inboundSchema = UpdateProjectOptionsAllowlist$inboundSchema;
    UpdateProjectOptionsAllowlist$.outboundSchema = UpdateProjectOptionsAllowlist$outboundSchema;
  })(UpdateProjectOptionsAllowlist$ ||= {});
  ConnectConfigurations1$inboundSchema = objectType({
    envId: stringType(),
    connectConfigurationId: stringType(),
    passive: booleanType(),
    buildsEnabled: booleanType()
  });
  ConnectConfigurations1$outboundSchema = objectType({
    envId: stringType(),
    connectConfigurationId: stringType(),
    passive: booleanType(),
    buildsEnabled: booleanType()
  });
  ((ConnectConfigurations1$) => {
    ConnectConfigurations1$.inboundSchema = ConnectConfigurations1$inboundSchema;
    ConnectConfigurations1$.outboundSchema = ConnectConfigurations1$outboundSchema;
  })(ConnectConfigurations1$ ||= {});
  ConnectConfigurations$inboundSchema = lazyType(() => ConnectConfigurations1$inboundSchema);
  ConnectConfigurations$outboundSchema = lazyType(() => ConnectConfigurations1$outboundSchema);
  ((ConnectConfigurations$) => {
    ConnectConfigurations$.inboundSchema = ConnectConfigurations$inboundSchema;
    ConnectConfigurations$.outboundSchema = ConnectConfigurations$outboundSchema;
  })(ConnectConfigurations$ ||= {});
  UpdateProjectRequestBody$inboundSchema = objectType({
    autoExposeSystemEnvs: booleanType().optional(),
    autoAssignCustomDomains: booleanType().optional(),
    autoAssignCustomDomainsUpdatedBy: stringType().optional(),
    buildCommand: nullableType(stringType()).optional(),
    commandForIgnoringBuildStep: nullableType(stringType()).optional(),
    customerSupportCodeVisibility: booleanType().optional(),
    devCommand: nullableType(stringType()).optional(),
    directoryListing: booleanType().optional(),
    framework: nullableType(UpdateProjectFramework$inboundSchema).optional(),
    gitForkProtection: booleanType().optional(),
    gitLFS: booleanType().optional(),
    installCommand: nullableType(stringType()).optional(),
    name: stringType().optional(),
    nodeVersion: UpdateProjectNodeVersion$inboundSchema.optional(),
    outputDirectory: nullableType(stringType()).optional(),
    previewDeploymentsDisabled: nullableType(booleanType()).optional(),
    publicSource: nullableType(booleanType()).optional(),
    resourceConfig: lazyType(() => UpdateProjectResourceConfig$inboundSchema).optional(),
    rootDirectory: nullableType(stringType()).optional(),
    serverlessFunctionRegion: nullableType(stringType()).optional(),
    serverlessFunctionZeroConfigFailover: booleanType().optional(),
    skewProtectionBoundaryAt: numberType().int().optional(),
    skewProtectionMaxAge: numberType().int().optional(),
    skipGitConnectDuringLink: booleanType().optional(),
    sourceFilesOutsideRootDirectory: booleanType().optional(),
    enablePreviewFeedback: nullableType(booleanType()).optional(),
    enableProductionFeedback: nullableType(booleanType()).optional(),
    enableAffectedProjectsDeployments: booleanType().optional(),
    oidcTokenConfig: lazyType(() => UpdateProjectOidcTokenConfig$inboundSchema).optional(),
    passwordProtection: nullableType(lazyType(() => UpdateProjectPasswordProtection$inboundSchema)).optional(),
    ssoProtection: nullableType(lazyType(() => UpdateProjectSsoProtection$inboundSchema)).optional(),
    trustedIps: nullableType(lazyType(() => UpdateProjectTrustedIps$inboundSchema)).optional(),
    optionsAllowlist: nullableType(lazyType(() => UpdateProjectOptionsAllowlist$inboundSchema)).optional(),
    connectConfigurations: nullableType(arrayType(lazyType(() => ConnectConfigurations1$inboundSchema))).optional()
  });
  UpdateProjectRequestBody$outboundSchema = objectType({
    autoExposeSystemEnvs: booleanType().optional(),
    autoAssignCustomDomains: booleanType().optional(),
    autoAssignCustomDomainsUpdatedBy: stringType().optional(),
    buildCommand: nullableType(stringType()).optional(),
    commandForIgnoringBuildStep: nullableType(stringType()).optional(),
    customerSupportCodeVisibility: booleanType().optional(),
    devCommand: nullableType(stringType()).optional(),
    directoryListing: booleanType().optional(),
    framework: nullableType(UpdateProjectFramework$outboundSchema).optional(),
    gitForkProtection: booleanType().optional(),
    gitLFS: booleanType().optional(),
    installCommand: nullableType(stringType()).optional(),
    name: stringType().optional(),
    nodeVersion: UpdateProjectNodeVersion$outboundSchema.optional(),
    outputDirectory: nullableType(stringType()).optional(),
    previewDeploymentsDisabled: nullableType(booleanType()).optional(),
    publicSource: nullableType(booleanType()).optional(),
    resourceConfig: lazyType(() => UpdateProjectResourceConfig$outboundSchema).optional(),
    rootDirectory: nullableType(stringType()).optional(),
    serverlessFunctionRegion: nullableType(stringType()).optional(),
    serverlessFunctionZeroConfigFailover: booleanType().optional(),
    skewProtectionBoundaryAt: numberType().int().optional(),
    skewProtectionMaxAge: numberType().int().optional(),
    skipGitConnectDuringLink: booleanType().optional(),
    sourceFilesOutsideRootDirectory: booleanType().optional(),
    enablePreviewFeedback: nullableType(booleanType()).optional(),
    enableProductionFeedback: nullableType(booleanType()).optional(),
    enableAffectedProjectsDeployments: booleanType().optional(),
    oidcTokenConfig: lazyType(() => UpdateProjectOidcTokenConfig$outboundSchema).optional(),
    passwordProtection: nullableType(lazyType(() => UpdateProjectPasswordProtection$outboundSchema)).optional(),
    ssoProtection: nullableType(lazyType(() => UpdateProjectSsoProtection$outboundSchema)).optional(),
    trustedIps: nullableType(lazyType(() => UpdateProjectTrustedIps$outboundSchema)).optional(),
    optionsAllowlist: nullableType(lazyType(() => UpdateProjectOptionsAllowlist$outboundSchema)).optional(),
    connectConfigurations: nullableType(arrayType(lazyType(() => ConnectConfigurations1$outboundSchema))).optional()
  });
  ((UpdateProjectRequestBody$) => {
    UpdateProjectRequestBody$.inboundSchema = UpdateProjectRequestBody$inboundSchema;
    UpdateProjectRequestBody$.outboundSchema = UpdateProjectRequestBody$outboundSchema;
  })(UpdateProjectRequestBody$ ||= {});
  UpdateProjectRequest$inboundSchema = objectType({
    idOrName: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    RequestBody: lazyType(() => UpdateProjectRequestBody$inboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  UpdateProjectRequest$outboundSchema = objectType({
    idOrName: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    requestBody: lazyType(() => UpdateProjectRequestBody$outboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((UpdateProjectRequest$) => {
    UpdateProjectRequest$.inboundSchema = UpdateProjectRequest$inboundSchema;
    UpdateProjectRequest$.outboundSchema = UpdateProjectRequest$outboundSchema;
  })(UpdateProjectRequest$ ||= {});
  UpdateProjectAnalytics$inboundSchema = objectType({
    id: stringType(),
    canceledAt: nullableType(numberType()).optional(),
    disabledAt: numberType(),
    enabledAt: numberType(),
    paidAt: numberType().optional(),
    sampleRatePercent: nullableType(numberType()).optional(),
    spendLimitInDollars: nullableType(numberType()).optional()
  });
  UpdateProjectAnalytics$outboundSchema = objectType({
    id: stringType(),
    canceledAt: nullableType(numberType()).optional(),
    disabledAt: numberType(),
    enabledAt: numberType(),
    paidAt: numberType().optional(),
    sampleRatePercent: nullableType(numberType()).optional(),
    spendLimitInDollars: nullableType(numberType()).optional()
  });
  ((UpdateProjectAnalytics$) => {
    UpdateProjectAnalytics$.inboundSchema = UpdateProjectAnalytics$inboundSchema;
    UpdateProjectAnalytics$.outboundSchema = UpdateProjectAnalytics$outboundSchema;
  })(UpdateProjectAnalytics$ ||= {});
  UpdateProjectSpeedInsights$inboundSchema = objectType({
    id: stringType(),
    enabledAt: numberType().optional(),
    disabledAt: numberType().optional(),
    canceledAt: numberType().optional(),
    hasData: booleanType().optional(),
    paidAt: numberType().optional()
  });
  UpdateProjectSpeedInsights$outboundSchema = objectType({
    id: stringType(),
    enabledAt: numberType().optional(),
    disabledAt: numberType().optional(),
    canceledAt: numberType().optional(),
    hasData: booleanType().optional(),
    paidAt: numberType().optional()
  });
  ((UpdateProjectSpeedInsights$) => {
    UpdateProjectSpeedInsights$.inboundSchema = UpdateProjectSpeedInsights$inboundSchema;
    UpdateProjectSpeedInsights$.outboundSchema = UpdateProjectSpeedInsights$outboundSchema;
  })(UpdateProjectSpeedInsights$ ||= {});
  UpdateProjectEnvId2$inboundSchema = nativeEnumType(UpdateProjectEnvId2);
  UpdateProjectEnvId2$outboundSchema = UpdateProjectEnvId2$inboundSchema;
  ((UpdateProjectEnvId2$) => {
    UpdateProjectEnvId2$.inboundSchema = UpdateProjectEnvId2$inboundSchema;
    UpdateProjectEnvId2$.outboundSchema = UpdateProjectEnvId2$outboundSchema;
  })(UpdateProjectEnvId2$ ||= {});
  UpdateProjectEnvId$inboundSchema = unionType([stringType(), UpdateProjectEnvId2$inboundSchema]);
  UpdateProjectEnvId$outboundSchema = unionType([stringType(), UpdateProjectEnvId2$outboundSchema]);
  ((UpdateProjectEnvId$) => {
    UpdateProjectEnvId$.inboundSchema = UpdateProjectEnvId$inboundSchema;
    UpdateProjectEnvId$.outboundSchema = UpdateProjectEnvId$outboundSchema;
  })(UpdateProjectEnvId$ ||= {});
  UpdateProjectAws$inboundSchema = objectType({
    subnetIds: arrayType(stringType()),
    securityGroupId: stringType()
  });
  UpdateProjectAws$outboundSchema = objectType({
    subnetIds: arrayType(stringType()),
    securityGroupId: stringType()
  });
  ((UpdateProjectAws$) => {
    UpdateProjectAws$.inboundSchema = UpdateProjectAws$inboundSchema;
    UpdateProjectAws$.outboundSchema = UpdateProjectAws$outboundSchema;
  })(UpdateProjectAws$ ||= {});
  UpdateProjectConnectConfigurations$inboundSchema = objectType({
    envId: unionType([stringType(), UpdateProjectEnvId2$inboundSchema]),
    connectConfigurationId: stringType(),
    passive: booleanType(),
    buildsEnabled: booleanType(),
    aws: lazyType(() => UpdateProjectAws$inboundSchema).optional(),
    createdAt: numberType(),
    updatedAt: numberType()
  });
  UpdateProjectConnectConfigurations$outboundSchema = objectType({
    envId: unionType([stringType(), UpdateProjectEnvId2$outboundSchema]),
    connectConfigurationId: stringType(),
    passive: booleanType(),
    buildsEnabled: booleanType(),
    aws: lazyType(() => UpdateProjectAws$outboundSchema).optional(),
    createdAt: numberType(),
    updatedAt: numberType()
  });
  ((UpdateProjectConnectConfigurations$) => {
    UpdateProjectConnectConfigurations$.inboundSchema = UpdateProjectConnectConfigurations$inboundSchema;
    UpdateProjectConnectConfigurations$.outboundSchema = UpdateProjectConnectConfigurations$outboundSchema;
  })(UpdateProjectConnectConfigurations$ ||= {});
  UpdateProjectDefinitions$inboundSchema = objectType({
    host: stringType(),
    path: stringType(),
    schedule: stringType()
  });
  UpdateProjectDefinitions$outboundSchema = objectType({
    host: stringType(),
    path: stringType(),
    schedule: stringType()
  });
  ((UpdateProjectDefinitions$) => {
    UpdateProjectDefinitions$.inboundSchema = UpdateProjectDefinitions$inboundSchema;
    UpdateProjectDefinitions$.outboundSchema = UpdateProjectDefinitions$outboundSchema;
  })(UpdateProjectDefinitions$ ||= {});
  UpdateProjectCrons$inboundSchema = objectType({
    enabledAt: numberType(),
    disabledAt: nullableType(numberType()),
    updatedAt: numberType(),
    deploymentId: nullableType(stringType()),
    definitions: arrayType(lazyType(() => UpdateProjectDefinitions$inboundSchema))
  });
  UpdateProjectCrons$outboundSchema = objectType({
    enabledAt: numberType(),
    disabledAt: nullableType(numberType()),
    updatedAt: numberType(),
    deploymentId: nullableType(stringType()),
    definitions: arrayType(lazyType(() => UpdateProjectDefinitions$outboundSchema))
  });
  ((UpdateProjectCrons$) => {
    UpdateProjectCrons$.inboundSchema = UpdateProjectCrons$inboundSchema;
    UpdateProjectCrons$.outboundSchema = UpdateProjectCrons$outboundSchema;
  })(UpdateProjectCrons$ ||= {});
  UpdateProjectDataCache$inboundSchema = objectType({
    userDisabled: booleanType(),
    storageSizeBytes: nullableType(numberType()).optional(),
    unlimited: booleanType().optional()
  });
  UpdateProjectDataCache$outboundSchema = objectType({
    userDisabled: booleanType(),
    storageSizeBytes: nullableType(numberType()).optional(),
    unlimited: booleanType().optional()
  });
  ((UpdateProjectDataCache$) => {
    UpdateProjectDataCache$.inboundSchema = UpdateProjectDataCache$inboundSchema;
    UpdateProjectDataCache$.outboundSchema = UpdateProjectDataCache$outboundSchema;
  })(UpdateProjectDataCache$ ||= {});
  UpdateProjectDeploymentExpiration$inboundSchema = objectType({
    expirationDays: numberType().optional(),
    expirationDaysProduction: numberType().optional(),
    expirationDaysCanceled: numberType().optional(),
    expirationDaysErrored: numberType().optional(),
    deploymentsToKeep: numberType().optional()
  });
  UpdateProjectDeploymentExpiration$outboundSchema = objectType({
    expirationDays: numberType().optional(),
    expirationDaysProduction: numberType().optional(),
    expirationDaysCanceled: numberType().optional(),
    expirationDaysErrored: numberType().optional(),
    deploymentsToKeep: numberType().optional()
  });
  ((UpdateProjectDeploymentExpiration$) => {
    UpdateProjectDeploymentExpiration$.inboundSchema = UpdateProjectDeploymentExpiration$inboundSchema;
    UpdateProjectDeploymentExpiration$.outboundSchema = UpdateProjectDeploymentExpiration$outboundSchema;
  })(UpdateProjectDeploymentExpiration$ ||= {});
  UpdateProjectTarget2$inboundSchema = nativeEnumType(UpdateProjectTarget2);
  UpdateProjectTarget2$outboundSchema = UpdateProjectTarget2$inboundSchema;
  ((UpdateProjectTarget2$) => {
    UpdateProjectTarget2$.inboundSchema = UpdateProjectTarget2$inboundSchema;
    UpdateProjectTarget2$.outboundSchema = UpdateProjectTarget2$outboundSchema;
  })(UpdateProjectTarget2$ ||= {});
  UpdateProjectTarget$inboundSchema = unionType([arrayType(stringType()), UpdateProjectTarget2$inboundSchema]);
  UpdateProjectTarget$outboundSchema = unionType([arrayType(stringType()), UpdateProjectTarget2$outboundSchema]);
  ((UpdateProjectTarget$) => {
    UpdateProjectTarget$.inboundSchema = UpdateProjectTarget$inboundSchema;
    UpdateProjectTarget$.outboundSchema = UpdateProjectTarget$outboundSchema;
  })(UpdateProjectTarget$ ||= {});
  UpdateProjectType$inboundSchema = nativeEnumType(UpdateProjectType);
  UpdateProjectType$outboundSchema = UpdateProjectType$inboundSchema;
  ((UpdateProjectType$) => {
    UpdateProjectType$.inboundSchema = UpdateProjectType$inboundSchema;
    UpdateProjectType$.outboundSchema = UpdateProjectType$outboundSchema;
  })(UpdateProjectType$ ||= {});
  UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$inboundSchema = nativeEnumType(UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type);
  UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$outboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$inboundSchema;
  ((UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$) => {
    UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$.inboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$inboundSchema;
    UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$.outboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$outboundSchema;
  })(UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$ ||= {});
  UpdateProjectContentHint15$inboundSchema = objectType({
    type: UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$inboundSchema,
    projectId: stringType()
  });
  UpdateProjectContentHint15$outboundSchema = objectType({
    type: UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$outboundSchema,
    projectId: stringType()
  });
  ((UpdateProjectContentHint15$) => {
    UpdateProjectContentHint15$.inboundSchema = UpdateProjectContentHint15$inboundSchema;
    UpdateProjectContentHint15$.outboundSchema = UpdateProjectContentHint15$outboundSchema;
  })(UpdateProjectContentHint15$ ||= {});
  UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$inboundSchema = nativeEnumType(UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type);
  UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$outboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$inboundSchema;
  ((UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$) => {
    UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$.inboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$inboundSchema;
    UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$.outboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$outboundSchema;
  })(UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$ ||= {});
  UpdateProjectContentHint14$inboundSchema = objectType({
    type: UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$inboundSchema,
    storeId: stringType(),
    integrationId: stringType(),
    integrationProductId: stringType(),
    integrationConfigurationId: stringType()
  });
  UpdateProjectContentHint14$outboundSchema = objectType({
    type: UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$outboundSchema,
    storeId: stringType(),
    integrationId: stringType(),
    integrationProductId: stringType(),
    integrationConfigurationId: stringType()
  });
  ((UpdateProjectContentHint14$) => {
    UpdateProjectContentHint14$.inboundSchema = UpdateProjectContentHint14$inboundSchema;
    UpdateProjectContentHint14$.outboundSchema = UpdateProjectContentHint14$outboundSchema;
  })(UpdateProjectContentHint14$ ||= {});
  UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$inboundSchema = nativeEnumType(UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type);
  UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$outboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$inboundSchema;
  ((UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$) => {
    UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$.inboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$inboundSchema;
    UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$.outboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$outboundSchema;
  })(UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$ ||= {});
  UpdateProjectContentHint13$inboundSchema = objectType({
    type: UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$inboundSchema,
    storeId: stringType()
  });
  UpdateProjectContentHint13$outboundSchema = objectType({
    type: UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$outboundSchema,
    storeId: stringType()
  });
  ((UpdateProjectContentHint13$) => {
    UpdateProjectContentHint13$.inboundSchema = UpdateProjectContentHint13$inboundSchema;
    UpdateProjectContentHint13$.outboundSchema = UpdateProjectContentHint13$outboundSchema;
  })(UpdateProjectContentHint13$ ||= {});
  UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$inboundSchema = nativeEnumType(UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type);
  UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$outboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$inboundSchema;
  ((UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$) => {
    UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$.inboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$inboundSchema;
    UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$.outboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$outboundSchema;
  })(UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$ ||= {});
  UpdateProjectContentHint12$inboundSchema = objectType({
    type: UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$inboundSchema,
    storeId: stringType()
  });
  UpdateProjectContentHint12$outboundSchema = objectType({
    type: UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$outboundSchema,
    storeId: stringType()
  });
  ((UpdateProjectContentHint12$) => {
    UpdateProjectContentHint12$.inboundSchema = UpdateProjectContentHint12$inboundSchema;
    UpdateProjectContentHint12$.outboundSchema = UpdateProjectContentHint12$outboundSchema;
  })(UpdateProjectContentHint12$ ||= {});
  UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$inboundSchema = nativeEnumType(UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type);
  UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$outboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$inboundSchema;
  ((UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$) => {
    UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$.inboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$inboundSchema;
    UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$.outboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$outboundSchema;
  })(UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$ ||= {});
  UpdateProjectContentHint11$inboundSchema = objectType({
    type: UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$inboundSchema,
    storeId: stringType()
  });
  UpdateProjectContentHint11$outboundSchema = objectType({
    type: UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$outboundSchema,
    storeId: stringType()
  });
  ((UpdateProjectContentHint11$) => {
    UpdateProjectContentHint11$.inboundSchema = UpdateProjectContentHint11$inboundSchema;
    UpdateProjectContentHint11$.outboundSchema = UpdateProjectContentHint11$outboundSchema;
  })(UpdateProjectContentHint11$ ||= {});
  UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$inboundSchema = nativeEnumType(UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type);
  UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$outboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$inboundSchema;
  ((UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$) => {
    UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$.inboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$inboundSchema;
    UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$.outboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$outboundSchema;
  })(UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$ ||= {});
  UpdateProjectContentHint10$inboundSchema = objectType({
    type: UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$inboundSchema,
    storeId: stringType()
  });
  UpdateProjectContentHint10$outboundSchema = objectType({
    type: UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$outboundSchema,
    storeId: stringType()
  });
  ((UpdateProjectContentHint10$) => {
    UpdateProjectContentHint10$.inboundSchema = UpdateProjectContentHint10$inboundSchema;
    UpdateProjectContentHint10$.outboundSchema = UpdateProjectContentHint10$outboundSchema;
  })(UpdateProjectContentHint10$ ||= {});
  UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$inboundSchema = nativeEnumType(UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type);
  UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$outboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$inboundSchema;
  ((UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$) => {
    UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$.inboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$inboundSchema;
    UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$.outboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$outboundSchema;
  })(UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$ ||= {});
  UpdateProjectContentHint9$inboundSchema = objectType({
    type: UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$inboundSchema,
    storeId: stringType()
  });
  UpdateProjectContentHint9$outboundSchema = objectType({
    type: UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$outboundSchema,
    storeId: stringType()
  });
  ((UpdateProjectContentHint9$) => {
    UpdateProjectContentHint9$.inboundSchema = UpdateProjectContentHint9$inboundSchema;
    UpdateProjectContentHint9$.outboundSchema = UpdateProjectContentHint9$outboundSchema;
  })(UpdateProjectContentHint9$ ||= {});
  UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type$inboundSchema = nativeEnumType(UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type);
  UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type$outboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type$inboundSchema;
  ((UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type$) => {
    UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type$.inboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type$inboundSchema;
    UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type$.outboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type$outboundSchema;
  })(UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type$ ||= {});
  UpdateProjectContentHint8$inboundSchema = objectType({
    type: UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type$inboundSchema,
    storeId: stringType()
  });
  UpdateProjectContentHint8$outboundSchema = objectType({
    type: UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type$outboundSchema,
    storeId: stringType()
  });
  ((UpdateProjectContentHint8$) => {
    UpdateProjectContentHint8$.inboundSchema = UpdateProjectContentHint8$inboundSchema;
    UpdateProjectContentHint8$.outboundSchema = UpdateProjectContentHint8$outboundSchema;
  })(UpdateProjectContentHint8$ ||= {});
  UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$inboundSchema = nativeEnumType(UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType);
  UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$outboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$inboundSchema;
  ((UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$) => {
    UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$.inboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$inboundSchema;
    UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$.outboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$outboundSchema;
  })(UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$ ||= {});
  UpdateProjectContentHint7$inboundSchema = objectType({
    type: UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$inboundSchema,
    storeId: stringType()
  });
  UpdateProjectContentHint7$outboundSchema = objectType({
    type: UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$outboundSchema,
    storeId: stringType()
  });
  ((UpdateProjectContentHint7$) => {
    UpdateProjectContentHint7$.inboundSchema = UpdateProjectContentHint7$inboundSchema;
    UpdateProjectContentHint7$.outboundSchema = UpdateProjectContentHint7$outboundSchema;
  })(UpdateProjectContentHint7$ ||= {});
  UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema = nativeEnumType(UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType);
  UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema;
  ((UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType$) => {
    UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType$.inboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema;
    UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType$.outboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema;
  })(UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType$ ||= {});
  UpdateProjectContentHint6$inboundSchema = objectType({
    type: UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema,
    storeId: stringType()
  });
  UpdateProjectContentHint6$outboundSchema = objectType({
    type: UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema,
    storeId: stringType()
  });
  ((UpdateProjectContentHint6$) => {
    UpdateProjectContentHint6$.inboundSchema = UpdateProjectContentHint6$inboundSchema;
    UpdateProjectContentHint6$.outboundSchema = UpdateProjectContentHint6$outboundSchema;
  })(UpdateProjectContentHint6$ ||= {});
  UpdateProjectContentHintProjectsResponse200ApplicationJSONType$inboundSchema = nativeEnumType(UpdateProjectContentHintProjectsResponse200ApplicationJSONType);
  UpdateProjectContentHintProjectsResponse200ApplicationJSONType$outboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONType$inboundSchema;
  ((UpdateProjectContentHintProjectsResponse200ApplicationJSONType$) => {
    UpdateProjectContentHintProjectsResponse200ApplicationJSONType$.inboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONType$inboundSchema;
    UpdateProjectContentHintProjectsResponse200ApplicationJSONType$.outboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONType$outboundSchema;
  })(UpdateProjectContentHintProjectsResponse200ApplicationJSONType$ ||= {});
  UpdateProjectContentHint5$inboundSchema = objectType({
    type: UpdateProjectContentHintProjectsResponse200ApplicationJSONType$inboundSchema,
    storeId: stringType()
  });
  UpdateProjectContentHint5$outboundSchema = objectType({
    type: UpdateProjectContentHintProjectsResponse200ApplicationJSONType$outboundSchema,
    storeId: stringType()
  });
  ((UpdateProjectContentHint5$) => {
    UpdateProjectContentHint5$.inboundSchema = UpdateProjectContentHint5$inboundSchema;
    UpdateProjectContentHint5$.outboundSchema = UpdateProjectContentHint5$outboundSchema;
  })(UpdateProjectContentHint5$ ||= {});
  UpdateProjectContentHintProjectsResponse200Type$inboundSchema = nativeEnumType(UpdateProjectContentHintProjectsResponse200Type);
  UpdateProjectContentHintProjectsResponse200Type$outboundSchema = UpdateProjectContentHintProjectsResponse200Type$inboundSchema;
  ((UpdateProjectContentHintProjectsResponse200Type$) => {
    UpdateProjectContentHintProjectsResponse200Type$.inboundSchema = UpdateProjectContentHintProjectsResponse200Type$inboundSchema;
    UpdateProjectContentHintProjectsResponse200Type$.outboundSchema = UpdateProjectContentHintProjectsResponse200Type$outboundSchema;
  })(UpdateProjectContentHintProjectsResponse200Type$ ||= {});
  UpdateProjectContentHint4$inboundSchema = objectType({
    type: UpdateProjectContentHintProjectsResponse200Type$inboundSchema,
    storeId: stringType()
  });
  UpdateProjectContentHint4$outboundSchema = objectType({
    type: UpdateProjectContentHintProjectsResponse200Type$outboundSchema,
    storeId: stringType()
  });
  ((UpdateProjectContentHint4$) => {
    UpdateProjectContentHint4$.inboundSchema = UpdateProjectContentHint4$inboundSchema;
    UpdateProjectContentHint4$.outboundSchema = UpdateProjectContentHint4$outboundSchema;
  })(UpdateProjectContentHint4$ ||= {});
  UpdateProjectContentHintProjectsResponseType$inboundSchema = nativeEnumType(UpdateProjectContentHintProjectsResponseType);
  UpdateProjectContentHintProjectsResponseType$outboundSchema = UpdateProjectContentHintProjectsResponseType$inboundSchema;
  ((UpdateProjectContentHintProjectsResponseType$) => {
    UpdateProjectContentHintProjectsResponseType$.inboundSchema = UpdateProjectContentHintProjectsResponseType$inboundSchema;
    UpdateProjectContentHintProjectsResponseType$.outboundSchema = UpdateProjectContentHintProjectsResponseType$outboundSchema;
  })(UpdateProjectContentHintProjectsResponseType$ ||= {});
  UpdateProjectContentHint3$inboundSchema = objectType({
    type: UpdateProjectContentHintProjectsResponseType$inboundSchema,
    storeId: stringType()
  });
  UpdateProjectContentHint3$outboundSchema = objectType({
    type: UpdateProjectContentHintProjectsResponseType$outboundSchema,
    storeId: stringType()
  });
  ((UpdateProjectContentHint3$) => {
    UpdateProjectContentHint3$.inboundSchema = UpdateProjectContentHint3$inboundSchema;
    UpdateProjectContentHint3$.outboundSchema = UpdateProjectContentHint3$outboundSchema;
  })(UpdateProjectContentHint3$ ||= {});
  UpdateProjectContentHintProjectsType$inboundSchema = nativeEnumType(UpdateProjectContentHintProjectsType);
  UpdateProjectContentHintProjectsType$outboundSchema = UpdateProjectContentHintProjectsType$inboundSchema;
  ((UpdateProjectContentHintProjectsType$) => {
    UpdateProjectContentHintProjectsType$.inboundSchema = UpdateProjectContentHintProjectsType$inboundSchema;
    UpdateProjectContentHintProjectsType$.outboundSchema = UpdateProjectContentHintProjectsType$outboundSchema;
  })(UpdateProjectContentHintProjectsType$ ||= {});
  UpdateProjectContentHint2$inboundSchema = objectType({
    type: UpdateProjectContentHintProjectsType$inboundSchema,
    storeId: stringType()
  });
  UpdateProjectContentHint2$outboundSchema = objectType({
    type: UpdateProjectContentHintProjectsType$outboundSchema,
    storeId: stringType()
  });
  ((UpdateProjectContentHint2$) => {
    UpdateProjectContentHint2$.inboundSchema = UpdateProjectContentHint2$inboundSchema;
    UpdateProjectContentHint2$.outboundSchema = UpdateProjectContentHint2$outboundSchema;
  })(UpdateProjectContentHint2$ ||= {});
  UpdateProjectContentHintType$inboundSchema = nativeEnumType(UpdateProjectContentHintType);
  UpdateProjectContentHintType$outboundSchema = UpdateProjectContentHintType$inboundSchema;
  ((UpdateProjectContentHintType$) => {
    UpdateProjectContentHintType$.inboundSchema = UpdateProjectContentHintType$inboundSchema;
    UpdateProjectContentHintType$.outboundSchema = UpdateProjectContentHintType$outboundSchema;
  })(UpdateProjectContentHintType$ ||= {});
  UpdateProjectContentHint1$inboundSchema = objectType({
    type: UpdateProjectContentHintType$inboundSchema,
    storeId: stringType()
  });
  UpdateProjectContentHint1$outboundSchema = objectType({
    type: UpdateProjectContentHintType$outboundSchema,
    storeId: stringType()
  });
  ((UpdateProjectContentHint1$) => {
    UpdateProjectContentHint1$.inboundSchema = UpdateProjectContentHint1$inboundSchema;
    UpdateProjectContentHint1$.outboundSchema = UpdateProjectContentHint1$outboundSchema;
  })(UpdateProjectContentHint1$ ||= {});
  UpdateProjectContentHint$inboundSchema = unionType([
    lazyType(() => UpdateProjectContentHint1$inboundSchema),
    lazyType(() => UpdateProjectContentHint2$inboundSchema),
    lazyType(() => UpdateProjectContentHint3$inboundSchema),
    lazyType(() => UpdateProjectContentHint4$inboundSchema),
    lazyType(() => UpdateProjectContentHint5$inboundSchema),
    lazyType(() => UpdateProjectContentHint6$inboundSchema),
    lazyType(() => UpdateProjectContentHint7$inboundSchema),
    lazyType(() => UpdateProjectContentHint8$inboundSchema),
    lazyType(() => UpdateProjectContentHint9$inboundSchema),
    lazyType(() => UpdateProjectContentHint10$inboundSchema),
    lazyType(() => UpdateProjectContentHint11$inboundSchema),
    lazyType(() => UpdateProjectContentHint12$inboundSchema),
    lazyType(() => UpdateProjectContentHint13$inboundSchema),
    lazyType(() => UpdateProjectContentHint15$inboundSchema),
    lazyType(() => UpdateProjectContentHint14$inboundSchema)
  ]);
  UpdateProjectContentHint$outboundSchema = unionType([
    lazyType(() => UpdateProjectContentHint1$outboundSchema),
    lazyType(() => UpdateProjectContentHint2$outboundSchema),
    lazyType(() => UpdateProjectContentHint3$outboundSchema),
    lazyType(() => UpdateProjectContentHint4$outboundSchema),
    lazyType(() => UpdateProjectContentHint5$outboundSchema),
    lazyType(() => UpdateProjectContentHint6$outboundSchema),
    lazyType(() => UpdateProjectContentHint7$outboundSchema),
    lazyType(() => UpdateProjectContentHint8$outboundSchema),
    lazyType(() => UpdateProjectContentHint9$outboundSchema),
    lazyType(() => UpdateProjectContentHint10$outboundSchema),
    lazyType(() => UpdateProjectContentHint11$outboundSchema),
    lazyType(() => UpdateProjectContentHint12$outboundSchema),
    lazyType(() => UpdateProjectContentHint13$outboundSchema),
    lazyType(() => UpdateProjectContentHint15$outboundSchema),
    lazyType(() => UpdateProjectContentHint14$outboundSchema)
  ]);
  ((UpdateProjectContentHint$) => {
    UpdateProjectContentHint$.inboundSchema = UpdateProjectContentHint$inboundSchema;
    UpdateProjectContentHint$.outboundSchema = UpdateProjectContentHint$outboundSchema;
  })(UpdateProjectContentHint$ ||= {});
  UpdateProjectProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema = nativeEnumType(UpdateProjectProjectsResponse200ApplicationJSONResponseBodyType);
  UpdateProjectProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema = UpdateProjectProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema;
  ((UpdateProjectProjectsResponse200ApplicationJSONResponseBodyType$) => {
    UpdateProjectProjectsResponse200ApplicationJSONResponseBodyType$.inboundSchema = UpdateProjectProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema;
    UpdateProjectProjectsResponse200ApplicationJSONResponseBodyType$.outboundSchema = UpdateProjectProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema;
  })(UpdateProjectProjectsResponse200ApplicationJSONResponseBodyType$ ||= {});
  UpdateProjectInternalContentHint$inboundSchema = objectType({
    type: UpdateProjectProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema,
    encryptedValue: stringType()
  });
  UpdateProjectInternalContentHint$outboundSchema = objectType({
    type: UpdateProjectProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema,
    encryptedValue: stringType()
  });
  ((UpdateProjectInternalContentHint$) => {
    UpdateProjectInternalContentHint$.inboundSchema = UpdateProjectInternalContentHint$inboundSchema;
    UpdateProjectInternalContentHint$.outboundSchema = UpdateProjectInternalContentHint$outboundSchema;
  })(UpdateProjectInternalContentHint$ ||= {});
  UpdateProjectEnv$inboundSchema = objectType({
    target: unionType([arrayType(stringType()), UpdateProjectTarget2$inboundSchema]).optional(),
    type: UpdateProjectType$inboundSchema,
    sunsetSecretId: stringType().optional(),
    decrypted: booleanType().optional(),
    value: stringType(),
    vsmValue: stringType().optional(),
    id: stringType().optional(),
    key: stringType(),
    configurationId: nullableType(stringType()).optional(),
    createdAt: numberType().optional(),
    updatedAt: numberType().optional(),
    createdBy: nullableType(stringType()).optional(),
    updatedBy: nullableType(stringType()).optional(),
    gitBranch: stringType().optional(),
    edgeConfigId: nullableType(stringType()).optional(),
    edgeConfigTokenId: nullableType(stringType()).optional(),
    contentHint: nullableType(unionType([
      lazyType(() => UpdateProjectContentHint1$inboundSchema),
      lazyType(() => UpdateProjectContentHint2$inboundSchema),
      lazyType(() => UpdateProjectContentHint3$inboundSchema),
      lazyType(() => UpdateProjectContentHint4$inboundSchema),
      lazyType(() => UpdateProjectContentHint5$inboundSchema),
      lazyType(() => UpdateProjectContentHint6$inboundSchema),
      lazyType(() => UpdateProjectContentHint7$inboundSchema),
      lazyType(() => UpdateProjectContentHint8$inboundSchema),
      lazyType(() => UpdateProjectContentHint9$inboundSchema),
      lazyType(() => UpdateProjectContentHint10$inboundSchema),
      lazyType(() => UpdateProjectContentHint11$inboundSchema),
      lazyType(() => UpdateProjectContentHint12$inboundSchema),
      lazyType(() => UpdateProjectContentHint13$inboundSchema),
      lazyType(() => UpdateProjectContentHint15$inboundSchema),
      lazyType(() => UpdateProjectContentHint14$inboundSchema)
    ])).optional(),
    internalContentHint: nullableType(lazyType(() => UpdateProjectInternalContentHint$inboundSchema)).optional(),
    comment: stringType().optional(),
    customEnvironmentIds: arrayType(stringType()).optional()
  });
  UpdateProjectEnv$outboundSchema = objectType({
    target: unionType([arrayType(stringType()), UpdateProjectTarget2$outboundSchema]).optional(),
    type: UpdateProjectType$outboundSchema,
    sunsetSecretId: stringType().optional(),
    decrypted: booleanType().optional(),
    value: stringType(),
    vsmValue: stringType().optional(),
    id: stringType().optional(),
    key: stringType(),
    configurationId: nullableType(stringType()).optional(),
    createdAt: numberType().optional(),
    updatedAt: numberType().optional(),
    createdBy: nullableType(stringType()).optional(),
    updatedBy: nullableType(stringType()).optional(),
    gitBranch: stringType().optional(),
    edgeConfigId: nullableType(stringType()).optional(),
    edgeConfigTokenId: nullableType(stringType()).optional(),
    contentHint: nullableType(unionType([
      lazyType(() => UpdateProjectContentHint1$outboundSchema),
      lazyType(() => UpdateProjectContentHint2$outboundSchema),
      lazyType(() => UpdateProjectContentHint3$outboundSchema),
      lazyType(() => UpdateProjectContentHint4$outboundSchema),
      lazyType(() => UpdateProjectContentHint5$outboundSchema),
      lazyType(() => UpdateProjectContentHint6$outboundSchema),
      lazyType(() => UpdateProjectContentHint7$outboundSchema),
      lazyType(() => UpdateProjectContentHint8$outboundSchema),
      lazyType(() => UpdateProjectContentHint9$outboundSchema),
      lazyType(() => UpdateProjectContentHint10$outboundSchema),
      lazyType(() => UpdateProjectContentHint11$outboundSchema),
      lazyType(() => UpdateProjectContentHint12$outboundSchema),
      lazyType(() => UpdateProjectContentHint13$outboundSchema),
      lazyType(() => UpdateProjectContentHint15$outboundSchema),
      lazyType(() => UpdateProjectContentHint14$outboundSchema)
    ])).optional(),
    internalContentHint: nullableType(lazyType(() => UpdateProjectInternalContentHint$outboundSchema)).optional(),
    comment: stringType().optional(),
    customEnvironmentIds: arrayType(stringType()).optional()
  });
  ((UpdateProjectEnv$) => {
    UpdateProjectEnv$.inboundSchema = UpdateProjectEnv$inboundSchema;
    UpdateProjectEnv$.outboundSchema = UpdateProjectEnv$outboundSchema;
  })(UpdateProjectEnv$ ||= {});
  UpdateProjectProjectsType$inboundSchema = nativeEnumType(UpdateProjectProjectsType);
  UpdateProjectProjectsType$outboundSchema = UpdateProjectProjectsType$inboundSchema;
  ((UpdateProjectProjectsType$) => {
    UpdateProjectProjectsType$.inboundSchema = UpdateProjectProjectsType$inboundSchema;
    UpdateProjectProjectsType$.outboundSchema = UpdateProjectProjectsType$outboundSchema;
  })(UpdateProjectProjectsType$ ||= {});
  UpdateProjectProjectsResponse200ApplicationJSONResponseBodyCustomEnvironmentsType$inboundSchema = nativeEnumType(UpdateProjectProjectsResponse200ApplicationJSONResponseBodyCustomEnvironmentsType);
  UpdateProjectProjectsResponse200ApplicationJSONResponseBodyCustomEnvironmentsType$outboundSchema = UpdateProjectProjectsResponse200ApplicationJSONResponseBodyCustomEnvironmentsType$inboundSchema;
  ((UpdateProjectProjectsResponse200ApplicationJSONResponseBodyCustomEnvironmentsType$) => {
    UpdateProjectProjectsResponse200ApplicationJSONResponseBodyCustomEnvironmentsType$.inboundSchema = UpdateProjectProjectsResponse200ApplicationJSONResponseBodyCustomEnvironmentsType$inboundSchema;
    UpdateProjectProjectsResponse200ApplicationJSONResponseBodyCustomEnvironmentsType$.outboundSchema = UpdateProjectProjectsResponse200ApplicationJSONResponseBodyCustomEnvironmentsType$outboundSchema;
  })(UpdateProjectProjectsResponse200ApplicationJSONResponseBodyCustomEnvironmentsType$ ||= {});
  UpdateProjectBranchMatcher$inboundSchema = objectType({
    type: UpdateProjectProjectsResponse200ApplicationJSONResponseBodyCustomEnvironmentsType$inboundSchema,
    pattern: stringType()
  });
  UpdateProjectBranchMatcher$outboundSchema = objectType({
    type: UpdateProjectProjectsResponse200ApplicationJSONResponseBodyCustomEnvironmentsType$outboundSchema,
    pattern: stringType()
  });
  ((UpdateProjectBranchMatcher$) => {
    UpdateProjectBranchMatcher$.inboundSchema = UpdateProjectBranchMatcher$inboundSchema;
    UpdateProjectBranchMatcher$.outboundSchema = UpdateProjectBranchMatcher$outboundSchema;
  })(UpdateProjectBranchMatcher$ ||= {});
  UpdateProjectVerification$inboundSchema = objectType({
    type: stringType(),
    domain: stringType(),
    value: stringType(),
    reason: stringType()
  });
  UpdateProjectVerification$outboundSchema = objectType({
    type: stringType(),
    domain: stringType(),
    value: stringType(),
    reason: stringType()
  });
  ((UpdateProjectVerification$) => {
    UpdateProjectVerification$.inboundSchema = UpdateProjectVerification$inboundSchema;
    UpdateProjectVerification$.outboundSchema = UpdateProjectVerification$outboundSchema;
  })(UpdateProjectVerification$ ||= {});
  UpdateProjectDomains$inboundSchema = objectType({
    name: stringType(),
    apexName: stringType(),
    projectId: stringType(),
    redirect: nullableType(stringType()).optional(),
    redirectStatusCode: nullableType(numberType()).optional(),
    gitBranch: nullableType(stringType()).optional(),
    customEnvironmentId: nullableType(stringType()).optional(),
    updatedAt: numberType().optional(),
    createdAt: numberType().optional(),
    verified: booleanType(),
    verification: arrayType(lazyType(() => UpdateProjectVerification$inboundSchema)).optional()
  });
  UpdateProjectDomains$outboundSchema = objectType({
    name: stringType(),
    apexName: stringType(),
    projectId: stringType(),
    redirect: nullableType(stringType()).optional(),
    redirectStatusCode: nullableType(numberType()).optional(),
    gitBranch: nullableType(stringType()).optional(),
    customEnvironmentId: nullableType(stringType()).optional(),
    updatedAt: numberType().optional(),
    createdAt: numberType().optional(),
    verified: booleanType(),
    verification: arrayType(lazyType(() => UpdateProjectVerification$outboundSchema)).optional()
  });
  ((UpdateProjectDomains$) => {
    UpdateProjectDomains$.inboundSchema = UpdateProjectDomains$inboundSchema;
    UpdateProjectDomains$.outboundSchema = UpdateProjectDomains$outboundSchema;
  })(UpdateProjectDomains$ ||= {});
  UpdateProjectCustomEnvironments$inboundSchema = objectType({
    id: stringType(),
    slug: stringType(),
    type: UpdateProjectProjectsType$inboundSchema,
    description: stringType().optional(),
    branchMatcher: lazyType(() => UpdateProjectBranchMatcher$inboundSchema).optional(),
    domains: arrayType(lazyType(() => UpdateProjectDomains$inboundSchema)).optional(),
    currentDeploymentAliases: arrayType(stringType()).optional(),
    createdAt: numberType(),
    updatedAt: numberType()
  });
  UpdateProjectCustomEnvironments$outboundSchema = objectType({
    id: stringType(),
    slug: stringType(),
    type: UpdateProjectProjectsType$outboundSchema,
    description: stringType().optional(),
    branchMatcher: lazyType(() => UpdateProjectBranchMatcher$outboundSchema).optional(),
    domains: arrayType(lazyType(() => UpdateProjectDomains$outboundSchema)).optional(),
    currentDeploymentAliases: arrayType(stringType()).optional(),
    createdAt: numberType(),
    updatedAt: numberType()
  });
  ((UpdateProjectCustomEnvironments$) => {
    UpdateProjectCustomEnvironments$.inboundSchema = UpdateProjectCustomEnvironments$inboundSchema;
    UpdateProjectCustomEnvironments$.outboundSchema = UpdateProjectCustomEnvironments$outboundSchema;
  })(UpdateProjectCustomEnvironments$ ||= {});
  UpdateProjectProjectsFramework$inboundSchema = nativeEnumType(UpdateProjectProjectsFramework);
  UpdateProjectProjectsFramework$outboundSchema = UpdateProjectProjectsFramework$inboundSchema;
  ((UpdateProjectProjectsFramework$) => {
    UpdateProjectProjectsFramework$.inboundSchema = UpdateProjectProjectsFramework$inboundSchema;
    UpdateProjectProjectsFramework$.outboundSchema = UpdateProjectProjectsFramework$outboundSchema;
  })(UpdateProjectProjectsFramework$ ||= {});
  UpdateProjectIpBuckets$inboundSchema = objectType({
    bucket: stringType(),
    supportUntil: numberType().optional()
  });
  UpdateProjectIpBuckets$outboundSchema = objectType({
    bucket: stringType(),
    supportUntil: numberType().optional()
  });
  ((UpdateProjectIpBuckets$) => {
    UpdateProjectIpBuckets$.inboundSchema = UpdateProjectIpBuckets$inboundSchema;
    UpdateProjectIpBuckets$.outboundSchema = UpdateProjectIpBuckets$outboundSchema;
  })(UpdateProjectIpBuckets$ ||= {});
  UpdateProjectAliasAssigned$inboundSchema = unionType([numberType(), booleanType()]);
  UpdateProjectAliasAssigned$outboundSchema = unionType([numberType(), booleanType()]);
  ((UpdateProjectAliasAssigned$) => {
    UpdateProjectAliasAssigned$.inboundSchema = UpdateProjectAliasAssigned$inboundSchema;
    UpdateProjectAliasAssigned$.outboundSchema = UpdateProjectAliasAssigned$outboundSchema;
  })(UpdateProjectAliasAssigned$ ||= {});
  UpdateProjectAliasError$inboundSchema = objectType({
    code: stringType(),
    message: stringType()
  });
  UpdateProjectAliasError$outboundSchema = objectType({
    code: stringType(),
    message: stringType()
  });
  ((UpdateProjectAliasError$) => {
    UpdateProjectAliasError$.inboundSchema = UpdateProjectAliasError$inboundSchema;
    UpdateProjectAliasError$.outboundSchema = UpdateProjectAliasError$outboundSchema;
  })(UpdateProjectAliasError$ ||= {});
  UpdateProjectProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType$inboundSchema = nativeEnumType(UpdateProjectProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType);
  UpdateProjectProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType$outboundSchema = UpdateProjectProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType$inboundSchema;
  ((UpdateProjectProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType$) => {
    UpdateProjectProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType$.inboundSchema = UpdateProjectProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType$inboundSchema;
    UpdateProjectProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType$.outboundSchema = UpdateProjectProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType$outboundSchema;
  })(UpdateProjectProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType$ ||= {});
  UpdateProjectProjectsBranchMatcher$inboundSchema = objectType({
    type: UpdateProjectProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType$inboundSchema,
    pattern: stringType()
  });
  UpdateProjectProjectsBranchMatcher$outboundSchema = objectType({
    type: UpdateProjectProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType$outboundSchema,
    pattern: stringType()
  });
  ((UpdateProjectProjectsBranchMatcher$) => {
    UpdateProjectProjectsBranchMatcher$.inboundSchema = UpdateProjectProjectsBranchMatcher$inboundSchema;
    UpdateProjectProjectsBranchMatcher$.outboundSchema = UpdateProjectProjectsBranchMatcher$outboundSchema;
  })(UpdateProjectProjectsBranchMatcher$ ||= {});
  UpdateProjectBuilds$inboundSchema = objectType({
    use: stringType(),
    src: stringType().optional(),
    dest: stringType().optional()
  });
  UpdateProjectBuilds$outboundSchema = objectType({
    use: stringType(),
    src: stringType().optional(),
    dest: stringType().optional()
  });
  ((UpdateProjectBuilds$) => {
    UpdateProjectBuilds$.inboundSchema = UpdateProjectBuilds$inboundSchema;
    UpdateProjectBuilds$.outboundSchema = UpdateProjectBuilds$outboundSchema;
  })(UpdateProjectBuilds$ ||= {});
  UpdateProjectChecksConclusion$inboundSchema = nativeEnumType(UpdateProjectChecksConclusion);
  UpdateProjectChecksConclusion$outboundSchema = UpdateProjectChecksConclusion$inboundSchema;
  ((UpdateProjectChecksConclusion$) => {
    UpdateProjectChecksConclusion$.inboundSchema = UpdateProjectChecksConclusion$inboundSchema;
    UpdateProjectChecksConclusion$.outboundSchema = UpdateProjectChecksConclusion$outboundSchema;
  })(UpdateProjectChecksConclusion$ ||= {});
  UpdateProjectChecksState$inboundSchema = nativeEnumType(UpdateProjectChecksState);
  UpdateProjectChecksState$outboundSchema = UpdateProjectChecksState$inboundSchema;
  ((UpdateProjectChecksState$) => {
    UpdateProjectChecksState$.inboundSchema = UpdateProjectChecksState$inboundSchema;
    UpdateProjectChecksState$.outboundSchema = UpdateProjectChecksState$outboundSchema;
  })(UpdateProjectChecksState$ ||= {});
  UpdateProjectCreator$inboundSchema = objectType({
    email: stringType(),
    githubLogin: stringType().optional(),
    gitlabLogin: stringType().optional(),
    uid: stringType(),
    username: stringType()
  });
  UpdateProjectCreator$outboundSchema = objectType({
    email: stringType(),
    githubLogin: stringType().optional(),
    gitlabLogin: stringType().optional(),
    uid: stringType(),
    username: stringType()
  });
  ((UpdateProjectCreator$) => {
    UpdateProjectCreator$.inboundSchema = UpdateProjectCreator$inboundSchema;
    UpdateProjectCreator$.outboundSchema = UpdateProjectCreator$outboundSchema;
  })(UpdateProjectCreator$ ||= {});
  UpdateProjectOidcTokenClaims$inboundSchema = objectType({
    iss: stringType(),
    sub: stringType(),
    scope: stringType(),
    aud: stringType(),
    owner: stringType(),
    owner_id: stringType(),
    project: stringType(),
    project_id: stringType(),
    environment: stringType()
  }).transform((v2) => {
    return remap(v2, {
      owner_id: "ownerId",
      project_id: "projectId"
    });
  });
  UpdateProjectOidcTokenClaims$outboundSchema = objectType({
    iss: stringType(),
    sub: stringType(),
    scope: stringType(),
    aud: stringType(),
    owner: stringType(),
    ownerId: stringType(),
    project: stringType(),
    projectId: stringType(),
    environment: stringType()
  }).transform((v2) => {
    return remap(v2, {
      ownerId: "owner_id",
      projectId: "project_id"
    });
  });
  ((UpdateProjectOidcTokenClaims$) => {
    UpdateProjectOidcTokenClaims$.inboundSchema = UpdateProjectOidcTokenClaims$inboundSchema;
    UpdateProjectOidcTokenClaims$.outboundSchema = UpdateProjectOidcTokenClaims$outboundSchema;
  })(UpdateProjectOidcTokenClaims$ ||= {});
  UpdateProjectPlan$inboundSchema = nativeEnumType(UpdateProjectPlan);
  UpdateProjectPlan$outboundSchema = UpdateProjectPlan$inboundSchema;
  ((UpdateProjectPlan$) => {
    UpdateProjectPlan$.inboundSchema = UpdateProjectPlan$inboundSchema;
    UpdateProjectPlan$.outboundSchema = UpdateProjectPlan$outboundSchema;
  })(UpdateProjectPlan$ ||= {});
  UpdateProjectReadyState$inboundSchema = nativeEnumType(UpdateProjectReadyState);
  UpdateProjectReadyState$outboundSchema = UpdateProjectReadyState$inboundSchema;
  ((UpdateProjectReadyState$) => {
    UpdateProjectReadyState$.inboundSchema = UpdateProjectReadyState$inboundSchema;
    UpdateProjectReadyState$.outboundSchema = UpdateProjectReadyState$outboundSchema;
  })(UpdateProjectReadyState$ ||= {});
  UpdateProjectReadySubstate$inboundSchema = nativeEnumType(UpdateProjectReadySubstate);
  UpdateProjectReadySubstate$outboundSchema = UpdateProjectReadySubstate$inboundSchema;
  ((UpdateProjectReadySubstate$) => {
    UpdateProjectReadySubstate$.inboundSchema = UpdateProjectReadySubstate$inboundSchema;
    UpdateProjectReadySubstate$.outboundSchema = UpdateProjectReadySubstate$outboundSchema;
  })(UpdateProjectReadySubstate$ ||= {});
  UpdateProjectProjectsResponseType$inboundSchema = nativeEnumType(UpdateProjectProjectsResponseType);
  UpdateProjectProjectsResponseType$outboundSchema = UpdateProjectProjectsResponseType$inboundSchema;
  ((UpdateProjectProjectsResponseType$) => {
    UpdateProjectProjectsResponseType$.inboundSchema = UpdateProjectProjectsResponseType$inboundSchema;
    UpdateProjectProjectsResponseType$.outboundSchema = UpdateProjectProjectsResponseType$outboundSchema;
  })(UpdateProjectProjectsResponseType$ ||= {});
  UpdateProjectLatestDeployments$inboundSchema = objectType({
    id: stringType(),
    alias: arrayType(stringType()).optional(),
    aliasAssigned: nullableType(unionType([numberType(), booleanType()])).optional(),
    aliasError: nullableType(lazyType(() => UpdateProjectAliasError$inboundSchema)).optional(),
    aliasFinal: nullableType(stringType()).optional(),
    automaticAliases: arrayType(stringType()).optional(),
    branchMatcher: lazyType(() => UpdateProjectProjectsBranchMatcher$inboundSchema).optional(),
    buildingAt: numberType().optional(),
    builds: arrayType(lazyType(() => UpdateProjectBuilds$inboundSchema)).optional(),
    checksConclusion: UpdateProjectChecksConclusion$inboundSchema.optional(),
    checksState: UpdateProjectChecksState$inboundSchema.optional(),
    connectBuildsEnabled: booleanType().optional(),
    connectConfigurationId: stringType().optional(),
    createdAt: numberType(),
    createdIn: stringType(),
    creator: nullableType(lazyType(() => UpdateProjectCreator$inboundSchema)),
    deletedAt: numberType().optional(),
    deploymentHostname: stringType(),
    forced: booleanType().optional(),
    name: stringType(),
    meta: recordType(stringType()).optional(),
    monorepoManager: nullableType(stringType()).optional(),
    oidcTokenClaims: lazyType(() => UpdateProjectOidcTokenClaims$inboundSchema).optional(),
    plan: UpdateProjectPlan$inboundSchema,
    previewCommentsEnabled: booleanType().optional(),
    private: booleanType(),
    readyAt: numberType().optional(),
    readyState: UpdateProjectReadyState$inboundSchema,
    readySubstate: UpdateProjectReadySubstate$inboundSchema.optional(),
    requestedAt: numberType().optional(),
    target: nullableType(stringType()).optional(),
    teamId: nullableType(stringType()).optional(),
    type: UpdateProjectProjectsResponseType$inboundSchema,
    url: stringType(),
    userId: stringType(),
    withCache: booleanType().optional()
  });
  UpdateProjectLatestDeployments$outboundSchema = objectType({
    id: stringType(),
    alias: arrayType(stringType()).optional(),
    aliasAssigned: nullableType(unionType([numberType(), booleanType()])).optional(),
    aliasError: nullableType(lazyType(() => UpdateProjectAliasError$outboundSchema)).optional(),
    aliasFinal: nullableType(stringType()).optional(),
    automaticAliases: arrayType(stringType()).optional(),
    branchMatcher: lazyType(() => UpdateProjectProjectsBranchMatcher$outboundSchema).optional(),
    buildingAt: numberType().optional(),
    builds: arrayType(lazyType(() => UpdateProjectBuilds$outboundSchema)).optional(),
    checksConclusion: UpdateProjectChecksConclusion$outboundSchema.optional(),
    checksState: UpdateProjectChecksState$outboundSchema.optional(),
    connectBuildsEnabled: booleanType().optional(),
    connectConfigurationId: stringType().optional(),
    createdAt: numberType(),
    createdIn: stringType(),
    creator: nullableType(lazyType(() => UpdateProjectCreator$outboundSchema)),
    deletedAt: numberType().optional(),
    deploymentHostname: stringType(),
    forced: booleanType().optional(),
    name: stringType(),
    meta: recordType(stringType()).optional(),
    monorepoManager: nullableType(stringType()).optional(),
    oidcTokenClaims: lazyType(() => UpdateProjectOidcTokenClaims$outboundSchema).optional(),
    plan: UpdateProjectPlan$outboundSchema,
    previewCommentsEnabled: booleanType().optional(),
    private: booleanType(),
    readyAt: numberType().optional(),
    readyState: UpdateProjectReadyState$outboundSchema,
    readySubstate: UpdateProjectReadySubstate$outboundSchema.optional(),
    requestedAt: numberType().optional(),
    target: nullableType(stringType()).optional(),
    teamId: nullableType(stringType()).optional(),
    type: UpdateProjectProjectsResponseType$outboundSchema,
    url: stringType(),
    userId: stringType(),
    withCache: booleanType().optional()
  });
  ((UpdateProjectLatestDeployments$) => {
    UpdateProjectLatestDeployments$.inboundSchema = UpdateProjectLatestDeployments$inboundSchema;
    UpdateProjectLatestDeployments$.outboundSchema = UpdateProjectLatestDeployments$outboundSchema;
  })(UpdateProjectLatestDeployments$ ||= {});
  UpdateProjectLinkProjectsResponse200Type$inboundSchema = nativeEnumType(UpdateProjectLinkProjectsResponse200Type);
  UpdateProjectLinkProjectsResponse200Type$outboundSchema = UpdateProjectLinkProjectsResponse200Type$inboundSchema;
  ((UpdateProjectLinkProjectsResponse200Type$) => {
    UpdateProjectLinkProjectsResponse200Type$.inboundSchema = UpdateProjectLinkProjectsResponse200Type$inboundSchema;
    UpdateProjectLinkProjectsResponse200Type$.outboundSchema = UpdateProjectLinkProjectsResponse200Type$outboundSchema;
  })(UpdateProjectLinkProjectsResponse200Type$ ||= {});
  UpdateProjectLinkProjectsResponse200DeployHooks$inboundSchema = objectType({
    createdAt: numberType().optional(),
    id: stringType(),
    name: stringType(),
    ref: stringType(),
    url: stringType()
  });
  UpdateProjectLinkProjectsResponse200DeployHooks$outboundSchema = objectType({
    createdAt: numberType().optional(),
    id: stringType(),
    name: stringType(),
    ref: stringType(),
    url: stringType()
  });
  ((UpdateProjectLinkProjectsResponse200DeployHooks$) => {
    UpdateProjectLinkProjectsResponse200DeployHooks$.inboundSchema = UpdateProjectLinkProjectsResponse200DeployHooks$inboundSchema;
    UpdateProjectLinkProjectsResponse200DeployHooks$.outboundSchema = UpdateProjectLinkProjectsResponse200DeployHooks$outboundSchema;
  })(UpdateProjectLinkProjectsResponse200DeployHooks$ ||= {});
  UpdateProjectLink4$inboundSchema = objectType({
    org: stringType().optional(),
    repoOwnerId: numberType().optional(),
    repo: stringType().optional(),
    repoId: numberType().optional(),
    type: UpdateProjectLinkProjectsResponse200Type$inboundSchema.optional(),
    host: stringType().optional(),
    createdAt: numberType().optional(),
    deployHooks: arrayType(lazyType(() => UpdateProjectLinkProjectsResponse200DeployHooks$inboundSchema)),
    gitCredentialId: stringType().optional(),
    updatedAt: numberType().optional(),
    sourceless: booleanType().optional(),
    productionBranch: stringType().optional()
  });
  UpdateProjectLink4$outboundSchema = objectType({
    org: stringType().optional(),
    repoOwnerId: numberType().optional(),
    repo: stringType().optional(),
    repoId: numberType().optional(),
    type: UpdateProjectLinkProjectsResponse200Type$outboundSchema.optional(),
    host: stringType().optional(),
    createdAt: numberType().optional(),
    deployHooks: arrayType(lazyType(() => UpdateProjectLinkProjectsResponse200DeployHooks$outboundSchema)),
    gitCredentialId: stringType().optional(),
    updatedAt: numberType().optional(),
    sourceless: booleanType().optional(),
    productionBranch: stringType().optional()
  });
  ((UpdateProjectLink4$) => {
    UpdateProjectLink4$.inboundSchema = UpdateProjectLink4$inboundSchema;
    UpdateProjectLink4$.outboundSchema = UpdateProjectLink4$outboundSchema;
  })(UpdateProjectLink4$ ||= {});
  UpdateProjectLinkProjectsResponseType$inboundSchema = nativeEnumType(UpdateProjectLinkProjectsResponseType);
  UpdateProjectLinkProjectsResponseType$outboundSchema = UpdateProjectLinkProjectsResponseType$inboundSchema;
  ((UpdateProjectLinkProjectsResponseType$) => {
    UpdateProjectLinkProjectsResponseType$.inboundSchema = UpdateProjectLinkProjectsResponseType$inboundSchema;
    UpdateProjectLinkProjectsResponseType$.outboundSchema = UpdateProjectLinkProjectsResponseType$outboundSchema;
  })(UpdateProjectLinkProjectsResponseType$ ||= {});
  UpdateProjectLinkProjectsResponseDeployHooks$inboundSchema = objectType({
    createdAt: numberType().optional(),
    id: stringType(),
    name: stringType(),
    ref: stringType(),
    url: stringType()
  });
  UpdateProjectLinkProjectsResponseDeployHooks$outboundSchema = objectType({
    createdAt: numberType().optional(),
    id: stringType(),
    name: stringType(),
    ref: stringType(),
    url: stringType()
  });
  ((UpdateProjectLinkProjectsResponseDeployHooks$) => {
    UpdateProjectLinkProjectsResponseDeployHooks$.inboundSchema = UpdateProjectLinkProjectsResponseDeployHooks$inboundSchema;
    UpdateProjectLinkProjectsResponseDeployHooks$.outboundSchema = UpdateProjectLinkProjectsResponseDeployHooks$outboundSchema;
  })(UpdateProjectLinkProjectsResponseDeployHooks$ ||= {});
  UpdateProjectLink3$inboundSchema = objectType({
    name: stringType().optional(),
    slug: stringType().optional(),
    owner: stringType().optional(),
    type: UpdateProjectLinkProjectsResponseType$inboundSchema.optional(),
    uuid: stringType().optional(),
    workspaceUuid: stringType().optional(),
    createdAt: numberType().optional(),
    deployHooks: arrayType(lazyType(() => UpdateProjectLinkProjectsResponseDeployHooks$inboundSchema)),
    gitCredentialId: stringType().optional(),
    updatedAt: numberType().optional(),
    sourceless: booleanType().optional(),
    productionBranch: stringType().optional()
  });
  UpdateProjectLink3$outboundSchema = objectType({
    name: stringType().optional(),
    slug: stringType().optional(),
    owner: stringType().optional(),
    type: UpdateProjectLinkProjectsResponseType$outboundSchema.optional(),
    uuid: stringType().optional(),
    workspaceUuid: stringType().optional(),
    createdAt: numberType().optional(),
    deployHooks: arrayType(lazyType(() => UpdateProjectLinkProjectsResponseDeployHooks$outboundSchema)),
    gitCredentialId: stringType().optional(),
    updatedAt: numberType().optional(),
    sourceless: booleanType().optional(),
    productionBranch: stringType().optional()
  });
  ((UpdateProjectLink3$) => {
    UpdateProjectLink3$.inboundSchema = UpdateProjectLink3$inboundSchema;
    UpdateProjectLink3$.outboundSchema = UpdateProjectLink3$outboundSchema;
  })(UpdateProjectLink3$ ||= {});
  UpdateProjectLinkProjectsType$inboundSchema = nativeEnumType(UpdateProjectLinkProjectsType);
  UpdateProjectLinkProjectsType$outboundSchema = UpdateProjectLinkProjectsType$inboundSchema;
  ((UpdateProjectLinkProjectsType$) => {
    UpdateProjectLinkProjectsType$.inboundSchema = UpdateProjectLinkProjectsType$inboundSchema;
    UpdateProjectLinkProjectsType$.outboundSchema = UpdateProjectLinkProjectsType$outboundSchema;
  })(UpdateProjectLinkProjectsType$ ||= {});
  UpdateProjectLinkProjectsDeployHooks$inboundSchema = objectType({
    createdAt: numberType().optional(),
    id: stringType(),
    name: stringType(),
    ref: stringType(),
    url: stringType()
  });
  UpdateProjectLinkProjectsDeployHooks$outboundSchema = objectType({
    createdAt: numberType().optional(),
    id: stringType(),
    name: stringType(),
    ref: stringType(),
    url: stringType()
  });
  ((UpdateProjectLinkProjectsDeployHooks$) => {
    UpdateProjectLinkProjectsDeployHooks$.inboundSchema = UpdateProjectLinkProjectsDeployHooks$inboundSchema;
    UpdateProjectLinkProjectsDeployHooks$.outboundSchema = UpdateProjectLinkProjectsDeployHooks$outboundSchema;
  })(UpdateProjectLinkProjectsDeployHooks$ ||= {});
  UpdateProjectLink2$inboundSchema = objectType({
    projectId: stringType().optional(),
    projectName: stringType().optional(),
    projectNameWithNamespace: stringType().optional(),
    projectNamespace: stringType().optional(),
    projectOwnerId: numberType().optional(),
    projectUrl: stringType().optional(),
    type: UpdateProjectLinkProjectsType$inboundSchema.optional(),
    createdAt: numberType().optional(),
    deployHooks: arrayType(lazyType(() => UpdateProjectLinkProjectsDeployHooks$inboundSchema)),
    gitCredentialId: stringType().optional(),
    updatedAt: numberType().optional(),
    sourceless: booleanType().optional(),
    productionBranch: stringType().optional()
  });
  UpdateProjectLink2$outboundSchema = objectType({
    projectId: stringType().optional(),
    projectName: stringType().optional(),
    projectNameWithNamespace: stringType().optional(),
    projectNamespace: stringType().optional(),
    projectOwnerId: numberType().optional(),
    projectUrl: stringType().optional(),
    type: UpdateProjectLinkProjectsType$outboundSchema.optional(),
    createdAt: numberType().optional(),
    deployHooks: arrayType(lazyType(() => UpdateProjectLinkProjectsDeployHooks$outboundSchema)),
    gitCredentialId: stringType().optional(),
    updatedAt: numberType().optional(),
    sourceless: booleanType().optional(),
    productionBranch: stringType().optional()
  });
  ((UpdateProjectLink2$) => {
    UpdateProjectLink2$.inboundSchema = UpdateProjectLink2$inboundSchema;
    UpdateProjectLink2$.outboundSchema = UpdateProjectLink2$outboundSchema;
  })(UpdateProjectLink2$ ||= {});
  UpdateProjectLinkType$inboundSchema = nativeEnumType(UpdateProjectLinkType);
  UpdateProjectLinkType$outboundSchema = UpdateProjectLinkType$inboundSchema;
  ((UpdateProjectLinkType$) => {
    UpdateProjectLinkType$.inboundSchema = UpdateProjectLinkType$inboundSchema;
    UpdateProjectLinkType$.outboundSchema = UpdateProjectLinkType$outboundSchema;
  })(UpdateProjectLinkType$ ||= {});
  UpdateProjectLinkDeployHooks$inboundSchema = objectType({
    createdAt: numberType().optional(),
    id: stringType(),
    name: stringType(),
    ref: stringType(),
    url: stringType()
  });
  UpdateProjectLinkDeployHooks$outboundSchema = objectType({
    createdAt: numberType().optional(),
    id: stringType(),
    name: stringType(),
    ref: stringType(),
    url: stringType()
  });
  ((UpdateProjectLinkDeployHooks$) => {
    UpdateProjectLinkDeployHooks$.inboundSchema = UpdateProjectLinkDeployHooks$inboundSchema;
    UpdateProjectLinkDeployHooks$.outboundSchema = UpdateProjectLinkDeployHooks$outboundSchema;
  })(UpdateProjectLinkDeployHooks$ ||= {});
  UpdateProjectLink1$inboundSchema = objectType({
    org: stringType().optional(),
    repoOwnerId: numberType().optional(),
    repo: stringType().optional(),
    repoId: numberType().optional(),
    type: UpdateProjectLinkType$inboundSchema.optional(),
    createdAt: numberType().optional(),
    deployHooks: arrayType(lazyType(() => UpdateProjectLinkDeployHooks$inboundSchema)),
    gitCredentialId: stringType().optional(),
    updatedAt: numberType().optional(),
    sourceless: booleanType().optional(),
    productionBranch: stringType().optional()
  });
  UpdateProjectLink1$outboundSchema = objectType({
    org: stringType().optional(),
    repoOwnerId: numberType().optional(),
    repo: stringType().optional(),
    repoId: numberType().optional(),
    type: UpdateProjectLinkType$outboundSchema.optional(),
    createdAt: numberType().optional(),
    deployHooks: arrayType(lazyType(() => UpdateProjectLinkDeployHooks$outboundSchema)),
    gitCredentialId: stringType().optional(),
    updatedAt: numberType().optional(),
    sourceless: booleanType().optional(),
    productionBranch: stringType().optional()
  });
  ((UpdateProjectLink1$) => {
    UpdateProjectLink1$.inboundSchema = UpdateProjectLink1$inboundSchema;
    UpdateProjectLink1$.outboundSchema = UpdateProjectLink1$outboundSchema;
  })(UpdateProjectLink1$ ||= {});
  UpdateProjectLink$inboundSchema = unionType([
    lazyType(() => UpdateProjectLink1$inboundSchema),
    lazyType(() => UpdateProjectLink3$inboundSchema),
    lazyType(() => UpdateProjectLink4$inboundSchema),
    lazyType(() => UpdateProjectLink2$inboundSchema)
  ]);
  UpdateProjectLink$outboundSchema = unionType([
    lazyType(() => UpdateProjectLink1$outboundSchema),
    lazyType(() => UpdateProjectLink3$outboundSchema),
    lazyType(() => UpdateProjectLink4$outboundSchema),
    lazyType(() => UpdateProjectLink2$outboundSchema)
  ]);
  ((UpdateProjectLink$) => {
    UpdateProjectLink$.inboundSchema = UpdateProjectLink$inboundSchema;
    UpdateProjectLink$.outboundSchema = UpdateProjectLink$outboundSchema;
  })(UpdateProjectLink$ ||= {});
  UpdateProjectMicrofrontends2$inboundSchema = objectType({
    updatedAt: numberType(),
    groupIds: arrayType(anyType()),
    enabled: booleanType()
  });
  UpdateProjectMicrofrontends2$outboundSchema = objectType({
    updatedAt: numberType(),
    groupIds: arrayType(anyType()),
    enabled: booleanType()
  });
  ((UpdateProjectMicrofrontends2$) => {
    UpdateProjectMicrofrontends2$.inboundSchema = UpdateProjectMicrofrontends2$inboundSchema;
    UpdateProjectMicrofrontends2$.outboundSchema = UpdateProjectMicrofrontends2$outboundSchema;
  })(UpdateProjectMicrofrontends2$ ||= {});
  UpdateProjectMicrofrontends1$inboundSchema = objectType({
    updatedAt: numberType(),
    groupIds: arrayType(stringType()),
    enabled: booleanType(),
    isDefaultApp: booleanType().optional(),
    defaultRoute: stringType().optional(),
    routeObservabilityToThisProject: booleanType().optional()
  });
  UpdateProjectMicrofrontends1$outboundSchema = objectType({
    updatedAt: numberType(),
    groupIds: arrayType(stringType()),
    enabled: booleanType(),
    isDefaultApp: booleanType().optional(),
    defaultRoute: stringType().optional(),
    routeObservabilityToThisProject: booleanType().optional()
  });
  ((UpdateProjectMicrofrontends1$) => {
    UpdateProjectMicrofrontends1$.inboundSchema = UpdateProjectMicrofrontends1$inboundSchema;
    UpdateProjectMicrofrontends1$.outboundSchema = UpdateProjectMicrofrontends1$outboundSchema;
  })(UpdateProjectMicrofrontends1$ ||= {});
  UpdateProjectMicrofrontends$inboundSchema = unionType([
    lazyType(() => UpdateProjectMicrofrontends2$inboundSchema),
    lazyType(() => UpdateProjectMicrofrontends1$inboundSchema)
  ]);
  UpdateProjectMicrofrontends$outboundSchema = unionType([
    lazyType(() => UpdateProjectMicrofrontends2$outboundSchema),
    lazyType(() => UpdateProjectMicrofrontends1$outboundSchema)
  ]);
  ((UpdateProjectMicrofrontends$) => {
    UpdateProjectMicrofrontends$.inboundSchema = UpdateProjectMicrofrontends$inboundSchema;
    UpdateProjectMicrofrontends$.outboundSchema = UpdateProjectMicrofrontends$outboundSchema;
  })(UpdateProjectMicrofrontends$ ||= {});
  UpdateProjectProjectsNodeVersion$inboundSchema = nativeEnumType(UpdateProjectProjectsNodeVersion);
  UpdateProjectProjectsNodeVersion$outboundSchema = UpdateProjectProjectsNodeVersion$inboundSchema;
  ((UpdateProjectProjectsNodeVersion$) => {
    UpdateProjectProjectsNodeVersion$.inboundSchema = UpdateProjectProjectsNodeVersion$inboundSchema;
    UpdateProjectProjectsNodeVersion$.outboundSchema = UpdateProjectProjectsNodeVersion$outboundSchema;
  })(UpdateProjectProjectsNodeVersion$ ||= {});
  UpdateProjectProjectsPaths$inboundSchema = objectType({
    value: stringType()
  });
  UpdateProjectProjectsPaths$outboundSchema = objectType({
    value: stringType()
  });
  ((UpdateProjectProjectsPaths$) => {
    UpdateProjectProjectsPaths$.inboundSchema = UpdateProjectProjectsPaths$inboundSchema;
    UpdateProjectProjectsPaths$.outboundSchema = UpdateProjectProjectsPaths$outboundSchema;
  })(UpdateProjectProjectsPaths$ ||= {});
  UpdateProjectProjectsOptionsAllowlist$inboundSchema = objectType({
    paths: arrayType(lazyType(() => UpdateProjectProjectsPaths$inboundSchema))
  });
  UpdateProjectProjectsOptionsAllowlist$outboundSchema = objectType({
    paths: arrayType(lazyType(() => UpdateProjectProjectsPaths$outboundSchema))
  });
  ((UpdateProjectProjectsOptionsAllowlist$) => {
    UpdateProjectProjectsOptionsAllowlist$.inboundSchema = UpdateProjectProjectsOptionsAllowlist$inboundSchema;
    UpdateProjectProjectsOptionsAllowlist$.outboundSchema = UpdateProjectProjectsOptionsAllowlist$outboundSchema;
  })(UpdateProjectProjectsOptionsAllowlist$ ||= {});
  UpdateProjectProjectsPasswordProtection$inboundSchema = objectType({});
  UpdateProjectProjectsPasswordProtection$outboundSchema = objectType({});
  ((UpdateProjectProjectsPasswordProtection$) => {
    UpdateProjectProjectsPasswordProtection$.inboundSchema = UpdateProjectProjectsPasswordProtection$inboundSchema;
    UpdateProjectProjectsPasswordProtection$.outboundSchema = UpdateProjectProjectsPasswordProtection$outboundSchema;
  })(UpdateProjectProjectsPasswordProtection$ ||= {});
  UpdateProjectProjectsFunctionDefaultMemoryType$inboundSchema = nativeEnumType(UpdateProjectProjectsFunctionDefaultMemoryType);
  UpdateProjectProjectsFunctionDefaultMemoryType$outboundSchema = UpdateProjectProjectsFunctionDefaultMemoryType$inboundSchema;
  ((UpdateProjectProjectsFunctionDefaultMemoryType$) => {
    UpdateProjectProjectsFunctionDefaultMemoryType$.inboundSchema = UpdateProjectProjectsFunctionDefaultMemoryType$inboundSchema;
    UpdateProjectProjectsFunctionDefaultMemoryType$.outboundSchema = UpdateProjectProjectsFunctionDefaultMemoryType$outboundSchema;
  })(UpdateProjectProjectsFunctionDefaultMemoryType$ ||= {});
  UpdateProjectProjectsBuildMachineType$inboundSchema = nativeEnumType(UpdateProjectProjectsBuildMachineType);
  UpdateProjectProjectsBuildMachineType$outboundSchema = UpdateProjectProjectsBuildMachineType$inboundSchema;
  ((UpdateProjectProjectsBuildMachineType$) => {
    UpdateProjectProjectsBuildMachineType$.inboundSchema = UpdateProjectProjectsBuildMachineType$inboundSchema;
    UpdateProjectProjectsBuildMachineType$.outboundSchema = UpdateProjectProjectsBuildMachineType$outboundSchema;
  })(UpdateProjectProjectsBuildMachineType$ ||= {});
  UpdateProjectProjectsResourceConfig$inboundSchema = objectType({
    fluid: booleanType().optional(),
    functionDefaultRegions: arrayType(stringType()),
    functionDefaultTimeout: numberType().optional(),
    functionDefaultMemoryType: UpdateProjectProjectsFunctionDefaultMemoryType$inboundSchema.optional(),
    functionZeroConfigFailover: booleanType().optional(),
    elasticConcurrencyEnabled: booleanType().optional(),
    buildMachineType: UpdateProjectProjectsBuildMachineType$inboundSchema.optional()
  });
  UpdateProjectProjectsResourceConfig$outboundSchema = objectType({
    fluid: booleanType().optional(),
    functionDefaultRegions: arrayType(stringType()),
    functionDefaultTimeout: numberType().optional(),
    functionDefaultMemoryType: UpdateProjectProjectsFunctionDefaultMemoryType$outboundSchema.optional(),
    functionZeroConfigFailover: booleanType().optional(),
    elasticConcurrencyEnabled: booleanType().optional(),
    buildMachineType: UpdateProjectProjectsBuildMachineType$outboundSchema.optional()
  });
  ((UpdateProjectProjectsResourceConfig$) => {
    UpdateProjectProjectsResourceConfig$.inboundSchema = UpdateProjectProjectsResourceConfig$inboundSchema;
    UpdateProjectProjectsResourceConfig$.outboundSchema = UpdateProjectProjectsResourceConfig$outboundSchema;
  })(UpdateProjectProjectsResourceConfig$ ||= {});
  UpdateProjectStages$inboundSchema = objectType({
    targetPercentage: numberType(),
    minutesToRelease: numberType().optional(),
    requireApproval: booleanType().optional(),
    duration: numberType().optional()
  });
  UpdateProjectStages$outboundSchema = objectType({
    targetPercentage: numberType(),
    minutesToRelease: numberType().optional(),
    requireApproval: booleanType().optional(),
    duration: numberType().optional()
  });
  ((UpdateProjectStages$) => {
    UpdateProjectStages$.inboundSchema = UpdateProjectStages$inboundSchema;
    UpdateProjectStages$.outboundSchema = UpdateProjectStages$outboundSchema;
  })(UpdateProjectStages$ ||= {});
  UpdateProjectRollingRelease$inboundSchema = objectType({
    target: stringType(),
    minutesToRelease: numberType().optional(),
    stages: nullableType(arrayType(lazyType(() => UpdateProjectStages$inboundSchema))).optional(),
    canaryResponseHeader: booleanType().optional()
  });
  UpdateProjectRollingRelease$outboundSchema = objectType({
    target: stringType(),
    minutesToRelease: numberType().optional(),
    stages: nullableType(arrayType(lazyType(() => UpdateProjectStages$outboundSchema))).optional(),
    canaryResponseHeader: booleanType().optional()
  });
  ((UpdateProjectRollingRelease$) => {
    UpdateProjectRollingRelease$.inboundSchema = UpdateProjectRollingRelease$inboundSchema;
    UpdateProjectRollingRelease$.outboundSchema = UpdateProjectRollingRelease$outboundSchema;
  })(UpdateProjectRollingRelease$ ||= {});
  UpdateProjectProjectsResponseFunctionDefaultMemoryType$inboundSchema = nativeEnumType(UpdateProjectProjectsResponseFunctionDefaultMemoryType);
  UpdateProjectProjectsResponseFunctionDefaultMemoryType$outboundSchema = UpdateProjectProjectsResponseFunctionDefaultMemoryType$inboundSchema;
  ((UpdateProjectProjectsResponseFunctionDefaultMemoryType$) => {
    UpdateProjectProjectsResponseFunctionDefaultMemoryType$.inboundSchema = UpdateProjectProjectsResponseFunctionDefaultMemoryType$inboundSchema;
    UpdateProjectProjectsResponseFunctionDefaultMemoryType$.outboundSchema = UpdateProjectProjectsResponseFunctionDefaultMemoryType$outboundSchema;
  })(UpdateProjectProjectsResponseFunctionDefaultMemoryType$ ||= {});
  UpdateProjectProjectsResponseBuildMachineType$inboundSchema = nativeEnumType(UpdateProjectProjectsResponseBuildMachineType);
  UpdateProjectProjectsResponseBuildMachineType$outboundSchema = UpdateProjectProjectsResponseBuildMachineType$inboundSchema;
  ((UpdateProjectProjectsResponseBuildMachineType$) => {
    UpdateProjectProjectsResponseBuildMachineType$.inboundSchema = UpdateProjectProjectsResponseBuildMachineType$inboundSchema;
    UpdateProjectProjectsResponseBuildMachineType$.outboundSchema = UpdateProjectProjectsResponseBuildMachineType$outboundSchema;
  })(UpdateProjectProjectsResponseBuildMachineType$ ||= {});
  UpdateProjectDefaultResourceConfig$inboundSchema = objectType({
    fluid: booleanType().optional(),
    functionDefaultRegions: arrayType(stringType()),
    functionDefaultTimeout: numberType().optional(),
    functionDefaultMemoryType: UpdateProjectProjectsResponseFunctionDefaultMemoryType$inboundSchema.optional(),
    functionZeroConfigFailover: booleanType().optional(),
    elasticConcurrencyEnabled: booleanType().optional(),
    buildMachineType: UpdateProjectProjectsResponseBuildMachineType$inboundSchema.optional()
  });
  UpdateProjectDefaultResourceConfig$outboundSchema = objectType({
    fluid: booleanType().optional(),
    functionDefaultRegions: arrayType(stringType()),
    functionDefaultTimeout: numberType().optional(),
    functionDefaultMemoryType: UpdateProjectProjectsResponseFunctionDefaultMemoryType$outboundSchema.optional(),
    functionZeroConfigFailover: booleanType().optional(),
    elasticConcurrencyEnabled: booleanType().optional(),
    buildMachineType: UpdateProjectProjectsResponseBuildMachineType$outboundSchema.optional()
  });
  ((UpdateProjectDefaultResourceConfig$) => {
    UpdateProjectDefaultResourceConfig$.inboundSchema = UpdateProjectDefaultResourceConfig$inboundSchema;
    UpdateProjectDefaultResourceConfig$.outboundSchema = UpdateProjectDefaultResourceConfig$outboundSchema;
  })(UpdateProjectDefaultResourceConfig$ ||= {});
  UpdateProjectProjectsResponseDeploymentType$inboundSchema = nativeEnumType(UpdateProjectProjectsResponseDeploymentType);
  UpdateProjectProjectsResponseDeploymentType$outboundSchema = UpdateProjectProjectsResponseDeploymentType$inboundSchema;
  ((UpdateProjectProjectsResponseDeploymentType$) => {
    UpdateProjectProjectsResponseDeploymentType$.inboundSchema = UpdateProjectProjectsResponseDeploymentType$inboundSchema;
    UpdateProjectProjectsResponseDeploymentType$.outboundSchema = UpdateProjectProjectsResponseDeploymentType$outboundSchema;
  })(UpdateProjectProjectsResponseDeploymentType$ ||= {});
  UpdateProjectProjectsSsoProtection$inboundSchema = objectType({
    deploymentType: UpdateProjectProjectsResponseDeploymentType$inboundSchema
  });
  UpdateProjectProjectsSsoProtection$outboundSchema = objectType({
    deploymentType: UpdateProjectProjectsResponseDeploymentType$outboundSchema
  });
  ((UpdateProjectProjectsSsoProtection$) => {
    UpdateProjectProjectsSsoProtection$.inboundSchema = UpdateProjectProjectsSsoProtection$inboundSchema;
    UpdateProjectProjectsSsoProtection$.outboundSchema = UpdateProjectProjectsSsoProtection$outboundSchema;
  })(UpdateProjectProjectsSsoProtection$ ||= {});
  UpdateProjectProjectsAliasAssigned$inboundSchema = unionType([numberType(), booleanType()]);
  UpdateProjectProjectsAliasAssigned$outboundSchema = unionType([numberType(), booleanType()]);
  ((UpdateProjectProjectsAliasAssigned$) => {
    UpdateProjectProjectsAliasAssigned$.inboundSchema = UpdateProjectProjectsAliasAssigned$inboundSchema;
    UpdateProjectProjectsAliasAssigned$.outboundSchema = UpdateProjectProjectsAliasAssigned$outboundSchema;
  })(UpdateProjectProjectsAliasAssigned$ ||= {});
  UpdateProjectProjectsAliasError$inboundSchema = objectType({
    code: stringType(),
    message: stringType()
  });
  UpdateProjectProjectsAliasError$outboundSchema = objectType({
    code: stringType(),
    message: stringType()
  });
  ((UpdateProjectProjectsAliasError$) => {
    UpdateProjectProjectsAliasError$.inboundSchema = UpdateProjectProjectsAliasError$inboundSchema;
    UpdateProjectProjectsAliasError$.outboundSchema = UpdateProjectProjectsAliasError$outboundSchema;
  })(UpdateProjectProjectsAliasError$ ||= {});
  UpdateProjectProjectsResponse200ApplicationJSONResponseBodyTargetsType$inboundSchema = nativeEnumType(UpdateProjectProjectsResponse200ApplicationJSONResponseBodyTargetsType);
  UpdateProjectProjectsResponse200ApplicationJSONResponseBodyTargetsType$outboundSchema = UpdateProjectProjectsResponse200ApplicationJSONResponseBodyTargetsType$inboundSchema;
  ((UpdateProjectProjectsResponse200ApplicationJSONResponseBodyTargetsType$) => {
    UpdateProjectProjectsResponse200ApplicationJSONResponseBodyTargetsType$.inboundSchema = UpdateProjectProjectsResponse200ApplicationJSONResponseBodyTargetsType$inboundSchema;
    UpdateProjectProjectsResponse200ApplicationJSONResponseBodyTargetsType$.outboundSchema = UpdateProjectProjectsResponse200ApplicationJSONResponseBodyTargetsType$outboundSchema;
  })(UpdateProjectProjectsResponse200ApplicationJSONResponseBodyTargetsType$ ||= {});
  UpdateProjectProjectsResponseBranchMatcher$inboundSchema = objectType({
    type: UpdateProjectProjectsResponse200ApplicationJSONResponseBodyTargetsType$inboundSchema,
    pattern: stringType()
  });
  UpdateProjectProjectsResponseBranchMatcher$outboundSchema = objectType({
    type: UpdateProjectProjectsResponse200ApplicationJSONResponseBodyTargetsType$outboundSchema,
    pattern: stringType()
  });
  ((UpdateProjectProjectsResponseBranchMatcher$) => {
    UpdateProjectProjectsResponseBranchMatcher$.inboundSchema = UpdateProjectProjectsResponseBranchMatcher$inboundSchema;
    UpdateProjectProjectsResponseBranchMatcher$.outboundSchema = UpdateProjectProjectsResponseBranchMatcher$outboundSchema;
  })(UpdateProjectProjectsResponseBranchMatcher$ ||= {});
  UpdateProjectProjectsBuilds$inboundSchema = objectType({
    use: stringType(),
    src: stringType().optional(),
    dest: stringType().optional()
  });
  UpdateProjectProjectsBuilds$outboundSchema = objectType({
    use: stringType(),
    src: stringType().optional(),
    dest: stringType().optional()
  });
  ((UpdateProjectProjectsBuilds$) => {
    UpdateProjectProjectsBuilds$.inboundSchema = UpdateProjectProjectsBuilds$inboundSchema;
    UpdateProjectProjectsBuilds$.outboundSchema = UpdateProjectProjectsBuilds$outboundSchema;
  })(UpdateProjectProjectsBuilds$ ||= {});
  UpdateProjectProjectsChecksConclusion$inboundSchema = nativeEnumType(UpdateProjectProjectsChecksConclusion);
  UpdateProjectProjectsChecksConclusion$outboundSchema = UpdateProjectProjectsChecksConclusion$inboundSchema;
  ((UpdateProjectProjectsChecksConclusion$) => {
    UpdateProjectProjectsChecksConclusion$.inboundSchema = UpdateProjectProjectsChecksConclusion$inboundSchema;
    UpdateProjectProjectsChecksConclusion$.outboundSchema = UpdateProjectProjectsChecksConclusion$outboundSchema;
  })(UpdateProjectProjectsChecksConclusion$ ||= {});
  UpdateProjectProjectsChecksState$inboundSchema = nativeEnumType(UpdateProjectProjectsChecksState);
  UpdateProjectProjectsChecksState$outboundSchema = UpdateProjectProjectsChecksState$inboundSchema;
  ((UpdateProjectProjectsChecksState$) => {
    UpdateProjectProjectsChecksState$.inboundSchema = UpdateProjectProjectsChecksState$inboundSchema;
    UpdateProjectProjectsChecksState$.outboundSchema = UpdateProjectProjectsChecksState$outboundSchema;
  })(UpdateProjectProjectsChecksState$ ||= {});
  UpdateProjectProjectsCreator$inboundSchema = objectType({
    email: stringType(),
    githubLogin: stringType().optional(),
    gitlabLogin: stringType().optional(),
    uid: stringType(),
    username: stringType()
  });
  UpdateProjectProjectsCreator$outboundSchema = objectType({
    email: stringType(),
    githubLogin: stringType().optional(),
    gitlabLogin: stringType().optional(),
    uid: stringType(),
    username: stringType()
  });
  ((UpdateProjectProjectsCreator$) => {
    UpdateProjectProjectsCreator$.inboundSchema = UpdateProjectProjectsCreator$inboundSchema;
    UpdateProjectProjectsCreator$.outboundSchema = UpdateProjectProjectsCreator$outboundSchema;
  })(UpdateProjectProjectsCreator$ ||= {});
  UpdateProjectProjectsOidcTokenClaims$inboundSchema = objectType({
    iss: stringType(),
    sub: stringType(),
    scope: stringType(),
    aud: stringType(),
    owner: stringType(),
    owner_id: stringType(),
    project: stringType(),
    project_id: stringType(),
    environment: stringType()
  }).transform((v2) => {
    return remap(v2, {
      owner_id: "ownerId",
      project_id: "projectId"
    });
  });
  UpdateProjectProjectsOidcTokenClaims$outboundSchema = objectType({
    iss: stringType(),
    sub: stringType(),
    scope: stringType(),
    aud: stringType(),
    owner: stringType(),
    ownerId: stringType(),
    project: stringType(),
    projectId: stringType(),
    environment: stringType()
  }).transform((v2) => {
    return remap(v2, {
      ownerId: "owner_id",
      projectId: "project_id"
    });
  });
  ((UpdateProjectProjectsOidcTokenClaims$) => {
    UpdateProjectProjectsOidcTokenClaims$.inboundSchema = UpdateProjectProjectsOidcTokenClaims$inboundSchema;
    UpdateProjectProjectsOidcTokenClaims$.outboundSchema = UpdateProjectProjectsOidcTokenClaims$outboundSchema;
  })(UpdateProjectProjectsOidcTokenClaims$ ||= {});
  UpdateProjectProjectsPlan$inboundSchema = nativeEnumType(UpdateProjectProjectsPlan);
  UpdateProjectProjectsPlan$outboundSchema = UpdateProjectProjectsPlan$inboundSchema;
  ((UpdateProjectProjectsPlan$) => {
    UpdateProjectProjectsPlan$.inboundSchema = UpdateProjectProjectsPlan$inboundSchema;
    UpdateProjectProjectsPlan$.outboundSchema = UpdateProjectProjectsPlan$outboundSchema;
  })(UpdateProjectProjectsPlan$ ||= {});
  UpdateProjectProjectsReadyState$inboundSchema = nativeEnumType(UpdateProjectProjectsReadyState);
  UpdateProjectProjectsReadyState$outboundSchema = UpdateProjectProjectsReadyState$inboundSchema;
  ((UpdateProjectProjectsReadyState$) => {
    UpdateProjectProjectsReadyState$.inboundSchema = UpdateProjectProjectsReadyState$inboundSchema;
    UpdateProjectProjectsReadyState$.outboundSchema = UpdateProjectProjectsReadyState$outboundSchema;
  })(UpdateProjectProjectsReadyState$ ||= {});
  UpdateProjectProjectsReadySubstate$inboundSchema = nativeEnumType(UpdateProjectProjectsReadySubstate);
  UpdateProjectProjectsReadySubstate$outboundSchema = UpdateProjectProjectsReadySubstate$inboundSchema;
  ((UpdateProjectProjectsReadySubstate$) => {
    UpdateProjectProjectsReadySubstate$.inboundSchema = UpdateProjectProjectsReadySubstate$inboundSchema;
    UpdateProjectProjectsReadySubstate$.outboundSchema = UpdateProjectProjectsReadySubstate$outboundSchema;
  })(UpdateProjectProjectsReadySubstate$ ||= {});
  UpdateProjectProjectsResponse200Type$inboundSchema = nativeEnumType(UpdateProjectProjectsResponse200Type);
  UpdateProjectProjectsResponse200Type$outboundSchema = UpdateProjectProjectsResponse200Type$inboundSchema;
  ((UpdateProjectProjectsResponse200Type$) => {
    UpdateProjectProjectsResponse200Type$.inboundSchema = UpdateProjectProjectsResponse200Type$inboundSchema;
    UpdateProjectProjectsResponse200Type$.outboundSchema = UpdateProjectProjectsResponse200Type$outboundSchema;
  })(UpdateProjectProjectsResponse200Type$ ||= {});
  UpdateProjectTargets$inboundSchema = objectType({
    id: stringType(),
    alias: arrayType(stringType()).optional(),
    aliasAssigned: nullableType(unionType([numberType(), booleanType()])).optional(),
    aliasError: nullableType(lazyType(() => UpdateProjectProjectsAliasError$inboundSchema)).optional(),
    aliasFinal: nullableType(stringType()).optional(),
    automaticAliases: arrayType(stringType()).optional(),
    branchMatcher: lazyType(() => UpdateProjectProjectsResponseBranchMatcher$inboundSchema).optional(),
    buildingAt: numberType().optional(),
    builds: arrayType(lazyType(() => UpdateProjectProjectsBuilds$inboundSchema)).optional(),
    checksConclusion: UpdateProjectProjectsChecksConclusion$inboundSchema.optional(),
    checksState: UpdateProjectProjectsChecksState$inboundSchema.optional(),
    connectBuildsEnabled: booleanType().optional(),
    connectConfigurationId: stringType().optional(),
    createdAt: numberType(),
    createdIn: stringType(),
    creator: nullableType(lazyType(() => UpdateProjectProjectsCreator$inboundSchema)),
    deletedAt: numberType().optional(),
    deploymentHostname: stringType(),
    forced: booleanType().optional(),
    name: stringType(),
    meta: recordType(stringType()).optional(),
    monorepoManager: nullableType(stringType()).optional(),
    oidcTokenClaims: lazyType(() => UpdateProjectProjectsOidcTokenClaims$inboundSchema).optional(),
    plan: UpdateProjectProjectsPlan$inboundSchema,
    previewCommentsEnabled: booleanType().optional(),
    private: booleanType(),
    readyAt: numberType().optional(),
    readyState: UpdateProjectProjectsReadyState$inboundSchema,
    readySubstate: UpdateProjectProjectsReadySubstate$inboundSchema.optional(),
    requestedAt: numberType().optional(),
    target: nullableType(stringType()).optional(),
    teamId: nullableType(stringType()).optional(),
    type: UpdateProjectProjectsResponse200Type$inboundSchema,
    url: stringType(),
    userId: stringType(),
    withCache: booleanType().optional()
  });
  UpdateProjectTargets$outboundSchema = objectType({
    id: stringType(),
    alias: arrayType(stringType()).optional(),
    aliasAssigned: nullableType(unionType([numberType(), booleanType()])).optional(),
    aliasError: nullableType(lazyType(() => UpdateProjectProjectsAliasError$outboundSchema)).optional(),
    aliasFinal: nullableType(stringType()).optional(),
    automaticAliases: arrayType(stringType()).optional(),
    branchMatcher: lazyType(() => UpdateProjectProjectsResponseBranchMatcher$outboundSchema).optional(),
    buildingAt: numberType().optional(),
    builds: arrayType(lazyType(() => UpdateProjectProjectsBuilds$outboundSchema)).optional(),
    checksConclusion: UpdateProjectProjectsChecksConclusion$outboundSchema.optional(),
    checksState: UpdateProjectProjectsChecksState$outboundSchema.optional(),
    connectBuildsEnabled: booleanType().optional(),
    connectConfigurationId: stringType().optional(),
    createdAt: numberType(),
    createdIn: stringType(),
    creator: nullableType(lazyType(() => UpdateProjectProjectsCreator$outboundSchema)),
    deletedAt: numberType().optional(),
    deploymentHostname: stringType(),
    forced: booleanType().optional(),
    name: stringType(),
    meta: recordType(stringType()).optional(),
    monorepoManager: nullableType(stringType()).optional(),
    oidcTokenClaims: lazyType(() => UpdateProjectProjectsOidcTokenClaims$outboundSchema).optional(),
    plan: UpdateProjectProjectsPlan$outboundSchema,
    previewCommentsEnabled: booleanType().optional(),
    private: booleanType(),
    readyAt: numberType().optional(),
    readyState: UpdateProjectProjectsReadyState$outboundSchema,
    readySubstate: UpdateProjectProjectsReadySubstate$outboundSchema.optional(),
    requestedAt: numberType().optional(),
    target: nullableType(stringType()).optional(),
    teamId: nullableType(stringType()).optional(),
    type: UpdateProjectProjectsResponse200Type$outboundSchema,
    url: stringType(),
    userId: stringType(),
    withCache: booleanType().optional()
  });
  ((UpdateProjectTargets$) => {
    UpdateProjectTargets$.inboundSchema = UpdateProjectTargets$inboundSchema;
    UpdateProjectTargets$.outboundSchema = UpdateProjectTargets$outboundSchema;
  })(UpdateProjectTargets$ ||= {});
  UpdateProjectPermissions$inboundSchema = objectType({
    user: arrayType(ACLAction$inboundSchema).optional(),
    userConnection: arrayType(ACLAction$inboundSchema).optional(),
    userSudo: arrayType(ACLAction$inboundSchema).optional(),
    webAuthn: arrayType(ACLAction$inboundSchema).optional(),
    oauth2Connection: arrayType(ACLAction$inboundSchema).optional(),
    accessGroup: arrayType(ACLAction$inboundSchema).optional(),
    aliasGlobal: arrayType(ACLAction$inboundSchema).optional(),
    analyticsSampling: arrayType(ACLAction$inboundSchema).optional(),
    analyticsUsage: arrayType(ACLAction$inboundSchema).optional(),
    auditLog: arrayType(ACLAction$inboundSchema).optional(),
    billingAddress: arrayType(ACLAction$inboundSchema).optional(),
    billingInformation: arrayType(ACLAction$inboundSchema).optional(),
    billingInvoice: arrayType(ACLAction$inboundSchema).optional(),
    billingInvoiceEmailRecipient: arrayType(ACLAction$inboundSchema).optional(),
    billingInvoiceLanguage: arrayType(ACLAction$inboundSchema).optional(),
    billingPlan: arrayType(ACLAction$inboundSchema).optional(),
    billingPurchaseOrder: arrayType(ACLAction$inboundSchema).optional(),
    billingTaxId: arrayType(ACLAction$inboundSchema).optional(),
    blob: arrayType(ACLAction$inboundSchema).optional(),
    budget: arrayType(ACLAction$inboundSchema).optional(),
    cacheArtifact: arrayType(ACLAction$inboundSchema).optional(),
    cacheArtifactUsageEvent: arrayType(ACLAction$inboundSchema).optional(),
    codeChecks: arrayType(ACLAction$inboundSchema).optional(),
    concurrentBuilds: arrayType(ACLAction$inboundSchema).optional(),
    connect: arrayType(ACLAction$inboundSchema).optional(),
    connectConfiguration: arrayType(ACLAction$inboundSchema).optional(),
    domain: arrayType(ACLAction$inboundSchema).optional(),
    domainAcceptDelegation: arrayType(ACLAction$inboundSchema).optional(),
    domainAuthCodes: arrayType(ACLAction$inboundSchema).optional(),
    domainCertificate: arrayType(ACLAction$inboundSchema).optional(),
    domainCheckConfig: arrayType(ACLAction$inboundSchema).optional(),
    domainMove: arrayType(ACLAction$inboundSchema).optional(),
    domainPurchase: arrayType(ACLAction$inboundSchema).optional(),
    domainRecord: arrayType(ACLAction$inboundSchema).optional(),
    domainTransferIn: arrayType(ACLAction$inboundSchema).optional(),
    event: arrayType(ACLAction$inboundSchema).optional(),
    ownEvent: arrayType(ACLAction$inboundSchema).optional(),
    sensitiveEnvironmentVariablePolicy: arrayType(ACLAction$inboundSchema).optional(),
    fileUpload: arrayType(ACLAction$inboundSchema).optional(),
    flagsExplorerSubscription: arrayType(ACLAction$inboundSchema).optional(),
    gitRepository: arrayType(ACLAction$inboundSchema).optional(),
    ipBlocking: arrayType(ACLAction$inboundSchema).optional(),
    imageOptimizationNewPrice: arrayType(ACLAction$inboundSchema).optional(),
    integration: arrayType(ACLAction$inboundSchema).optional(),
    integrationAccount: arrayType(ACLAction$inboundSchema).optional(),
    integrationConfiguration: arrayType(ACLAction$inboundSchema).optional(),
    integrationConfigurationTransfer: arrayType(ACLAction$inboundSchema).optional(),
    integrationConfigurationProjects: arrayType(ACLAction$inboundSchema).optional(),
    integrationVercelConfigurationOverride: arrayType(ACLAction$inboundSchema).optional(),
    integrationConfigurationRole: arrayType(ACLAction$inboundSchema).optional(),
    integrationSSOSession: arrayType(ACLAction$inboundSchema).optional(),
    integrationResource: arrayType(ACLAction$inboundSchema).optional(),
    integrationEvent: arrayType(ACLAction$inboundSchema).optional(),
    integrationResourceSecrets: arrayType(ACLAction$inboundSchema).optional(),
    integrationDeploymentAction: arrayType(ACLAction$inboundSchema).optional(),
    marketplaceInstallationMember: arrayType(ACLAction$inboundSchema).optional(),
    marketplaceBillingData: arrayType(ACLAction$inboundSchema).optional(),
    marketplaceInvoice: arrayType(ACLAction$inboundSchema).optional(),
    marketplaceExperimentationItem: arrayType(ACLAction$inboundSchema).optional(),
    marketplaceExperimentationEdgeConfigData: arrayType(ACLAction$inboundSchema).optional(),
    jobGlobal: arrayType(ACLAction$inboundSchema).optional(),
    drain: arrayType(ACLAction$inboundSchema).optional(),
    logDrain: arrayType(ACLAction$inboundSchema).optional(),
    Monitoring: arrayType(ACLAction$inboundSchema).optional(),
    monitoringSettings: arrayType(ACLAction$inboundSchema).optional(),
    monitoringQuery: arrayType(ACLAction$inboundSchema).optional(),
    monitoringChart: arrayType(ACLAction$inboundSchema).optional(),
    monitoringAlert: arrayType(ACLAction$inboundSchema).optional(),
    notificationDeploymentFailed: arrayType(ACLAction$inboundSchema).optional(),
    notificationDomainConfiguration: arrayType(ACLAction$inboundSchema).optional(),
    notificationDomainExpire: arrayType(ACLAction$inboundSchema).optional(),
    notificationDomainMoved: arrayType(ACLAction$inboundSchema).optional(),
    notificationDomainPurchase: arrayType(ACLAction$inboundSchema).optional(),
    notificationDomainRenewal: arrayType(ACLAction$inboundSchema).optional(),
    notificationDomainTransfer: arrayType(ACLAction$inboundSchema).optional(),
    notificationDomainUnverified: arrayType(ACLAction$inboundSchema).optional(),
    NotificationMonitoringAlert: arrayType(ACLAction$inboundSchema).optional(),
    notificationPaymentFailed: arrayType(ACLAction$inboundSchema).optional(),
    notificationUsageAlert: arrayType(ACLAction$inboundSchema).optional(),
    notificationCustomerBudget: arrayType(ACLAction$inboundSchema).optional(),
    notificationStatementOfReasons: arrayType(ACLAction$inboundSchema).optional(),
    observabilityConfiguration: arrayType(ACLAction$inboundSchema).optional(),
    observabilityNotebook: arrayType(ACLAction$inboundSchema).optional(),
    openTelemetryEndpoint: arrayType(ACLAction$inboundSchema).optional(),
    vercelAppInstallation: arrayType(ACLAction$inboundSchema).optional(),
    paymentMethod: arrayType(ACLAction$inboundSchema).optional(),
    permissions: arrayType(ACLAction$inboundSchema).optional(),
    postgres: arrayType(ACLAction$inboundSchema).optional(),
    previewDeploymentSuffix: arrayType(ACLAction$inboundSchema).optional(),
    proTrialOnboarding: arrayType(ACLAction$inboundSchema).optional(),
    sharedEnvVars: arrayType(ACLAction$inboundSchema).optional(),
    sharedEnvVarsProduction: arrayType(ACLAction$inboundSchema).optional(),
    space: arrayType(ACLAction$inboundSchema).optional(),
    spaceRun: arrayType(ACLAction$inboundSchema).optional(),
    passwordProtectionInvoiceItem: arrayType(ACLAction$inboundSchema).optional(),
    rateLimit: arrayType(ACLAction$inboundSchema).optional(),
    redis: arrayType(ACLAction$inboundSchema).optional(),
    repository: arrayType(ACLAction$inboundSchema).optional(),
    remoteCaching: arrayType(ACLAction$inboundSchema).optional(),
    samlConfig: arrayType(ACLAction$inboundSchema).optional(),
    secret: arrayType(ACLAction$inboundSchema).optional(),
    redisStoreTokenSet: arrayType(ACLAction$inboundSchema).optional(),
    blobStoreTokenSet: arrayType(ACLAction$inboundSchema).optional(),
    postgresStoreTokenSet: arrayType(ACLAction$inboundSchema).optional(),
    integrationStoreTokenSet: arrayType(ACLAction$inboundSchema).optional(),
    integrationResourceReplCommand: arrayType(ACLAction$inboundSchema).optional(),
    storeTransfer: arrayType(ACLAction$inboundSchema).optional(),
    supportCase: arrayType(ACLAction$inboundSchema).optional(),
    supportCaseComment: arrayType(ACLAction$inboundSchema).optional(),
    dataCacheBillingSettings: arrayType(ACLAction$inboundSchema).optional(),
    team: arrayType(ACLAction$inboundSchema).optional(),
    teamAccessRequest: arrayType(ACLAction$inboundSchema).optional(),
    teamFellowMembership: arrayType(ACLAction$inboundSchema).optional(),
    teamGitExclusivity: arrayType(ACLAction$inboundSchema).optional(),
    teamInvite: arrayType(ACLAction$inboundSchema).optional(),
    teamInviteCode: arrayType(ACLAction$inboundSchema).optional(),
    teamJoin: arrayType(ACLAction$inboundSchema).optional(),
    teamMemberMfaStatus: arrayType(ACLAction$inboundSchema).optional(),
    teamMicrofrontends: arrayType(ACLAction$inboundSchema).optional(),
    teamOwnMembership: arrayType(ACLAction$inboundSchema).optional(),
    teamOwnMembershipDisconnectSAML: arrayType(ACLAction$inboundSchema).optional(),
    token: arrayType(ACLAction$inboundSchema).optional(),
    usage: arrayType(ACLAction$inboundSchema).optional(),
    usageCycle: arrayType(ACLAction$inboundSchema).optional(),
    vpcPeeringConnection: arrayType(ACLAction$inboundSchema).optional(),
    webAnalyticsPlan: arrayType(ACLAction$inboundSchema).optional(),
    edgeConfig: arrayType(ACLAction$inboundSchema).optional(),
    edgeConfigItem: arrayType(ACLAction$inboundSchema).optional(),
    edgeConfigSchema: arrayType(ACLAction$inboundSchema).optional(),
    edgeConfigToken: arrayType(ACLAction$inboundSchema).optional(),
    webhook: arrayType(ACLAction$inboundSchema).optional(),
    "webhook-event": arrayType(ACLAction$inboundSchema).optional(),
    endpointVerification: arrayType(ACLAction$inboundSchema).optional(),
    projectTransferIn: arrayType(ACLAction$inboundSchema).optional(),
    oauth2Application: arrayType(ACLAction$inboundSchema).optional(),
    vercelRun: arrayType(ACLAction$inboundSchema).optional(),
    vercelRunExec: arrayType(ACLAction$inboundSchema).optional(),
    aliasProject: arrayType(ACLAction$inboundSchema).optional(),
    aliasProtectionBypass: arrayType(ACLAction$inboundSchema).optional(),
    productionAliasProtectionBypass: arrayType(ACLAction$inboundSchema).optional(),
    connectConfigurationLink: arrayType(ACLAction$inboundSchema).optional(),
    dataCacheNamespace: arrayType(ACLAction$inboundSchema).optional(),
    deployment: arrayType(ACLAction$inboundSchema).optional(),
    deploymentCheck: arrayType(ACLAction$inboundSchema).optional(),
    deploymentCheckPreview: arrayType(ACLAction$inboundSchema).optional(),
    deploymentCheckReRunFromProductionBranch: arrayType(ACLAction$inboundSchema).optional(),
    deploymentProductionGit: arrayType(ACLAction$inboundSchema).optional(),
    deploymentV0: arrayType(ACLAction$inboundSchema).optional(),
    deploymentPreview: arrayType(ACLAction$inboundSchema).optional(),
    deploymentPrivate: arrayType(ACLAction$inboundSchema).optional(),
    deploymentPromote: arrayType(ACLAction$inboundSchema).optional(),
    deploymentRollback: arrayType(ACLAction$inboundSchema).optional(),
    edgeCacheNamespace: arrayType(ACLAction$inboundSchema).optional(),
    environments: arrayType(ACLAction$inboundSchema).optional(),
    logs: arrayType(ACLAction$inboundSchema).optional(),
    logsPreset: arrayType(ACLAction$inboundSchema).optional(),
    passwordProtection: arrayType(ACLAction$inboundSchema).optional(),
    optionsAllowlist: arrayType(ACLAction$inboundSchema).optional(),
    job: arrayType(ACLAction$inboundSchema).optional(),
    observabilityData: arrayType(ACLAction$inboundSchema).optional(),
    project: arrayType(ACLAction$inboundSchema).optional(),
    projectFromV0: arrayType(ACLAction$inboundSchema).optional(),
    projectAccessGroup: arrayType(ACLAction$inboundSchema).optional(),
    projectAnalyticsSampling: arrayType(ACLAction$inboundSchema).optional(),
    projectCheck: arrayType(ACLAction$inboundSchema).optional(),
    projectCheckRun: arrayType(ACLAction$inboundSchema).optional(),
    projectDeploymentHook: arrayType(ACLAction$inboundSchema).optional(),
    projectDomain: arrayType(ACLAction$inboundSchema).optional(),
    projectDomainMove: arrayType(ACLAction$inboundSchema).optional(),
    projectDomainCheckConfig: arrayType(ACLAction$inboundSchema).optional(),
    projectEnvVars: arrayType(ACLAction$inboundSchema).optional(),
    projectEnvVarsProduction: arrayType(ACLAction$inboundSchema).optional(),
    projectEnvVarsUnownedByIntegration: arrayType(ACLAction$inboundSchema).optional(),
    projectFlags: arrayType(ACLAction$inboundSchema).optional(),
    projectId: arrayType(ACLAction$inboundSchema).optional(),
    projectIntegrationConfiguration: arrayType(ACLAction$inboundSchema).optional(),
    projectLink: arrayType(ACLAction$inboundSchema).optional(),
    projectMember: arrayType(ACLAction$inboundSchema).optional(),
    projectMonitoring: arrayType(ACLAction$inboundSchema).optional(),
    projectPermissions: arrayType(ACLAction$inboundSchema).optional(),
    projectProductionBranch: arrayType(ACLAction$inboundSchema).optional(),
    projectTransfer: arrayType(ACLAction$inboundSchema).optional(),
    projectTransferOut: arrayType(ACLAction$inboundSchema).optional(),
    projectProtectionBypass: arrayType(ACLAction$inboundSchema).optional(),
    projectUsage: arrayType(ACLAction$inboundSchema).optional(),
    projectAnalyticsUsage: arrayType(ACLAction$inboundSchema).optional(),
    projectSupportCase: arrayType(ACLAction$inboundSchema).optional(),
    projectSupportCaseComment: arrayType(ACLAction$inboundSchema).optional(),
    projectDeploymentExpiration: arrayType(ACLAction$inboundSchema).optional(),
    projectRollingRelease: arrayType(ACLAction$inboundSchema).optional(),
    projectTier: arrayType(ACLAction$inboundSchema).optional(),
    seawallConfig: arrayType(ACLAction$inboundSchema).optional(),
    skewProtection: arrayType(ACLAction$inboundSchema).optional(),
    analytics: arrayType(ACLAction$inboundSchema).optional(),
    trustedIps: arrayType(ACLAction$inboundSchema).optional(),
    webAnalytics: arrayType(ACLAction$inboundSchema).optional(),
    sharedEnvVarConnection: arrayType(ACLAction$inboundSchema).optional(),
    sonar: arrayType(ACLAction$inboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      Monitoring: "monitoring",
      NotificationMonitoringAlert: "notificationMonitoringAlert",
      "webhook-event": "webhookEvent"
    });
  });
  UpdateProjectPermissions$outboundSchema = objectType({
    user: arrayType(ACLAction$outboundSchema).optional(),
    userConnection: arrayType(ACLAction$outboundSchema).optional(),
    userSudo: arrayType(ACLAction$outboundSchema).optional(),
    webAuthn: arrayType(ACLAction$outboundSchema).optional(),
    oauth2Connection: arrayType(ACLAction$outboundSchema).optional(),
    accessGroup: arrayType(ACLAction$outboundSchema).optional(),
    aliasGlobal: arrayType(ACLAction$outboundSchema).optional(),
    analyticsSampling: arrayType(ACLAction$outboundSchema).optional(),
    analyticsUsage: arrayType(ACLAction$outboundSchema).optional(),
    auditLog: arrayType(ACLAction$outboundSchema).optional(),
    billingAddress: arrayType(ACLAction$outboundSchema).optional(),
    billingInformation: arrayType(ACLAction$outboundSchema).optional(),
    billingInvoice: arrayType(ACLAction$outboundSchema).optional(),
    billingInvoiceEmailRecipient: arrayType(ACLAction$outboundSchema).optional(),
    billingInvoiceLanguage: arrayType(ACLAction$outboundSchema).optional(),
    billingPlan: arrayType(ACLAction$outboundSchema).optional(),
    billingPurchaseOrder: arrayType(ACLAction$outboundSchema).optional(),
    billingTaxId: arrayType(ACLAction$outboundSchema).optional(),
    blob: arrayType(ACLAction$outboundSchema).optional(),
    budget: arrayType(ACLAction$outboundSchema).optional(),
    cacheArtifact: arrayType(ACLAction$outboundSchema).optional(),
    cacheArtifactUsageEvent: arrayType(ACLAction$outboundSchema).optional(),
    codeChecks: arrayType(ACLAction$outboundSchema).optional(),
    concurrentBuilds: arrayType(ACLAction$outboundSchema).optional(),
    connect: arrayType(ACLAction$outboundSchema).optional(),
    connectConfiguration: arrayType(ACLAction$outboundSchema).optional(),
    domain: arrayType(ACLAction$outboundSchema).optional(),
    domainAcceptDelegation: arrayType(ACLAction$outboundSchema).optional(),
    domainAuthCodes: arrayType(ACLAction$outboundSchema).optional(),
    domainCertificate: arrayType(ACLAction$outboundSchema).optional(),
    domainCheckConfig: arrayType(ACLAction$outboundSchema).optional(),
    domainMove: arrayType(ACLAction$outboundSchema).optional(),
    domainPurchase: arrayType(ACLAction$outboundSchema).optional(),
    domainRecord: arrayType(ACLAction$outboundSchema).optional(),
    domainTransferIn: arrayType(ACLAction$outboundSchema).optional(),
    event: arrayType(ACLAction$outboundSchema).optional(),
    ownEvent: arrayType(ACLAction$outboundSchema).optional(),
    sensitiveEnvironmentVariablePolicy: arrayType(ACLAction$outboundSchema).optional(),
    fileUpload: arrayType(ACLAction$outboundSchema).optional(),
    flagsExplorerSubscription: arrayType(ACLAction$outboundSchema).optional(),
    gitRepository: arrayType(ACLAction$outboundSchema).optional(),
    ipBlocking: arrayType(ACLAction$outboundSchema).optional(),
    imageOptimizationNewPrice: arrayType(ACLAction$outboundSchema).optional(),
    integration: arrayType(ACLAction$outboundSchema).optional(),
    integrationAccount: arrayType(ACLAction$outboundSchema).optional(),
    integrationConfiguration: arrayType(ACLAction$outboundSchema).optional(),
    integrationConfigurationTransfer: arrayType(ACLAction$outboundSchema).optional(),
    integrationConfigurationProjects: arrayType(ACLAction$outboundSchema).optional(),
    integrationVercelConfigurationOverride: arrayType(ACLAction$outboundSchema).optional(),
    integrationConfigurationRole: arrayType(ACLAction$outboundSchema).optional(),
    integrationSSOSession: arrayType(ACLAction$outboundSchema).optional(),
    integrationResource: arrayType(ACLAction$outboundSchema).optional(),
    integrationEvent: arrayType(ACLAction$outboundSchema).optional(),
    integrationResourceSecrets: arrayType(ACLAction$outboundSchema).optional(),
    integrationDeploymentAction: arrayType(ACLAction$outboundSchema).optional(),
    marketplaceInstallationMember: arrayType(ACLAction$outboundSchema).optional(),
    marketplaceBillingData: arrayType(ACLAction$outboundSchema).optional(),
    marketplaceInvoice: arrayType(ACLAction$outboundSchema).optional(),
    marketplaceExperimentationItem: arrayType(ACLAction$outboundSchema).optional(),
    marketplaceExperimentationEdgeConfigData: arrayType(ACLAction$outboundSchema).optional(),
    jobGlobal: arrayType(ACLAction$outboundSchema).optional(),
    drain: arrayType(ACLAction$outboundSchema).optional(),
    logDrain: arrayType(ACLAction$outboundSchema).optional(),
    monitoring: arrayType(ACLAction$outboundSchema).optional(),
    monitoringSettings: arrayType(ACLAction$outboundSchema).optional(),
    monitoringQuery: arrayType(ACLAction$outboundSchema).optional(),
    monitoringChart: arrayType(ACLAction$outboundSchema).optional(),
    monitoringAlert: arrayType(ACLAction$outboundSchema).optional(),
    notificationDeploymentFailed: arrayType(ACLAction$outboundSchema).optional(),
    notificationDomainConfiguration: arrayType(ACLAction$outboundSchema).optional(),
    notificationDomainExpire: arrayType(ACLAction$outboundSchema).optional(),
    notificationDomainMoved: arrayType(ACLAction$outboundSchema).optional(),
    notificationDomainPurchase: arrayType(ACLAction$outboundSchema).optional(),
    notificationDomainRenewal: arrayType(ACLAction$outboundSchema).optional(),
    notificationDomainTransfer: arrayType(ACLAction$outboundSchema).optional(),
    notificationDomainUnverified: arrayType(ACLAction$outboundSchema).optional(),
    notificationMonitoringAlert: arrayType(ACLAction$outboundSchema).optional(),
    notificationPaymentFailed: arrayType(ACLAction$outboundSchema).optional(),
    notificationUsageAlert: arrayType(ACLAction$outboundSchema).optional(),
    notificationCustomerBudget: arrayType(ACLAction$outboundSchema).optional(),
    notificationStatementOfReasons: arrayType(ACLAction$outboundSchema).optional(),
    observabilityConfiguration: arrayType(ACLAction$outboundSchema).optional(),
    observabilityNotebook: arrayType(ACLAction$outboundSchema).optional(),
    openTelemetryEndpoint: arrayType(ACLAction$outboundSchema).optional(),
    vercelAppInstallation: arrayType(ACLAction$outboundSchema).optional(),
    paymentMethod: arrayType(ACLAction$outboundSchema).optional(),
    permissions: arrayType(ACLAction$outboundSchema).optional(),
    postgres: arrayType(ACLAction$outboundSchema).optional(),
    previewDeploymentSuffix: arrayType(ACLAction$outboundSchema).optional(),
    proTrialOnboarding: arrayType(ACLAction$outboundSchema).optional(),
    sharedEnvVars: arrayType(ACLAction$outboundSchema).optional(),
    sharedEnvVarsProduction: arrayType(ACLAction$outboundSchema).optional(),
    space: arrayType(ACLAction$outboundSchema).optional(),
    spaceRun: arrayType(ACLAction$outboundSchema).optional(),
    passwordProtectionInvoiceItem: arrayType(ACLAction$outboundSchema).optional(),
    rateLimit: arrayType(ACLAction$outboundSchema).optional(),
    redis: arrayType(ACLAction$outboundSchema).optional(),
    repository: arrayType(ACLAction$outboundSchema).optional(),
    remoteCaching: arrayType(ACLAction$outboundSchema).optional(),
    samlConfig: arrayType(ACLAction$outboundSchema).optional(),
    secret: arrayType(ACLAction$outboundSchema).optional(),
    redisStoreTokenSet: arrayType(ACLAction$outboundSchema).optional(),
    blobStoreTokenSet: arrayType(ACLAction$outboundSchema).optional(),
    postgresStoreTokenSet: arrayType(ACLAction$outboundSchema).optional(),
    integrationStoreTokenSet: arrayType(ACLAction$outboundSchema).optional(),
    integrationResourceReplCommand: arrayType(ACLAction$outboundSchema).optional(),
    storeTransfer: arrayType(ACLAction$outboundSchema).optional(),
    supportCase: arrayType(ACLAction$outboundSchema).optional(),
    supportCaseComment: arrayType(ACLAction$outboundSchema).optional(),
    dataCacheBillingSettings: arrayType(ACLAction$outboundSchema).optional(),
    team: arrayType(ACLAction$outboundSchema).optional(),
    teamAccessRequest: arrayType(ACLAction$outboundSchema).optional(),
    teamFellowMembership: arrayType(ACLAction$outboundSchema).optional(),
    teamGitExclusivity: arrayType(ACLAction$outboundSchema).optional(),
    teamInvite: arrayType(ACLAction$outboundSchema).optional(),
    teamInviteCode: arrayType(ACLAction$outboundSchema).optional(),
    teamJoin: arrayType(ACLAction$outboundSchema).optional(),
    teamMemberMfaStatus: arrayType(ACLAction$outboundSchema).optional(),
    teamMicrofrontends: arrayType(ACLAction$outboundSchema).optional(),
    teamOwnMembership: arrayType(ACLAction$outboundSchema).optional(),
    teamOwnMembershipDisconnectSAML: arrayType(ACLAction$outboundSchema).optional(),
    token: arrayType(ACLAction$outboundSchema).optional(),
    usage: arrayType(ACLAction$outboundSchema).optional(),
    usageCycle: arrayType(ACLAction$outboundSchema).optional(),
    vpcPeeringConnection: arrayType(ACLAction$outboundSchema).optional(),
    webAnalyticsPlan: arrayType(ACLAction$outboundSchema).optional(),
    edgeConfig: arrayType(ACLAction$outboundSchema).optional(),
    edgeConfigItem: arrayType(ACLAction$outboundSchema).optional(),
    edgeConfigSchema: arrayType(ACLAction$outboundSchema).optional(),
    edgeConfigToken: arrayType(ACLAction$outboundSchema).optional(),
    webhook: arrayType(ACLAction$outboundSchema).optional(),
    webhookEvent: arrayType(ACLAction$outboundSchema).optional(),
    endpointVerification: arrayType(ACLAction$outboundSchema).optional(),
    projectTransferIn: arrayType(ACLAction$outboundSchema).optional(),
    oauth2Application: arrayType(ACLAction$outboundSchema).optional(),
    vercelRun: arrayType(ACLAction$outboundSchema).optional(),
    vercelRunExec: arrayType(ACLAction$outboundSchema).optional(),
    aliasProject: arrayType(ACLAction$outboundSchema).optional(),
    aliasProtectionBypass: arrayType(ACLAction$outboundSchema).optional(),
    productionAliasProtectionBypass: arrayType(ACLAction$outboundSchema).optional(),
    connectConfigurationLink: arrayType(ACLAction$outboundSchema).optional(),
    dataCacheNamespace: arrayType(ACLAction$outboundSchema).optional(),
    deployment: arrayType(ACLAction$outboundSchema).optional(),
    deploymentCheck: arrayType(ACLAction$outboundSchema).optional(),
    deploymentCheckPreview: arrayType(ACLAction$outboundSchema).optional(),
    deploymentCheckReRunFromProductionBranch: arrayType(ACLAction$outboundSchema).optional(),
    deploymentProductionGit: arrayType(ACLAction$outboundSchema).optional(),
    deploymentV0: arrayType(ACLAction$outboundSchema).optional(),
    deploymentPreview: arrayType(ACLAction$outboundSchema).optional(),
    deploymentPrivate: arrayType(ACLAction$outboundSchema).optional(),
    deploymentPromote: arrayType(ACLAction$outboundSchema).optional(),
    deploymentRollback: arrayType(ACLAction$outboundSchema).optional(),
    edgeCacheNamespace: arrayType(ACLAction$outboundSchema).optional(),
    environments: arrayType(ACLAction$outboundSchema).optional(),
    logs: arrayType(ACLAction$outboundSchema).optional(),
    logsPreset: arrayType(ACLAction$outboundSchema).optional(),
    passwordProtection: arrayType(ACLAction$outboundSchema).optional(),
    optionsAllowlist: arrayType(ACLAction$outboundSchema).optional(),
    job: arrayType(ACLAction$outboundSchema).optional(),
    observabilityData: arrayType(ACLAction$outboundSchema).optional(),
    project: arrayType(ACLAction$outboundSchema).optional(),
    projectFromV0: arrayType(ACLAction$outboundSchema).optional(),
    projectAccessGroup: arrayType(ACLAction$outboundSchema).optional(),
    projectAnalyticsSampling: arrayType(ACLAction$outboundSchema).optional(),
    projectCheck: arrayType(ACLAction$outboundSchema).optional(),
    projectCheckRun: arrayType(ACLAction$outboundSchema).optional(),
    projectDeploymentHook: arrayType(ACLAction$outboundSchema).optional(),
    projectDomain: arrayType(ACLAction$outboundSchema).optional(),
    projectDomainMove: arrayType(ACLAction$outboundSchema).optional(),
    projectDomainCheckConfig: arrayType(ACLAction$outboundSchema).optional(),
    projectEnvVars: arrayType(ACLAction$outboundSchema).optional(),
    projectEnvVarsProduction: arrayType(ACLAction$outboundSchema).optional(),
    projectEnvVarsUnownedByIntegration: arrayType(ACLAction$outboundSchema).optional(),
    projectFlags: arrayType(ACLAction$outboundSchema).optional(),
    projectId: arrayType(ACLAction$outboundSchema).optional(),
    projectIntegrationConfiguration: arrayType(ACLAction$outboundSchema).optional(),
    projectLink: arrayType(ACLAction$outboundSchema).optional(),
    projectMember: arrayType(ACLAction$outboundSchema).optional(),
    projectMonitoring: arrayType(ACLAction$outboundSchema).optional(),
    projectPermissions: arrayType(ACLAction$outboundSchema).optional(),
    projectProductionBranch: arrayType(ACLAction$outboundSchema).optional(),
    projectTransfer: arrayType(ACLAction$outboundSchema).optional(),
    projectTransferOut: arrayType(ACLAction$outboundSchema).optional(),
    projectProtectionBypass: arrayType(ACLAction$outboundSchema).optional(),
    projectUsage: arrayType(ACLAction$outboundSchema).optional(),
    projectAnalyticsUsage: arrayType(ACLAction$outboundSchema).optional(),
    projectSupportCase: arrayType(ACLAction$outboundSchema).optional(),
    projectSupportCaseComment: arrayType(ACLAction$outboundSchema).optional(),
    projectDeploymentExpiration: arrayType(ACLAction$outboundSchema).optional(),
    projectRollingRelease: arrayType(ACLAction$outboundSchema).optional(),
    projectTier: arrayType(ACLAction$outboundSchema).optional(),
    seawallConfig: arrayType(ACLAction$outboundSchema).optional(),
    skewProtection: arrayType(ACLAction$outboundSchema).optional(),
    analytics: arrayType(ACLAction$outboundSchema).optional(),
    trustedIps: arrayType(ACLAction$outboundSchema).optional(),
    webAnalytics: arrayType(ACLAction$outboundSchema).optional(),
    sharedEnvVarConnection: arrayType(ACLAction$outboundSchema).optional(),
    sonar: arrayType(ACLAction$outboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      monitoring: "Monitoring",
      notificationMonitoringAlert: "NotificationMonitoringAlert",
      webhookEvent: "webhook-event"
    });
  });
  ((UpdateProjectPermissions$) => {
    UpdateProjectPermissions$.inboundSchema = UpdateProjectPermissions$inboundSchema;
    UpdateProjectPermissions$.outboundSchema = UpdateProjectPermissions$outboundSchema;
  })(UpdateProjectPermissions$ ||= {});
  UpdateProjectLastRollbackTarget$inboundSchema = objectType({});
  UpdateProjectLastRollbackTarget$outboundSchema = objectType({});
  ((UpdateProjectLastRollbackTarget$) => {
    UpdateProjectLastRollbackTarget$.inboundSchema = UpdateProjectLastRollbackTarget$inboundSchema;
    UpdateProjectLastRollbackTarget$.outboundSchema = UpdateProjectLastRollbackTarget$outboundSchema;
  })(UpdateProjectLastRollbackTarget$ ||= {});
  UpdateProjectJobStatus$inboundSchema = nativeEnumType(UpdateProjectJobStatus);
  UpdateProjectJobStatus$outboundSchema = UpdateProjectJobStatus$inboundSchema;
  ((UpdateProjectJobStatus$) => {
    UpdateProjectJobStatus$.inboundSchema = UpdateProjectJobStatus$inboundSchema;
    UpdateProjectJobStatus$.outboundSchema = UpdateProjectJobStatus$outboundSchema;
  })(UpdateProjectJobStatus$ ||= {});
  UpdateProjectProjectsResponse200ApplicationJSONType$inboundSchema = nativeEnumType(UpdateProjectProjectsResponse200ApplicationJSONType);
  UpdateProjectProjectsResponse200ApplicationJSONType$outboundSchema = UpdateProjectProjectsResponse200ApplicationJSONType$inboundSchema;
  ((UpdateProjectProjectsResponse200ApplicationJSONType$) => {
    UpdateProjectProjectsResponse200ApplicationJSONType$.inboundSchema = UpdateProjectProjectsResponse200ApplicationJSONType$inboundSchema;
    UpdateProjectProjectsResponse200ApplicationJSONType$.outboundSchema = UpdateProjectProjectsResponse200ApplicationJSONType$outboundSchema;
  })(UpdateProjectProjectsResponse200ApplicationJSONType$ ||= {});
  UpdateProjectLastAliasRequest$inboundSchema = objectType({
    fromDeploymentId: stringType(),
    toDeploymentId: stringType(),
    fromRollingReleaseId: stringType().optional(),
    jobStatus: UpdateProjectJobStatus$inboundSchema,
    requestedAt: numberType(),
    type: UpdateProjectProjectsResponse200ApplicationJSONType$inboundSchema
  });
  UpdateProjectLastAliasRequest$outboundSchema = objectType({
    fromDeploymentId: stringType(),
    toDeploymentId: stringType(),
    fromRollingReleaseId: stringType().optional(),
    jobStatus: UpdateProjectJobStatus$outboundSchema,
    requestedAt: numberType(),
    type: UpdateProjectProjectsResponse200ApplicationJSONType$outboundSchema
  });
  ((UpdateProjectLastAliasRequest$) => {
    UpdateProjectLastAliasRequest$.inboundSchema = UpdateProjectLastAliasRequest$inboundSchema;
    UpdateProjectLastAliasRequest$.outboundSchema = UpdateProjectLastAliasRequest$outboundSchema;
  })(UpdateProjectLastAliasRequest$ ||= {});
  UpdateProjectProtectionBypassProjectsScope$inboundSchema = nativeEnumType(UpdateProjectProtectionBypassProjectsScope);
  UpdateProjectProtectionBypassProjectsScope$outboundSchema = UpdateProjectProtectionBypassProjectsScope$inboundSchema;
  ((UpdateProjectProtectionBypassProjectsScope$) => {
    UpdateProjectProtectionBypassProjectsScope$.inboundSchema = UpdateProjectProtectionBypassProjectsScope$inboundSchema;
    UpdateProjectProtectionBypassProjectsScope$.outboundSchema = UpdateProjectProtectionBypassProjectsScope$outboundSchema;
  })(UpdateProjectProtectionBypassProjectsScope$ ||= {});
  UpdateProjectProtectionBypass2$inboundSchema = objectType({
    createdAt: numberType(),
    createdBy: stringType(),
    scope: UpdateProjectProtectionBypassProjectsScope$inboundSchema
  });
  UpdateProjectProtectionBypass2$outboundSchema = objectType({
    createdAt: numberType(),
    createdBy: stringType(),
    scope: UpdateProjectProtectionBypassProjectsScope$outboundSchema
  });
  ((UpdateProjectProtectionBypass2$) => {
    UpdateProjectProtectionBypass2$.inboundSchema = UpdateProjectProtectionBypass2$inboundSchema;
    UpdateProjectProtectionBypass2$.outboundSchema = UpdateProjectProtectionBypass2$outboundSchema;
  })(UpdateProjectProtectionBypass2$ ||= {});
  UpdateProjectProtectionBypassScope$inboundSchema = nativeEnumType(UpdateProjectProtectionBypassScope);
  UpdateProjectProtectionBypassScope$outboundSchema = UpdateProjectProtectionBypassScope$inboundSchema;
  ((UpdateProjectProtectionBypassScope$) => {
    UpdateProjectProtectionBypassScope$.inboundSchema = UpdateProjectProtectionBypassScope$inboundSchema;
    UpdateProjectProtectionBypassScope$.outboundSchema = UpdateProjectProtectionBypassScope$outboundSchema;
  })(UpdateProjectProtectionBypassScope$ ||= {});
  UpdateProjectProtectionBypass1$inboundSchema = objectType({
    createdAt: numberType(),
    createdBy: stringType(),
    scope: UpdateProjectProtectionBypassScope$inboundSchema,
    integrationId: stringType(),
    configurationId: stringType()
  });
  UpdateProjectProtectionBypass1$outboundSchema = objectType({
    createdAt: numberType(),
    createdBy: stringType(),
    scope: UpdateProjectProtectionBypassScope$outboundSchema,
    integrationId: stringType(),
    configurationId: stringType()
  });
  ((UpdateProjectProtectionBypass1$) => {
    UpdateProjectProtectionBypass1$.inboundSchema = UpdateProjectProtectionBypass1$inboundSchema;
    UpdateProjectProtectionBypass1$.outboundSchema = UpdateProjectProtectionBypass1$outboundSchema;
  })(UpdateProjectProtectionBypass1$ ||= {});
  UpdateProjectProtectionBypass$inboundSchema = unionType([
    lazyType(() => UpdateProjectProtectionBypass2$inboundSchema),
    lazyType(() => UpdateProjectProtectionBypass1$inboundSchema)
  ]);
  UpdateProjectProtectionBypass$outboundSchema = unionType([
    lazyType(() => UpdateProjectProtectionBypass2$outboundSchema),
    lazyType(() => UpdateProjectProtectionBypass1$outboundSchema)
  ]);
  ((UpdateProjectProtectionBypass$) => {
    UpdateProjectProtectionBypass$.inboundSchema = UpdateProjectProtectionBypass$inboundSchema;
    UpdateProjectProtectionBypass$.outboundSchema = UpdateProjectProtectionBypass$outboundSchema;
  })(UpdateProjectProtectionBypass$ ||= {});
  UpdateProjectTrustedIpsProjectsDeploymentType$inboundSchema = nativeEnumType(UpdateProjectTrustedIpsProjectsDeploymentType);
  UpdateProjectTrustedIpsProjectsDeploymentType$outboundSchema = UpdateProjectTrustedIpsProjectsDeploymentType$inboundSchema;
  ((UpdateProjectTrustedIpsProjectsDeploymentType$) => {
    UpdateProjectTrustedIpsProjectsDeploymentType$.inboundSchema = UpdateProjectTrustedIpsProjectsDeploymentType$inboundSchema;
    UpdateProjectTrustedIpsProjectsDeploymentType$.outboundSchema = UpdateProjectTrustedIpsProjectsDeploymentType$outboundSchema;
  })(UpdateProjectTrustedIpsProjectsDeploymentType$ ||= {});
  UpdateProjectTrustedIps2$inboundSchema = objectType({
    deploymentType: UpdateProjectTrustedIpsProjectsDeploymentType$inboundSchema
  });
  UpdateProjectTrustedIps2$outboundSchema = objectType({
    deploymentType: UpdateProjectTrustedIpsProjectsDeploymentType$outboundSchema
  });
  ((UpdateProjectTrustedIps2$) => {
    UpdateProjectTrustedIps2$.inboundSchema = UpdateProjectTrustedIps2$inboundSchema;
    UpdateProjectTrustedIps2$.outboundSchema = UpdateProjectTrustedIps2$outboundSchema;
  })(UpdateProjectTrustedIps2$ ||= {});
  UpdateProjectTrustedIpsDeploymentType$inboundSchema = nativeEnumType(UpdateProjectTrustedIpsDeploymentType);
  UpdateProjectTrustedIpsDeploymentType$outboundSchema = UpdateProjectTrustedIpsDeploymentType$inboundSchema;
  ((UpdateProjectTrustedIpsDeploymentType$) => {
    UpdateProjectTrustedIpsDeploymentType$.inboundSchema = UpdateProjectTrustedIpsDeploymentType$inboundSchema;
    UpdateProjectTrustedIpsDeploymentType$.outboundSchema = UpdateProjectTrustedIpsDeploymentType$outboundSchema;
  })(UpdateProjectTrustedIpsDeploymentType$ ||= {});
  UpdateProjectTrustedIpsAddresses$inboundSchema = objectType({
    value: stringType(),
    note: stringType().optional()
  });
  UpdateProjectTrustedIpsAddresses$outboundSchema = objectType({
    value: stringType(),
    note: stringType().optional()
  });
  ((UpdateProjectTrustedIpsAddresses$) => {
    UpdateProjectTrustedIpsAddresses$.inboundSchema = UpdateProjectTrustedIpsAddresses$inboundSchema;
    UpdateProjectTrustedIpsAddresses$.outboundSchema = UpdateProjectTrustedIpsAddresses$outboundSchema;
  })(UpdateProjectTrustedIpsAddresses$ ||= {});
  UpdateProjectTrustedIpsProtectionMode$inboundSchema = nativeEnumType(UpdateProjectTrustedIpsProtectionMode);
  UpdateProjectTrustedIpsProtectionMode$outboundSchema = UpdateProjectTrustedIpsProtectionMode$inboundSchema;
  ((UpdateProjectTrustedIpsProtectionMode$) => {
    UpdateProjectTrustedIpsProtectionMode$.inboundSchema = UpdateProjectTrustedIpsProtectionMode$inboundSchema;
    UpdateProjectTrustedIpsProtectionMode$.outboundSchema = UpdateProjectTrustedIpsProtectionMode$outboundSchema;
  })(UpdateProjectTrustedIpsProtectionMode$ ||= {});
  UpdateProjectTrustedIps1$inboundSchema = objectType({
    deploymentType: UpdateProjectTrustedIpsDeploymentType$inboundSchema,
    addresses: arrayType(lazyType(() => UpdateProjectTrustedIpsAddresses$inboundSchema)),
    protectionMode: UpdateProjectTrustedIpsProtectionMode$inboundSchema
  });
  UpdateProjectTrustedIps1$outboundSchema = objectType({
    deploymentType: UpdateProjectTrustedIpsDeploymentType$outboundSchema,
    addresses: arrayType(lazyType(() => UpdateProjectTrustedIpsAddresses$outboundSchema)),
    protectionMode: UpdateProjectTrustedIpsProtectionMode$outboundSchema
  });
  ((UpdateProjectTrustedIps1$) => {
    UpdateProjectTrustedIps1$.inboundSchema = UpdateProjectTrustedIps1$inboundSchema;
    UpdateProjectTrustedIps1$.outboundSchema = UpdateProjectTrustedIps1$outboundSchema;
  })(UpdateProjectTrustedIps1$ ||= {});
  UpdateProjectProjectsTrustedIps$inboundSchema = unionType([
    lazyType(() => UpdateProjectTrustedIps2$inboundSchema),
    lazyType(() => UpdateProjectTrustedIps1$inboundSchema)
  ]);
  UpdateProjectProjectsTrustedIps$outboundSchema = unionType([
    lazyType(() => UpdateProjectTrustedIps2$outboundSchema),
    lazyType(() => UpdateProjectTrustedIps1$outboundSchema)
  ]);
  ((UpdateProjectProjectsTrustedIps$) => {
    UpdateProjectProjectsTrustedIps$.inboundSchema = UpdateProjectProjectsTrustedIps$inboundSchema;
    UpdateProjectProjectsTrustedIps$.outboundSchema = UpdateProjectProjectsTrustedIps$outboundSchema;
  })(UpdateProjectProjectsTrustedIps$ ||= {});
  UpdateProjectGitComments$inboundSchema = objectType({
    onPullRequest: booleanType(),
    onCommit: booleanType()
  });
  UpdateProjectGitComments$outboundSchema = objectType({
    onPullRequest: booleanType(),
    onCommit: booleanType()
  });
  ((UpdateProjectGitComments$) => {
    UpdateProjectGitComments$.inboundSchema = UpdateProjectGitComments$inboundSchema;
    UpdateProjectGitComments$.outboundSchema = UpdateProjectGitComments$outboundSchema;
  })(UpdateProjectGitComments$ ||= {});
  UpdateProjectCreateDeployments$inboundSchema = nativeEnumType(UpdateProjectCreateDeployments);
  UpdateProjectCreateDeployments$outboundSchema = UpdateProjectCreateDeployments$inboundSchema;
  ((UpdateProjectCreateDeployments$) => {
    UpdateProjectCreateDeployments$.inboundSchema = UpdateProjectCreateDeployments$inboundSchema;
    UpdateProjectCreateDeployments$.outboundSchema = UpdateProjectCreateDeployments$outboundSchema;
  })(UpdateProjectCreateDeployments$ ||= {});
  UpdateProjectGitProviderOptions$inboundSchema = objectType({
    createDeployments: UpdateProjectCreateDeployments$inboundSchema
  });
  UpdateProjectGitProviderOptions$outboundSchema = objectType({
    createDeployments: UpdateProjectCreateDeployments$outboundSchema
  });
  ((UpdateProjectGitProviderOptions$) => {
    UpdateProjectGitProviderOptions$.inboundSchema = UpdateProjectGitProviderOptions$inboundSchema;
    UpdateProjectGitProviderOptions$.outboundSchema = UpdateProjectGitProviderOptions$outboundSchema;
  })(UpdateProjectGitProviderOptions$ ||= {});
  UpdateProjectWebAnalytics$inboundSchema = objectType({
    id: stringType(),
    disabledAt: numberType().optional(),
    canceledAt: numberType().optional(),
    enabledAt: numberType().optional(),
    hasData: booleanType().optional()
  });
  UpdateProjectWebAnalytics$outboundSchema = objectType({
    id: stringType(),
    disabledAt: numberType().optional(),
    canceledAt: numberType().optional(),
    enabledAt: numberType().optional(),
    hasData: booleanType().optional()
  });
  ((UpdateProjectWebAnalytics$) => {
    UpdateProjectWebAnalytics$.inboundSchema = UpdateProjectWebAnalytics$inboundSchema;
    UpdateProjectWebAnalytics$.outboundSchema = UpdateProjectWebAnalytics$outboundSchema;
  })(UpdateProjectWebAnalytics$ ||= {});
  UpdateProjectSrc2$inboundSchema = objectType({
    re: stringType().optional(),
    eq: stringType().optional(),
    neq: stringType().optional(),
    inc: arrayType(stringType()).optional(),
    ninc: arrayType(stringType()).optional(),
    pre: stringType().optional(),
    suf: stringType().optional(),
    gt: numberType().optional(),
    gte: numberType().optional(),
    lt: numberType().optional(),
    lte: numberType().optional()
  });
  UpdateProjectSrc2$outboundSchema = objectType({
    re: stringType().optional(),
    eq: stringType().optional(),
    neq: stringType().optional(),
    inc: arrayType(stringType()).optional(),
    ninc: arrayType(stringType()).optional(),
    pre: stringType().optional(),
    suf: stringType().optional(),
    gt: numberType().optional(),
    gte: numberType().optional(),
    lt: numberType().optional(),
    lte: numberType().optional()
  });
  ((UpdateProjectSrc2$) => {
    UpdateProjectSrc2$.inboundSchema = UpdateProjectSrc2$inboundSchema;
    UpdateProjectSrc2$.outboundSchema = UpdateProjectSrc2$outboundSchema;
  })(UpdateProjectSrc2$ ||= {});
  UpdateProjectSrc$inboundSchema = unionType([lazyType(() => UpdateProjectSrc2$inboundSchema), stringType()]);
  UpdateProjectSrc$outboundSchema = unionType([lazyType(() => UpdateProjectSrc2$outboundSchema), stringType()]);
  ((UpdateProjectSrc$) => {
    UpdateProjectSrc$.inboundSchema = UpdateProjectSrc$inboundSchema;
    UpdateProjectSrc$.outboundSchema = UpdateProjectSrc$outboundSchema;
  })(UpdateProjectSrc$ ||= {});
  UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType$inboundSchema = nativeEnumType(UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType);
  UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType$outboundSchema = UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType$inboundSchema;
  ((UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType$) => {
    UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType$.inboundSchema = UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType$inboundSchema;
    UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType$.outboundSchema = UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType$outboundSchema;
  })(UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType$ ||= {});
  UpdateProjectValue2$inboundSchema = objectType({
    re: stringType().optional(),
    eq: stringType().optional(),
    neq: stringType().optional(),
    inc: arrayType(stringType()).optional(),
    ninc: arrayType(stringType()).optional(),
    pre: stringType().optional(),
    suf: stringType().optional(),
    gt: numberType().optional(),
    gte: numberType().optional(),
    lt: numberType().optional(),
    lte: numberType().optional()
  });
  UpdateProjectValue2$outboundSchema = objectType({
    re: stringType().optional(),
    eq: stringType().optional(),
    neq: stringType().optional(),
    inc: arrayType(stringType()).optional(),
    ninc: arrayType(stringType()).optional(),
    pre: stringType().optional(),
    suf: stringType().optional(),
    gt: numberType().optional(),
    gte: numberType().optional(),
    lt: numberType().optional(),
    lte: numberType().optional()
  });
  ((UpdateProjectValue2$) => {
    UpdateProjectValue2$.inboundSchema = UpdateProjectValue2$inboundSchema;
    UpdateProjectValue2$.outboundSchema = UpdateProjectValue2$outboundSchema;
  })(UpdateProjectValue2$ ||= {});
  UpdateProjectValue$inboundSchema = unionType([lazyType(() => UpdateProjectValue2$inboundSchema), stringType()]);
  UpdateProjectValue$outboundSchema = unionType([lazyType(() => UpdateProjectValue2$outboundSchema), stringType()]);
  ((UpdateProjectValue$) => {
    UpdateProjectValue$.inboundSchema = UpdateProjectValue$inboundSchema;
    UpdateProjectValue$.outboundSchema = UpdateProjectValue$outboundSchema;
  })(UpdateProjectValue$ ||= {});
  UpdateProjectHas$inboundSchema = objectType({
    type: UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType$inboundSchema,
    key: stringType().optional(),
    value: unionType([lazyType(() => UpdateProjectValue2$inboundSchema), stringType()]).optional()
  });
  UpdateProjectHas$outboundSchema = objectType({
    type: UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType$outboundSchema,
    key: stringType().optional(),
    value: unionType([lazyType(() => UpdateProjectValue2$outboundSchema), stringType()]).optional()
  });
  ((UpdateProjectHas$) => {
    UpdateProjectHas$.inboundSchema = UpdateProjectHas$inboundSchema;
    UpdateProjectHas$.outboundSchema = UpdateProjectHas$outboundSchema;
  })(UpdateProjectHas$ ||= {});
  UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$inboundSchema = nativeEnumType(UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType);
  UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$outboundSchema = UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$inboundSchema;
  ((UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$) => {
    UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$.inboundSchema = UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$inboundSchema;
    UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$.outboundSchema = UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$outboundSchema;
  })(UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$ ||= {});
  UpdateProjectValueProjects2$inboundSchema = objectType({
    re: stringType().optional(),
    eq: stringType().optional(),
    neq: stringType().optional(),
    inc: arrayType(stringType()).optional(),
    ninc: arrayType(stringType()).optional(),
    pre: stringType().optional(),
    suf: stringType().optional(),
    gt: numberType().optional(),
    gte: numberType().optional(),
    lt: numberType().optional(),
    lte: numberType().optional()
  });
  UpdateProjectValueProjects2$outboundSchema = objectType({
    re: stringType().optional(),
    eq: stringType().optional(),
    neq: stringType().optional(),
    inc: arrayType(stringType()).optional(),
    ninc: arrayType(stringType()).optional(),
    pre: stringType().optional(),
    suf: stringType().optional(),
    gt: numberType().optional(),
    gte: numberType().optional(),
    lt: numberType().optional(),
    lte: numberType().optional()
  });
  ((UpdateProjectValueProjects2$) => {
    UpdateProjectValueProjects2$.inboundSchema = UpdateProjectValueProjects2$inboundSchema;
    UpdateProjectValueProjects2$.outboundSchema = UpdateProjectValueProjects2$outboundSchema;
  })(UpdateProjectValueProjects2$ ||= {});
  UpdateProjectProjectsValue$inboundSchema = unionType([
    lazyType(() => UpdateProjectValueProjects2$inboundSchema),
    stringType()
  ]);
  UpdateProjectProjectsValue$outboundSchema = unionType([
    lazyType(() => UpdateProjectValueProjects2$outboundSchema),
    stringType()
  ]);
  ((UpdateProjectProjectsValue$) => {
    UpdateProjectProjectsValue$.inboundSchema = UpdateProjectProjectsValue$inboundSchema;
    UpdateProjectProjectsValue$.outboundSchema = UpdateProjectProjectsValue$outboundSchema;
  })(UpdateProjectProjectsValue$ ||= {});
  UpdateProjectMissing$inboundSchema = objectType({
    type: UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$inboundSchema,
    key: stringType().optional(),
    value: unionType([
      lazyType(() => UpdateProjectValueProjects2$inboundSchema),
      stringType()
    ]).optional()
  });
  UpdateProjectMissing$outboundSchema = objectType({
    type: UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$outboundSchema,
    key: stringType().optional(),
    value: unionType([
      lazyType(() => UpdateProjectValueProjects2$outboundSchema),
      stringType()
    ]).optional()
  });
  ((UpdateProjectMissing$) => {
    UpdateProjectMissing$.inboundSchema = UpdateProjectMissing$inboundSchema;
    UpdateProjectMissing$.outboundSchema = UpdateProjectMissing$outboundSchema;
  })(UpdateProjectMissing$ ||= {});
  UpdateProjectHandle$inboundSchema = nativeEnumType(UpdateProjectHandle);
  UpdateProjectHandle$outboundSchema = UpdateProjectHandle$inboundSchema;
  ((UpdateProjectHandle$) => {
    UpdateProjectHandle$.inboundSchema = UpdateProjectHandle$inboundSchema;
    UpdateProjectHandle$.outboundSchema = UpdateProjectHandle$outboundSchema;
  })(UpdateProjectHandle$ ||= {});
  UpdateProjectProjectsAction$inboundSchema = nativeEnumType(UpdateProjectProjectsAction);
  UpdateProjectProjectsAction$outboundSchema = UpdateProjectProjectsAction$inboundSchema;
  ((UpdateProjectProjectsAction$) => {
    UpdateProjectProjectsAction$.inboundSchema = UpdateProjectProjectsAction$inboundSchema;
    UpdateProjectProjectsAction$.outboundSchema = UpdateProjectProjectsAction$outboundSchema;
  })(UpdateProjectProjectsAction$ ||= {});
  UpdateProjectAlgo$inboundSchema = nativeEnumType(UpdateProjectAlgo);
  UpdateProjectAlgo$outboundSchema = UpdateProjectAlgo$inboundSchema;
  ((UpdateProjectAlgo$) => {
    UpdateProjectAlgo$.inboundSchema = UpdateProjectAlgo$inboundSchema;
    UpdateProjectAlgo$.outboundSchema = UpdateProjectAlgo$outboundSchema;
  })(UpdateProjectAlgo$ ||= {});
  UpdateProjectErl$inboundSchema = objectType({
    algo: UpdateProjectAlgo$inboundSchema,
    window: numberType(),
    limit: numberType(),
    keys: arrayType(stringType())
  });
  UpdateProjectErl$outboundSchema = objectType({
    algo: UpdateProjectAlgo$outboundSchema,
    window: numberType(),
    limit: numberType(),
    keys: arrayType(stringType())
  });
  ((UpdateProjectErl$) => {
    UpdateProjectErl$.inboundSchema = UpdateProjectErl$inboundSchema;
    UpdateProjectErl$.outboundSchema = UpdateProjectErl$outboundSchema;
  })(UpdateProjectErl$ ||= {});
  UpdateProjectMitigate$inboundSchema = objectType({
    action: UpdateProjectProjectsAction$inboundSchema,
    rule_id: stringType(),
    ttl: numberType().optional(),
    erl: lazyType(() => UpdateProjectErl$inboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      rule_id: "ruleId"
    });
  });
  UpdateProjectMitigate$outboundSchema = objectType({
    action: UpdateProjectProjectsAction$outboundSchema,
    ruleId: stringType(),
    ttl: numberType().optional(),
    erl: lazyType(() => UpdateProjectErl$outboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      ruleId: "rule_id"
    });
  });
  ((UpdateProjectMitigate$) => {
    UpdateProjectMitigate$.inboundSchema = UpdateProjectMitigate$inboundSchema;
    UpdateProjectMitigate$.outboundSchema = UpdateProjectMitigate$outboundSchema;
  })(UpdateProjectMitigate$ ||= {});
  UpdateProjectFirewallRoutes$inboundSchema = objectType({
    src: unionType([lazyType(() => UpdateProjectSrc2$inboundSchema), stringType()]).optional(),
    has: arrayType(lazyType(() => UpdateProjectHas$inboundSchema)).optional(),
    missing: arrayType(lazyType(() => UpdateProjectMissing$inboundSchema)).optional(),
    dest: stringType().optional(),
    status: numberType().optional(),
    handle: UpdateProjectHandle$inboundSchema.optional(),
    mitigate: lazyType(() => UpdateProjectMitigate$inboundSchema).optional()
  });
  UpdateProjectFirewallRoutes$outboundSchema = objectType({
    src: unionType([lazyType(() => UpdateProjectSrc2$outboundSchema), stringType()]).optional(),
    has: arrayType(lazyType(() => UpdateProjectHas$outboundSchema)).optional(),
    missing: arrayType(lazyType(() => UpdateProjectMissing$outboundSchema)).optional(),
    dest: stringType().optional(),
    status: numberType().optional(),
    handle: UpdateProjectHandle$outboundSchema.optional(),
    mitigate: lazyType(() => UpdateProjectMitigate$outboundSchema).optional()
  });
  ((UpdateProjectFirewallRoutes$) => {
    UpdateProjectFirewallRoutes$.inboundSchema = UpdateProjectFirewallRoutes$inboundSchema;
    UpdateProjectFirewallRoutes$.outboundSchema = UpdateProjectFirewallRoutes$outboundSchema;
  })(UpdateProjectFirewallRoutes$ ||= {});
  UpdateProjectAction$inboundSchema = nativeEnumType(UpdateProjectAction);
  UpdateProjectAction$outboundSchema = UpdateProjectAction$inboundSchema;
  ((UpdateProjectAction$) => {
    UpdateProjectAction$.inboundSchema = UpdateProjectAction$inboundSchema;
    UpdateProjectAction$.outboundSchema = UpdateProjectAction$outboundSchema;
  })(UpdateProjectAction$ ||= {});
  UpdateProjectManagedRules$inboundSchema = objectType({
    active: booleanType(),
    action: UpdateProjectAction$inboundSchema.optional()
  });
  UpdateProjectManagedRules$outboundSchema = objectType({
    active: booleanType(),
    action: UpdateProjectAction$outboundSchema.optional()
  });
  ((UpdateProjectManagedRules$) => {
    UpdateProjectManagedRules$.inboundSchema = UpdateProjectManagedRules$inboundSchema;
    UpdateProjectManagedRules$.outboundSchema = UpdateProjectManagedRules$outboundSchema;
  })(UpdateProjectManagedRules$ ||= {});
  UpdateProjectSecurity$inboundSchema = objectType({
    attackModeEnabled: booleanType().optional(),
    attackModeUpdatedAt: numberType().optional(),
    firewallEnabled: booleanType().optional(),
    firewallUpdatedAt: numberType().optional(),
    attackModeActiveUntil: nullableType(numberType()).optional(),
    firewallConfigVersion: numberType().optional(),
    firewallRoutes: arrayType(lazyType(() => UpdateProjectFirewallRoutes$inboundSchema)).optional(),
    firewallSeawallEnabled: booleanType().optional(),
    ja3Enabled: booleanType().optional(),
    ja4Enabled: booleanType().optional(),
    firewallBypassIps: arrayType(stringType()).optional(),
    managedRules: nullableType(recordType(lazyType(() => UpdateProjectManagedRules$inboundSchema))).optional()
  });
  UpdateProjectSecurity$outboundSchema = objectType({
    attackModeEnabled: booleanType().optional(),
    attackModeUpdatedAt: numberType().optional(),
    firewallEnabled: booleanType().optional(),
    firewallUpdatedAt: numberType().optional(),
    attackModeActiveUntil: nullableType(numberType()).optional(),
    firewallConfigVersion: numberType().optional(),
    firewallRoutes: arrayType(lazyType(() => UpdateProjectFirewallRoutes$outboundSchema)).optional(),
    firewallSeawallEnabled: booleanType().optional(),
    ja3Enabled: booleanType().optional(),
    ja4Enabled: booleanType().optional(),
    firewallBypassIps: arrayType(stringType()).optional(),
    managedRules: nullableType(recordType(lazyType(() => UpdateProjectManagedRules$outboundSchema))).optional()
  });
  ((UpdateProjectSecurity$) => {
    UpdateProjectSecurity$.inboundSchema = UpdateProjectSecurity$inboundSchema;
    UpdateProjectSecurity$.outboundSchema = UpdateProjectSecurity$outboundSchema;
  })(UpdateProjectSecurity$ ||= {});
  UpdateProjectProjectsIssuerMode$inboundSchema = nativeEnumType(UpdateProjectProjectsIssuerMode);
  UpdateProjectProjectsIssuerMode$outboundSchema = UpdateProjectProjectsIssuerMode$inboundSchema;
  ((UpdateProjectProjectsIssuerMode$) => {
    UpdateProjectProjectsIssuerMode$.inboundSchema = UpdateProjectProjectsIssuerMode$inboundSchema;
    UpdateProjectProjectsIssuerMode$.outboundSchema = UpdateProjectProjectsIssuerMode$outboundSchema;
  })(UpdateProjectProjectsIssuerMode$ ||= {});
  UpdateProjectProjectsOidcTokenConfig$inboundSchema = objectType({
    enabled: booleanType(),
    issuerMode: UpdateProjectProjectsIssuerMode$inboundSchema.optional()
  });
  UpdateProjectProjectsOidcTokenConfig$outboundSchema = objectType({
    enabled: booleanType(),
    issuerMode: UpdateProjectProjectsIssuerMode$outboundSchema.optional()
  });
  ((UpdateProjectProjectsOidcTokenConfig$) => {
    UpdateProjectProjectsOidcTokenConfig$.inboundSchema = UpdateProjectProjectsOidcTokenConfig$inboundSchema;
    UpdateProjectProjectsOidcTokenConfig$.outboundSchema = UpdateProjectProjectsOidcTokenConfig$outboundSchema;
  })(UpdateProjectProjectsOidcTokenConfig$ ||= {});
  UpdateProjectTier$inboundSchema = nativeEnumType(UpdateProjectTier);
  UpdateProjectTier$outboundSchema = UpdateProjectTier$inboundSchema;
  ((UpdateProjectTier$) => {
    UpdateProjectTier$.inboundSchema = UpdateProjectTier$inboundSchema;
    UpdateProjectTier$.outboundSchema = UpdateProjectTier$outboundSchema;
  })(UpdateProjectTier$ ||= {});
  UpdateProjectResponseBody$inboundSchema = objectType({
    accountId: stringType(),
    analytics: lazyType(() => UpdateProjectAnalytics$inboundSchema).optional(),
    speedInsights: lazyType(() => UpdateProjectSpeedInsights$inboundSchema).optional(),
    autoExposeSystemEnvs: booleanType().optional(),
    autoAssignCustomDomains: booleanType().optional(),
    autoAssignCustomDomainsUpdatedBy: stringType().optional(),
    buildCommand: nullableType(stringType()).optional(),
    commandForIgnoringBuildStep: nullableType(stringType()).optional(),
    connectConfigurations: nullableType(arrayType(lazyType(() => UpdateProjectConnectConfigurations$inboundSchema))).optional(),
    connectConfigurationId: nullableType(stringType()).optional(),
    connectBuildsEnabled: booleanType().optional(),
    passiveConnectConfigurationId: nullableType(stringType()).optional(),
    createdAt: numberType().optional(),
    customerSupportCodeVisibility: booleanType().optional(),
    crons: lazyType(() => UpdateProjectCrons$inboundSchema).optional(),
    dataCache: lazyType(() => UpdateProjectDataCache$inboundSchema).optional(),
    deploymentExpiration: nullableType(lazyType(() => UpdateProjectDeploymentExpiration$inboundSchema)).optional(),
    devCommand: nullableType(stringType()).optional(),
    directoryListing: booleanType(),
    installCommand: nullableType(stringType()).optional(),
    env: arrayType(lazyType(() => UpdateProjectEnv$inboundSchema)).optional(),
    customEnvironments: arrayType(lazyType(() => UpdateProjectCustomEnvironments$inboundSchema)).optional(),
    framework: nullableType(UpdateProjectProjectsFramework$inboundSchema).optional(),
    gitForkProtection: booleanType().optional(),
    gitLFS: booleanType().optional(),
    id: stringType(),
    ipBuckets: arrayType(lazyType(() => UpdateProjectIpBuckets$inboundSchema)).optional(),
    latestDeployments: arrayType(lazyType(() => UpdateProjectLatestDeployments$inboundSchema)).optional(),
    link: unionType([
      lazyType(() => UpdateProjectLink1$inboundSchema),
      lazyType(() => UpdateProjectLink3$inboundSchema),
      lazyType(() => UpdateProjectLink4$inboundSchema),
      lazyType(() => UpdateProjectLink2$inboundSchema)
    ]).optional(),
    microfrontends: unionType([
      lazyType(() => UpdateProjectMicrofrontends2$inboundSchema),
      lazyType(() => UpdateProjectMicrofrontends1$inboundSchema)
    ]).optional(),
    name: stringType(),
    nodeVersion: UpdateProjectProjectsNodeVersion$inboundSchema,
    optionsAllowlist: nullableType(lazyType(() => UpdateProjectProjectsOptionsAllowlist$inboundSchema)).optional(),
    outputDirectory: nullableType(stringType()).optional(),
    passwordProtection: nullableType(lazyType(() => UpdateProjectProjectsPasswordProtection$inboundSchema)).optional(),
    productionDeploymentsFastLane: booleanType().optional(),
    publicSource: nullableType(booleanType()).optional(),
    resourceConfig: lazyType(() => UpdateProjectProjectsResourceConfig$inboundSchema),
    rollingRelease: nullableType(lazyType(() => UpdateProjectRollingRelease$inboundSchema)).optional(),
    defaultResourceConfig: lazyType(() => UpdateProjectDefaultResourceConfig$inboundSchema),
    rootDirectory: nullableType(stringType()).optional(),
    serverlessFunctionRegion: nullableType(stringType()).optional(),
    serverlessFunctionZeroConfigFailover: booleanType().optional(),
    skewProtectionBoundaryAt: numberType().optional(),
    skewProtectionMaxAge: numberType().optional(),
    skipGitConnectDuringLink: booleanType().optional(),
    sourceFilesOutsideRootDirectory: booleanType().optional(),
    enableAffectedProjectsDeployments: booleanType().optional(),
    ssoProtection: nullableType(lazyType(() => UpdateProjectProjectsSsoProtection$inboundSchema)).optional(),
    targets: recordType(nullableType(lazyType(() => UpdateProjectTargets$inboundSchema))).optional(),
    transferCompletedAt: numberType().optional(),
    transferStartedAt: numberType().optional(),
    transferToAccountId: stringType().optional(),
    transferredFromAccountId: stringType().optional(),
    updatedAt: numberType().optional(),
    live: booleanType().optional(),
    enablePreviewFeedback: nullableType(booleanType()).optional(),
    enableProductionFeedback: nullableType(booleanType()).optional(),
    permissions: lazyType(() => UpdateProjectPermissions$inboundSchema).optional(),
    lastRollbackTarget: nullableType(lazyType(() => UpdateProjectLastRollbackTarget$inboundSchema)).optional(),
    lastAliasRequest: nullableType(lazyType(() => UpdateProjectLastAliasRequest$inboundSchema)).optional(),
    protectionBypass: recordType(unionType([
      lazyType(() => UpdateProjectProtectionBypass2$inboundSchema),
      lazyType(() => UpdateProjectProtectionBypass1$inboundSchema)
    ])).optional(),
    hasActiveBranches: booleanType().optional(),
    trustedIps: nullableType(unionType([
      lazyType(() => UpdateProjectTrustedIps2$inboundSchema),
      lazyType(() => UpdateProjectTrustedIps1$inboundSchema)
    ])).optional(),
    gitComments: lazyType(() => UpdateProjectGitComments$inboundSchema).optional(),
    gitProviderOptions: lazyType(() => UpdateProjectGitProviderOptions$inboundSchema).optional(),
    paused: booleanType().optional(),
    concurrencyBucketName: stringType().optional(),
    webAnalytics: lazyType(() => UpdateProjectWebAnalytics$inboundSchema).optional(),
    security: lazyType(() => UpdateProjectSecurity$inboundSchema).optional(),
    oidcTokenConfig: lazyType(() => UpdateProjectProjectsOidcTokenConfig$inboundSchema).optional(),
    tier: UpdateProjectTier$inboundSchema.optional()
  });
  UpdateProjectResponseBody$outboundSchema = objectType({
    accountId: stringType(),
    analytics: lazyType(() => UpdateProjectAnalytics$outboundSchema).optional(),
    speedInsights: lazyType(() => UpdateProjectSpeedInsights$outboundSchema).optional(),
    autoExposeSystemEnvs: booleanType().optional(),
    autoAssignCustomDomains: booleanType().optional(),
    autoAssignCustomDomainsUpdatedBy: stringType().optional(),
    buildCommand: nullableType(stringType()).optional(),
    commandForIgnoringBuildStep: nullableType(stringType()).optional(),
    connectConfigurations: nullableType(arrayType(lazyType(() => UpdateProjectConnectConfigurations$outboundSchema))).optional(),
    connectConfigurationId: nullableType(stringType()).optional(),
    connectBuildsEnabled: booleanType().optional(),
    passiveConnectConfigurationId: nullableType(stringType()).optional(),
    createdAt: numberType().optional(),
    customerSupportCodeVisibility: booleanType().optional(),
    crons: lazyType(() => UpdateProjectCrons$outboundSchema).optional(),
    dataCache: lazyType(() => UpdateProjectDataCache$outboundSchema).optional(),
    deploymentExpiration: nullableType(lazyType(() => UpdateProjectDeploymentExpiration$outboundSchema)).optional(),
    devCommand: nullableType(stringType()).optional(),
    directoryListing: booleanType(),
    installCommand: nullableType(stringType()).optional(),
    env: arrayType(lazyType(() => UpdateProjectEnv$outboundSchema)).optional(),
    customEnvironments: arrayType(lazyType(() => UpdateProjectCustomEnvironments$outboundSchema)).optional(),
    framework: nullableType(UpdateProjectProjectsFramework$outboundSchema).optional(),
    gitForkProtection: booleanType().optional(),
    gitLFS: booleanType().optional(),
    id: stringType(),
    ipBuckets: arrayType(lazyType(() => UpdateProjectIpBuckets$outboundSchema)).optional(),
    latestDeployments: arrayType(lazyType(() => UpdateProjectLatestDeployments$outboundSchema)).optional(),
    link: unionType([
      lazyType(() => UpdateProjectLink1$outboundSchema),
      lazyType(() => UpdateProjectLink3$outboundSchema),
      lazyType(() => UpdateProjectLink4$outboundSchema),
      lazyType(() => UpdateProjectLink2$outboundSchema)
    ]).optional(),
    microfrontends: unionType([
      lazyType(() => UpdateProjectMicrofrontends2$outboundSchema),
      lazyType(() => UpdateProjectMicrofrontends1$outboundSchema)
    ]).optional(),
    name: stringType(),
    nodeVersion: UpdateProjectProjectsNodeVersion$outboundSchema,
    optionsAllowlist: nullableType(lazyType(() => UpdateProjectProjectsOptionsAllowlist$outboundSchema)).optional(),
    outputDirectory: nullableType(stringType()).optional(),
    passwordProtection: nullableType(lazyType(() => UpdateProjectProjectsPasswordProtection$outboundSchema)).optional(),
    productionDeploymentsFastLane: booleanType().optional(),
    publicSource: nullableType(booleanType()).optional(),
    resourceConfig: lazyType(() => UpdateProjectProjectsResourceConfig$outboundSchema),
    rollingRelease: nullableType(lazyType(() => UpdateProjectRollingRelease$outboundSchema)).optional(),
    defaultResourceConfig: lazyType(() => UpdateProjectDefaultResourceConfig$outboundSchema),
    rootDirectory: nullableType(stringType()).optional(),
    serverlessFunctionRegion: nullableType(stringType()).optional(),
    serverlessFunctionZeroConfigFailover: booleanType().optional(),
    skewProtectionBoundaryAt: numberType().optional(),
    skewProtectionMaxAge: numberType().optional(),
    skipGitConnectDuringLink: booleanType().optional(),
    sourceFilesOutsideRootDirectory: booleanType().optional(),
    enableAffectedProjectsDeployments: booleanType().optional(),
    ssoProtection: nullableType(lazyType(() => UpdateProjectProjectsSsoProtection$outboundSchema)).optional(),
    targets: recordType(nullableType(lazyType(() => UpdateProjectTargets$outboundSchema))).optional(),
    transferCompletedAt: numberType().optional(),
    transferStartedAt: numberType().optional(),
    transferToAccountId: stringType().optional(),
    transferredFromAccountId: stringType().optional(),
    updatedAt: numberType().optional(),
    live: booleanType().optional(),
    enablePreviewFeedback: nullableType(booleanType()).optional(),
    enableProductionFeedback: nullableType(booleanType()).optional(),
    permissions: lazyType(() => UpdateProjectPermissions$outboundSchema).optional(),
    lastRollbackTarget: nullableType(lazyType(() => UpdateProjectLastRollbackTarget$outboundSchema)).optional(),
    lastAliasRequest: nullableType(lazyType(() => UpdateProjectLastAliasRequest$outboundSchema)).optional(),
    protectionBypass: recordType(unionType([
      lazyType(() => UpdateProjectProtectionBypass2$outboundSchema),
      lazyType(() => UpdateProjectProtectionBypass1$outboundSchema)
    ])).optional(),
    hasActiveBranches: booleanType().optional(),
    trustedIps: nullableType(unionType([
      lazyType(() => UpdateProjectTrustedIps2$outboundSchema),
      lazyType(() => UpdateProjectTrustedIps1$outboundSchema)
    ])).optional(),
    gitComments: lazyType(() => UpdateProjectGitComments$outboundSchema).optional(),
    gitProviderOptions: lazyType(() => UpdateProjectGitProviderOptions$outboundSchema).optional(),
    paused: booleanType().optional(),
    concurrencyBucketName: stringType().optional(),
    webAnalytics: lazyType(() => UpdateProjectWebAnalytics$outboundSchema).optional(),
    security: lazyType(() => UpdateProjectSecurity$outboundSchema).optional(),
    oidcTokenConfig: lazyType(() => UpdateProjectProjectsOidcTokenConfig$outboundSchema).optional(),
    tier: UpdateProjectTier$outboundSchema.optional()
  });
  ((UpdateProjectResponseBody$) => {
    UpdateProjectResponseBody$.inboundSchema = UpdateProjectResponseBody$inboundSchema;
    UpdateProjectResponseBody$.outboundSchema = UpdateProjectResponseBody$outboundSchema;
  })(UpdateProjectResponseBody$ ||= {});
});

// src/funcs/projectsUpdateProject.ts
function projectsUpdateProject(client, request, options) {
  return new APIPromise($do135(client, request, options));
}
async function $do135(client, request, options) {
  const parsed = safeParse(request, (value) => UpdateProjectRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v9/projects/{idOrName}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "updateProject",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "PATCH",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "404", "409", "428", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, UpdateProjectResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([402, 403, 409, 428, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_projectsUpdateProject = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_updateprojectop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/projectsUpdateProject.ts
var args134, tool$projectsUpdateProject;
var init_projectsUpdateProject2 = __esm(() => {
  init_projectsUpdateProject();
  init_updateprojectop();
  init_tools();
  args134 = {
    request: UpdateProjectRequest$inboundSchema
  };
  tool$projectsUpdateProject = {
    name: "projects-update-project",
    description: `Update an existing project

Update the fields of a project using either its \`name\` or \`id\`.`,
    args: args134,
    tool: async (client, args135, ctx) => {
      const [result, apiCall] = await projectsUpdateProject(client, args135.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/updateprojectdatacacheop.ts
var UpdateProjectDataCacheEnvId2, UpdateProjectDataCacheTarget2, UpdateProjectDataCacheTarget1, UpdateProjectDataCacheProjectsResponse200ApplicationJSONType, UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type, UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type, UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type, UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type, UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type, UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type, UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type, UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType, UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyType, UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONType, UpdateProjectDataCacheContentHintProjectsResponse200Type, UpdateProjectDataCacheContentHintProjectsResponseType, UpdateProjectDataCacheContentHintProjectsType, UpdateProjectDataCacheContentHintType, ContentHintType, UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyEnvType, UpdateProjectDataCacheType, UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyCustomEnvironmentsType, UpdateProjectDataCacheFramework, UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType, UpdateProjectDataCacheProjectsChecksConclusion, UpdateProjectDataCacheProjectsChecksState, UpdateProjectDataCacheProjectsPlan, UpdateProjectDataCacheProjectsReadyState, UpdateProjectDataCacheProjectsReadySubstate, UpdateProjectDataCacheProjectsType, UpdateProjectDataCacheLinkProjectsResponseType, UpdateProjectDataCacheLinkProjectsType, UpdateProjectDataCacheLinkType, LinkType, UpdateProjectDataCacheNodeVersion, UpdateProjectDataCacheProjectsFunctionDefaultMemoryType, UpdateProjectDataCacheProjectsBuildMachineType, UpdateProjectDataCacheFunctionDefaultMemoryType, UpdateProjectDataCacheBuildMachineType, UpdateProjectDataCacheDeploymentType, UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyType, UpdateProjectDataCacheChecksConclusion, UpdateProjectDataCacheChecksState, UpdateProjectDataCachePlan, UpdateProjectDataCacheReadyState, UpdateProjectDataCacheReadySubstate, UpdateProjectDataCacheProjectsResponseType, JobStatus, UpdateProjectDataCacheProjectsResponse200Type, ProtectionBypassScope, UpdateProjectDataCacheProtectionBypassScope, UpdateProjectDataCacheTrustedIpsDeploymentType, TrustedIpsDeploymentType, UpdateProjectDataCacheTrustedIpsProtectionMode, CreateDeployments, UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityType, UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType, Handle, UpdateProjectDataCacheProjectsAction, UpdateProjectDataCacheAlgo, UpdateProjectDataCacheAction, UpdateProjectDataCacheIssuerMode, UpdateProjectDataCacheTier, UpdateProjectDataCacheRequestBody$inboundSchema, UpdateProjectDataCacheRequestBody$outboundSchema, UpdateProjectDataCacheRequestBody$, UpdateProjectDataCacheRequest$inboundSchema, UpdateProjectDataCacheRequest$outboundSchema, UpdateProjectDataCacheRequest$, Analytics$inboundSchema, Analytics$outboundSchema, Analytics$, SpeedInsights$inboundSchema, SpeedInsights$outboundSchema, SpeedInsights$, UpdateProjectDataCacheEnvId2$inboundSchema, UpdateProjectDataCacheEnvId2$outboundSchema, UpdateProjectDataCacheEnvId2$, UpdateProjectDataCacheEnvId$inboundSchema, UpdateProjectDataCacheEnvId$outboundSchema, UpdateProjectDataCacheEnvId$, UpdateProjectDataCacheAws$inboundSchema, UpdateProjectDataCacheAws$outboundSchema, UpdateProjectDataCacheAws$, UpdateProjectDataCacheConnectConfigurations$inboundSchema, UpdateProjectDataCacheConnectConfigurations$outboundSchema, UpdateProjectDataCacheConnectConfigurations$, Definitions$inboundSchema, Definitions$outboundSchema, Definitions$, Crons$inboundSchema, Crons$outboundSchema, Crons$, UpdateProjectDataCacheDataCache$inboundSchema, UpdateProjectDataCacheDataCache$outboundSchema, UpdateProjectDataCacheDataCache$, DeploymentExpiration$inboundSchema, DeploymentExpiration$outboundSchema, DeploymentExpiration$, UpdateProjectDataCacheTarget2$inboundSchema, UpdateProjectDataCacheTarget2$outboundSchema, UpdateProjectDataCacheTarget2$, UpdateProjectDataCacheTarget1$inboundSchema, UpdateProjectDataCacheTarget1$outboundSchema, UpdateProjectDataCacheTarget1$, UpdateProjectDataCacheTarget$inboundSchema, UpdateProjectDataCacheTarget$outboundSchema, UpdateProjectDataCacheTarget$, UpdateProjectDataCacheProjectsResponse200ApplicationJSONType$inboundSchema, UpdateProjectDataCacheProjectsResponse200ApplicationJSONType$outboundSchema, UpdateProjectDataCacheProjectsResponse200ApplicationJSONType$, UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$inboundSchema, UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$outboundSchema, UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$, ContentHint15$inboundSchema, ContentHint15$outboundSchema, ContentHint15$, UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$inboundSchema, UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$outboundSchema, UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$, ContentHint14$inboundSchema, ContentHint14$outboundSchema, ContentHint14$, UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$inboundSchema, UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$outboundSchema, UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$, ContentHint13$inboundSchema, ContentHint13$outboundSchema, ContentHint13$, UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$inboundSchema, UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$outboundSchema, UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$, ContentHint12$inboundSchema, ContentHint12$outboundSchema, ContentHint12$, UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$inboundSchema, UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$outboundSchema, UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$, ContentHint11$inboundSchema, ContentHint11$outboundSchema, ContentHint11$, UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$inboundSchema, UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$outboundSchema, UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$, ContentHint10$inboundSchema, ContentHint10$outboundSchema, ContentHint10$, UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$inboundSchema, UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$outboundSchema, UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$, ContentHint9$inboundSchema, ContentHint9$outboundSchema, ContentHint9$, UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$inboundSchema, UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$outboundSchema, UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$, ContentHint8$inboundSchema, ContentHint8$outboundSchema, ContentHint8$, UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema, UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema, UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyType$, ContentHint7$inboundSchema, ContentHint7$outboundSchema, ContentHint7$, UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONType$inboundSchema, UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONType$outboundSchema, UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONType$, ContentHint6$inboundSchema, ContentHint6$outboundSchema, ContentHint6$, UpdateProjectDataCacheContentHintProjectsResponse200Type$inboundSchema, UpdateProjectDataCacheContentHintProjectsResponse200Type$outboundSchema, UpdateProjectDataCacheContentHintProjectsResponse200Type$, ContentHint5$inboundSchema, ContentHint5$outboundSchema, ContentHint5$, UpdateProjectDataCacheContentHintProjectsResponseType$inboundSchema, UpdateProjectDataCacheContentHintProjectsResponseType$outboundSchema, UpdateProjectDataCacheContentHintProjectsResponseType$, ContentHint4$inboundSchema, ContentHint4$outboundSchema, ContentHint4$, UpdateProjectDataCacheContentHintProjectsType$inboundSchema, UpdateProjectDataCacheContentHintProjectsType$outboundSchema, UpdateProjectDataCacheContentHintProjectsType$, ContentHint3$inboundSchema, ContentHint3$outboundSchema, ContentHint3$, UpdateProjectDataCacheContentHintType$inboundSchema, UpdateProjectDataCacheContentHintType$outboundSchema, UpdateProjectDataCacheContentHintType$, ContentHint2$inboundSchema, ContentHint2$outboundSchema, ContentHint2$, ContentHintType$inboundSchema, ContentHintType$outboundSchema, ContentHintType$, ContentHint1$inboundSchema, ContentHint1$outboundSchema, ContentHint1$, ContentHint$inboundSchema, ContentHint$outboundSchema, ContentHint$, UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyEnvType$inboundSchema, UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyEnvType$outboundSchema, UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyEnvType$, InternalContentHint$inboundSchema, InternalContentHint$outboundSchema, InternalContentHint$, Env$inboundSchema, Env$outboundSchema, Env$, UpdateProjectDataCacheType$inboundSchema, UpdateProjectDataCacheType$outboundSchema, UpdateProjectDataCacheType$, UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyCustomEnvironmentsType$inboundSchema, UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyCustomEnvironmentsType$outboundSchema, UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyCustomEnvironmentsType$, UpdateProjectDataCacheProjectsResponseBranchMatcher$inboundSchema, UpdateProjectDataCacheProjectsResponseBranchMatcher$outboundSchema, UpdateProjectDataCacheProjectsResponseBranchMatcher$, UpdateProjectDataCacheVerification$inboundSchema, UpdateProjectDataCacheVerification$outboundSchema, UpdateProjectDataCacheVerification$, UpdateProjectDataCacheDomains$inboundSchema, UpdateProjectDataCacheDomains$outboundSchema, UpdateProjectDataCacheDomains$, CustomEnvironments$inboundSchema, CustomEnvironments$outboundSchema, CustomEnvironments$, UpdateProjectDataCacheFramework$inboundSchema, UpdateProjectDataCacheFramework$outboundSchema, UpdateProjectDataCacheFramework$, IpBuckets$inboundSchema, IpBuckets$outboundSchema, IpBuckets$, AliasAssigned$inboundSchema, AliasAssigned$outboundSchema, AliasAssigned$, UpdateProjectDataCacheProjectsAliasError$inboundSchema, UpdateProjectDataCacheProjectsAliasError$outboundSchema, UpdateProjectDataCacheProjectsAliasError$, UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType$inboundSchema, UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType$outboundSchema, UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType$, UpdateProjectDataCacheBranchMatcher$inboundSchema, UpdateProjectDataCacheBranchMatcher$outboundSchema, UpdateProjectDataCacheBranchMatcher$, UpdateProjectDataCacheProjectsBuilds$inboundSchema, UpdateProjectDataCacheProjectsBuilds$outboundSchema, UpdateProjectDataCacheProjectsBuilds$, UpdateProjectDataCacheProjectsChecksConclusion$inboundSchema, UpdateProjectDataCacheProjectsChecksConclusion$outboundSchema, UpdateProjectDataCacheProjectsChecksConclusion$, UpdateProjectDataCacheProjectsChecksState$inboundSchema, UpdateProjectDataCacheProjectsChecksState$outboundSchema, UpdateProjectDataCacheProjectsChecksState$, UpdateProjectDataCacheProjectsCreator$inboundSchema, UpdateProjectDataCacheProjectsCreator$outboundSchema, UpdateProjectDataCacheProjectsCreator$, UpdateProjectDataCacheProjectsOidcTokenClaims$inboundSchema, UpdateProjectDataCacheProjectsOidcTokenClaims$outboundSchema, UpdateProjectDataCacheProjectsOidcTokenClaims$, UpdateProjectDataCacheProjectsPlan$inboundSchema, UpdateProjectDataCacheProjectsPlan$outboundSchema, UpdateProjectDataCacheProjectsPlan$, UpdateProjectDataCacheProjectsReadyState$inboundSchema, UpdateProjectDataCacheProjectsReadyState$outboundSchema, UpdateProjectDataCacheProjectsReadyState$, UpdateProjectDataCacheProjectsReadySubstate$inboundSchema, UpdateProjectDataCacheProjectsReadySubstate$outboundSchema, UpdateProjectDataCacheProjectsReadySubstate$, UpdateProjectDataCacheProjectsType$inboundSchema, UpdateProjectDataCacheProjectsType$outboundSchema, UpdateProjectDataCacheProjectsType$, LatestDeployments$inboundSchema, LatestDeployments$outboundSchema, LatestDeployments$, UpdateProjectDataCacheLinkProjectsResponseType$inboundSchema, UpdateProjectDataCacheLinkProjectsResponseType$outboundSchema, UpdateProjectDataCacheLinkProjectsResponseType$, UpdateProjectDataCacheLinkProjectsDeployHooks$inboundSchema, UpdateProjectDataCacheLinkProjectsDeployHooks$outboundSchema, UpdateProjectDataCacheLinkProjectsDeployHooks$, Link4$inboundSchema, Link4$outboundSchema, Link4$, UpdateProjectDataCacheLinkProjectsType$inboundSchema, UpdateProjectDataCacheLinkProjectsType$outboundSchema, UpdateProjectDataCacheLinkProjectsType$, UpdateProjectDataCacheLinkDeployHooks$inboundSchema, UpdateProjectDataCacheLinkDeployHooks$outboundSchema, UpdateProjectDataCacheLinkDeployHooks$, Link3$inboundSchema, Link3$outboundSchema, Link3$, UpdateProjectDataCacheLinkType$inboundSchema, UpdateProjectDataCacheLinkType$outboundSchema, UpdateProjectDataCacheLinkType$, LinkDeployHooks$inboundSchema, LinkDeployHooks$outboundSchema, LinkDeployHooks$, Link2$inboundSchema, Link2$outboundSchema, Link2$, LinkType$inboundSchema, LinkType$outboundSchema, LinkType$, DeployHooks$inboundSchema, DeployHooks$outboundSchema, DeployHooks$, Link1$inboundSchema, Link1$outboundSchema, Link1$, Link$inboundSchema, Link$outboundSchema, Link$, UpdateProjectDataCacheMicrofrontends2$inboundSchema, UpdateProjectDataCacheMicrofrontends2$outboundSchema, UpdateProjectDataCacheMicrofrontends2$, UpdateProjectDataCacheMicrofrontends1$inboundSchema, UpdateProjectDataCacheMicrofrontends1$outboundSchema, UpdateProjectDataCacheMicrofrontends1$, UpdateProjectDataCacheMicrofrontends$inboundSchema, UpdateProjectDataCacheMicrofrontends$outboundSchema, UpdateProjectDataCacheMicrofrontends$, UpdateProjectDataCacheNodeVersion$inboundSchema, UpdateProjectDataCacheNodeVersion$outboundSchema, UpdateProjectDataCacheNodeVersion$, UpdateProjectDataCachePaths$inboundSchema, UpdateProjectDataCachePaths$outboundSchema, UpdateProjectDataCachePaths$, UpdateProjectDataCacheOptionsAllowlist$inboundSchema, UpdateProjectDataCacheOptionsAllowlist$outboundSchema, UpdateProjectDataCacheOptionsAllowlist$, UpdateProjectDataCachePasswordProtection$inboundSchema, UpdateProjectDataCachePasswordProtection$outboundSchema, UpdateProjectDataCachePasswordProtection$, UpdateProjectDataCacheProjectsFunctionDefaultMemoryType$inboundSchema, UpdateProjectDataCacheProjectsFunctionDefaultMemoryType$outboundSchema, UpdateProjectDataCacheProjectsFunctionDefaultMemoryType$, UpdateProjectDataCacheProjectsBuildMachineType$inboundSchema, UpdateProjectDataCacheProjectsBuildMachineType$outboundSchema, UpdateProjectDataCacheProjectsBuildMachineType$, UpdateProjectDataCacheResourceConfig$inboundSchema, UpdateProjectDataCacheResourceConfig$outboundSchema, UpdateProjectDataCacheResourceConfig$, Stages$inboundSchema, Stages$outboundSchema, Stages$, RollingRelease$inboundSchema, RollingRelease$outboundSchema, RollingRelease$, UpdateProjectDataCacheFunctionDefaultMemoryType$inboundSchema, UpdateProjectDataCacheFunctionDefaultMemoryType$outboundSchema, UpdateProjectDataCacheFunctionDefaultMemoryType$, UpdateProjectDataCacheBuildMachineType$inboundSchema, UpdateProjectDataCacheBuildMachineType$outboundSchema, UpdateProjectDataCacheBuildMachineType$, DefaultResourceConfig$inboundSchema, DefaultResourceConfig$outboundSchema, DefaultResourceConfig$, UpdateProjectDataCacheDeploymentType$inboundSchema, UpdateProjectDataCacheDeploymentType$outboundSchema, UpdateProjectDataCacheDeploymentType$, UpdateProjectDataCacheSsoProtection$inboundSchema, UpdateProjectDataCacheSsoProtection$outboundSchema, UpdateProjectDataCacheSsoProtection$, UpdateProjectDataCacheAliasAssigned$inboundSchema, UpdateProjectDataCacheAliasAssigned$outboundSchema, UpdateProjectDataCacheAliasAssigned$, UpdateProjectDataCacheAliasError$inboundSchema, UpdateProjectDataCacheAliasError$outboundSchema, UpdateProjectDataCacheAliasError$, UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema, UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema, UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyType$, UpdateProjectDataCacheProjectsBranchMatcher$inboundSchema, UpdateProjectDataCacheProjectsBranchMatcher$outboundSchema, UpdateProjectDataCacheProjectsBranchMatcher$, UpdateProjectDataCacheBuilds$inboundSchema, UpdateProjectDataCacheBuilds$outboundSchema, UpdateProjectDataCacheBuilds$, UpdateProjectDataCacheChecksConclusion$inboundSchema, UpdateProjectDataCacheChecksConclusion$outboundSchema, UpdateProjectDataCacheChecksConclusion$, UpdateProjectDataCacheChecksState$inboundSchema, UpdateProjectDataCacheChecksState$outboundSchema, UpdateProjectDataCacheChecksState$, UpdateProjectDataCacheCreator$inboundSchema, UpdateProjectDataCacheCreator$outboundSchema, UpdateProjectDataCacheCreator$, UpdateProjectDataCacheOidcTokenClaims$inboundSchema, UpdateProjectDataCacheOidcTokenClaims$outboundSchema, UpdateProjectDataCacheOidcTokenClaims$, UpdateProjectDataCachePlan$inboundSchema, UpdateProjectDataCachePlan$outboundSchema, UpdateProjectDataCachePlan$, UpdateProjectDataCacheReadyState$inboundSchema, UpdateProjectDataCacheReadyState$outboundSchema, UpdateProjectDataCacheReadyState$, UpdateProjectDataCacheReadySubstate$inboundSchema, UpdateProjectDataCacheReadySubstate$outboundSchema, UpdateProjectDataCacheReadySubstate$, UpdateProjectDataCacheProjectsResponseType$inboundSchema, UpdateProjectDataCacheProjectsResponseType$outboundSchema, UpdateProjectDataCacheProjectsResponseType$, Targets$inboundSchema, Targets$outboundSchema, Targets$, Permissions$inboundSchema, Permissions$outboundSchema, Permissions$, LastRollbackTarget$inboundSchema, LastRollbackTarget$outboundSchema, LastRollbackTarget$, JobStatus$inboundSchema, JobStatus$outboundSchema, JobStatus$, UpdateProjectDataCacheProjectsResponse200Type$inboundSchema, UpdateProjectDataCacheProjectsResponse200Type$outboundSchema, UpdateProjectDataCacheProjectsResponse200Type$, LastAliasRequest$inboundSchema, LastAliasRequest$outboundSchema, LastAliasRequest$, ProtectionBypassScope$inboundSchema, ProtectionBypassScope$outboundSchema, ProtectionBypassScope$, ProtectionBypass2$inboundSchema, ProtectionBypass2$outboundSchema, ProtectionBypass2$, UpdateProjectDataCacheProtectionBypassScope$inboundSchema, UpdateProjectDataCacheProtectionBypassScope$outboundSchema, UpdateProjectDataCacheProtectionBypassScope$, ProtectionBypass1$inboundSchema, ProtectionBypass1$outboundSchema, ProtectionBypass1$, ProtectionBypass$inboundSchema, ProtectionBypass$outboundSchema, ProtectionBypass$, UpdateProjectDataCacheTrustedIpsDeploymentType$inboundSchema, UpdateProjectDataCacheTrustedIpsDeploymentType$outboundSchema, UpdateProjectDataCacheTrustedIpsDeploymentType$, TrustedIps2$inboundSchema, TrustedIps2$outboundSchema, TrustedIps2$, TrustedIpsDeploymentType$inboundSchema, TrustedIpsDeploymentType$outboundSchema, TrustedIpsDeploymentType$, UpdateProjectDataCacheTrustedIpsAddresses$inboundSchema, UpdateProjectDataCacheTrustedIpsAddresses$outboundSchema, UpdateProjectDataCacheTrustedIpsAddresses$, UpdateProjectDataCacheTrustedIpsProtectionMode$inboundSchema, UpdateProjectDataCacheTrustedIpsProtectionMode$outboundSchema, UpdateProjectDataCacheTrustedIpsProtectionMode$, TrustedIps1$inboundSchema, TrustedIps1$outboundSchema, TrustedIps1$, UpdateProjectDataCacheTrustedIps$inboundSchema, UpdateProjectDataCacheTrustedIps$outboundSchema, UpdateProjectDataCacheTrustedIps$, GitComments$inboundSchema, GitComments$outboundSchema, GitComments$, CreateDeployments$inboundSchema, CreateDeployments$outboundSchema, CreateDeployments$, GitProviderOptions$inboundSchema, GitProviderOptions$outboundSchema, GitProviderOptions$, UpdateProjectDataCacheWebAnalytics$inboundSchema, UpdateProjectDataCacheWebAnalytics$outboundSchema, UpdateProjectDataCacheWebAnalytics$, Src2$inboundSchema, Src2$outboundSchema, Src2$, Src$inboundSchema, Src$outboundSchema, Src$, UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityType$inboundSchema, UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityType$outboundSchema, UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityType$, UpdateProjectDataCacheValueProjects2$inboundSchema, UpdateProjectDataCacheValueProjects2$outboundSchema, UpdateProjectDataCacheValueProjects2$, UpdateProjectDataCacheProjectsValue$inboundSchema, UpdateProjectDataCacheProjectsValue$outboundSchema, UpdateProjectDataCacheProjectsValue$, Has$inboundSchema, Has$outboundSchema, Has$, UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$inboundSchema, UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$outboundSchema, UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$, UpdateProjectDataCacheValue2$inboundSchema, UpdateProjectDataCacheValue2$outboundSchema, UpdateProjectDataCacheValue2$, UpdateProjectDataCacheValue$inboundSchema, UpdateProjectDataCacheValue$outboundSchema, UpdateProjectDataCacheValue$, Missing$inboundSchema, Missing$outboundSchema, Missing$, Handle$inboundSchema, Handle$outboundSchema, Handle$, UpdateProjectDataCacheProjectsAction$inboundSchema, UpdateProjectDataCacheProjectsAction$outboundSchema, UpdateProjectDataCacheProjectsAction$, UpdateProjectDataCacheAlgo$inboundSchema, UpdateProjectDataCacheAlgo$outboundSchema, UpdateProjectDataCacheAlgo$, Erl$inboundSchema, Erl$outboundSchema, Erl$, UpdateProjectDataCacheMitigate$inboundSchema, UpdateProjectDataCacheMitigate$outboundSchema, UpdateProjectDataCacheMitigate$, FirewallRoutes$inboundSchema, FirewallRoutes$outboundSchema, FirewallRoutes$, UpdateProjectDataCacheAction$inboundSchema, UpdateProjectDataCacheAction$outboundSchema, UpdateProjectDataCacheAction$, UpdateProjectDataCacheManagedRules$inboundSchema, UpdateProjectDataCacheManagedRules$outboundSchema, UpdateProjectDataCacheManagedRules$, UpdateProjectDataCacheSecurity$inboundSchema, UpdateProjectDataCacheSecurity$outboundSchema, UpdateProjectDataCacheSecurity$, UpdateProjectDataCacheIssuerMode$inboundSchema, UpdateProjectDataCacheIssuerMode$outboundSchema, UpdateProjectDataCacheIssuerMode$, UpdateProjectDataCacheOidcTokenConfig$inboundSchema, UpdateProjectDataCacheOidcTokenConfig$outboundSchema, UpdateProjectDataCacheOidcTokenConfig$, UpdateProjectDataCacheTier$inboundSchema, UpdateProjectDataCacheTier$outboundSchema, UpdateProjectDataCacheTier$, UpdateProjectDataCacheResponseBody$inboundSchema, UpdateProjectDataCacheResponseBody$outboundSchema, UpdateProjectDataCacheResponseBody$;
var init_updateprojectdatacacheop = __esm(() => {
  init_esm();
  init_primitives();
  init_aclaction();
  UpdateProjectDataCacheEnvId2 = {
    Production: "production",
    Preview: "preview"
  };
  UpdateProjectDataCacheTarget2 = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  UpdateProjectDataCacheTarget1 = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  UpdateProjectDataCacheProjectsResponse200ApplicationJSONType = {
    Secret: "secret",
    System: "system",
    Encrypted: "encrypted",
    Plain: "plain",
    Sensitive: "sensitive"
  };
  UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type = {
    FlagsConnectionString: "flags-connection-string"
  };
  UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type = {
    IntegrationStoreSecret: "integration-store-secret"
  };
  UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type = {
    PostgresUrlNoSsl: "postgres-url-no-ssl"
  };
  UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type = {
    PostgresDatabase: "postgres-database"
  };
  UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type = {
    PostgresPassword: "postgres-password"
  };
  UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type = {
    PostgresHost: "postgres-host"
  };
  UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type = {
    PostgresUser: "postgres-user"
  };
  UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType = {
    PostgresPrismaUrl: "postgres-prisma-url"
  };
  UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyType = {
    PostgresUrlNonPooling: "postgres-url-non-pooling"
  };
  UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONType = {
    PostgresUrl: "postgres-url"
  };
  UpdateProjectDataCacheContentHintProjectsResponse200Type = {
    BlobReadWriteToken: "blob-read-write-token"
  };
  UpdateProjectDataCacheContentHintProjectsResponseType = {
    RedisRestApiReadOnlyToken: "redis-rest-api-read-only-token"
  };
  UpdateProjectDataCacheContentHintProjectsType = {
    RedisRestApiToken: "redis-rest-api-token"
  };
  UpdateProjectDataCacheContentHintType = {
    RedisRestApiUrl: "redis-rest-api-url"
  };
  ContentHintType = {
    RedisUrl: "redis-url"
  };
  UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyEnvType = {
    FlagsSecret: "flags-secret"
  };
  UpdateProjectDataCacheType = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyCustomEnvironmentsType = {
    EndsWith: "endsWith",
    StartsWith: "startsWith",
    Equals: "equals"
  };
  UpdateProjectDataCacheFramework = {
    Blitzjs: "blitzjs",
    Nextjs: "nextjs",
    Gatsby: "gatsby",
    Remix: "remix",
    ReactRouter: "react-router",
    Astro: "astro",
    Hexo: "hexo",
    Eleventy: "eleventy",
    Docusaurus2: "docusaurus-2",
    Docusaurus: "docusaurus",
    Preact: "preact",
    Solidstart1: "solidstart-1",
    Solidstart: "solidstart",
    Dojo: "dojo",
    Ember: "ember",
    Vue: "vue",
    Scully: "scully",
    IonicAngular: "ionic-angular",
    Angular: "angular",
    Polymer: "polymer",
    Svelte: "svelte",
    Sveltekit: "sveltekit",
    Sveltekit1: "sveltekit-1",
    IonicReact: "ionic-react",
    CreateReactApp: "create-react-app",
    Gridsome: "gridsome",
    Umijs: "umijs",
    Sapper: "sapper",
    Saber: "saber",
    Stencil: "stencil",
    Nuxtjs: "nuxtjs",
    Redwoodjs: "redwoodjs",
    Hugo: "hugo",
    Jekyll: "jekyll",
    Brunch: "brunch",
    Middleman: "middleman",
    Zola: "zola",
    Hydrogen: "hydrogen",
    Vite: "vite",
    Vitepress: "vitepress",
    Vuepress: "vuepress",
    Parcel: "parcel",
    Fasthtml: "fasthtml",
    SanityV3: "sanity-v3",
    Sanity: "sanity",
    Storybook: "storybook"
  };
  UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType = {
    EndsWith: "endsWith",
    StartsWith: "startsWith",
    Equals: "equals"
  };
  UpdateProjectDataCacheProjectsChecksConclusion = {
    Succeeded: "succeeded",
    Failed: "failed",
    Skipped: "skipped",
    Canceled: "canceled"
  };
  UpdateProjectDataCacheProjectsChecksState = {
    Registered: "registered",
    Running: "running",
    Completed: "completed"
  };
  UpdateProjectDataCacheProjectsPlan = {
    Pro: "pro",
    Enterprise: "enterprise",
    Hobby: "hobby"
  };
  UpdateProjectDataCacheProjectsReadyState = {
    Building: "BUILDING",
    Error: "ERROR",
    Initializing: "INITIALIZING",
    Queued: "QUEUED",
    Ready: "READY",
    Canceled: "CANCELED"
  };
  UpdateProjectDataCacheProjectsReadySubstate = {
    Staged: "STAGED",
    Rolling: "ROLLING",
    Promoted: "PROMOTED"
  };
  UpdateProjectDataCacheProjectsType = {
    Lambdas: "LAMBDAS"
  };
  UpdateProjectDataCacheLinkProjectsResponseType = {
    GithubCustomHost: "github-custom-host"
  };
  UpdateProjectDataCacheLinkProjectsType = {
    Bitbucket: "bitbucket"
  };
  UpdateProjectDataCacheLinkType = {
    Gitlab: "gitlab"
  };
  LinkType = {
    Github: "github"
  };
  UpdateProjectDataCacheNodeVersion = {
    TwentyTwoDotX: "22.x",
    TwentyDotX: "20.x",
    EighteenDotX: "18.x",
    SixteenDotX: "16.x",
    FourteenDotX: "14.x",
    TwelveDotX: "12.x",
    TenDotX: "10.x",
    EightDot10DotX: "8.10.x"
  };
  UpdateProjectDataCacheProjectsFunctionDefaultMemoryType = {
    StandardLegacy: "standard_legacy",
    Standard: "standard",
    Performance: "performance"
  };
  UpdateProjectDataCacheProjectsBuildMachineType = {
    Enhanced: "enhanced",
    Ultra: "ultra"
  };
  UpdateProjectDataCacheFunctionDefaultMemoryType = {
    StandardLegacy: "standard_legacy",
    Standard: "standard",
    Performance: "performance"
  };
  UpdateProjectDataCacheBuildMachineType = {
    Enhanced: "enhanced",
    Ultra: "ultra"
  };
  UpdateProjectDataCacheDeploymentType = {
    Preview: "preview",
    All: "all",
    ProdDeploymentUrlsAndAllPreviews: "prod_deployment_urls_and_all_previews"
  };
  UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyType = {
    EndsWith: "endsWith",
    StartsWith: "startsWith",
    Equals: "equals"
  };
  UpdateProjectDataCacheChecksConclusion = {
    Succeeded: "succeeded",
    Failed: "failed",
    Skipped: "skipped",
    Canceled: "canceled"
  };
  UpdateProjectDataCacheChecksState = {
    Registered: "registered",
    Running: "running",
    Completed: "completed"
  };
  UpdateProjectDataCachePlan = {
    Pro: "pro",
    Enterprise: "enterprise",
    Hobby: "hobby"
  };
  UpdateProjectDataCacheReadyState = {
    Building: "BUILDING",
    Error: "ERROR",
    Initializing: "INITIALIZING",
    Queued: "QUEUED",
    Ready: "READY",
    Canceled: "CANCELED"
  };
  UpdateProjectDataCacheReadySubstate = {
    Staged: "STAGED",
    Rolling: "ROLLING",
    Promoted: "PROMOTED"
  };
  UpdateProjectDataCacheProjectsResponseType = {
    Lambdas: "LAMBDAS"
  };
  JobStatus = {
    Succeeded: "succeeded",
    Failed: "failed",
    Skipped: "skipped",
    Pending: "pending",
    InProgress: "in-progress"
  };
  UpdateProjectDataCacheProjectsResponse200Type = {
    Promote: "promote",
    Rollback: "rollback"
  };
  ProtectionBypassScope = {
    AutomationBypass: "automation-bypass"
  };
  UpdateProjectDataCacheProtectionBypassScope = {
    IntegrationAutomationBypass: "integration-automation-bypass"
  };
  UpdateProjectDataCacheTrustedIpsDeploymentType = {
    Production: "production",
    Preview: "preview",
    All: "all",
    ProdDeploymentUrlsAndAllPreviews: "prod_deployment_urls_and_all_previews"
  };
  TrustedIpsDeploymentType = {
    Production: "production",
    Preview: "preview",
    All: "all",
    ProdDeploymentUrlsAndAllPreviews: "prod_deployment_urls_and_all_previews"
  };
  UpdateProjectDataCacheTrustedIpsProtectionMode = {
    Additional: "additional",
    Exclusive: "exclusive"
  };
  CreateDeployments = {
    Enabled: "enabled",
    Disabled: "disabled"
  };
  UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityType = {
    Path: "path",
    Host: "host",
    Method: "method",
    Header: "header",
    Cookie: "cookie",
    Query: "query",
    IpAddress: "ip_address",
    Protocol: "protocol",
    Scheme: "scheme",
    Environment: "environment",
    Region: "region",
    InitialRequestPath: "initial_request_path"
  };
  UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType = {
    Path: "path",
    Host: "host",
    Method: "method",
    Header: "header",
    Cookie: "cookie",
    Query: "query",
    IpAddress: "ip_address",
    Protocol: "protocol",
    Scheme: "scheme",
    Environment: "environment",
    Region: "region",
    InitialRequestPath: "initial_request_path"
  };
  Handle = {
    Init: "init",
    Finalize: "finalize"
  };
  UpdateProjectDataCacheProjectsAction = {
    Deny: "deny",
    Challenge: "challenge",
    Log: "log",
    Bypass: "bypass",
    RateLimit: "rate_limit",
    Redirect: "redirect"
  };
  UpdateProjectDataCacheAlgo = {
    FixedWindow: "fixed_window",
    TokenBucket: "token_bucket"
  };
  UpdateProjectDataCacheAction = {
    Deny: "deny",
    Challenge: "challenge",
    Log: "log"
  };
  UpdateProjectDataCacheIssuerMode = {
    Team: "team",
    Global: "global"
  };
  UpdateProjectDataCacheTier = {
    Standard: "standard",
    Advanced: "advanced",
    Critical: "critical"
  };
  UpdateProjectDataCacheRequestBody$inboundSchema = objectType({
    disabled: booleanType().optional()
  });
  UpdateProjectDataCacheRequestBody$outboundSchema = objectType({
    disabled: booleanType().optional()
  });
  ((UpdateProjectDataCacheRequestBody$) => {
    UpdateProjectDataCacheRequestBody$.inboundSchema = UpdateProjectDataCacheRequestBody$inboundSchema;
    UpdateProjectDataCacheRequestBody$.outboundSchema = UpdateProjectDataCacheRequestBody$outboundSchema;
  })(UpdateProjectDataCacheRequestBody$ ||= {});
  UpdateProjectDataCacheRequest$inboundSchema = objectType({
    projectId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    RequestBody: lazyType(() => UpdateProjectDataCacheRequestBody$inboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  UpdateProjectDataCacheRequest$outboundSchema = objectType({
    projectId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    requestBody: lazyType(() => UpdateProjectDataCacheRequestBody$outboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((UpdateProjectDataCacheRequest$) => {
    UpdateProjectDataCacheRequest$.inboundSchema = UpdateProjectDataCacheRequest$inboundSchema;
    UpdateProjectDataCacheRequest$.outboundSchema = UpdateProjectDataCacheRequest$outboundSchema;
  })(UpdateProjectDataCacheRequest$ ||= {});
  Analytics$inboundSchema = objectType({
    id: stringType(),
    canceledAt: nullableType(numberType()).optional(),
    disabledAt: numberType(),
    enabledAt: numberType(),
    paidAt: numberType().optional(),
    sampleRatePercent: nullableType(numberType()).optional(),
    spendLimitInDollars: nullableType(numberType()).optional()
  });
  Analytics$outboundSchema = objectType({
    id: stringType(),
    canceledAt: nullableType(numberType()).optional(),
    disabledAt: numberType(),
    enabledAt: numberType(),
    paidAt: numberType().optional(),
    sampleRatePercent: nullableType(numberType()).optional(),
    spendLimitInDollars: nullableType(numberType()).optional()
  });
  ((Analytics$) => {
    Analytics$.inboundSchema = Analytics$inboundSchema;
    Analytics$.outboundSchema = Analytics$outboundSchema;
  })(Analytics$ ||= {});
  SpeedInsights$inboundSchema = objectType({
    id: stringType(),
    enabledAt: numberType().optional(),
    disabledAt: numberType().optional(),
    canceledAt: numberType().optional(),
    hasData: booleanType().optional(),
    paidAt: numberType().optional()
  });
  SpeedInsights$outboundSchema = objectType({
    id: stringType(),
    enabledAt: numberType().optional(),
    disabledAt: numberType().optional(),
    canceledAt: numberType().optional(),
    hasData: booleanType().optional(),
    paidAt: numberType().optional()
  });
  ((SpeedInsights$) => {
    SpeedInsights$.inboundSchema = SpeedInsights$inboundSchema;
    SpeedInsights$.outboundSchema = SpeedInsights$outboundSchema;
  })(SpeedInsights$ ||= {});
  UpdateProjectDataCacheEnvId2$inboundSchema = nativeEnumType(UpdateProjectDataCacheEnvId2);
  UpdateProjectDataCacheEnvId2$outboundSchema = UpdateProjectDataCacheEnvId2$inboundSchema;
  ((UpdateProjectDataCacheEnvId2$) => {
    UpdateProjectDataCacheEnvId2$.inboundSchema = UpdateProjectDataCacheEnvId2$inboundSchema;
    UpdateProjectDataCacheEnvId2$.outboundSchema = UpdateProjectDataCacheEnvId2$outboundSchema;
  })(UpdateProjectDataCacheEnvId2$ ||= {});
  UpdateProjectDataCacheEnvId$inboundSchema = unionType([stringType(), UpdateProjectDataCacheEnvId2$inboundSchema]);
  UpdateProjectDataCacheEnvId$outboundSchema = unionType([stringType(), UpdateProjectDataCacheEnvId2$outboundSchema]);
  ((UpdateProjectDataCacheEnvId$) => {
    UpdateProjectDataCacheEnvId$.inboundSchema = UpdateProjectDataCacheEnvId$inboundSchema;
    UpdateProjectDataCacheEnvId$.outboundSchema = UpdateProjectDataCacheEnvId$outboundSchema;
  })(UpdateProjectDataCacheEnvId$ ||= {});
  UpdateProjectDataCacheAws$inboundSchema = objectType({
    subnetIds: arrayType(stringType()),
    securityGroupId: stringType()
  });
  UpdateProjectDataCacheAws$outboundSchema = objectType({
    subnetIds: arrayType(stringType()),
    securityGroupId: stringType()
  });
  ((UpdateProjectDataCacheAws$) => {
    UpdateProjectDataCacheAws$.inboundSchema = UpdateProjectDataCacheAws$inboundSchema;
    UpdateProjectDataCacheAws$.outboundSchema = UpdateProjectDataCacheAws$outboundSchema;
  })(UpdateProjectDataCacheAws$ ||= {});
  UpdateProjectDataCacheConnectConfigurations$inboundSchema = objectType({
    envId: unionType([stringType(), UpdateProjectDataCacheEnvId2$inboundSchema]),
    connectConfigurationId: stringType(),
    passive: booleanType(),
    buildsEnabled: booleanType(),
    aws: lazyType(() => UpdateProjectDataCacheAws$inboundSchema).optional(),
    createdAt: numberType(),
    updatedAt: numberType()
  });
  UpdateProjectDataCacheConnectConfigurations$outboundSchema = objectType({
    envId: unionType([stringType(), UpdateProjectDataCacheEnvId2$outboundSchema]),
    connectConfigurationId: stringType(),
    passive: booleanType(),
    buildsEnabled: booleanType(),
    aws: lazyType(() => UpdateProjectDataCacheAws$outboundSchema).optional(),
    createdAt: numberType(),
    updatedAt: numberType()
  });
  ((UpdateProjectDataCacheConnectConfigurations$) => {
    UpdateProjectDataCacheConnectConfigurations$.inboundSchema = UpdateProjectDataCacheConnectConfigurations$inboundSchema;
    UpdateProjectDataCacheConnectConfigurations$.outboundSchema = UpdateProjectDataCacheConnectConfigurations$outboundSchema;
  })(UpdateProjectDataCacheConnectConfigurations$ ||= {});
  Definitions$inboundSchema = objectType({
    host: stringType(),
    path: stringType(),
    schedule: stringType()
  });
  Definitions$outboundSchema = objectType({
    host: stringType(),
    path: stringType(),
    schedule: stringType()
  });
  ((Definitions$) => {
    Definitions$.inboundSchema = Definitions$inboundSchema;
    Definitions$.outboundSchema = Definitions$outboundSchema;
  })(Definitions$ ||= {});
  Crons$inboundSchema = objectType({
    enabledAt: numberType(),
    disabledAt: nullableType(numberType()),
    updatedAt: numberType(),
    deploymentId: nullableType(stringType()),
    definitions: arrayType(lazyType(() => Definitions$inboundSchema))
  });
  Crons$outboundSchema = objectType({
    enabledAt: numberType(),
    disabledAt: nullableType(numberType()),
    updatedAt: numberType(),
    deploymentId: nullableType(stringType()),
    definitions: arrayType(lazyType(() => Definitions$outboundSchema))
  });
  ((Crons$) => {
    Crons$.inboundSchema = Crons$inboundSchema;
    Crons$.outboundSchema = Crons$outboundSchema;
  })(Crons$ ||= {});
  UpdateProjectDataCacheDataCache$inboundSchema = objectType({
    userDisabled: booleanType(),
    storageSizeBytes: nullableType(numberType()).optional(),
    unlimited: booleanType().optional()
  });
  UpdateProjectDataCacheDataCache$outboundSchema = objectType({
    userDisabled: booleanType(),
    storageSizeBytes: nullableType(numberType()).optional(),
    unlimited: booleanType().optional()
  });
  ((UpdateProjectDataCacheDataCache$) => {
    UpdateProjectDataCacheDataCache$.inboundSchema = UpdateProjectDataCacheDataCache$inboundSchema;
    UpdateProjectDataCacheDataCache$.outboundSchema = UpdateProjectDataCacheDataCache$outboundSchema;
  })(UpdateProjectDataCacheDataCache$ ||= {});
  DeploymentExpiration$inboundSchema = objectType({
    expirationDays: numberType().optional(),
    expirationDaysProduction: numberType().optional(),
    expirationDaysCanceled: numberType().optional(),
    expirationDaysErrored: numberType().optional(),
    deploymentsToKeep: numberType().optional()
  });
  DeploymentExpiration$outboundSchema = objectType({
    expirationDays: numberType().optional(),
    expirationDaysProduction: numberType().optional(),
    expirationDaysCanceled: numberType().optional(),
    expirationDaysErrored: numberType().optional(),
    deploymentsToKeep: numberType().optional()
  });
  ((DeploymentExpiration$) => {
    DeploymentExpiration$.inboundSchema = DeploymentExpiration$inboundSchema;
    DeploymentExpiration$.outboundSchema = DeploymentExpiration$outboundSchema;
  })(DeploymentExpiration$ ||= {});
  UpdateProjectDataCacheTarget2$inboundSchema = nativeEnumType(UpdateProjectDataCacheTarget2);
  UpdateProjectDataCacheTarget2$outboundSchema = UpdateProjectDataCacheTarget2$inboundSchema;
  ((UpdateProjectDataCacheTarget2$) => {
    UpdateProjectDataCacheTarget2$.inboundSchema = UpdateProjectDataCacheTarget2$inboundSchema;
    UpdateProjectDataCacheTarget2$.outboundSchema = UpdateProjectDataCacheTarget2$outboundSchema;
  })(UpdateProjectDataCacheTarget2$ ||= {});
  UpdateProjectDataCacheTarget1$inboundSchema = nativeEnumType(UpdateProjectDataCacheTarget1);
  UpdateProjectDataCacheTarget1$outboundSchema = UpdateProjectDataCacheTarget1$inboundSchema;
  ((UpdateProjectDataCacheTarget1$) => {
    UpdateProjectDataCacheTarget1$.inboundSchema = UpdateProjectDataCacheTarget1$inboundSchema;
    UpdateProjectDataCacheTarget1$.outboundSchema = UpdateProjectDataCacheTarget1$outboundSchema;
  })(UpdateProjectDataCacheTarget1$ ||= {});
  UpdateProjectDataCacheTarget$inboundSchema = unionType([
    arrayType(UpdateProjectDataCacheTarget1$inboundSchema),
    UpdateProjectDataCacheTarget2$inboundSchema
  ]);
  UpdateProjectDataCacheTarget$outboundSchema = unionType([
    arrayType(UpdateProjectDataCacheTarget1$outboundSchema),
    UpdateProjectDataCacheTarget2$outboundSchema
  ]);
  ((UpdateProjectDataCacheTarget$) => {
    UpdateProjectDataCacheTarget$.inboundSchema = UpdateProjectDataCacheTarget$inboundSchema;
    UpdateProjectDataCacheTarget$.outboundSchema = UpdateProjectDataCacheTarget$outboundSchema;
  })(UpdateProjectDataCacheTarget$ ||= {});
  UpdateProjectDataCacheProjectsResponse200ApplicationJSONType$inboundSchema = nativeEnumType(UpdateProjectDataCacheProjectsResponse200ApplicationJSONType);
  UpdateProjectDataCacheProjectsResponse200ApplicationJSONType$outboundSchema = UpdateProjectDataCacheProjectsResponse200ApplicationJSONType$inboundSchema;
  ((UpdateProjectDataCacheProjectsResponse200ApplicationJSONType$) => {
    UpdateProjectDataCacheProjectsResponse200ApplicationJSONType$.inboundSchema = UpdateProjectDataCacheProjectsResponse200ApplicationJSONType$inboundSchema;
    UpdateProjectDataCacheProjectsResponse200ApplicationJSONType$.outboundSchema = UpdateProjectDataCacheProjectsResponse200ApplicationJSONType$outboundSchema;
  })(UpdateProjectDataCacheProjectsResponse200ApplicationJSONType$ ||= {});
  UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$inboundSchema = nativeEnumType(UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type);
  UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$outboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$inboundSchema;
  ((UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$) => {
    UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$.inboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$inboundSchema;
    UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$.outboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$outboundSchema;
  })(UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$ ||= {});
  ContentHint15$inboundSchema = objectType({
    type: UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$inboundSchema,
    projectId: stringType()
  });
  ContentHint15$outboundSchema = objectType({
    type: UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$outboundSchema,
    projectId: stringType()
  });
  ((ContentHint15$) => {
    ContentHint15$.inboundSchema = ContentHint15$inboundSchema;
    ContentHint15$.outboundSchema = ContentHint15$outboundSchema;
  })(ContentHint15$ ||= {});
  UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$inboundSchema = nativeEnumType(UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type);
  UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$outboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$inboundSchema;
  ((UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$) => {
    UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$.inboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$inboundSchema;
    UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$.outboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$outboundSchema;
  })(UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$ ||= {});
  ContentHint14$inboundSchema = objectType({
    type: UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$inboundSchema,
    storeId: stringType(),
    integrationId: stringType(),
    integrationProductId: stringType(),
    integrationConfigurationId: stringType()
  });
  ContentHint14$outboundSchema = objectType({
    type: UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$outboundSchema,
    storeId: stringType(),
    integrationId: stringType(),
    integrationProductId: stringType(),
    integrationConfigurationId: stringType()
  });
  ((ContentHint14$) => {
    ContentHint14$.inboundSchema = ContentHint14$inboundSchema;
    ContentHint14$.outboundSchema = ContentHint14$outboundSchema;
  })(ContentHint14$ ||= {});
  UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$inboundSchema = nativeEnumType(UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type);
  UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$outboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$inboundSchema;
  ((UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$) => {
    UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$.inboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$inboundSchema;
    UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$.outboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$outboundSchema;
  })(UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$ ||= {});
  ContentHint13$inboundSchema = objectType({
    type: UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$inboundSchema,
    storeId: stringType()
  });
  ContentHint13$outboundSchema = objectType({
    type: UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$outboundSchema,
    storeId: stringType()
  });
  ((ContentHint13$) => {
    ContentHint13$.inboundSchema = ContentHint13$inboundSchema;
    ContentHint13$.outboundSchema = ContentHint13$outboundSchema;
  })(ContentHint13$ ||= {});
  UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$inboundSchema = nativeEnumType(UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type);
  UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$outboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$inboundSchema;
  ((UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$) => {
    UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$.inboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$inboundSchema;
    UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$.outboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$outboundSchema;
  })(UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$ ||= {});
  ContentHint12$inboundSchema = objectType({
    type: UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$inboundSchema,
    storeId: stringType()
  });
  ContentHint12$outboundSchema = objectType({
    type: UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$outboundSchema,
    storeId: stringType()
  });
  ((ContentHint12$) => {
    ContentHint12$.inboundSchema = ContentHint12$inboundSchema;
    ContentHint12$.outboundSchema = ContentHint12$outboundSchema;
  })(ContentHint12$ ||= {});
  UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$inboundSchema = nativeEnumType(UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type);
  UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$outboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$inboundSchema;
  ((UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$) => {
    UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$.inboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$inboundSchema;
    UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$.outboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$outboundSchema;
  })(UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$ ||= {});
  ContentHint11$inboundSchema = objectType({
    type: UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$inboundSchema,
    storeId: stringType()
  });
  ContentHint11$outboundSchema = objectType({
    type: UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$outboundSchema,
    storeId: stringType()
  });
  ((ContentHint11$) => {
    ContentHint11$.inboundSchema = ContentHint11$inboundSchema;
    ContentHint11$.outboundSchema = ContentHint11$outboundSchema;
  })(ContentHint11$ ||= {});
  UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$inboundSchema = nativeEnumType(UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type);
  UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$outboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$inboundSchema;
  ((UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$) => {
    UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$.inboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$inboundSchema;
    UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$.outboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$outboundSchema;
  })(UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$ ||= {});
  ContentHint10$inboundSchema = objectType({
    type: UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$inboundSchema,
    storeId: stringType()
  });
  ContentHint10$outboundSchema = objectType({
    type: UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$outboundSchema,
    storeId: stringType()
  });
  ((ContentHint10$) => {
    ContentHint10$.inboundSchema = ContentHint10$inboundSchema;
    ContentHint10$.outboundSchema = ContentHint10$outboundSchema;
  })(ContentHint10$ ||= {});
  UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$inboundSchema = nativeEnumType(UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type);
  UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$outboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$inboundSchema;
  ((UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$) => {
    UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$.inboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$inboundSchema;
    UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$.outboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$outboundSchema;
  })(UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$ ||= {});
  ContentHint9$inboundSchema = objectType({
    type: UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$inboundSchema,
    storeId: stringType()
  });
  ContentHint9$outboundSchema = objectType({
    type: UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$outboundSchema,
    storeId: stringType()
  });
  ((ContentHint9$) => {
    ContentHint9$.inboundSchema = ContentHint9$inboundSchema;
    ContentHint9$.outboundSchema = ContentHint9$outboundSchema;
  })(ContentHint9$ ||= {});
  UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$inboundSchema = nativeEnumType(UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType);
  UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$outboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$inboundSchema;
  ((UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$) => {
    UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$.inboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$inboundSchema;
    UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$.outboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$outboundSchema;
  })(UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$ ||= {});
  ContentHint8$inboundSchema = objectType({
    type: UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$inboundSchema,
    storeId: stringType()
  });
  ContentHint8$outboundSchema = objectType({
    type: UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$outboundSchema,
    storeId: stringType()
  });
  ((ContentHint8$) => {
    ContentHint8$.inboundSchema = ContentHint8$inboundSchema;
    ContentHint8$.outboundSchema = ContentHint8$outboundSchema;
  })(ContentHint8$ ||= {});
  UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema = nativeEnumType(UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyType);
  UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema;
  ((UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyType$) => {
    UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyType$.inboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema;
    UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyType$.outboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema;
  })(UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyType$ ||= {});
  ContentHint7$inboundSchema = objectType({
    type: UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema,
    storeId: stringType()
  });
  ContentHint7$outboundSchema = objectType({
    type: UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema,
    storeId: stringType()
  });
  ((ContentHint7$) => {
    ContentHint7$.inboundSchema = ContentHint7$inboundSchema;
    ContentHint7$.outboundSchema = ContentHint7$outboundSchema;
  })(ContentHint7$ ||= {});
  UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONType$inboundSchema = nativeEnumType(UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONType);
  UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONType$outboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONType$inboundSchema;
  ((UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONType$) => {
    UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONType$.inboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONType$inboundSchema;
    UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONType$.outboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONType$outboundSchema;
  })(UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONType$ ||= {});
  ContentHint6$inboundSchema = objectType({
    type: UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONType$inboundSchema,
    storeId: stringType()
  });
  ContentHint6$outboundSchema = objectType({
    type: UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONType$outboundSchema,
    storeId: stringType()
  });
  ((ContentHint6$) => {
    ContentHint6$.inboundSchema = ContentHint6$inboundSchema;
    ContentHint6$.outboundSchema = ContentHint6$outboundSchema;
  })(ContentHint6$ ||= {});
  UpdateProjectDataCacheContentHintProjectsResponse200Type$inboundSchema = nativeEnumType(UpdateProjectDataCacheContentHintProjectsResponse200Type);
  UpdateProjectDataCacheContentHintProjectsResponse200Type$outboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200Type$inboundSchema;
  ((UpdateProjectDataCacheContentHintProjectsResponse200Type$) => {
    UpdateProjectDataCacheContentHintProjectsResponse200Type$.inboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200Type$inboundSchema;
    UpdateProjectDataCacheContentHintProjectsResponse200Type$.outboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200Type$outboundSchema;
  })(UpdateProjectDataCacheContentHintProjectsResponse200Type$ ||= {});
  ContentHint5$inboundSchema = objectType({
    type: UpdateProjectDataCacheContentHintProjectsResponse200Type$inboundSchema,
    storeId: stringType()
  });
  ContentHint5$outboundSchema = objectType({
    type: UpdateProjectDataCacheContentHintProjectsResponse200Type$outboundSchema,
    storeId: stringType()
  });
  ((ContentHint5$) => {
    ContentHint5$.inboundSchema = ContentHint5$inboundSchema;
    ContentHint5$.outboundSchema = ContentHint5$outboundSchema;
  })(ContentHint5$ ||= {});
  UpdateProjectDataCacheContentHintProjectsResponseType$inboundSchema = nativeEnumType(UpdateProjectDataCacheContentHintProjectsResponseType);
  UpdateProjectDataCacheContentHintProjectsResponseType$outboundSchema = UpdateProjectDataCacheContentHintProjectsResponseType$inboundSchema;
  ((UpdateProjectDataCacheContentHintProjectsResponseType$) => {
    UpdateProjectDataCacheContentHintProjectsResponseType$.inboundSchema = UpdateProjectDataCacheContentHintProjectsResponseType$inboundSchema;
    UpdateProjectDataCacheContentHintProjectsResponseType$.outboundSchema = UpdateProjectDataCacheContentHintProjectsResponseType$outboundSchema;
  })(UpdateProjectDataCacheContentHintProjectsResponseType$ ||= {});
  ContentHint4$inboundSchema = objectType({
    type: UpdateProjectDataCacheContentHintProjectsResponseType$inboundSchema,
    storeId: stringType()
  });
  ContentHint4$outboundSchema = objectType({
    type: UpdateProjectDataCacheContentHintProjectsResponseType$outboundSchema,
    storeId: stringType()
  });
  ((ContentHint4$) => {
    ContentHint4$.inboundSchema = ContentHint4$inboundSchema;
    ContentHint4$.outboundSchema = ContentHint4$outboundSchema;
  })(ContentHint4$ ||= {});
  UpdateProjectDataCacheContentHintProjectsType$inboundSchema = nativeEnumType(UpdateProjectDataCacheContentHintProjectsType);
  UpdateProjectDataCacheContentHintProjectsType$outboundSchema = UpdateProjectDataCacheContentHintProjectsType$inboundSchema;
  ((UpdateProjectDataCacheContentHintProjectsType$) => {
    UpdateProjectDataCacheContentHintProjectsType$.inboundSchema = UpdateProjectDataCacheContentHintProjectsType$inboundSchema;
    UpdateProjectDataCacheContentHintProjectsType$.outboundSchema = UpdateProjectDataCacheContentHintProjectsType$outboundSchema;
  })(UpdateProjectDataCacheContentHintProjectsType$ ||= {});
  ContentHint3$inboundSchema = objectType({
    type: UpdateProjectDataCacheContentHintProjectsType$inboundSchema,
    storeId: stringType()
  });
  ContentHint3$outboundSchema = objectType({
    type: UpdateProjectDataCacheContentHintProjectsType$outboundSchema,
    storeId: stringType()
  });
  ((ContentHint3$) => {
    ContentHint3$.inboundSchema = ContentHint3$inboundSchema;
    ContentHint3$.outboundSchema = ContentHint3$outboundSchema;
  })(ContentHint3$ ||= {});
  UpdateProjectDataCacheContentHintType$inboundSchema = nativeEnumType(UpdateProjectDataCacheContentHintType);
  UpdateProjectDataCacheContentHintType$outboundSchema = UpdateProjectDataCacheContentHintType$inboundSchema;
  ((UpdateProjectDataCacheContentHintType$) => {
    UpdateProjectDataCacheContentHintType$.inboundSchema = UpdateProjectDataCacheContentHintType$inboundSchema;
    UpdateProjectDataCacheContentHintType$.outboundSchema = UpdateProjectDataCacheContentHintType$outboundSchema;
  })(UpdateProjectDataCacheContentHintType$ ||= {});
  ContentHint2$inboundSchema = objectType({
    type: UpdateProjectDataCacheContentHintType$inboundSchema,
    storeId: stringType()
  });
  ContentHint2$outboundSchema = objectType({
    type: UpdateProjectDataCacheContentHintType$outboundSchema,
    storeId: stringType()
  });
  ((ContentHint2$) => {
    ContentHint2$.inboundSchema = ContentHint2$inboundSchema;
    ContentHint2$.outboundSchema = ContentHint2$outboundSchema;
  })(ContentHint2$ ||= {});
  ContentHintType$inboundSchema = nativeEnumType(ContentHintType);
  ContentHintType$outboundSchema = ContentHintType$inboundSchema;
  ((ContentHintType$) => {
    ContentHintType$.inboundSchema = ContentHintType$inboundSchema;
    ContentHintType$.outboundSchema = ContentHintType$outboundSchema;
  })(ContentHintType$ ||= {});
  ContentHint1$inboundSchema = objectType({
    type: ContentHintType$inboundSchema,
    storeId: stringType()
  });
  ContentHint1$outboundSchema = objectType({
    type: ContentHintType$outboundSchema,
    storeId: stringType()
  });
  ((ContentHint1$) => {
    ContentHint1$.inboundSchema = ContentHint1$inboundSchema;
    ContentHint1$.outboundSchema = ContentHint1$outboundSchema;
  })(ContentHint1$ ||= {});
  ContentHint$inboundSchema = unionType([
    lazyType(() => ContentHint1$inboundSchema),
    lazyType(() => ContentHint2$inboundSchema),
    lazyType(() => ContentHint3$inboundSchema),
    lazyType(() => ContentHint4$inboundSchema),
    lazyType(() => ContentHint5$inboundSchema),
    lazyType(() => ContentHint6$inboundSchema),
    lazyType(() => ContentHint7$inboundSchema),
    lazyType(() => ContentHint8$inboundSchema),
    lazyType(() => ContentHint9$inboundSchema),
    lazyType(() => ContentHint10$inboundSchema),
    lazyType(() => ContentHint11$inboundSchema),
    lazyType(() => ContentHint12$inboundSchema),
    lazyType(() => ContentHint13$inboundSchema),
    lazyType(() => ContentHint15$inboundSchema),
    lazyType(() => ContentHint14$inboundSchema)
  ]);
  ContentHint$outboundSchema = unionType([
    lazyType(() => ContentHint1$outboundSchema),
    lazyType(() => ContentHint2$outboundSchema),
    lazyType(() => ContentHint3$outboundSchema),
    lazyType(() => ContentHint4$outboundSchema),
    lazyType(() => ContentHint5$outboundSchema),
    lazyType(() => ContentHint6$outboundSchema),
    lazyType(() => ContentHint7$outboundSchema),
    lazyType(() => ContentHint8$outboundSchema),
    lazyType(() => ContentHint9$outboundSchema),
    lazyType(() => ContentHint10$outboundSchema),
    lazyType(() => ContentHint11$outboundSchema),
    lazyType(() => ContentHint12$outboundSchema),
    lazyType(() => ContentHint13$outboundSchema),
    lazyType(() => ContentHint15$outboundSchema),
    lazyType(() => ContentHint14$outboundSchema)
  ]);
  ((ContentHint$) => {
    ContentHint$.inboundSchema = ContentHint$inboundSchema;
    ContentHint$.outboundSchema = ContentHint$outboundSchema;
  })(ContentHint$ ||= {});
  UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyEnvType$inboundSchema = nativeEnumType(UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyEnvType);
  UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyEnvType$outboundSchema = UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyEnvType$inboundSchema;
  ((UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyEnvType$) => {
    UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyEnvType$.inboundSchema = UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyEnvType$inboundSchema;
    UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyEnvType$.outboundSchema = UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyEnvType$outboundSchema;
  })(UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyEnvType$ ||= {});
  InternalContentHint$inboundSchema = objectType({
    type: UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyEnvType$inboundSchema,
    encryptedValue: stringType()
  });
  InternalContentHint$outboundSchema = objectType({
    type: UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyEnvType$outboundSchema,
    encryptedValue: stringType()
  });
  ((InternalContentHint$) => {
    InternalContentHint$.inboundSchema = InternalContentHint$inboundSchema;
    InternalContentHint$.outboundSchema = InternalContentHint$outboundSchema;
  })(InternalContentHint$ ||= {});
  Env$inboundSchema = objectType({
    target: unionType([
      arrayType(UpdateProjectDataCacheTarget1$inboundSchema),
      UpdateProjectDataCacheTarget2$inboundSchema
    ]).optional(),
    type: UpdateProjectDataCacheProjectsResponse200ApplicationJSONType$inboundSchema,
    sunsetSecretId: stringType().optional(),
    decrypted: booleanType().optional(),
    value: stringType(),
    vsmValue: stringType().optional(),
    id: stringType().optional(),
    key: stringType(),
    configurationId: nullableType(stringType()).optional(),
    createdAt: numberType().optional(),
    updatedAt: numberType().optional(),
    createdBy: nullableType(stringType()).optional(),
    updatedBy: nullableType(stringType()).optional(),
    gitBranch: stringType().optional(),
    edgeConfigId: nullableType(stringType()).optional(),
    edgeConfigTokenId: nullableType(stringType()).optional(),
    contentHint: nullableType(unionType([
      lazyType(() => ContentHint1$inboundSchema),
      lazyType(() => ContentHint2$inboundSchema),
      lazyType(() => ContentHint3$inboundSchema),
      lazyType(() => ContentHint4$inboundSchema),
      lazyType(() => ContentHint5$inboundSchema),
      lazyType(() => ContentHint6$inboundSchema),
      lazyType(() => ContentHint7$inboundSchema),
      lazyType(() => ContentHint8$inboundSchema),
      lazyType(() => ContentHint9$inboundSchema),
      lazyType(() => ContentHint10$inboundSchema),
      lazyType(() => ContentHint11$inboundSchema),
      lazyType(() => ContentHint12$inboundSchema),
      lazyType(() => ContentHint13$inboundSchema),
      lazyType(() => ContentHint15$inboundSchema),
      lazyType(() => ContentHint14$inboundSchema)
    ])).optional(),
    internalContentHint: nullableType(lazyType(() => InternalContentHint$inboundSchema)).optional(),
    comment: stringType().optional(),
    customEnvironmentIds: arrayType(stringType()).optional()
  });
  Env$outboundSchema = objectType({
    target: unionType([
      arrayType(UpdateProjectDataCacheTarget1$outboundSchema),
      UpdateProjectDataCacheTarget2$outboundSchema
    ]).optional(),
    type: UpdateProjectDataCacheProjectsResponse200ApplicationJSONType$outboundSchema,
    sunsetSecretId: stringType().optional(),
    decrypted: booleanType().optional(),
    value: stringType(),
    vsmValue: stringType().optional(),
    id: stringType().optional(),
    key: stringType(),
    configurationId: nullableType(stringType()).optional(),
    createdAt: numberType().optional(),
    updatedAt: numberType().optional(),
    createdBy: nullableType(stringType()).optional(),
    updatedBy: nullableType(stringType()).optional(),
    gitBranch: stringType().optional(),
    edgeConfigId: nullableType(stringType()).optional(),
    edgeConfigTokenId: nullableType(stringType()).optional(),
    contentHint: nullableType(unionType([
      lazyType(() => ContentHint1$outboundSchema),
      lazyType(() => ContentHint2$outboundSchema),
      lazyType(() => ContentHint3$outboundSchema),
      lazyType(() => ContentHint4$outboundSchema),
      lazyType(() => ContentHint5$outboundSchema),
      lazyType(() => ContentHint6$outboundSchema),
      lazyType(() => ContentHint7$outboundSchema),
      lazyType(() => ContentHint8$outboundSchema),
      lazyType(() => ContentHint9$outboundSchema),
      lazyType(() => ContentHint10$outboundSchema),
      lazyType(() => ContentHint11$outboundSchema),
      lazyType(() => ContentHint12$outboundSchema),
      lazyType(() => ContentHint13$outboundSchema),
      lazyType(() => ContentHint15$outboundSchema),
      lazyType(() => ContentHint14$outboundSchema)
    ])).optional(),
    internalContentHint: nullableType(lazyType(() => InternalContentHint$outboundSchema)).optional(),
    comment: stringType().optional(),
    customEnvironmentIds: arrayType(stringType()).optional()
  });
  ((Env$) => {
    Env$.inboundSchema = Env$inboundSchema;
    Env$.outboundSchema = Env$outboundSchema;
  })(Env$ ||= {});
  UpdateProjectDataCacheType$inboundSchema = nativeEnumType(UpdateProjectDataCacheType);
  UpdateProjectDataCacheType$outboundSchema = UpdateProjectDataCacheType$inboundSchema;
  ((UpdateProjectDataCacheType$) => {
    UpdateProjectDataCacheType$.inboundSchema = UpdateProjectDataCacheType$inboundSchema;
    UpdateProjectDataCacheType$.outboundSchema = UpdateProjectDataCacheType$outboundSchema;
  })(UpdateProjectDataCacheType$ ||= {});
  UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyCustomEnvironmentsType$inboundSchema = nativeEnumType(UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyCustomEnvironmentsType);
  UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyCustomEnvironmentsType$outboundSchema = UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyCustomEnvironmentsType$inboundSchema;
  ((UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyCustomEnvironmentsType$) => {
    UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyCustomEnvironmentsType$.inboundSchema = UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyCustomEnvironmentsType$inboundSchema;
    UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyCustomEnvironmentsType$.outboundSchema = UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyCustomEnvironmentsType$outboundSchema;
  })(UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyCustomEnvironmentsType$ ||= {});
  UpdateProjectDataCacheProjectsResponseBranchMatcher$inboundSchema = objectType({
    type: UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyCustomEnvironmentsType$inboundSchema,
    pattern: stringType()
  });
  UpdateProjectDataCacheProjectsResponseBranchMatcher$outboundSchema = objectType({
    type: UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyCustomEnvironmentsType$outboundSchema,
    pattern: stringType()
  });
  ((UpdateProjectDataCacheProjectsResponseBranchMatcher$) => {
    UpdateProjectDataCacheProjectsResponseBranchMatcher$.inboundSchema = UpdateProjectDataCacheProjectsResponseBranchMatcher$inboundSchema;
    UpdateProjectDataCacheProjectsResponseBranchMatcher$.outboundSchema = UpdateProjectDataCacheProjectsResponseBranchMatcher$outboundSchema;
  })(UpdateProjectDataCacheProjectsResponseBranchMatcher$ ||= {});
  UpdateProjectDataCacheVerification$inboundSchema = objectType({
    type: stringType(),
    domain: stringType(),
    value: stringType(),
    reason: stringType()
  });
  UpdateProjectDataCacheVerification$outboundSchema = objectType({
    type: stringType(),
    domain: stringType(),
    value: stringType(),
    reason: stringType()
  });
  ((UpdateProjectDataCacheVerification$) => {
    UpdateProjectDataCacheVerification$.inboundSchema = UpdateProjectDataCacheVerification$inboundSchema;
    UpdateProjectDataCacheVerification$.outboundSchema = UpdateProjectDataCacheVerification$outboundSchema;
  })(UpdateProjectDataCacheVerification$ ||= {});
  UpdateProjectDataCacheDomains$inboundSchema = objectType({
    name: stringType(),
    apexName: stringType(),
    projectId: stringType(),
    redirect: nullableType(stringType()).optional(),
    redirectStatusCode: nullableType(numberType()).optional(),
    gitBranch: nullableType(stringType()).optional(),
    customEnvironmentId: nullableType(stringType()).optional(),
    updatedAt: numberType().optional(),
    createdAt: numberType().optional(),
    verified: booleanType(),
    verification: arrayType(lazyType(() => UpdateProjectDataCacheVerification$inboundSchema)).optional()
  });
  UpdateProjectDataCacheDomains$outboundSchema = objectType({
    name: stringType(),
    apexName: stringType(),
    projectId: stringType(),
    redirect: nullableType(stringType()).optional(),
    redirectStatusCode: nullableType(numberType()).optional(),
    gitBranch: nullableType(stringType()).optional(),
    customEnvironmentId: nullableType(stringType()).optional(),
    updatedAt: numberType().optional(),
    createdAt: numberType().optional(),
    verified: booleanType(),
    verification: arrayType(lazyType(() => UpdateProjectDataCacheVerification$outboundSchema)).optional()
  });
  ((UpdateProjectDataCacheDomains$) => {
    UpdateProjectDataCacheDomains$.inboundSchema = UpdateProjectDataCacheDomains$inboundSchema;
    UpdateProjectDataCacheDomains$.outboundSchema = UpdateProjectDataCacheDomains$outboundSchema;
  })(UpdateProjectDataCacheDomains$ ||= {});
  CustomEnvironments$inboundSchema = objectType({
    id: stringType(),
    slug: stringType(),
    type: UpdateProjectDataCacheType$inboundSchema,
    description: stringType().optional(),
    branchMatcher: lazyType(() => UpdateProjectDataCacheProjectsResponseBranchMatcher$inboundSchema).optional(),
    domains: arrayType(lazyType(() => UpdateProjectDataCacheDomains$inboundSchema)).optional(),
    currentDeploymentAliases: arrayType(stringType()).optional(),
    createdAt: numberType(),
    updatedAt: numberType()
  });
  CustomEnvironments$outboundSchema = objectType({
    id: stringType(),
    slug: stringType(),
    type: UpdateProjectDataCacheType$outboundSchema,
    description: stringType().optional(),
    branchMatcher: lazyType(() => UpdateProjectDataCacheProjectsResponseBranchMatcher$outboundSchema).optional(),
    domains: arrayType(lazyType(() => UpdateProjectDataCacheDomains$outboundSchema)).optional(),
    currentDeploymentAliases: arrayType(stringType()).optional(),
    createdAt: numberType(),
    updatedAt: numberType()
  });
  ((CustomEnvironments$) => {
    CustomEnvironments$.inboundSchema = CustomEnvironments$inboundSchema;
    CustomEnvironments$.outboundSchema = CustomEnvironments$outboundSchema;
  })(CustomEnvironments$ ||= {});
  UpdateProjectDataCacheFramework$inboundSchema = nativeEnumType(UpdateProjectDataCacheFramework);
  UpdateProjectDataCacheFramework$outboundSchema = UpdateProjectDataCacheFramework$inboundSchema;
  ((UpdateProjectDataCacheFramework$) => {
    UpdateProjectDataCacheFramework$.inboundSchema = UpdateProjectDataCacheFramework$inboundSchema;
    UpdateProjectDataCacheFramework$.outboundSchema = UpdateProjectDataCacheFramework$outboundSchema;
  })(UpdateProjectDataCacheFramework$ ||= {});
  IpBuckets$inboundSchema = objectType({
    bucket: stringType(),
    supportUntil: numberType().optional()
  });
  IpBuckets$outboundSchema = objectType({
    bucket: stringType(),
    supportUntil: numberType().optional()
  });
  ((IpBuckets$) => {
    IpBuckets$.inboundSchema = IpBuckets$inboundSchema;
    IpBuckets$.outboundSchema = IpBuckets$outboundSchema;
  })(IpBuckets$ ||= {});
  AliasAssigned$inboundSchema = unionType([numberType(), booleanType()]);
  AliasAssigned$outboundSchema = unionType([numberType(), booleanType()]);
  ((AliasAssigned$) => {
    AliasAssigned$.inboundSchema = AliasAssigned$inboundSchema;
    AliasAssigned$.outboundSchema = AliasAssigned$outboundSchema;
  })(AliasAssigned$ ||= {});
  UpdateProjectDataCacheProjectsAliasError$inboundSchema = objectType({
    code: stringType(),
    message: stringType()
  });
  UpdateProjectDataCacheProjectsAliasError$outboundSchema = objectType({
    code: stringType(),
    message: stringType()
  });
  ((UpdateProjectDataCacheProjectsAliasError$) => {
    UpdateProjectDataCacheProjectsAliasError$.inboundSchema = UpdateProjectDataCacheProjectsAliasError$inboundSchema;
    UpdateProjectDataCacheProjectsAliasError$.outboundSchema = UpdateProjectDataCacheProjectsAliasError$outboundSchema;
  })(UpdateProjectDataCacheProjectsAliasError$ ||= {});
  UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType$inboundSchema = nativeEnumType(UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType);
  UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType$outboundSchema = UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType$inboundSchema;
  ((UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType$) => {
    UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType$.inboundSchema = UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType$inboundSchema;
    UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType$.outboundSchema = UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType$outboundSchema;
  })(UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType$ ||= {});
  UpdateProjectDataCacheBranchMatcher$inboundSchema = objectType({
    type: UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType$inboundSchema,
    pattern: stringType()
  });
  UpdateProjectDataCacheBranchMatcher$outboundSchema = objectType({
    type: UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType$outboundSchema,
    pattern: stringType()
  });
  ((UpdateProjectDataCacheBranchMatcher$) => {
    UpdateProjectDataCacheBranchMatcher$.inboundSchema = UpdateProjectDataCacheBranchMatcher$inboundSchema;
    UpdateProjectDataCacheBranchMatcher$.outboundSchema = UpdateProjectDataCacheBranchMatcher$outboundSchema;
  })(UpdateProjectDataCacheBranchMatcher$ ||= {});
  UpdateProjectDataCacheProjectsBuilds$inboundSchema = objectType({
    use: stringType(),
    src: stringType().optional(),
    dest: stringType().optional()
  });
  UpdateProjectDataCacheProjectsBuilds$outboundSchema = objectType({
    use: stringType(),
    src: stringType().optional(),
    dest: stringType().optional()
  });
  ((UpdateProjectDataCacheProjectsBuilds$) => {
    UpdateProjectDataCacheProjectsBuilds$.inboundSchema = UpdateProjectDataCacheProjectsBuilds$inboundSchema;
    UpdateProjectDataCacheProjectsBuilds$.outboundSchema = UpdateProjectDataCacheProjectsBuilds$outboundSchema;
  })(UpdateProjectDataCacheProjectsBuilds$ ||= {});
  UpdateProjectDataCacheProjectsChecksConclusion$inboundSchema = nativeEnumType(UpdateProjectDataCacheProjectsChecksConclusion);
  UpdateProjectDataCacheProjectsChecksConclusion$outboundSchema = UpdateProjectDataCacheProjectsChecksConclusion$inboundSchema;
  ((UpdateProjectDataCacheProjectsChecksConclusion$) => {
    UpdateProjectDataCacheProjectsChecksConclusion$.inboundSchema = UpdateProjectDataCacheProjectsChecksConclusion$inboundSchema;
    UpdateProjectDataCacheProjectsChecksConclusion$.outboundSchema = UpdateProjectDataCacheProjectsChecksConclusion$outboundSchema;
  })(UpdateProjectDataCacheProjectsChecksConclusion$ ||= {});
  UpdateProjectDataCacheProjectsChecksState$inboundSchema = nativeEnumType(UpdateProjectDataCacheProjectsChecksState);
  UpdateProjectDataCacheProjectsChecksState$outboundSchema = UpdateProjectDataCacheProjectsChecksState$inboundSchema;
  ((UpdateProjectDataCacheProjectsChecksState$) => {
    UpdateProjectDataCacheProjectsChecksState$.inboundSchema = UpdateProjectDataCacheProjectsChecksState$inboundSchema;
    UpdateProjectDataCacheProjectsChecksState$.outboundSchema = UpdateProjectDataCacheProjectsChecksState$outboundSchema;
  })(UpdateProjectDataCacheProjectsChecksState$ ||= {});
  UpdateProjectDataCacheProjectsCreator$inboundSchema = objectType({
    email: stringType(),
    githubLogin: stringType().optional(),
    gitlabLogin: stringType().optional(),
    uid: stringType(),
    username: stringType()
  });
  UpdateProjectDataCacheProjectsCreator$outboundSchema = objectType({
    email: stringType(),
    githubLogin: stringType().optional(),
    gitlabLogin: stringType().optional(),
    uid: stringType(),
    username: stringType()
  });
  ((UpdateProjectDataCacheProjectsCreator$) => {
    UpdateProjectDataCacheProjectsCreator$.inboundSchema = UpdateProjectDataCacheProjectsCreator$inboundSchema;
    UpdateProjectDataCacheProjectsCreator$.outboundSchema = UpdateProjectDataCacheProjectsCreator$outboundSchema;
  })(UpdateProjectDataCacheProjectsCreator$ ||= {});
  UpdateProjectDataCacheProjectsOidcTokenClaims$inboundSchema = objectType({
    iss: stringType(),
    sub: stringType(),
    scope: stringType(),
    aud: stringType(),
    owner: stringType(),
    owner_id: stringType(),
    project: stringType(),
    project_id: stringType(),
    environment: stringType()
  }).transform((v2) => {
    return remap(v2, {
      owner_id: "ownerId",
      project_id: "projectId"
    });
  });
  UpdateProjectDataCacheProjectsOidcTokenClaims$outboundSchema = objectType({
    iss: stringType(),
    sub: stringType(),
    scope: stringType(),
    aud: stringType(),
    owner: stringType(),
    ownerId: stringType(),
    project: stringType(),
    projectId: stringType(),
    environment: stringType()
  }).transform((v2) => {
    return remap(v2, {
      ownerId: "owner_id",
      projectId: "project_id"
    });
  });
  ((UpdateProjectDataCacheProjectsOidcTokenClaims$) => {
    UpdateProjectDataCacheProjectsOidcTokenClaims$.inboundSchema = UpdateProjectDataCacheProjectsOidcTokenClaims$inboundSchema;
    UpdateProjectDataCacheProjectsOidcTokenClaims$.outboundSchema = UpdateProjectDataCacheProjectsOidcTokenClaims$outboundSchema;
  })(UpdateProjectDataCacheProjectsOidcTokenClaims$ ||= {});
  UpdateProjectDataCacheProjectsPlan$inboundSchema = nativeEnumType(UpdateProjectDataCacheProjectsPlan);
  UpdateProjectDataCacheProjectsPlan$outboundSchema = UpdateProjectDataCacheProjectsPlan$inboundSchema;
  ((UpdateProjectDataCacheProjectsPlan$) => {
    UpdateProjectDataCacheProjectsPlan$.inboundSchema = UpdateProjectDataCacheProjectsPlan$inboundSchema;
    UpdateProjectDataCacheProjectsPlan$.outboundSchema = UpdateProjectDataCacheProjectsPlan$outboundSchema;
  })(UpdateProjectDataCacheProjectsPlan$ ||= {});
  UpdateProjectDataCacheProjectsReadyState$inboundSchema = nativeEnumType(UpdateProjectDataCacheProjectsReadyState);
  UpdateProjectDataCacheProjectsReadyState$outboundSchema = UpdateProjectDataCacheProjectsReadyState$inboundSchema;
  ((UpdateProjectDataCacheProjectsReadyState$) => {
    UpdateProjectDataCacheProjectsReadyState$.inboundSchema = UpdateProjectDataCacheProjectsReadyState$inboundSchema;
    UpdateProjectDataCacheProjectsReadyState$.outboundSchema = UpdateProjectDataCacheProjectsReadyState$outboundSchema;
  })(UpdateProjectDataCacheProjectsReadyState$ ||= {});
  UpdateProjectDataCacheProjectsReadySubstate$inboundSchema = nativeEnumType(UpdateProjectDataCacheProjectsReadySubstate);
  UpdateProjectDataCacheProjectsReadySubstate$outboundSchema = UpdateProjectDataCacheProjectsReadySubstate$inboundSchema;
  ((UpdateProjectDataCacheProjectsReadySubstate$) => {
    UpdateProjectDataCacheProjectsReadySubstate$.inboundSchema = UpdateProjectDataCacheProjectsReadySubstate$inboundSchema;
    UpdateProjectDataCacheProjectsReadySubstate$.outboundSchema = UpdateProjectDataCacheProjectsReadySubstate$outboundSchema;
  })(UpdateProjectDataCacheProjectsReadySubstate$ ||= {});
  UpdateProjectDataCacheProjectsType$inboundSchema = nativeEnumType(UpdateProjectDataCacheProjectsType);
  UpdateProjectDataCacheProjectsType$outboundSchema = UpdateProjectDataCacheProjectsType$inboundSchema;
  ((UpdateProjectDataCacheProjectsType$) => {
    UpdateProjectDataCacheProjectsType$.inboundSchema = UpdateProjectDataCacheProjectsType$inboundSchema;
    UpdateProjectDataCacheProjectsType$.outboundSchema = UpdateProjectDataCacheProjectsType$outboundSchema;
  })(UpdateProjectDataCacheProjectsType$ ||= {});
  LatestDeployments$inboundSchema = objectType({
    id: stringType(),
    alias: arrayType(stringType()).optional(),
    aliasAssigned: nullableType(unionType([numberType(), booleanType()])).optional(),
    aliasError: nullableType(lazyType(() => UpdateProjectDataCacheProjectsAliasError$inboundSchema)).optional(),
    aliasFinal: nullableType(stringType()).optional(),
    automaticAliases: arrayType(stringType()).optional(),
    branchMatcher: lazyType(() => UpdateProjectDataCacheBranchMatcher$inboundSchema).optional(),
    buildingAt: numberType().optional(),
    builds: arrayType(lazyType(() => UpdateProjectDataCacheProjectsBuilds$inboundSchema)).optional(),
    checksConclusion: UpdateProjectDataCacheProjectsChecksConclusion$inboundSchema.optional(),
    checksState: UpdateProjectDataCacheProjectsChecksState$inboundSchema.optional(),
    connectBuildsEnabled: booleanType().optional(),
    connectConfigurationId: stringType().optional(),
    createdAt: numberType(),
    createdIn: stringType(),
    creator: nullableType(lazyType(() => UpdateProjectDataCacheProjectsCreator$inboundSchema)),
    deletedAt: numberType().optional(),
    deploymentHostname: stringType(),
    forced: booleanType().optional(),
    name: stringType(),
    meta: recordType(stringType()).optional(),
    monorepoManager: nullableType(stringType()).optional(),
    oidcTokenClaims: lazyType(() => UpdateProjectDataCacheProjectsOidcTokenClaims$inboundSchema).optional(),
    plan: UpdateProjectDataCacheProjectsPlan$inboundSchema,
    previewCommentsEnabled: booleanType().optional(),
    private: booleanType(),
    readyAt: numberType().optional(),
    readyState: UpdateProjectDataCacheProjectsReadyState$inboundSchema,
    readySubstate: UpdateProjectDataCacheProjectsReadySubstate$inboundSchema.optional(),
    requestedAt: numberType().optional(),
    target: nullableType(stringType()).optional(),
    teamId: nullableType(stringType()).optional(),
    type: UpdateProjectDataCacheProjectsType$inboundSchema,
    url: stringType(),
    userId: stringType(),
    withCache: booleanType().optional()
  });
  LatestDeployments$outboundSchema = objectType({
    id: stringType(),
    alias: arrayType(stringType()).optional(),
    aliasAssigned: nullableType(unionType([numberType(), booleanType()])).optional(),
    aliasError: nullableType(lazyType(() => UpdateProjectDataCacheProjectsAliasError$outboundSchema)).optional(),
    aliasFinal: nullableType(stringType()).optional(),
    automaticAliases: arrayType(stringType()).optional(),
    branchMatcher: lazyType(() => UpdateProjectDataCacheBranchMatcher$outboundSchema).optional(),
    buildingAt: numberType().optional(),
    builds: arrayType(lazyType(() => UpdateProjectDataCacheProjectsBuilds$outboundSchema)).optional(),
    checksConclusion: UpdateProjectDataCacheProjectsChecksConclusion$outboundSchema.optional(),
    checksState: UpdateProjectDataCacheProjectsChecksState$outboundSchema.optional(),
    connectBuildsEnabled: booleanType().optional(),
    connectConfigurationId: stringType().optional(),
    createdAt: numberType(),
    createdIn: stringType(),
    creator: nullableType(lazyType(() => UpdateProjectDataCacheProjectsCreator$outboundSchema)),
    deletedAt: numberType().optional(),
    deploymentHostname: stringType(),
    forced: booleanType().optional(),
    name: stringType(),
    meta: recordType(stringType()).optional(),
    monorepoManager: nullableType(stringType()).optional(),
    oidcTokenClaims: lazyType(() => UpdateProjectDataCacheProjectsOidcTokenClaims$outboundSchema).optional(),
    plan: UpdateProjectDataCacheProjectsPlan$outboundSchema,
    previewCommentsEnabled: booleanType().optional(),
    private: booleanType(),
    readyAt: numberType().optional(),
    readyState: UpdateProjectDataCacheProjectsReadyState$outboundSchema,
    readySubstate: UpdateProjectDataCacheProjectsReadySubstate$outboundSchema.optional(),
    requestedAt: numberType().optional(),
    target: nullableType(stringType()).optional(),
    teamId: nullableType(stringType()).optional(),
    type: UpdateProjectDataCacheProjectsType$outboundSchema,
    url: stringType(),
    userId: stringType(),
    withCache: booleanType().optional()
  });
  ((LatestDeployments$) => {
    LatestDeployments$.inboundSchema = LatestDeployments$inboundSchema;
    LatestDeployments$.outboundSchema = LatestDeployments$outboundSchema;
  })(LatestDeployments$ ||= {});
  UpdateProjectDataCacheLinkProjectsResponseType$inboundSchema = nativeEnumType(UpdateProjectDataCacheLinkProjectsResponseType);
  UpdateProjectDataCacheLinkProjectsResponseType$outboundSchema = UpdateProjectDataCacheLinkProjectsResponseType$inboundSchema;
  ((UpdateProjectDataCacheLinkProjectsResponseType$) => {
    UpdateProjectDataCacheLinkProjectsResponseType$.inboundSchema = UpdateProjectDataCacheLinkProjectsResponseType$inboundSchema;
    UpdateProjectDataCacheLinkProjectsResponseType$.outboundSchema = UpdateProjectDataCacheLinkProjectsResponseType$outboundSchema;
  })(UpdateProjectDataCacheLinkProjectsResponseType$ ||= {});
  UpdateProjectDataCacheLinkProjectsDeployHooks$inboundSchema = objectType({
    createdAt: numberType().optional(),
    id: stringType(),
    name: stringType(),
    ref: stringType(),
    url: stringType()
  });
  UpdateProjectDataCacheLinkProjectsDeployHooks$outboundSchema = objectType({
    createdAt: numberType().optional(),
    id: stringType(),
    name: stringType(),
    ref: stringType(),
    url: stringType()
  });
  ((UpdateProjectDataCacheLinkProjectsDeployHooks$) => {
    UpdateProjectDataCacheLinkProjectsDeployHooks$.inboundSchema = UpdateProjectDataCacheLinkProjectsDeployHooks$inboundSchema;
    UpdateProjectDataCacheLinkProjectsDeployHooks$.outboundSchema = UpdateProjectDataCacheLinkProjectsDeployHooks$outboundSchema;
  })(UpdateProjectDataCacheLinkProjectsDeployHooks$ ||= {});
  Link4$inboundSchema = objectType({
    org: stringType().optional(),
    repoOwnerId: numberType().optional(),
    repo: stringType().optional(),
    repoId: numberType().optional(),
    type: UpdateProjectDataCacheLinkProjectsResponseType$inboundSchema.optional(),
    host: stringType().optional(),
    createdAt: numberType().optional(),
    deployHooks: arrayType(lazyType(() => UpdateProjectDataCacheLinkProjectsDeployHooks$inboundSchema)),
    gitCredentialId: stringType().optional(),
    updatedAt: numberType().optional(),
    sourceless: booleanType().optional(),
    productionBranch: stringType().optional()
  });
  Link4$outboundSchema = objectType({
    org: stringType().optional(),
    repoOwnerId: numberType().optional(),
    repo: stringType().optional(),
    repoId: numberType().optional(),
    type: UpdateProjectDataCacheLinkProjectsResponseType$outboundSchema.optional(),
    host: stringType().optional(),
    createdAt: numberType().optional(),
    deployHooks: arrayType(lazyType(() => UpdateProjectDataCacheLinkProjectsDeployHooks$outboundSchema)),
    gitCredentialId: stringType().optional(),
    updatedAt: numberType().optional(),
    sourceless: booleanType().optional(),
    productionBranch: stringType().optional()
  });
  ((Link4$) => {
    Link4$.inboundSchema = Link4$inboundSchema;
    Link4$.outboundSchema = Link4$outboundSchema;
  })(Link4$ ||= {});
  UpdateProjectDataCacheLinkProjectsType$inboundSchema = nativeEnumType(UpdateProjectDataCacheLinkProjectsType);
  UpdateProjectDataCacheLinkProjectsType$outboundSchema = UpdateProjectDataCacheLinkProjectsType$inboundSchema;
  ((UpdateProjectDataCacheLinkProjectsType$) => {
    UpdateProjectDataCacheLinkProjectsType$.inboundSchema = UpdateProjectDataCacheLinkProjectsType$inboundSchema;
    UpdateProjectDataCacheLinkProjectsType$.outboundSchema = UpdateProjectDataCacheLinkProjectsType$outboundSchema;
  })(UpdateProjectDataCacheLinkProjectsType$ ||= {});
  UpdateProjectDataCacheLinkDeployHooks$inboundSchema = objectType({
    createdAt: numberType().optional(),
    id: stringType(),
    name: stringType(),
    ref: stringType(),
    url: stringType()
  });
  UpdateProjectDataCacheLinkDeployHooks$outboundSchema = objectType({
    createdAt: numberType().optional(),
    id: stringType(),
    name: stringType(),
    ref: stringType(),
    url: stringType()
  });
  ((UpdateProjectDataCacheLinkDeployHooks$) => {
    UpdateProjectDataCacheLinkDeployHooks$.inboundSchema = UpdateProjectDataCacheLinkDeployHooks$inboundSchema;
    UpdateProjectDataCacheLinkDeployHooks$.outboundSchema = UpdateProjectDataCacheLinkDeployHooks$outboundSchema;
  })(UpdateProjectDataCacheLinkDeployHooks$ ||= {});
  Link3$inboundSchema = objectType({
    name: stringType().optional(),
    slug: stringType().optional(),
    owner: stringType().optional(),
    type: UpdateProjectDataCacheLinkProjectsType$inboundSchema.optional(),
    uuid: stringType().optional(),
    workspaceUuid: stringType().optional(),
    createdAt: numberType().optional(),
    deployHooks: arrayType(lazyType(() => UpdateProjectDataCacheLinkDeployHooks$inboundSchema)),
    gitCredentialId: stringType().optional(),
    updatedAt: numberType().optional(),
    sourceless: booleanType().optional(),
    productionBranch: stringType().optional()
  });
  Link3$outboundSchema = objectType({
    name: stringType().optional(),
    slug: stringType().optional(),
    owner: stringType().optional(),
    type: UpdateProjectDataCacheLinkProjectsType$outboundSchema.optional(),
    uuid: stringType().optional(),
    workspaceUuid: stringType().optional(),
    createdAt: numberType().optional(),
    deployHooks: arrayType(lazyType(() => UpdateProjectDataCacheLinkDeployHooks$outboundSchema)),
    gitCredentialId: stringType().optional(),
    updatedAt: numberType().optional(),
    sourceless: booleanType().optional(),
    productionBranch: stringType().optional()
  });
  ((Link3$) => {
    Link3$.inboundSchema = Link3$inboundSchema;
    Link3$.outboundSchema = Link3$outboundSchema;
  })(Link3$ ||= {});
  UpdateProjectDataCacheLinkType$inboundSchema = nativeEnumType(UpdateProjectDataCacheLinkType);
  UpdateProjectDataCacheLinkType$outboundSchema = UpdateProjectDataCacheLinkType$inboundSchema;
  ((UpdateProjectDataCacheLinkType$) => {
    UpdateProjectDataCacheLinkType$.inboundSchema = UpdateProjectDataCacheLinkType$inboundSchema;
    UpdateProjectDataCacheLinkType$.outboundSchema = UpdateProjectDataCacheLinkType$outboundSchema;
  })(UpdateProjectDataCacheLinkType$ ||= {});
  LinkDeployHooks$inboundSchema = objectType({
    createdAt: numberType().optional(),
    id: stringType(),
    name: stringType(),
    ref: stringType(),
    url: stringType()
  });
  LinkDeployHooks$outboundSchema = objectType({
    createdAt: numberType().optional(),
    id: stringType(),
    name: stringType(),
    ref: stringType(),
    url: stringType()
  });
  ((LinkDeployHooks$) => {
    LinkDeployHooks$.inboundSchema = LinkDeployHooks$inboundSchema;
    LinkDeployHooks$.outboundSchema = LinkDeployHooks$outboundSchema;
  })(LinkDeployHooks$ ||= {});
  Link2$inboundSchema = objectType({
    projectId: stringType().optional(),
    projectName: stringType().optional(),
    projectNameWithNamespace: stringType().optional(),
    projectNamespace: stringType().optional(),
    projectOwnerId: numberType().optional(),
    projectUrl: stringType().optional(),
    type: UpdateProjectDataCacheLinkType$inboundSchema.optional(),
    createdAt: numberType().optional(),
    deployHooks: arrayType(lazyType(() => LinkDeployHooks$inboundSchema)),
    gitCredentialId: stringType().optional(),
    updatedAt: numberType().optional(),
    sourceless: booleanType().optional(),
    productionBranch: stringType().optional()
  });
  Link2$outboundSchema = objectType({
    projectId: stringType().optional(),
    projectName: stringType().optional(),
    projectNameWithNamespace: stringType().optional(),
    projectNamespace: stringType().optional(),
    projectOwnerId: numberType().optional(),
    projectUrl: stringType().optional(),
    type: UpdateProjectDataCacheLinkType$outboundSchema.optional(),
    createdAt: numberType().optional(),
    deployHooks: arrayType(lazyType(() => LinkDeployHooks$outboundSchema)),
    gitCredentialId: stringType().optional(),
    updatedAt: numberType().optional(),
    sourceless: booleanType().optional(),
    productionBranch: stringType().optional()
  });
  ((Link2$) => {
    Link2$.inboundSchema = Link2$inboundSchema;
    Link2$.outboundSchema = Link2$outboundSchema;
  })(Link2$ ||= {});
  LinkType$inboundSchema = nativeEnumType(LinkType);
  LinkType$outboundSchema = LinkType$inboundSchema;
  ((LinkType$) => {
    LinkType$.inboundSchema = LinkType$inboundSchema;
    LinkType$.outboundSchema = LinkType$outboundSchema;
  })(LinkType$ ||= {});
  DeployHooks$inboundSchema = objectType({
    createdAt: numberType().optional(),
    id: stringType(),
    name: stringType(),
    ref: stringType(),
    url: stringType()
  });
  DeployHooks$outboundSchema = objectType({
    createdAt: numberType().optional(),
    id: stringType(),
    name: stringType(),
    ref: stringType(),
    url: stringType()
  });
  ((DeployHooks$) => {
    DeployHooks$.inboundSchema = DeployHooks$inboundSchema;
    DeployHooks$.outboundSchema = DeployHooks$outboundSchema;
  })(DeployHooks$ ||= {});
  Link1$inboundSchema = objectType({
    org: stringType().optional(),
    repoOwnerId: numberType().optional(),
    repo: stringType().optional(),
    repoId: numberType().optional(),
    type: LinkType$inboundSchema.optional(),
    createdAt: numberType().optional(),
    deployHooks: arrayType(lazyType(() => DeployHooks$inboundSchema)),
    gitCredentialId: stringType().optional(),
    updatedAt: numberType().optional(),
    sourceless: booleanType().optional(),
    productionBranch: stringType().optional()
  });
  Link1$outboundSchema = objectType({
    org: stringType().optional(),
    repoOwnerId: numberType().optional(),
    repo: stringType().optional(),
    repoId: numberType().optional(),
    type: LinkType$outboundSchema.optional(),
    createdAt: numberType().optional(),
    deployHooks: arrayType(lazyType(() => DeployHooks$outboundSchema)),
    gitCredentialId: stringType().optional(),
    updatedAt: numberType().optional(),
    sourceless: booleanType().optional(),
    productionBranch: stringType().optional()
  });
  ((Link1$) => {
    Link1$.inboundSchema = Link1$inboundSchema;
    Link1$.outboundSchema = Link1$outboundSchema;
  })(Link1$ ||= {});
  Link$inboundSchema = unionType([
    lazyType(() => Link1$inboundSchema),
    lazyType(() => Link3$inboundSchema),
    lazyType(() => Link4$inboundSchema),
    lazyType(() => Link2$inboundSchema)
  ]);
  Link$outboundSchema = unionType([
    lazyType(() => Link1$outboundSchema),
    lazyType(() => Link3$outboundSchema),
    lazyType(() => Link4$outboundSchema),
    lazyType(() => Link2$outboundSchema)
  ]);
  ((Link$) => {
    Link$.inboundSchema = Link$inboundSchema;
    Link$.outboundSchema = Link$outboundSchema;
  })(Link$ ||= {});
  UpdateProjectDataCacheMicrofrontends2$inboundSchema = objectType({
    updatedAt: numberType(),
    groupIds: arrayType(anyType()),
    enabled: booleanType()
  });
  UpdateProjectDataCacheMicrofrontends2$outboundSchema = objectType({
    updatedAt: numberType(),
    groupIds: arrayType(anyType()),
    enabled: booleanType()
  });
  ((UpdateProjectDataCacheMicrofrontends2$) => {
    UpdateProjectDataCacheMicrofrontends2$.inboundSchema = UpdateProjectDataCacheMicrofrontends2$inboundSchema;
    UpdateProjectDataCacheMicrofrontends2$.outboundSchema = UpdateProjectDataCacheMicrofrontends2$outboundSchema;
  })(UpdateProjectDataCacheMicrofrontends2$ ||= {});
  UpdateProjectDataCacheMicrofrontends1$inboundSchema = objectType({
    updatedAt: numberType(),
    groupIds: arrayType(stringType()),
    enabled: booleanType(),
    isDefaultApp: booleanType().optional(),
    defaultRoute: stringType().optional(),
    routeObservabilityToThisProject: booleanType().optional()
  });
  UpdateProjectDataCacheMicrofrontends1$outboundSchema = objectType({
    updatedAt: numberType(),
    groupIds: arrayType(stringType()),
    enabled: booleanType(),
    isDefaultApp: booleanType().optional(),
    defaultRoute: stringType().optional(),
    routeObservabilityToThisProject: booleanType().optional()
  });
  ((UpdateProjectDataCacheMicrofrontends1$) => {
    UpdateProjectDataCacheMicrofrontends1$.inboundSchema = UpdateProjectDataCacheMicrofrontends1$inboundSchema;
    UpdateProjectDataCacheMicrofrontends1$.outboundSchema = UpdateProjectDataCacheMicrofrontends1$outboundSchema;
  })(UpdateProjectDataCacheMicrofrontends1$ ||= {});
  UpdateProjectDataCacheMicrofrontends$inboundSchema = unionType([
    lazyType(() => UpdateProjectDataCacheMicrofrontends2$inboundSchema),
    lazyType(() => UpdateProjectDataCacheMicrofrontends1$inboundSchema)
  ]);
  UpdateProjectDataCacheMicrofrontends$outboundSchema = unionType([
    lazyType(() => UpdateProjectDataCacheMicrofrontends2$outboundSchema),
    lazyType(() => UpdateProjectDataCacheMicrofrontends1$outboundSchema)
  ]);
  ((UpdateProjectDataCacheMicrofrontends$) => {
    UpdateProjectDataCacheMicrofrontends$.inboundSchema = UpdateProjectDataCacheMicrofrontends$inboundSchema;
    UpdateProjectDataCacheMicrofrontends$.outboundSchema = UpdateProjectDataCacheMicrofrontends$outboundSchema;
  })(UpdateProjectDataCacheMicrofrontends$ ||= {});
  UpdateProjectDataCacheNodeVersion$inboundSchema = nativeEnumType(UpdateProjectDataCacheNodeVersion);
  UpdateProjectDataCacheNodeVersion$outboundSchema = UpdateProjectDataCacheNodeVersion$inboundSchema;
  ((UpdateProjectDataCacheNodeVersion$) => {
    UpdateProjectDataCacheNodeVersion$.inboundSchema = UpdateProjectDataCacheNodeVersion$inboundSchema;
    UpdateProjectDataCacheNodeVersion$.outboundSchema = UpdateProjectDataCacheNodeVersion$outboundSchema;
  })(UpdateProjectDataCacheNodeVersion$ ||= {});
  UpdateProjectDataCachePaths$inboundSchema = objectType({
    value: stringType()
  });
  UpdateProjectDataCachePaths$outboundSchema = objectType({
    value: stringType()
  });
  ((UpdateProjectDataCachePaths$) => {
    UpdateProjectDataCachePaths$.inboundSchema = UpdateProjectDataCachePaths$inboundSchema;
    UpdateProjectDataCachePaths$.outboundSchema = UpdateProjectDataCachePaths$outboundSchema;
  })(UpdateProjectDataCachePaths$ ||= {});
  UpdateProjectDataCacheOptionsAllowlist$inboundSchema = objectType({
    paths: arrayType(lazyType(() => UpdateProjectDataCachePaths$inboundSchema))
  });
  UpdateProjectDataCacheOptionsAllowlist$outboundSchema = objectType({
    paths: arrayType(lazyType(() => UpdateProjectDataCachePaths$outboundSchema))
  });
  ((UpdateProjectDataCacheOptionsAllowlist$) => {
    UpdateProjectDataCacheOptionsAllowlist$.inboundSchema = UpdateProjectDataCacheOptionsAllowlist$inboundSchema;
    UpdateProjectDataCacheOptionsAllowlist$.outboundSchema = UpdateProjectDataCacheOptionsAllowlist$outboundSchema;
  })(UpdateProjectDataCacheOptionsAllowlist$ ||= {});
  UpdateProjectDataCachePasswordProtection$inboundSchema = objectType({});
  UpdateProjectDataCachePasswordProtection$outboundSchema = objectType({});
  ((UpdateProjectDataCachePasswordProtection$) => {
    UpdateProjectDataCachePasswordProtection$.inboundSchema = UpdateProjectDataCachePasswordProtection$inboundSchema;
    UpdateProjectDataCachePasswordProtection$.outboundSchema = UpdateProjectDataCachePasswordProtection$outboundSchema;
  })(UpdateProjectDataCachePasswordProtection$ ||= {});
  UpdateProjectDataCacheProjectsFunctionDefaultMemoryType$inboundSchema = nativeEnumType(UpdateProjectDataCacheProjectsFunctionDefaultMemoryType);
  UpdateProjectDataCacheProjectsFunctionDefaultMemoryType$outboundSchema = UpdateProjectDataCacheProjectsFunctionDefaultMemoryType$inboundSchema;
  ((UpdateProjectDataCacheProjectsFunctionDefaultMemoryType$) => {
    UpdateProjectDataCacheProjectsFunctionDefaultMemoryType$.inboundSchema = UpdateProjectDataCacheProjectsFunctionDefaultMemoryType$inboundSchema;
    UpdateProjectDataCacheProjectsFunctionDefaultMemoryType$.outboundSchema = UpdateProjectDataCacheProjectsFunctionDefaultMemoryType$outboundSchema;
  })(UpdateProjectDataCacheProjectsFunctionDefaultMemoryType$ ||= {});
  UpdateProjectDataCacheProjectsBuildMachineType$inboundSchema = nativeEnumType(UpdateProjectDataCacheProjectsBuildMachineType);
  UpdateProjectDataCacheProjectsBuildMachineType$outboundSchema = UpdateProjectDataCacheProjectsBuildMachineType$inboundSchema;
  ((UpdateProjectDataCacheProjectsBuildMachineType$) => {
    UpdateProjectDataCacheProjectsBuildMachineType$.inboundSchema = UpdateProjectDataCacheProjectsBuildMachineType$inboundSchema;
    UpdateProjectDataCacheProjectsBuildMachineType$.outboundSchema = UpdateProjectDataCacheProjectsBuildMachineType$outboundSchema;
  })(UpdateProjectDataCacheProjectsBuildMachineType$ ||= {});
  UpdateProjectDataCacheResourceConfig$inboundSchema = objectType({
    fluid: booleanType().optional(),
    functionDefaultRegions: arrayType(stringType()),
    functionDefaultTimeout: numberType().optional(),
    functionDefaultMemoryType: UpdateProjectDataCacheProjectsFunctionDefaultMemoryType$inboundSchema.optional(),
    functionZeroConfigFailover: booleanType().optional(),
    elasticConcurrencyEnabled: booleanType().optional(),
    buildMachineType: UpdateProjectDataCacheProjectsBuildMachineType$inboundSchema.optional()
  });
  UpdateProjectDataCacheResourceConfig$outboundSchema = objectType({
    fluid: booleanType().optional(),
    functionDefaultRegions: arrayType(stringType()),
    functionDefaultTimeout: numberType().optional(),
    functionDefaultMemoryType: UpdateProjectDataCacheProjectsFunctionDefaultMemoryType$outboundSchema.optional(),
    functionZeroConfigFailover: booleanType().optional(),
    elasticConcurrencyEnabled: booleanType().optional(),
    buildMachineType: UpdateProjectDataCacheProjectsBuildMachineType$outboundSchema.optional()
  });
  ((UpdateProjectDataCacheResourceConfig$) => {
    UpdateProjectDataCacheResourceConfig$.inboundSchema = UpdateProjectDataCacheResourceConfig$inboundSchema;
    UpdateProjectDataCacheResourceConfig$.outboundSchema = UpdateProjectDataCacheResourceConfig$outboundSchema;
  })(UpdateProjectDataCacheResourceConfig$ ||= {});
  Stages$inboundSchema = objectType({
    targetPercentage: numberType(),
    minutesToRelease: numberType().optional(),
    requireApproval: booleanType().optional(),
    duration: numberType().optional()
  });
  Stages$outboundSchema = objectType({
    targetPercentage: numberType(),
    minutesToRelease: numberType().optional(),
    requireApproval: booleanType().optional(),
    duration: numberType().optional()
  });
  ((Stages$) => {
    Stages$.inboundSchema = Stages$inboundSchema;
    Stages$.outboundSchema = Stages$outboundSchema;
  })(Stages$ ||= {});
  RollingRelease$inboundSchema = objectType({
    target: stringType(),
    minutesToRelease: numberType().optional(),
    stages: nullableType(arrayType(lazyType(() => Stages$inboundSchema))).optional(),
    canaryResponseHeader: booleanType().optional()
  });
  RollingRelease$outboundSchema = objectType({
    target: stringType(),
    minutesToRelease: numberType().optional(),
    stages: nullableType(arrayType(lazyType(() => Stages$outboundSchema))).optional(),
    canaryResponseHeader: booleanType().optional()
  });
  ((RollingRelease$) => {
    RollingRelease$.inboundSchema = RollingRelease$inboundSchema;
    RollingRelease$.outboundSchema = RollingRelease$outboundSchema;
  })(RollingRelease$ ||= {});
  UpdateProjectDataCacheFunctionDefaultMemoryType$inboundSchema = nativeEnumType(UpdateProjectDataCacheFunctionDefaultMemoryType);
  UpdateProjectDataCacheFunctionDefaultMemoryType$outboundSchema = UpdateProjectDataCacheFunctionDefaultMemoryType$inboundSchema;
  ((UpdateProjectDataCacheFunctionDefaultMemoryType$) => {
    UpdateProjectDataCacheFunctionDefaultMemoryType$.inboundSchema = UpdateProjectDataCacheFunctionDefaultMemoryType$inboundSchema;
    UpdateProjectDataCacheFunctionDefaultMemoryType$.outboundSchema = UpdateProjectDataCacheFunctionDefaultMemoryType$outboundSchema;
  })(UpdateProjectDataCacheFunctionDefaultMemoryType$ ||= {});
  UpdateProjectDataCacheBuildMachineType$inboundSchema = nativeEnumType(UpdateProjectDataCacheBuildMachineType);
  UpdateProjectDataCacheBuildMachineType$outboundSchema = UpdateProjectDataCacheBuildMachineType$inboundSchema;
  ((UpdateProjectDataCacheBuildMachineType$) => {
    UpdateProjectDataCacheBuildMachineType$.inboundSchema = UpdateProjectDataCacheBuildMachineType$inboundSchema;
    UpdateProjectDataCacheBuildMachineType$.outboundSchema = UpdateProjectDataCacheBuildMachineType$outboundSchema;
  })(UpdateProjectDataCacheBuildMachineType$ ||= {});
  DefaultResourceConfig$inboundSchema = objectType({
    fluid: booleanType().optional(),
    functionDefaultRegions: arrayType(stringType()),
    functionDefaultTimeout: numberType().optional(),
    functionDefaultMemoryType: UpdateProjectDataCacheFunctionDefaultMemoryType$inboundSchema.optional(),
    functionZeroConfigFailover: booleanType().optional(),
    elasticConcurrencyEnabled: booleanType().optional(),
    buildMachineType: UpdateProjectDataCacheBuildMachineType$inboundSchema.optional()
  });
  DefaultResourceConfig$outboundSchema = objectType({
    fluid: booleanType().optional(),
    functionDefaultRegions: arrayType(stringType()),
    functionDefaultTimeout: numberType().optional(),
    functionDefaultMemoryType: UpdateProjectDataCacheFunctionDefaultMemoryType$outboundSchema.optional(),
    functionZeroConfigFailover: booleanType().optional(),
    elasticConcurrencyEnabled: booleanType().optional(),
    buildMachineType: UpdateProjectDataCacheBuildMachineType$outboundSchema.optional()
  });
  ((DefaultResourceConfig$) => {
    DefaultResourceConfig$.inboundSchema = DefaultResourceConfig$inboundSchema;
    DefaultResourceConfig$.outboundSchema = DefaultResourceConfig$outboundSchema;
  })(DefaultResourceConfig$ ||= {});
  UpdateProjectDataCacheDeploymentType$inboundSchema = nativeEnumType(UpdateProjectDataCacheDeploymentType);
  UpdateProjectDataCacheDeploymentType$outboundSchema = UpdateProjectDataCacheDeploymentType$inboundSchema;
  ((UpdateProjectDataCacheDeploymentType$) => {
    UpdateProjectDataCacheDeploymentType$.inboundSchema = UpdateProjectDataCacheDeploymentType$inboundSchema;
    UpdateProjectDataCacheDeploymentType$.outboundSchema = UpdateProjectDataCacheDeploymentType$outboundSchema;
  })(UpdateProjectDataCacheDeploymentType$ ||= {});
  UpdateProjectDataCacheSsoProtection$inboundSchema = objectType({
    deploymentType: UpdateProjectDataCacheDeploymentType$inboundSchema
  });
  UpdateProjectDataCacheSsoProtection$outboundSchema = objectType({
    deploymentType: UpdateProjectDataCacheDeploymentType$outboundSchema
  });
  ((UpdateProjectDataCacheSsoProtection$) => {
    UpdateProjectDataCacheSsoProtection$.inboundSchema = UpdateProjectDataCacheSsoProtection$inboundSchema;
    UpdateProjectDataCacheSsoProtection$.outboundSchema = UpdateProjectDataCacheSsoProtection$outboundSchema;
  })(UpdateProjectDataCacheSsoProtection$ ||= {});
  UpdateProjectDataCacheAliasAssigned$inboundSchema = unionType([numberType(), booleanType()]);
  UpdateProjectDataCacheAliasAssigned$outboundSchema = unionType([numberType(), booleanType()]);
  ((UpdateProjectDataCacheAliasAssigned$) => {
    UpdateProjectDataCacheAliasAssigned$.inboundSchema = UpdateProjectDataCacheAliasAssigned$inboundSchema;
    UpdateProjectDataCacheAliasAssigned$.outboundSchema = UpdateProjectDataCacheAliasAssigned$outboundSchema;
  })(UpdateProjectDataCacheAliasAssigned$ ||= {});
  UpdateProjectDataCacheAliasError$inboundSchema = objectType({
    code: stringType(),
    message: stringType()
  });
  UpdateProjectDataCacheAliasError$outboundSchema = objectType({
    code: stringType(),
    message: stringType()
  });
  ((UpdateProjectDataCacheAliasError$) => {
    UpdateProjectDataCacheAliasError$.inboundSchema = UpdateProjectDataCacheAliasError$inboundSchema;
    UpdateProjectDataCacheAliasError$.outboundSchema = UpdateProjectDataCacheAliasError$outboundSchema;
  })(UpdateProjectDataCacheAliasError$ ||= {});
  UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema = nativeEnumType(UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyType);
  UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema = UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema;
  ((UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyType$) => {
    UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyType$.inboundSchema = UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema;
    UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyType$.outboundSchema = UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema;
  })(UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyType$ ||= {});
  UpdateProjectDataCacheProjectsBranchMatcher$inboundSchema = objectType({
    type: UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema,
    pattern: stringType()
  });
  UpdateProjectDataCacheProjectsBranchMatcher$outboundSchema = objectType({
    type: UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema,
    pattern: stringType()
  });
  ((UpdateProjectDataCacheProjectsBranchMatcher$) => {
    UpdateProjectDataCacheProjectsBranchMatcher$.inboundSchema = UpdateProjectDataCacheProjectsBranchMatcher$inboundSchema;
    UpdateProjectDataCacheProjectsBranchMatcher$.outboundSchema = UpdateProjectDataCacheProjectsBranchMatcher$outboundSchema;
  })(UpdateProjectDataCacheProjectsBranchMatcher$ ||= {});
  UpdateProjectDataCacheBuilds$inboundSchema = objectType({
    use: stringType(),
    src: stringType().optional(),
    dest: stringType().optional()
  });
  UpdateProjectDataCacheBuilds$outboundSchema = objectType({
    use: stringType(),
    src: stringType().optional(),
    dest: stringType().optional()
  });
  ((UpdateProjectDataCacheBuilds$) => {
    UpdateProjectDataCacheBuilds$.inboundSchema = UpdateProjectDataCacheBuilds$inboundSchema;
    UpdateProjectDataCacheBuilds$.outboundSchema = UpdateProjectDataCacheBuilds$outboundSchema;
  })(UpdateProjectDataCacheBuilds$ ||= {});
  UpdateProjectDataCacheChecksConclusion$inboundSchema = nativeEnumType(UpdateProjectDataCacheChecksConclusion);
  UpdateProjectDataCacheChecksConclusion$outboundSchema = UpdateProjectDataCacheChecksConclusion$inboundSchema;
  ((UpdateProjectDataCacheChecksConclusion$) => {
    UpdateProjectDataCacheChecksConclusion$.inboundSchema = UpdateProjectDataCacheChecksConclusion$inboundSchema;
    UpdateProjectDataCacheChecksConclusion$.outboundSchema = UpdateProjectDataCacheChecksConclusion$outboundSchema;
  })(UpdateProjectDataCacheChecksConclusion$ ||= {});
  UpdateProjectDataCacheChecksState$inboundSchema = nativeEnumType(UpdateProjectDataCacheChecksState);
  UpdateProjectDataCacheChecksState$outboundSchema = UpdateProjectDataCacheChecksState$inboundSchema;
  ((UpdateProjectDataCacheChecksState$) => {
    UpdateProjectDataCacheChecksState$.inboundSchema = UpdateProjectDataCacheChecksState$inboundSchema;
    UpdateProjectDataCacheChecksState$.outboundSchema = UpdateProjectDataCacheChecksState$outboundSchema;
  })(UpdateProjectDataCacheChecksState$ ||= {});
  UpdateProjectDataCacheCreator$inboundSchema = objectType({
    email: stringType(),
    githubLogin: stringType().optional(),
    gitlabLogin: stringType().optional(),
    uid: stringType(),
    username: stringType()
  });
  UpdateProjectDataCacheCreator$outboundSchema = objectType({
    email: stringType(),
    githubLogin: stringType().optional(),
    gitlabLogin: stringType().optional(),
    uid: stringType(),
    username: stringType()
  });
  ((UpdateProjectDataCacheCreator$) => {
    UpdateProjectDataCacheCreator$.inboundSchema = UpdateProjectDataCacheCreator$inboundSchema;
    UpdateProjectDataCacheCreator$.outboundSchema = UpdateProjectDataCacheCreator$outboundSchema;
  })(UpdateProjectDataCacheCreator$ ||= {});
  UpdateProjectDataCacheOidcTokenClaims$inboundSchema = objectType({
    iss: stringType(),
    sub: stringType(),
    scope: stringType(),
    aud: stringType(),
    owner: stringType(),
    owner_id: stringType(),
    project: stringType(),
    project_id: stringType(),
    environment: stringType()
  }).transform((v2) => {
    return remap(v2, {
      owner_id: "ownerId",
      project_id: "projectId"
    });
  });
  UpdateProjectDataCacheOidcTokenClaims$outboundSchema = objectType({
    iss: stringType(),
    sub: stringType(),
    scope: stringType(),
    aud: stringType(),
    owner: stringType(),
    ownerId: stringType(),
    project: stringType(),
    projectId: stringType(),
    environment: stringType()
  }).transform((v2) => {
    return remap(v2, {
      ownerId: "owner_id",
      projectId: "project_id"
    });
  });
  ((UpdateProjectDataCacheOidcTokenClaims$) => {
    UpdateProjectDataCacheOidcTokenClaims$.inboundSchema = UpdateProjectDataCacheOidcTokenClaims$inboundSchema;
    UpdateProjectDataCacheOidcTokenClaims$.outboundSchema = UpdateProjectDataCacheOidcTokenClaims$outboundSchema;
  })(UpdateProjectDataCacheOidcTokenClaims$ ||= {});
  UpdateProjectDataCachePlan$inboundSchema = nativeEnumType(UpdateProjectDataCachePlan);
  UpdateProjectDataCachePlan$outboundSchema = UpdateProjectDataCachePlan$inboundSchema;
  ((UpdateProjectDataCachePlan$) => {
    UpdateProjectDataCachePlan$.inboundSchema = UpdateProjectDataCachePlan$inboundSchema;
    UpdateProjectDataCachePlan$.outboundSchema = UpdateProjectDataCachePlan$outboundSchema;
  })(UpdateProjectDataCachePlan$ ||= {});
  UpdateProjectDataCacheReadyState$inboundSchema = nativeEnumType(UpdateProjectDataCacheReadyState);
  UpdateProjectDataCacheReadyState$outboundSchema = UpdateProjectDataCacheReadyState$inboundSchema;
  ((UpdateProjectDataCacheReadyState$) => {
    UpdateProjectDataCacheReadyState$.inboundSchema = UpdateProjectDataCacheReadyState$inboundSchema;
    UpdateProjectDataCacheReadyState$.outboundSchema = UpdateProjectDataCacheReadyState$outboundSchema;
  })(UpdateProjectDataCacheReadyState$ ||= {});
  UpdateProjectDataCacheReadySubstate$inboundSchema = nativeEnumType(UpdateProjectDataCacheReadySubstate);
  UpdateProjectDataCacheReadySubstate$outboundSchema = UpdateProjectDataCacheReadySubstate$inboundSchema;
  ((UpdateProjectDataCacheReadySubstate$) => {
    UpdateProjectDataCacheReadySubstate$.inboundSchema = UpdateProjectDataCacheReadySubstate$inboundSchema;
    UpdateProjectDataCacheReadySubstate$.outboundSchema = UpdateProjectDataCacheReadySubstate$outboundSchema;
  })(UpdateProjectDataCacheReadySubstate$ ||= {});
  UpdateProjectDataCacheProjectsResponseType$inboundSchema = nativeEnumType(UpdateProjectDataCacheProjectsResponseType);
  UpdateProjectDataCacheProjectsResponseType$outboundSchema = UpdateProjectDataCacheProjectsResponseType$inboundSchema;
  ((UpdateProjectDataCacheProjectsResponseType$) => {
    UpdateProjectDataCacheProjectsResponseType$.inboundSchema = UpdateProjectDataCacheProjectsResponseType$inboundSchema;
    UpdateProjectDataCacheProjectsResponseType$.outboundSchema = UpdateProjectDataCacheProjectsResponseType$outboundSchema;
  })(UpdateProjectDataCacheProjectsResponseType$ ||= {});
  Targets$inboundSchema = objectType({
    id: stringType(),
    alias: arrayType(stringType()).optional(),
    aliasAssigned: nullableType(unionType([numberType(), booleanType()])).optional(),
    aliasError: nullableType(lazyType(() => UpdateProjectDataCacheAliasError$inboundSchema)).optional(),
    aliasFinal: nullableType(stringType()).optional(),
    automaticAliases: arrayType(stringType()).optional(),
    branchMatcher: lazyType(() => UpdateProjectDataCacheProjectsBranchMatcher$inboundSchema).optional(),
    buildingAt: numberType().optional(),
    builds: arrayType(lazyType(() => UpdateProjectDataCacheBuilds$inboundSchema)).optional(),
    checksConclusion: UpdateProjectDataCacheChecksConclusion$inboundSchema.optional(),
    checksState: UpdateProjectDataCacheChecksState$inboundSchema.optional(),
    connectBuildsEnabled: booleanType().optional(),
    connectConfigurationId: stringType().optional(),
    createdAt: numberType(),
    createdIn: stringType(),
    creator: nullableType(lazyType(() => UpdateProjectDataCacheCreator$inboundSchema)),
    deletedAt: numberType().optional(),
    deploymentHostname: stringType(),
    forced: booleanType().optional(),
    name: stringType(),
    meta: recordType(stringType()).optional(),
    monorepoManager: nullableType(stringType()).optional(),
    oidcTokenClaims: lazyType(() => UpdateProjectDataCacheOidcTokenClaims$inboundSchema).optional(),
    plan: UpdateProjectDataCachePlan$inboundSchema,
    previewCommentsEnabled: booleanType().optional(),
    private: booleanType(),
    readyAt: numberType().optional(),
    readyState: UpdateProjectDataCacheReadyState$inboundSchema,
    readySubstate: UpdateProjectDataCacheReadySubstate$inboundSchema.optional(),
    requestedAt: numberType().optional(),
    target: nullableType(stringType()).optional(),
    teamId: nullableType(stringType()).optional(),
    type: UpdateProjectDataCacheProjectsResponseType$inboundSchema,
    url: stringType(),
    userId: stringType(),
    withCache: booleanType().optional()
  });
  Targets$outboundSchema = objectType({
    id: stringType(),
    alias: arrayType(stringType()).optional(),
    aliasAssigned: nullableType(unionType([numberType(), booleanType()])).optional(),
    aliasError: nullableType(lazyType(() => UpdateProjectDataCacheAliasError$outboundSchema)).optional(),
    aliasFinal: nullableType(stringType()).optional(),
    automaticAliases: arrayType(stringType()).optional(),
    branchMatcher: lazyType(() => UpdateProjectDataCacheProjectsBranchMatcher$outboundSchema).optional(),
    buildingAt: numberType().optional(),
    builds: arrayType(lazyType(() => UpdateProjectDataCacheBuilds$outboundSchema)).optional(),
    checksConclusion: UpdateProjectDataCacheChecksConclusion$outboundSchema.optional(),
    checksState: UpdateProjectDataCacheChecksState$outboundSchema.optional(),
    connectBuildsEnabled: booleanType().optional(),
    connectConfigurationId: stringType().optional(),
    createdAt: numberType(),
    createdIn: stringType(),
    creator: nullableType(lazyType(() => UpdateProjectDataCacheCreator$outboundSchema)),
    deletedAt: numberType().optional(),
    deploymentHostname: stringType(),
    forced: booleanType().optional(),
    name: stringType(),
    meta: recordType(stringType()).optional(),
    monorepoManager: nullableType(stringType()).optional(),
    oidcTokenClaims: lazyType(() => UpdateProjectDataCacheOidcTokenClaims$outboundSchema).optional(),
    plan: UpdateProjectDataCachePlan$outboundSchema,
    previewCommentsEnabled: booleanType().optional(),
    private: booleanType(),
    readyAt: numberType().optional(),
    readyState: UpdateProjectDataCacheReadyState$outboundSchema,
    readySubstate: UpdateProjectDataCacheReadySubstate$outboundSchema.optional(),
    requestedAt: numberType().optional(),
    target: nullableType(stringType()).optional(),
    teamId: nullableType(stringType()).optional(),
    type: UpdateProjectDataCacheProjectsResponseType$outboundSchema,
    url: stringType(),
    userId: stringType(),
    withCache: booleanType().optional()
  });
  ((Targets$) => {
    Targets$.inboundSchema = Targets$inboundSchema;
    Targets$.outboundSchema = Targets$outboundSchema;
  })(Targets$ ||= {});
  Permissions$inboundSchema = objectType({
    user: arrayType(ACLAction$inboundSchema).optional(),
    userConnection: arrayType(ACLAction$inboundSchema).optional(),
    userSudo: arrayType(ACLAction$inboundSchema).optional(),
    webAuthn: arrayType(ACLAction$inboundSchema).optional(),
    oauth2Connection: arrayType(ACLAction$inboundSchema).optional(),
    accessGroup: arrayType(ACLAction$inboundSchema).optional(),
    aliasGlobal: arrayType(ACLAction$inboundSchema).optional(),
    analyticsSampling: arrayType(ACLAction$inboundSchema).optional(),
    analyticsUsage: arrayType(ACLAction$inboundSchema).optional(),
    auditLog: arrayType(ACLAction$inboundSchema).optional(),
    billingAddress: arrayType(ACLAction$inboundSchema).optional(),
    billingInformation: arrayType(ACLAction$inboundSchema).optional(),
    billingInvoice: arrayType(ACLAction$inboundSchema).optional(),
    billingInvoiceEmailRecipient: arrayType(ACLAction$inboundSchema).optional(),
    billingInvoiceLanguage: arrayType(ACLAction$inboundSchema).optional(),
    billingPlan: arrayType(ACLAction$inboundSchema).optional(),
    billingPurchaseOrder: arrayType(ACLAction$inboundSchema).optional(),
    billingTaxId: arrayType(ACLAction$inboundSchema).optional(),
    blob: arrayType(ACLAction$inboundSchema).optional(),
    budget: arrayType(ACLAction$inboundSchema).optional(),
    cacheArtifact: arrayType(ACLAction$inboundSchema).optional(),
    cacheArtifactUsageEvent: arrayType(ACLAction$inboundSchema).optional(),
    codeChecks: arrayType(ACLAction$inboundSchema).optional(),
    concurrentBuilds: arrayType(ACLAction$inboundSchema).optional(),
    connect: arrayType(ACLAction$inboundSchema).optional(),
    connectConfiguration: arrayType(ACLAction$inboundSchema).optional(),
    domain: arrayType(ACLAction$inboundSchema).optional(),
    domainAcceptDelegation: arrayType(ACLAction$inboundSchema).optional(),
    domainAuthCodes: arrayType(ACLAction$inboundSchema).optional(),
    domainCertificate: arrayType(ACLAction$inboundSchema).optional(),
    domainCheckConfig: arrayType(ACLAction$inboundSchema).optional(),
    domainMove: arrayType(ACLAction$inboundSchema).optional(),
    domainPurchase: arrayType(ACLAction$inboundSchema).optional(),
    domainRecord: arrayType(ACLAction$inboundSchema).optional(),
    domainTransferIn: arrayType(ACLAction$inboundSchema).optional(),
    event: arrayType(ACLAction$inboundSchema).optional(),
    ownEvent: arrayType(ACLAction$inboundSchema).optional(),
    sensitiveEnvironmentVariablePolicy: arrayType(ACLAction$inboundSchema).optional(),
    fileUpload: arrayType(ACLAction$inboundSchema).optional(),
    flagsExplorerSubscription: arrayType(ACLAction$inboundSchema).optional(),
    gitRepository: arrayType(ACLAction$inboundSchema).optional(),
    ipBlocking: arrayType(ACLAction$inboundSchema).optional(),
    imageOptimizationNewPrice: arrayType(ACLAction$inboundSchema).optional(),
    integration: arrayType(ACLAction$inboundSchema).optional(),
    integrationAccount: arrayType(ACLAction$inboundSchema).optional(),
    integrationConfiguration: arrayType(ACLAction$inboundSchema).optional(),
    integrationConfigurationTransfer: arrayType(ACLAction$inboundSchema).optional(),
    integrationConfigurationProjects: arrayType(ACLAction$inboundSchema).optional(),
    integrationVercelConfigurationOverride: arrayType(ACLAction$inboundSchema).optional(),
    integrationConfigurationRole: arrayType(ACLAction$inboundSchema).optional(),
    integrationSSOSession: arrayType(ACLAction$inboundSchema).optional(),
    integrationResource: arrayType(ACLAction$inboundSchema).optional(),
    integrationEvent: arrayType(ACLAction$inboundSchema).optional(),
    integrationResourceSecrets: arrayType(ACLAction$inboundSchema).optional(),
    integrationDeploymentAction: arrayType(ACLAction$inboundSchema).optional(),
    marketplaceInstallationMember: arrayType(ACLAction$inboundSchema).optional(),
    marketplaceBillingData: arrayType(ACLAction$inboundSchema).optional(),
    marketplaceInvoice: arrayType(ACLAction$inboundSchema).optional(),
    marketplaceExperimentationItem: arrayType(ACLAction$inboundSchema).optional(),
    marketplaceExperimentationEdgeConfigData: arrayType(ACLAction$inboundSchema).optional(),
    jobGlobal: arrayType(ACLAction$inboundSchema).optional(),
    drain: arrayType(ACLAction$inboundSchema).optional(),
    logDrain: arrayType(ACLAction$inboundSchema).optional(),
    Monitoring: arrayType(ACLAction$inboundSchema).optional(),
    monitoringSettings: arrayType(ACLAction$inboundSchema).optional(),
    monitoringQuery: arrayType(ACLAction$inboundSchema).optional(),
    monitoringChart: arrayType(ACLAction$inboundSchema).optional(),
    monitoringAlert: arrayType(ACLAction$inboundSchema).optional(),
    notificationDeploymentFailed: arrayType(ACLAction$inboundSchema).optional(),
    notificationDomainConfiguration: arrayType(ACLAction$inboundSchema).optional(),
    notificationDomainExpire: arrayType(ACLAction$inboundSchema).optional(),
    notificationDomainMoved: arrayType(ACLAction$inboundSchema).optional(),
    notificationDomainPurchase: arrayType(ACLAction$inboundSchema).optional(),
    notificationDomainRenewal: arrayType(ACLAction$inboundSchema).optional(),
    notificationDomainTransfer: arrayType(ACLAction$inboundSchema).optional(),
    notificationDomainUnverified: arrayType(ACLAction$inboundSchema).optional(),
    NotificationMonitoringAlert: arrayType(ACLAction$inboundSchema).optional(),
    notificationPaymentFailed: arrayType(ACLAction$inboundSchema).optional(),
    notificationUsageAlert: arrayType(ACLAction$inboundSchema).optional(),
    notificationCustomerBudget: arrayType(ACLAction$inboundSchema).optional(),
    notificationStatementOfReasons: arrayType(ACLAction$inboundSchema).optional(),
    observabilityConfiguration: arrayType(ACLAction$inboundSchema).optional(),
    observabilityNotebook: arrayType(ACLAction$inboundSchema).optional(),
    openTelemetryEndpoint: arrayType(ACLAction$inboundSchema).optional(),
    vercelAppInstallation: arrayType(ACLAction$inboundSchema).optional(),
    paymentMethod: arrayType(ACLAction$inboundSchema).optional(),
    permissions: arrayType(ACLAction$inboundSchema).optional(),
    postgres: arrayType(ACLAction$inboundSchema).optional(),
    previewDeploymentSuffix: arrayType(ACLAction$inboundSchema).optional(),
    proTrialOnboarding: arrayType(ACLAction$inboundSchema).optional(),
    sharedEnvVars: arrayType(ACLAction$inboundSchema).optional(),
    sharedEnvVarsProduction: arrayType(ACLAction$inboundSchema).optional(),
    space: arrayType(ACLAction$inboundSchema).optional(),
    spaceRun: arrayType(ACLAction$inboundSchema).optional(),
    passwordProtectionInvoiceItem: arrayType(ACLAction$inboundSchema).optional(),
    rateLimit: arrayType(ACLAction$inboundSchema).optional(),
    redis: arrayType(ACLAction$inboundSchema).optional(),
    repository: arrayType(ACLAction$inboundSchema).optional(),
    remoteCaching: arrayType(ACLAction$inboundSchema).optional(),
    samlConfig: arrayType(ACLAction$inboundSchema).optional(),
    secret: arrayType(ACLAction$inboundSchema).optional(),
    redisStoreTokenSet: arrayType(ACLAction$inboundSchema).optional(),
    blobStoreTokenSet: arrayType(ACLAction$inboundSchema).optional(),
    postgresStoreTokenSet: arrayType(ACLAction$inboundSchema).optional(),
    integrationStoreTokenSet: arrayType(ACLAction$inboundSchema).optional(),
    integrationResourceReplCommand: arrayType(ACLAction$inboundSchema).optional(),
    storeTransfer: arrayType(ACLAction$inboundSchema).optional(),
    supportCase: arrayType(ACLAction$inboundSchema).optional(),
    supportCaseComment: arrayType(ACLAction$inboundSchema).optional(),
    dataCacheBillingSettings: arrayType(ACLAction$inboundSchema).optional(),
    team: arrayType(ACLAction$inboundSchema).optional(),
    teamAccessRequest: arrayType(ACLAction$inboundSchema).optional(),
    teamFellowMembership: arrayType(ACLAction$inboundSchema).optional(),
    teamGitExclusivity: arrayType(ACLAction$inboundSchema).optional(),
    teamInvite: arrayType(ACLAction$inboundSchema).optional(),
    teamInviteCode: arrayType(ACLAction$inboundSchema).optional(),
    teamJoin: arrayType(ACLAction$inboundSchema).optional(),
    teamMemberMfaStatus: arrayType(ACLAction$inboundSchema).optional(),
    teamMicrofrontends: arrayType(ACLAction$inboundSchema).optional(),
    teamOwnMembership: arrayType(ACLAction$inboundSchema).optional(),
    teamOwnMembershipDisconnectSAML: arrayType(ACLAction$inboundSchema).optional(),
    token: arrayType(ACLAction$inboundSchema).optional(),
    usage: arrayType(ACLAction$inboundSchema).optional(),
    usageCycle: arrayType(ACLAction$inboundSchema).optional(),
    vpcPeeringConnection: arrayType(ACLAction$inboundSchema).optional(),
    webAnalyticsPlan: arrayType(ACLAction$inboundSchema).optional(),
    edgeConfig: arrayType(ACLAction$inboundSchema).optional(),
    edgeConfigItem: arrayType(ACLAction$inboundSchema).optional(),
    edgeConfigSchema: arrayType(ACLAction$inboundSchema).optional(),
    edgeConfigToken: arrayType(ACLAction$inboundSchema).optional(),
    webhook: arrayType(ACLAction$inboundSchema).optional(),
    "webhook-event": arrayType(ACLAction$inboundSchema).optional(),
    endpointVerification: arrayType(ACLAction$inboundSchema).optional(),
    projectTransferIn: arrayType(ACLAction$inboundSchema).optional(),
    oauth2Application: arrayType(ACLAction$inboundSchema).optional(),
    vercelRun: arrayType(ACLAction$inboundSchema).optional(),
    vercelRunExec: arrayType(ACLAction$inboundSchema).optional(),
    aliasProject: arrayType(ACLAction$inboundSchema).optional(),
    aliasProtectionBypass: arrayType(ACLAction$inboundSchema).optional(),
    productionAliasProtectionBypass: arrayType(ACLAction$inboundSchema).optional(),
    connectConfigurationLink: arrayType(ACLAction$inboundSchema).optional(),
    dataCacheNamespace: arrayType(ACLAction$inboundSchema).optional(),
    deployment: arrayType(ACLAction$inboundSchema).optional(),
    deploymentCheck: arrayType(ACLAction$inboundSchema).optional(),
    deploymentCheckPreview: arrayType(ACLAction$inboundSchema).optional(),
    deploymentCheckReRunFromProductionBranch: arrayType(ACLAction$inboundSchema).optional(),
    deploymentProductionGit: arrayType(ACLAction$inboundSchema).optional(),
    deploymentV0: arrayType(ACLAction$inboundSchema).optional(),
    deploymentPreview: arrayType(ACLAction$inboundSchema).optional(),
    deploymentPrivate: arrayType(ACLAction$inboundSchema).optional(),
    deploymentPromote: arrayType(ACLAction$inboundSchema).optional(),
    deploymentRollback: arrayType(ACLAction$inboundSchema).optional(),
    edgeCacheNamespace: arrayType(ACLAction$inboundSchema).optional(),
    environments: arrayType(ACLAction$inboundSchema).optional(),
    logs: arrayType(ACLAction$inboundSchema).optional(),
    logsPreset: arrayType(ACLAction$inboundSchema).optional(),
    passwordProtection: arrayType(ACLAction$inboundSchema).optional(),
    optionsAllowlist: arrayType(ACLAction$inboundSchema).optional(),
    job: arrayType(ACLAction$inboundSchema).optional(),
    observabilityData: arrayType(ACLAction$inboundSchema).optional(),
    project: arrayType(ACLAction$inboundSchema).optional(),
    projectFromV0: arrayType(ACLAction$inboundSchema).optional(),
    projectAccessGroup: arrayType(ACLAction$inboundSchema).optional(),
    projectAnalyticsSampling: arrayType(ACLAction$inboundSchema).optional(),
    projectCheck: arrayType(ACLAction$inboundSchema).optional(),
    projectCheckRun: arrayType(ACLAction$inboundSchema).optional(),
    projectDeploymentHook: arrayType(ACLAction$inboundSchema).optional(),
    projectDomain: arrayType(ACLAction$inboundSchema).optional(),
    projectDomainMove: arrayType(ACLAction$inboundSchema).optional(),
    projectDomainCheckConfig: arrayType(ACLAction$inboundSchema).optional(),
    projectEnvVars: arrayType(ACLAction$inboundSchema).optional(),
    projectEnvVarsProduction: arrayType(ACLAction$inboundSchema).optional(),
    projectEnvVarsUnownedByIntegration: arrayType(ACLAction$inboundSchema).optional(),
    projectFlags: arrayType(ACLAction$inboundSchema).optional(),
    projectId: arrayType(ACLAction$inboundSchema).optional(),
    projectIntegrationConfiguration: arrayType(ACLAction$inboundSchema).optional(),
    projectLink: arrayType(ACLAction$inboundSchema).optional(),
    projectMember: arrayType(ACLAction$inboundSchema).optional(),
    projectMonitoring: arrayType(ACLAction$inboundSchema).optional(),
    projectPermissions: arrayType(ACLAction$inboundSchema).optional(),
    projectProductionBranch: arrayType(ACLAction$inboundSchema).optional(),
    projectTransfer: arrayType(ACLAction$inboundSchema).optional(),
    projectTransferOut: arrayType(ACLAction$inboundSchema).optional(),
    projectProtectionBypass: arrayType(ACLAction$inboundSchema).optional(),
    projectUsage: arrayType(ACLAction$inboundSchema).optional(),
    projectAnalyticsUsage: arrayType(ACLAction$inboundSchema).optional(),
    projectSupportCase: arrayType(ACLAction$inboundSchema).optional(),
    projectSupportCaseComment: arrayType(ACLAction$inboundSchema).optional(),
    projectDeploymentExpiration: arrayType(ACLAction$inboundSchema).optional(),
    projectRollingRelease: arrayType(ACLAction$inboundSchema).optional(),
    projectTier: arrayType(ACLAction$inboundSchema).optional(),
    seawallConfig: arrayType(ACLAction$inboundSchema).optional(),
    skewProtection: arrayType(ACLAction$inboundSchema).optional(),
    analytics: arrayType(ACLAction$inboundSchema).optional(),
    trustedIps: arrayType(ACLAction$inboundSchema).optional(),
    webAnalytics: arrayType(ACLAction$inboundSchema).optional(),
    sharedEnvVarConnection: arrayType(ACLAction$inboundSchema).optional(),
    sonar: arrayType(ACLAction$inboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      Monitoring: "monitoring",
      NotificationMonitoringAlert: "notificationMonitoringAlert",
      "webhook-event": "webhookEvent"
    });
  });
  Permissions$outboundSchema = objectType({
    user: arrayType(ACLAction$outboundSchema).optional(),
    userConnection: arrayType(ACLAction$outboundSchema).optional(),
    userSudo: arrayType(ACLAction$outboundSchema).optional(),
    webAuthn: arrayType(ACLAction$outboundSchema).optional(),
    oauth2Connection: arrayType(ACLAction$outboundSchema).optional(),
    accessGroup: arrayType(ACLAction$outboundSchema).optional(),
    aliasGlobal: arrayType(ACLAction$outboundSchema).optional(),
    analyticsSampling: arrayType(ACLAction$outboundSchema).optional(),
    analyticsUsage: arrayType(ACLAction$outboundSchema).optional(),
    auditLog: arrayType(ACLAction$outboundSchema).optional(),
    billingAddress: arrayType(ACLAction$outboundSchema).optional(),
    billingInformation: arrayType(ACLAction$outboundSchema).optional(),
    billingInvoice: arrayType(ACLAction$outboundSchema).optional(),
    billingInvoiceEmailRecipient: arrayType(ACLAction$outboundSchema).optional(),
    billingInvoiceLanguage: arrayType(ACLAction$outboundSchema).optional(),
    billingPlan: arrayType(ACLAction$outboundSchema).optional(),
    billingPurchaseOrder: arrayType(ACLAction$outboundSchema).optional(),
    billingTaxId: arrayType(ACLAction$outboundSchema).optional(),
    blob: arrayType(ACLAction$outboundSchema).optional(),
    budget: arrayType(ACLAction$outboundSchema).optional(),
    cacheArtifact: arrayType(ACLAction$outboundSchema).optional(),
    cacheArtifactUsageEvent: arrayType(ACLAction$outboundSchema).optional(),
    codeChecks: arrayType(ACLAction$outboundSchema).optional(),
    concurrentBuilds: arrayType(ACLAction$outboundSchema).optional(),
    connect: arrayType(ACLAction$outboundSchema).optional(),
    connectConfiguration: arrayType(ACLAction$outboundSchema).optional(),
    domain: arrayType(ACLAction$outboundSchema).optional(),
    domainAcceptDelegation: arrayType(ACLAction$outboundSchema).optional(),
    domainAuthCodes: arrayType(ACLAction$outboundSchema).optional(),
    domainCertificate: arrayType(ACLAction$outboundSchema).optional(),
    domainCheckConfig: arrayType(ACLAction$outboundSchema).optional(),
    domainMove: arrayType(ACLAction$outboundSchema).optional(),
    domainPurchase: arrayType(ACLAction$outboundSchema).optional(),
    domainRecord: arrayType(ACLAction$outboundSchema).optional(),
    domainTransferIn: arrayType(ACLAction$outboundSchema).optional(),
    event: arrayType(ACLAction$outboundSchema).optional(),
    ownEvent: arrayType(ACLAction$outboundSchema).optional(),
    sensitiveEnvironmentVariablePolicy: arrayType(ACLAction$outboundSchema).optional(),
    fileUpload: arrayType(ACLAction$outboundSchema).optional(),
    flagsExplorerSubscription: arrayType(ACLAction$outboundSchema).optional(),
    gitRepository: arrayType(ACLAction$outboundSchema).optional(),
    ipBlocking: arrayType(ACLAction$outboundSchema).optional(),
    imageOptimizationNewPrice: arrayType(ACLAction$outboundSchema).optional(),
    integration: arrayType(ACLAction$outboundSchema).optional(),
    integrationAccount: arrayType(ACLAction$outboundSchema).optional(),
    integrationConfiguration: arrayType(ACLAction$outboundSchema).optional(),
    integrationConfigurationTransfer: arrayType(ACLAction$outboundSchema).optional(),
    integrationConfigurationProjects: arrayType(ACLAction$outboundSchema).optional(),
    integrationVercelConfigurationOverride: arrayType(ACLAction$outboundSchema).optional(),
    integrationConfigurationRole: arrayType(ACLAction$outboundSchema).optional(),
    integrationSSOSession: arrayType(ACLAction$outboundSchema).optional(),
    integrationResource: arrayType(ACLAction$outboundSchema).optional(),
    integrationEvent: arrayType(ACLAction$outboundSchema).optional(),
    integrationResourceSecrets: arrayType(ACLAction$outboundSchema).optional(),
    integrationDeploymentAction: arrayType(ACLAction$outboundSchema).optional(),
    marketplaceInstallationMember: arrayType(ACLAction$outboundSchema).optional(),
    marketplaceBillingData: arrayType(ACLAction$outboundSchema).optional(),
    marketplaceInvoice: arrayType(ACLAction$outboundSchema).optional(),
    marketplaceExperimentationItem: arrayType(ACLAction$outboundSchema).optional(),
    marketplaceExperimentationEdgeConfigData: arrayType(ACLAction$outboundSchema).optional(),
    jobGlobal: arrayType(ACLAction$outboundSchema).optional(),
    drain: arrayType(ACLAction$outboundSchema).optional(),
    logDrain: arrayType(ACLAction$outboundSchema).optional(),
    monitoring: arrayType(ACLAction$outboundSchema).optional(),
    monitoringSettings: arrayType(ACLAction$outboundSchema).optional(),
    monitoringQuery: arrayType(ACLAction$outboundSchema).optional(),
    monitoringChart: arrayType(ACLAction$outboundSchema).optional(),
    monitoringAlert: arrayType(ACLAction$outboundSchema).optional(),
    notificationDeploymentFailed: arrayType(ACLAction$outboundSchema).optional(),
    notificationDomainConfiguration: arrayType(ACLAction$outboundSchema).optional(),
    notificationDomainExpire: arrayType(ACLAction$outboundSchema).optional(),
    notificationDomainMoved: arrayType(ACLAction$outboundSchema).optional(),
    notificationDomainPurchase: arrayType(ACLAction$outboundSchema).optional(),
    notificationDomainRenewal: arrayType(ACLAction$outboundSchema).optional(),
    notificationDomainTransfer: arrayType(ACLAction$outboundSchema).optional(),
    notificationDomainUnverified: arrayType(ACLAction$outboundSchema).optional(),
    notificationMonitoringAlert: arrayType(ACLAction$outboundSchema).optional(),
    notificationPaymentFailed: arrayType(ACLAction$outboundSchema).optional(),
    notificationUsageAlert: arrayType(ACLAction$outboundSchema).optional(),
    notificationCustomerBudget: arrayType(ACLAction$outboundSchema).optional(),
    notificationStatementOfReasons: arrayType(ACLAction$outboundSchema).optional(),
    observabilityConfiguration: arrayType(ACLAction$outboundSchema).optional(),
    observabilityNotebook: arrayType(ACLAction$outboundSchema).optional(),
    openTelemetryEndpoint: arrayType(ACLAction$outboundSchema).optional(),
    vercelAppInstallation: arrayType(ACLAction$outboundSchema).optional(),
    paymentMethod: arrayType(ACLAction$outboundSchema).optional(),
    permissions: arrayType(ACLAction$outboundSchema).optional(),
    postgres: arrayType(ACLAction$outboundSchema).optional(),
    previewDeploymentSuffix: arrayType(ACLAction$outboundSchema).optional(),
    proTrialOnboarding: arrayType(ACLAction$outboundSchema).optional(),
    sharedEnvVars: arrayType(ACLAction$outboundSchema).optional(),
    sharedEnvVarsProduction: arrayType(ACLAction$outboundSchema).optional(),
    space: arrayType(ACLAction$outboundSchema).optional(),
    spaceRun: arrayType(ACLAction$outboundSchema).optional(),
    passwordProtectionInvoiceItem: arrayType(ACLAction$outboundSchema).optional(),
    rateLimit: arrayType(ACLAction$outboundSchema).optional(),
    redis: arrayType(ACLAction$outboundSchema).optional(),
    repository: arrayType(ACLAction$outboundSchema).optional(),
    remoteCaching: arrayType(ACLAction$outboundSchema).optional(),
    samlConfig: arrayType(ACLAction$outboundSchema).optional(),
    secret: arrayType(ACLAction$outboundSchema).optional(),
    redisStoreTokenSet: arrayType(ACLAction$outboundSchema).optional(),
    blobStoreTokenSet: arrayType(ACLAction$outboundSchema).optional(),
    postgresStoreTokenSet: arrayType(ACLAction$outboundSchema).optional(),
    integrationStoreTokenSet: arrayType(ACLAction$outboundSchema).optional(),
    integrationResourceReplCommand: arrayType(ACLAction$outboundSchema).optional(),
    storeTransfer: arrayType(ACLAction$outboundSchema).optional(),
    supportCase: arrayType(ACLAction$outboundSchema).optional(),
    supportCaseComment: arrayType(ACLAction$outboundSchema).optional(),
    dataCacheBillingSettings: arrayType(ACLAction$outboundSchema).optional(),
    team: arrayType(ACLAction$outboundSchema).optional(),
    teamAccessRequest: arrayType(ACLAction$outboundSchema).optional(),
    teamFellowMembership: arrayType(ACLAction$outboundSchema).optional(),
    teamGitExclusivity: arrayType(ACLAction$outboundSchema).optional(),
    teamInvite: arrayType(ACLAction$outboundSchema).optional(),
    teamInviteCode: arrayType(ACLAction$outboundSchema).optional(),
    teamJoin: arrayType(ACLAction$outboundSchema).optional(),
    teamMemberMfaStatus: arrayType(ACLAction$outboundSchema).optional(),
    teamMicrofrontends: arrayType(ACLAction$outboundSchema).optional(),
    teamOwnMembership: arrayType(ACLAction$outboundSchema).optional(),
    teamOwnMembershipDisconnectSAML: arrayType(ACLAction$outboundSchema).optional(),
    token: arrayType(ACLAction$outboundSchema).optional(),
    usage: arrayType(ACLAction$outboundSchema).optional(),
    usageCycle: arrayType(ACLAction$outboundSchema).optional(),
    vpcPeeringConnection: arrayType(ACLAction$outboundSchema).optional(),
    webAnalyticsPlan: arrayType(ACLAction$outboundSchema).optional(),
    edgeConfig: arrayType(ACLAction$outboundSchema).optional(),
    edgeConfigItem: arrayType(ACLAction$outboundSchema).optional(),
    edgeConfigSchema: arrayType(ACLAction$outboundSchema).optional(),
    edgeConfigToken: arrayType(ACLAction$outboundSchema).optional(),
    webhook: arrayType(ACLAction$outboundSchema).optional(),
    webhookEvent: arrayType(ACLAction$outboundSchema).optional(),
    endpointVerification: arrayType(ACLAction$outboundSchema).optional(),
    projectTransferIn: arrayType(ACLAction$outboundSchema).optional(),
    oauth2Application: arrayType(ACLAction$outboundSchema).optional(),
    vercelRun: arrayType(ACLAction$outboundSchema).optional(),
    vercelRunExec: arrayType(ACLAction$outboundSchema).optional(),
    aliasProject: arrayType(ACLAction$outboundSchema).optional(),
    aliasProtectionBypass: arrayType(ACLAction$outboundSchema).optional(),
    productionAliasProtectionBypass: arrayType(ACLAction$outboundSchema).optional(),
    connectConfigurationLink: arrayType(ACLAction$outboundSchema).optional(),
    dataCacheNamespace: arrayType(ACLAction$outboundSchema).optional(),
    deployment: arrayType(ACLAction$outboundSchema).optional(),
    deploymentCheck: arrayType(ACLAction$outboundSchema).optional(),
    deploymentCheckPreview: arrayType(ACLAction$outboundSchema).optional(),
    deploymentCheckReRunFromProductionBranch: arrayType(ACLAction$outboundSchema).optional(),
    deploymentProductionGit: arrayType(ACLAction$outboundSchema).optional(),
    deploymentV0: arrayType(ACLAction$outboundSchema).optional(),
    deploymentPreview: arrayType(ACLAction$outboundSchema).optional(),
    deploymentPrivate: arrayType(ACLAction$outboundSchema).optional(),
    deploymentPromote: arrayType(ACLAction$outboundSchema).optional(),
    deploymentRollback: arrayType(ACLAction$outboundSchema).optional(),
    edgeCacheNamespace: arrayType(ACLAction$outboundSchema).optional(),
    environments: arrayType(ACLAction$outboundSchema).optional(),
    logs: arrayType(ACLAction$outboundSchema).optional(),
    logsPreset: arrayType(ACLAction$outboundSchema).optional(),
    passwordProtection: arrayType(ACLAction$outboundSchema).optional(),
    optionsAllowlist: arrayType(ACLAction$outboundSchema).optional(),
    job: arrayType(ACLAction$outboundSchema).optional(),
    observabilityData: arrayType(ACLAction$outboundSchema).optional(),
    project: arrayType(ACLAction$outboundSchema).optional(),
    projectFromV0: arrayType(ACLAction$outboundSchema).optional(),
    projectAccessGroup: arrayType(ACLAction$outboundSchema).optional(),
    projectAnalyticsSampling: arrayType(ACLAction$outboundSchema).optional(),
    projectCheck: arrayType(ACLAction$outboundSchema).optional(),
    projectCheckRun: arrayType(ACLAction$outboundSchema).optional(),
    projectDeploymentHook: arrayType(ACLAction$outboundSchema).optional(),
    projectDomain: arrayType(ACLAction$outboundSchema).optional(),
    projectDomainMove: arrayType(ACLAction$outboundSchema).optional(),
    projectDomainCheckConfig: arrayType(ACLAction$outboundSchema).optional(),
    projectEnvVars: arrayType(ACLAction$outboundSchema).optional(),
    projectEnvVarsProduction: arrayType(ACLAction$outboundSchema).optional(),
    projectEnvVarsUnownedByIntegration: arrayType(ACLAction$outboundSchema).optional(),
    projectFlags: arrayType(ACLAction$outboundSchema).optional(),
    projectId: arrayType(ACLAction$outboundSchema).optional(),
    projectIntegrationConfiguration: arrayType(ACLAction$outboundSchema).optional(),
    projectLink: arrayType(ACLAction$outboundSchema).optional(),
    projectMember: arrayType(ACLAction$outboundSchema).optional(),
    projectMonitoring: arrayType(ACLAction$outboundSchema).optional(),
    projectPermissions: arrayType(ACLAction$outboundSchema).optional(),
    projectProductionBranch: arrayType(ACLAction$outboundSchema).optional(),
    projectTransfer: arrayType(ACLAction$outboundSchema).optional(),
    projectTransferOut: arrayType(ACLAction$outboundSchema).optional(),
    projectProtectionBypass: arrayType(ACLAction$outboundSchema).optional(),
    projectUsage: arrayType(ACLAction$outboundSchema).optional(),
    projectAnalyticsUsage: arrayType(ACLAction$outboundSchema).optional(),
    projectSupportCase: arrayType(ACLAction$outboundSchema).optional(),
    projectSupportCaseComment: arrayType(ACLAction$outboundSchema).optional(),
    projectDeploymentExpiration: arrayType(ACLAction$outboundSchema).optional(),
    projectRollingRelease: arrayType(ACLAction$outboundSchema).optional(),
    projectTier: arrayType(ACLAction$outboundSchema).optional(),
    seawallConfig: arrayType(ACLAction$outboundSchema).optional(),
    skewProtection: arrayType(ACLAction$outboundSchema).optional(),
    analytics: arrayType(ACLAction$outboundSchema).optional(),
    trustedIps: arrayType(ACLAction$outboundSchema).optional(),
    webAnalytics: arrayType(ACLAction$outboundSchema).optional(),
    sharedEnvVarConnection: arrayType(ACLAction$outboundSchema).optional(),
    sonar: arrayType(ACLAction$outboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      monitoring: "Monitoring",
      notificationMonitoringAlert: "NotificationMonitoringAlert",
      webhookEvent: "webhook-event"
    });
  });
  ((Permissions$) => {
    Permissions$.inboundSchema = Permissions$inboundSchema;
    Permissions$.outboundSchema = Permissions$outboundSchema;
  })(Permissions$ ||= {});
  LastRollbackTarget$inboundSchema = objectType({});
  LastRollbackTarget$outboundSchema = objectType({});
  ((LastRollbackTarget$) => {
    LastRollbackTarget$.inboundSchema = LastRollbackTarget$inboundSchema;
    LastRollbackTarget$.outboundSchema = LastRollbackTarget$outboundSchema;
  })(LastRollbackTarget$ ||= {});
  JobStatus$inboundSchema = nativeEnumType(JobStatus);
  JobStatus$outboundSchema = JobStatus$inboundSchema;
  ((JobStatus$) => {
    JobStatus$.inboundSchema = JobStatus$inboundSchema;
    JobStatus$.outboundSchema = JobStatus$outboundSchema;
  })(JobStatus$ ||= {});
  UpdateProjectDataCacheProjectsResponse200Type$inboundSchema = nativeEnumType(UpdateProjectDataCacheProjectsResponse200Type);
  UpdateProjectDataCacheProjectsResponse200Type$outboundSchema = UpdateProjectDataCacheProjectsResponse200Type$inboundSchema;
  ((UpdateProjectDataCacheProjectsResponse200Type$) => {
    UpdateProjectDataCacheProjectsResponse200Type$.inboundSchema = UpdateProjectDataCacheProjectsResponse200Type$inboundSchema;
    UpdateProjectDataCacheProjectsResponse200Type$.outboundSchema = UpdateProjectDataCacheProjectsResponse200Type$outboundSchema;
  })(UpdateProjectDataCacheProjectsResponse200Type$ ||= {});
  LastAliasRequest$inboundSchema = objectType({
    fromDeploymentId: stringType(),
    toDeploymentId: stringType(),
    fromRollingReleaseId: stringType().optional(),
    jobStatus: JobStatus$inboundSchema,
    requestedAt: numberType(),
    type: UpdateProjectDataCacheProjectsResponse200Type$inboundSchema
  });
  LastAliasRequest$outboundSchema = objectType({
    fromDeploymentId: stringType(),
    toDeploymentId: stringType(),
    fromRollingReleaseId: stringType().optional(),
    jobStatus: JobStatus$outboundSchema,
    requestedAt: numberType(),
    type: UpdateProjectDataCacheProjectsResponse200Type$outboundSchema
  });
  ((LastAliasRequest$) => {
    LastAliasRequest$.inboundSchema = LastAliasRequest$inboundSchema;
    LastAliasRequest$.outboundSchema = LastAliasRequest$outboundSchema;
  })(LastAliasRequest$ ||= {});
  ProtectionBypassScope$inboundSchema = nativeEnumType(ProtectionBypassScope);
  ProtectionBypassScope$outboundSchema = ProtectionBypassScope$inboundSchema;
  ((ProtectionBypassScope$) => {
    ProtectionBypassScope$.inboundSchema = ProtectionBypassScope$inboundSchema;
    ProtectionBypassScope$.outboundSchema = ProtectionBypassScope$outboundSchema;
  })(ProtectionBypassScope$ ||= {});
  ProtectionBypass2$inboundSchema = objectType({
    createdAt: numberType(),
    createdBy: stringType(),
    scope: ProtectionBypassScope$inboundSchema
  });
  ProtectionBypass2$outboundSchema = objectType({
    createdAt: numberType(),
    createdBy: stringType(),
    scope: ProtectionBypassScope$outboundSchema
  });
  ((ProtectionBypass2$) => {
    ProtectionBypass2$.inboundSchema = ProtectionBypass2$inboundSchema;
    ProtectionBypass2$.outboundSchema = ProtectionBypass2$outboundSchema;
  })(ProtectionBypass2$ ||= {});
  UpdateProjectDataCacheProtectionBypassScope$inboundSchema = nativeEnumType(UpdateProjectDataCacheProtectionBypassScope);
  UpdateProjectDataCacheProtectionBypassScope$outboundSchema = UpdateProjectDataCacheProtectionBypassScope$inboundSchema;
  ((UpdateProjectDataCacheProtectionBypassScope$) => {
    UpdateProjectDataCacheProtectionBypassScope$.inboundSchema = UpdateProjectDataCacheProtectionBypassScope$inboundSchema;
    UpdateProjectDataCacheProtectionBypassScope$.outboundSchema = UpdateProjectDataCacheProtectionBypassScope$outboundSchema;
  })(UpdateProjectDataCacheProtectionBypassScope$ ||= {});
  ProtectionBypass1$inboundSchema = objectType({
    createdAt: numberType(),
    createdBy: stringType(),
    scope: UpdateProjectDataCacheProtectionBypassScope$inboundSchema,
    integrationId: stringType(),
    configurationId: stringType()
  });
  ProtectionBypass1$outboundSchema = objectType({
    createdAt: numberType(),
    createdBy: stringType(),
    scope: UpdateProjectDataCacheProtectionBypassScope$outboundSchema,
    integrationId: stringType(),
    configurationId: stringType()
  });
  ((ProtectionBypass1$) => {
    ProtectionBypass1$.inboundSchema = ProtectionBypass1$inboundSchema;
    ProtectionBypass1$.outboundSchema = ProtectionBypass1$outboundSchema;
  })(ProtectionBypass1$ ||= {});
  ProtectionBypass$inboundSchema = unionType([
    lazyType(() => ProtectionBypass2$inboundSchema),
    lazyType(() => ProtectionBypass1$inboundSchema)
  ]);
  ProtectionBypass$outboundSchema = unionType([
    lazyType(() => ProtectionBypass2$outboundSchema),
    lazyType(() => ProtectionBypass1$outboundSchema)
  ]);
  ((ProtectionBypass$) => {
    ProtectionBypass$.inboundSchema = ProtectionBypass$inboundSchema;
    ProtectionBypass$.outboundSchema = ProtectionBypass$outboundSchema;
  })(ProtectionBypass$ ||= {});
  UpdateProjectDataCacheTrustedIpsDeploymentType$inboundSchema = nativeEnumType(UpdateProjectDataCacheTrustedIpsDeploymentType);
  UpdateProjectDataCacheTrustedIpsDeploymentType$outboundSchema = UpdateProjectDataCacheTrustedIpsDeploymentType$inboundSchema;
  ((UpdateProjectDataCacheTrustedIpsDeploymentType$) => {
    UpdateProjectDataCacheTrustedIpsDeploymentType$.inboundSchema = UpdateProjectDataCacheTrustedIpsDeploymentType$inboundSchema;
    UpdateProjectDataCacheTrustedIpsDeploymentType$.outboundSchema = UpdateProjectDataCacheTrustedIpsDeploymentType$outboundSchema;
  })(UpdateProjectDataCacheTrustedIpsDeploymentType$ ||= {});
  TrustedIps2$inboundSchema = objectType({
    deploymentType: UpdateProjectDataCacheTrustedIpsDeploymentType$inboundSchema
  });
  TrustedIps2$outboundSchema = objectType({
    deploymentType: UpdateProjectDataCacheTrustedIpsDeploymentType$outboundSchema
  });
  ((TrustedIps2$) => {
    TrustedIps2$.inboundSchema = TrustedIps2$inboundSchema;
    TrustedIps2$.outboundSchema = TrustedIps2$outboundSchema;
  })(TrustedIps2$ ||= {});
  TrustedIpsDeploymentType$inboundSchema = nativeEnumType(TrustedIpsDeploymentType);
  TrustedIpsDeploymentType$outboundSchema = TrustedIpsDeploymentType$inboundSchema;
  ((TrustedIpsDeploymentType$) => {
    TrustedIpsDeploymentType$.inboundSchema = TrustedIpsDeploymentType$inboundSchema;
    TrustedIpsDeploymentType$.outboundSchema = TrustedIpsDeploymentType$outboundSchema;
  })(TrustedIpsDeploymentType$ ||= {});
  UpdateProjectDataCacheTrustedIpsAddresses$inboundSchema = objectType({
    value: stringType(),
    note: stringType().optional()
  });
  UpdateProjectDataCacheTrustedIpsAddresses$outboundSchema = objectType({
    value: stringType(),
    note: stringType().optional()
  });
  ((UpdateProjectDataCacheTrustedIpsAddresses$) => {
    UpdateProjectDataCacheTrustedIpsAddresses$.inboundSchema = UpdateProjectDataCacheTrustedIpsAddresses$inboundSchema;
    UpdateProjectDataCacheTrustedIpsAddresses$.outboundSchema = UpdateProjectDataCacheTrustedIpsAddresses$outboundSchema;
  })(UpdateProjectDataCacheTrustedIpsAddresses$ ||= {});
  UpdateProjectDataCacheTrustedIpsProtectionMode$inboundSchema = nativeEnumType(UpdateProjectDataCacheTrustedIpsProtectionMode);
  UpdateProjectDataCacheTrustedIpsProtectionMode$outboundSchema = UpdateProjectDataCacheTrustedIpsProtectionMode$inboundSchema;
  ((UpdateProjectDataCacheTrustedIpsProtectionMode$) => {
    UpdateProjectDataCacheTrustedIpsProtectionMode$.inboundSchema = UpdateProjectDataCacheTrustedIpsProtectionMode$inboundSchema;
    UpdateProjectDataCacheTrustedIpsProtectionMode$.outboundSchema = UpdateProjectDataCacheTrustedIpsProtectionMode$outboundSchema;
  })(UpdateProjectDataCacheTrustedIpsProtectionMode$ ||= {});
  TrustedIps1$inboundSchema = objectType({
    deploymentType: TrustedIpsDeploymentType$inboundSchema,
    addresses: arrayType(lazyType(() => UpdateProjectDataCacheTrustedIpsAddresses$inboundSchema)),
    protectionMode: UpdateProjectDataCacheTrustedIpsProtectionMode$inboundSchema
  });
  TrustedIps1$outboundSchema = objectType({
    deploymentType: TrustedIpsDeploymentType$outboundSchema,
    addresses: arrayType(lazyType(() => UpdateProjectDataCacheTrustedIpsAddresses$outboundSchema)),
    protectionMode: UpdateProjectDataCacheTrustedIpsProtectionMode$outboundSchema
  });
  ((TrustedIps1$) => {
    TrustedIps1$.inboundSchema = TrustedIps1$inboundSchema;
    TrustedIps1$.outboundSchema = TrustedIps1$outboundSchema;
  })(TrustedIps1$ ||= {});
  UpdateProjectDataCacheTrustedIps$inboundSchema = unionType([
    lazyType(() => TrustedIps2$inboundSchema),
    lazyType(() => TrustedIps1$inboundSchema)
  ]);
  UpdateProjectDataCacheTrustedIps$outboundSchema = unionType([
    lazyType(() => TrustedIps2$outboundSchema),
    lazyType(() => TrustedIps1$outboundSchema)
  ]);
  ((UpdateProjectDataCacheTrustedIps$) => {
    UpdateProjectDataCacheTrustedIps$.inboundSchema = UpdateProjectDataCacheTrustedIps$inboundSchema;
    UpdateProjectDataCacheTrustedIps$.outboundSchema = UpdateProjectDataCacheTrustedIps$outboundSchema;
  })(UpdateProjectDataCacheTrustedIps$ ||= {});
  GitComments$inboundSchema = objectType({
    onPullRequest: booleanType(),
    onCommit: booleanType()
  });
  GitComments$outboundSchema = objectType({
    onPullRequest: booleanType(),
    onCommit: booleanType()
  });
  ((GitComments$) => {
    GitComments$.inboundSchema = GitComments$inboundSchema;
    GitComments$.outboundSchema = GitComments$outboundSchema;
  })(GitComments$ ||= {});
  CreateDeployments$inboundSchema = nativeEnumType(CreateDeployments);
  CreateDeployments$outboundSchema = CreateDeployments$inboundSchema;
  ((CreateDeployments$) => {
    CreateDeployments$.inboundSchema = CreateDeployments$inboundSchema;
    CreateDeployments$.outboundSchema = CreateDeployments$outboundSchema;
  })(CreateDeployments$ ||= {});
  GitProviderOptions$inboundSchema = objectType({
    createDeployments: CreateDeployments$inboundSchema
  });
  GitProviderOptions$outboundSchema = objectType({
    createDeployments: CreateDeployments$outboundSchema
  });
  ((GitProviderOptions$) => {
    GitProviderOptions$.inboundSchema = GitProviderOptions$inboundSchema;
    GitProviderOptions$.outboundSchema = GitProviderOptions$outboundSchema;
  })(GitProviderOptions$ ||= {});
  UpdateProjectDataCacheWebAnalytics$inboundSchema = objectType({
    id: stringType(),
    disabledAt: numberType().optional(),
    canceledAt: numberType().optional(),
    enabledAt: numberType().optional(),
    hasData: booleanType().optional()
  });
  UpdateProjectDataCacheWebAnalytics$outboundSchema = objectType({
    id: stringType(),
    disabledAt: numberType().optional(),
    canceledAt: numberType().optional(),
    enabledAt: numberType().optional(),
    hasData: booleanType().optional()
  });
  ((UpdateProjectDataCacheWebAnalytics$) => {
    UpdateProjectDataCacheWebAnalytics$.inboundSchema = UpdateProjectDataCacheWebAnalytics$inboundSchema;
    UpdateProjectDataCacheWebAnalytics$.outboundSchema = UpdateProjectDataCacheWebAnalytics$outboundSchema;
  })(UpdateProjectDataCacheWebAnalytics$ ||= {});
  Src2$inboundSchema = objectType({
    re: stringType().optional(),
    eq: stringType().optional(),
    neq: stringType().optional(),
    inc: arrayType(stringType()).optional(),
    ninc: arrayType(stringType()).optional(),
    pre: stringType().optional(),
    suf: stringType().optional(),
    gt: numberType().optional(),
    gte: numberType().optional(),
    lt: numberType().optional(),
    lte: numberType().optional()
  });
  Src2$outboundSchema = objectType({
    re: stringType().optional(),
    eq: stringType().optional(),
    neq: stringType().optional(),
    inc: arrayType(stringType()).optional(),
    ninc: arrayType(stringType()).optional(),
    pre: stringType().optional(),
    suf: stringType().optional(),
    gt: numberType().optional(),
    gte: numberType().optional(),
    lt: numberType().optional(),
    lte: numberType().optional()
  });
  ((Src2$) => {
    Src2$.inboundSchema = Src2$inboundSchema;
    Src2$.outboundSchema = Src2$outboundSchema;
  })(Src2$ ||= {});
  Src$inboundSchema = unionType([lazyType(() => Src2$inboundSchema), stringType()]);
  Src$outboundSchema = unionType([lazyType(() => Src2$outboundSchema), stringType()]);
  ((Src$) => {
    Src$.inboundSchema = Src$inboundSchema;
    Src$.outboundSchema = Src$outboundSchema;
  })(Src$ ||= {});
  UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityType$inboundSchema = nativeEnumType(UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityType);
  UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityType$outboundSchema = UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityType$inboundSchema;
  ((UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityType$) => {
    UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityType$.inboundSchema = UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityType$inboundSchema;
    UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityType$.outboundSchema = UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityType$outboundSchema;
  })(UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityType$ ||= {});
  UpdateProjectDataCacheValueProjects2$inboundSchema = objectType({
    re: stringType().optional(),
    eq: stringType().optional(),
    neq: stringType().optional(),
    inc: arrayType(stringType()).optional(),
    ninc: arrayType(stringType()).optional(),
    pre: stringType().optional(),
    suf: stringType().optional(),
    gt: numberType().optional(),
    gte: numberType().optional(),
    lt: numberType().optional(),
    lte: numberType().optional()
  });
  UpdateProjectDataCacheValueProjects2$outboundSchema = objectType({
    re: stringType().optional(),
    eq: stringType().optional(),
    neq: stringType().optional(),
    inc: arrayType(stringType()).optional(),
    ninc: arrayType(stringType()).optional(),
    pre: stringType().optional(),
    suf: stringType().optional(),
    gt: numberType().optional(),
    gte: numberType().optional(),
    lt: numberType().optional(),
    lte: numberType().optional()
  });
  ((UpdateProjectDataCacheValueProjects2$) => {
    UpdateProjectDataCacheValueProjects2$.inboundSchema = UpdateProjectDataCacheValueProjects2$inboundSchema;
    UpdateProjectDataCacheValueProjects2$.outboundSchema = UpdateProjectDataCacheValueProjects2$outboundSchema;
  })(UpdateProjectDataCacheValueProjects2$ ||= {});
  UpdateProjectDataCacheProjectsValue$inboundSchema = unionType([
    lazyType(() => UpdateProjectDataCacheValueProjects2$inboundSchema),
    stringType()
  ]);
  UpdateProjectDataCacheProjectsValue$outboundSchema = unionType([
    lazyType(() => UpdateProjectDataCacheValueProjects2$outboundSchema),
    stringType()
  ]);
  ((UpdateProjectDataCacheProjectsValue$) => {
    UpdateProjectDataCacheProjectsValue$.inboundSchema = UpdateProjectDataCacheProjectsValue$inboundSchema;
    UpdateProjectDataCacheProjectsValue$.outboundSchema = UpdateProjectDataCacheProjectsValue$outboundSchema;
  })(UpdateProjectDataCacheProjectsValue$ ||= {});
  Has$inboundSchema = objectType({
    type: UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityType$inboundSchema,
    key: stringType().optional(),
    value: unionType([
      lazyType(() => UpdateProjectDataCacheValueProjects2$inboundSchema),
      stringType()
    ]).optional()
  });
  Has$outboundSchema = objectType({
    type: UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityType$outboundSchema,
    key: stringType().optional(),
    value: unionType([
      lazyType(() => UpdateProjectDataCacheValueProjects2$outboundSchema),
      stringType()
    ]).optional()
  });
  ((Has$) => {
    Has$.inboundSchema = Has$inboundSchema;
    Has$.outboundSchema = Has$outboundSchema;
  })(Has$ ||= {});
  UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$inboundSchema = nativeEnumType(UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType);
  UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$outboundSchema = UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$inboundSchema;
  ((UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$) => {
    UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$.inboundSchema = UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$inboundSchema;
    UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$.outboundSchema = UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$outboundSchema;
  })(UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$ ||= {});
  UpdateProjectDataCacheValue2$inboundSchema = objectType({
    re: stringType().optional(),
    eq: stringType().optional(),
    neq: stringType().optional(),
    inc: arrayType(stringType()).optional(),
    ninc: arrayType(stringType()).optional(),
    pre: stringType().optional(),
    suf: stringType().optional(),
    gt: numberType().optional(),
    gte: numberType().optional(),
    lt: numberType().optional(),
    lte: numberType().optional()
  });
  UpdateProjectDataCacheValue2$outboundSchema = objectType({
    re: stringType().optional(),
    eq: stringType().optional(),
    neq: stringType().optional(),
    inc: arrayType(stringType()).optional(),
    ninc: arrayType(stringType()).optional(),
    pre: stringType().optional(),
    suf: stringType().optional(),
    gt: numberType().optional(),
    gte: numberType().optional(),
    lt: numberType().optional(),
    lte: numberType().optional()
  });
  ((UpdateProjectDataCacheValue2$) => {
    UpdateProjectDataCacheValue2$.inboundSchema = UpdateProjectDataCacheValue2$inboundSchema;
    UpdateProjectDataCacheValue2$.outboundSchema = UpdateProjectDataCacheValue2$outboundSchema;
  })(UpdateProjectDataCacheValue2$ ||= {});
  UpdateProjectDataCacheValue$inboundSchema = unionType([
    lazyType(() => UpdateProjectDataCacheValue2$inboundSchema),
    stringType()
  ]);
  UpdateProjectDataCacheValue$outboundSchema = unionType([
    lazyType(() => UpdateProjectDataCacheValue2$outboundSchema),
    stringType()
  ]);
  ((UpdateProjectDataCacheValue$) => {
    UpdateProjectDataCacheValue$.inboundSchema = UpdateProjectDataCacheValue$inboundSchema;
    UpdateProjectDataCacheValue$.outboundSchema = UpdateProjectDataCacheValue$outboundSchema;
  })(UpdateProjectDataCacheValue$ ||= {});
  Missing$inboundSchema = objectType({
    type: UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$inboundSchema,
    key: stringType().optional(),
    value: unionType([
      lazyType(() => UpdateProjectDataCacheValue2$inboundSchema),
      stringType()
    ]).optional()
  });
  Missing$outboundSchema = objectType({
    type: UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$outboundSchema,
    key: stringType().optional(),
    value: unionType([
      lazyType(() => UpdateProjectDataCacheValue2$outboundSchema),
      stringType()
    ]).optional()
  });
  ((Missing$) => {
    Missing$.inboundSchema = Missing$inboundSchema;
    Missing$.outboundSchema = Missing$outboundSchema;
  })(Missing$ ||= {});
  Handle$inboundSchema = nativeEnumType(Handle);
  Handle$outboundSchema = Handle$inboundSchema;
  ((Handle$) => {
    Handle$.inboundSchema = Handle$inboundSchema;
    Handle$.outboundSchema = Handle$outboundSchema;
  })(Handle$ ||= {});
  UpdateProjectDataCacheProjectsAction$inboundSchema = nativeEnumType(UpdateProjectDataCacheProjectsAction);
  UpdateProjectDataCacheProjectsAction$outboundSchema = UpdateProjectDataCacheProjectsAction$inboundSchema;
  ((UpdateProjectDataCacheProjectsAction$) => {
    UpdateProjectDataCacheProjectsAction$.inboundSchema = UpdateProjectDataCacheProjectsAction$inboundSchema;
    UpdateProjectDataCacheProjectsAction$.outboundSchema = UpdateProjectDataCacheProjectsAction$outboundSchema;
  })(UpdateProjectDataCacheProjectsAction$ ||= {});
  UpdateProjectDataCacheAlgo$inboundSchema = nativeEnumType(UpdateProjectDataCacheAlgo);
  UpdateProjectDataCacheAlgo$outboundSchema = UpdateProjectDataCacheAlgo$inboundSchema;
  ((UpdateProjectDataCacheAlgo$) => {
    UpdateProjectDataCacheAlgo$.inboundSchema = UpdateProjectDataCacheAlgo$inboundSchema;
    UpdateProjectDataCacheAlgo$.outboundSchema = UpdateProjectDataCacheAlgo$outboundSchema;
  })(UpdateProjectDataCacheAlgo$ ||= {});
  Erl$inboundSchema = objectType({
    algo: UpdateProjectDataCacheAlgo$inboundSchema,
    window: numberType(),
    limit: numberType(),
    keys: arrayType(stringType())
  });
  Erl$outboundSchema = objectType({
    algo: UpdateProjectDataCacheAlgo$outboundSchema,
    window: numberType(),
    limit: numberType(),
    keys: arrayType(stringType())
  });
  ((Erl$) => {
    Erl$.inboundSchema = Erl$inboundSchema;
    Erl$.outboundSchema = Erl$outboundSchema;
  })(Erl$ ||= {});
  UpdateProjectDataCacheMitigate$inboundSchema = objectType({
    action: UpdateProjectDataCacheProjectsAction$inboundSchema,
    rule_id: stringType(),
    ttl: numberType().optional(),
    erl: lazyType(() => Erl$inboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      rule_id: "ruleId"
    });
  });
  UpdateProjectDataCacheMitigate$outboundSchema = objectType({
    action: UpdateProjectDataCacheProjectsAction$outboundSchema,
    ruleId: stringType(),
    ttl: numberType().optional(),
    erl: lazyType(() => Erl$outboundSchema).optional()
  }).transform((v2) => {
    return remap(v2, {
      ruleId: "rule_id"
    });
  });
  ((UpdateProjectDataCacheMitigate$) => {
    UpdateProjectDataCacheMitigate$.inboundSchema = UpdateProjectDataCacheMitigate$inboundSchema;
    UpdateProjectDataCacheMitigate$.outboundSchema = UpdateProjectDataCacheMitigate$outboundSchema;
  })(UpdateProjectDataCacheMitigate$ ||= {});
  FirewallRoutes$inboundSchema = objectType({
    src: unionType([lazyType(() => Src2$inboundSchema), stringType()]).optional(),
    has: arrayType(lazyType(() => Has$inboundSchema)).optional(),
    missing: arrayType(lazyType(() => Missing$inboundSchema)).optional(),
    dest: stringType().optional(),
    status: numberType().optional(),
    handle: Handle$inboundSchema.optional(),
    mitigate: lazyType(() => UpdateProjectDataCacheMitigate$inboundSchema).optional()
  });
  FirewallRoutes$outboundSchema = objectType({
    src: unionType([lazyType(() => Src2$outboundSchema), stringType()]).optional(),
    has: arrayType(lazyType(() => Has$outboundSchema)).optional(),
    missing: arrayType(lazyType(() => Missing$outboundSchema)).optional(),
    dest: stringType().optional(),
    status: numberType().optional(),
    handle: Handle$outboundSchema.optional(),
    mitigate: lazyType(() => UpdateProjectDataCacheMitigate$outboundSchema).optional()
  });
  ((FirewallRoutes$) => {
    FirewallRoutes$.inboundSchema = FirewallRoutes$inboundSchema;
    FirewallRoutes$.outboundSchema = FirewallRoutes$outboundSchema;
  })(FirewallRoutes$ ||= {});
  UpdateProjectDataCacheAction$inboundSchema = nativeEnumType(UpdateProjectDataCacheAction);
  UpdateProjectDataCacheAction$outboundSchema = UpdateProjectDataCacheAction$inboundSchema;
  ((UpdateProjectDataCacheAction$) => {
    UpdateProjectDataCacheAction$.inboundSchema = UpdateProjectDataCacheAction$inboundSchema;
    UpdateProjectDataCacheAction$.outboundSchema = UpdateProjectDataCacheAction$outboundSchema;
  })(UpdateProjectDataCacheAction$ ||= {});
  UpdateProjectDataCacheManagedRules$inboundSchema = objectType({
    active: booleanType(),
    action: UpdateProjectDataCacheAction$inboundSchema.optional()
  });
  UpdateProjectDataCacheManagedRules$outboundSchema = objectType({
    active: booleanType(),
    action: UpdateProjectDataCacheAction$outboundSchema.optional()
  });
  ((UpdateProjectDataCacheManagedRules$) => {
    UpdateProjectDataCacheManagedRules$.inboundSchema = UpdateProjectDataCacheManagedRules$inboundSchema;
    UpdateProjectDataCacheManagedRules$.outboundSchema = UpdateProjectDataCacheManagedRules$outboundSchema;
  })(UpdateProjectDataCacheManagedRules$ ||= {});
  UpdateProjectDataCacheSecurity$inboundSchema = objectType({
    attackModeEnabled: booleanType().optional(),
    attackModeUpdatedAt: numberType().optional(),
    firewallEnabled: booleanType().optional(),
    firewallUpdatedAt: numberType().optional(),
    attackModeActiveUntil: nullableType(numberType()).optional(),
    firewallConfigVersion: numberType().optional(),
    firewallRoutes: arrayType(lazyType(() => FirewallRoutes$inboundSchema)).optional(),
    firewallSeawallEnabled: booleanType().optional(),
    ja3Enabled: booleanType().optional(),
    ja4Enabled: booleanType().optional(),
    firewallBypassIps: arrayType(stringType()).optional(),
    managedRules: nullableType(recordType(lazyType(() => UpdateProjectDataCacheManagedRules$inboundSchema))).optional()
  });
  UpdateProjectDataCacheSecurity$outboundSchema = objectType({
    attackModeEnabled: booleanType().optional(),
    attackModeUpdatedAt: numberType().optional(),
    firewallEnabled: booleanType().optional(),
    firewallUpdatedAt: numberType().optional(),
    attackModeActiveUntil: nullableType(numberType()).optional(),
    firewallConfigVersion: numberType().optional(),
    firewallRoutes: arrayType(lazyType(() => FirewallRoutes$outboundSchema)).optional(),
    firewallSeawallEnabled: booleanType().optional(),
    ja3Enabled: booleanType().optional(),
    ja4Enabled: booleanType().optional(),
    firewallBypassIps: arrayType(stringType()).optional(),
    managedRules: nullableType(recordType(lazyType(() => UpdateProjectDataCacheManagedRules$outboundSchema))).optional()
  });
  ((UpdateProjectDataCacheSecurity$) => {
    UpdateProjectDataCacheSecurity$.inboundSchema = UpdateProjectDataCacheSecurity$inboundSchema;
    UpdateProjectDataCacheSecurity$.outboundSchema = UpdateProjectDataCacheSecurity$outboundSchema;
  })(UpdateProjectDataCacheSecurity$ ||= {});
  UpdateProjectDataCacheIssuerMode$inboundSchema = nativeEnumType(UpdateProjectDataCacheIssuerMode);
  UpdateProjectDataCacheIssuerMode$outboundSchema = UpdateProjectDataCacheIssuerMode$inboundSchema;
  ((UpdateProjectDataCacheIssuerMode$) => {
    UpdateProjectDataCacheIssuerMode$.inboundSchema = UpdateProjectDataCacheIssuerMode$inboundSchema;
    UpdateProjectDataCacheIssuerMode$.outboundSchema = UpdateProjectDataCacheIssuerMode$outboundSchema;
  })(UpdateProjectDataCacheIssuerMode$ ||= {});
  UpdateProjectDataCacheOidcTokenConfig$inboundSchema = objectType({
    enabled: booleanType(),
    issuerMode: UpdateProjectDataCacheIssuerMode$inboundSchema.optional()
  });
  UpdateProjectDataCacheOidcTokenConfig$outboundSchema = objectType({
    enabled: booleanType(),
    issuerMode: UpdateProjectDataCacheIssuerMode$outboundSchema.optional()
  });
  ((UpdateProjectDataCacheOidcTokenConfig$) => {
    UpdateProjectDataCacheOidcTokenConfig$.inboundSchema = UpdateProjectDataCacheOidcTokenConfig$inboundSchema;
    UpdateProjectDataCacheOidcTokenConfig$.outboundSchema = UpdateProjectDataCacheOidcTokenConfig$outboundSchema;
  })(UpdateProjectDataCacheOidcTokenConfig$ ||= {});
  UpdateProjectDataCacheTier$inboundSchema = nativeEnumType(UpdateProjectDataCacheTier);
  UpdateProjectDataCacheTier$outboundSchema = UpdateProjectDataCacheTier$inboundSchema;
  ((UpdateProjectDataCacheTier$) => {
    UpdateProjectDataCacheTier$.inboundSchema = UpdateProjectDataCacheTier$inboundSchema;
    UpdateProjectDataCacheTier$.outboundSchema = UpdateProjectDataCacheTier$outboundSchema;
  })(UpdateProjectDataCacheTier$ ||= {});
  UpdateProjectDataCacheResponseBody$inboundSchema = objectType({
    accountId: stringType(),
    analytics: lazyType(() => Analytics$inboundSchema).optional(),
    speedInsights: lazyType(() => SpeedInsights$inboundSchema).optional(),
    autoExposeSystemEnvs: booleanType().optional(),
    autoAssignCustomDomains: booleanType().optional(),
    autoAssignCustomDomainsUpdatedBy: stringType().optional(),
    buildCommand: nullableType(stringType()).optional(),
    commandForIgnoringBuildStep: nullableType(stringType()).optional(),
    connectConfigurations: nullableType(arrayType(lazyType(() => UpdateProjectDataCacheConnectConfigurations$inboundSchema))).optional(),
    connectConfigurationId: nullableType(stringType()).optional(),
    connectBuildsEnabled: booleanType().optional(),
    passiveConnectConfigurationId: nullableType(stringType()).optional(),
    createdAt: numberType().optional(),
    customerSupportCodeVisibility: booleanType().optional(),
    crons: lazyType(() => Crons$inboundSchema).optional(),
    dataCache: lazyType(() => UpdateProjectDataCacheDataCache$inboundSchema).optional(),
    deploymentExpiration: nullableType(lazyType(() => DeploymentExpiration$inboundSchema)).optional(),
    devCommand: nullableType(stringType()).optional(),
    directoryListing: booleanType(),
    installCommand: nullableType(stringType()).optional(),
    env: arrayType(lazyType(() => Env$inboundSchema)).optional(),
    customEnvironments: arrayType(lazyType(() => CustomEnvironments$inboundSchema)).optional(),
    framework: nullableType(UpdateProjectDataCacheFramework$inboundSchema).optional(),
    gitForkProtection: booleanType().optional(),
    gitLFS: booleanType().optional(),
    id: stringType(),
    ipBuckets: arrayType(lazyType(() => IpBuckets$inboundSchema)).optional(),
    latestDeployments: arrayType(lazyType(() => LatestDeployments$inboundSchema)).optional(),
    link: unionType([
      lazyType(() => Link1$inboundSchema),
      lazyType(() => Link3$inboundSchema),
      lazyType(() => Link4$inboundSchema),
      lazyType(() => Link2$inboundSchema)
    ]).optional(),
    microfrontends: unionType([
      lazyType(() => UpdateProjectDataCacheMicrofrontends2$inboundSchema),
      lazyType(() => UpdateProjectDataCacheMicrofrontends1$inboundSchema)
    ]).optional(),
    name: stringType(),
    nodeVersion: UpdateProjectDataCacheNodeVersion$inboundSchema,
    optionsAllowlist: nullableType(lazyType(() => UpdateProjectDataCacheOptionsAllowlist$inboundSchema)).optional(),
    outputDirectory: nullableType(stringType()).optional(),
    passwordProtection: nullableType(lazyType(() => UpdateProjectDataCachePasswordProtection$inboundSchema)).optional(),
    productionDeploymentsFastLane: booleanType().optional(),
    publicSource: nullableType(booleanType()).optional(),
    resourceConfig: lazyType(() => UpdateProjectDataCacheResourceConfig$inboundSchema),
    rollingRelease: nullableType(lazyType(() => RollingRelease$inboundSchema)).optional(),
    defaultResourceConfig: lazyType(() => DefaultResourceConfig$inboundSchema),
    rootDirectory: nullableType(stringType()).optional(),
    serverlessFunctionRegion: nullableType(stringType()).optional(),
    serverlessFunctionZeroConfigFailover: booleanType().optional(),
    skewProtectionBoundaryAt: numberType().optional(),
    skewProtectionMaxAge: numberType().optional(),
    skipGitConnectDuringLink: booleanType().optional(),
    sourceFilesOutsideRootDirectory: booleanType().optional(),
    enableAffectedProjectsDeployments: booleanType().optional(),
    ssoProtection: nullableType(lazyType(() => UpdateProjectDataCacheSsoProtection$inboundSchema)).optional(),
    targets: recordType(nullableType(lazyType(() => Targets$inboundSchema))).optional(),
    transferCompletedAt: numberType().optional(),
    transferStartedAt: numberType().optional(),
    transferToAccountId: stringType().optional(),
    transferredFromAccountId: stringType().optional(),
    updatedAt: numberType().optional(),
    live: booleanType().optional(),
    enablePreviewFeedback: nullableType(booleanType()).optional(),
    enableProductionFeedback: nullableType(booleanType()).optional(),
    permissions: lazyType(() => Permissions$inboundSchema).optional(),
    lastRollbackTarget: nullableType(lazyType(() => LastRollbackTarget$inboundSchema)).optional(),
    lastAliasRequest: nullableType(lazyType(() => LastAliasRequest$inboundSchema)).optional(),
    protectionBypass: recordType(unionType([
      lazyType(() => ProtectionBypass2$inboundSchema),
      lazyType(() => ProtectionBypass1$inboundSchema)
    ])).optional(),
    hasActiveBranches: booleanType().optional(),
    trustedIps: nullableType(unionType([
      lazyType(() => TrustedIps2$inboundSchema),
      lazyType(() => TrustedIps1$inboundSchema)
    ])).optional(),
    gitComments: lazyType(() => GitComments$inboundSchema).optional(),
    gitProviderOptions: lazyType(() => GitProviderOptions$inboundSchema).optional(),
    paused: booleanType().optional(),
    concurrencyBucketName: stringType().optional(),
    webAnalytics: lazyType(() => UpdateProjectDataCacheWebAnalytics$inboundSchema).optional(),
    security: lazyType(() => UpdateProjectDataCacheSecurity$inboundSchema).optional(),
    oidcTokenConfig: lazyType(() => UpdateProjectDataCacheOidcTokenConfig$inboundSchema).optional(),
    tier: UpdateProjectDataCacheTier$inboundSchema.optional()
  });
  UpdateProjectDataCacheResponseBody$outboundSchema = objectType({
    accountId: stringType(),
    analytics: lazyType(() => Analytics$outboundSchema).optional(),
    speedInsights: lazyType(() => SpeedInsights$outboundSchema).optional(),
    autoExposeSystemEnvs: booleanType().optional(),
    autoAssignCustomDomains: booleanType().optional(),
    autoAssignCustomDomainsUpdatedBy: stringType().optional(),
    buildCommand: nullableType(stringType()).optional(),
    commandForIgnoringBuildStep: nullableType(stringType()).optional(),
    connectConfigurations: nullableType(arrayType(lazyType(() => UpdateProjectDataCacheConnectConfigurations$outboundSchema))).optional(),
    connectConfigurationId: nullableType(stringType()).optional(),
    connectBuildsEnabled: booleanType().optional(),
    passiveConnectConfigurationId: nullableType(stringType()).optional(),
    createdAt: numberType().optional(),
    customerSupportCodeVisibility: booleanType().optional(),
    crons: lazyType(() => Crons$outboundSchema).optional(),
    dataCache: lazyType(() => UpdateProjectDataCacheDataCache$outboundSchema).optional(),
    deploymentExpiration: nullableType(lazyType(() => DeploymentExpiration$outboundSchema)).optional(),
    devCommand: nullableType(stringType()).optional(),
    directoryListing: booleanType(),
    installCommand: nullableType(stringType()).optional(),
    env: arrayType(lazyType(() => Env$outboundSchema)).optional(),
    customEnvironments: arrayType(lazyType(() => CustomEnvironments$outboundSchema)).optional(),
    framework: nullableType(UpdateProjectDataCacheFramework$outboundSchema).optional(),
    gitForkProtection: booleanType().optional(),
    gitLFS: booleanType().optional(),
    id: stringType(),
    ipBuckets: arrayType(lazyType(() => IpBuckets$outboundSchema)).optional(),
    latestDeployments: arrayType(lazyType(() => LatestDeployments$outboundSchema)).optional(),
    link: unionType([
      lazyType(() => Link1$outboundSchema),
      lazyType(() => Link3$outboundSchema),
      lazyType(() => Link4$outboundSchema),
      lazyType(() => Link2$outboundSchema)
    ]).optional(),
    microfrontends: unionType([
      lazyType(() => UpdateProjectDataCacheMicrofrontends2$outboundSchema),
      lazyType(() => UpdateProjectDataCacheMicrofrontends1$outboundSchema)
    ]).optional(),
    name: stringType(),
    nodeVersion: UpdateProjectDataCacheNodeVersion$outboundSchema,
    optionsAllowlist: nullableType(lazyType(() => UpdateProjectDataCacheOptionsAllowlist$outboundSchema)).optional(),
    outputDirectory: nullableType(stringType()).optional(),
    passwordProtection: nullableType(lazyType(() => UpdateProjectDataCachePasswordProtection$outboundSchema)).optional(),
    productionDeploymentsFastLane: booleanType().optional(),
    publicSource: nullableType(booleanType()).optional(),
    resourceConfig: lazyType(() => UpdateProjectDataCacheResourceConfig$outboundSchema),
    rollingRelease: nullableType(lazyType(() => RollingRelease$outboundSchema)).optional(),
    defaultResourceConfig: lazyType(() => DefaultResourceConfig$outboundSchema),
    rootDirectory: nullableType(stringType()).optional(),
    serverlessFunctionRegion: nullableType(stringType()).optional(),
    serverlessFunctionZeroConfigFailover: booleanType().optional(),
    skewProtectionBoundaryAt: numberType().optional(),
    skewProtectionMaxAge: numberType().optional(),
    skipGitConnectDuringLink: booleanType().optional(),
    sourceFilesOutsideRootDirectory: booleanType().optional(),
    enableAffectedProjectsDeployments: booleanType().optional(),
    ssoProtection: nullableType(lazyType(() => UpdateProjectDataCacheSsoProtection$outboundSchema)).optional(),
    targets: recordType(nullableType(lazyType(() => Targets$outboundSchema))).optional(),
    transferCompletedAt: numberType().optional(),
    transferStartedAt: numberType().optional(),
    transferToAccountId: stringType().optional(),
    transferredFromAccountId: stringType().optional(),
    updatedAt: numberType().optional(),
    live: booleanType().optional(),
    enablePreviewFeedback: nullableType(booleanType()).optional(),
    enableProductionFeedback: nullableType(booleanType()).optional(),
    permissions: lazyType(() => Permissions$outboundSchema).optional(),
    lastRollbackTarget: nullableType(lazyType(() => LastRollbackTarget$outboundSchema)).optional(),
    lastAliasRequest: nullableType(lazyType(() => LastAliasRequest$outboundSchema)).optional(),
    protectionBypass: recordType(unionType([
      lazyType(() => ProtectionBypass2$outboundSchema),
      lazyType(() => ProtectionBypass1$outboundSchema)
    ])).optional(),
    hasActiveBranches: booleanType().optional(),
    trustedIps: nullableType(unionType([
      lazyType(() => TrustedIps2$outboundSchema),
      lazyType(() => TrustedIps1$outboundSchema)
    ])).optional(),
    gitComments: lazyType(() => GitComments$outboundSchema).optional(),
    gitProviderOptions: lazyType(() => GitProviderOptions$outboundSchema).optional(),
    paused: booleanType().optional(),
    concurrencyBucketName: stringType().optional(),
    webAnalytics: lazyType(() => UpdateProjectDataCacheWebAnalytics$outboundSchema).optional(),
    security: lazyType(() => UpdateProjectDataCacheSecurity$outboundSchema).optional(),
    oidcTokenConfig: lazyType(() => UpdateProjectDataCacheOidcTokenConfig$outboundSchema).optional(),
    tier: UpdateProjectDataCacheTier$outboundSchema.optional()
  });
  ((UpdateProjectDataCacheResponseBody$) => {
    UpdateProjectDataCacheResponseBody$.inboundSchema = UpdateProjectDataCacheResponseBody$inboundSchema;
    UpdateProjectDataCacheResponseBody$.outboundSchema = UpdateProjectDataCacheResponseBody$outboundSchema;
  })(UpdateProjectDataCacheResponseBody$ ||= {});
});

// src/funcs/projectsUpdateProjectDataCache.ts
function projectsUpdateProjectDataCache(client, request, options) {
  return new APIPromise($do136(client, request, options));
}
async function $do136(client, request, options) {
  const parsed = safeParse(request, (value) => UpdateProjectDataCacheRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    projectId: encodeSimple("projectId", payload.projectId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/data-cache/projects/{projectId}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "updateProjectDataCache",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "PATCH",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, UpdateProjectDataCacheResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_projectsUpdateProjectDataCache = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_updateprojectdatacacheop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/projectsUpdateProjectDataCache.ts
var args135, tool$projectsUpdateProjectDataCache;
var init_projectsUpdateProjectDataCache2 = __esm(() => {
  init_projectsUpdateProjectDataCache();
  init_updateprojectdatacacheop();
  init_tools();
  args135 = {
    request: UpdateProjectDataCacheRequest$inboundSchema
  };
  tool$projectsUpdateProjectDataCache = {
    name: "projects-update-project-data-cache",
    description: `Update the data cache feature

Update the data cache feature on a project.`,
    args: args135,
    tool: async (client, args136, ctx) => {
      const [result, apiCall] = await projectsUpdateProjectDataCache(client, args136.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/updateprojectdomainop.ts
var RedirectStatusCode, RedirectStatusCode$inboundSchema, RedirectStatusCode$outboundSchema, RedirectStatusCode$, UpdateProjectDomainRequestBody$inboundSchema, UpdateProjectDomainRequestBody$outboundSchema, UpdateProjectDomainRequestBody$, UpdateProjectDomainRequest$inboundSchema, UpdateProjectDomainRequest$outboundSchema, UpdateProjectDomainRequest$, UpdateProjectDomainVerification$inboundSchema, UpdateProjectDomainVerification$outboundSchema, UpdateProjectDomainVerification$, UpdateProjectDomainResponseBody$inboundSchema, UpdateProjectDomainResponseBody$outboundSchema, UpdateProjectDomainResponseBody$;
var init_updateprojectdomainop = __esm(() => {
  init_esm();
  init_primitives();
  RedirectStatusCode = {
    ThreeHundredAndOne: 301,
    ThreeHundredAndTwo: 302,
    ThreeHundredAndSeven: 307,
    ThreeHundredAndEight: 308
  };
  RedirectStatusCode$inboundSchema = nativeEnumType(RedirectStatusCode);
  RedirectStatusCode$outboundSchema = RedirectStatusCode$inboundSchema;
  ((RedirectStatusCode$) => {
    RedirectStatusCode$.inboundSchema = RedirectStatusCode$inboundSchema;
    RedirectStatusCode$.outboundSchema = RedirectStatusCode$outboundSchema;
  })(RedirectStatusCode$ ||= {});
  UpdateProjectDomainRequestBody$inboundSchema = objectType({
    gitBranch: nullableType(stringType()).optional(),
    redirect: nullableType(stringType()).optional(),
    redirectStatusCode: nullableType(RedirectStatusCode$inboundSchema).optional()
  });
  UpdateProjectDomainRequestBody$outboundSchema = objectType({
    gitBranch: nullableType(stringType()).optional(),
    redirect: nullableType(stringType()).optional(),
    redirectStatusCode: nullableType(RedirectStatusCode$outboundSchema).optional()
  });
  ((UpdateProjectDomainRequestBody$) => {
    UpdateProjectDomainRequestBody$.inboundSchema = UpdateProjectDomainRequestBody$inboundSchema;
    UpdateProjectDomainRequestBody$.outboundSchema = UpdateProjectDomainRequestBody$outboundSchema;
  })(UpdateProjectDomainRequestBody$ ||= {});
  UpdateProjectDomainRequest$inboundSchema = objectType({
    idOrName: stringType(),
    domain: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    RequestBody: lazyType(() => UpdateProjectDomainRequestBody$inboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  UpdateProjectDomainRequest$outboundSchema = objectType({
    idOrName: stringType(),
    domain: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    requestBody: lazyType(() => UpdateProjectDomainRequestBody$outboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((UpdateProjectDomainRequest$) => {
    UpdateProjectDomainRequest$.inboundSchema = UpdateProjectDomainRequest$inboundSchema;
    UpdateProjectDomainRequest$.outboundSchema = UpdateProjectDomainRequest$outboundSchema;
  })(UpdateProjectDomainRequest$ ||= {});
  UpdateProjectDomainVerification$inboundSchema = objectType({
    type: stringType(),
    domain: stringType(),
    value: stringType(),
    reason: stringType()
  });
  UpdateProjectDomainVerification$outboundSchema = objectType({
    type: stringType(),
    domain: stringType(),
    value: stringType(),
    reason: stringType()
  });
  ((UpdateProjectDomainVerification$) => {
    UpdateProjectDomainVerification$.inboundSchema = UpdateProjectDomainVerification$inboundSchema;
    UpdateProjectDomainVerification$.outboundSchema = UpdateProjectDomainVerification$outboundSchema;
  })(UpdateProjectDomainVerification$ ||= {});
  UpdateProjectDomainResponseBody$inboundSchema = objectType({
    name: stringType(),
    apexName: stringType(),
    projectId: stringType(),
    redirect: nullableType(stringType()).optional(),
    redirectStatusCode: nullableType(numberType()).optional(),
    gitBranch: nullableType(stringType()).optional(),
    customEnvironmentId: nullableType(stringType()).optional(),
    updatedAt: numberType().optional(),
    createdAt: numberType().optional(),
    verified: booleanType(),
    verification: arrayType(lazyType(() => UpdateProjectDomainVerification$inboundSchema)).optional()
  });
  UpdateProjectDomainResponseBody$outboundSchema = objectType({
    name: stringType(),
    apexName: stringType(),
    projectId: stringType(),
    redirect: nullableType(stringType()).optional(),
    redirectStatusCode: nullableType(numberType()).optional(),
    gitBranch: nullableType(stringType()).optional(),
    customEnvironmentId: nullableType(stringType()).optional(),
    updatedAt: numberType().optional(),
    createdAt: numberType().optional(),
    verified: booleanType(),
    verification: arrayType(lazyType(() => UpdateProjectDomainVerification$outboundSchema)).optional()
  });
  ((UpdateProjectDomainResponseBody$) => {
    UpdateProjectDomainResponseBody$.inboundSchema = UpdateProjectDomainResponseBody$inboundSchema;
    UpdateProjectDomainResponseBody$.outboundSchema = UpdateProjectDomainResponseBody$outboundSchema;
  })(UpdateProjectDomainResponseBody$ ||= {});
});

// src/funcs/projectsUpdateProjectDomain.ts
function projectsUpdateProjectDomain(client, request, options) {
  return new APIPromise($do137(client, request, options));
}
async function $do137(client, request, options) {
  const parsed = safeParse(request, (value) => UpdateProjectDomainRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    domain: encodeSimple("domain", payload.domain, {
      explode: false,
      charEncoding: "percent"
    }),
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v9/projects/{idOrName}/domains/{domain}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "updateProjectDomain",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "PATCH",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "409", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, UpdateProjectDomainResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, 409, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_projectsUpdateProjectDomain = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_updateprojectdomainop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/projectsUpdateProjectDomain.ts
var args136, tool$projectsUpdateProjectDomain;
var init_projectsUpdateProjectDomain2 = __esm(() => {
  init_projectsUpdateProjectDomain();
  init_updateprojectdomainop();
  init_tools();
  args136 = {
    request: UpdateProjectDomainRequest$inboundSchema
  };
  tool$projectsUpdateProjectDomain = {
    name: "projects-update-project-domain",
    description: `Update a project domain

Update a project domain's configuration, including the name, git branch and redirect of the domain.`,
    args: args136,
    tool: async (client, args137, ctx) => {
      const [result, apiCall] = await projectsUpdateProjectDomain(client, args137.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/updateprojectprotectionbypassop.ts
var UpdateProjectProtectionBypassProtectionBypassProjectsScope, UpdateProjectProtectionBypassProtectionBypassScope, Revoke$inboundSchema, Revoke$outboundSchema, Revoke$, Generate$inboundSchema, Generate$outboundSchema, Generate$, UpdateProjectProtectionBypassRequestBody$inboundSchema, UpdateProjectProtectionBypassRequestBody$outboundSchema, UpdateProjectProtectionBypassRequestBody$, UpdateProjectProtectionBypassRequest$inboundSchema, UpdateProjectProtectionBypassRequest$outboundSchema, UpdateProjectProtectionBypassRequest$, UpdateProjectProtectionBypassProtectionBypassProjectsScope$inboundSchema, UpdateProjectProtectionBypassProtectionBypassProjectsScope$outboundSchema, UpdateProjectProtectionBypassProtectionBypassProjectsScope$, UpdateProjectProtectionBypassProtectionBypass2$inboundSchema, UpdateProjectProtectionBypassProtectionBypass2$outboundSchema, UpdateProjectProtectionBypassProtectionBypass2$, UpdateProjectProtectionBypassProtectionBypassScope$inboundSchema, UpdateProjectProtectionBypassProtectionBypassScope$outboundSchema, UpdateProjectProtectionBypassProtectionBypassScope$, UpdateProjectProtectionBypassProtectionBypass1$inboundSchema, UpdateProjectProtectionBypassProtectionBypass1$outboundSchema, UpdateProjectProtectionBypassProtectionBypass1$, UpdateProjectProtectionBypassProtectionBypass$inboundSchema, UpdateProjectProtectionBypassProtectionBypass$outboundSchema, UpdateProjectProtectionBypassProtectionBypass$, UpdateProjectProtectionBypassResponseBody$inboundSchema, UpdateProjectProtectionBypassResponseBody$outboundSchema, UpdateProjectProtectionBypassResponseBody$;
var init_updateprojectprotectionbypassop = __esm(() => {
  init_esm();
  init_primitives();
  UpdateProjectProtectionBypassProtectionBypassProjectsScope = {
    AutomationBypass: "automation-bypass"
  };
  UpdateProjectProtectionBypassProtectionBypassScope = {
    IntegrationAutomationBypass: "integration-automation-bypass"
  };
  Revoke$inboundSchema = objectType({
    secret: stringType(),
    regenerate: booleanType()
  });
  Revoke$outboundSchema = objectType({
    secret: stringType(),
    regenerate: booleanType()
  });
  ((Revoke$) => {
    Revoke$.inboundSchema = Revoke$inboundSchema;
    Revoke$.outboundSchema = Revoke$outboundSchema;
  })(Revoke$ ||= {});
  Generate$inboundSchema = objectType({
    secret: stringType().optional()
  });
  Generate$outboundSchema = objectType({
    secret: stringType().optional()
  });
  ((Generate$) => {
    Generate$.inboundSchema = Generate$inboundSchema;
    Generate$.outboundSchema = Generate$outboundSchema;
  })(Generate$ ||= {});
  UpdateProjectProtectionBypassRequestBody$inboundSchema = objectType({
    revoke: lazyType(() => Revoke$inboundSchema).optional(),
    generate: lazyType(() => Generate$inboundSchema).optional()
  });
  UpdateProjectProtectionBypassRequestBody$outboundSchema = objectType({
    revoke: lazyType(() => Revoke$outboundSchema).optional(),
    generate: lazyType(() => Generate$outboundSchema).optional()
  });
  ((UpdateProjectProtectionBypassRequestBody$) => {
    UpdateProjectProtectionBypassRequestBody$.inboundSchema = UpdateProjectProtectionBypassRequestBody$inboundSchema;
    UpdateProjectProtectionBypassRequestBody$.outboundSchema = UpdateProjectProtectionBypassRequestBody$outboundSchema;
  })(UpdateProjectProtectionBypassRequestBody$ ||= {});
  UpdateProjectProtectionBypassRequest$inboundSchema = objectType({
    idOrName: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    RequestBody: lazyType(() => UpdateProjectProtectionBypassRequestBody$inboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  UpdateProjectProtectionBypassRequest$outboundSchema = objectType({
    idOrName: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    requestBody: lazyType(() => UpdateProjectProtectionBypassRequestBody$outboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((UpdateProjectProtectionBypassRequest$) => {
    UpdateProjectProtectionBypassRequest$.inboundSchema = UpdateProjectProtectionBypassRequest$inboundSchema;
    UpdateProjectProtectionBypassRequest$.outboundSchema = UpdateProjectProtectionBypassRequest$outboundSchema;
  })(UpdateProjectProtectionBypassRequest$ ||= {});
  UpdateProjectProtectionBypassProtectionBypassProjectsScope$inboundSchema = nativeEnumType(UpdateProjectProtectionBypassProtectionBypassProjectsScope);
  UpdateProjectProtectionBypassProtectionBypassProjectsScope$outboundSchema = UpdateProjectProtectionBypassProtectionBypassProjectsScope$inboundSchema;
  ((UpdateProjectProtectionBypassProtectionBypassProjectsScope$) => {
    UpdateProjectProtectionBypassProtectionBypassProjectsScope$.inboundSchema = UpdateProjectProtectionBypassProtectionBypassProjectsScope$inboundSchema;
    UpdateProjectProtectionBypassProtectionBypassProjectsScope$.outboundSchema = UpdateProjectProtectionBypassProtectionBypassProjectsScope$outboundSchema;
  })(UpdateProjectProtectionBypassProtectionBypassProjectsScope$ ||= {});
  UpdateProjectProtectionBypassProtectionBypass2$inboundSchema = objectType({
    createdAt: numberType(),
    createdBy: stringType(),
    scope: UpdateProjectProtectionBypassProtectionBypassProjectsScope$inboundSchema
  });
  UpdateProjectProtectionBypassProtectionBypass2$outboundSchema = objectType({
    createdAt: numberType(),
    createdBy: stringType(),
    scope: UpdateProjectProtectionBypassProtectionBypassProjectsScope$outboundSchema
  });
  ((UpdateProjectProtectionBypassProtectionBypass2$) => {
    UpdateProjectProtectionBypassProtectionBypass2$.inboundSchema = UpdateProjectProtectionBypassProtectionBypass2$inboundSchema;
    UpdateProjectProtectionBypassProtectionBypass2$.outboundSchema = UpdateProjectProtectionBypassProtectionBypass2$outboundSchema;
  })(UpdateProjectProtectionBypassProtectionBypass2$ ||= {});
  UpdateProjectProtectionBypassProtectionBypassScope$inboundSchema = nativeEnumType(UpdateProjectProtectionBypassProtectionBypassScope);
  UpdateProjectProtectionBypassProtectionBypassScope$outboundSchema = UpdateProjectProtectionBypassProtectionBypassScope$inboundSchema;
  ((UpdateProjectProtectionBypassProtectionBypassScope$) => {
    UpdateProjectProtectionBypassProtectionBypassScope$.inboundSchema = UpdateProjectProtectionBypassProtectionBypassScope$inboundSchema;
    UpdateProjectProtectionBypassProtectionBypassScope$.outboundSchema = UpdateProjectProtectionBypassProtectionBypassScope$outboundSchema;
  })(UpdateProjectProtectionBypassProtectionBypassScope$ ||= {});
  UpdateProjectProtectionBypassProtectionBypass1$inboundSchema = objectType({
    createdAt: numberType(),
    createdBy: stringType(),
    scope: UpdateProjectProtectionBypassProtectionBypassScope$inboundSchema,
    integrationId: stringType(),
    configurationId: stringType()
  });
  UpdateProjectProtectionBypassProtectionBypass1$outboundSchema = objectType({
    createdAt: numberType(),
    createdBy: stringType(),
    scope: UpdateProjectProtectionBypassProtectionBypassScope$outboundSchema,
    integrationId: stringType(),
    configurationId: stringType()
  });
  ((UpdateProjectProtectionBypassProtectionBypass1$) => {
    UpdateProjectProtectionBypassProtectionBypass1$.inboundSchema = UpdateProjectProtectionBypassProtectionBypass1$inboundSchema;
    UpdateProjectProtectionBypassProtectionBypass1$.outboundSchema = UpdateProjectProtectionBypassProtectionBypass1$outboundSchema;
  })(UpdateProjectProtectionBypassProtectionBypass1$ ||= {});
  UpdateProjectProtectionBypassProtectionBypass$inboundSchema = unionType([
    lazyType(() => UpdateProjectProtectionBypassProtectionBypass2$inboundSchema),
    lazyType(() => UpdateProjectProtectionBypassProtectionBypass1$inboundSchema)
  ]);
  UpdateProjectProtectionBypassProtectionBypass$outboundSchema = unionType([
    lazyType(() => UpdateProjectProtectionBypassProtectionBypass2$outboundSchema),
    lazyType(() => UpdateProjectProtectionBypassProtectionBypass1$outboundSchema)
  ]);
  ((UpdateProjectProtectionBypassProtectionBypass$) => {
    UpdateProjectProtectionBypassProtectionBypass$.inboundSchema = UpdateProjectProtectionBypassProtectionBypass$inboundSchema;
    UpdateProjectProtectionBypassProtectionBypass$.outboundSchema = UpdateProjectProtectionBypassProtectionBypass$outboundSchema;
  })(UpdateProjectProtectionBypassProtectionBypass$ ||= {});
  UpdateProjectProtectionBypassResponseBody$inboundSchema = objectType({
    protectionBypass: recordType(unionType([
      lazyType(() => UpdateProjectProtectionBypassProtectionBypass2$inboundSchema),
      lazyType(() => UpdateProjectProtectionBypassProtectionBypass1$inboundSchema)
    ])).optional()
  });
  UpdateProjectProtectionBypassResponseBody$outboundSchema = objectType({
    protectionBypass: recordType(unionType([
      lazyType(() => UpdateProjectProtectionBypassProtectionBypass2$outboundSchema),
      lazyType(() => UpdateProjectProtectionBypassProtectionBypass1$outboundSchema)
    ])).optional()
  });
  ((UpdateProjectProtectionBypassResponseBody$) => {
    UpdateProjectProtectionBypassResponseBody$.inboundSchema = UpdateProjectProtectionBypassResponseBody$inboundSchema;
    UpdateProjectProtectionBypassResponseBody$.outboundSchema = UpdateProjectProtectionBypassResponseBody$outboundSchema;
  })(UpdateProjectProtectionBypassResponseBody$ ||= {});
});

// src/funcs/projectsUpdateProjectProtectionBypass.ts
function projectsUpdateProjectProtectionBypass(client, request, options) {
  return new APIPromise($do138(client, request, options));
}
async function $do138(client, request, options) {
  const parsed = safeParse(request, (value) => UpdateProjectProtectionBypassRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/projects/{idOrName}/protection-bypass")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "updateProjectProtectionBypass",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "PATCH",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "409", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, UpdateProjectProtectionBypassResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, 409, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_projectsUpdateProjectProtectionBypass = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_updateprojectprotectionbypassop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/projectsUpdateProjectProtectionBypass.ts
var args137, tool$projectsUpdateProjectProtectionBypass;
var init_projectsUpdateProjectProtectionBypass2 = __esm(() => {
  init_projectsUpdateProjectProtectionBypass();
  init_updateprojectprotectionbypassop();
  init_tools();
  args137 = {
    request: UpdateProjectProtectionBypassRequest$inboundSchema
  };
  tool$projectsUpdateProjectProtectionBypass = {
    name: "projects-update-project-protection-bypass",
    description: `Update Protection Bypass for Automation

Update the deployment protection automation bypass for a project`,
    args: args137,
    tool: async (client, args138, ctx) => {
      const [result, apiCall] = await projectsUpdateProjectProtectionBypass(client, args138.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/verifyprojectdomainop.ts
var VerifyProjectDomainRequest$inboundSchema, VerifyProjectDomainRequest$outboundSchema, VerifyProjectDomainRequest$, VerifyProjectDomainResponseBody$inboundSchema, VerifyProjectDomainResponseBody$outboundSchema, VerifyProjectDomainResponseBody$;
var init_verifyprojectdomainop = __esm(() => {
  init_esm();
  VerifyProjectDomainRequest$inboundSchema = objectType({
    idOrName: stringType(),
    domain: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  VerifyProjectDomainRequest$outboundSchema = objectType({
    idOrName: stringType(),
    domain: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((VerifyProjectDomainRequest$) => {
    VerifyProjectDomainRequest$.inboundSchema = VerifyProjectDomainRequest$inboundSchema;
    VerifyProjectDomainRequest$.outboundSchema = VerifyProjectDomainRequest$outboundSchema;
  })(VerifyProjectDomainRequest$ ||= {});
  VerifyProjectDomainResponseBody$inboundSchema = objectType({
    name: stringType(),
    apexName: stringType(),
    projectId: stringType(),
    redirect: nullableType(stringType()).optional(),
    redirectStatusCode: nullableType(numberType()).optional(),
    gitBranch: nullableType(stringType()).optional(),
    customEnvironmentId: nullableType(stringType()).optional(),
    updatedAt: numberType().optional(),
    createdAt: numberType().optional(),
    verified: booleanType()
  });
  VerifyProjectDomainResponseBody$outboundSchema = objectType({
    name: stringType(),
    apexName: stringType(),
    projectId: stringType(),
    redirect: nullableType(stringType()).optional(),
    redirectStatusCode: nullableType(numberType()).optional(),
    gitBranch: nullableType(stringType()).optional(),
    customEnvironmentId: nullableType(stringType()).optional(),
    updatedAt: numberType().optional(),
    createdAt: numberType().optional(),
    verified: booleanType()
  });
  ((VerifyProjectDomainResponseBody$) => {
    VerifyProjectDomainResponseBody$.inboundSchema = VerifyProjectDomainResponseBody$inboundSchema;
    VerifyProjectDomainResponseBody$.outboundSchema = VerifyProjectDomainResponseBody$outboundSchema;
  })(VerifyProjectDomainResponseBody$ ||= {});
});

// src/funcs/projectsVerifyProjectDomain.ts
function projectsVerifyProjectDomain(client, request, options) {
  return new APIPromise($do139(client, request, options));
}
async function $do139(client, request, options) {
  const parsed = safeParse(request, (value) => VerifyProjectDomainRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    domain: encodeSimple("domain", payload.domain, {
      explode: false,
      charEncoding: "percent"
    }),
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v9/projects/{idOrName}/domains/{domain}/verify")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "verifyProjectDomain",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, VerifyProjectDomainResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_projectsVerifyProjectDomain = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_verifyprojectdomainop();
  init_async();
});

// src/mcp-server/tools/projectsVerifyProjectDomain.ts
var args138, tool$projectsVerifyProjectDomain;
var init_projectsVerifyProjectDomain2 = __esm(() => {
  init_projectsVerifyProjectDomain();
  init_verifyprojectdomainop();
  init_tools();
  args138 = {
    request: VerifyProjectDomainRequest$inboundSchema
  };
  tool$projectsVerifyProjectDomain = {
    name: "projects-verify-project-domain",
    description: `Verify project domain

Attempts to verify a project domain with \`verified = false\` by checking the correctness of the project domain's \`verification\` challenge.`,
    args: args138,
    tool: async (client, args139, ctx) => {
      const [result, apiCall] = await projectsVerifyProjectDomain(client, args139.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/addbypassipop.ts
var AddBypassIpResponseBodyAction, AddBypassIpRequestBody2$inboundSchema, AddBypassIpRequestBody2$outboundSchema, AddBypassIpRequestBody2$, AddBypassIpRequestBody1$inboundSchema, AddBypassIpRequestBody1$outboundSchema, AddBypassIpRequestBody1$, AddBypassIpRequestBody$inboundSchema, AddBypassIpRequestBody$outboundSchema, AddBypassIpRequestBody$, AddBypassIpRequest$inboundSchema, AddBypassIpRequest$outboundSchema, AddBypassIpRequest$, AddBypassIpResponseBodyAction$inboundSchema, AddBypassIpResponseBodyAction$outboundSchema, AddBypassIpResponseBodyAction$, AddBypassIpResponseBodySecurityResult$inboundSchema, AddBypassIpResponseBodySecurityResult$outboundSchema, AddBypassIpResponseBodySecurityResult$, AddBypassIpResponseBody2$inboundSchema, AddBypassIpResponseBody2$outboundSchema, AddBypassIpResponseBody2$, AddBypassIpResponseBodyResult$inboundSchema, AddBypassIpResponseBodyResult$outboundSchema, AddBypassIpResponseBodyResult$, AddBypassIpResponseBody1$inboundSchema, AddBypassIpResponseBody1$outboundSchema, AddBypassIpResponseBody1$, AddBypassIpResponseBody$inboundSchema, AddBypassIpResponseBody$outboundSchema, AddBypassIpResponseBody$;
var init_addbypassipop = __esm(() => {
  init_esm();
  init_primitives();
  AddBypassIpResponseBodyAction = {
    Block: "block",
    Bypass: "bypass"
  };
  AddBypassIpRequestBody2$inboundSchema = objectType({
    domain: stringType().optional(),
    projectScope: booleanType(),
    sourceIp: stringType().optional(),
    allSources: booleanType().optional(),
    ttl: numberType().optional(),
    note: stringType().optional()
  });
  AddBypassIpRequestBody2$outboundSchema = objectType({
    domain: stringType().optional(),
    projectScope: booleanType(),
    sourceIp: stringType().optional(),
    allSources: booleanType().optional(),
    ttl: numberType().optional(),
    note: stringType().optional()
  });
  ((AddBypassIpRequestBody2$) => {
    AddBypassIpRequestBody2$.inboundSchema = AddBypassIpRequestBody2$inboundSchema;
    AddBypassIpRequestBody2$.outboundSchema = AddBypassIpRequestBody2$outboundSchema;
  })(AddBypassIpRequestBody2$ ||= {});
  AddBypassIpRequestBody1$inboundSchema = objectType({
    domain: stringType(),
    projectScope: booleanType().optional(),
    sourceIp: stringType().optional(),
    allSources: booleanType().optional(),
    ttl: numberType().optional(),
    note: stringType().optional()
  });
  AddBypassIpRequestBody1$outboundSchema = objectType({
    domain: stringType(),
    projectScope: booleanType().optional(),
    sourceIp: stringType().optional(),
    allSources: booleanType().optional(),
    ttl: numberType().optional(),
    note: stringType().optional()
  });
  ((AddBypassIpRequestBody1$) => {
    AddBypassIpRequestBody1$.inboundSchema = AddBypassIpRequestBody1$inboundSchema;
    AddBypassIpRequestBody1$.outboundSchema = AddBypassIpRequestBody1$outboundSchema;
  })(AddBypassIpRequestBody1$ ||= {});
  AddBypassIpRequestBody$inboundSchema = unionType([
    lazyType(() => AddBypassIpRequestBody1$inboundSchema),
    lazyType(() => AddBypassIpRequestBody2$inboundSchema)
  ]);
  AddBypassIpRequestBody$outboundSchema = unionType([
    lazyType(() => AddBypassIpRequestBody1$outboundSchema),
    lazyType(() => AddBypassIpRequestBody2$outboundSchema)
  ]);
  ((AddBypassIpRequestBody$) => {
    AddBypassIpRequestBody$.inboundSchema = AddBypassIpRequestBody$inboundSchema;
    AddBypassIpRequestBody$.outboundSchema = AddBypassIpRequestBody$outboundSchema;
  })(AddBypassIpRequestBody$ ||= {});
  AddBypassIpRequest$inboundSchema = objectType({
    projectId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    RequestBody: unionType([
      lazyType(() => AddBypassIpRequestBody1$inboundSchema),
      lazyType(() => AddBypassIpRequestBody2$inboundSchema)
    ]).optional()
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  AddBypassIpRequest$outboundSchema = objectType({
    projectId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    requestBody: unionType([
      lazyType(() => AddBypassIpRequestBody1$outboundSchema),
      lazyType(() => AddBypassIpRequestBody2$outboundSchema)
    ]).optional()
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((AddBypassIpRequest$) => {
    AddBypassIpRequest$.inboundSchema = AddBypassIpRequest$inboundSchema;
    AddBypassIpRequest$.outboundSchema = AddBypassIpRequest$outboundSchema;
  })(AddBypassIpRequest$ ||= {});
  AddBypassIpResponseBodyAction$inboundSchema = nativeEnumType(AddBypassIpResponseBodyAction);
  AddBypassIpResponseBodyAction$outboundSchema = AddBypassIpResponseBodyAction$inboundSchema;
  ((AddBypassIpResponseBodyAction$) => {
    AddBypassIpResponseBodyAction$.inboundSchema = AddBypassIpResponseBodyAction$inboundSchema;
    AddBypassIpResponseBodyAction$.outboundSchema = AddBypassIpResponseBodyAction$outboundSchema;
  })(AddBypassIpResponseBodyAction$ ||= {});
  AddBypassIpResponseBodySecurityResult$inboundSchema = objectType({
    OwnerId: stringType(),
    Id: stringType(),
    Domain: stringType(),
    Ip: stringType(),
    Action: AddBypassIpResponseBodyAction$inboundSchema.optional(),
    ProjectId: stringType().optional(),
    IsProjectRule: booleanType().optional(),
    Note: stringType().optional(),
    CreatedAt: stringType(),
    ActorId: stringType().optional(),
    UpdatedAt: stringType(),
    UpdatedAtHour: stringType(),
    DeletedAt: stringType().optional(),
    ExpiresAt: nullableType(numberType()).optional()
  }).transform((v2) => {
    return remap(v2, {
      OwnerId: "ownerId",
      Id: "id",
      Domain: "domain",
      Ip: "ip",
      Action: "action",
      ProjectId: "projectId",
      IsProjectRule: "isProjectRule",
      Note: "note",
      CreatedAt: "createdAt",
      ActorId: "actorId",
      UpdatedAt: "updatedAt",
      UpdatedAtHour: "updatedAtHour",
      DeletedAt: "deletedAt",
      ExpiresAt: "expiresAt"
    });
  });
  AddBypassIpResponseBodySecurityResult$outboundSchema = objectType({
    ownerId: stringType(),
    id: stringType(),
    domain: stringType(),
    ip: stringType(),
    action: AddBypassIpResponseBodyAction$outboundSchema.optional(),
    projectId: stringType().optional(),
    isProjectRule: booleanType().optional(),
    note: stringType().optional(),
    createdAt: stringType(),
    actorId: stringType().optional(),
    updatedAt: stringType(),
    updatedAtHour: stringType(),
    deletedAt: stringType().optional(),
    expiresAt: nullableType(numberType()).optional()
  }).transform((v2) => {
    return remap(v2, {
      ownerId: "OwnerId",
      id: "Id",
      domain: "Domain",
      ip: "Ip",
      action: "Action",
      projectId: "ProjectId",
      isProjectRule: "IsProjectRule",
      note: "Note",
      createdAt: "CreatedAt",
      actorId: "ActorId",
      updatedAt: "UpdatedAt",
      updatedAtHour: "UpdatedAtHour",
      deletedAt: "DeletedAt",
      expiresAt: "ExpiresAt"
    });
  });
  ((AddBypassIpResponseBodySecurityResult$) => {
    AddBypassIpResponseBodySecurityResult$.inboundSchema = AddBypassIpResponseBodySecurityResult$inboundSchema;
    AddBypassIpResponseBodySecurityResult$.outboundSchema = AddBypassIpResponseBodySecurityResult$outboundSchema;
  })(AddBypassIpResponseBodySecurityResult$ ||= {});
  AddBypassIpResponseBody2$inboundSchema = objectType({
    ok: booleanType(),
    result: arrayType(lazyType(() => AddBypassIpResponseBodySecurityResult$inboundSchema)).optional()
  });
  AddBypassIpResponseBody2$outboundSchema = objectType({
    ok: booleanType(),
    result: arrayType(lazyType(() => AddBypassIpResponseBodySecurityResult$outboundSchema)).optional()
  });
  ((AddBypassIpResponseBody2$) => {
    AddBypassIpResponseBody2$.inboundSchema = AddBypassIpResponseBody2$inboundSchema;
    AddBypassIpResponseBody2$.outboundSchema = AddBypassIpResponseBody2$outboundSchema;
  })(AddBypassIpResponseBody2$ ||= {});
  AddBypassIpResponseBodyResult$inboundSchema = objectType({
    OwnerId: stringType(),
    Id: stringType(),
    Domain: stringType(),
    Ip: stringType().optional(),
    ProjectId: stringType(),
    Note: stringType(),
    IsProjectRule: booleanType()
  }).transform((v2) => {
    return remap(v2, {
      OwnerId: "ownerId",
      Id: "id",
      Domain: "domain",
      Ip: "ip",
      ProjectId: "projectId",
      Note: "note",
      IsProjectRule: "isProjectRule"
    });
  });
  AddBypassIpResponseBodyResult$outboundSchema = objectType({
    ownerId: stringType(),
    id: stringType(),
    domain: stringType(),
    ip: stringType().optional(),
    projectId: stringType(),
    note: stringType(),
    isProjectRule: booleanType()
  }).transform((v2) => {
    return remap(v2, {
      ownerId: "OwnerId",
      id: "Id",
      domain: "Domain",
      ip: "Ip",
      projectId: "ProjectId",
      note: "Note",
      isProjectRule: "IsProjectRule"
    });
  });
  ((AddBypassIpResponseBodyResult$) => {
    AddBypassIpResponseBodyResult$.inboundSchema = AddBypassIpResponseBodyResult$inboundSchema;
    AddBypassIpResponseBodyResult$.outboundSchema = AddBypassIpResponseBodyResult$outboundSchema;
  })(AddBypassIpResponseBodyResult$ ||= {});
  AddBypassIpResponseBody1$inboundSchema = objectType({
    ok: booleanType(),
    result: arrayType(lazyType(() => AddBypassIpResponseBodyResult$inboundSchema)),
    pagination: nullableType(anyType()).optional()
  });
  AddBypassIpResponseBody1$outboundSchema = objectType({
    ok: booleanType(),
    result: arrayType(lazyType(() => AddBypassIpResponseBodyResult$outboundSchema)),
    pagination: nullableType(anyType()).optional()
  });
  ((AddBypassIpResponseBody1$) => {
    AddBypassIpResponseBody1$.inboundSchema = AddBypassIpResponseBody1$inboundSchema;
    AddBypassIpResponseBody1$.outboundSchema = AddBypassIpResponseBody1$outboundSchema;
  })(AddBypassIpResponseBody1$ ||= {});
  AddBypassIpResponseBody$inboundSchema = unionType([
    lazyType(() => AddBypassIpResponseBody2$inboundSchema),
    lazyType(() => AddBypassIpResponseBody1$inboundSchema)
  ]);
  AddBypassIpResponseBody$outboundSchema = unionType([
    lazyType(() => AddBypassIpResponseBody2$outboundSchema),
    lazyType(() => AddBypassIpResponseBody1$outboundSchema)
  ]);
  ((AddBypassIpResponseBody$) => {
    AddBypassIpResponseBody$.inboundSchema = AddBypassIpResponseBody$inboundSchema;
    AddBypassIpResponseBody$.outboundSchema = AddBypassIpResponseBody$outboundSchema;
  })(AddBypassIpResponseBody$ ||= {});
});

// src/funcs/securityAddBypassIp.ts
function securityAddBypassIp(client, request, options) {
  return new APIPromise($do140(client, request, options));
}
async function $do140(client, request, options) {
  const parsed = safeParse(request, (value) => AddBypassIpRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const path = pathToFunc("/v1/security/firewall/bypass")();
  const query = encodeFormQuery({
    projectId: payload.projectId,
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "addBypassIp",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "500", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, AddBypassIpResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail([500, "5XX"]))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_securityAddBypassIp = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_addbypassipop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/securityAddBypassIp.ts
var args139, tool$securityAddBypassIp;
var init_securityAddBypassIp2 = __esm(() => {
  init_securityAddBypassIp();
  init_addbypassipop();
  init_tools();
  args139 = {
    request: AddBypassIpRequest$inboundSchema
  };
  tool$securityAddBypassIp = {
    name: "security-add-bypass-ip",
    description: `Create System Bypass Rule

Create new system bypass rules`,
    args: args139,
    tool: async (client, args140, ctx) => {
      const [result, apiCall] = await securityAddBypassIp(client, args140.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/getactiveattackstatusop.ts
var GetActiveAttackStatusRequest$inboundSchema, GetActiveAttackStatusRequest$outboundSchema, GetActiveAttackStatusRequest$, AnomalyAlerts$inboundSchema, AnomalyAlerts$outboundSchema, AnomalyAlerts$, DdosAlerts$inboundSchema, DdosAlerts$outboundSchema, DdosAlerts$, AffectedHostMap$inboundSchema, AffectedHostMap$outboundSchema, AffectedHostMap$, Anomalies$inboundSchema, Anomalies$outboundSchema, Anomalies$, GetActiveAttackStatusResponseBody2$inboundSchema, GetActiveAttackStatusResponseBody2$outboundSchema, GetActiveAttackStatusResponseBody2$, GetActiveAttackStatusResponseBody1$inboundSchema, GetActiveAttackStatusResponseBody1$outboundSchema, GetActiveAttackStatusResponseBody1$, GetActiveAttackStatusResponseBody$inboundSchema, GetActiveAttackStatusResponseBody$outboundSchema, GetActiveAttackStatusResponseBody$;
var init_getactiveattackstatusop = __esm(() => {
  init_esm();
  init_primitives();
  GetActiveAttackStatusRequest$inboundSchema = objectType({
    projectId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  GetActiveAttackStatusRequest$outboundSchema = objectType({
    projectId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((GetActiveAttackStatusRequest$) => {
    GetActiveAttackStatusRequest$.inboundSchema = GetActiveAttackStatusRequest$inboundSchema;
    GetActiveAttackStatusRequest$.outboundSchema = GetActiveAttackStatusRequest$outboundSchema;
  })(GetActiveAttackStatusRequest$ ||= {});
  AnomalyAlerts$inboundSchema = objectType({
    at_minute: stringType(),
    zscore: numberType(),
    total_requests_minute: numberType(),
    avg_requests: numberType(),
    stddev_requests: numberType()
  }).transform((v2) => {
    return remap(v2, {
      at_minute: "atMinute",
      total_requests_minute: "totalRequestsMinute",
      avg_requests: "avgRequests",
      stddev_requests: "stddevRequests"
    });
  });
  AnomalyAlerts$outboundSchema = objectType({
    atMinute: stringType(),
    zscore: numberType(),
    totalRequestsMinute: numberType(),
    avgRequests: numberType(),
    stddevRequests: numberType()
  }).transform((v2) => {
    return remap(v2, {
      atMinute: "at_minute",
      totalRequestsMinute: "total_requests_minute",
      avgRequests: "avg_requests",
      stddevRequests: "stddev_requests"
    });
  });
  ((AnomalyAlerts$) => {
    AnomalyAlerts$.inboundSchema = AnomalyAlerts$inboundSchema;
    AnomalyAlerts$.outboundSchema = AnomalyAlerts$outboundSchema;
  })(AnomalyAlerts$ ||= {});
  DdosAlerts$inboundSchema = objectType({
    atMinute: stringType(),
    totalReqs: numberType()
  });
  DdosAlerts$outboundSchema = objectType({
    atMinute: stringType(),
    totalReqs: numberType()
  });
  ((DdosAlerts$) => {
    DdosAlerts$.inboundSchema = DdosAlerts$inboundSchema;
    DdosAlerts$.outboundSchema = DdosAlerts$outboundSchema;
  })(DdosAlerts$ ||= {});
  AffectedHostMap$inboundSchema = objectType({
    anomalyAlerts: recordType(lazyType(() => AnomalyAlerts$inboundSchema)).optional(),
    ddosAlerts: recordType(lazyType(() => DdosAlerts$inboundSchema)).optional()
  });
  AffectedHostMap$outboundSchema = objectType({
    anomalyAlerts: recordType(lazyType(() => AnomalyAlerts$outboundSchema)).optional(),
    ddosAlerts: recordType(lazyType(() => DdosAlerts$outboundSchema)).optional()
  });
  ((AffectedHostMap$) => {
    AffectedHostMap$.inboundSchema = AffectedHostMap$inboundSchema;
    AffectedHostMap$.outboundSchema = AffectedHostMap$outboundSchema;
  })(AffectedHostMap$ ||= {});
  Anomalies$inboundSchema = objectType({
    ownerId: stringType(),
    projectId: stringType(),
    startTime: numberType(),
    endTime: nullableType(numberType()),
    atMinute: numberType(),
    state: stringType().optional(),
    affectedHostMap: recordType(lazyType(() => AffectedHostMap$inboundSchema))
  });
  Anomalies$outboundSchema = objectType({
    ownerId: stringType(),
    projectId: stringType(),
    startTime: numberType(),
    endTime: nullableType(numberType()),
    atMinute: numberType(),
    state: stringType().optional(),
    affectedHostMap: recordType(lazyType(() => AffectedHostMap$outboundSchema))
  });
  ((Anomalies$) => {
    Anomalies$.inboundSchema = Anomalies$inboundSchema;
    Anomalies$.outboundSchema = Anomalies$outboundSchema;
  })(Anomalies$ ||= {});
  GetActiveAttackStatusResponseBody2$inboundSchema = objectType({
    anomalies: arrayType(lazyType(() => Anomalies$inboundSchema))
  });
  GetActiveAttackStatusResponseBody2$outboundSchema = objectType({
    anomalies: arrayType(lazyType(() => Anomalies$outboundSchema))
  });
  ((GetActiveAttackStatusResponseBody2$) => {
    GetActiveAttackStatusResponseBody2$.inboundSchema = GetActiveAttackStatusResponseBody2$inboundSchema;
    GetActiveAttackStatusResponseBody2$.outboundSchema = GetActiveAttackStatusResponseBody2$outboundSchema;
  })(GetActiveAttackStatusResponseBody2$ ||= {});
  GetActiveAttackStatusResponseBody1$inboundSchema = objectType({});
  GetActiveAttackStatusResponseBody1$outboundSchema = objectType({});
  ((GetActiveAttackStatusResponseBody1$) => {
    GetActiveAttackStatusResponseBody1$.inboundSchema = GetActiveAttackStatusResponseBody1$inboundSchema;
    GetActiveAttackStatusResponseBody1$.outboundSchema = GetActiveAttackStatusResponseBody1$outboundSchema;
  })(GetActiveAttackStatusResponseBody1$ ||= {});
  GetActiveAttackStatusResponseBody$inboundSchema = unionType([
    lazyType(() => GetActiveAttackStatusResponseBody1$inboundSchema),
    lazyType(() => GetActiveAttackStatusResponseBody2$inboundSchema)
  ]);
  GetActiveAttackStatusResponseBody$outboundSchema = unionType([
    lazyType(() => GetActiveAttackStatusResponseBody1$outboundSchema),
    lazyType(() => GetActiveAttackStatusResponseBody2$outboundSchema)
  ]);
  ((GetActiveAttackStatusResponseBody$) => {
    GetActiveAttackStatusResponseBody$.inboundSchema = GetActiveAttackStatusResponseBody$inboundSchema;
    GetActiveAttackStatusResponseBody$.outboundSchema = GetActiveAttackStatusResponseBody$outboundSchema;
  })(GetActiveAttackStatusResponseBody$ ||= {});
});

// src/funcs/securityGetActiveAttackStatus.ts
function securityGetActiveAttackStatus(client, request, options) {
  return new APIPromise($do141(client, request, options));
}
async function $do141(client, request, options) {
  const parsed = safeParse(request, (value) => GetActiveAttackStatusRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const path = pathToFunc("/v1/security/firewall/attack-status")();
  const query = encodeFormQuery({
    projectId: payload.projectId,
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "getActiveAttackStatus",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetActiveAttackStatusResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_securityGetActiveAttackStatus = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_getactiveattackstatusop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/securityGetActiveAttackStatus.ts
var args140, tool$securityGetActiveAttackStatus;
var init_securityGetActiveAttackStatus2 = __esm(() => {
  init_securityGetActiveAttackStatus();
  init_getactiveattackstatusop();
  init_tools();
  args140 = {
    request: GetActiveAttackStatusRequest$inboundSchema
  };
  tool$securityGetActiveAttackStatus = {
    name: "security-get-active-attack-status",
    description: `Read active attack data

Retrieve active attack data within the last 24h window`,
    args: args140,
    tool: async (client, args141, ctx) => {
      const [result, apiCall] = await securityGetActiveAttackStatus(client, args141.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/getbypassipop.ts
var GetBypassIpResponseBodyAction, ResponseBodyAction, GetBypassIpRequest$inboundSchema, GetBypassIpRequest$outboundSchema, GetBypassIpRequest$, GetBypassIpResponseBodyAction$inboundSchema, GetBypassIpResponseBodyAction$outboundSchema, GetBypassIpResponseBodyAction$, GetBypassIpResponseBodyResult$inboundSchema, GetBypassIpResponseBodyResult$outboundSchema, GetBypassIpResponseBodyResult$, GetBypassIpResponseBodyPagination$inboundSchema, GetBypassIpResponseBodyPagination$outboundSchema, GetBypassIpResponseBodyPagination$, GetBypassIpResponseBody2$inboundSchema, GetBypassIpResponseBody2$outboundSchema, GetBypassIpResponseBody2$, ResponseBodyAction$inboundSchema, ResponseBodyAction$outboundSchema, ResponseBodyAction$, ResponseBodyResult$inboundSchema, ResponseBodyResult$outboundSchema, ResponseBodyResult$, GetBypassIpResponseBody1$inboundSchema, GetBypassIpResponseBody1$outboundSchema, GetBypassIpResponseBody1$, GetBypassIpResponseBody$inboundSchema, GetBypassIpResponseBody$outboundSchema, GetBypassIpResponseBody$;
var init_getbypassipop = __esm(() => {
  init_esm();
  init_primitives();
  GetBypassIpResponseBodyAction = {
    Block: "block",
    Bypass: "bypass"
  };
  ResponseBodyAction = {
    Block: "block",
    Bypass: "bypass"
  };
  GetBypassIpRequest$inboundSchema = objectType({
    projectId: stringType(),
    limit: numberType().optional(),
    sourceIp: stringType().optional(),
    domain: stringType().optional(),
    projectScope: booleanType().optional(),
    offset: stringType().optional(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  GetBypassIpRequest$outboundSchema = objectType({
    projectId: stringType(),
    limit: numberType().optional(),
    sourceIp: stringType().optional(),
    domain: stringType().optional(),
    projectScope: booleanType().optional(),
    offset: stringType().optional(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((GetBypassIpRequest$) => {
    GetBypassIpRequest$.inboundSchema = GetBypassIpRequest$inboundSchema;
    GetBypassIpRequest$.outboundSchema = GetBypassIpRequest$outboundSchema;
  })(GetBypassIpRequest$ ||= {});
  GetBypassIpResponseBodyAction$inboundSchema = nativeEnumType(GetBypassIpResponseBodyAction);
  GetBypassIpResponseBodyAction$outboundSchema = GetBypassIpResponseBodyAction$inboundSchema;
  ((GetBypassIpResponseBodyAction$) => {
    GetBypassIpResponseBodyAction$.inboundSchema = GetBypassIpResponseBodyAction$inboundSchema;
    GetBypassIpResponseBodyAction$.outboundSchema = GetBypassIpResponseBodyAction$outboundSchema;
  })(GetBypassIpResponseBodyAction$ ||= {});
  GetBypassIpResponseBodyResult$inboundSchema = objectType({
    OwnerId: stringType().optional(),
    Id: stringType().optional(),
    Domain: stringType().optional(),
    Ip: stringType().optional(),
    Action: GetBypassIpResponseBodyAction$inboundSchema.optional(),
    ProjectId: stringType().optional(),
    IsProjectRule: booleanType().optional(),
    Note: stringType().optional(),
    CreatedAt: stringType().optional(),
    ActorId: stringType().optional(),
    UpdatedAt: stringType().optional(),
    UpdatedAtHour: stringType().optional(),
    DeletedAt: stringType().optional(),
    ExpiresAt: nullableType(numberType()).optional()
  }).transform((v2) => {
    return remap(v2, {
      OwnerId: "ownerId",
      Id: "id",
      Domain: "domain",
      Ip: "ip",
      Action: "action",
      ProjectId: "projectId",
      IsProjectRule: "isProjectRule",
      Note: "note",
      CreatedAt: "createdAt",
      ActorId: "actorId",
      UpdatedAt: "updatedAt",
      UpdatedAtHour: "updatedAtHour",
      DeletedAt: "deletedAt",
      ExpiresAt: "expiresAt"
    });
  });
  GetBypassIpResponseBodyResult$outboundSchema = objectType({
    ownerId: stringType().optional(),
    id: stringType().optional(),
    domain: stringType().optional(),
    ip: stringType().optional(),
    action: GetBypassIpResponseBodyAction$outboundSchema.optional(),
    projectId: stringType().optional(),
    isProjectRule: booleanType().optional(),
    note: stringType().optional(),
    createdAt: stringType().optional(),
    actorId: stringType().optional(),
    updatedAt: stringType().optional(),
    updatedAtHour: stringType().optional(),
    deletedAt: stringType().optional(),
    expiresAt: nullableType(numberType()).optional()
  }).transform((v2) => {
    return remap(v2, {
      ownerId: "OwnerId",
      id: "Id",
      domain: "Domain",
      ip: "Ip",
      action: "Action",
      projectId: "ProjectId",
      isProjectRule: "IsProjectRule",
      note: "Note",
      createdAt: "CreatedAt",
      actorId: "ActorId",
      updatedAt: "UpdatedAt",
      updatedAtHour: "UpdatedAtHour",
      deletedAt: "DeletedAt",
      expiresAt: "ExpiresAt"
    });
  });
  ((GetBypassIpResponseBodyResult$) => {
    GetBypassIpResponseBodyResult$.inboundSchema = GetBypassIpResponseBodyResult$inboundSchema;
    GetBypassIpResponseBodyResult$.outboundSchema = GetBypassIpResponseBodyResult$outboundSchema;
  })(GetBypassIpResponseBodyResult$ ||= {});
  GetBypassIpResponseBodyPagination$inboundSchema = objectType({
    OwnerId: stringType(),
    Id: stringType()
  }).transform((v2) => {
    return remap(v2, {
      OwnerId: "ownerId",
      Id: "id"
    });
  });
  GetBypassIpResponseBodyPagination$outboundSchema = objectType({
    ownerId: stringType(),
    id: stringType()
  }).transform((v2) => {
    return remap(v2, {
      ownerId: "OwnerId",
      id: "Id"
    });
  });
  ((GetBypassIpResponseBodyPagination$) => {
    GetBypassIpResponseBodyPagination$.inboundSchema = GetBypassIpResponseBodyPagination$inboundSchema;
    GetBypassIpResponseBodyPagination$.outboundSchema = GetBypassIpResponseBodyPagination$outboundSchema;
  })(GetBypassIpResponseBodyPagination$ ||= {});
  GetBypassIpResponseBody2$inboundSchema = objectType({
    result: arrayType(lazyType(() => GetBypassIpResponseBodyResult$inboundSchema)).optional(),
    pagination: lazyType(() => GetBypassIpResponseBodyPagination$inboundSchema).optional()
  });
  GetBypassIpResponseBody2$outboundSchema = objectType({
    result: arrayType(lazyType(() => GetBypassIpResponseBodyResult$outboundSchema)).optional(),
    pagination: lazyType(() => GetBypassIpResponseBodyPagination$outboundSchema).optional()
  });
  ((GetBypassIpResponseBody2$) => {
    GetBypassIpResponseBody2$.inboundSchema = GetBypassIpResponseBody2$inboundSchema;
    GetBypassIpResponseBody2$.outboundSchema = GetBypassIpResponseBody2$outboundSchema;
  })(GetBypassIpResponseBody2$ ||= {});
  ResponseBodyAction$inboundSchema = nativeEnumType(ResponseBodyAction);
  ResponseBodyAction$outboundSchema = ResponseBodyAction$inboundSchema;
  ((ResponseBodyAction$) => {
    ResponseBodyAction$.inboundSchema = ResponseBodyAction$inboundSchema;
    ResponseBodyAction$.outboundSchema = ResponseBodyAction$outboundSchema;
  })(ResponseBodyAction$ ||= {});
  ResponseBodyResult$inboundSchema = objectType({
    OwnerId: stringType().optional(),
    Id: stringType().optional(),
    Domain: stringType().optional(),
    Ip: stringType().optional(),
    Action: ResponseBodyAction$inboundSchema.optional(),
    ProjectId: stringType().optional(),
    IsProjectRule: booleanType().optional(),
    Note: stringType().optional(),
    CreatedAt: stringType().optional(),
    ActorId: stringType().optional(),
    UpdatedAt: stringType().optional(),
    UpdatedAtHour: stringType().optional(),
    DeletedAt: stringType().optional(),
    ExpiresAt: nullableType(numberType()).optional()
  }).transform((v2) => {
    return remap(v2, {
      OwnerId: "ownerId",
      Id: "id",
      Domain: "domain",
      Ip: "ip",
      Action: "action",
      ProjectId: "projectId",
      IsProjectRule: "isProjectRule",
      Note: "note",
      CreatedAt: "createdAt",
      ActorId: "actorId",
      UpdatedAt: "updatedAt",
      UpdatedAtHour: "updatedAtHour",
      DeletedAt: "deletedAt",
      ExpiresAt: "expiresAt"
    });
  });
  ResponseBodyResult$outboundSchema = objectType({
    ownerId: stringType().optional(),
    id: stringType().optional(),
    domain: stringType().optional(),
    ip: stringType().optional(),
    action: ResponseBodyAction$outboundSchema.optional(),
    projectId: stringType().optional(),
    isProjectRule: booleanType().optional(),
    note: stringType().optional(),
    createdAt: stringType().optional(),
    actorId: stringType().optional(),
    updatedAt: stringType().optional(),
    updatedAtHour: stringType().optional(),
    deletedAt: stringType().optional(),
    expiresAt: nullableType(numberType()).optional()
  }).transform((v2) => {
    return remap(v2, {
      ownerId: "OwnerId",
      id: "Id",
      domain: "Domain",
      ip: "Ip",
      action: "Action",
      projectId: "ProjectId",
      isProjectRule: "IsProjectRule",
      note: "Note",
      createdAt: "CreatedAt",
      actorId: "ActorId",
      updatedAt: "UpdatedAt",
      updatedAtHour: "UpdatedAtHour",
      deletedAt: "DeletedAt",
      expiresAt: "ExpiresAt"
    });
  });
  ((ResponseBodyResult$) => {
    ResponseBodyResult$.inboundSchema = ResponseBodyResult$inboundSchema;
    ResponseBodyResult$.outboundSchema = ResponseBodyResult$outboundSchema;
  })(ResponseBodyResult$ ||= {});
  GetBypassIpResponseBody1$inboundSchema = objectType({
    result: arrayType(lazyType(() => ResponseBodyResult$inboundSchema)),
    pagination: nullableType(anyType()).optional()
  });
  GetBypassIpResponseBody1$outboundSchema = objectType({
    result: arrayType(lazyType(() => ResponseBodyResult$outboundSchema)),
    pagination: nullableType(anyType()).optional()
  });
  ((GetBypassIpResponseBody1$) => {
    GetBypassIpResponseBody1$.inboundSchema = GetBypassIpResponseBody1$inboundSchema;
    GetBypassIpResponseBody1$.outboundSchema = GetBypassIpResponseBody1$outboundSchema;
  })(GetBypassIpResponseBody1$ ||= {});
  GetBypassIpResponseBody$inboundSchema = unionType([
    lazyType(() => GetBypassIpResponseBody1$inboundSchema),
    lazyType(() => GetBypassIpResponseBody2$inboundSchema)
  ]);
  GetBypassIpResponseBody$outboundSchema = unionType([
    lazyType(() => GetBypassIpResponseBody1$outboundSchema),
    lazyType(() => GetBypassIpResponseBody2$outboundSchema)
  ]);
  ((GetBypassIpResponseBody$) => {
    GetBypassIpResponseBody$.inboundSchema = GetBypassIpResponseBody$inboundSchema;
    GetBypassIpResponseBody$.outboundSchema = GetBypassIpResponseBody$outboundSchema;
  })(GetBypassIpResponseBody$ ||= {});
});

// src/funcs/securityGetBypassIp.ts
function securityGetBypassIp(client, request, options) {
  return new APIPromise($do142(client, request, options));
}
async function $do142(client, request, options) {
  const parsed = safeParse(request, (value) => GetBypassIpRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const path = pathToFunc("/v1/security/firewall/bypass")();
  const query = encodeFormQuery({
    domain: payload.domain,
    limit: payload.limit,
    offset: payload.offset,
    projectId: payload.projectId,
    projectScope: payload.projectScope,
    slug: payload.slug,
    sourceIp: payload.sourceIp,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "getBypassIp",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "500", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetBypassIpResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail([500, "5XX"]))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_securityGetBypassIp = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_getbypassipop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/securityGetBypassIp.ts
var args141, tool$securityGetBypassIp;
var init_securityGetBypassIp2 = __esm(() => {
  init_securityGetBypassIp();
  init_getbypassipop();
  init_tools();
  args141 = {
    request: GetBypassIpRequest$inboundSchema
  };
  tool$securityGetBypassIp = {
    name: "security-get-bypass-ip",
    description: `Read System Bypass

Retrieve the system bypass rules configured for the specified project`,
    args: args141,
    tool: async (client, args142, ctx) => {
      const [result, apiCall] = await securityGetBypassIp(client, args142.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/getfirewallconfigop.ts
var GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSdAction, GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsMaAction, GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsLfiAction, GetFirewallConfigSecurityResponse200Action, GetFirewallConfigSecurityResponse200ApplicationJSONAction, GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction, GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsAction, GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsXssAction, GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSqliAction, GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSfAction, GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsJavaAction, GetFirewallConfigType, GetFirewallConfigOp, GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesAction, GetFirewallConfigAlgo, GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesActionAction, GetFirewallConfigSecurityAction, GetFirewallConfigSecurityResponseAction, GetFirewallConfigRequest$inboundSchema, GetFirewallConfigRequest$outboundSchema, GetFirewallConfigRequest$, GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSdAction$inboundSchema, GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSdAction$outboundSchema, GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSdAction$, GetFirewallConfigSd$inboundSchema, GetFirewallConfigSd$outboundSchema, GetFirewallConfigSd$, GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsMaAction$inboundSchema, GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsMaAction$outboundSchema, GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsMaAction$, GetFirewallConfigMa$inboundSchema, GetFirewallConfigMa$outboundSchema, GetFirewallConfigMa$, GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsLfiAction$inboundSchema, GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsLfiAction$outboundSchema, GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsLfiAction$, GetFirewallConfigLfi$inboundSchema, GetFirewallConfigLfi$outboundSchema, GetFirewallConfigLfi$, GetFirewallConfigSecurityResponse200Action$inboundSchema, GetFirewallConfigSecurityResponse200Action$outboundSchema, GetFirewallConfigSecurityResponse200Action$, GetFirewallConfigRfi$inboundSchema, GetFirewallConfigRfi$outboundSchema, GetFirewallConfigRfi$, GetFirewallConfigSecurityResponse200ApplicationJSONAction$inboundSchema, GetFirewallConfigSecurityResponse200ApplicationJSONAction$outboundSchema, GetFirewallConfigSecurityResponse200ApplicationJSONAction$, GetFirewallConfigRce$inboundSchema, GetFirewallConfigRce$outboundSchema, GetFirewallConfigRce$, GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction$inboundSchema, GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction$outboundSchema, GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction$, GetFirewallConfigPhp$inboundSchema, GetFirewallConfigPhp$outboundSchema, GetFirewallConfigPhp$, GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsAction$inboundSchema, GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsAction$outboundSchema, GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsAction$, GetFirewallConfigGen$inboundSchema, GetFirewallConfigGen$outboundSchema, GetFirewallConfigGen$, GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsXssAction$inboundSchema, GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsXssAction$outboundSchema, GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsXssAction$, GetFirewallConfigXss$inboundSchema, GetFirewallConfigXss$outboundSchema, GetFirewallConfigXss$, GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSqliAction$inboundSchema, GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSqliAction$outboundSchema, GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSqliAction$, GetFirewallConfigSqli$inboundSchema, GetFirewallConfigSqli$outboundSchema, GetFirewallConfigSqli$, GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSfAction$inboundSchema, GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSfAction$outboundSchema, GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSfAction$, GetFirewallConfigSf$inboundSchema, GetFirewallConfigSf$outboundSchema, GetFirewallConfigSf$, GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsJavaAction$inboundSchema, GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsJavaAction$outboundSchema, GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsJavaAction$, GetFirewallConfigJava$inboundSchema, GetFirewallConfigJava$outboundSchema, GetFirewallConfigJava$, GetFirewallConfigCrs$inboundSchema, GetFirewallConfigCrs$outboundSchema, GetFirewallConfigCrs$, GetFirewallConfigType$inboundSchema, GetFirewallConfigType$outboundSchema, GetFirewallConfigType$, GetFirewallConfigOp$inboundSchema, GetFirewallConfigOp$outboundSchema, GetFirewallConfigOp$, GetFirewallConfigValue$inboundSchema, GetFirewallConfigValue$outboundSchema, GetFirewallConfigValue$, GetFirewallConfigConditions$inboundSchema, GetFirewallConfigConditions$outboundSchema, GetFirewallConfigConditions$, GetFirewallConfigConditionGroup$inboundSchema, GetFirewallConfigConditionGroup$outboundSchema, GetFirewallConfigConditionGroup$, GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesAction$inboundSchema, GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesAction$outboundSchema, GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesAction$, GetFirewallConfigAlgo$inboundSchema, GetFirewallConfigAlgo$outboundSchema, GetFirewallConfigAlgo$, GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesActionAction$inboundSchema, GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesActionAction$outboundSchema, GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesActionAction$, GetFirewallConfigRateLimit$inboundSchema, GetFirewallConfigRateLimit$outboundSchema, GetFirewallConfigRateLimit$, GetFirewallConfigRedirect$inboundSchema, GetFirewallConfigRedirect$outboundSchema, GetFirewallConfigRedirect$, GetFirewallConfigMitigate$inboundSchema, GetFirewallConfigMitigate$outboundSchema, GetFirewallConfigMitigate$, GetFirewallConfigAction$inboundSchema, GetFirewallConfigAction$outboundSchema, GetFirewallConfigAction$, GetFirewallConfigRules$inboundSchema, GetFirewallConfigRules$outboundSchema, GetFirewallConfigRules$, GetFirewallConfigSecurityAction$inboundSchema, GetFirewallConfigSecurityAction$outboundSchema, GetFirewallConfigSecurityAction$, GetFirewallConfigIps$inboundSchema, GetFirewallConfigIps$outboundSchema, GetFirewallConfigIps$, Changes$inboundSchema, Changes$outboundSchema, Changes$, GetFirewallConfigSecurityResponseAction$inboundSchema, GetFirewallConfigSecurityResponseAction$outboundSchema, GetFirewallConfigSecurityResponseAction$, GetFirewallConfigManagedRules$inboundSchema, GetFirewallConfigManagedRules$outboundSchema, GetFirewallConfigManagedRules$, GetFirewallConfigResponseBody$inboundSchema, GetFirewallConfigResponseBody$outboundSchema, GetFirewallConfigResponseBody$;
var init_getfirewallconfigop = __esm(() => {
  init_esm();
  GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSdAction = {
    Deny: "deny",
    Log: "log"
  };
  GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsMaAction = {
    Deny: "deny",
    Log: "log"
  };
  GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsLfiAction = {
    Deny: "deny",
    Log: "log"
  };
  GetFirewallConfigSecurityResponse200Action = {
    Deny: "deny",
    Log: "log"
  };
  GetFirewallConfigSecurityResponse200ApplicationJSONAction = {
    Deny: "deny",
    Log: "log"
  };
  GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction = {
    Deny: "deny",
    Log: "log"
  };
  GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsAction = {
    Deny: "deny",
    Log: "log"
  };
  GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsXssAction = {
    Deny: "deny",
    Log: "log"
  };
  GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSqliAction = {
    Deny: "deny",
    Log: "log"
  };
  GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSfAction = {
    Deny: "deny",
    Log: "log"
  };
  GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsJavaAction = {
    Deny: "deny",
    Log: "log"
  };
  GetFirewallConfigType = {
    Host: "host",
    Path: "path",
    Method: "method",
    Header: "header",
    Query: "query",
    Cookie: "cookie",
    TargetPath: "target_path",
    RawPath: "raw_path",
    IpAddress: "ip_address",
    Protocol: "protocol",
    Region: "region",
    Scheme: "scheme",
    Environment: "environment",
    UserAgent: "user_agent",
    GeoContinent: "geo_continent",
    GeoCountry: "geo_country",
    GeoCountryRegion: "geo_country_region",
    GeoCity: "geo_city",
    GeoAsNumber: "geo_as_number",
    Ja4Digest: "ja4_digest",
    Ja3Digest: "ja3_digest",
    RateLimitApiId: "rate_limit_api_id"
  };
  GetFirewallConfigOp = {
    Re: "re",
    Eq: "eq",
    Ex: "ex",
    Inc: "inc",
    Pre: "pre",
    Suf: "suf",
    Sub: "sub",
    Gt: "gt",
    Gte: "gte",
    Lt: "lt",
    Lte: "lte",
    Nex: "nex",
    Ninc: "ninc",
    Neq: "neq"
  };
  GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesAction = {
    Deny: "deny",
    Log: "log",
    Challenge: "challenge",
    Bypass: "bypass",
    RateLimit: "rate_limit",
    Redirect: "redirect"
  };
  GetFirewallConfigAlgo = {
    FixedWindow: "fixed_window",
    TokenBucket: "token_bucket"
  };
  GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesActionAction = {
    Deny: "deny",
    Log: "log",
    Challenge: "challenge",
    RateLimit: "rate_limit"
  };
  GetFirewallConfigSecurityAction = {
    Deny: "deny",
    Log: "log",
    Challenge: "challenge",
    Bypass: "bypass"
  };
  GetFirewallConfigSecurityResponseAction = {
    Deny: "deny",
    Log: "log",
    Challenge: "challenge"
  };
  GetFirewallConfigRequest$inboundSchema = objectType({
    projectId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    configVersion: stringType()
  });
  GetFirewallConfigRequest$outboundSchema = objectType({
    projectId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    configVersion: stringType()
  });
  ((GetFirewallConfigRequest$) => {
    GetFirewallConfigRequest$.inboundSchema = GetFirewallConfigRequest$inboundSchema;
    GetFirewallConfigRequest$.outboundSchema = GetFirewallConfigRequest$outboundSchema;
  })(GetFirewallConfigRequest$ ||= {});
  GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSdAction$inboundSchema = nativeEnumType(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSdAction);
  GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSdAction$outboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSdAction$inboundSchema;
  ((GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSdAction$) => {
    GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSdAction$.inboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSdAction$inboundSchema;
    GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSdAction$.outboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSdAction$outboundSchema;
  })(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSdAction$ ||= {});
  GetFirewallConfigSd$inboundSchema = objectType({
    active: booleanType(),
    action: GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSdAction$inboundSchema
  });
  GetFirewallConfigSd$outboundSchema = objectType({
    active: booleanType(),
    action: GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSdAction$outboundSchema
  });
  ((GetFirewallConfigSd$) => {
    GetFirewallConfigSd$.inboundSchema = GetFirewallConfigSd$inboundSchema;
    GetFirewallConfigSd$.outboundSchema = GetFirewallConfigSd$outboundSchema;
  })(GetFirewallConfigSd$ ||= {});
  GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsMaAction$inboundSchema = nativeEnumType(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsMaAction);
  GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsMaAction$outboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsMaAction$inboundSchema;
  ((GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsMaAction$) => {
    GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsMaAction$.inboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsMaAction$inboundSchema;
    GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsMaAction$.outboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsMaAction$outboundSchema;
  })(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsMaAction$ ||= {});
  GetFirewallConfigMa$inboundSchema = objectType({
    active: booleanType(),
    action: GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsMaAction$inboundSchema
  });
  GetFirewallConfigMa$outboundSchema = objectType({
    active: booleanType(),
    action: GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsMaAction$outboundSchema
  });
  ((GetFirewallConfigMa$) => {
    GetFirewallConfigMa$.inboundSchema = GetFirewallConfigMa$inboundSchema;
    GetFirewallConfigMa$.outboundSchema = GetFirewallConfigMa$outboundSchema;
  })(GetFirewallConfigMa$ ||= {});
  GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsLfiAction$inboundSchema = nativeEnumType(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsLfiAction);
  GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsLfiAction$outboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsLfiAction$inboundSchema;
  ((GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsLfiAction$) => {
    GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsLfiAction$.inboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsLfiAction$inboundSchema;
    GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsLfiAction$.outboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsLfiAction$outboundSchema;
  })(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsLfiAction$ ||= {});
  GetFirewallConfigLfi$inboundSchema = objectType({
    active: booleanType(),
    action: GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsLfiAction$inboundSchema
  });
  GetFirewallConfigLfi$outboundSchema = objectType({
    active: booleanType(),
    action: GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsLfiAction$outboundSchema
  });
  ((GetFirewallConfigLfi$) => {
    GetFirewallConfigLfi$.inboundSchema = GetFirewallConfigLfi$inboundSchema;
    GetFirewallConfigLfi$.outboundSchema = GetFirewallConfigLfi$outboundSchema;
  })(GetFirewallConfigLfi$ ||= {});
  GetFirewallConfigSecurityResponse200Action$inboundSchema = nativeEnumType(GetFirewallConfigSecurityResponse200Action);
  GetFirewallConfigSecurityResponse200Action$outboundSchema = GetFirewallConfigSecurityResponse200Action$inboundSchema;
  ((GetFirewallConfigSecurityResponse200Action$) => {
    GetFirewallConfigSecurityResponse200Action$.inboundSchema = GetFirewallConfigSecurityResponse200Action$inboundSchema;
    GetFirewallConfigSecurityResponse200Action$.outboundSchema = GetFirewallConfigSecurityResponse200Action$outboundSchema;
  })(GetFirewallConfigSecurityResponse200Action$ ||= {});
  GetFirewallConfigRfi$inboundSchema = objectType({
    active: booleanType(),
    action: GetFirewallConfigSecurityResponse200Action$inboundSchema
  });
  GetFirewallConfigRfi$outboundSchema = objectType({
    active: booleanType(),
    action: GetFirewallConfigSecurityResponse200Action$outboundSchema
  });
  ((GetFirewallConfigRfi$) => {
    GetFirewallConfigRfi$.inboundSchema = GetFirewallConfigRfi$inboundSchema;
    GetFirewallConfigRfi$.outboundSchema = GetFirewallConfigRfi$outboundSchema;
  })(GetFirewallConfigRfi$ ||= {});
  GetFirewallConfigSecurityResponse200ApplicationJSONAction$inboundSchema = nativeEnumType(GetFirewallConfigSecurityResponse200ApplicationJSONAction);
  GetFirewallConfigSecurityResponse200ApplicationJSONAction$outboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONAction$inboundSchema;
  ((GetFirewallConfigSecurityResponse200ApplicationJSONAction$) => {
    GetFirewallConfigSecurityResponse200ApplicationJSONAction$.inboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONAction$inboundSchema;
    GetFirewallConfigSecurityResponse200ApplicationJSONAction$.outboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONAction$outboundSchema;
  })(GetFirewallConfigSecurityResponse200ApplicationJSONAction$ ||= {});
  GetFirewallConfigRce$inboundSchema = objectType({
    active: booleanType(),
    action: GetFirewallConfigSecurityResponse200ApplicationJSONAction$inboundSchema
  });
  GetFirewallConfigRce$outboundSchema = objectType({
    active: booleanType(),
    action: GetFirewallConfigSecurityResponse200ApplicationJSONAction$outboundSchema
  });
  ((GetFirewallConfigRce$) => {
    GetFirewallConfigRce$.inboundSchema = GetFirewallConfigRce$inboundSchema;
    GetFirewallConfigRce$.outboundSchema = GetFirewallConfigRce$outboundSchema;
  })(GetFirewallConfigRce$ ||= {});
  GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction$inboundSchema = nativeEnumType(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction);
  GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction$outboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction$inboundSchema;
  ((GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction$) => {
    GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction$.inboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction$inboundSchema;
    GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction$.outboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction$outboundSchema;
  })(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction$ ||= {});
  GetFirewallConfigPhp$inboundSchema = objectType({
    active: booleanType(),
    action: GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction$inboundSchema
  });
  GetFirewallConfigPhp$outboundSchema = objectType({
    active: booleanType(),
    action: GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction$outboundSchema
  });
  ((GetFirewallConfigPhp$) => {
    GetFirewallConfigPhp$.inboundSchema = GetFirewallConfigPhp$inboundSchema;
    GetFirewallConfigPhp$.outboundSchema = GetFirewallConfigPhp$outboundSchema;
  })(GetFirewallConfigPhp$ ||= {});
  GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsAction$inboundSchema = nativeEnumType(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsAction);
  GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsAction$outboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsAction$inboundSchema;
  ((GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsAction$) => {
    GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsAction$.inboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsAction$inboundSchema;
    GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsAction$.outboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsAction$outboundSchema;
  })(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsAction$ ||= {});
  GetFirewallConfigGen$inboundSchema = objectType({
    active: booleanType(),
    action: GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsAction$inboundSchema
  });
  GetFirewallConfigGen$outboundSchema = objectType({
    active: booleanType(),
    action: GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsAction$outboundSchema
  });
  ((GetFirewallConfigGen$) => {
    GetFirewallConfigGen$.inboundSchema = GetFirewallConfigGen$inboundSchema;
    GetFirewallConfigGen$.outboundSchema = GetFirewallConfigGen$outboundSchema;
  })(GetFirewallConfigGen$ ||= {});
  GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsXssAction$inboundSchema = nativeEnumType(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsXssAction);
  GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsXssAction$outboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsXssAction$inboundSchema;
  ((GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsXssAction$) => {
    GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsXssAction$.inboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsXssAction$inboundSchema;
    GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsXssAction$.outboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsXssAction$outboundSchema;
  })(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsXssAction$ ||= {});
  GetFirewallConfigXss$inboundSchema = objectType({
    active: booleanType(),
    action: GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsXssAction$inboundSchema
  });
  GetFirewallConfigXss$outboundSchema = objectType({
    active: booleanType(),
    action: GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsXssAction$outboundSchema
  });
  ((GetFirewallConfigXss$) => {
    GetFirewallConfigXss$.inboundSchema = GetFirewallConfigXss$inboundSchema;
    GetFirewallConfigXss$.outboundSchema = GetFirewallConfigXss$outboundSchema;
  })(GetFirewallConfigXss$ ||= {});
  GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSqliAction$inboundSchema = nativeEnumType(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSqliAction);
  GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSqliAction$outboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSqliAction$inboundSchema;
  ((GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSqliAction$) => {
    GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSqliAction$.inboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSqliAction$inboundSchema;
    GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSqliAction$.outboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSqliAction$outboundSchema;
  })(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSqliAction$ ||= {});
  GetFirewallConfigSqli$inboundSchema = objectType({
    active: booleanType(),
    action: GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSqliAction$inboundSchema
  });
  GetFirewallConfigSqli$outboundSchema = objectType({
    active: booleanType(),
    action: GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSqliAction$outboundSchema
  });
  ((GetFirewallConfigSqli$) => {
    GetFirewallConfigSqli$.inboundSchema = GetFirewallConfigSqli$inboundSchema;
    GetFirewallConfigSqli$.outboundSchema = GetFirewallConfigSqli$outboundSchema;
  })(GetFirewallConfigSqli$ ||= {});
  GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSfAction$inboundSchema = nativeEnumType(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSfAction);
  GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSfAction$outboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSfAction$inboundSchema;
  ((GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSfAction$) => {
    GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSfAction$.inboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSfAction$inboundSchema;
    GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSfAction$.outboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSfAction$outboundSchema;
  })(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSfAction$ ||= {});
  GetFirewallConfigSf$inboundSchema = objectType({
    active: booleanType(),
    action: GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSfAction$inboundSchema
  });
  GetFirewallConfigSf$outboundSchema = objectType({
    active: booleanType(),
    action: GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSfAction$outboundSchema
  });
  ((GetFirewallConfigSf$) => {
    GetFirewallConfigSf$.inboundSchema = GetFirewallConfigSf$inboundSchema;
    GetFirewallConfigSf$.outboundSchema = GetFirewallConfigSf$outboundSchema;
  })(GetFirewallConfigSf$ ||= {});
  GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsJavaAction$inboundSchema = nativeEnumType(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsJavaAction);
  GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsJavaAction$outboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsJavaAction$inboundSchema;
  ((GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsJavaAction$) => {
    GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsJavaAction$.inboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsJavaAction$inboundSchema;
    GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsJavaAction$.outboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsJavaAction$outboundSchema;
  })(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsJavaAction$ ||= {});
  GetFirewallConfigJava$inboundSchema = objectType({
    active: booleanType(),
    action: GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsJavaAction$inboundSchema
  });
  GetFirewallConfigJava$outboundSchema = objectType({
    active: booleanType(),
    action: GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsJavaAction$outboundSchema
  });
  ((GetFirewallConfigJava$) => {
    GetFirewallConfigJava$.inboundSchema = GetFirewallConfigJava$inboundSchema;
    GetFirewallConfigJava$.outboundSchema = GetFirewallConfigJava$outboundSchema;
  })(GetFirewallConfigJava$ ||= {});
  GetFirewallConfigCrs$inboundSchema = objectType({
    sd: lazyType(() => GetFirewallConfigSd$inboundSchema),
    ma: lazyType(() => GetFirewallConfigMa$inboundSchema),
    lfi: lazyType(() => GetFirewallConfigLfi$inboundSchema),
    rfi: lazyType(() => GetFirewallConfigRfi$inboundSchema),
    rce: lazyType(() => GetFirewallConfigRce$inboundSchema),
    php: lazyType(() => GetFirewallConfigPhp$inboundSchema),
    gen: lazyType(() => GetFirewallConfigGen$inboundSchema),
    xss: lazyType(() => GetFirewallConfigXss$inboundSchema),
    sqli: lazyType(() => GetFirewallConfigSqli$inboundSchema),
    sf: lazyType(() => GetFirewallConfigSf$inboundSchema),
    java: lazyType(() => GetFirewallConfigJava$inboundSchema)
  });
  GetFirewallConfigCrs$outboundSchema = objectType({
    sd: lazyType(() => GetFirewallConfigSd$outboundSchema),
    ma: lazyType(() => GetFirewallConfigMa$outboundSchema),
    lfi: lazyType(() => GetFirewallConfigLfi$outboundSchema),
    rfi: lazyType(() => GetFirewallConfigRfi$outboundSchema),
    rce: lazyType(() => GetFirewallConfigRce$outboundSchema),
    php: lazyType(() => GetFirewallConfigPhp$outboundSchema),
    gen: lazyType(() => GetFirewallConfigGen$outboundSchema),
    xss: lazyType(() => GetFirewallConfigXss$outboundSchema),
    sqli: lazyType(() => GetFirewallConfigSqli$outboundSchema),
    sf: lazyType(() => GetFirewallConfigSf$outboundSchema),
    java: lazyType(() => GetFirewallConfigJava$outboundSchema)
  });
  ((GetFirewallConfigCrs$) => {
    GetFirewallConfigCrs$.inboundSchema = GetFirewallConfigCrs$inboundSchema;
    GetFirewallConfigCrs$.outboundSchema = GetFirewallConfigCrs$outboundSchema;
  })(GetFirewallConfigCrs$ ||= {});
  GetFirewallConfigType$inboundSchema = nativeEnumType(GetFirewallConfigType);
  GetFirewallConfigType$outboundSchema = GetFirewallConfigType$inboundSchema;
  ((GetFirewallConfigType$) => {
    GetFirewallConfigType$.inboundSchema = GetFirewallConfigType$inboundSchema;
    GetFirewallConfigType$.outboundSchema = GetFirewallConfigType$outboundSchema;
  })(GetFirewallConfigType$ ||= {});
  GetFirewallConfigOp$inboundSchema = nativeEnumType(GetFirewallConfigOp);
  GetFirewallConfigOp$outboundSchema = GetFirewallConfigOp$inboundSchema;
  ((GetFirewallConfigOp$) => {
    GetFirewallConfigOp$.inboundSchema = GetFirewallConfigOp$inboundSchema;
    GetFirewallConfigOp$.outboundSchema = GetFirewallConfigOp$outboundSchema;
  })(GetFirewallConfigOp$ ||= {});
  GetFirewallConfigValue$inboundSchema = unionType([stringType(), numberType(), arrayType(stringType())]);
  GetFirewallConfigValue$outboundSchema = unionType([stringType(), numberType(), arrayType(stringType())]);
  ((GetFirewallConfigValue$) => {
    GetFirewallConfigValue$.inboundSchema = GetFirewallConfigValue$inboundSchema;
    GetFirewallConfigValue$.outboundSchema = GetFirewallConfigValue$outboundSchema;
  })(GetFirewallConfigValue$ ||= {});
  GetFirewallConfigConditions$inboundSchema = objectType({
    type: GetFirewallConfigType$inboundSchema,
    op: GetFirewallConfigOp$inboundSchema,
    neg: booleanType().optional(),
    key: stringType().optional(),
    value: unionType([stringType(), numberType(), arrayType(stringType())]).optional()
  });
  GetFirewallConfigConditions$outboundSchema = objectType({
    type: GetFirewallConfigType$outboundSchema,
    op: GetFirewallConfigOp$outboundSchema,
    neg: booleanType().optional(),
    key: stringType().optional(),
    value: unionType([stringType(), numberType(), arrayType(stringType())]).optional()
  });
  ((GetFirewallConfigConditions$) => {
    GetFirewallConfigConditions$.inboundSchema = GetFirewallConfigConditions$inboundSchema;
    GetFirewallConfigConditions$.outboundSchema = GetFirewallConfigConditions$outboundSchema;
  })(GetFirewallConfigConditions$ ||= {});
  GetFirewallConfigConditionGroup$inboundSchema = objectType({
    conditions: arrayType(lazyType(() => GetFirewallConfigConditions$inboundSchema))
  });
  GetFirewallConfigConditionGroup$outboundSchema = objectType({
    conditions: arrayType(lazyType(() => GetFirewallConfigConditions$outboundSchema))
  });
  ((GetFirewallConfigConditionGroup$) => {
    GetFirewallConfigConditionGroup$.inboundSchema = GetFirewallConfigConditionGroup$inboundSchema;
    GetFirewallConfigConditionGroup$.outboundSchema = GetFirewallConfigConditionGroup$outboundSchema;
  })(GetFirewallConfigConditionGroup$ ||= {});
  GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesAction$inboundSchema = nativeEnumType(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesAction);
  GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesAction$outboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesAction$inboundSchema;
  ((GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesAction$) => {
    GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesAction$.inboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesAction$inboundSchema;
    GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesAction$.outboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesAction$outboundSchema;
  })(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesAction$ ||= {});
  GetFirewallConfigAlgo$inboundSchema = nativeEnumType(GetFirewallConfigAlgo);
  GetFirewallConfigAlgo$outboundSchema = GetFirewallConfigAlgo$inboundSchema;
  ((GetFirewallConfigAlgo$) => {
    GetFirewallConfigAlgo$.inboundSchema = GetFirewallConfigAlgo$inboundSchema;
    GetFirewallConfigAlgo$.outboundSchema = GetFirewallConfigAlgo$outboundSchema;
  })(GetFirewallConfigAlgo$ ||= {});
  GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesActionAction$inboundSchema = nativeEnumType(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesActionAction);
  GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesActionAction$outboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesActionAction$inboundSchema;
  ((GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesActionAction$) => {
    GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesActionAction$.inboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesActionAction$inboundSchema;
    GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesActionAction$.outboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesActionAction$outboundSchema;
  })(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesActionAction$ ||= {});
  GetFirewallConfigRateLimit$inboundSchema = objectType({
    algo: GetFirewallConfigAlgo$inboundSchema,
    window: numberType(),
    limit: numberType(),
    keys: arrayType(stringType()),
    action: nullableType(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesActionAction$inboundSchema).optional()
  });
  GetFirewallConfigRateLimit$outboundSchema = objectType({
    algo: GetFirewallConfigAlgo$outboundSchema,
    window: numberType(),
    limit: numberType(),
    keys: arrayType(stringType()),
    action: nullableType(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesActionAction$outboundSchema).optional()
  });
  ((GetFirewallConfigRateLimit$) => {
    GetFirewallConfigRateLimit$.inboundSchema = GetFirewallConfigRateLimit$inboundSchema;
    GetFirewallConfigRateLimit$.outboundSchema = GetFirewallConfigRateLimit$outboundSchema;
  })(GetFirewallConfigRateLimit$ ||= {});
  GetFirewallConfigRedirect$inboundSchema = objectType({
    location: stringType(),
    permanent: booleanType()
  });
  GetFirewallConfigRedirect$outboundSchema = objectType({
    location: stringType(),
    permanent: booleanType()
  });
  ((GetFirewallConfigRedirect$) => {
    GetFirewallConfigRedirect$.inboundSchema = GetFirewallConfigRedirect$inboundSchema;
    GetFirewallConfigRedirect$.outboundSchema = GetFirewallConfigRedirect$outboundSchema;
  })(GetFirewallConfigRedirect$ ||= {});
  GetFirewallConfigMitigate$inboundSchema = objectType({
    action: GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesAction$inboundSchema,
    rateLimit: nullableType(lazyType(() => GetFirewallConfigRateLimit$inboundSchema)).optional(),
    redirect: nullableType(lazyType(() => GetFirewallConfigRedirect$inboundSchema)).optional(),
    actionDuration: nullableType(stringType()).optional(),
    bypassSystem: nullableType(booleanType()).optional()
  });
  GetFirewallConfigMitigate$outboundSchema = objectType({
    action: GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesAction$outboundSchema,
    rateLimit: nullableType(lazyType(() => GetFirewallConfigRateLimit$outboundSchema)).optional(),
    redirect: nullableType(lazyType(() => GetFirewallConfigRedirect$outboundSchema)).optional(),
    actionDuration: nullableType(stringType()).optional(),
    bypassSystem: nullableType(booleanType()).optional()
  });
  ((GetFirewallConfigMitigate$) => {
    GetFirewallConfigMitigate$.inboundSchema = GetFirewallConfigMitigate$inboundSchema;
    GetFirewallConfigMitigate$.outboundSchema = GetFirewallConfigMitigate$outboundSchema;
  })(GetFirewallConfigMitigate$ ||= {});
  GetFirewallConfigAction$inboundSchema = objectType({
    mitigate: lazyType(() => GetFirewallConfigMitigate$inboundSchema).optional()
  });
  GetFirewallConfigAction$outboundSchema = objectType({
    mitigate: lazyType(() => GetFirewallConfigMitigate$outboundSchema).optional()
  });
  ((GetFirewallConfigAction$) => {
    GetFirewallConfigAction$.inboundSchema = GetFirewallConfigAction$inboundSchema;
    GetFirewallConfigAction$.outboundSchema = GetFirewallConfigAction$outboundSchema;
  })(GetFirewallConfigAction$ ||= {});
  GetFirewallConfigRules$inboundSchema = objectType({
    id: stringType(),
    name: stringType(),
    description: stringType().optional(),
    active: booleanType(),
    conditionGroup: arrayType(lazyType(() => GetFirewallConfigConditionGroup$inboundSchema)),
    action: lazyType(() => GetFirewallConfigAction$inboundSchema)
  });
  GetFirewallConfigRules$outboundSchema = objectType({
    id: stringType(),
    name: stringType(),
    description: stringType().optional(),
    active: booleanType(),
    conditionGroup: arrayType(lazyType(() => GetFirewallConfigConditionGroup$outboundSchema)),
    action: lazyType(() => GetFirewallConfigAction$outboundSchema)
  });
  ((GetFirewallConfigRules$) => {
    GetFirewallConfigRules$.inboundSchema = GetFirewallConfigRules$inboundSchema;
    GetFirewallConfigRules$.outboundSchema = GetFirewallConfigRules$outboundSchema;
  })(GetFirewallConfigRules$ ||= {});
  GetFirewallConfigSecurityAction$inboundSchema = nativeEnumType(GetFirewallConfigSecurityAction);
  GetFirewallConfigSecurityAction$outboundSchema = GetFirewallConfigSecurityAction$inboundSchema;
  ((GetFirewallConfigSecurityAction$) => {
    GetFirewallConfigSecurityAction$.inboundSchema = GetFirewallConfigSecurityAction$inboundSchema;
    GetFirewallConfigSecurityAction$.outboundSchema = GetFirewallConfigSecurityAction$outboundSchema;
  })(GetFirewallConfigSecurityAction$ ||= {});
  GetFirewallConfigIps$inboundSchema = objectType({
    id: stringType(),
    hostname: stringType(),
    ip: stringType(),
    notes: stringType().optional(),
    action: GetFirewallConfigSecurityAction$inboundSchema
  });
  GetFirewallConfigIps$outboundSchema = objectType({
    id: stringType(),
    hostname: stringType(),
    ip: stringType(),
    notes: stringType().optional(),
    action: GetFirewallConfigSecurityAction$outboundSchema
  });
  ((GetFirewallConfigIps$) => {
    GetFirewallConfigIps$.inboundSchema = GetFirewallConfigIps$inboundSchema;
    GetFirewallConfigIps$.outboundSchema = GetFirewallConfigIps$outboundSchema;
  })(GetFirewallConfigIps$ ||= {});
  Changes$inboundSchema = objectType({});
  Changes$outboundSchema = objectType({});
  ((Changes$) => {
    Changes$.inboundSchema = Changes$inboundSchema;
    Changes$.outboundSchema = Changes$outboundSchema;
  })(Changes$ ||= {});
  GetFirewallConfigSecurityResponseAction$inboundSchema = nativeEnumType(GetFirewallConfigSecurityResponseAction);
  GetFirewallConfigSecurityResponseAction$outboundSchema = GetFirewallConfigSecurityResponseAction$inboundSchema;
  ((GetFirewallConfigSecurityResponseAction$) => {
    GetFirewallConfigSecurityResponseAction$.inboundSchema = GetFirewallConfigSecurityResponseAction$inboundSchema;
    GetFirewallConfigSecurityResponseAction$.outboundSchema = GetFirewallConfigSecurityResponseAction$outboundSchema;
  })(GetFirewallConfigSecurityResponseAction$ ||= {});
  GetFirewallConfigManagedRules$inboundSchema = objectType({
    active: booleanType(),
    action: GetFirewallConfigSecurityResponseAction$inboundSchema.optional(),
    updatedAt: stringType().optional(),
    userId: stringType().optional(),
    username: stringType().optional()
  });
  GetFirewallConfigManagedRules$outboundSchema = objectType({
    active: booleanType(),
    action: GetFirewallConfigSecurityResponseAction$outboundSchema.optional(),
    updatedAt: stringType().optional(),
    userId: stringType().optional(),
    username: stringType().optional()
  });
  ((GetFirewallConfigManagedRules$) => {
    GetFirewallConfigManagedRules$.inboundSchema = GetFirewallConfigManagedRules$inboundSchema;
    GetFirewallConfigManagedRules$.outboundSchema = GetFirewallConfigManagedRules$outboundSchema;
  })(GetFirewallConfigManagedRules$ ||= {});
  GetFirewallConfigResponseBody$inboundSchema = objectType({
    ownerId: stringType(),
    projectKey: stringType(),
    id: stringType(),
    version: numberType(),
    updatedAt: stringType(),
    firewallEnabled: booleanType(),
    crs: lazyType(() => GetFirewallConfigCrs$inboundSchema),
    rules: arrayType(lazyType(() => GetFirewallConfigRules$inboundSchema)),
    ips: arrayType(lazyType(() => GetFirewallConfigIps$inboundSchema)),
    changes: arrayType(lazyType(() => Changes$inboundSchema)),
    managedRules: recordType(lazyType(() => GetFirewallConfigManagedRules$inboundSchema)).optional()
  });
  GetFirewallConfigResponseBody$outboundSchema = objectType({
    ownerId: stringType(),
    projectKey: stringType(),
    id: stringType(),
    version: numberType(),
    updatedAt: stringType(),
    firewallEnabled: booleanType(),
    crs: lazyType(() => GetFirewallConfigCrs$outboundSchema),
    rules: arrayType(lazyType(() => GetFirewallConfigRules$outboundSchema)),
    ips: arrayType(lazyType(() => GetFirewallConfigIps$outboundSchema)),
    changes: arrayType(lazyType(() => Changes$outboundSchema)),
    managedRules: recordType(lazyType(() => GetFirewallConfigManagedRules$outboundSchema)).optional()
  });
  ((GetFirewallConfigResponseBody$) => {
    GetFirewallConfigResponseBody$.inboundSchema = GetFirewallConfigResponseBody$inboundSchema;
    GetFirewallConfigResponseBody$.outboundSchema = GetFirewallConfigResponseBody$outboundSchema;
  })(GetFirewallConfigResponseBody$ ||= {});
});

// src/funcs/securityGetFirewallConfig.ts
function securityGetFirewallConfig(client, request, options) {
  return new APIPromise($do143(client, request, options));
}
async function $do143(client, request, options) {
  const parsed = safeParse(request, (value) => GetFirewallConfigRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    configVersion: encodeSimple("configVersion", payload.configVersion, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/security/firewall/config/{configVersion}")(pathParams);
  const query = encodeFormQuery({
    projectId: payload.projectId,
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "getFirewallConfig",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetFirewallConfigResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_securityGetFirewallConfig = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_getfirewallconfigop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/securityGetFirewallConfig.ts
var args142, tool$securityGetFirewallConfig;
var init_securityGetFirewallConfig2 = __esm(() => {
  init_securityGetFirewallConfig();
  init_getfirewallconfigop();
  init_tools();
  args142 = {
    request: GetFirewallConfigRequest$inboundSchema
  };
  tool$securityGetFirewallConfig = {
    name: "security-get-firewall-config",
    description: `Read Firewall Configuration

Retrieve the specified firewall configuration for a project. The deployed configVersion will be \`active\``,
    args: args142,
    tool: async (client, args143, ctx) => {
      const [result, apiCall] = await securityGetFirewallConfig(client, args143.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/putfirewallconfigop.ts
var ManagedRulesAction, PutFirewallConfigManagedRulesAction, PutFirewallConfigAction, PutFirewallConfigSecurityAction, PutFirewallConfigSecurityRequestAction, PutFirewallConfigSecurityRequestRequestBodyAction, PutFirewallConfigSecurityRequestRequestBodyCrsAction, PutFirewallConfigSecurityRequestRequestBodyCrsPhpAction, PutFirewallConfigSecurityRequestRequestBodyCrsGenAction, PutFirewallConfigSecurityRequestRequestBodyCrsXssAction, PutFirewallConfigSecurityRequestRequestBodyCrsSqliAction, PutFirewallConfigSecurityRequestRequestBodyCrsSfAction, PutFirewallConfigSecurityRequestRequestBodyCrsJavaAction, PutFirewallConfigType, Op, PutFirewallConfigSecurityRequestRequestBodyRulesActionAction, Algo, Action1, PutFirewallConfigSecurityRequestRequestBodyIpsAction, PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSdAction, PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsMaAction, PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsLfiAction, PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction, PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveAction, PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsAction, PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsGenAction, PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsXssAction, PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSqliAction, PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSfAction, PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsJavaAction, PutFirewallConfigSecurityType, PutFirewallConfigOp, PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesAction, PutFirewallConfigAlgo, PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesActionAction, PutFirewallConfigSecurityResponse200Action, PutFirewallConfigSecurityResponse200ApplicationJSONAction, ManagedRulesAction$inboundSchema, ManagedRulesAction$outboundSchema, ManagedRulesAction$, PutFirewallConfigManagedRulesAction$inboundSchema, PutFirewallConfigManagedRulesAction$outboundSchema, PutFirewallConfigManagedRulesAction$, RuleGroups$inboundSchema, RuleGroups$outboundSchema, RuleGroups$, ManagedRules1$inboundSchema, ManagedRules1$outboundSchema, ManagedRules1$, ManagedRules$inboundSchema, ManagedRules$outboundSchema, ManagedRules$, PutFirewallConfigAction$inboundSchema, PutFirewallConfigAction$outboundSchema, PutFirewallConfigAction$, Sd$inboundSchema, Sd$outboundSchema, Sd$, PutFirewallConfigSecurityAction$inboundSchema, PutFirewallConfigSecurityAction$outboundSchema, PutFirewallConfigSecurityAction$, Ma$inboundSchema, Ma$outboundSchema, Ma$, PutFirewallConfigSecurityRequestAction$inboundSchema, PutFirewallConfigSecurityRequestAction$outboundSchema, PutFirewallConfigSecurityRequestAction$, Lfi$inboundSchema, Lfi$outboundSchema, Lfi$, PutFirewallConfigSecurityRequestRequestBodyAction$inboundSchema, PutFirewallConfigSecurityRequestRequestBodyAction$outboundSchema, PutFirewallConfigSecurityRequestRequestBodyAction$, Rfi$inboundSchema, Rfi$outboundSchema, Rfi$, PutFirewallConfigSecurityRequestRequestBodyCrsAction$inboundSchema, PutFirewallConfigSecurityRequestRequestBodyCrsAction$outboundSchema, PutFirewallConfigSecurityRequestRequestBodyCrsAction$, Rce$inboundSchema, Rce$outboundSchema, Rce$, PutFirewallConfigSecurityRequestRequestBodyCrsPhpAction$inboundSchema, PutFirewallConfigSecurityRequestRequestBodyCrsPhpAction$outboundSchema, PutFirewallConfigSecurityRequestRequestBodyCrsPhpAction$, Php$inboundSchema, Php$outboundSchema, Php$, PutFirewallConfigSecurityRequestRequestBodyCrsGenAction$inboundSchema, PutFirewallConfigSecurityRequestRequestBodyCrsGenAction$outboundSchema, PutFirewallConfigSecurityRequestRequestBodyCrsGenAction$, Gen$inboundSchema, Gen$outboundSchema, Gen$, PutFirewallConfigSecurityRequestRequestBodyCrsXssAction$inboundSchema, PutFirewallConfigSecurityRequestRequestBodyCrsXssAction$outboundSchema, PutFirewallConfigSecurityRequestRequestBodyCrsXssAction$, Xss$inboundSchema, Xss$outboundSchema, Xss$, PutFirewallConfigSecurityRequestRequestBodyCrsSqliAction$inboundSchema, PutFirewallConfigSecurityRequestRequestBodyCrsSqliAction$outboundSchema, PutFirewallConfigSecurityRequestRequestBodyCrsSqliAction$, Sqli$inboundSchema, Sqli$outboundSchema, Sqli$, PutFirewallConfigSecurityRequestRequestBodyCrsSfAction$inboundSchema, PutFirewallConfigSecurityRequestRequestBodyCrsSfAction$outboundSchema, PutFirewallConfigSecurityRequestRequestBodyCrsSfAction$, Sf$inboundSchema, Sf$outboundSchema, Sf$, PutFirewallConfigSecurityRequestRequestBodyCrsJavaAction$inboundSchema, PutFirewallConfigSecurityRequestRequestBodyCrsJavaAction$outboundSchema, PutFirewallConfigSecurityRequestRequestBodyCrsJavaAction$, Java$inboundSchema, Java$outboundSchema, Java$, Crs$inboundSchema, Crs$outboundSchema, Crs$, PutFirewallConfigType$inboundSchema, PutFirewallConfigType$outboundSchema, PutFirewallConfigType$, Op$inboundSchema, Op$outboundSchema, Op$, Value$inboundSchema, Value$outboundSchema, Value$, Conditions$inboundSchema, Conditions$outboundSchema, Conditions$, ConditionGroup$inboundSchema, ConditionGroup$outboundSchema, ConditionGroup$, PutFirewallConfigSecurityRequestRequestBodyRulesActionAction$inboundSchema, PutFirewallConfigSecurityRequestRequestBodyRulesActionAction$outboundSchema, PutFirewallConfigSecurityRequestRequestBodyRulesActionAction$, Algo$inboundSchema, Algo$outboundSchema, Algo$, Action1$inboundSchema, Action1$outboundSchema, Action1$, RateLimitAction$inboundSchema, RateLimitAction$outboundSchema, RateLimitAction$, RateLimit1$inboundSchema, RateLimit1$outboundSchema, RateLimit1$, RateLimit$inboundSchema, RateLimit$outboundSchema, RateLimit$, Redirect1$inboundSchema, Redirect1$outboundSchema, Redirect1$, Redirect$inboundSchema, Redirect$outboundSchema, Redirect$, Mitigate$inboundSchema, Mitigate$outboundSchema, Mitigate$, PutFirewallConfigSecurityRequestRequestBodyRulesAction$inboundSchema, PutFirewallConfigSecurityRequestRequestBodyRulesAction$outboundSchema, PutFirewallConfigSecurityRequestRequestBodyRulesAction$, PutFirewallConfigRules$inboundSchema, PutFirewallConfigRules$outboundSchema, PutFirewallConfigRules$, PutFirewallConfigSecurityRequestRequestBodyIpsAction$inboundSchema, PutFirewallConfigSecurityRequestRequestBodyIpsAction$outboundSchema, PutFirewallConfigSecurityRequestRequestBodyIpsAction$, Ips$inboundSchema, Ips$outboundSchema, Ips$, PutFirewallConfigRequestBody$inboundSchema, PutFirewallConfigRequestBody$outboundSchema, PutFirewallConfigRequestBody$, PutFirewallConfigRequest$inboundSchema, PutFirewallConfigRequest$outboundSchema, PutFirewallConfigRequest$, PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSdAction$inboundSchema, PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSdAction$outboundSchema, PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSdAction$, PutFirewallConfigSd$inboundSchema, PutFirewallConfigSd$outboundSchema, PutFirewallConfigSd$, PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsMaAction$inboundSchema, PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsMaAction$outboundSchema, PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsMaAction$, PutFirewallConfigMa$inboundSchema, PutFirewallConfigMa$outboundSchema, PutFirewallConfigMa$, PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsLfiAction$inboundSchema, PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsLfiAction$outboundSchema, PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsLfiAction$, PutFirewallConfigLfi$inboundSchema, PutFirewallConfigLfi$outboundSchema, PutFirewallConfigLfi$, PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction$inboundSchema, PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction$outboundSchema, PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction$, PutFirewallConfigRfi$inboundSchema, PutFirewallConfigRfi$outboundSchema, PutFirewallConfigRfi$, PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveAction$inboundSchema, PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveAction$outboundSchema, PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveAction$, PutFirewallConfigRce$inboundSchema, PutFirewallConfigRce$outboundSchema, PutFirewallConfigRce$, PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsAction$inboundSchema, PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsAction$outboundSchema, PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsAction$, PutFirewallConfigPhp$inboundSchema, PutFirewallConfigPhp$outboundSchema, PutFirewallConfigPhp$, PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsGenAction$inboundSchema, PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsGenAction$outboundSchema, PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsGenAction$, PutFirewallConfigGen$inboundSchema, PutFirewallConfigGen$outboundSchema, PutFirewallConfigGen$, PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsXssAction$inboundSchema, PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsXssAction$outboundSchema, PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsXssAction$, PutFirewallConfigXss$inboundSchema, PutFirewallConfigXss$outboundSchema, PutFirewallConfigXss$, PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSqliAction$inboundSchema, PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSqliAction$outboundSchema, PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSqliAction$, PutFirewallConfigSqli$inboundSchema, PutFirewallConfigSqli$outboundSchema, PutFirewallConfigSqli$, PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSfAction$inboundSchema, PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSfAction$outboundSchema, PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSfAction$, PutFirewallConfigSf$inboundSchema, PutFirewallConfigSf$outboundSchema, PutFirewallConfigSf$, PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsJavaAction$inboundSchema, PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsJavaAction$outboundSchema, PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsJavaAction$, PutFirewallConfigJava$inboundSchema, PutFirewallConfigJava$outboundSchema, PutFirewallConfigJava$, PutFirewallConfigCrs$inboundSchema, PutFirewallConfigCrs$outboundSchema, PutFirewallConfigCrs$, PutFirewallConfigSecurityType$inboundSchema, PutFirewallConfigSecurityType$outboundSchema, PutFirewallConfigSecurityType$, PutFirewallConfigOp$inboundSchema, PutFirewallConfigOp$outboundSchema, PutFirewallConfigOp$, PutFirewallConfigValue$inboundSchema, PutFirewallConfigValue$outboundSchema, PutFirewallConfigValue$, PutFirewallConfigConditions$inboundSchema, PutFirewallConfigConditions$outboundSchema, PutFirewallConfigConditions$, PutFirewallConfigConditionGroup$inboundSchema, PutFirewallConfigConditionGroup$outboundSchema, PutFirewallConfigConditionGroup$, PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesAction$inboundSchema, PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesAction$outboundSchema, PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesAction$, PutFirewallConfigAlgo$inboundSchema, PutFirewallConfigAlgo$outboundSchema, PutFirewallConfigAlgo$, PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesActionAction$inboundSchema, PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesActionAction$outboundSchema, PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesActionAction$, PutFirewallConfigRateLimit$inboundSchema, PutFirewallConfigRateLimit$outboundSchema, PutFirewallConfigRateLimit$, PutFirewallConfigRedirect$inboundSchema, PutFirewallConfigRedirect$outboundSchema, PutFirewallConfigRedirect$, PutFirewallConfigMitigate$inboundSchema, PutFirewallConfigMitigate$outboundSchema, PutFirewallConfigMitigate$, PutFirewallConfigSecurityResponseAction$inboundSchema, PutFirewallConfigSecurityResponseAction$outboundSchema, PutFirewallConfigSecurityResponseAction$, PutFirewallConfigSecurityRules$inboundSchema, PutFirewallConfigSecurityRules$outboundSchema, PutFirewallConfigSecurityRules$, PutFirewallConfigSecurityResponse200Action$inboundSchema, PutFirewallConfigSecurityResponse200Action$outboundSchema, PutFirewallConfigSecurityResponse200Action$, PutFirewallConfigIps$inboundSchema, PutFirewallConfigIps$outboundSchema, PutFirewallConfigIps$, PutFirewallConfigChanges$inboundSchema, PutFirewallConfigChanges$outboundSchema, PutFirewallConfigChanges$, PutFirewallConfigSecurityResponse200ApplicationJSONAction$inboundSchema, PutFirewallConfigSecurityResponse200ApplicationJSONAction$outboundSchema, PutFirewallConfigSecurityResponse200ApplicationJSONAction$, PutFirewallConfigManagedRules$inboundSchema, PutFirewallConfigManagedRules$outboundSchema, PutFirewallConfigManagedRules$, Active$inboundSchema, Active$outboundSchema, Active$, PutFirewallConfigResponseBody$inboundSchema, PutFirewallConfigResponseBody$outboundSchema, PutFirewallConfigResponseBody$;
var init_putfirewallconfigop = __esm(() => {
  init_esm();
  init_primitives();
  ManagedRulesAction = {
    Log: "log",
    Challenge: "challenge",
    Deny: "deny"
  };
  PutFirewallConfigManagedRulesAction = {
    Log: "log",
    Challenge: "challenge",
    Deny: "deny"
  };
  PutFirewallConfigAction = {
    Deny: "deny",
    Log: "log"
  };
  PutFirewallConfigSecurityAction = {
    Deny: "deny",
    Log: "log"
  };
  PutFirewallConfigSecurityRequestAction = {
    Deny: "deny",
    Log: "log"
  };
  PutFirewallConfigSecurityRequestRequestBodyAction = {
    Deny: "deny",
    Log: "log"
  };
  PutFirewallConfigSecurityRequestRequestBodyCrsAction = {
    Deny: "deny",
    Log: "log"
  };
  PutFirewallConfigSecurityRequestRequestBodyCrsPhpAction = {
    Deny: "deny",
    Log: "log"
  };
  PutFirewallConfigSecurityRequestRequestBodyCrsGenAction = {
    Deny: "deny",
    Log: "log"
  };
  PutFirewallConfigSecurityRequestRequestBodyCrsXssAction = {
    Deny: "deny",
    Log: "log"
  };
  PutFirewallConfigSecurityRequestRequestBodyCrsSqliAction = {
    Deny: "deny",
    Log: "log"
  };
  PutFirewallConfigSecurityRequestRequestBodyCrsSfAction = {
    Deny: "deny",
    Log: "log"
  };
  PutFirewallConfigSecurityRequestRequestBodyCrsJavaAction = {
    Deny: "deny",
    Log: "log"
  };
  PutFirewallConfigType = {
    Host: "host",
    Path: "path",
    Method: "method",
    Header: "header",
    Query: "query",
    Cookie: "cookie",
    TargetPath: "target_path",
    RawPath: "raw_path",
    IpAddress: "ip_address",
    Region: "region",
    Protocol: "protocol",
    Scheme: "scheme",
    Environment: "environment",
    UserAgent: "user_agent",
    GeoContinent: "geo_continent",
    GeoCountry: "geo_country",
    GeoCountryRegion: "geo_country_region",
    GeoCity: "geo_city",
    GeoAsNumber: "geo_as_number",
    Ja4Digest: "ja4_digest",
    Ja3Digest: "ja3_digest",
    RateLimitApiId: "rate_limit_api_id"
  };
  Op = {
    Re: "re",
    Eq: "eq",
    Neq: "neq",
    Ex: "ex",
    Nex: "nex",
    Inc: "inc",
    Ninc: "ninc",
    Pre: "pre",
    Suf: "suf",
    Sub: "sub",
    Gt: "gt",
    Gte: "gte",
    Lt: "lt",
    Lte: "lte"
  };
  PutFirewallConfigSecurityRequestRequestBodyRulesActionAction = {
    Log: "log",
    Challenge: "challenge",
    Deny: "deny",
    Bypass: "bypass",
    RateLimit: "rate_limit",
    Redirect: "redirect"
  };
  Algo = {
    FixedWindow: "fixed_window",
    TokenBucket: "token_bucket"
  };
  Action1 = {
    Log: "log",
    Challenge: "challenge",
    Deny: "deny",
    RateLimit: "rate_limit"
  };
  PutFirewallConfigSecurityRequestRequestBodyIpsAction = {
    Deny: "deny",
    Challenge: "challenge",
    Log: "log",
    Bypass: "bypass"
  };
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSdAction = {
    Deny: "deny",
    Log: "log"
  };
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsMaAction = {
    Deny: "deny",
    Log: "log"
  };
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsLfiAction = {
    Deny: "deny",
    Log: "log"
  };
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction = {
    Deny: "deny",
    Log: "log"
  };
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveAction = {
    Deny: "deny",
    Log: "log"
  };
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsAction = {
    Deny: "deny",
    Log: "log"
  };
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsGenAction = {
    Deny: "deny",
    Log: "log"
  };
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsXssAction = {
    Deny: "deny",
    Log: "log"
  };
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSqliAction = {
    Deny: "deny",
    Log: "log"
  };
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSfAction = {
    Deny: "deny",
    Log: "log"
  };
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsJavaAction = {
    Deny: "deny",
    Log: "log"
  };
  PutFirewallConfigSecurityType = {
    Host: "host",
    Path: "path",
    Method: "method",
    Header: "header",
    Query: "query",
    Cookie: "cookie",
    TargetPath: "target_path",
    RawPath: "raw_path",
    IpAddress: "ip_address",
    Protocol: "protocol",
    Region: "region",
    Scheme: "scheme",
    Environment: "environment",
    UserAgent: "user_agent",
    GeoContinent: "geo_continent",
    GeoCountry: "geo_country",
    GeoCountryRegion: "geo_country_region",
    GeoCity: "geo_city",
    GeoAsNumber: "geo_as_number",
    Ja4Digest: "ja4_digest",
    Ja3Digest: "ja3_digest",
    RateLimitApiId: "rate_limit_api_id"
  };
  PutFirewallConfigOp = {
    Re: "re",
    Eq: "eq",
    Ex: "ex",
    Inc: "inc",
    Pre: "pre",
    Suf: "suf",
    Sub: "sub",
    Gt: "gt",
    Gte: "gte",
    Lt: "lt",
    Lte: "lte",
    Nex: "nex",
    Ninc: "ninc",
    Neq: "neq"
  };
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesAction = {
    Deny: "deny",
    Log: "log",
    Challenge: "challenge",
    Bypass: "bypass",
    RateLimit: "rate_limit",
    Redirect: "redirect"
  };
  PutFirewallConfigAlgo = {
    FixedWindow: "fixed_window",
    TokenBucket: "token_bucket"
  };
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesActionAction = {
    Deny: "deny",
    Log: "log",
    Challenge: "challenge",
    RateLimit: "rate_limit"
  };
  PutFirewallConfigSecurityResponse200Action = {
    Deny: "deny",
    Log: "log",
    Challenge: "challenge",
    Bypass: "bypass"
  };
  PutFirewallConfigSecurityResponse200ApplicationJSONAction = {
    Deny: "deny",
    Log: "log",
    Challenge: "challenge"
  };
  ManagedRulesAction$inboundSchema = nativeEnumType(ManagedRulesAction);
  ManagedRulesAction$outboundSchema = ManagedRulesAction$inboundSchema;
  ((ManagedRulesAction$) => {
    ManagedRulesAction$.inboundSchema = ManagedRulesAction$inboundSchema;
    ManagedRulesAction$.outboundSchema = ManagedRulesAction$outboundSchema;
  })(ManagedRulesAction$ ||= {});
  PutFirewallConfigManagedRulesAction$inboundSchema = nativeEnumType(PutFirewallConfigManagedRulesAction);
  PutFirewallConfigManagedRulesAction$outboundSchema = PutFirewallConfigManagedRulesAction$inboundSchema;
  ((PutFirewallConfigManagedRulesAction$) => {
    PutFirewallConfigManagedRulesAction$.inboundSchema = PutFirewallConfigManagedRulesAction$inboundSchema;
    PutFirewallConfigManagedRulesAction$.outboundSchema = PutFirewallConfigManagedRulesAction$outboundSchema;
  })(PutFirewallConfigManagedRulesAction$ ||= {});
  RuleGroups$inboundSchema = objectType({
    active: booleanType().optional(),
    action: PutFirewallConfigManagedRulesAction$inboundSchema.optional()
  });
  RuleGroups$outboundSchema = objectType({
    active: booleanType().optional(),
    action: PutFirewallConfigManagedRulesAction$outboundSchema.optional()
  });
  ((RuleGroups$) => {
    RuleGroups$.inboundSchema = RuleGroups$inboundSchema;
    RuleGroups$.outboundSchema = RuleGroups$outboundSchema;
  })(RuleGroups$ ||= {});
  ManagedRules1$inboundSchema = objectType({
    active: booleanType(),
    action: ManagedRulesAction$inboundSchema.optional(),
    ruleGroups: recordType(lazyType(() => RuleGroups$inboundSchema)).optional()
  });
  ManagedRules1$outboundSchema = objectType({
    active: booleanType(),
    action: ManagedRulesAction$outboundSchema.optional(),
    ruleGroups: recordType(lazyType(() => RuleGroups$outboundSchema)).optional()
  });
  ((ManagedRules1$) => {
    ManagedRules1$.inboundSchema = ManagedRules1$inboundSchema;
    ManagedRules1$.outboundSchema = ManagedRules1$outboundSchema;
  })(ManagedRules1$ ||= {});
  ManagedRules$inboundSchema = lazyType(() => ManagedRules1$inboundSchema);
  ManagedRules$outboundSchema = lazyType(() => ManagedRules1$outboundSchema);
  ((ManagedRules$) => {
    ManagedRules$.inboundSchema = ManagedRules$inboundSchema;
    ManagedRules$.outboundSchema = ManagedRules$outboundSchema;
  })(ManagedRules$ ||= {});
  PutFirewallConfigAction$inboundSchema = nativeEnumType(PutFirewallConfigAction);
  PutFirewallConfigAction$outboundSchema = PutFirewallConfigAction$inboundSchema;
  ((PutFirewallConfigAction$) => {
    PutFirewallConfigAction$.inboundSchema = PutFirewallConfigAction$inboundSchema;
    PutFirewallConfigAction$.outboundSchema = PutFirewallConfigAction$outboundSchema;
  })(PutFirewallConfigAction$ ||= {});
  Sd$inboundSchema = objectType({
    active: booleanType(),
    action: PutFirewallConfigAction$inboundSchema
  });
  Sd$outboundSchema = objectType({
    active: booleanType(),
    action: PutFirewallConfigAction$outboundSchema
  });
  ((Sd$) => {
    Sd$.inboundSchema = Sd$inboundSchema;
    Sd$.outboundSchema = Sd$outboundSchema;
  })(Sd$ ||= {});
  PutFirewallConfigSecurityAction$inboundSchema = nativeEnumType(PutFirewallConfigSecurityAction);
  PutFirewallConfigSecurityAction$outboundSchema = PutFirewallConfigSecurityAction$inboundSchema;
  ((PutFirewallConfigSecurityAction$) => {
    PutFirewallConfigSecurityAction$.inboundSchema = PutFirewallConfigSecurityAction$inboundSchema;
    PutFirewallConfigSecurityAction$.outboundSchema = PutFirewallConfigSecurityAction$outboundSchema;
  })(PutFirewallConfigSecurityAction$ ||= {});
  Ma$inboundSchema = objectType({
    active: booleanType(),
    action: PutFirewallConfigSecurityAction$inboundSchema
  });
  Ma$outboundSchema = objectType({
    active: booleanType(),
    action: PutFirewallConfigSecurityAction$outboundSchema
  });
  ((Ma$) => {
    Ma$.inboundSchema = Ma$inboundSchema;
    Ma$.outboundSchema = Ma$outboundSchema;
  })(Ma$ ||= {});
  PutFirewallConfigSecurityRequestAction$inboundSchema = nativeEnumType(PutFirewallConfigSecurityRequestAction);
  PutFirewallConfigSecurityRequestAction$outboundSchema = PutFirewallConfigSecurityRequestAction$inboundSchema;
  ((PutFirewallConfigSecurityRequestAction$) => {
    PutFirewallConfigSecurityRequestAction$.inboundSchema = PutFirewallConfigSecurityRequestAction$inboundSchema;
    PutFirewallConfigSecurityRequestAction$.outboundSchema = PutFirewallConfigSecurityRequestAction$outboundSchema;
  })(PutFirewallConfigSecurityRequestAction$ ||= {});
  Lfi$inboundSchema = objectType({
    active: booleanType(),
    action: PutFirewallConfigSecurityRequestAction$inboundSchema
  });
  Lfi$outboundSchema = objectType({
    active: booleanType(),
    action: PutFirewallConfigSecurityRequestAction$outboundSchema
  });
  ((Lfi$) => {
    Lfi$.inboundSchema = Lfi$inboundSchema;
    Lfi$.outboundSchema = Lfi$outboundSchema;
  })(Lfi$ ||= {});
  PutFirewallConfigSecurityRequestRequestBodyAction$inboundSchema = nativeEnumType(PutFirewallConfigSecurityRequestRequestBodyAction);
  PutFirewallConfigSecurityRequestRequestBodyAction$outboundSchema = PutFirewallConfigSecurityRequestRequestBodyAction$inboundSchema;
  ((PutFirewallConfigSecurityRequestRequestBodyAction$) => {
    PutFirewallConfigSecurityRequestRequestBodyAction$.inboundSchema = PutFirewallConfigSecurityRequestRequestBodyAction$inboundSchema;
    PutFirewallConfigSecurityRequestRequestBodyAction$.outboundSchema = PutFirewallConfigSecurityRequestRequestBodyAction$outboundSchema;
  })(PutFirewallConfigSecurityRequestRequestBodyAction$ ||= {});
  Rfi$inboundSchema = objectType({
    active: booleanType(),
    action: PutFirewallConfigSecurityRequestRequestBodyAction$inboundSchema
  });
  Rfi$outboundSchema = objectType({
    active: booleanType(),
    action: PutFirewallConfigSecurityRequestRequestBodyAction$outboundSchema
  });
  ((Rfi$) => {
    Rfi$.inboundSchema = Rfi$inboundSchema;
    Rfi$.outboundSchema = Rfi$outboundSchema;
  })(Rfi$ ||= {});
  PutFirewallConfigSecurityRequestRequestBodyCrsAction$inboundSchema = nativeEnumType(PutFirewallConfigSecurityRequestRequestBodyCrsAction);
  PutFirewallConfigSecurityRequestRequestBodyCrsAction$outboundSchema = PutFirewallConfigSecurityRequestRequestBodyCrsAction$inboundSchema;
  ((PutFirewallConfigSecurityRequestRequestBodyCrsAction$) => {
    PutFirewallConfigSecurityRequestRequestBodyCrsAction$.inboundSchema = PutFirewallConfigSecurityRequestRequestBodyCrsAction$inboundSchema;
    PutFirewallConfigSecurityRequestRequestBodyCrsAction$.outboundSchema = PutFirewallConfigSecurityRequestRequestBodyCrsAction$outboundSchema;
  })(PutFirewallConfigSecurityRequestRequestBodyCrsAction$ ||= {});
  Rce$inboundSchema = objectType({
    active: booleanType(),
    action: PutFirewallConfigSecurityRequestRequestBodyCrsAction$inboundSchema
  });
  Rce$outboundSchema = objectType({
    active: booleanType(),
    action: PutFirewallConfigSecurityRequestRequestBodyCrsAction$outboundSchema
  });
  ((Rce$) => {
    Rce$.inboundSchema = Rce$inboundSchema;
    Rce$.outboundSchema = Rce$outboundSchema;
  })(Rce$ ||= {});
  PutFirewallConfigSecurityRequestRequestBodyCrsPhpAction$inboundSchema = nativeEnumType(PutFirewallConfigSecurityRequestRequestBodyCrsPhpAction);
  PutFirewallConfigSecurityRequestRequestBodyCrsPhpAction$outboundSchema = PutFirewallConfigSecurityRequestRequestBodyCrsPhpAction$inboundSchema;
  ((PutFirewallConfigSecurityRequestRequestBodyCrsPhpAction$) => {
    PutFirewallConfigSecurityRequestRequestBodyCrsPhpAction$.inboundSchema = PutFirewallConfigSecurityRequestRequestBodyCrsPhpAction$inboundSchema;
    PutFirewallConfigSecurityRequestRequestBodyCrsPhpAction$.outboundSchema = PutFirewallConfigSecurityRequestRequestBodyCrsPhpAction$outboundSchema;
  })(PutFirewallConfigSecurityRequestRequestBodyCrsPhpAction$ ||= {});
  Php$inboundSchema = objectType({
    active: booleanType(),
    action: PutFirewallConfigSecurityRequestRequestBodyCrsPhpAction$inboundSchema
  });
  Php$outboundSchema = objectType({
    active: booleanType(),
    action: PutFirewallConfigSecurityRequestRequestBodyCrsPhpAction$outboundSchema
  });
  ((Php$) => {
    Php$.inboundSchema = Php$inboundSchema;
    Php$.outboundSchema = Php$outboundSchema;
  })(Php$ ||= {});
  PutFirewallConfigSecurityRequestRequestBodyCrsGenAction$inboundSchema = nativeEnumType(PutFirewallConfigSecurityRequestRequestBodyCrsGenAction);
  PutFirewallConfigSecurityRequestRequestBodyCrsGenAction$outboundSchema = PutFirewallConfigSecurityRequestRequestBodyCrsGenAction$inboundSchema;
  ((PutFirewallConfigSecurityRequestRequestBodyCrsGenAction$) => {
    PutFirewallConfigSecurityRequestRequestBodyCrsGenAction$.inboundSchema = PutFirewallConfigSecurityRequestRequestBodyCrsGenAction$inboundSchema;
    PutFirewallConfigSecurityRequestRequestBodyCrsGenAction$.outboundSchema = PutFirewallConfigSecurityRequestRequestBodyCrsGenAction$outboundSchema;
  })(PutFirewallConfigSecurityRequestRequestBodyCrsGenAction$ ||= {});
  Gen$inboundSchema = objectType({
    active: booleanType(),
    action: PutFirewallConfigSecurityRequestRequestBodyCrsGenAction$inboundSchema
  });
  Gen$outboundSchema = objectType({
    active: booleanType(),
    action: PutFirewallConfigSecurityRequestRequestBodyCrsGenAction$outboundSchema
  });
  ((Gen$) => {
    Gen$.inboundSchema = Gen$inboundSchema;
    Gen$.outboundSchema = Gen$outboundSchema;
  })(Gen$ ||= {});
  PutFirewallConfigSecurityRequestRequestBodyCrsXssAction$inboundSchema = nativeEnumType(PutFirewallConfigSecurityRequestRequestBodyCrsXssAction);
  PutFirewallConfigSecurityRequestRequestBodyCrsXssAction$outboundSchema = PutFirewallConfigSecurityRequestRequestBodyCrsXssAction$inboundSchema;
  ((PutFirewallConfigSecurityRequestRequestBodyCrsXssAction$) => {
    PutFirewallConfigSecurityRequestRequestBodyCrsXssAction$.inboundSchema = PutFirewallConfigSecurityRequestRequestBodyCrsXssAction$inboundSchema;
    PutFirewallConfigSecurityRequestRequestBodyCrsXssAction$.outboundSchema = PutFirewallConfigSecurityRequestRequestBodyCrsXssAction$outboundSchema;
  })(PutFirewallConfigSecurityRequestRequestBodyCrsXssAction$ ||= {});
  Xss$inboundSchema = objectType({
    active: booleanType(),
    action: PutFirewallConfigSecurityRequestRequestBodyCrsXssAction$inboundSchema
  });
  Xss$outboundSchema = objectType({
    active: booleanType(),
    action: PutFirewallConfigSecurityRequestRequestBodyCrsXssAction$outboundSchema
  });
  ((Xss$) => {
    Xss$.inboundSchema = Xss$inboundSchema;
    Xss$.outboundSchema = Xss$outboundSchema;
  })(Xss$ ||= {});
  PutFirewallConfigSecurityRequestRequestBodyCrsSqliAction$inboundSchema = nativeEnumType(PutFirewallConfigSecurityRequestRequestBodyCrsSqliAction);
  PutFirewallConfigSecurityRequestRequestBodyCrsSqliAction$outboundSchema = PutFirewallConfigSecurityRequestRequestBodyCrsSqliAction$inboundSchema;
  ((PutFirewallConfigSecurityRequestRequestBodyCrsSqliAction$) => {
    PutFirewallConfigSecurityRequestRequestBodyCrsSqliAction$.inboundSchema = PutFirewallConfigSecurityRequestRequestBodyCrsSqliAction$inboundSchema;
    PutFirewallConfigSecurityRequestRequestBodyCrsSqliAction$.outboundSchema = PutFirewallConfigSecurityRequestRequestBodyCrsSqliAction$outboundSchema;
  })(PutFirewallConfigSecurityRequestRequestBodyCrsSqliAction$ ||= {});
  Sqli$inboundSchema = objectType({
    active: booleanType(),
    action: PutFirewallConfigSecurityRequestRequestBodyCrsSqliAction$inboundSchema
  });
  Sqli$outboundSchema = objectType({
    active: booleanType(),
    action: PutFirewallConfigSecurityRequestRequestBodyCrsSqliAction$outboundSchema
  });
  ((Sqli$) => {
    Sqli$.inboundSchema = Sqli$inboundSchema;
    Sqli$.outboundSchema = Sqli$outboundSchema;
  })(Sqli$ ||= {});
  PutFirewallConfigSecurityRequestRequestBodyCrsSfAction$inboundSchema = nativeEnumType(PutFirewallConfigSecurityRequestRequestBodyCrsSfAction);
  PutFirewallConfigSecurityRequestRequestBodyCrsSfAction$outboundSchema = PutFirewallConfigSecurityRequestRequestBodyCrsSfAction$inboundSchema;
  ((PutFirewallConfigSecurityRequestRequestBodyCrsSfAction$) => {
    PutFirewallConfigSecurityRequestRequestBodyCrsSfAction$.inboundSchema = PutFirewallConfigSecurityRequestRequestBodyCrsSfAction$inboundSchema;
    PutFirewallConfigSecurityRequestRequestBodyCrsSfAction$.outboundSchema = PutFirewallConfigSecurityRequestRequestBodyCrsSfAction$outboundSchema;
  })(PutFirewallConfigSecurityRequestRequestBodyCrsSfAction$ ||= {});
  Sf$inboundSchema = objectType({
    active: booleanType(),
    action: PutFirewallConfigSecurityRequestRequestBodyCrsSfAction$inboundSchema
  });
  Sf$outboundSchema = objectType({
    active: booleanType(),
    action: PutFirewallConfigSecurityRequestRequestBodyCrsSfAction$outboundSchema
  });
  ((Sf$) => {
    Sf$.inboundSchema = Sf$inboundSchema;
    Sf$.outboundSchema = Sf$outboundSchema;
  })(Sf$ ||= {});
  PutFirewallConfigSecurityRequestRequestBodyCrsJavaAction$inboundSchema = nativeEnumType(PutFirewallConfigSecurityRequestRequestBodyCrsJavaAction);
  PutFirewallConfigSecurityRequestRequestBodyCrsJavaAction$outboundSchema = PutFirewallConfigSecurityRequestRequestBodyCrsJavaAction$inboundSchema;
  ((PutFirewallConfigSecurityRequestRequestBodyCrsJavaAction$) => {
    PutFirewallConfigSecurityRequestRequestBodyCrsJavaAction$.inboundSchema = PutFirewallConfigSecurityRequestRequestBodyCrsJavaAction$inboundSchema;
    PutFirewallConfigSecurityRequestRequestBodyCrsJavaAction$.outboundSchema = PutFirewallConfigSecurityRequestRequestBodyCrsJavaAction$outboundSchema;
  })(PutFirewallConfigSecurityRequestRequestBodyCrsJavaAction$ ||= {});
  Java$inboundSchema = objectType({
    active: booleanType(),
    action: PutFirewallConfigSecurityRequestRequestBodyCrsJavaAction$inboundSchema
  });
  Java$outboundSchema = objectType({
    active: booleanType(),
    action: PutFirewallConfigSecurityRequestRequestBodyCrsJavaAction$outboundSchema
  });
  ((Java$) => {
    Java$.inboundSchema = Java$inboundSchema;
    Java$.outboundSchema = Java$outboundSchema;
  })(Java$ ||= {});
  Crs$inboundSchema = objectType({
    sd: lazyType(() => Sd$inboundSchema).optional(),
    ma: lazyType(() => Ma$inboundSchema).optional(),
    lfi: lazyType(() => Lfi$inboundSchema).optional(),
    rfi: lazyType(() => Rfi$inboundSchema).optional(),
    rce: lazyType(() => Rce$inboundSchema).optional(),
    php: lazyType(() => Php$inboundSchema).optional(),
    gen: lazyType(() => Gen$inboundSchema).optional(),
    xss: lazyType(() => Xss$inboundSchema).optional(),
    sqli: lazyType(() => Sqli$inboundSchema).optional(),
    sf: lazyType(() => Sf$inboundSchema).optional(),
    java: lazyType(() => Java$inboundSchema).optional()
  });
  Crs$outboundSchema = objectType({
    sd: lazyType(() => Sd$outboundSchema).optional(),
    ma: lazyType(() => Ma$outboundSchema).optional(),
    lfi: lazyType(() => Lfi$outboundSchema).optional(),
    rfi: lazyType(() => Rfi$outboundSchema).optional(),
    rce: lazyType(() => Rce$outboundSchema).optional(),
    php: lazyType(() => Php$outboundSchema).optional(),
    gen: lazyType(() => Gen$outboundSchema).optional(),
    xss: lazyType(() => Xss$outboundSchema).optional(),
    sqli: lazyType(() => Sqli$outboundSchema).optional(),
    sf: lazyType(() => Sf$outboundSchema).optional(),
    java: lazyType(() => Java$outboundSchema).optional()
  });
  ((Crs$) => {
    Crs$.inboundSchema = Crs$inboundSchema;
    Crs$.outboundSchema = Crs$outboundSchema;
  })(Crs$ ||= {});
  PutFirewallConfigType$inboundSchema = nativeEnumType(PutFirewallConfigType);
  PutFirewallConfigType$outboundSchema = PutFirewallConfigType$inboundSchema;
  ((PutFirewallConfigType$) => {
    PutFirewallConfigType$.inboundSchema = PutFirewallConfigType$inboundSchema;
    PutFirewallConfigType$.outboundSchema = PutFirewallConfigType$outboundSchema;
  })(PutFirewallConfigType$ ||= {});
  Op$inboundSchema = nativeEnumType(Op);
  Op$outboundSchema = Op$inboundSchema;
  ((Op$) => {
    Op$.inboundSchema = Op$inboundSchema;
    Op$.outboundSchema = Op$outboundSchema;
  })(Op$ ||= {});
  Value$inboundSchema = unionType([stringType(), arrayType(stringType()), numberType()]);
  Value$outboundSchema = unionType([stringType(), arrayType(stringType()), numberType()]);
  ((Value$) => {
    Value$.inboundSchema = Value$inboundSchema;
    Value$.outboundSchema = Value$outboundSchema;
  })(Value$ ||= {});
  Conditions$inboundSchema = objectType({
    type: PutFirewallConfigType$inboundSchema,
    op: Op$inboundSchema,
    neg: booleanType().optional(),
    key: stringType().optional(),
    value: unionType([stringType(), arrayType(stringType()), numberType()]).optional()
  });
  Conditions$outboundSchema = objectType({
    type: PutFirewallConfigType$outboundSchema,
    op: Op$outboundSchema,
    neg: booleanType().optional(),
    key: stringType().optional(),
    value: unionType([stringType(), arrayType(stringType()), numberType()]).optional()
  });
  ((Conditions$) => {
    Conditions$.inboundSchema = Conditions$inboundSchema;
    Conditions$.outboundSchema = Conditions$outboundSchema;
  })(Conditions$ ||= {});
  ConditionGroup$inboundSchema = objectType({
    conditions: arrayType(lazyType(() => Conditions$inboundSchema))
  });
  ConditionGroup$outboundSchema = objectType({
    conditions: arrayType(lazyType(() => Conditions$outboundSchema))
  });
  ((ConditionGroup$) => {
    ConditionGroup$.inboundSchema = ConditionGroup$inboundSchema;
    ConditionGroup$.outboundSchema = ConditionGroup$outboundSchema;
  })(ConditionGroup$ ||= {});
  PutFirewallConfigSecurityRequestRequestBodyRulesActionAction$inboundSchema = nativeEnumType(PutFirewallConfigSecurityRequestRequestBodyRulesActionAction);
  PutFirewallConfigSecurityRequestRequestBodyRulesActionAction$outboundSchema = PutFirewallConfigSecurityRequestRequestBodyRulesActionAction$inboundSchema;
  ((PutFirewallConfigSecurityRequestRequestBodyRulesActionAction$) => {
    PutFirewallConfigSecurityRequestRequestBodyRulesActionAction$.inboundSchema = PutFirewallConfigSecurityRequestRequestBodyRulesActionAction$inboundSchema;
    PutFirewallConfigSecurityRequestRequestBodyRulesActionAction$.outboundSchema = PutFirewallConfigSecurityRequestRequestBodyRulesActionAction$outboundSchema;
  })(PutFirewallConfigSecurityRequestRequestBodyRulesActionAction$ ||= {});
  Algo$inboundSchema = nativeEnumType(Algo);
  Algo$outboundSchema = Algo$inboundSchema;
  ((Algo$) => {
    Algo$.inboundSchema = Algo$inboundSchema;
    Algo$.outboundSchema = Algo$outboundSchema;
  })(Algo$ ||= {});
  Action1$inboundSchema = nativeEnumType(Action1);
  Action1$outboundSchema = Action1$inboundSchema;
  ((Action1$) => {
    Action1$.inboundSchema = Action1$inboundSchema;
    Action1$.outboundSchema = Action1$outboundSchema;
  })(Action1$ ||= {});
  RateLimitAction$inboundSchema = unionType([Action1$inboundSchema, anyType()]);
  RateLimitAction$outboundSchema = unionType([Action1$outboundSchema, anyType()]);
  ((RateLimitAction$) => {
    RateLimitAction$.inboundSchema = RateLimitAction$inboundSchema;
    RateLimitAction$.outboundSchema = RateLimitAction$outboundSchema;
  })(RateLimitAction$ ||= {});
  RateLimit1$inboundSchema = objectType({
    algo: Algo$inboundSchema,
    window: numberType(),
    limit: numberType(),
    keys: arrayType(stringType()),
    action: nullableType(unionType([Action1$inboundSchema, anyType()])).optional()
  });
  RateLimit1$outboundSchema = objectType({
    algo: Algo$outboundSchema,
    window: numberType(),
    limit: numberType(),
    keys: arrayType(stringType()),
    action: nullableType(unionType([Action1$outboundSchema, anyType()])).optional()
  });
  ((RateLimit1$) => {
    RateLimit1$.inboundSchema = RateLimit1$inboundSchema;
    RateLimit1$.outboundSchema = RateLimit1$outboundSchema;
  })(RateLimit1$ ||= {});
  RateLimit$inboundSchema = unionType([lazyType(() => RateLimit1$inboundSchema), anyType()]);
  RateLimit$outboundSchema = unionType([lazyType(() => RateLimit1$outboundSchema), anyType()]);
  ((RateLimit$) => {
    RateLimit$.inboundSchema = RateLimit$inboundSchema;
    RateLimit$.outboundSchema = RateLimit$outboundSchema;
  })(RateLimit$ ||= {});
  Redirect1$inboundSchema = objectType({
    location: stringType(),
    permanent: booleanType()
  });
  Redirect1$outboundSchema = objectType({
    location: stringType(),
    permanent: booleanType()
  });
  ((Redirect1$) => {
    Redirect1$.inboundSchema = Redirect1$inboundSchema;
    Redirect1$.outboundSchema = Redirect1$outboundSchema;
  })(Redirect1$ ||= {});
  Redirect$inboundSchema = unionType([lazyType(() => Redirect1$inboundSchema), anyType()]);
  Redirect$outboundSchema = unionType([lazyType(() => Redirect1$outboundSchema), anyType()]);
  ((Redirect$) => {
    Redirect$.inboundSchema = Redirect$inboundSchema;
    Redirect$.outboundSchema = Redirect$outboundSchema;
  })(Redirect$ ||= {});
  Mitigate$inboundSchema = objectType({
    action: PutFirewallConfigSecurityRequestRequestBodyRulesActionAction$inboundSchema,
    rateLimit: nullableType(unionType([lazyType(() => RateLimit1$inboundSchema), anyType()])).optional(),
    redirect: nullableType(unionType([lazyType(() => Redirect1$inboundSchema), anyType()])).optional(),
    actionDuration: nullableType(stringType()).optional(),
    bypassSystem: nullableType(booleanType()).optional()
  });
  Mitigate$outboundSchema = objectType({
    action: PutFirewallConfigSecurityRequestRequestBodyRulesActionAction$outboundSchema,
    rateLimit: nullableType(unionType([lazyType(() => RateLimit1$outboundSchema), anyType()])).optional(),
    redirect: nullableType(unionType([lazyType(() => Redirect1$outboundSchema), anyType()])).optional(),
    actionDuration: nullableType(stringType()).optional(),
    bypassSystem: nullableType(booleanType()).optional()
  });
  ((Mitigate$) => {
    Mitigate$.inboundSchema = Mitigate$inboundSchema;
    Mitigate$.outboundSchema = Mitigate$outboundSchema;
  })(Mitigate$ ||= {});
  PutFirewallConfigSecurityRequestRequestBodyRulesAction$inboundSchema = objectType({
    mitigate: lazyType(() => Mitigate$inboundSchema).optional()
  });
  PutFirewallConfigSecurityRequestRequestBodyRulesAction$outboundSchema = objectType({
    mitigate: lazyType(() => Mitigate$outboundSchema).optional()
  });
  ((PutFirewallConfigSecurityRequestRequestBodyRulesAction$) => {
    PutFirewallConfigSecurityRequestRequestBodyRulesAction$.inboundSchema = PutFirewallConfigSecurityRequestRequestBodyRulesAction$inboundSchema;
    PutFirewallConfigSecurityRequestRequestBodyRulesAction$.outboundSchema = PutFirewallConfigSecurityRequestRequestBodyRulesAction$outboundSchema;
  })(PutFirewallConfigSecurityRequestRequestBodyRulesAction$ ||= {});
  PutFirewallConfigRules$inboundSchema = objectType({
    id: stringType().optional(),
    name: stringType(),
    description: stringType().optional(),
    active: booleanType(),
    conditionGroup: arrayType(lazyType(() => ConditionGroup$inboundSchema)),
    action: lazyType(() => PutFirewallConfigSecurityRequestRequestBodyRulesAction$inboundSchema)
  });
  PutFirewallConfigRules$outboundSchema = objectType({
    id: stringType().optional(),
    name: stringType(),
    description: stringType().optional(),
    active: booleanType(),
    conditionGroup: arrayType(lazyType(() => ConditionGroup$outboundSchema)),
    action: lazyType(() => PutFirewallConfigSecurityRequestRequestBodyRulesAction$outboundSchema)
  });
  ((PutFirewallConfigRules$) => {
    PutFirewallConfigRules$.inboundSchema = PutFirewallConfigRules$inboundSchema;
    PutFirewallConfigRules$.outboundSchema = PutFirewallConfigRules$outboundSchema;
  })(PutFirewallConfigRules$ ||= {});
  PutFirewallConfigSecurityRequestRequestBodyIpsAction$inboundSchema = nativeEnumType(PutFirewallConfigSecurityRequestRequestBodyIpsAction);
  PutFirewallConfigSecurityRequestRequestBodyIpsAction$outboundSchema = PutFirewallConfigSecurityRequestRequestBodyIpsAction$inboundSchema;
  ((PutFirewallConfigSecurityRequestRequestBodyIpsAction$) => {
    PutFirewallConfigSecurityRequestRequestBodyIpsAction$.inboundSchema = PutFirewallConfigSecurityRequestRequestBodyIpsAction$inboundSchema;
    PutFirewallConfigSecurityRequestRequestBodyIpsAction$.outboundSchema = PutFirewallConfigSecurityRequestRequestBodyIpsAction$outboundSchema;
  })(PutFirewallConfigSecurityRequestRequestBodyIpsAction$ ||= {});
  Ips$inboundSchema = objectType({
    id: stringType().optional(),
    hostname: stringType(),
    ip: stringType(),
    notes: stringType().optional(),
    action: PutFirewallConfigSecurityRequestRequestBodyIpsAction$inboundSchema
  });
  Ips$outboundSchema = objectType({
    id: stringType().optional(),
    hostname: stringType(),
    ip: stringType(),
    notes: stringType().optional(),
    action: PutFirewallConfigSecurityRequestRequestBodyIpsAction$outboundSchema
  });
  ((Ips$) => {
    Ips$.inboundSchema = Ips$inboundSchema;
    Ips$.outboundSchema = Ips$outboundSchema;
  })(Ips$ ||= {});
  PutFirewallConfigRequestBody$inboundSchema = objectType({
    firewallEnabled: booleanType(),
    managedRules: recordType(lazyType(() => ManagedRules1$inboundSchema)).optional(),
    crs: lazyType(() => Crs$inboundSchema).optional(),
    rules: arrayType(lazyType(() => PutFirewallConfigRules$inboundSchema)).optional(),
    ips: arrayType(lazyType(() => Ips$inboundSchema)).optional()
  });
  PutFirewallConfigRequestBody$outboundSchema = objectType({
    firewallEnabled: booleanType(),
    managedRules: recordType(lazyType(() => ManagedRules1$outboundSchema)).optional(),
    crs: lazyType(() => Crs$outboundSchema).optional(),
    rules: arrayType(lazyType(() => PutFirewallConfigRules$outboundSchema)).optional(),
    ips: arrayType(lazyType(() => Ips$outboundSchema)).optional()
  });
  ((PutFirewallConfigRequestBody$) => {
    PutFirewallConfigRequestBody$.inboundSchema = PutFirewallConfigRequestBody$inboundSchema;
    PutFirewallConfigRequestBody$.outboundSchema = PutFirewallConfigRequestBody$outboundSchema;
  })(PutFirewallConfigRequestBody$ ||= {});
  PutFirewallConfigRequest$inboundSchema = objectType({
    projectId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    RequestBody: lazyType(() => PutFirewallConfigRequestBody$inboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  PutFirewallConfigRequest$outboundSchema = objectType({
    projectId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    requestBody: lazyType(() => PutFirewallConfigRequestBody$outboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((PutFirewallConfigRequest$) => {
    PutFirewallConfigRequest$.inboundSchema = PutFirewallConfigRequest$inboundSchema;
    PutFirewallConfigRequest$.outboundSchema = PutFirewallConfigRequest$outboundSchema;
  })(PutFirewallConfigRequest$ ||= {});
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSdAction$inboundSchema = nativeEnumType(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSdAction);
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSdAction$outboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSdAction$inboundSchema;
  ((PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSdAction$) => {
    PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSdAction$.inboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSdAction$inboundSchema;
    PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSdAction$.outboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSdAction$outboundSchema;
  })(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSdAction$ ||= {});
  PutFirewallConfigSd$inboundSchema = objectType({
    active: booleanType(),
    action: PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSdAction$inboundSchema
  });
  PutFirewallConfigSd$outboundSchema = objectType({
    active: booleanType(),
    action: PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSdAction$outboundSchema
  });
  ((PutFirewallConfigSd$) => {
    PutFirewallConfigSd$.inboundSchema = PutFirewallConfigSd$inboundSchema;
    PutFirewallConfigSd$.outboundSchema = PutFirewallConfigSd$outboundSchema;
  })(PutFirewallConfigSd$ ||= {});
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsMaAction$inboundSchema = nativeEnumType(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsMaAction);
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsMaAction$outboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsMaAction$inboundSchema;
  ((PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsMaAction$) => {
    PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsMaAction$.inboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsMaAction$inboundSchema;
    PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsMaAction$.outboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsMaAction$outboundSchema;
  })(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsMaAction$ ||= {});
  PutFirewallConfigMa$inboundSchema = objectType({
    active: booleanType(),
    action: PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsMaAction$inboundSchema
  });
  PutFirewallConfigMa$outboundSchema = objectType({
    active: booleanType(),
    action: PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsMaAction$outboundSchema
  });
  ((PutFirewallConfigMa$) => {
    PutFirewallConfigMa$.inboundSchema = PutFirewallConfigMa$inboundSchema;
    PutFirewallConfigMa$.outboundSchema = PutFirewallConfigMa$outboundSchema;
  })(PutFirewallConfigMa$ ||= {});
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsLfiAction$inboundSchema = nativeEnumType(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsLfiAction);
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsLfiAction$outboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsLfiAction$inboundSchema;
  ((PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsLfiAction$) => {
    PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsLfiAction$.inboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsLfiAction$inboundSchema;
    PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsLfiAction$.outboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsLfiAction$outboundSchema;
  })(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsLfiAction$ ||= {});
  PutFirewallConfigLfi$inboundSchema = objectType({
    active: booleanType(),
    action: PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsLfiAction$inboundSchema
  });
  PutFirewallConfigLfi$outboundSchema = objectType({
    active: booleanType(),
    action: PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsLfiAction$outboundSchema
  });
  ((PutFirewallConfigLfi$) => {
    PutFirewallConfigLfi$.inboundSchema = PutFirewallConfigLfi$inboundSchema;
    PutFirewallConfigLfi$.outboundSchema = PutFirewallConfigLfi$outboundSchema;
  })(PutFirewallConfigLfi$ ||= {});
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction$inboundSchema = nativeEnumType(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction);
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction$outboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction$inboundSchema;
  ((PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction$) => {
    PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction$.inboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction$inboundSchema;
    PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction$.outboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction$outboundSchema;
  })(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction$ ||= {});
  PutFirewallConfigRfi$inboundSchema = objectType({
    active: booleanType(),
    action: PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction$inboundSchema
  });
  PutFirewallConfigRfi$outboundSchema = objectType({
    active: booleanType(),
    action: PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction$outboundSchema
  });
  ((PutFirewallConfigRfi$) => {
    PutFirewallConfigRfi$.inboundSchema = PutFirewallConfigRfi$inboundSchema;
    PutFirewallConfigRfi$.outboundSchema = PutFirewallConfigRfi$outboundSchema;
  })(PutFirewallConfigRfi$ ||= {});
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveAction$inboundSchema = nativeEnumType(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveAction);
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveAction$outboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveAction$inboundSchema;
  ((PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveAction$) => {
    PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveAction$.inboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveAction$inboundSchema;
    PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveAction$.outboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveAction$outboundSchema;
  })(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveAction$ ||= {});
  PutFirewallConfigRce$inboundSchema = objectType({
    active: booleanType(),
    action: PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveAction$inboundSchema
  });
  PutFirewallConfigRce$outboundSchema = objectType({
    active: booleanType(),
    action: PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveAction$outboundSchema
  });
  ((PutFirewallConfigRce$) => {
    PutFirewallConfigRce$.inboundSchema = PutFirewallConfigRce$inboundSchema;
    PutFirewallConfigRce$.outboundSchema = PutFirewallConfigRce$outboundSchema;
  })(PutFirewallConfigRce$ ||= {});
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsAction$inboundSchema = nativeEnumType(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsAction);
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsAction$outboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsAction$inboundSchema;
  ((PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsAction$) => {
    PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsAction$.inboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsAction$inboundSchema;
    PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsAction$.outboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsAction$outboundSchema;
  })(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsAction$ ||= {});
  PutFirewallConfigPhp$inboundSchema = objectType({
    active: booleanType(),
    action: PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsAction$inboundSchema
  });
  PutFirewallConfigPhp$outboundSchema = objectType({
    active: booleanType(),
    action: PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsAction$outboundSchema
  });
  ((PutFirewallConfigPhp$) => {
    PutFirewallConfigPhp$.inboundSchema = PutFirewallConfigPhp$inboundSchema;
    PutFirewallConfigPhp$.outboundSchema = PutFirewallConfigPhp$outboundSchema;
  })(PutFirewallConfigPhp$ ||= {});
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsGenAction$inboundSchema = nativeEnumType(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsGenAction);
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsGenAction$outboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsGenAction$inboundSchema;
  ((PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsGenAction$) => {
    PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsGenAction$.inboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsGenAction$inboundSchema;
    PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsGenAction$.outboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsGenAction$outboundSchema;
  })(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsGenAction$ ||= {});
  PutFirewallConfigGen$inboundSchema = objectType({
    active: booleanType(),
    action: PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsGenAction$inboundSchema
  });
  PutFirewallConfigGen$outboundSchema = objectType({
    active: booleanType(),
    action: PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsGenAction$outboundSchema
  });
  ((PutFirewallConfigGen$) => {
    PutFirewallConfigGen$.inboundSchema = PutFirewallConfigGen$inboundSchema;
    PutFirewallConfigGen$.outboundSchema = PutFirewallConfigGen$outboundSchema;
  })(PutFirewallConfigGen$ ||= {});
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsXssAction$inboundSchema = nativeEnumType(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsXssAction);
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsXssAction$outboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsXssAction$inboundSchema;
  ((PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsXssAction$) => {
    PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsXssAction$.inboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsXssAction$inboundSchema;
    PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsXssAction$.outboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsXssAction$outboundSchema;
  })(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsXssAction$ ||= {});
  PutFirewallConfigXss$inboundSchema = objectType({
    active: booleanType(),
    action: PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsXssAction$inboundSchema
  });
  PutFirewallConfigXss$outboundSchema = objectType({
    active: booleanType(),
    action: PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsXssAction$outboundSchema
  });
  ((PutFirewallConfigXss$) => {
    PutFirewallConfigXss$.inboundSchema = PutFirewallConfigXss$inboundSchema;
    PutFirewallConfigXss$.outboundSchema = PutFirewallConfigXss$outboundSchema;
  })(PutFirewallConfigXss$ ||= {});
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSqliAction$inboundSchema = nativeEnumType(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSqliAction);
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSqliAction$outboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSqliAction$inboundSchema;
  ((PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSqliAction$) => {
    PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSqliAction$.inboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSqliAction$inboundSchema;
    PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSqliAction$.outboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSqliAction$outboundSchema;
  })(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSqliAction$ ||= {});
  PutFirewallConfigSqli$inboundSchema = objectType({
    active: booleanType(),
    action: PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSqliAction$inboundSchema
  });
  PutFirewallConfigSqli$outboundSchema = objectType({
    active: booleanType(),
    action: PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSqliAction$outboundSchema
  });
  ((PutFirewallConfigSqli$) => {
    PutFirewallConfigSqli$.inboundSchema = PutFirewallConfigSqli$inboundSchema;
    PutFirewallConfigSqli$.outboundSchema = PutFirewallConfigSqli$outboundSchema;
  })(PutFirewallConfigSqli$ ||= {});
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSfAction$inboundSchema = nativeEnumType(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSfAction);
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSfAction$outboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSfAction$inboundSchema;
  ((PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSfAction$) => {
    PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSfAction$.inboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSfAction$inboundSchema;
    PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSfAction$.outboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSfAction$outboundSchema;
  })(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSfAction$ ||= {});
  PutFirewallConfigSf$inboundSchema = objectType({
    active: booleanType(),
    action: PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSfAction$inboundSchema
  });
  PutFirewallConfigSf$outboundSchema = objectType({
    active: booleanType(),
    action: PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSfAction$outboundSchema
  });
  ((PutFirewallConfigSf$) => {
    PutFirewallConfigSf$.inboundSchema = PutFirewallConfigSf$inboundSchema;
    PutFirewallConfigSf$.outboundSchema = PutFirewallConfigSf$outboundSchema;
  })(PutFirewallConfigSf$ ||= {});
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsJavaAction$inboundSchema = nativeEnumType(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsJavaAction);
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsJavaAction$outboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsJavaAction$inboundSchema;
  ((PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsJavaAction$) => {
    PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsJavaAction$.inboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsJavaAction$inboundSchema;
    PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsJavaAction$.outboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsJavaAction$outboundSchema;
  })(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsJavaAction$ ||= {});
  PutFirewallConfigJava$inboundSchema = objectType({
    active: booleanType(),
    action: PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsJavaAction$inboundSchema
  });
  PutFirewallConfigJava$outboundSchema = objectType({
    active: booleanType(),
    action: PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsJavaAction$outboundSchema
  });
  ((PutFirewallConfigJava$) => {
    PutFirewallConfigJava$.inboundSchema = PutFirewallConfigJava$inboundSchema;
    PutFirewallConfigJava$.outboundSchema = PutFirewallConfigJava$outboundSchema;
  })(PutFirewallConfigJava$ ||= {});
  PutFirewallConfigCrs$inboundSchema = objectType({
    sd: lazyType(() => PutFirewallConfigSd$inboundSchema),
    ma: lazyType(() => PutFirewallConfigMa$inboundSchema),
    lfi: lazyType(() => PutFirewallConfigLfi$inboundSchema),
    rfi: lazyType(() => PutFirewallConfigRfi$inboundSchema),
    rce: lazyType(() => PutFirewallConfigRce$inboundSchema),
    php: lazyType(() => PutFirewallConfigPhp$inboundSchema),
    gen: lazyType(() => PutFirewallConfigGen$inboundSchema),
    xss: lazyType(() => PutFirewallConfigXss$inboundSchema),
    sqli: lazyType(() => PutFirewallConfigSqli$inboundSchema),
    sf: lazyType(() => PutFirewallConfigSf$inboundSchema),
    java: lazyType(() => PutFirewallConfigJava$inboundSchema)
  });
  PutFirewallConfigCrs$outboundSchema = objectType({
    sd: lazyType(() => PutFirewallConfigSd$outboundSchema),
    ma: lazyType(() => PutFirewallConfigMa$outboundSchema),
    lfi: lazyType(() => PutFirewallConfigLfi$outboundSchema),
    rfi: lazyType(() => PutFirewallConfigRfi$outboundSchema),
    rce: lazyType(() => PutFirewallConfigRce$outboundSchema),
    php: lazyType(() => PutFirewallConfigPhp$outboundSchema),
    gen: lazyType(() => PutFirewallConfigGen$outboundSchema),
    xss: lazyType(() => PutFirewallConfigXss$outboundSchema),
    sqli: lazyType(() => PutFirewallConfigSqli$outboundSchema),
    sf: lazyType(() => PutFirewallConfigSf$outboundSchema),
    java: lazyType(() => PutFirewallConfigJava$outboundSchema)
  });
  ((PutFirewallConfigCrs$) => {
    PutFirewallConfigCrs$.inboundSchema = PutFirewallConfigCrs$inboundSchema;
    PutFirewallConfigCrs$.outboundSchema = PutFirewallConfigCrs$outboundSchema;
  })(PutFirewallConfigCrs$ ||= {});
  PutFirewallConfigSecurityType$inboundSchema = nativeEnumType(PutFirewallConfigSecurityType);
  PutFirewallConfigSecurityType$outboundSchema = PutFirewallConfigSecurityType$inboundSchema;
  ((PutFirewallConfigSecurityType$) => {
    PutFirewallConfigSecurityType$.inboundSchema = PutFirewallConfigSecurityType$inboundSchema;
    PutFirewallConfigSecurityType$.outboundSchema = PutFirewallConfigSecurityType$outboundSchema;
  })(PutFirewallConfigSecurityType$ ||= {});
  PutFirewallConfigOp$inboundSchema = nativeEnumType(PutFirewallConfigOp);
  PutFirewallConfigOp$outboundSchema = PutFirewallConfigOp$inboundSchema;
  ((PutFirewallConfigOp$) => {
    PutFirewallConfigOp$.inboundSchema = PutFirewallConfigOp$inboundSchema;
    PutFirewallConfigOp$.outboundSchema = PutFirewallConfigOp$outboundSchema;
  })(PutFirewallConfigOp$ ||= {});
  PutFirewallConfigValue$inboundSchema = unionType([stringType(), numberType(), arrayType(stringType())]);
  PutFirewallConfigValue$outboundSchema = unionType([stringType(), numberType(), arrayType(stringType())]);
  ((PutFirewallConfigValue$) => {
    PutFirewallConfigValue$.inboundSchema = PutFirewallConfigValue$inboundSchema;
    PutFirewallConfigValue$.outboundSchema = PutFirewallConfigValue$outboundSchema;
  })(PutFirewallConfigValue$ ||= {});
  PutFirewallConfigConditions$inboundSchema = objectType({
    type: PutFirewallConfigSecurityType$inboundSchema,
    op: PutFirewallConfigOp$inboundSchema,
    neg: booleanType().optional(),
    key: stringType().optional(),
    value: unionType([stringType(), numberType(), arrayType(stringType())]).optional()
  });
  PutFirewallConfigConditions$outboundSchema = objectType({
    type: PutFirewallConfigSecurityType$outboundSchema,
    op: PutFirewallConfigOp$outboundSchema,
    neg: booleanType().optional(),
    key: stringType().optional(),
    value: unionType([stringType(), numberType(), arrayType(stringType())]).optional()
  });
  ((PutFirewallConfigConditions$) => {
    PutFirewallConfigConditions$.inboundSchema = PutFirewallConfigConditions$inboundSchema;
    PutFirewallConfigConditions$.outboundSchema = PutFirewallConfigConditions$outboundSchema;
  })(PutFirewallConfigConditions$ ||= {});
  PutFirewallConfigConditionGroup$inboundSchema = objectType({
    conditions: arrayType(lazyType(() => PutFirewallConfigConditions$inboundSchema))
  });
  PutFirewallConfigConditionGroup$outboundSchema = objectType({
    conditions: arrayType(lazyType(() => PutFirewallConfigConditions$outboundSchema))
  });
  ((PutFirewallConfigConditionGroup$) => {
    PutFirewallConfigConditionGroup$.inboundSchema = PutFirewallConfigConditionGroup$inboundSchema;
    PutFirewallConfigConditionGroup$.outboundSchema = PutFirewallConfigConditionGroup$outboundSchema;
  })(PutFirewallConfigConditionGroup$ ||= {});
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesAction$inboundSchema = nativeEnumType(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesAction);
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesAction$outboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesAction$inboundSchema;
  ((PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesAction$) => {
    PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesAction$.inboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesAction$inboundSchema;
    PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesAction$.outboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesAction$outboundSchema;
  })(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesAction$ ||= {});
  PutFirewallConfigAlgo$inboundSchema = nativeEnumType(PutFirewallConfigAlgo);
  PutFirewallConfigAlgo$outboundSchema = PutFirewallConfigAlgo$inboundSchema;
  ((PutFirewallConfigAlgo$) => {
    PutFirewallConfigAlgo$.inboundSchema = PutFirewallConfigAlgo$inboundSchema;
    PutFirewallConfigAlgo$.outboundSchema = PutFirewallConfigAlgo$outboundSchema;
  })(PutFirewallConfigAlgo$ ||= {});
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesActionAction$inboundSchema = nativeEnumType(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesActionAction);
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesActionAction$outboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesActionAction$inboundSchema;
  ((PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesActionAction$) => {
    PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesActionAction$.inboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesActionAction$inboundSchema;
    PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesActionAction$.outboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesActionAction$outboundSchema;
  })(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesActionAction$ ||= {});
  PutFirewallConfigRateLimit$inboundSchema = objectType({
    algo: PutFirewallConfigAlgo$inboundSchema,
    window: numberType(),
    limit: numberType(),
    keys: arrayType(stringType()),
    action: nullableType(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesActionAction$inboundSchema).optional()
  });
  PutFirewallConfigRateLimit$outboundSchema = objectType({
    algo: PutFirewallConfigAlgo$outboundSchema,
    window: numberType(),
    limit: numberType(),
    keys: arrayType(stringType()),
    action: nullableType(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesActionAction$outboundSchema).optional()
  });
  ((PutFirewallConfigRateLimit$) => {
    PutFirewallConfigRateLimit$.inboundSchema = PutFirewallConfigRateLimit$inboundSchema;
    PutFirewallConfigRateLimit$.outboundSchema = PutFirewallConfigRateLimit$outboundSchema;
  })(PutFirewallConfigRateLimit$ ||= {});
  PutFirewallConfigRedirect$inboundSchema = objectType({
    location: stringType(),
    permanent: booleanType()
  });
  PutFirewallConfigRedirect$outboundSchema = objectType({
    location: stringType(),
    permanent: booleanType()
  });
  ((PutFirewallConfigRedirect$) => {
    PutFirewallConfigRedirect$.inboundSchema = PutFirewallConfigRedirect$inboundSchema;
    PutFirewallConfigRedirect$.outboundSchema = PutFirewallConfigRedirect$outboundSchema;
  })(PutFirewallConfigRedirect$ ||= {});
  PutFirewallConfigMitigate$inboundSchema = objectType({
    action: PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesAction$inboundSchema,
    rateLimit: nullableType(lazyType(() => PutFirewallConfigRateLimit$inboundSchema)).optional(),
    redirect: nullableType(lazyType(() => PutFirewallConfigRedirect$inboundSchema)).optional(),
    actionDuration: nullableType(stringType()).optional(),
    bypassSystem: nullableType(booleanType()).optional()
  });
  PutFirewallConfigMitigate$outboundSchema = objectType({
    action: PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesAction$outboundSchema,
    rateLimit: nullableType(lazyType(() => PutFirewallConfigRateLimit$outboundSchema)).optional(),
    redirect: nullableType(lazyType(() => PutFirewallConfigRedirect$outboundSchema)).optional(),
    actionDuration: nullableType(stringType()).optional(),
    bypassSystem: nullableType(booleanType()).optional()
  });
  ((PutFirewallConfigMitigate$) => {
    PutFirewallConfigMitigate$.inboundSchema = PutFirewallConfigMitigate$inboundSchema;
    PutFirewallConfigMitigate$.outboundSchema = PutFirewallConfigMitigate$outboundSchema;
  })(PutFirewallConfigMitigate$ ||= {});
  PutFirewallConfigSecurityResponseAction$inboundSchema = objectType({
    mitigate: lazyType(() => PutFirewallConfigMitigate$inboundSchema).optional()
  });
  PutFirewallConfigSecurityResponseAction$outboundSchema = objectType({
    mitigate: lazyType(() => PutFirewallConfigMitigate$outboundSchema).optional()
  });
  ((PutFirewallConfigSecurityResponseAction$) => {
    PutFirewallConfigSecurityResponseAction$.inboundSchema = PutFirewallConfigSecurityResponseAction$inboundSchema;
    PutFirewallConfigSecurityResponseAction$.outboundSchema = PutFirewallConfigSecurityResponseAction$outboundSchema;
  })(PutFirewallConfigSecurityResponseAction$ ||= {});
  PutFirewallConfigSecurityRules$inboundSchema = objectType({
    id: stringType(),
    name: stringType(),
    description: stringType().optional(),
    active: booleanType(),
    conditionGroup: arrayType(lazyType(() => PutFirewallConfigConditionGroup$inboundSchema)),
    action: lazyType(() => PutFirewallConfigSecurityResponseAction$inboundSchema)
  });
  PutFirewallConfigSecurityRules$outboundSchema = objectType({
    id: stringType(),
    name: stringType(),
    description: stringType().optional(),
    active: booleanType(),
    conditionGroup: arrayType(lazyType(() => PutFirewallConfigConditionGroup$outboundSchema)),
    action: lazyType(() => PutFirewallConfigSecurityResponseAction$outboundSchema)
  });
  ((PutFirewallConfigSecurityRules$) => {
    PutFirewallConfigSecurityRules$.inboundSchema = PutFirewallConfigSecurityRules$inboundSchema;
    PutFirewallConfigSecurityRules$.outboundSchema = PutFirewallConfigSecurityRules$outboundSchema;
  })(PutFirewallConfigSecurityRules$ ||= {});
  PutFirewallConfigSecurityResponse200Action$inboundSchema = nativeEnumType(PutFirewallConfigSecurityResponse200Action);
  PutFirewallConfigSecurityResponse200Action$outboundSchema = PutFirewallConfigSecurityResponse200Action$inboundSchema;
  ((PutFirewallConfigSecurityResponse200Action$) => {
    PutFirewallConfigSecurityResponse200Action$.inboundSchema = PutFirewallConfigSecurityResponse200Action$inboundSchema;
    PutFirewallConfigSecurityResponse200Action$.outboundSchema = PutFirewallConfigSecurityResponse200Action$outboundSchema;
  })(PutFirewallConfigSecurityResponse200Action$ ||= {});
  PutFirewallConfigIps$inboundSchema = objectType({
    id: stringType(),
    hostname: stringType(),
    ip: stringType(),
    notes: stringType().optional(),
    action: PutFirewallConfigSecurityResponse200Action$inboundSchema
  });
  PutFirewallConfigIps$outboundSchema = objectType({
    id: stringType(),
    hostname: stringType(),
    ip: stringType(),
    notes: stringType().optional(),
    action: PutFirewallConfigSecurityResponse200Action$outboundSchema
  });
  ((PutFirewallConfigIps$) => {
    PutFirewallConfigIps$.inboundSchema = PutFirewallConfigIps$inboundSchema;
    PutFirewallConfigIps$.outboundSchema = PutFirewallConfigIps$outboundSchema;
  })(PutFirewallConfigIps$ ||= {});
  PutFirewallConfigChanges$inboundSchema = objectType({});
  PutFirewallConfigChanges$outboundSchema = objectType({});
  ((PutFirewallConfigChanges$) => {
    PutFirewallConfigChanges$.inboundSchema = PutFirewallConfigChanges$inboundSchema;
    PutFirewallConfigChanges$.outboundSchema = PutFirewallConfigChanges$outboundSchema;
  })(PutFirewallConfigChanges$ ||= {});
  PutFirewallConfigSecurityResponse200ApplicationJSONAction$inboundSchema = nativeEnumType(PutFirewallConfigSecurityResponse200ApplicationJSONAction);
  PutFirewallConfigSecurityResponse200ApplicationJSONAction$outboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONAction$inboundSchema;
  ((PutFirewallConfigSecurityResponse200ApplicationJSONAction$) => {
    PutFirewallConfigSecurityResponse200ApplicationJSONAction$.inboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONAction$inboundSchema;
    PutFirewallConfigSecurityResponse200ApplicationJSONAction$.outboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONAction$outboundSchema;
  })(PutFirewallConfigSecurityResponse200ApplicationJSONAction$ ||= {});
  PutFirewallConfigManagedRules$inboundSchema = objectType({
    active: booleanType(),
    action: PutFirewallConfigSecurityResponse200ApplicationJSONAction$inboundSchema.optional(),
    updatedAt: stringType().optional(),
    userId: stringType().optional(),
    username: stringType().optional()
  });
  PutFirewallConfigManagedRules$outboundSchema = objectType({
    active: booleanType(),
    action: PutFirewallConfigSecurityResponse200ApplicationJSONAction$outboundSchema.optional(),
    updatedAt: stringType().optional(),
    userId: stringType().optional(),
    username: stringType().optional()
  });
  ((PutFirewallConfigManagedRules$) => {
    PutFirewallConfigManagedRules$.inboundSchema = PutFirewallConfigManagedRules$inboundSchema;
    PutFirewallConfigManagedRules$.outboundSchema = PutFirewallConfigManagedRules$outboundSchema;
  })(PutFirewallConfigManagedRules$ ||= {});
  Active$inboundSchema = objectType({
    ownerId: stringType(),
    projectKey: stringType(),
    id: stringType(),
    version: numberType(),
    updatedAt: stringType(),
    firewallEnabled: booleanType(),
    crs: lazyType(() => PutFirewallConfigCrs$inboundSchema),
    rules: arrayType(lazyType(() => PutFirewallConfigSecurityRules$inboundSchema)),
    ips: arrayType(lazyType(() => PutFirewallConfigIps$inboundSchema)),
    changes: arrayType(lazyType(() => PutFirewallConfigChanges$inboundSchema)),
    managedRules: recordType(lazyType(() => PutFirewallConfigManagedRules$inboundSchema)).optional()
  });
  Active$outboundSchema = objectType({
    ownerId: stringType(),
    projectKey: stringType(),
    id: stringType(),
    version: numberType(),
    updatedAt: stringType(),
    firewallEnabled: booleanType(),
    crs: lazyType(() => PutFirewallConfigCrs$outboundSchema),
    rules: arrayType(lazyType(() => PutFirewallConfigSecurityRules$outboundSchema)),
    ips: arrayType(lazyType(() => PutFirewallConfigIps$outboundSchema)),
    changes: arrayType(lazyType(() => PutFirewallConfigChanges$outboundSchema)),
    managedRules: recordType(lazyType(() => PutFirewallConfigManagedRules$outboundSchema)).optional()
  });
  ((Active$) => {
    Active$.inboundSchema = Active$inboundSchema;
    Active$.outboundSchema = Active$outboundSchema;
  })(Active$ ||= {});
  PutFirewallConfigResponseBody$inboundSchema = objectType({
    active: lazyType(() => Active$inboundSchema)
  });
  PutFirewallConfigResponseBody$outboundSchema = objectType({
    active: lazyType(() => Active$outboundSchema)
  });
  ((PutFirewallConfigResponseBody$) => {
    PutFirewallConfigResponseBody$.inboundSchema = PutFirewallConfigResponseBody$inboundSchema;
    PutFirewallConfigResponseBody$.outboundSchema = PutFirewallConfigResponseBody$outboundSchema;
  })(PutFirewallConfigResponseBody$ ||= {});
});

// src/funcs/securityPutFirewallConfig.ts
function securityPutFirewallConfig(client, request, options) {
  return new APIPromise($do144(client, request, options));
}
async function $do144(client, request, options) {
  const parsed = safeParse(request, (value) => PutFirewallConfigRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const path = pathToFunc("/v1/security/firewall/config")();
  const query = encodeFormQuery({
    projectId: payload.projectId,
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "putFirewallConfig",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "PUT",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "404", "4XX", "500", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, PutFirewallConfigResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([402, 403, "4XX"]), fail([500, "5XX"]))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_securityPutFirewallConfig = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_putfirewallconfigop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/securityPutFirewallConfig.ts
var args143, tool$securityPutFirewallConfig;
var init_securityPutFirewallConfig2 = __esm(() => {
  init_securityPutFirewallConfig();
  init_putfirewallconfigop();
  init_tools();
  args143 = {
    request: PutFirewallConfigRequest$inboundSchema
  };
  tool$securityPutFirewallConfig = {
    name: "security-put-firewall-config",
    description: `Put Firewall Configuration

Set the firewall configuration to provided rules and settings. Creates or overwrite the existing firewall configuration.`,
    args: args143,
    tool: async (client, args144, ctx) => {
      const [result, apiCall] = await securityPutFirewallConfig(client, args144.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/removebypassipop.ts
var RemoveBypassIpRequestBody2$inboundSchema, RemoveBypassIpRequestBody2$outboundSchema, RemoveBypassIpRequestBody2$, RemoveBypassIpRequestBody1$inboundSchema, RemoveBypassIpRequestBody1$outboundSchema, RemoveBypassIpRequestBody1$, RemoveBypassIpRequestBody$inboundSchema, RemoveBypassIpRequestBody$outboundSchema, RemoveBypassIpRequestBody$, RemoveBypassIpRequest$inboundSchema, RemoveBypassIpRequest$outboundSchema, RemoveBypassIpRequest$, RemoveBypassIpResponseBody$inboundSchema, RemoveBypassIpResponseBody$outboundSchema, RemoveBypassIpResponseBody$;
var init_removebypassipop = __esm(() => {
  init_esm();
  init_primitives();
  RemoveBypassIpRequestBody2$inboundSchema = objectType({
    domain: stringType().optional(),
    projectScope: booleanType(),
    sourceIp: stringType().optional(),
    allSources: booleanType().optional(),
    note: stringType().optional()
  });
  RemoveBypassIpRequestBody2$outboundSchema = objectType({
    domain: stringType().optional(),
    projectScope: booleanType(),
    sourceIp: stringType().optional(),
    allSources: booleanType().optional(),
    note: stringType().optional()
  });
  ((RemoveBypassIpRequestBody2$) => {
    RemoveBypassIpRequestBody2$.inboundSchema = RemoveBypassIpRequestBody2$inboundSchema;
    RemoveBypassIpRequestBody2$.outboundSchema = RemoveBypassIpRequestBody2$outboundSchema;
  })(RemoveBypassIpRequestBody2$ ||= {});
  RemoveBypassIpRequestBody1$inboundSchema = objectType({
    domain: stringType(),
    projectScope: booleanType().optional(),
    sourceIp: stringType().optional(),
    allSources: booleanType().optional(),
    note: stringType().optional()
  });
  RemoveBypassIpRequestBody1$outboundSchema = objectType({
    domain: stringType(),
    projectScope: booleanType().optional(),
    sourceIp: stringType().optional(),
    allSources: booleanType().optional(),
    note: stringType().optional()
  });
  ((RemoveBypassIpRequestBody1$) => {
    RemoveBypassIpRequestBody1$.inboundSchema = RemoveBypassIpRequestBody1$inboundSchema;
    RemoveBypassIpRequestBody1$.outboundSchema = RemoveBypassIpRequestBody1$outboundSchema;
  })(RemoveBypassIpRequestBody1$ ||= {});
  RemoveBypassIpRequestBody$inboundSchema = unionType([
    lazyType(() => RemoveBypassIpRequestBody1$inboundSchema),
    lazyType(() => RemoveBypassIpRequestBody2$inboundSchema)
  ]);
  RemoveBypassIpRequestBody$outboundSchema = unionType([
    lazyType(() => RemoveBypassIpRequestBody1$outboundSchema),
    lazyType(() => RemoveBypassIpRequestBody2$outboundSchema)
  ]);
  ((RemoveBypassIpRequestBody$) => {
    RemoveBypassIpRequestBody$.inboundSchema = RemoveBypassIpRequestBody$inboundSchema;
    RemoveBypassIpRequestBody$.outboundSchema = RemoveBypassIpRequestBody$outboundSchema;
  })(RemoveBypassIpRequestBody$ ||= {});
  RemoveBypassIpRequest$inboundSchema = objectType({
    projectId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    RequestBody: unionType([
      lazyType(() => RemoveBypassIpRequestBody1$inboundSchema),
      lazyType(() => RemoveBypassIpRequestBody2$inboundSchema)
    ]).optional()
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  RemoveBypassIpRequest$outboundSchema = objectType({
    projectId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    requestBody: unionType([
      lazyType(() => RemoveBypassIpRequestBody1$outboundSchema),
      lazyType(() => RemoveBypassIpRequestBody2$outboundSchema)
    ]).optional()
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((RemoveBypassIpRequest$) => {
    RemoveBypassIpRequest$.inboundSchema = RemoveBypassIpRequest$inboundSchema;
    RemoveBypassIpRequest$.outboundSchema = RemoveBypassIpRequest$outboundSchema;
  })(RemoveBypassIpRequest$ ||= {});
  RemoveBypassIpResponseBody$inboundSchema = objectType({
    ok: booleanType()
  });
  RemoveBypassIpResponseBody$outboundSchema = objectType({
    ok: booleanType()
  });
  ((RemoveBypassIpResponseBody$) => {
    RemoveBypassIpResponseBody$.inboundSchema = RemoveBypassIpResponseBody$inboundSchema;
    RemoveBypassIpResponseBody$.outboundSchema = RemoveBypassIpResponseBody$outboundSchema;
  })(RemoveBypassIpResponseBody$ ||= {});
});

// src/funcs/securityRemoveBypassIp.ts
function securityRemoveBypassIp(client, request, options) {
  return new APIPromise($do145(client, request, options));
}
async function $do145(client, request, options) {
  const parsed = safeParse(request, (value) => RemoveBypassIpRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const path = pathToFunc("/v1/security/firewall/bypass")();
  const query = encodeFormQuery({
    projectId: payload.projectId,
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "removeBypassIp",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "DELETE",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "500", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, RemoveBypassIpResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail([500, "5XX"]))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_securityRemoveBypassIp = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_removebypassipop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/securityRemoveBypassIp.ts
var args144, tool$securityRemoveBypassIp;
var init_securityRemoveBypassIp2 = __esm(() => {
  init_securityRemoveBypassIp();
  init_removebypassipop();
  init_tools();
  args144 = {
    request: RemoveBypassIpRequest$inboundSchema
  };
  tool$securityRemoveBypassIp = {
    name: "security-remove-bypass-ip",
    description: `Remove System Bypass Rule

Remove system bypass rules`,
    args: args144,
    tool: async (client, args145, ctx) => {
      const [result, apiCall] = await securityRemoveBypassIp(client, args145.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/updateattackchallengemodeop.ts
var UpdateAttackChallengeModeRequestBody$inboundSchema, UpdateAttackChallengeModeRequestBody$outboundSchema, UpdateAttackChallengeModeRequestBody$, UpdateAttackChallengeModeRequest$inboundSchema, UpdateAttackChallengeModeRequest$outboundSchema, UpdateAttackChallengeModeRequest$, UpdateAttackChallengeModeResponseBody$inboundSchema, UpdateAttackChallengeModeResponseBody$outboundSchema, UpdateAttackChallengeModeResponseBody$;
var init_updateattackchallengemodeop = __esm(() => {
  init_esm();
  init_primitives();
  UpdateAttackChallengeModeRequestBody$inboundSchema = objectType({
    projectId: stringType(),
    attackModeEnabled: booleanType(),
    attackModeActiveUntil: nullableType(numberType()).optional()
  });
  UpdateAttackChallengeModeRequestBody$outboundSchema = objectType({
    projectId: stringType(),
    attackModeEnabled: booleanType(),
    attackModeActiveUntil: nullableType(numberType()).optional()
  });
  ((UpdateAttackChallengeModeRequestBody$) => {
    UpdateAttackChallengeModeRequestBody$.inboundSchema = UpdateAttackChallengeModeRequestBody$inboundSchema;
    UpdateAttackChallengeModeRequestBody$.outboundSchema = UpdateAttackChallengeModeRequestBody$outboundSchema;
  })(UpdateAttackChallengeModeRequestBody$ ||= {});
  UpdateAttackChallengeModeRequest$inboundSchema = objectType({
    teamId: stringType().optional(),
    slug: stringType().optional(),
    RequestBody: lazyType(() => UpdateAttackChallengeModeRequestBody$inboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  UpdateAttackChallengeModeRequest$outboundSchema = objectType({
    teamId: stringType().optional(),
    slug: stringType().optional(),
    requestBody: lazyType(() => UpdateAttackChallengeModeRequestBody$outboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((UpdateAttackChallengeModeRequest$) => {
    UpdateAttackChallengeModeRequest$.inboundSchema = UpdateAttackChallengeModeRequest$inboundSchema;
    UpdateAttackChallengeModeRequest$.outboundSchema = UpdateAttackChallengeModeRequest$outboundSchema;
  })(UpdateAttackChallengeModeRequest$ ||= {});
  UpdateAttackChallengeModeResponseBody$inboundSchema = objectType({
    attackModeEnabled: booleanType(),
    attackModeUpdatedAt: numberType()
  });
  UpdateAttackChallengeModeResponseBody$outboundSchema = objectType({
    attackModeEnabled: booleanType(),
    attackModeUpdatedAt: numberType()
  });
  ((UpdateAttackChallengeModeResponseBody$) => {
    UpdateAttackChallengeModeResponseBody$.inboundSchema = UpdateAttackChallengeModeResponseBody$inboundSchema;
    UpdateAttackChallengeModeResponseBody$.outboundSchema = UpdateAttackChallengeModeResponseBody$outboundSchema;
  })(UpdateAttackChallengeModeResponseBody$ ||= {});
});

// src/funcs/securityUpdateAttackChallengeMode.ts
function securityUpdateAttackChallengeMode(client, request, options) {
  return new APIPromise($do146(client, request, options));
}
async function $do146(client, request, options) {
  const parsed = safeParse(request, (value) => UpdateAttackChallengeModeRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const path = pathToFunc("/v1/security/attack-mode")();
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "updateAttackChallengeMode",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, UpdateAttackChallengeModeResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_securityUpdateAttackChallengeMode = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_updateattackchallengemodeop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/securityUpdateAttackChallengeMode.ts
var args145, tool$securityUpdateAttackChallengeMode;
var init_securityUpdateAttackChallengeMode2 = __esm(() => {
  init_securityUpdateAttackChallengeMode();
  init_updateattackchallengemodeop();
  init_tools();
  args145 = {
    request: UpdateAttackChallengeModeRequest$inboundSchema
  };
  tool$securityUpdateAttackChallengeMode = {
    name: "security-update-attack-challenge-mode",
    description: `Update Attack Challenge mode

Update the setting for determining if the project has Attack Challenge mode enabled.`,
    args: args145,
    tool: async (client, args146, ctx) => {
      const [result, apiCall] = await securityUpdateAttackChallengeMode(client, args146.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/updatefirewallconfigop.ts
var UpdateFirewallConfigRequestBodySecurityRequest12Action, UpdateFirewallConfigRequestBodySecurityRequest11Action, UpdateFirewallConfigRequestBodySecurityRequest11ValueAction, UpdateFirewallConfigRequestBodySecurityRequest10Action, UpdateFirewallConfigRequestBodySecurityRequest9Action, UpdateFirewallConfigRequestBodySecurityRequest9ValueAction, UpdateFirewallConfigRequestBodySecurityRequest8Action, UpdateFirewallConfigRequestBodySecurityRequest8ValueAction, UpdateFirewallConfigRequestBodySecurityRequest7Action, UpdateFirewallConfigRequestBodySecurityRequest6Action, Id, UpdateFirewallConfigRequestBodySecurityRequest6ValueAction, UpdateFirewallConfigRequestBodySecurityRequest5Action, UpdateFirewallConfigRequestBodySecurityRequestAction, UpdateFirewallConfigRequestBodySecurityAction, UpdateFirewallConfigRequestBodySecurityType, UpdateFirewallConfigRequestBodyOp, UpdateFirewallConfigRequestBodySecurityRequest3ValueAction, UpdateFirewallConfigRateLimitAlgo, UpdateFirewallConfigActionSecurity1, UpdateFirewallConfigRequestBodyAction, UpdateFirewallConfigRequestBodyType, RequestBodyOp, UpdateFirewallConfigRequestBodySecurityRequest2ValueAction, RateLimitAlgo, UpdateFirewallConfigAction1, RequestBodyAction, UpdateFirewallConfigRequestBodySecurityRequest12Action$inboundSchema, UpdateFirewallConfigRequestBodySecurityRequest12Action$outboundSchema, UpdateFirewallConfigRequestBodySecurityRequest12Action$, UpdateFirewallConfigRequestBodySecurityRequest12Value$inboundSchema, UpdateFirewallConfigRequestBodySecurityRequest12Value$outboundSchema, UpdateFirewallConfigRequestBodySecurityRequest12Value$, RequestBody12$inboundSchema, RequestBody12$outboundSchema, RequestBody12$, UpdateFirewallConfigRequestBodySecurityRequest11Action$inboundSchema, UpdateFirewallConfigRequestBodySecurityRequest11Action$outboundSchema, UpdateFirewallConfigRequestBodySecurityRequest11Action$, UpdateFirewallConfigRequestBodySecurityRequest11ValueAction$inboundSchema, UpdateFirewallConfigRequestBodySecurityRequest11ValueAction$outboundSchema, UpdateFirewallConfigRequestBodySecurityRequest11ValueAction$, UpdateFirewallConfigRequestBodySecurityRequest11Value$inboundSchema, UpdateFirewallConfigRequestBodySecurityRequest11Value$outboundSchema, UpdateFirewallConfigRequestBodySecurityRequest11Value$, RequestBody11$inboundSchema, RequestBody11$outboundSchema, RequestBody11$, UpdateFirewallConfigRequestBodySecurityRequest10Action$inboundSchema, UpdateFirewallConfigRequestBodySecurityRequest10Action$outboundSchema, UpdateFirewallConfigRequestBodySecurityRequest10Action$, UpdateFirewallConfigRequestBody10$inboundSchema, UpdateFirewallConfigRequestBody10$outboundSchema, UpdateFirewallConfigRequestBody10$, UpdateFirewallConfigRequestBodySecurityRequest9Action$inboundSchema, UpdateFirewallConfigRequestBodySecurityRequest9Action$outboundSchema, UpdateFirewallConfigRequestBodySecurityRequest9Action$, UpdateFirewallConfigRequestBodySecurityRequest9ValueAction$inboundSchema, UpdateFirewallConfigRequestBodySecurityRequest9ValueAction$outboundSchema, UpdateFirewallConfigRequestBodySecurityRequest9ValueAction$, UpdateFirewallConfigRequestBodySecurityRequest9Value$inboundSchema, UpdateFirewallConfigRequestBodySecurityRequest9Value$outboundSchema, UpdateFirewallConfigRequestBodySecurityRequest9Value$, UpdateFirewallConfigRequestBody9$inboundSchema, UpdateFirewallConfigRequestBody9$outboundSchema, UpdateFirewallConfigRequestBody9$, UpdateFirewallConfigRequestBodySecurityRequest8Action$inboundSchema, UpdateFirewallConfigRequestBodySecurityRequest8Action$outboundSchema, UpdateFirewallConfigRequestBodySecurityRequest8Action$, UpdateFirewallConfigRequestBodySecurityRequest8ValueAction$inboundSchema, UpdateFirewallConfigRequestBodySecurityRequest8ValueAction$outboundSchema, UpdateFirewallConfigRequestBodySecurityRequest8ValueAction$, UpdateFirewallConfigRequestBodySecurityRequestValue$inboundSchema, UpdateFirewallConfigRequestBodySecurityRequestValue$outboundSchema, UpdateFirewallConfigRequestBodySecurityRequestValue$, UpdateFirewallConfigRequestBody8$inboundSchema, UpdateFirewallConfigRequestBody8$outboundSchema, UpdateFirewallConfigRequestBody8$, UpdateFirewallConfigRequestBodySecurityRequest7Action$inboundSchema, UpdateFirewallConfigRequestBodySecurityRequest7Action$outboundSchema, UpdateFirewallConfigRequestBodySecurityRequest7Action$, UpdateFirewallConfigRequestBody7$inboundSchema, UpdateFirewallConfigRequestBody7$outboundSchema, UpdateFirewallConfigRequestBody7$, UpdateFirewallConfigRequestBodySecurityRequest6Action$inboundSchema, UpdateFirewallConfigRequestBodySecurityRequest6Action$outboundSchema, UpdateFirewallConfigRequestBodySecurityRequest6Action$, Id$inboundSchema, Id$outboundSchema, Id$, UpdateFirewallConfigRequestBodySecurityRequest6ValueAction$inboundSchema, UpdateFirewallConfigRequestBodySecurityRequest6ValueAction$outboundSchema, UpdateFirewallConfigRequestBodySecurityRequest6ValueAction$, UpdateFirewallConfigRequestBodySecurityValue$inboundSchema, UpdateFirewallConfigRequestBodySecurityValue$outboundSchema, UpdateFirewallConfigRequestBodySecurityValue$, UpdateFirewallConfigRequestBody6$inboundSchema, UpdateFirewallConfigRequestBody6$outboundSchema, UpdateFirewallConfigRequestBody6$, UpdateFirewallConfigRequestBodySecurityRequest5Action$inboundSchema, UpdateFirewallConfigRequestBodySecurityRequest5Action$outboundSchema, UpdateFirewallConfigRequestBodySecurityRequest5Action$, UpdateFirewallConfigRequestBody5$inboundSchema, UpdateFirewallConfigRequestBody5$outboundSchema, UpdateFirewallConfigRequestBody5$, UpdateFirewallConfigRequestBodySecurityRequestAction$inboundSchema, UpdateFirewallConfigRequestBodySecurityRequestAction$outboundSchema, UpdateFirewallConfigRequestBodySecurityRequestAction$, UpdateFirewallConfigRequestBody4$inboundSchema, UpdateFirewallConfigRequestBody4$outboundSchema, UpdateFirewallConfigRequestBody4$, UpdateFirewallConfigRequestBodySecurityAction$inboundSchema, UpdateFirewallConfigRequestBodySecurityAction$outboundSchema, UpdateFirewallConfigRequestBodySecurityAction$, UpdateFirewallConfigRequestBodySecurityType$inboundSchema, UpdateFirewallConfigRequestBodySecurityType$outboundSchema, UpdateFirewallConfigRequestBodySecurityType$, UpdateFirewallConfigRequestBodyOp$inboundSchema, UpdateFirewallConfigRequestBodyOp$outboundSchema, UpdateFirewallConfigRequestBodyOp$, UpdateFirewallConfigRequestBodySecurityRequest3Value$inboundSchema, UpdateFirewallConfigRequestBodySecurityRequest3Value$outboundSchema, UpdateFirewallConfigRequestBodySecurityRequest3Value$, UpdateFirewallConfigRequestBodyConditions$inboundSchema, UpdateFirewallConfigRequestBodyConditions$outboundSchema, UpdateFirewallConfigRequestBodyConditions$, UpdateFirewallConfigRequestBodyConditionGroup$inboundSchema, UpdateFirewallConfigRequestBodyConditionGroup$outboundSchema, UpdateFirewallConfigRequestBodyConditionGroup$, UpdateFirewallConfigRequestBodySecurityRequest3ValueAction$inboundSchema, UpdateFirewallConfigRequestBodySecurityRequest3ValueAction$outboundSchema, UpdateFirewallConfigRequestBodySecurityRequest3ValueAction$, UpdateFirewallConfigRateLimitAlgo$inboundSchema, UpdateFirewallConfigRateLimitAlgo$outboundSchema, UpdateFirewallConfigRateLimitAlgo$, UpdateFirewallConfigActionSecurity1$inboundSchema, UpdateFirewallConfigActionSecurity1$outboundSchema, UpdateFirewallConfigActionSecurity1$, UpdateFirewallConfigRateLimitSecurityAction$inboundSchema, UpdateFirewallConfigRateLimitSecurityAction$outboundSchema, UpdateFirewallConfigRateLimitSecurityAction$, UpdateFirewallConfigRateLimitSecurity1$inboundSchema, UpdateFirewallConfigRateLimitSecurity1$outboundSchema, UpdateFirewallConfigRateLimitSecurity1$, UpdateFirewallConfigRequestBodyRateLimit$inboundSchema, UpdateFirewallConfigRequestBodyRateLimit$outboundSchema, UpdateFirewallConfigRequestBodyRateLimit$, UpdateFirewallConfigRedirectSecurity1$inboundSchema, UpdateFirewallConfigRedirectSecurity1$outboundSchema, UpdateFirewallConfigRedirectSecurity1$, UpdateFirewallConfigRequestBodyRedirect$inboundSchema, UpdateFirewallConfigRequestBodyRedirect$outboundSchema, UpdateFirewallConfigRequestBodyRedirect$, UpdateFirewallConfigRequestBodyMitigate$inboundSchema, UpdateFirewallConfigRequestBodyMitigate$outboundSchema, UpdateFirewallConfigRequestBodyMitigate$, UpdateFirewallConfigRequestBodySecurityRequest3Action$inboundSchema, UpdateFirewallConfigRequestBodySecurityRequest3Action$outboundSchema, UpdateFirewallConfigRequestBodySecurityRequest3Action$, UpdateFirewallConfigRequestBodyValue$inboundSchema, UpdateFirewallConfigRequestBodyValue$outboundSchema, UpdateFirewallConfigRequestBodyValue$, UpdateFirewallConfigRequestBody3$inboundSchema, UpdateFirewallConfigRequestBody3$outboundSchema, UpdateFirewallConfigRequestBody3$, UpdateFirewallConfigRequestBodyAction$inboundSchema, UpdateFirewallConfigRequestBodyAction$outboundSchema, UpdateFirewallConfigRequestBodyAction$, UpdateFirewallConfigRequestBodyType$inboundSchema, UpdateFirewallConfigRequestBodyType$outboundSchema, UpdateFirewallConfigRequestBodyType$, RequestBodyOp$inboundSchema, RequestBodyOp$outboundSchema, RequestBodyOp$, UpdateFirewallConfigRequestBodySecurityRequest2Value$inboundSchema, UpdateFirewallConfigRequestBodySecurityRequest2Value$outboundSchema, UpdateFirewallConfigRequestBodySecurityRequest2Value$, RequestBodyConditions$inboundSchema, RequestBodyConditions$outboundSchema, RequestBodyConditions$, RequestBodyConditionGroup$inboundSchema, RequestBodyConditionGroup$outboundSchema, RequestBodyConditionGroup$, UpdateFirewallConfigRequestBodySecurityRequest2ValueAction$inboundSchema, UpdateFirewallConfigRequestBodySecurityRequest2ValueAction$outboundSchema, UpdateFirewallConfigRequestBodySecurityRequest2ValueAction$, RateLimitAlgo$inboundSchema, RateLimitAlgo$outboundSchema, RateLimitAlgo$, UpdateFirewallConfigAction1$inboundSchema, UpdateFirewallConfigAction1$outboundSchema, UpdateFirewallConfigAction1$, UpdateFirewallConfigRateLimitAction$inboundSchema, UpdateFirewallConfigRateLimitAction$outboundSchema, UpdateFirewallConfigRateLimitAction$, UpdateFirewallConfigRateLimit1$inboundSchema, UpdateFirewallConfigRateLimit1$outboundSchema, UpdateFirewallConfigRateLimit1$, RequestBodyRateLimit$inboundSchema, RequestBodyRateLimit$outboundSchema, RequestBodyRateLimit$, UpdateFirewallConfigRedirect1$inboundSchema, UpdateFirewallConfigRedirect1$outboundSchema, UpdateFirewallConfigRedirect1$, RequestBodyRedirect$inboundSchema, RequestBodyRedirect$outboundSchema, RequestBodyRedirect$, RequestBodyMitigate$inboundSchema, RequestBodyMitigate$outboundSchema, RequestBodyMitigate$, UpdateFirewallConfigRequestBodySecurityRequest2Action$inboundSchema, UpdateFirewallConfigRequestBodySecurityRequest2Action$outboundSchema, UpdateFirewallConfigRequestBodySecurityRequest2Action$, RequestBodyValue$inboundSchema, RequestBodyValue$outboundSchema, RequestBodyValue$, UpdateFirewallConfigRequestBody2$inboundSchema, UpdateFirewallConfigRequestBody2$outboundSchema, UpdateFirewallConfigRequestBody2$, RequestBodyAction$inboundSchema, RequestBodyAction$outboundSchema, RequestBodyAction$, UpdateFirewallConfigRequestBody1$inboundSchema, UpdateFirewallConfigRequestBody1$outboundSchema, UpdateFirewallConfigRequestBody1$, UpdateFirewallConfigRequestBody$inboundSchema, UpdateFirewallConfigRequestBody$outboundSchema, UpdateFirewallConfigRequestBody$, UpdateFirewallConfigRequest$inboundSchema, UpdateFirewallConfigRequest$outboundSchema, UpdateFirewallConfigRequest$, UpdateFirewallConfigResponseBody$inboundSchema, UpdateFirewallConfigResponseBody$outboundSchema, UpdateFirewallConfigResponseBody$;
var init_updatefirewallconfigop = __esm(() => {
  init_esm();
  init_primitives();
  UpdateFirewallConfigRequestBodySecurityRequest12Action = {
    Log: "log",
    Challenge: "challenge",
    Deny: "deny"
  };
  UpdateFirewallConfigRequestBodySecurityRequest11Action = {
    ManagedRulesUpdate: "managedRules.update"
  };
  UpdateFirewallConfigRequestBodySecurityRequest11ValueAction = {
    Log: "log",
    Challenge: "challenge",
    Deny: "deny"
  };
  UpdateFirewallConfigRequestBodySecurityRequest10Action = {
    IpRemove: "ip.remove"
  };
  UpdateFirewallConfigRequestBodySecurityRequest9Action = {
    IpUpdate: "ip.update"
  };
  UpdateFirewallConfigRequestBodySecurityRequest9ValueAction = {
    Deny: "deny",
    Challenge: "challenge",
    Log: "log",
    Bypass: "bypass"
  };
  UpdateFirewallConfigRequestBodySecurityRequest8Action = {
    IpInsert: "ip.insert"
  };
  UpdateFirewallConfigRequestBodySecurityRequest8ValueAction = {
    Deny: "deny",
    Challenge: "challenge",
    Log: "log",
    Bypass: "bypass"
  };
  UpdateFirewallConfigRequestBodySecurityRequest7Action = {
    CrsDisable: "crs.disable"
  };
  UpdateFirewallConfigRequestBodySecurityRequest6Action = {
    CrsUpdate: "crs.update"
  };
  Id = {
    Sd: "sd",
    Ma: "ma",
    Lfi: "lfi",
    Rfi: "rfi",
    Rce: "rce",
    Php: "php",
    Gen: "gen",
    Xss: "xss",
    Sqli: "sqli",
    Sf: "sf",
    Java: "java"
  };
  UpdateFirewallConfigRequestBodySecurityRequest6ValueAction = {
    Deny: "deny",
    Log: "log"
  };
  UpdateFirewallConfigRequestBodySecurityRequest5Action = {
    RulesPriority: "rules.priority"
  };
  UpdateFirewallConfigRequestBodySecurityRequestAction = {
    RulesRemove: "rules.remove"
  };
  UpdateFirewallConfigRequestBodySecurityAction = {
    RulesUpdate: "rules.update"
  };
  UpdateFirewallConfigRequestBodySecurityType = {
    Host: "host",
    Path: "path",
    Method: "method",
    Header: "header",
    Query: "query",
    Cookie: "cookie",
    TargetPath: "target_path",
    RawPath: "raw_path",
    IpAddress: "ip_address",
    Region: "region",
    Protocol: "protocol",
    Scheme: "scheme",
    Environment: "environment",
    UserAgent: "user_agent",
    GeoContinent: "geo_continent",
    GeoCountry: "geo_country",
    GeoCountryRegion: "geo_country_region",
    GeoCity: "geo_city",
    GeoAsNumber: "geo_as_number",
    Ja4Digest: "ja4_digest",
    Ja3Digest: "ja3_digest",
    RateLimitApiId: "rate_limit_api_id"
  };
  UpdateFirewallConfigRequestBodyOp = {
    Re: "re",
    Eq: "eq",
    Neq: "neq",
    Ex: "ex",
    Nex: "nex",
    Inc: "inc",
    Ninc: "ninc",
    Pre: "pre",
    Suf: "suf",
    Sub: "sub",
    Gt: "gt",
    Gte: "gte",
    Lt: "lt",
    Lte: "lte"
  };
  UpdateFirewallConfigRequestBodySecurityRequest3ValueAction = {
    Log: "log",
    Challenge: "challenge",
    Deny: "deny",
    Bypass: "bypass",
    RateLimit: "rate_limit",
    Redirect: "redirect"
  };
  UpdateFirewallConfigRateLimitAlgo = {
    FixedWindow: "fixed_window",
    TokenBucket: "token_bucket"
  };
  UpdateFirewallConfigActionSecurity1 = {
    Log: "log",
    Challenge: "challenge",
    Deny: "deny",
    RateLimit: "rate_limit"
  };
  UpdateFirewallConfigRequestBodyAction = {
    RulesInsert: "rules.insert"
  };
  UpdateFirewallConfigRequestBodyType = {
    Host: "host",
    Path: "path",
    Method: "method",
    Header: "header",
    Query: "query",
    Cookie: "cookie",
    TargetPath: "target_path",
    RawPath: "raw_path",
    IpAddress: "ip_address",
    Region: "region",
    Protocol: "protocol",
    Scheme: "scheme",
    Environment: "environment",
    UserAgent: "user_agent",
    GeoContinent: "geo_continent",
    GeoCountry: "geo_country",
    GeoCountryRegion: "geo_country_region",
    GeoCity: "geo_city",
    GeoAsNumber: "geo_as_number",
    Ja4Digest: "ja4_digest",
    Ja3Digest: "ja3_digest",
    RateLimitApiId: "rate_limit_api_id"
  };
  RequestBodyOp = {
    Re: "re",
    Eq: "eq",
    Neq: "neq",
    Ex: "ex",
    Nex: "nex",
    Inc: "inc",
    Ninc: "ninc",
    Pre: "pre",
    Suf: "suf",
    Sub: "sub",
    Gt: "gt",
    Gte: "gte",
    Lt: "lt",
    Lte: "lte"
  };
  UpdateFirewallConfigRequestBodySecurityRequest2ValueAction = {
    Log: "log",
    Challenge: "challenge",
    Deny: "deny",
    Bypass: "bypass",
    RateLimit: "rate_limit",
    Redirect: "redirect"
  };
  RateLimitAlgo = {
    FixedWindow: "fixed_window",
    TokenBucket: "token_bucket"
  };
  UpdateFirewallConfigAction1 = {
    Log: "log",
    Challenge: "challenge",
    Deny: "deny",
    RateLimit: "rate_limit"
  };
  RequestBodyAction = {
    FirewallEnabled: "firewallEnabled"
  };
  UpdateFirewallConfigRequestBodySecurityRequest12Action$inboundSchema = nativeEnumType(UpdateFirewallConfigRequestBodySecurityRequest12Action);
  UpdateFirewallConfigRequestBodySecurityRequest12Action$outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest12Action$inboundSchema;
  ((UpdateFirewallConfigRequestBodySecurityRequest12Action$) => {
    UpdateFirewallConfigRequestBodySecurityRequest12Action$.inboundSchema = UpdateFirewallConfigRequestBodySecurityRequest12Action$inboundSchema;
    UpdateFirewallConfigRequestBodySecurityRequest12Action$.outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest12Action$outboundSchema;
  })(UpdateFirewallConfigRequestBodySecurityRequest12Action$ ||= {});
  UpdateFirewallConfigRequestBodySecurityRequest12Value$inboundSchema = objectType({
    active: booleanType(),
    action: UpdateFirewallConfigRequestBodySecurityRequest12Action$inboundSchema.optional()
  });
  UpdateFirewallConfigRequestBodySecurityRequest12Value$outboundSchema = objectType({
    active: booleanType(),
    action: UpdateFirewallConfigRequestBodySecurityRequest12Action$outboundSchema.optional()
  });
  ((UpdateFirewallConfigRequestBodySecurityRequest12Value$) => {
    UpdateFirewallConfigRequestBodySecurityRequest12Value$.inboundSchema = UpdateFirewallConfigRequestBodySecurityRequest12Value$inboundSchema;
    UpdateFirewallConfigRequestBodySecurityRequest12Value$.outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest12Value$outboundSchema;
  })(UpdateFirewallConfigRequestBodySecurityRequest12Value$ ||= {});
  RequestBody12$inboundSchema = objectType({
    action: stringType(),
    id: stringType(),
    value: recordType(lazyType(() => UpdateFirewallConfigRequestBodySecurityRequest12Value$inboundSchema))
  });
  RequestBody12$outboundSchema = objectType({
    action: stringType(),
    id: stringType(),
    value: recordType(lazyType(() => UpdateFirewallConfigRequestBodySecurityRequest12Value$outboundSchema))
  });
  ((RequestBody12$) => {
    RequestBody12$.inboundSchema = RequestBody12$inboundSchema;
    RequestBody12$.outboundSchema = RequestBody12$outboundSchema;
  })(RequestBody12$ ||= {});
  UpdateFirewallConfigRequestBodySecurityRequest11Action$inboundSchema = nativeEnumType(UpdateFirewallConfigRequestBodySecurityRequest11Action);
  UpdateFirewallConfigRequestBodySecurityRequest11Action$outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest11Action$inboundSchema;
  ((UpdateFirewallConfigRequestBodySecurityRequest11Action$) => {
    UpdateFirewallConfigRequestBodySecurityRequest11Action$.inboundSchema = UpdateFirewallConfigRequestBodySecurityRequest11Action$inboundSchema;
    UpdateFirewallConfigRequestBodySecurityRequest11Action$.outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest11Action$outboundSchema;
  })(UpdateFirewallConfigRequestBodySecurityRequest11Action$ ||= {});
  UpdateFirewallConfigRequestBodySecurityRequest11ValueAction$inboundSchema = nativeEnumType(UpdateFirewallConfigRequestBodySecurityRequest11ValueAction);
  UpdateFirewallConfigRequestBodySecurityRequest11ValueAction$outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest11ValueAction$inboundSchema;
  ((UpdateFirewallConfigRequestBodySecurityRequest11ValueAction$) => {
    UpdateFirewallConfigRequestBodySecurityRequest11ValueAction$.inboundSchema = UpdateFirewallConfigRequestBodySecurityRequest11ValueAction$inboundSchema;
    UpdateFirewallConfigRequestBodySecurityRequest11ValueAction$.outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest11ValueAction$outboundSchema;
  })(UpdateFirewallConfigRequestBodySecurityRequest11ValueAction$ ||= {});
  UpdateFirewallConfigRequestBodySecurityRequest11Value$inboundSchema = objectType({
    action: UpdateFirewallConfigRequestBodySecurityRequest11ValueAction$inboundSchema.optional(),
    active: booleanType()
  });
  UpdateFirewallConfigRequestBodySecurityRequest11Value$outboundSchema = objectType({
    action: UpdateFirewallConfigRequestBodySecurityRequest11ValueAction$outboundSchema.optional(),
    active: booleanType()
  });
  ((UpdateFirewallConfigRequestBodySecurityRequest11Value$) => {
    UpdateFirewallConfigRequestBodySecurityRequest11Value$.inboundSchema = UpdateFirewallConfigRequestBodySecurityRequest11Value$inboundSchema;
    UpdateFirewallConfigRequestBodySecurityRequest11Value$.outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest11Value$outboundSchema;
  })(UpdateFirewallConfigRequestBodySecurityRequest11Value$ ||= {});
  RequestBody11$inboundSchema = objectType({
    action: UpdateFirewallConfigRequestBodySecurityRequest11Action$inboundSchema,
    id: stringType(),
    value: lazyType(() => UpdateFirewallConfigRequestBodySecurityRequest11Value$inboundSchema)
  });
  RequestBody11$outboundSchema = objectType({
    action: UpdateFirewallConfigRequestBodySecurityRequest11Action$outboundSchema,
    id: stringType(),
    value: lazyType(() => UpdateFirewallConfigRequestBodySecurityRequest11Value$outboundSchema)
  });
  ((RequestBody11$) => {
    RequestBody11$.inboundSchema = RequestBody11$inboundSchema;
    RequestBody11$.outboundSchema = RequestBody11$outboundSchema;
  })(RequestBody11$ ||= {});
  UpdateFirewallConfigRequestBodySecurityRequest10Action$inboundSchema = nativeEnumType(UpdateFirewallConfigRequestBodySecurityRequest10Action);
  UpdateFirewallConfigRequestBodySecurityRequest10Action$outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest10Action$inboundSchema;
  ((UpdateFirewallConfigRequestBodySecurityRequest10Action$) => {
    UpdateFirewallConfigRequestBodySecurityRequest10Action$.inboundSchema = UpdateFirewallConfigRequestBodySecurityRequest10Action$inboundSchema;
    UpdateFirewallConfigRequestBodySecurityRequest10Action$.outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest10Action$outboundSchema;
  })(UpdateFirewallConfigRequestBodySecurityRequest10Action$ ||= {});
  UpdateFirewallConfigRequestBody10$inboundSchema = objectType({
    action: UpdateFirewallConfigRequestBodySecurityRequest10Action$inboundSchema,
    id: stringType(),
    value: nullableType(anyType()).optional()
  });
  UpdateFirewallConfigRequestBody10$outboundSchema = objectType({
    action: UpdateFirewallConfigRequestBodySecurityRequest10Action$outboundSchema,
    id: stringType(),
    value: nullableType(anyType()).optional()
  });
  ((UpdateFirewallConfigRequestBody10$) => {
    UpdateFirewallConfigRequestBody10$.inboundSchema = UpdateFirewallConfigRequestBody10$inboundSchema;
    UpdateFirewallConfigRequestBody10$.outboundSchema = UpdateFirewallConfigRequestBody10$outboundSchema;
  })(UpdateFirewallConfigRequestBody10$ ||= {});
  UpdateFirewallConfigRequestBodySecurityRequest9Action$inboundSchema = nativeEnumType(UpdateFirewallConfigRequestBodySecurityRequest9Action);
  UpdateFirewallConfigRequestBodySecurityRequest9Action$outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest9Action$inboundSchema;
  ((UpdateFirewallConfigRequestBodySecurityRequest9Action$) => {
    UpdateFirewallConfigRequestBodySecurityRequest9Action$.inboundSchema = UpdateFirewallConfigRequestBodySecurityRequest9Action$inboundSchema;
    UpdateFirewallConfigRequestBodySecurityRequest9Action$.outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest9Action$outboundSchema;
  })(UpdateFirewallConfigRequestBodySecurityRequest9Action$ ||= {});
  UpdateFirewallConfigRequestBodySecurityRequest9ValueAction$inboundSchema = nativeEnumType(UpdateFirewallConfigRequestBodySecurityRequest9ValueAction);
  UpdateFirewallConfigRequestBodySecurityRequest9ValueAction$outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest9ValueAction$inboundSchema;
  ((UpdateFirewallConfigRequestBodySecurityRequest9ValueAction$) => {
    UpdateFirewallConfigRequestBodySecurityRequest9ValueAction$.inboundSchema = UpdateFirewallConfigRequestBodySecurityRequest9ValueAction$inboundSchema;
    UpdateFirewallConfigRequestBodySecurityRequest9ValueAction$.outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest9ValueAction$outboundSchema;
  })(UpdateFirewallConfigRequestBodySecurityRequest9ValueAction$ ||= {});
  UpdateFirewallConfigRequestBodySecurityRequest9Value$inboundSchema = objectType({
    hostname: stringType(),
    ip: stringType(),
    notes: stringType().optional(),
    action: UpdateFirewallConfigRequestBodySecurityRequest9ValueAction$inboundSchema
  });
  UpdateFirewallConfigRequestBodySecurityRequest9Value$outboundSchema = objectType({
    hostname: stringType(),
    ip: stringType(),
    notes: stringType().optional(),
    action: UpdateFirewallConfigRequestBodySecurityRequest9ValueAction$outboundSchema
  });
  ((UpdateFirewallConfigRequestBodySecurityRequest9Value$) => {
    UpdateFirewallConfigRequestBodySecurityRequest9Value$.inboundSchema = UpdateFirewallConfigRequestBodySecurityRequest9Value$inboundSchema;
    UpdateFirewallConfigRequestBodySecurityRequest9Value$.outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest9Value$outboundSchema;
  })(UpdateFirewallConfigRequestBodySecurityRequest9Value$ ||= {});
  UpdateFirewallConfigRequestBody9$inboundSchema = objectType({
    action: UpdateFirewallConfigRequestBodySecurityRequest9Action$inboundSchema,
    id: stringType(),
    value: lazyType(() => UpdateFirewallConfigRequestBodySecurityRequest9Value$inboundSchema)
  });
  UpdateFirewallConfigRequestBody9$outboundSchema = objectType({
    action: UpdateFirewallConfigRequestBodySecurityRequest9Action$outboundSchema,
    id: stringType(),
    value: lazyType(() => UpdateFirewallConfigRequestBodySecurityRequest9Value$outboundSchema)
  });
  ((UpdateFirewallConfigRequestBody9$) => {
    UpdateFirewallConfigRequestBody9$.inboundSchema = UpdateFirewallConfigRequestBody9$inboundSchema;
    UpdateFirewallConfigRequestBody9$.outboundSchema = UpdateFirewallConfigRequestBody9$outboundSchema;
  })(UpdateFirewallConfigRequestBody9$ ||= {});
  UpdateFirewallConfigRequestBodySecurityRequest8Action$inboundSchema = nativeEnumType(UpdateFirewallConfigRequestBodySecurityRequest8Action);
  UpdateFirewallConfigRequestBodySecurityRequest8Action$outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest8Action$inboundSchema;
  ((UpdateFirewallConfigRequestBodySecurityRequest8Action$) => {
    UpdateFirewallConfigRequestBodySecurityRequest8Action$.inboundSchema = UpdateFirewallConfigRequestBodySecurityRequest8Action$inboundSchema;
    UpdateFirewallConfigRequestBodySecurityRequest8Action$.outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest8Action$outboundSchema;
  })(UpdateFirewallConfigRequestBodySecurityRequest8Action$ ||= {});
  UpdateFirewallConfigRequestBodySecurityRequest8ValueAction$inboundSchema = nativeEnumType(UpdateFirewallConfigRequestBodySecurityRequest8ValueAction);
  UpdateFirewallConfigRequestBodySecurityRequest8ValueAction$outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest8ValueAction$inboundSchema;
  ((UpdateFirewallConfigRequestBodySecurityRequest8ValueAction$) => {
    UpdateFirewallConfigRequestBodySecurityRequest8ValueAction$.inboundSchema = UpdateFirewallConfigRequestBodySecurityRequest8ValueAction$inboundSchema;
    UpdateFirewallConfigRequestBodySecurityRequest8ValueAction$.outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest8ValueAction$outboundSchema;
  })(UpdateFirewallConfigRequestBodySecurityRequest8ValueAction$ ||= {});
  UpdateFirewallConfigRequestBodySecurityRequestValue$inboundSchema = objectType({
    hostname: stringType(),
    ip: stringType(),
    notes: stringType().optional(),
    action: UpdateFirewallConfigRequestBodySecurityRequest8ValueAction$inboundSchema
  });
  UpdateFirewallConfigRequestBodySecurityRequestValue$outboundSchema = objectType({
    hostname: stringType(),
    ip: stringType(),
    notes: stringType().optional(),
    action: UpdateFirewallConfigRequestBodySecurityRequest8ValueAction$outboundSchema
  });
  ((UpdateFirewallConfigRequestBodySecurityRequestValue$) => {
    UpdateFirewallConfigRequestBodySecurityRequestValue$.inboundSchema = UpdateFirewallConfigRequestBodySecurityRequestValue$inboundSchema;
    UpdateFirewallConfigRequestBodySecurityRequestValue$.outboundSchema = UpdateFirewallConfigRequestBodySecurityRequestValue$outboundSchema;
  })(UpdateFirewallConfigRequestBodySecurityRequestValue$ ||= {});
  UpdateFirewallConfigRequestBody8$inboundSchema = objectType({
    action: UpdateFirewallConfigRequestBodySecurityRequest8Action$inboundSchema,
    id: nullableType(anyType()).optional(),
    value: lazyType(() => UpdateFirewallConfigRequestBodySecurityRequestValue$inboundSchema)
  });
  UpdateFirewallConfigRequestBody8$outboundSchema = objectType({
    action: UpdateFirewallConfigRequestBodySecurityRequest8Action$outboundSchema,
    id: nullableType(anyType()).optional(),
    value: lazyType(() => UpdateFirewallConfigRequestBodySecurityRequestValue$outboundSchema)
  });
  ((UpdateFirewallConfigRequestBody8$) => {
    UpdateFirewallConfigRequestBody8$.inboundSchema = UpdateFirewallConfigRequestBody8$inboundSchema;
    UpdateFirewallConfigRequestBody8$.outboundSchema = UpdateFirewallConfigRequestBody8$outboundSchema;
  })(UpdateFirewallConfigRequestBody8$ ||= {});
  UpdateFirewallConfigRequestBodySecurityRequest7Action$inboundSchema = nativeEnumType(UpdateFirewallConfigRequestBodySecurityRequest7Action);
  UpdateFirewallConfigRequestBodySecurityRequest7Action$outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest7Action$inboundSchema;
  ((UpdateFirewallConfigRequestBodySecurityRequest7Action$) => {
    UpdateFirewallConfigRequestBodySecurityRequest7Action$.inboundSchema = UpdateFirewallConfigRequestBodySecurityRequest7Action$inboundSchema;
    UpdateFirewallConfigRequestBodySecurityRequest7Action$.outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest7Action$outboundSchema;
  })(UpdateFirewallConfigRequestBodySecurityRequest7Action$ ||= {});
  UpdateFirewallConfigRequestBody7$inboundSchema = objectType({
    action: UpdateFirewallConfigRequestBodySecurityRequest7Action$inboundSchema,
    id: nullableType(anyType()).optional(),
    value: nullableType(anyType()).optional()
  });
  UpdateFirewallConfigRequestBody7$outboundSchema = objectType({
    action: UpdateFirewallConfigRequestBodySecurityRequest7Action$outboundSchema,
    id: nullableType(anyType()).optional(),
    value: nullableType(anyType()).optional()
  });
  ((UpdateFirewallConfigRequestBody7$) => {
    UpdateFirewallConfigRequestBody7$.inboundSchema = UpdateFirewallConfigRequestBody7$inboundSchema;
    UpdateFirewallConfigRequestBody7$.outboundSchema = UpdateFirewallConfigRequestBody7$outboundSchema;
  })(UpdateFirewallConfigRequestBody7$ ||= {});
  UpdateFirewallConfigRequestBodySecurityRequest6Action$inboundSchema = nativeEnumType(UpdateFirewallConfigRequestBodySecurityRequest6Action);
  UpdateFirewallConfigRequestBodySecurityRequest6Action$outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest6Action$inboundSchema;
  ((UpdateFirewallConfigRequestBodySecurityRequest6Action$) => {
    UpdateFirewallConfigRequestBodySecurityRequest6Action$.inboundSchema = UpdateFirewallConfigRequestBodySecurityRequest6Action$inboundSchema;
    UpdateFirewallConfigRequestBodySecurityRequest6Action$.outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest6Action$outboundSchema;
  })(UpdateFirewallConfigRequestBodySecurityRequest6Action$ ||= {});
  Id$inboundSchema = nativeEnumType(Id);
  Id$outboundSchema = Id$inboundSchema;
  ((Id$) => {
    Id$.inboundSchema = Id$inboundSchema;
    Id$.outboundSchema = Id$outboundSchema;
  })(Id$ ||= {});
  UpdateFirewallConfigRequestBodySecurityRequest6ValueAction$inboundSchema = nativeEnumType(UpdateFirewallConfigRequestBodySecurityRequest6ValueAction);
  UpdateFirewallConfigRequestBodySecurityRequest6ValueAction$outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest6ValueAction$inboundSchema;
  ((UpdateFirewallConfigRequestBodySecurityRequest6ValueAction$) => {
    UpdateFirewallConfigRequestBodySecurityRequest6ValueAction$.inboundSchema = UpdateFirewallConfigRequestBodySecurityRequest6ValueAction$inboundSchema;
    UpdateFirewallConfigRequestBodySecurityRequest6ValueAction$.outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest6ValueAction$outboundSchema;
  })(UpdateFirewallConfigRequestBodySecurityRequest6ValueAction$ ||= {});
  UpdateFirewallConfigRequestBodySecurityValue$inboundSchema = objectType({
    active: booleanType(),
    action: UpdateFirewallConfigRequestBodySecurityRequest6ValueAction$inboundSchema
  });
  UpdateFirewallConfigRequestBodySecurityValue$outboundSchema = objectType({
    active: booleanType(),
    action: UpdateFirewallConfigRequestBodySecurityRequest6ValueAction$outboundSchema
  });
  ((UpdateFirewallConfigRequestBodySecurityValue$) => {
    UpdateFirewallConfigRequestBodySecurityValue$.inboundSchema = UpdateFirewallConfigRequestBodySecurityValue$inboundSchema;
    UpdateFirewallConfigRequestBodySecurityValue$.outboundSchema = UpdateFirewallConfigRequestBodySecurityValue$outboundSchema;
  })(UpdateFirewallConfigRequestBodySecurityValue$ ||= {});
  UpdateFirewallConfigRequestBody6$inboundSchema = objectType({
    action: UpdateFirewallConfigRequestBodySecurityRequest6Action$inboundSchema,
    id: Id$inboundSchema,
    value: lazyType(() => UpdateFirewallConfigRequestBodySecurityValue$inboundSchema)
  });
  UpdateFirewallConfigRequestBody6$outboundSchema = objectType({
    action: UpdateFirewallConfigRequestBodySecurityRequest6Action$outboundSchema,
    id: Id$outboundSchema,
    value: lazyType(() => UpdateFirewallConfigRequestBodySecurityValue$outboundSchema)
  });
  ((UpdateFirewallConfigRequestBody6$) => {
    UpdateFirewallConfigRequestBody6$.inboundSchema = UpdateFirewallConfigRequestBody6$inboundSchema;
    UpdateFirewallConfigRequestBody6$.outboundSchema = UpdateFirewallConfigRequestBody6$outboundSchema;
  })(UpdateFirewallConfigRequestBody6$ ||= {});
  UpdateFirewallConfigRequestBodySecurityRequest5Action$inboundSchema = nativeEnumType(UpdateFirewallConfigRequestBodySecurityRequest5Action);
  UpdateFirewallConfigRequestBodySecurityRequest5Action$outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest5Action$inboundSchema;
  ((UpdateFirewallConfigRequestBodySecurityRequest5Action$) => {
    UpdateFirewallConfigRequestBodySecurityRequest5Action$.inboundSchema = UpdateFirewallConfigRequestBodySecurityRequest5Action$inboundSchema;
    UpdateFirewallConfigRequestBodySecurityRequest5Action$.outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest5Action$outboundSchema;
  })(UpdateFirewallConfigRequestBodySecurityRequest5Action$ ||= {});
  UpdateFirewallConfigRequestBody5$inboundSchema = objectType({
    action: UpdateFirewallConfigRequestBodySecurityRequest5Action$inboundSchema,
    id: stringType(),
    value: numberType()
  });
  UpdateFirewallConfigRequestBody5$outboundSchema = objectType({
    action: UpdateFirewallConfigRequestBodySecurityRequest5Action$outboundSchema,
    id: stringType(),
    value: numberType()
  });
  ((UpdateFirewallConfigRequestBody5$) => {
    UpdateFirewallConfigRequestBody5$.inboundSchema = UpdateFirewallConfigRequestBody5$inboundSchema;
    UpdateFirewallConfigRequestBody5$.outboundSchema = UpdateFirewallConfigRequestBody5$outboundSchema;
  })(UpdateFirewallConfigRequestBody5$ ||= {});
  UpdateFirewallConfigRequestBodySecurityRequestAction$inboundSchema = nativeEnumType(UpdateFirewallConfigRequestBodySecurityRequestAction);
  UpdateFirewallConfigRequestBodySecurityRequestAction$outboundSchema = UpdateFirewallConfigRequestBodySecurityRequestAction$inboundSchema;
  ((UpdateFirewallConfigRequestBodySecurityRequestAction$) => {
    UpdateFirewallConfigRequestBodySecurityRequestAction$.inboundSchema = UpdateFirewallConfigRequestBodySecurityRequestAction$inboundSchema;
    UpdateFirewallConfigRequestBodySecurityRequestAction$.outboundSchema = UpdateFirewallConfigRequestBodySecurityRequestAction$outboundSchema;
  })(UpdateFirewallConfigRequestBodySecurityRequestAction$ ||= {});
  UpdateFirewallConfigRequestBody4$inboundSchema = objectType({
    action: UpdateFirewallConfigRequestBodySecurityRequestAction$inboundSchema,
    id: stringType(),
    value: nullableType(anyType()).optional()
  });
  UpdateFirewallConfigRequestBody4$outboundSchema = objectType({
    action: UpdateFirewallConfigRequestBodySecurityRequestAction$outboundSchema,
    id: stringType(),
    value: nullableType(anyType()).optional()
  });
  ((UpdateFirewallConfigRequestBody4$) => {
    UpdateFirewallConfigRequestBody4$.inboundSchema = UpdateFirewallConfigRequestBody4$inboundSchema;
    UpdateFirewallConfigRequestBody4$.outboundSchema = UpdateFirewallConfigRequestBody4$outboundSchema;
  })(UpdateFirewallConfigRequestBody4$ ||= {});
  UpdateFirewallConfigRequestBodySecurityAction$inboundSchema = nativeEnumType(UpdateFirewallConfigRequestBodySecurityAction);
  UpdateFirewallConfigRequestBodySecurityAction$outboundSchema = UpdateFirewallConfigRequestBodySecurityAction$inboundSchema;
  ((UpdateFirewallConfigRequestBodySecurityAction$) => {
    UpdateFirewallConfigRequestBodySecurityAction$.inboundSchema = UpdateFirewallConfigRequestBodySecurityAction$inboundSchema;
    UpdateFirewallConfigRequestBodySecurityAction$.outboundSchema = UpdateFirewallConfigRequestBodySecurityAction$outboundSchema;
  })(UpdateFirewallConfigRequestBodySecurityAction$ ||= {});
  UpdateFirewallConfigRequestBodySecurityType$inboundSchema = nativeEnumType(UpdateFirewallConfigRequestBodySecurityType);
  UpdateFirewallConfigRequestBodySecurityType$outboundSchema = UpdateFirewallConfigRequestBodySecurityType$inboundSchema;
  ((UpdateFirewallConfigRequestBodySecurityType$) => {
    UpdateFirewallConfigRequestBodySecurityType$.inboundSchema = UpdateFirewallConfigRequestBodySecurityType$inboundSchema;
    UpdateFirewallConfigRequestBodySecurityType$.outboundSchema = UpdateFirewallConfigRequestBodySecurityType$outboundSchema;
  })(UpdateFirewallConfigRequestBodySecurityType$ ||= {});
  UpdateFirewallConfigRequestBodyOp$inboundSchema = nativeEnumType(UpdateFirewallConfigRequestBodyOp);
  UpdateFirewallConfigRequestBodyOp$outboundSchema = UpdateFirewallConfigRequestBodyOp$inboundSchema;
  ((UpdateFirewallConfigRequestBodyOp$) => {
    UpdateFirewallConfigRequestBodyOp$.inboundSchema = UpdateFirewallConfigRequestBodyOp$inboundSchema;
    UpdateFirewallConfigRequestBodyOp$.outboundSchema = UpdateFirewallConfigRequestBodyOp$outboundSchema;
  })(UpdateFirewallConfigRequestBodyOp$ ||= {});
  UpdateFirewallConfigRequestBodySecurityRequest3Value$inboundSchema = unionType([stringType(), arrayType(stringType()), numberType()]);
  UpdateFirewallConfigRequestBodySecurityRequest3Value$outboundSchema = unionType([stringType(), arrayType(stringType()), numberType()]);
  ((UpdateFirewallConfigRequestBodySecurityRequest3Value$) => {
    UpdateFirewallConfigRequestBodySecurityRequest3Value$.inboundSchema = UpdateFirewallConfigRequestBodySecurityRequest3Value$inboundSchema;
    UpdateFirewallConfigRequestBodySecurityRequest3Value$.outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest3Value$outboundSchema;
  })(UpdateFirewallConfigRequestBodySecurityRequest3Value$ ||= {});
  UpdateFirewallConfigRequestBodyConditions$inboundSchema = objectType({
    type: UpdateFirewallConfigRequestBodySecurityType$inboundSchema,
    op: UpdateFirewallConfigRequestBodyOp$inboundSchema,
    neg: booleanType().optional(),
    key: stringType().optional(),
    value: unionType([stringType(), arrayType(stringType()), numberType()]).optional()
  });
  UpdateFirewallConfigRequestBodyConditions$outboundSchema = objectType({
    type: UpdateFirewallConfigRequestBodySecurityType$outboundSchema,
    op: UpdateFirewallConfigRequestBodyOp$outboundSchema,
    neg: booleanType().optional(),
    key: stringType().optional(),
    value: unionType([stringType(), arrayType(stringType()), numberType()]).optional()
  });
  ((UpdateFirewallConfigRequestBodyConditions$) => {
    UpdateFirewallConfigRequestBodyConditions$.inboundSchema = UpdateFirewallConfigRequestBodyConditions$inboundSchema;
    UpdateFirewallConfigRequestBodyConditions$.outboundSchema = UpdateFirewallConfigRequestBodyConditions$outboundSchema;
  })(UpdateFirewallConfigRequestBodyConditions$ ||= {});
  UpdateFirewallConfigRequestBodyConditionGroup$inboundSchema = objectType({
    conditions: arrayType(lazyType(() => UpdateFirewallConfigRequestBodyConditions$inboundSchema))
  });
  UpdateFirewallConfigRequestBodyConditionGroup$outboundSchema = objectType({
    conditions: arrayType(lazyType(() => UpdateFirewallConfigRequestBodyConditions$outboundSchema))
  });
  ((UpdateFirewallConfigRequestBodyConditionGroup$) => {
    UpdateFirewallConfigRequestBodyConditionGroup$.inboundSchema = UpdateFirewallConfigRequestBodyConditionGroup$inboundSchema;
    UpdateFirewallConfigRequestBodyConditionGroup$.outboundSchema = UpdateFirewallConfigRequestBodyConditionGroup$outboundSchema;
  })(UpdateFirewallConfigRequestBodyConditionGroup$ ||= {});
  UpdateFirewallConfigRequestBodySecurityRequest3ValueAction$inboundSchema = nativeEnumType(UpdateFirewallConfigRequestBodySecurityRequest3ValueAction);
  UpdateFirewallConfigRequestBodySecurityRequest3ValueAction$outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest3ValueAction$inboundSchema;
  ((UpdateFirewallConfigRequestBodySecurityRequest3ValueAction$) => {
    UpdateFirewallConfigRequestBodySecurityRequest3ValueAction$.inboundSchema = UpdateFirewallConfigRequestBodySecurityRequest3ValueAction$inboundSchema;
    UpdateFirewallConfigRequestBodySecurityRequest3ValueAction$.outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest3ValueAction$outboundSchema;
  })(UpdateFirewallConfigRequestBodySecurityRequest3ValueAction$ ||= {});
  UpdateFirewallConfigRateLimitAlgo$inboundSchema = nativeEnumType(UpdateFirewallConfigRateLimitAlgo);
  UpdateFirewallConfigRateLimitAlgo$outboundSchema = UpdateFirewallConfigRateLimitAlgo$inboundSchema;
  ((UpdateFirewallConfigRateLimitAlgo$) => {
    UpdateFirewallConfigRateLimitAlgo$.inboundSchema = UpdateFirewallConfigRateLimitAlgo$inboundSchema;
    UpdateFirewallConfigRateLimitAlgo$.outboundSchema = UpdateFirewallConfigRateLimitAlgo$outboundSchema;
  })(UpdateFirewallConfigRateLimitAlgo$ ||= {});
  UpdateFirewallConfigActionSecurity1$inboundSchema = nativeEnumType(UpdateFirewallConfigActionSecurity1);
  UpdateFirewallConfigActionSecurity1$outboundSchema = UpdateFirewallConfigActionSecurity1$inboundSchema;
  ((UpdateFirewallConfigActionSecurity1$) => {
    UpdateFirewallConfigActionSecurity1$.inboundSchema = UpdateFirewallConfigActionSecurity1$inboundSchema;
    UpdateFirewallConfigActionSecurity1$.outboundSchema = UpdateFirewallConfigActionSecurity1$outboundSchema;
  })(UpdateFirewallConfigActionSecurity1$ ||= {});
  UpdateFirewallConfigRateLimitSecurityAction$inboundSchema = unionType([UpdateFirewallConfigActionSecurity1$inboundSchema, anyType()]);
  UpdateFirewallConfigRateLimitSecurityAction$outboundSchema = unionType([UpdateFirewallConfigActionSecurity1$outboundSchema, anyType()]);
  ((UpdateFirewallConfigRateLimitSecurityAction$) => {
    UpdateFirewallConfigRateLimitSecurityAction$.inboundSchema = UpdateFirewallConfigRateLimitSecurityAction$inboundSchema;
    UpdateFirewallConfigRateLimitSecurityAction$.outboundSchema = UpdateFirewallConfigRateLimitSecurityAction$outboundSchema;
  })(UpdateFirewallConfigRateLimitSecurityAction$ ||= {});
  UpdateFirewallConfigRateLimitSecurity1$inboundSchema = objectType({
    algo: UpdateFirewallConfigRateLimitAlgo$inboundSchema,
    window: numberType(),
    limit: numberType(),
    keys: arrayType(stringType()),
    action: nullableType(unionType([UpdateFirewallConfigActionSecurity1$inboundSchema, anyType()])).optional()
  });
  UpdateFirewallConfigRateLimitSecurity1$outboundSchema = objectType({
    algo: UpdateFirewallConfigRateLimitAlgo$outboundSchema,
    window: numberType(),
    limit: numberType(),
    keys: arrayType(stringType()),
    action: nullableType(unionType([UpdateFirewallConfigActionSecurity1$outboundSchema, anyType()])).optional()
  });
  ((UpdateFirewallConfigRateLimitSecurity1$) => {
    UpdateFirewallConfigRateLimitSecurity1$.inboundSchema = UpdateFirewallConfigRateLimitSecurity1$inboundSchema;
    UpdateFirewallConfigRateLimitSecurity1$.outboundSchema = UpdateFirewallConfigRateLimitSecurity1$outboundSchema;
  })(UpdateFirewallConfigRateLimitSecurity1$ ||= {});
  UpdateFirewallConfigRequestBodyRateLimit$inboundSchema = unionType([
    lazyType(() => UpdateFirewallConfigRateLimitSecurity1$inboundSchema),
    anyType()
  ]);
  UpdateFirewallConfigRequestBodyRateLimit$outboundSchema = unionType([
    lazyType(() => UpdateFirewallConfigRateLimitSecurity1$outboundSchema),
    anyType()
  ]);
  ((UpdateFirewallConfigRequestBodyRateLimit$) => {
    UpdateFirewallConfigRequestBodyRateLimit$.inboundSchema = UpdateFirewallConfigRequestBodyRateLimit$inboundSchema;
    UpdateFirewallConfigRequestBodyRateLimit$.outboundSchema = UpdateFirewallConfigRequestBodyRateLimit$outboundSchema;
  })(UpdateFirewallConfigRequestBodyRateLimit$ ||= {});
  UpdateFirewallConfigRedirectSecurity1$inboundSchema = objectType({
    location: stringType(),
    permanent: booleanType()
  });
  UpdateFirewallConfigRedirectSecurity1$outboundSchema = objectType({
    location: stringType(),
    permanent: booleanType()
  });
  ((UpdateFirewallConfigRedirectSecurity1$) => {
    UpdateFirewallConfigRedirectSecurity1$.inboundSchema = UpdateFirewallConfigRedirectSecurity1$inboundSchema;
    UpdateFirewallConfigRedirectSecurity1$.outboundSchema = UpdateFirewallConfigRedirectSecurity1$outboundSchema;
  })(UpdateFirewallConfigRedirectSecurity1$ ||= {});
  UpdateFirewallConfigRequestBodyRedirect$inboundSchema = unionType([
    lazyType(() => UpdateFirewallConfigRedirectSecurity1$inboundSchema),
    anyType()
  ]);
  UpdateFirewallConfigRequestBodyRedirect$outboundSchema = unionType([
    lazyType(() => UpdateFirewallConfigRedirectSecurity1$outboundSchema),
    anyType()
  ]);
  ((UpdateFirewallConfigRequestBodyRedirect$) => {
    UpdateFirewallConfigRequestBodyRedirect$.inboundSchema = UpdateFirewallConfigRequestBodyRedirect$inboundSchema;
    UpdateFirewallConfigRequestBodyRedirect$.outboundSchema = UpdateFirewallConfigRequestBodyRedirect$outboundSchema;
  })(UpdateFirewallConfigRequestBodyRedirect$ ||= {});
  UpdateFirewallConfigRequestBodyMitigate$inboundSchema = objectType({
    action: UpdateFirewallConfigRequestBodySecurityRequest3ValueAction$inboundSchema,
    rateLimit: nullableType(unionType([
      lazyType(() => UpdateFirewallConfigRateLimitSecurity1$inboundSchema),
      anyType()
    ])).optional(),
    redirect: nullableType(unionType([
      lazyType(() => UpdateFirewallConfigRedirectSecurity1$inboundSchema),
      anyType()
    ])).optional(),
    actionDuration: nullableType(stringType()).optional(),
    bypassSystem: nullableType(booleanType()).optional()
  });
  UpdateFirewallConfigRequestBodyMitigate$outboundSchema = objectType({
    action: UpdateFirewallConfigRequestBodySecurityRequest3ValueAction$outboundSchema,
    rateLimit: nullableType(unionType([
      lazyType(() => UpdateFirewallConfigRateLimitSecurity1$outboundSchema),
      anyType()
    ])).optional(),
    redirect: nullableType(unionType([
      lazyType(() => UpdateFirewallConfigRedirectSecurity1$outboundSchema),
      anyType()
    ])).optional(),
    actionDuration: nullableType(stringType()).optional(),
    bypassSystem: nullableType(booleanType()).optional()
  });
  ((UpdateFirewallConfigRequestBodyMitigate$) => {
    UpdateFirewallConfigRequestBodyMitigate$.inboundSchema = UpdateFirewallConfigRequestBodyMitigate$inboundSchema;
    UpdateFirewallConfigRequestBodyMitigate$.outboundSchema = UpdateFirewallConfigRequestBodyMitigate$outboundSchema;
  })(UpdateFirewallConfigRequestBodyMitigate$ ||= {});
  UpdateFirewallConfigRequestBodySecurityRequest3Action$inboundSchema = objectType({
    mitigate: lazyType(() => UpdateFirewallConfigRequestBodyMitigate$inboundSchema).optional()
  });
  UpdateFirewallConfigRequestBodySecurityRequest3Action$outboundSchema = objectType({
    mitigate: lazyType(() => UpdateFirewallConfigRequestBodyMitigate$outboundSchema).optional()
  });
  ((UpdateFirewallConfigRequestBodySecurityRequest3Action$) => {
    UpdateFirewallConfigRequestBodySecurityRequest3Action$.inboundSchema = UpdateFirewallConfigRequestBodySecurityRequest3Action$inboundSchema;
    UpdateFirewallConfigRequestBodySecurityRequest3Action$.outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest3Action$outboundSchema;
  })(UpdateFirewallConfigRequestBodySecurityRequest3Action$ ||= {});
  UpdateFirewallConfigRequestBodyValue$inboundSchema = objectType({
    name: stringType(),
    description: stringType().optional(),
    active: booleanType(),
    conditionGroup: arrayType(lazyType(() => UpdateFirewallConfigRequestBodyConditionGroup$inboundSchema)),
    action: lazyType(() => UpdateFirewallConfigRequestBodySecurityRequest3Action$inboundSchema)
  });
  UpdateFirewallConfigRequestBodyValue$outboundSchema = objectType({
    name: stringType(),
    description: stringType().optional(),
    active: booleanType(),
    conditionGroup: arrayType(lazyType(() => UpdateFirewallConfigRequestBodyConditionGroup$outboundSchema)),
    action: lazyType(() => UpdateFirewallConfigRequestBodySecurityRequest3Action$outboundSchema)
  });
  ((UpdateFirewallConfigRequestBodyValue$) => {
    UpdateFirewallConfigRequestBodyValue$.inboundSchema = UpdateFirewallConfigRequestBodyValue$inboundSchema;
    UpdateFirewallConfigRequestBodyValue$.outboundSchema = UpdateFirewallConfigRequestBodyValue$outboundSchema;
  })(UpdateFirewallConfigRequestBodyValue$ ||= {});
  UpdateFirewallConfigRequestBody3$inboundSchema = objectType({
    action: UpdateFirewallConfigRequestBodySecurityAction$inboundSchema,
    id: stringType(),
    value: lazyType(() => UpdateFirewallConfigRequestBodyValue$inboundSchema)
  });
  UpdateFirewallConfigRequestBody3$outboundSchema = objectType({
    action: UpdateFirewallConfigRequestBodySecurityAction$outboundSchema,
    id: stringType(),
    value: lazyType(() => UpdateFirewallConfigRequestBodyValue$outboundSchema)
  });
  ((UpdateFirewallConfigRequestBody3$) => {
    UpdateFirewallConfigRequestBody3$.inboundSchema = UpdateFirewallConfigRequestBody3$inboundSchema;
    UpdateFirewallConfigRequestBody3$.outboundSchema = UpdateFirewallConfigRequestBody3$outboundSchema;
  })(UpdateFirewallConfigRequestBody3$ ||= {});
  UpdateFirewallConfigRequestBodyAction$inboundSchema = nativeEnumType(UpdateFirewallConfigRequestBodyAction);
  UpdateFirewallConfigRequestBodyAction$outboundSchema = UpdateFirewallConfigRequestBodyAction$inboundSchema;
  ((UpdateFirewallConfigRequestBodyAction$) => {
    UpdateFirewallConfigRequestBodyAction$.inboundSchema = UpdateFirewallConfigRequestBodyAction$inboundSchema;
    UpdateFirewallConfigRequestBodyAction$.outboundSchema = UpdateFirewallConfigRequestBodyAction$outboundSchema;
  })(UpdateFirewallConfigRequestBodyAction$ ||= {});
  UpdateFirewallConfigRequestBodyType$inboundSchema = nativeEnumType(UpdateFirewallConfigRequestBodyType);
  UpdateFirewallConfigRequestBodyType$outboundSchema = UpdateFirewallConfigRequestBodyType$inboundSchema;
  ((UpdateFirewallConfigRequestBodyType$) => {
    UpdateFirewallConfigRequestBodyType$.inboundSchema = UpdateFirewallConfigRequestBodyType$inboundSchema;
    UpdateFirewallConfigRequestBodyType$.outboundSchema = UpdateFirewallConfigRequestBodyType$outboundSchema;
  })(UpdateFirewallConfigRequestBodyType$ ||= {});
  RequestBodyOp$inboundSchema = nativeEnumType(RequestBodyOp);
  RequestBodyOp$outboundSchema = RequestBodyOp$inboundSchema;
  ((RequestBodyOp$) => {
    RequestBodyOp$.inboundSchema = RequestBodyOp$inboundSchema;
    RequestBodyOp$.outboundSchema = RequestBodyOp$outboundSchema;
  })(RequestBodyOp$ ||= {});
  UpdateFirewallConfigRequestBodySecurityRequest2Value$inboundSchema = unionType([stringType(), arrayType(stringType()), numberType()]);
  UpdateFirewallConfigRequestBodySecurityRequest2Value$outboundSchema = unionType([stringType(), arrayType(stringType()), numberType()]);
  ((UpdateFirewallConfigRequestBodySecurityRequest2Value$) => {
    UpdateFirewallConfigRequestBodySecurityRequest2Value$.inboundSchema = UpdateFirewallConfigRequestBodySecurityRequest2Value$inboundSchema;
    UpdateFirewallConfigRequestBodySecurityRequest2Value$.outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest2Value$outboundSchema;
  })(UpdateFirewallConfigRequestBodySecurityRequest2Value$ ||= {});
  RequestBodyConditions$inboundSchema = objectType({
    type: UpdateFirewallConfigRequestBodyType$inboundSchema,
    op: RequestBodyOp$inboundSchema,
    neg: booleanType().optional(),
    key: stringType().optional(),
    value: unionType([stringType(), arrayType(stringType()), numberType()]).optional()
  });
  RequestBodyConditions$outboundSchema = objectType({
    type: UpdateFirewallConfigRequestBodyType$outboundSchema,
    op: RequestBodyOp$outboundSchema,
    neg: booleanType().optional(),
    key: stringType().optional(),
    value: unionType([stringType(), arrayType(stringType()), numberType()]).optional()
  });
  ((RequestBodyConditions$) => {
    RequestBodyConditions$.inboundSchema = RequestBodyConditions$inboundSchema;
    RequestBodyConditions$.outboundSchema = RequestBodyConditions$outboundSchema;
  })(RequestBodyConditions$ ||= {});
  RequestBodyConditionGroup$inboundSchema = objectType({
    conditions: arrayType(lazyType(() => RequestBodyConditions$inboundSchema))
  });
  RequestBodyConditionGroup$outboundSchema = objectType({
    conditions: arrayType(lazyType(() => RequestBodyConditions$outboundSchema))
  });
  ((RequestBodyConditionGroup$) => {
    RequestBodyConditionGroup$.inboundSchema = RequestBodyConditionGroup$inboundSchema;
    RequestBodyConditionGroup$.outboundSchema = RequestBodyConditionGroup$outboundSchema;
  })(RequestBodyConditionGroup$ ||= {});
  UpdateFirewallConfigRequestBodySecurityRequest2ValueAction$inboundSchema = nativeEnumType(UpdateFirewallConfigRequestBodySecurityRequest2ValueAction);
  UpdateFirewallConfigRequestBodySecurityRequest2ValueAction$outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest2ValueAction$inboundSchema;
  ((UpdateFirewallConfigRequestBodySecurityRequest2ValueAction$) => {
    UpdateFirewallConfigRequestBodySecurityRequest2ValueAction$.inboundSchema = UpdateFirewallConfigRequestBodySecurityRequest2ValueAction$inboundSchema;
    UpdateFirewallConfigRequestBodySecurityRequest2ValueAction$.outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest2ValueAction$outboundSchema;
  })(UpdateFirewallConfigRequestBodySecurityRequest2ValueAction$ ||= {});
  RateLimitAlgo$inboundSchema = nativeEnumType(RateLimitAlgo);
  RateLimitAlgo$outboundSchema = RateLimitAlgo$inboundSchema;
  ((RateLimitAlgo$) => {
    RateLimitAlgo$.inboundSchema = RateLimitAlgo$inboundSchema;
    RateLimitAlgo$.outboundSchema = RateLimitAlgo$outboundSchema;
  })(RateLimitAlgo$ ||= {});
  UpdateFirewallConfigAction1$inboundSchema = nativeEnumType(UpdateFirewallConfigAction1);
  UpdateFirewallConfigAction1$outboundSchema = UpdateFirewallConfigAction1$inboundSchema;
  ((UpdateFirewallConfigAction1$) => {
    UpdateFirewallConfigAction1$.inboundSchema = UpdateFirewallConfigAction1$inboundSchema;
    UpdateFirewallConfigAction1$.outboundSchema = UpdateFirewallConfigAction1$outboundSchema;
  })(UpdateFirewallConfigAction1$ ||= {});
  UpdateFirewallConfigRateLimitAction$inboundSchema = unionType([UpdateFirewallConfigAction1$inboundSchema, anyType()]);
  UpdateFirewallConfigRateLimitAction$outboundSchema = unionType([UpdateFirewallConfigAction1$outboundSchema, anyType()]);
  ((UpdateFirewallConfigRateLimitAction$) => {
    UpdateFirewallConfigRateLimitAction$.inboundSchema = UpdateFirewallConfigRateLimitAction$inboundSchema;
    UpdateFirewallConfigRateLimitAction$.outboundSchema = UpdateFirewallConfigRateLimitAction$outboundSchema;
  })(UpdateFirewallConfigRateLimitAction$ ||= {});
  UpdateFirewallConfigRateLimit1$inboundSchema = objectType({
    algo: RateLimitAlgo$inboundSchema,
    window: numberType(),
    limit: numberType(),
    keys: arrayType(stringType()),
    action: nullableType(unionType([UpdateFirewallConfigAction1$inboundSchema, anyType()])).optional()
  });
  UpdateFirewallConfigRateLimit1$outboundSchema = objectType({
    algo: RateLimitAlgo$outboundSchema,
    window: numberType(),
    limit: numberType(),
    keys: arrayType(stringType()),
    action: nullableType(unionType([UpdateFirewallConfigAction1$outboundSchema, anyType()])).optional()
  });
  ((UpdateFirewallConfigRateLimit1$) => {
    UpdateFirewallConfigRateLimit1$.inboundSchema = UpdateFirewallConfigRateLimit1$inboundSchema;
    UpdateFirewallConfigRateLimit1$.outboundSchema = UpdateFirewallConfigRateLimit1$outboundSchema;
  })(UpdateFirewallConfigRateLimit1$ ||= {});
  RequestBodyRateLimit$inboundSchema = unionType([
    lazyType(() => UpdateFirewallConfigRateLimit1$inboundSchema),
    anyType()
  ]);
  RequestBodyRateLimit$outboundSchema = unionType([
    lazyType(() => UpdateFirewallConfigRateLimit1$outboundSchema),
    anyType()
  ]);
  ((RequestBodyRateLimit$) => {
    RequestBodyRateLimit$.inboundSchema = RequestBodyRateLimit$inboundSchema;
    RequestBodyRateLimit$.outboundSchema = RequestBodyRateLimit$outboundSchema;
  })(RequestBodyRateLimit$ ||= {});
  UpdateFirewallConfigRedirect1$inboundSchema = objectType({
    location: stringType(),
    permanent: booleanType()
  });
  UpdateFirewallConfigRedirect1$outboundSchema = objectType({
    location: stringType(),
    permanent: booleanType()
  });
  ((UpdateFirewallConfigRedirect1$) => {
    UpdateFirewallConfigRedirect1$.inboundSchema = UpdateFirewallConfigRedirect1$inboundSchema;
    UpdateFirewallConfigRedirect1$.outboundSchema = UpdateFirewallConfigRedirect1$outboundSchema;
  })(UpdateFirewallConfigRedirect1$ ||= {});
  RequestBodyRedirect$inboundSchema = unionType([
    lazyType(() => UpdateFirewallConfigRedirect1$inboundSchema),
    anyType()
  ]);
  RequestBodyRedirect$outboundSchema = unionType([
    lazyType(() => UpdateFirewallConfigRedirect1$outboundSchema),
    anyType()
  ]);
  ((RequestBodyRedirect$) => {
    RequestBodyRedirect$.inboundSchema = RequestBodyRedirect$inboundSchema;
    RequestBodyRedirect$.outboundSchema = RequestBodyRedirect$outboundSchema;
  })(RequestBodyRedirect$ ||= {});
  RequestBodyMitigate$inboundSchema = objectType({
    action: UpdateFirewallConfigRequestBodySecurityRequest2ValueAction$inboundSchema,
    rateLimit: nullableType(unionType([
      lazyType(() => UpdateFirewallConfigRateLimit1$inboundSchema),
      anyType()
    ])).optional(),
    redirect: nullableType(unionType([
      lazyType(() => UpdateFirewallConfigRedirect1$inboundSchema),
      anyType()
    ])).optional(),
    actionDuration: nullableType(stringType()).optional(),
    bypassSystem: nullableType(booleanType()).optional()
  });
  RequestBodyMitigate$outboundSchema = objectType({
    action: UpdateFirewallConfigRequestBodySecurityRequest2ValueAction$outboundSchema,
    rateLimit: nullableType(unionType([
      lazyType(() => UpdateFirewallConfigRateLimit1$outboundSchema),
      anyType()
    ])).optional(),
    redirect: nullableType(unionType([
      lazyType(() => UpdateFirewallConfigRedirect1$outboundSchema),
      anyType()
    ])).optional(),
    actionDuration: nullableType(stringType()).optional(),
    bypassSystem: nullableType(booleanType()).optional()
  });
  ((RequestBodyMitigate$) => {
    RequestBodyMitigate$.inboundSchema = RequestBodyMitigate$inboundSchema;
    RequestBodyMitigate$.outboundSchema = RequestBodyMitigate$outboundSchema;
  })(RequestBodyMitigate$ ||= {});
  UpdateFirewallConfigRequestBodySecurityRequest2Action$inboundSchema = objectType({
    mitigate: lazyType(() => RequestBodyMitigate$inboundSchema).optional()
  });
  UpdateFirewallConfigRequestBodySecurityRequest2Action$outboundSchema = objectType({
    mitigate: lazyType(() => RequestBodyMitigate$outboundSchema).optional()
  });
  ((UpdateFirewallConfigRequestBodySecurityRequest2Action$) => {
    UpdateFirewallConfigRequestBodySecurityRequest2Action$.inboundSchema = UpdateFirewallConfigRequestBodySecurityRequest2Action$inboundSchema;
    UpdateFirewallConfigRequestBodySecurityRequest2Action$.outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest2Action$outboundSchema;
  })(UpdateFirewallConfigRequestBodySecurityRequest2Action$ ||= {});
  RequestBodyValue$inboundSchema = objectType({
    name: stringType(),
    description: stringType().optional(),
    active: booleanType(),
    conditionGroup: arrayType(lazyType(() => RequestBodyConditionGroup$inboundSchema)),
    action: lazyType(() => UpdateFirewallConfigRequestBodySecurityRequest2Action$inboundSchema)
  });
  RequestBodyValue$outboundSchema = objectType({
    name: stringType(),
    description: stringType().optional(),
    active: booleanType(),
    conditionGroup: arrayType(lazyType(() => RequestBodyConditionGroup$outboundSchema)),
    action: lazyType(() => UpdateFirewallConfigRequestBodySecurityRequest2Action$outboundSchema)
  });
  ((RequestBodyValue$) => {
    RequestBodyValue$.inboundSchema = RequestBodyValue$inboundSchema;
    RequestBodyValue$.outboundSchema = RequestBodyValue$outboundSchema;
  })(RequestBodyValue$ ||= {});
  UpdateFirewallConfigRequestBody2$inboundSchema = objectType({
    action: UpdateFirewallConfigRequestBodyAction$inboundSchema,
    id: nullableType(anyType()).optional(),
    value: lazyType(() => RequestBodyValue$inboundSchema)
  });
  UpdateFirewallConfigRequestBody2$outboundSchema = objectType({
    action: UpdateFirewallConfigRequestBodyAction$outboundSchema,
    id: nullableType(anyType()).optional(),
    value: lazyType(() => RequestBodyValue$outboundSchema)
  });
  ((UpdateFirewallConfigRequestBody2$) => {
    UpdateFirewallConfigRequestBody2$.inboundSchema = UpdateFirewallConfigRequestBody2$inboundSchema;
    UpdateFirewallConfigRequestBody2$.outboundSchema = UpdateFirewallConfigRequestBody2$outboundSchema;
  })(UpdateFirewallConfigRequestBody2$ ||= {});
  RequestBodyAction$inboundSchema = nativeEnumType(RequestBodyAction);
  RequestBodyAction$outboundSchema = RequestBodyAction$inboundSchema;
  ((RequestBodyAction$) => {
    RequestBodyAction$.inboundSchema = RequestBodyAction$inboundSchema;
    RequestBodyAction$.outboundSchema = RequestBodyAction$outboundSchema;
  })(RequestBodyAction$ ||= {});
  UpdateFirewallConfigRequestBody1$inboundSchema = objectType({
    action: RequestBodyAction$inboundSchema,
    id: nullableType(anyType()).optional(),
    value: booleanType()
  });
  UpdateFirewallConfigRequestBody1$outboundSchema = objectType({
    action: RequestBodyAction$outboundSchema,
    id: nullableType(anyType()).optional(),
    value: booleanType()
  });
  ((UpdateFirewallConfigRequestBody1$) => {
    UpdateFirewallConfigRequestBody1$.inboundSchema = UpdateFirewallConfigRequestBody1$inboundSchema;
    UpdateFirewallConfigRequestBody1$.outboundSchema = UpdateFirewallConfigRequestBody1$outboundSchema;
  })(UpdateFirewallConfigRequestBody1$ ||= {});
  UpdateFirewallConfigRequestBody$inboundSchema = unionType([
    lazyType(() => UpdateFirewallConfigRequestBody1$inboundSchema),
    lazyType(() => UpdateFirewallConfigRequestBody2$inboundSchema),
    lazyType(() => UpdateFirewallConfigRequestBody3$inboundSchema),
    lazyType(() => UpdateFirewallConfigRequestBody4$inboundSchema),
    lazyType(() => UpdateFirewallConfigRequestBody5$inboundSchema),
    lazyType(() => UpdateFirewallConfigRequestBody6$inboundSchema),
    lazyType(() => UpdateFirewallConfigRequestBody7$inboundSchema),
    lazyType(() => UpdateFirewallConfigRequestBody8$inboundSchema),
    lazyType(() => UpdateFirewallConfigRequestBody9$inboundSchema),
    lazyType(() => UpdateFirewallConfigRequestBody10$inboundSchema),
    lazyType(() => RequestBody11$inboundSchema),
    lazyType(() => RequestBody12$inboundSchema)
  ]);
  UpdateFirewallConfigRequestBody$outboundSchema = unionType([
    lazyType(() => UpdateFirewallConfigRequestBody1$outboundSchema),
    lazyType(() => UpdateFirewallConfigRequestBody2$outboundSchema),
    lazyType(() => UpdateFirewallConfigRequestBody3$outboundSchema),
    lazyType(() => UpdateFirewallConfigRequestBody4$outboundSchema),
    lazyType(() => UpdateFirewallConfigRequestBody5$outboundSchema),
    lazyType(() => UpdateFirewallConfigRequestBody6$outboundSchema),
    lazyType(() => UpdateFirewallConfigRequestBody7$outboundSchema),
    lazyType(() => UpdateFirewallConfigRequestBody8$outboundSchema),
    lazyType(() => UpdateFirewallConfigRequestBody9$outboundSchema),
    lazyType(() => UpdateFirewallConfigRequestBody10$outboundSchema),
    lazyType(() => RequestBody11$outboundSchema),
    lazyType(() => RequestBody12$outboundSchema)
  ]);
  ((UpdateFirewallConfigRequestBody$) => {
    UpdateFirewallConfigRequestBody$.inboundSchema = UpdateFirewallConfigRequestBody$inboundSchema;
    UpdateFirewallConfigRequestBody$.outboundSchema = UpdateFirewallConfigRequestBody$outboundSchema;
  })(UpdateFirewallConfigRequestBody$ ||= {});
  UpdateFirewallConfigRequest$inboundSchema = objectType({
    projectId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    RequestBody: unionType([
      lazyType(() => UpdateFirewallConfigRequestBody1$inboundSchema),
      lazyType(() => UpdateFirewallConfigRequestBody2$inboundSchema),
      lazyType(() => UpdateFirewallConfigRequestBody3$inboundSchema),
      lazyType(() => UpdateFirewallConfigRequestBody4$inboundSchema),
      lazyType(() => UpdateFirewallConfigRequestBody5$inboundSchema),
      lazyType(() => UpdateFirewallConfigRequestBody6$inboundSchema),
      lazyType(() => UpdateFirewallConfigRequestBody7$inboundSchema),
      lazyType(() => UpdateFirewallConfigRequestBody8$inboundSchema),
      lazyType(() => UpdateFirewallConfigRequestBody9$inboundSchema),
      lazyType(() => UpdateFirewallConfigRequestBody10$inboundSchema),
      lazyType(() => RequestBody11$inboundSchema),
      lazyType(() => RequestBody12$inboundSchema)
    ])
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  UpdateFirewallConfigRequest$outboundSchema = objectType({
    projectId: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional(),
    requestBody: unionType([
      lazyType(() => UpdateFirewallConfigRequestBody1$outboundSchema),
      lazyType(() => UpdateFirewallConfigRequestBody2$outboundSchema),
      lazyType(() => UpdateFirewallConfigRequestBody3$outboundSchema),
      lazyType(() => UpdateFirewallConfigRequestBody4$outboundSchema),
      lazyType(() => UpdateFirewallConfigRequestBody5$outboundSchema),
      lazyType(() => UpdateFirewallConfigRequestBody6$outboundSchema),
      lazyType(() => UpdateFirewallConfigRequestBody7$outboundSchema),
      lazyType(() => UpdateFirewallConfigRequestBody8$outboundSchema),
      lazyType(() => UpdateFirewallConfigRequestBody9$outboundSchema),
      lazyType(() => UpdateFirewallConfigRequestBody10$outboundSchema),
      lazyType(() => RequestBody11$outboundSchema),
      lazyType(() => RequestBody12$outboundSchema)
    ])
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((UpdateFirewallConfigRequest$) => {
    UpdateFirewallConfigRequest$.inboundSchema = UpdateFirewallConfigRequest$inboundSchema;
    UpdateFirewallConfigRequest$.outboundSchema = UpdateFirewallConfigRequest$outboundSchema;
  })(UpdateFirewallConfigRequest$ ||= {});
  UpdateFirewallConfigResponseBody$inboundSchema = objectType({});
  UpdateFirewallConfigResponseBody$outboundSchema = objectType({});
  ((UpdateFirewallConfigResponseBody$) => {
    UpdateFirewallConfigResponseBody$.inboundSchema = UpdateFirewallConfigResponseBody$inboundSchema;
    UpdateFirewallConfigResponseBody$.outboundSchema = UpdateFirewallConfigResponseBody$outboundSchema;
  })(UpdateFirewallConfigResponseBody$ ||= {});
});

// src/funcs/securityUpdateFirewallConfig.ts
function securityUpdateFirewallConfig(client, request, options) {
  return new APIPromise($do147(client, request, options));
}
async function $do147(client, request, options) {
  const parsed = safeParse(request, (value) => UpdateFirewallConfigRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const path = pathToFunc("/v1/security/firewall/config")();
  const query = encodeFormQuery({
    projectId: payload.projectId,
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "updateFirewallConfig",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "PATCH",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "404", "4XX", "500", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, UpdateFirewallConfigResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([402, 403, "4XX"]), fail([500, "5XX"]))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_securityUpdateFirewallConfig = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_updatefirewallconfigop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/securityUpdateFirewallConfig.ts
var args146, tool$securityUpdateFirewallConfig;
var init_securityUpdateFirewallConfig2 = __esm(() => {
  init_securityUpdateFirewallConfig();
  init_updatefirewallconfigop();
  init_tools();
  args146 = {
    request: UpdateFirewallConfigRequest$inboundSchema
  };
  tool$securityUpdateFirewallConfig = {
    name: "security-update-firewall-config",
    description: `Update Firewall Configuration

Process updates to modify the existing firewall config for a project`,
    args: args146,
    tool: async (client, args147, ctx) => {
      const [result, apiCall] = await securityUpdateFirewallConfig(client, args147.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/createteamop.ts
var Utm$inboundSchema, Utm$outboundSchema, Utm$, Attribution$inboundSchema, Attribution$outboundSchema, Attribution$, CreateTeamRequestBody$inboundSchema, CreateTeamRequestBody$outboundSchema, CreateTeamRequestBody$, CreateTeamBilling$inboundSchema, CreateTeamBilling$outboundSchema, CreateTeamBilling$, CreateTeamResponseBody$inboundSchema, CreateTeamResponseBody$outboundSchema, CreateTeamResponseBody$;
var init_createteamop = __esm(() => {
  init_esm();
  Utm$inboundSchema = objectType({
    utmSource: stringType().optional(),
    utmMedium: stringType().optional(),
    utmCampaign: stringType().optional(),
    utmTerm: stringType().optional()
  });
  Utm$outboundSchema = objectType({
    utmSource: stringType().optional(),
    utmMedium: stringType().optional(),
    utmCampaign: stringType().optional(),
    utmTerm: stringType().optional()
  });
  ((Utm$) => {
    Utm$.inboundSchema = Utm$inboundSchema;
    Utm$.outboundSchema = Utm$outboundSchema;
  })(Utm$ ||= {});
  Attribution$inboundSchema = objectType({
    sessionReferrer: stringType().optional(),
    landingPage: stringType().optional(),
    pageBeforeConversionPage: stringType().optional(),
    utm: lazyType(() => Utm$inboundSchema).optional()
  });
  Attribution$outboundSchema = objectType({
    sessionReferrer: stringType().optional(),
    landingPage: stringType().optional(),
    pageBeforeConversionPage: stringType().optional(),
    utm: lazyType(() => Utm$outboundSchema).optional()
  });
  ((Attribution$) => {
    Attribution$.inboundSchema = Attribution$inboundSchema;
    Attribution$.outboundSchema = Attribution$outboundSchema;
  })(Attribution$ ||= {});
  CreateTeamRequestBody$inboundSchema = objectType({
    slug: stringType(),
    name: stringType().optional(),
    attribution: lazyType(() => Attribution$inboundSchema).optional()
  });
  CreateTeamRequestBody$outboundSchema = objectType({
    slug: stringType(),
    name: stringType().optional(),
    attribution: lazyType(() => Attribution$outboundSchema).optional()
  });
  ((CreateTeamRequestBody$) => {
    CreateTeamRequestBody$.inboundSchema = CreateTeamRequestBody$inboundSchema;
    CreateTeamRequestBody$.outboundSchema = CreateTeamRequestBody$outboundSchema;
  })(CreateTeamRequestBody$ ||= {});
  CreateTeamBilling$inboundSchema = objectType({});
  CreateTeamBilling$outboundSchema = objectType({});
  ((CreateTeamBilling$) => {
    CreateTeamBilling$.inboundSchema = CreateTeamBilling$inboundSchema;
    CreateTeamBilling$.outboundSchema = CreateTeamBilling$outboundSchema;
  })(CreateTeamBilling$ ||= {});
  CreateTeamResponseBody$inboundSchema = objectType({
    id: stringType(),
    slug: stringType(),
    billing: lazyType(() => CreateTeamBilling$inboundSchema)
  });
  CreateTeamResponseBody$outboundSchema = objectType({
    id: stringType(),
    slug: stringType(),
    billing: lazyType(() => CreateTeamBilling$outboundSchema)
  });
  ((CreateTeamResponseBody$) => {
    CreateTeamResponseBody$.inboundSchema = CreateTeamResponseBody$inboundSchema;
    CreateTeamResponseBody$.outboundSchema = CreateTeamResponseBody$outboundSchema;
  })(CreateTeamResponseBody$ ||= {});
});

// src/funcs/teamsCreateTeam.ts
function teamsCreateTeam(client, request, options) {
  return new APIPromise($do148(client, request, options));
}
async function $do148(client, request, options) {
  const parsed = safeParse(request, (value) => CreateTeamRequestBody$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload, { explode: true });
  const path = pathToFunc("/v1/teams")();
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "createTeam",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, CreateTeamResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_teamsCreateTeam = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_createteamop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/teamsCreateTeam.ts
var args147, tool$teamsCreateTeam;
var init_teamsCreateTeam2 = __esm(() => {
  init_teamsCreateTeam();
  init_createteamop();
  init_tools();
  args147 = {
    request: CreateTeamRequestBody$inboundSchema
  };
  tool$teamsCreateTeam = {
    name: "teams-create-team",
    description: `Create a Team

Create a new Team under your account. You need to send a POST request with the desired Team slug, and optionally the Team name.`,
    args: args147,
    tool: async (client, args148, ctx) => {
      const [result, apiCall] = await teamsCreateTeam(client, args148.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/deleteteamop.ts
var DeleteTeamReasons$inboundSchema, DeleteTeamReasons$outboundSchema, DeleteTeamReasons$, DeleteTeamRequestBody$inboundSchema, DeleteTeamRequestBody$outboundSchema, DeleteTeamRequestBody$, DeleteTeamRequest$inboundSchema, DeleteTeamRequest$outboundSchema, DeleteTeamRequest$, DeleteTeamResponseBody$inboundSchema, DeleteTeamResponseBody$outboundSchema, DeleteTeamResponseBody$;
var init_deleteteamop = __esm(() => {
  init_esm();
  init_primitives();
  DeleteTeamReasons$inboundSchema = objectType({
    slug: stringType(),
    description: stringType()
  });
  DeleteTeamReasons$outboundSchema = objectType({
    slug: stringType(),
    description: stringType()
  });
  ((DeleteTeamReasons$) => {
    DeleteTeamReasons$.inboundSchema = DeleteTeamReasons$inboundSchema;
    DeleteTeamReasons$.outboundSchema = DeleteTeamReasons$outboundSchema;
  })(DeleteTeamReasons$ ||= {});
  DeleteTeamRequestBody$inboundSchema = objectType({
    reasons: arrayType(lazyType(() => DeleteTeamReasons$inboundSchema)).optional()
  });
  DeleteTeamRequestBody$outboundSchema = objectType({
    reasons: arrayType(lazyType(() => DeleteTeamReasons$outboundSchema)).optional()
  });
  ((DeleteTeamRequestBody$) => {
    DeleteTeamRequestBody$.inboundSchema = DeleteTeamRequestBody$inboundSchema;
    DeleteTeamRequestBody$.outboundSchema = DeleteTeamRequestBody$outboundSchema;
  })(DeleteTeamRequestBody$ ||= {});
  DeleteTeamRequest$inboundSchema = objectType({
    newDefaultTeamId: stringType().optional(),
    teamId: stringType(),
    slug: stringType().optional(),
    RequestBody: lazyType(() => DeleteTeamRequestBody$inboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  DeleteTeamRequest$outboundSchema = objectType({
    newDefaultTeamId: stringType().optional(),
    teamId: stringType(),
    slug: stringType().optional(),
    requestBody: lazyType(() => DeleteTeamRequestBody$outboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((DeleteTeamRequest$) => {
    DeleteTeamRequest$.inboundSchema = DeleteTeamRequest$inboundSchema;
    DeleteTeamRequest$.outboundSchema = DeleteTeamRequest$outboundSchema;
  })(DeleteTeamRequest$ ||= {});
  DeleteTeamResponseBody$inboundSchema = objectType({
    id: stringType(),
    newDefaultTeamIdError: booleanType().optional()
  });
  DeleteTeamResponseBody$outboundSchema = objectType({
    id: stringType(),
    newDefaultTeamIdError: booleanType().optional()
  });
  ((DeleteTeamResponseBody$) => {
    DeleteTeamResponseBody$.inboundSchema = DeleteTeamResponseBody$inboundSchema;
    DeleteTeamResponseBody$.outboundSchema = DeleteTeamResponseBody$outboundSchema;
  })(DeleteTeamResponseBody$ ||= {});
});

// src/funcs/teamsDeleteTeam.ts
function teamsDeleteTeam(client, request, options) {
  return new APIPromise($do149(client, request, options));
}
async function $do149(client, request, options) {
  const parsed = safeParse(request, (value) => DeleteTeamRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    teamId: encodeSimple("teamId", payload.teamId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/teams/{teamId}")(pathParams);
  const query = encodeFormQuery({
    newDefaultTeamId: payload.newDefaultTeamId,
    slug: payload.slug
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "deleteTeam",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "DELETE",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "404", "409", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, DeleteTeamResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([402, 403, 409, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_teamsDeleteTeam = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_deleteteamop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/teamsDeleteTeam.ts
var args148, tool$teamsDeleteTeam;
var init_teamsDeleteTeam2 = __esm(() => {
  init_teamsDeleteTeam();
  init_deleteteamop();
  init_tools();
  args148 = {
    request: DeleteTeamRequest$inboundSchema
  };
  tool$teamsDeleteTeam = {
    name: "teams-delete-team",
    description: `Delete a Team

Delete a team under your account. You need to send a \`DELETE\` request with the desired team \`id\`. An optional array of reasons for deletion may also be sent.`,
    args: args148,
    tool: async (client, args149, ctx) => {
      const [result, apiCall] = await teamsDeleteTeam(client, args149.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/deleteteaminvitecodeop.ts
var DeleteTeamInviteCodeRequest$inboundSchema, DeleteTeamInviteCodeRequest$outboundSchema, DeleteTeamInviteCodeRequest$, DeleteTeamInviteCodeResponseBody$inboundSchema, DeleteTeamInviteCodeResponseBody$outboundSchema, DeleteTeamInviteCodeResponseBody$;
var init_deleteteaminvitecodeop = __esm(() => {
  init_esm();
  DeleteTeamInviteCodeRequest$inboundSchema = objectType({
    inviteId: stringType(),
    teamId: stringType()
  });
  DeleteTeamInviteCodeRequest$outboundSchema = objectType({
    inviteId: stringType(),
    teamId: stringType()
  });
  ((DeleteTeamInviteCodeRequest$) => {
    DeleteTeamInviteCodeRequest$.inboundSchema = DeleteTeamInviteCodeRequest$inboundSchema;
    DeleteTeamInviteCodeRequest$.outboundSchema = DeleteTeamInviteCodeRequest$outboundSchema;
  })(DeleteTeamInviteCodeRequest$ ||= {});
  DeleteTeamInviteCodeResponseBody$inboundSchema = objectType({
    id: stringType()
  });
  DeleteTeamInviteCodeResponseBody$outboundSchema = objectType({
    id: stringType()
  });
  ((DeleteTeamInviteCodeResponseBody$) => {
    DeleteTeamInviteCodeResponseBody$.inboundSchema = DeleteTeamInviteCodeResponseBody$inboundSchema;
    DeleteTeamInviteCodeResponseBody$.outboundSchema = DeleteTeamInviteCodeResponseBody$outboundSchema;
  })(DeleteTeamInviteCodeResponseBody$ ||= {});
});

// src/funcs/teamsDeleteTeamInviteCode.ts
function teamsDeleteTeamInviteCode(client, request, options) {
  return new APIPromise($do150(client, request, options));
}
async function $do150(client, request, options) {
  const parsed = safeParse(request, (value) => DeleteTeamInviteCodeRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    inviteId: encodeSimple("inviteId", payload.inviteId, {
      explode: false,
      charEncoding: "percent"
    }),
    teamId: encodeSimple("teamId", payload.teamId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/teams/{teamId}/invites/{inviteId}")(pathParams);
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "deleteTeamInviteCode",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "DELETE",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, DeleteTeamInviteCodeResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_teamsDeleteTeamInviteCode = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_deleteteaminvitecodeop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/teamsDeleteTeamInviteCode.ts
var args149, tool$teamsDeleteTeamInviteCode;
var init_teamsDeleteTeamInviteCode2 = __esm(() => {
  init_teamsDeleteTeamInviteCode();
  init_deleteteaminvitecodeop();
  init_tools();
  args149 = {
    request: DeleteTeamInviteCodeRequest$inboundSchema
  };
  tool$teamsDeleteTeamInviteCode = {
    name: "teams-delete-team-invite-code",
    description: `Delete a Team invite code

Delete an active Team invite code.`,
    args: args149,
    tool: async (client, args150, ctx) => {
      const [result, apiCall] = await teamsDeleteTeamInviteCode(client, args150.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/getteamop.ts
var GetTeamRequest$inboundSchema, GetTeamRequest$outboundSchema, GetTeamRequest$;
var init_getteamop = __esm(() => {
  init_esm();
  GetTeamRequest$inboundSchema = objectType({
    slug: stringType().optional(),
    teamId: stringType()
  });
  GetTeamRequest$outboundSchema = objectType({
    slug: stringType().optional(),
    teamId: stringType()
  });
  ((GetTeamRequest$) => {
    GetTeamRequest$.inboundSchema = GetTeamRequest$inboundSchema;
    GetTeamRequest$.outboundSchema = GetTeamRequest$outboundSchema;
  })(GetTeamRequest$ ||= {});
});

// src/models/teamlimited.ts
var LimitedBy, Role, TeamRoles, TeamPermissions, Origin, LimitedBy$inboundSchema, LimitedBy$outboundSchema, LimitedBy$, Connection$inboundSchema, Connection$outboundSchema, Connection$, Directory$inboundSchema, Directory$outboundSchema, Directory$, Saml$inboundSchema, Saml$outboundSchema, Saml$, Mfa$inboundSchema, Mfa$outboundSchema, Mfa$, Entitlements$inboundSchema, Entitlements$outboundSchema, Entitlements$, Role$inboundSchema, Role$outboundSchema, Role$, TeamRoles$inboundSchema, TeamRoles$outboundSchema, TeamRoles$, TeamPermissions$inboundSchema, TeamPermissions$outboundSchema, TeamPermissions$, Origin$inboundSchema, Origin$outboundSchema, Origin$, GitUserId$inboundSchema, GitUserId$outboundSchema, GitUserId$, JoinedFrom$inboundSchema, JoinedFrom$outboundSchema, JoinedFrom$, Membership$inboundSchema, Membership$outboundSchema, Membership$, TeamLimited$inboundSchema, TeamLimited$outboundSchema, TeamLimited$;
var init_teamlimited = __esm(() => {
  init_esm();
  LimitedBy = {
    Scope: "scope",
    Mfa: "mfa"
  };
  Role = {
    Owner: "OWNER",
    Member: "MEMBER",
    Developer: "DEVELOPER",
    Security: "SECURITY",
    Billing: "BILLING",
    Viewer: "VIEWER",
    Contributor: "CONTRIBUTOR"
  };
  TeamRoles = {
    Owner: "OWNER",
    Member: "MEMBER",
    Developer: "DEVELOPER",
    Security: "SECURITY",
    Billing: "BILLING",
    Viewer: "VIEWER",
    Contributor: "CONTRIBUTOR"
  };
  TeamPermissions = {
    CreateProject: "CreateProject",
    FullProductionDeployment: "FullProductionDeployment",
    UsageViewer: "UsageViewer",
    EnvVariableManager: "EnvVariableManager",
    EnvironmentManager: "EnvironmentManager"
  };
  Origin = {
    Mail: "mail",
    Link: "link",
    Import: "import",
    Teams: "teams",
    Github: "github",
    Gitlab: "gitlab",
    Bitbucket: "bitbucket",
    Saml: "saml",
    Dsync: "dsync",
    Feedback: "feedback",
    OrganizationTeams: "organization-teams"
  };
  LimitedBy$inboundSchema = nativeEnumType(LimitedBy);
  LimitedBy$outboundSchema = LimitedBy$inboundSchema;
  ((LimitedBy$) => {
    LimitedBy$.inboundSchema = LimitedBy$inboundSchema;
    LimitedBy$.outboundSchema = LimitedBy$outboundSchema;
  })(LimitedBy$ ||= {});
  Connection$inboundSchema = objectType({
    type: stringType(),
    status: stringType(),
    state: stringType(),
    connectedAt: numberType(),
    lastReceivedWebhookEvent: numberType().optional()
  });
  Connection$outboundSchema = objectType({
    type: stringType(),
    status: stringType(),
    state: stringType(),
    connectedAt: numberType(),
    lastReceivedWebhookEvent: numberType().optional()
  });
  ((Connection$) => {
    Connection$.inboundSchema = Connection$inboundSchema;
    Connection$.outboundSchema = Connection$outboundSchema;
  })(Connection$ ||= {});
  Directory$inboundSchema = objectType({
    type: stringType(),
    state: stringType(),
    connectedAt: numberType(),
    lastReceivedWebhookEvent: numberType().optional()
  });
  Directory$outboundSchema = objectType({
    type: stringType(),
    state: stringType(),
    connectedAt: numberType(),
    lastReceivedWebhookEvent: numberType().optional()
  });
  ((Directory$) => {
    Directory$.inboundSchema = Directory$inboundSchema;
    Directory$.outboundSchema = Directory$outboundSchema;
  })(Directory$ ||= {});
  Saml$inboundSchema = objectType({
    connection: lazyType(() => Connection$inboundSchema).optional(),
    directory: lazyType(() => Directory$inboundSchema).optional(),
    enforced: booleanType()
  });
  Saml$outboundSchema = objectType({
    connection: lazyType(() => Connection$outboundSchema).optional(),
    directory: lazyType(() => Directory$outboundSchema).optional(),
    enforced: booleanType()
  });
  ((Saml$) => {
    Saml$.inboundSchema = Saml$inboundSchema;
    Saml$.outboundSchema = Saml$outboundSchema;
  })(Saml$ ||= {});
  Mfa$inboundSchema = objectType({
    enforced: booleanType(),
    updatedAt: numberType()
  });
  Mfa$outboundSchema = objectType({
    enforced: booleanType(),
    updatedAt: numberType()
  });
  ((Mfa$) => {
    Mfa$.inboundSchema = Mfa$inboundSchema;
    Mfa$.outboundSchema = Mfa$outboundSchema;
  })(Mfa$ ||= {});
  Entitlements$inboundSchema = objectType({
    entitlement: stringType()
  });
  Entitlements$outboundSchema = objectType({
    entitlement: stringType()
  });
  ((Entitlements$) => {
    Entitlements$.inboundSchema = Entitlements$inboundSchema;
    Entitlements$.outboundSchema = Entitlements$outboundSchema;
  })(Entitlements$ ||= {});
  Role$inboundSchema = nativeEnumType(Role);
  Role$outboundSchema = Role$inboundSchema;
  ((Role$) => {
    Role$.inboundSchema = Role$inboundSchema;
    Role$.outboundSchema = Role$outboundSchema;
  })(Role$ ||= {});
  TeamRoles$inboundSchema = nativeEnumType(TeamRoles);
  TeamRoles$outboundSchema = TeamRoles$inboundSchema;
  ((TeamRoles$) => {
    TeamRoles$.inboundSchema = TeamRoles$inboundSchema;
    TeamRoles$.outboundSchema = TeamRoles$outboundSchema;
  })(TeamRoles$ ||= {});
  TeamPermissions$inboundSchema = nativeEnumType(TeamPermissions);
  TeamPermissions$outboundSchema = TeamPermissions$inboundSchema;
  ((TeamPermissions$) => {
    TeamPermissions$.inboundSchema = TeamPermissions$inboundSchema;
    TeamPermissions$.outboundSchema = TeamPermissions$outboundSchema;
  })(TeamPermissions$ ||= {});
  Origin$inboundSchema = nativeEnumType(Origin);
  Origin$outboundSchema = Origin$inboundSchema;
  ((Origin$) => {
    Origin$.inboundSchema = Origin$inboundSchema;
    Origin$.outboundSchema = Origin$outboundSchema;
  })(Origin$ ||= {});
  GitUserId$inboundSchema = unionType([stringType(), numberType()]);
  GitUserId$outboundSchema = unionType([stringType(), numberType()]);
  ((GitUserId$) => {
    GitUserId$.inboundSchema = GitUserId$inboundSchema;
    GitUserId$.outboundSchema = GitUserId$outboundSchema;
  })(GitUserId$ ||= {});
  JoinedFrom$inboundSchema = objectType({
    origin: Origin$inboundSchema,
    commitId: stringType().optional(),
    repoId: stringType().optional(),
    repoPath: stringType().optional(),
    gitUserId: unionType([stringType(), numberType()]).optional(),
    gitUserLogin: stringType().optional(),
    ssoUserId: stringType().optional(),
    ssoConnectedAt: numberType().optional(),
    idpUserId: stringType().optional(),
    dsyncUserId: stringType().optional(),
    dsyncConnectedAt: numberType().optional()
  });
  JoinedFrom$outboundSchema = objectType({
    origin: Origin$outboundSchema,
    commitId: stringType().optional(),
    repoId: stringType().optional(),
    repoPath: stringType().optional(),
    gitUserId: unionType([stringType(), numberType()]).optional(),
    gitUserLogin: stringType().optional(),
    ssoUserId: stringType().optional(),
    ssoConnectedAt: numberType().optional(),
    idpUserId: stringType().optional(),
    dsyncUserId: stringType().optional(),
    dsyncConnectedAt: numberType().optional()
  });
  ((JoinedFrom$) => {
    JoinedFrom$.inboundSchema = JoinedFrom$inboundSchema;
    JoinedFrom$.outboundSchema = JoinedFrom$outboundSchema;
  })(JoinedFrom$ ||= {});
  Membership$inboundSchema = objectType({
    uid: stringType().optional(),
    entitlements: arrayType(lazyType(() => Entitlements$inboundSchema)).optional(),
    teamId: stringType().optional(),
    confirmed: booleanType(),
    confirmedAt: numberType(),
    accessRequestedAt: numberType().optional(),
    role: Role$inboundSchema,
    teamRoles: arrayType(TeamRoles$inboundSchema).optional(),
    teamPermissions: arrayType(TeamPermissions$inboundSchema).optional(),
    createdAt: numberType(),
    created: numberType(),
    joinedFrom: lazyType(() => JoinedFrom$inboundSchema).optional()
  });
  Membership$outboundSchema = objectType({
    uid: stringType().optional(),
    entitlements: arrayType(lazyType(() => Entitlements$outboundSchema)).optional(),
    teamId: stringType().optional(),
    confirmed: booleanType(),
    confirmedAt: numberType(),
    accessRequestedAt: numberType().optional(),
    role: Role$outboundSchema,
    teamRoles: arrayType(TeamRoles$outboundSchema).optional(),
    teamPermissions: arrayType(TeamPermissions$outboundSchema).optional(),
    createdAt: numberType(),
    created: numberType(),
    joinedFrom: lazyType(() => JoinedFrom$outboundSchema).optional()
  });
  ((Membership$) => {
    Membership$.inboundSchema = Membership$inboundSchema;
    Membership$.outboundSchema = Membership$outboundSchema;
  })(Membership$ ||= {});
  TeamLimited$inboundSchema = objectType({
    limited: booleanType(),
    limitedBy: arrayType(LimitedBy$inboundSchema),
    saml: lazyType(() => Saml$inboundSchema).optional(),
    mfa: lazyType(() => Mfa$inboundSchema).optional(),
    id: stringType(),
    slug: stringType(),
    name: nullableType(stringType()),
    avatar: nullableType(stringType()),
    membership: lazyType(() => Membership$inboundSchema),
    created: stringType(),
    createdAt: numberType()
  });
  TeamLimited$outboundSchema = objectType({
    limited: booleanType(),
    limitedBy: arrayType(LimitedBy$outboundSchema),
    saml: lazyType(() => Saml$outboundSchema).optional(),
    mfa: lazyType(() => Mfa$outboundSchema).optional(),
    id: stringType(),
    slug: stringType(),
    name: nullableType(stringType()),
    avatar: nullableType(stringType()),
    membership: lazyType(() => Membership$outboundSchema),
    created: stringType(),
    createdAt: numberType()
  });
  ((TeamLimited$) => {
    TeamLimited$.inboundSchema = TeamLimited$inboundSchema;
    TeamLimited$.outboundSchema = TeamLimited$outboundSchema;
  })(TeamLimited$ ||= {});
});

// src/funcs/teamsGetTeam.ts
function teamsGetTeam(client, request, options) {
  return new APIPromise($do151(client, request, options));
}
async function $do151(client, request, options) {
  const parsed = safeParse(request, (value) => GetTeamRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    teamId: encodeSimple("teamId", payload.teamId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v2/teams/{teamId}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "getTeam",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, TeamLimited$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_teamsGetTeam = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_getteamop();
  init_teamlimited();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/teamsGetTeam.ts
var args150, tool$teamsGetTeam;
var init_teamsGetTeam2 = __esm(() => {
  init_teamsGetTeam();
  init_getteamop();
  init_tools();
  args150 = {
    request: GetTeamRequest$inboundSchema
  };
  tool$teamsGetTeam = {
    name: "teams-get-team",
    description: `Get a Team

Get information for the Team specified by the \`teamId\` parameter.`,
    args: args150,
    tool: async (client, args151, ctx) => {
      const [result, apiCall] = await teamsGetTeam(client, args151.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/getteamaccessrequestop.ts
var GetTeamAccessRequestOrigin, GetTeamAccessRequestRequest$inboundSchema, GetTeamAccessRequestRequest$outboundSchema, GetTeamAccessRequestRequest$, GetTeamAccessRequestOrigin$inboundSchema, GetTeamAccessRequestOrigin$outboundSchema, GetTeamAccessRequestOrigin$, GetTeamAccessRequestGitUserId$inboundSchema, GetTeamAccessRequestGitUserId$outboundSchema, GetTeamAccessRequestGitUserId$, GetTeamAccessRequestJoinedFrom$inboundSchema, GetTeamAccessRequestJoinedFrom$outboundSchema, GetTeamAccessRequestJoinedFrom$, GetTeamAccessRequestGithub$inboundSchema, GetTeamAccessRequestGithub$outboundSchema, GetTeamAccessRequestGithub$, GetTeamAccessRequestGitlab$inboundSchema, GetTeamAccessRequestGitlab$outboundSchema, GetTeamAccessRequestGitlab$, GetTeamAccessRequestBitbucket$inboundSchema, GetTeamAccessRequestBitbucket$outboundSchema, GetTeamAccessRequestBitbucket$, GetTeamAccessRequestResponseBody$inboundSchema, GetTeamAccessRequestResponseBody$outboundSchema, GetTeamAccessRequestResponseBody$;
var init_getteamaccessrequestop = __esm(() => {
  init_esm();
  GetTeamAccessRequestOrigin = {
    Mail: "mail",
    Link: "link",
    Import: "import",
    Teams: "teams",
    Github: "github",
    Gitlab: "gitlab",
    Bitbucket: "bitbucket",
    Saml: "saml",
    Dsync: "dsync",
    Feedback: "feedback",
    OrganizationTeams: "organization-teams"
  };
  GetTeamAccessRequestRequest$inboundSchema = objectType({
    userId: stringType(),
    teamId: stringType()
  });
  GetTeamAccessRequestRequest$outboundSchema = objectType({
    userId: stringType(),
    teamId: stringType()
  });
  ((GetTeamAccessRequestRequest$) => {
    GetTeamAccessRequestRequest$.inboundSchema = GetTeamAccessRequestRequest$inboundSchema;
    GetTeamAccessRequestRequest$.outboundSchema = GetTeamAccessRequestRequest$outboundSchema;
  })(GetTeamAccessRequestRequest$ ||= {});
  GetTeamAccessRequestOrigin$inboundSchema = nativeEnumType(GetTeamAccessRequestOrigin);
  GetTeamAccessRequestOrigin$outboundSchema = GetTeamAccessRequestOrigin$inboundSchema;
  ((GetTeamAccessRequestOrigin$) => {
    GetTeamAccessRequestOrigin$.inboundSchema = GetTeamAccessRequestOrigin$inboundSchema;
    GetTeamAccessRequestOrigin$.outboundSchema = GetTeamAccessRequestOrigin$outboundSchema;
  })(GetTeamAccessRequestOrigin$ ||= {});
  GetTeamAccessRequestGitUserId$inboundSchema = unionType([stringType(), numberType()]);
  GetTeamAccessRequestGitUserId$outboundSchema = unionType([stringType(), numberType()]);
  ((GetTeamAccessRequestGitUserId$) => {
    GetTeamAccessRequestGitUserId$.inboundSchema = GetTeamAccessRequestGitUserId$inboundSchema;
    GetTeamAccessRequestGitUserId$.outboundSchema = GetTeamAccessRequestGitUserId$outboundSchema;
  })(GetTeamAccessRequestGitUserId$ ||= {});
  GetTeamAccessRequestJoinedFrom$inboundSchema = objectType({
    origin: GetTeamAccessRequestOrigin$inboundSchema,
    commitId: stringType().optional(),
    repoId: stringType().optional(),
    repoPath: stringType().optional(),
    gitUserId: unionType([stringType(), numberType()]).optional(),
    gitUserLogin: stringType().optional(),
    ssoUserId: stringType().optional(),
    ssoConnectedAt: numberType().optional(),
    idpUserId: stringType().optional(),
    dsyncUserId: stringType().optional(),
    dsyncConnectedAt: numberType().optional()
  });
  GetTeamAccessRequestJoinedFrom$outboundSchema = objectType({
    origin: GetTeamAccessRequestOrigin$outboundSchema,
    commitId: stringType().optional(),
    repoId: stringType().optional(),
    repoPath: stringType().optional(),
    gitUserId: unionType([stringType(), numberType()]).optional(),
    gitUserLogin: stringType().optional(),
    ssoUserId: stringType().optional(),
    ssoConnectedAt: numberType().optional(),
    idpUserId: stringType().optional(),
    dsyncUserId: stringType().optional(),
    dsyncConnectedAt: numberType().optional()
  });
  ((GetTeamAccessRequestJoinedFrom$) => {
    GetTeamAccessRequestJoinedFrom$.inboundSchema = GetTeamAccessRequestJoinedFrom$inboundSchema;
    GetTeamAccessRequestJoinedFrom$.outboundSchema = GetTeamAccessRequestJoinedFrom$outboundSchema;
  })(GetTeamAccessRequestJoinedFrom$ ||= {});
  GetTeamAccessRequestGithub$inboundSchema = objectType({
    login: stringType().optional()
  });
  GetTeamAccessRequestGithub$outboundSchema = objectType({
    login: stringType().optional()
  });
  ((GetTeamAccessRequestGithub$) => {
    GetTeamAccessRequestGithub$.inboundSchema = GetTeamAccessRequestGithub$inboundSchema;
    GetTeamAccessRequestGithub$.outboundSchema = GetTeamAccessRequestGithub$outboundSchema;
  })(GetTeamAccessRequestGithub$ ||= {});
  GetTeamAccessRequestGitlab$inboundSchema = objectType({
    login: stringType().optional()
  });
  GetTeamAccessRequestGitlab$outboundSchema = objectType({
    login: stringType().optional()
  });
  ((GetTeamAccessRequestGitlab$) => {
    GetTeamAccessRequestGitlab$.inboundSchema = GetTeamAccessRequestGitlab$inboundSchema;
    GetTeamAccessRequestGitlab$.outboundSchema = GetTeamAccessRequestGitlab$outboundSchema;
  })(GetTeamAccessRequestGitlab$ ||= {});
  GetTeamAccessRequestBitbucket$inboundSchema = objectType({
    login: stringType().optional()
  });
  GetTeamAccessRequestBitbucket$outboundSchema = objectType({
    login: stringType().optional()
  });
  ((GetTeamAccessRequestBitbucket$) => {
    GetTeamAccessRequestBitbucket$.inboundSchema = GetTeamAccessRequestBitbucket$inboundSchema;
    GetTeamAccessRequestBitbucket$.outboundSchema = GetTeamAccessRequestBitbucket$outboundSchema;
  })(GetTeamAccessRequestBitbucket$ ||= {});
  GetTeamAccessRequestResponseBody$inboundSchema = objectType({
    teamSlug: stringType(),
    teamName: stringType(),
    confirmed: booleanType(),
    joinedFrom: lazyType(() => GetTeamAccessRequestJoinedFrom$inboundSchema),
    accessRequestedAt: numberType(),
    github: nullableType(lazyType(() => GetTeamAccessRequestGithub$inboundSchema)),
    gitlab: nullableType(lazyType(() => GetTeamAccessRequestGitlab$inboundSchema)),
    bitbucket: nullableType(lazyType(() => GetTeamAccessRequestBitbucket$inboundSchema))
  });
  GetTeamAccessRequestResponseBody$outboundSchema = objectType({
    teamSlug: stringType(),
    teamName: stringType(),
    confirmed: booleanType(),
    joinedFrom: lazyType(() => GetTeamAccessRequestJoinedFrom$outboundSchema),
    accessRequestedAt: numberType(),
    github: nullableType(lazyType(() => GetTeamAccessRequestGithub$outboundSchema)),
    gitlab: nullableType(lazyType(() => GetTeamAccessRequestGitlab$outboundSchema)),
    bitbucket: nullableType(lazyType(() => GetTeamAccessRequestBitbucket$outboundSchema))
  });
  ((GetTeamAccessRequestResponseBody$) => {
    GetTeamAccessRequestResponseBody$.inboundSchema = GetTeamAccessRequestResponseBody$inboundSchema;
    GetTeamAccessRequestResponseBody$.outboundSchema = GetTeamAccessRequestResponseBody$outboundSchema;
  })(GetTeamAccessRequestResponseBody$ ||= {});
});

// src/funcs/teamsGetTeamAccessRequest.ts
function teamsGetTeamAccessRequest(client, request, options) {
  return new APIPromise($do152(client, request, options));
}
async function $do152(client, request, options) {
  const parsed = safeParse(request, (value) => GetTeamAccessRequestRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    teamId: encodeSimple("teamId", payload.teamId, {
      explode: false,
      charEncoding: "percent"
    }),
    userId: encodeSimple("userId", payload.userId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/teams/{teamId}/request/{userId}")(pathParams);
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "getTeamAccessRequest",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetTeamAccessRequestResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_teamsGetTeamAccessRequest = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_getteamaccessrequestop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/teamsGetTeamAccessRequest.ts
var args151, tool$teamsGetTeamAccessRequest;
var init_teamsGetTeamAccessRequest2 = __esm(() => {
  init_teamsGetTeamAccessRequest();
  init_getteamaccessrequestop();
  init_tools();
  args151 = {
    request: GetTeamAccessRequestRequest$inboundSchema
  };
  tool$teamsGetTeamAccessRequest = {
    name: "teams-get-team-access-request",
    description: `Get access request status

Check the status of a join request. It'll respond with a 404 if the request has been declined. If no \`userId\` path segment was provided, this endpoint will instead return the status of the authenticated user.`,
    args: args151,
    tool: async (client, args152, ctx) => {
      const [result, apiCall] = await teamsGetTeamAccessRequest(client, args152.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/getteammembersop.ts
var QueryParamRole, GetTeamMembersRole, GetTeamMembersOrigin, GetTeamMembersTeamsResponseRole, GetTeamMembersTeamsRole, GetTeamMembersTeamsProjects, QueryParamRole$inboundSchema, QueryParamRole$outboundSchema, QueryParamRole$, GetTeamMembersRequest$inboundSchema, GetTeamMembersRequest$outboundSchema, GetTeamMembersRequest$, GetTeamMembersGithub$inboundSchema, GetTeamMembersGithub$outboundSchema, GetTeamMembersGithub$, GetTeamMembersGitlab$inboundSchema, GetTeamMembersGitlab$outboundSchema, GetTeamMembersGitlab$, GetTeamMembersBitbucket$inboundSchema, GetTeamMembersBitbucket$outboundSchema, GetTeamMembersBitbucket$, GetTeamMembersRole$inboundSchema, GetTeamMembersRole$outboundSchema, GetTeamMembersRole$, GetTeamMembersOrigin$inboundSchema, GetTeamMembersOrigin$outboundSchema, GetTeamMembersOrigin$, GetTeamMembersGitUserId$inboundSchema, GetTeamMembersGitUserId$outboundSchema, GetTeamMembersGitUserId$, GetTeamMembersJoinedFrom$inboundSchema, GetTeamMembersJoinedFrom$outboundSchema, GetTeamMembersJoinedFrom$, GetTeamMembersTeamsResponseRole$inboundSchema, GetTeamMembersTeamsResponseRole$outboundSchema, GetTeamMembersTeamsResponseRole$, GetTeamMembersProjects$inboundSchema, GetTeamMembersProjects$outboundSchema, GetTeamMembersProjects$, GetTeamMembersMembers$inboundSchema, GetTeamMembersMembers$outboundSchema, GetTeamMembersMembers$, GetTeamMembersTeamsRole$inboundSchema, GetTeamMembersTeamsRole$outboundSchema, GetTeamMembersTeamsRole$, GetTeamMembersTeamsProjects$inboundSchema, GetTeamMembersTeamsProjects$outboundSchema, GetTeamMembersTeamsProjects$, EmailInviteCodes$inboundSchema, EmailInviteCodes$outboundSchema, EmailInviteCodes$, GetTeamMembersPagination$inboundSchema, GetTeamMembersPagination$outboundSchema, GetTeamMembersPagination$, GetTeamMembersResponseBody$inboundSchema, GetTeamMembersResponseBody$outboundSchema, GetTeamMembersResponseBody$;
var init_getteammembersop = __esm(() => {
  init_esm();
  QueryParamRole = {
    Owner: "OWNER",
    Member: "MEMBER",
    Developer: "DEVELOPER",
    Viewer: "VIEWER",
    Billing: "BILLING",
    Contributor: "CONTRIBUTOR"
  };
  GetTeamMembersRole = {
    Owner: "OWNER",
    Member: "MEMBER",
    Developer: "DEVELOPER",
    Viewer: "VIEWER",
    Billing: "BILLING",
    Contributor: "CONTRIBUTOR",
    Security: "SECURITY"
  };
  GetTeamMembersOrigin = {
    Teams: "teams",
    Link: "link",
    Saml: "saml",
    Github: "github",
    Gitlab: "gitlab",
    Bitbucket: "bitbucket",
    Mail: "mail",
    Import: "import",
    Dsync: "dsync",
    Feedback: "feedback",
    OrganizationTeams: "organization-teams"
  };
  GetTeamMembersTeamsResponseRole = {
    Admin: "ADMIN",
    ProjectDeveloper: "PROJECT_DEVELOPER",
    ProjectViewer: "PROJECT_VIEWER"
  };
  GetTeamMembersTeamsRole = {
    Owner: "OWNER",
    Member: "MEMBER",
    Developer: "DEVELOPER",
    Viewer: "VIEWER",
    Billing: "BILLING",
    Contributor: "CONTRIBUTOR",
    Security: "SECURITY"
  };
  GetTeamMembersTeamsProjects = {
    Admin: "ADMIN",
    ProjectDeveloper: "PROJECT_DEVELOPER",
    ProjectViewer: "PROJECT_VIEWER"
  };
  QueryParamRole$inboundSchema = nativeEnumType(QueryParamRole);
  QueryParamRole$outboundSchema = QueryParamRole$inboundSchema;
  ((QueryParamRole$) => {
    QueryParamRole$.inboundSchema = QueryParamRole$inboundSchema;
    QueryParamRole$.outboundSchema = QueryParamRole$outboundSchema;
  })(QueryParamRole$ ||= {});
  GetTeamMembersRequest$inboundSchema = objectType({
    limit: numberType().optional(),
    since: numberType().optional(),
    until: numberType().optional(),
    search: stringType().optional(),
    role: QueryParamRole$inboundSchema.optional(),
    excludeProject: stringType().optional(),
    eligibleMembersForProjectId: stringType().optional()
  });
  GetTeamMembersRequest$outboundSchema = objectType({
    limit: numberType().optional(),
    since: numberType().optional(),
    until: numberType().optional(),
    search: stringType().optional(),
    role: QueryParamRole$outboundSchema.optional(),
    excludeProject: stringType().optional(),
    eligibleMembersForProjectId: stringType().optional()
  });
  ((GetTeamMembersRequest$) => {
    GetTeamMembersRequest$.inboundSchema = GetTeamMembersRequest$inboundSchema;
    GetTeamMembersRequest$.outboundSchema = GetTeamMembersRequest$outboundSchema;
  })(GetTeamMembersRequest$ ||= {});
  GetTeamMembersGithub$inboundSchema = objectType({
    login: stringType().optional()
  });
  GetTeamMembersGithub$outboundSchema = objectType({
    login: stringType().optional()
  });
  ((GetTeamMembersGithub$) => {
    GetTeamMembersGithub$.inboundSchema = GetTeamMembersGithub$inboundSchema;
    GetTeamMembersGithub$.outboundSchema = GetTeamMembersGithub$outboundSchema;
  })(GetTeamMembersGithub$ ||= {});
  GetTeamMembersGitlab$inboundSchema = objectType({
    login: stringType().optional()
  });
  GetTeamMembersGitlab$outboundSchema = objectType({
    login: stringType().optional()
  });
  ((GetTeamMembersGitlab$) => {
    GetTeamMembersGitlab$.inboundSchema = GetTeamMembersGitlab$inboundSchema;
    GetTeamMembersGitlab$.outboundSchema = GetTeamMembersGitlab$outboundSchema;
  })(GetTeamMembersGitlab$ ||= {});
  GetTeamMembersBitbucket$inboundSchema = objectType({
    login: stringType().optional()
  });
  GetTeamMembersBitbucket$outboundSchema = objectType({
    login: stringType().optional()
  });
  ((GetTeamMembersBitbucket$) => {
    GetTeamMembersBitbucket$.inboundSchema = GetTeamMembersBitbucket$inboundSchema;
    GetTeamMembersBitbucket$.outboundSchema = GetTeamMembersBitbucket$outboundSchema;
  })(GetTeamMembersBitbucket$ ||= {});
  GetTeamMembersRole$inboundSchema = nativeEnumType(GetTeamMembersRole);
  GetTeamMembersRole$outboundSchema = GetTeamMembersRole$inboundSchema;
  ((GetTeamMembersRole$) => {
    GetTeamMembersRole$.inboundSchema = GetTeamMembersRole$inboundSchema;
    GetTeamMembersRole$.outboundSchema = GetTeamMembersRole$outboundSchema;
  })(GetTeamMembersRole$ ||= {});
  GetTeamMembersOrigin$inboundSchema = nativeEnumType(GetTeamMembersOrigin);
  GetTeamMembersOrigin$outboundSchema = GetTeamMembersOrigin$inboundSchema;
  ((GetTeamMembersOrigin$) => {
    GetTeamMembersOrigin$.inboundSchema = GetTeamMembersOrigin$inboundSchema;
    GetTeamMembersOrigin$.outboundSchema = GetTeamMembersOrigin$outboundSchema;
  })(GetTeamMembersOrigin$ ||= {});
  GetTeamMembersGitUserId$inboundSchema = unionType([stringType(), numberType()]);
  GetTeamMembersGitUserId$outboundSchema = unionType([stringType(), numberType()]);
  ((GetTeamMembersGitUserId$) => {
    GetTeamMembersGitUserId$.inboundSchema = GetTeamMembersGitUserId$inboundSchema;
    GetTeamMembersGitUserId$.outboundSchema = GetTeamMembersGitUserId$outboundSchema;
  })(GetTeamMembersGitUserId$ ||= {});
  GetTeamMembersJoinedFrom$inboundSchema = objectType({
    origin: GetTeamMembersOrigin$inboundSchema,
    commitId: stringType().optional(),
    repoId: stringType().optional(),
    repoPath: stringType().optional(),
    gitUserId: unionType([stringType(), numberType()]).optional(),
    gitUserLogin: stringType().optional(),
    ssoUserId: stringType().optional(),
    ssoConnectedAt: numberType().optional(),
    idpUserId: stringType().optional(),
    dsyncUserId: stringType().optional(),
    dsyncConnectedAt: numberType().optional()
  });
  GetTeamMembersJoinedFrom$outboundSchema = objectType({
    origin: GetTeamMembersOrigin$outboundSchema,
    commitId: stringType().optional(),
    repoId: stringType().optional(),
    repoPath: stringType().optional(),
    gitUserId: unionType([stringType(), numberType()]).optional(),
    gitUserLogin: stringType().optional(),
    ssoUserId: stringType().optional(),
    ssoConnectedAt: numberType().optional(),
    idpUserId: stringType().optional(),
    dsyncUserId: stringType().optional(),
    dsyncConnectedAt: numberType().optional()
  });
  ((GetTeamMembersJoinedFrom$) => {
    GetTeamMembersJoinedFrom$.inboundSchema = GetTeamMembersJoinedFrom$inboundSchema;
    GetTeamMembersJoinedFrom$.outboundSchema = GetTeamMembersJoinedFrom$outboundSchema;
  })(GetTeamMembersJoinedFrom$ ||= {});
  GetTeamMembersTeamsResponseRole$inboundSchema = nativeEnumType(GetTeamMembersTeamsResponseRole);
  GetTeamMembersTeamsResponseRole$outboundSchema = GetTeamMembersTeamsResponseRole$inboundSchema;
  ((GetTeamMembersTeamsResponseRole$) => {
    GetTeamMembersTeamsResponseRole$.inboundSchema = GetTeamMembersTeamsResponseRole$inboundSchema;
    GetTeamMembersTeamsResponseRole$.outboundSchema = GetTeamMembersTeamsResponseRole$outboundSchema;
  })(GetTeamMembersTeamsResponseRole$ ||= {});
  GetTeamMembersProjects$inboundSchema = objectType({
    name: stringType().optional(),
    id: stringType().optional(),
    role: GetTeamMembersTeamsResponseRole$inboundSchema.optional()
  });
  GetTeamMembersProjects$outboundSchema = objectType({
    name: stringType().optional(),
    id: stringType().optional(),
    role: GetTeamMembersTeamsResponseRole$outboundSchema.optional()
  });
  ((GetTeamMembersProjects$) => {
    GetTeamMembersProjects$.inboundSchema = GetTeamMembersProjects$inboundSchema;
    GetTeamMembersProjects$.outboundSchema = GetTeamMembersProjects$outboundSchema;
  })(GetTeamMembersProjects$ ||= {});
  GetTeamMembersMembers$inboundSchema = objectType({
    avatar: stringType().optional(),
    confirmed: booleanType(),
    email: stringType(),
    github: lazyType(() => GetTeamMembersGithub$inboundSchema).optional(),
    gitlab: lazyType(() => GetTeamMembersGitlab$inboundSchema).optional(),
    bitbucket: lazyType(() => GetTeamMembersBitbucket$inboundSchema).optional(),
    role: GetTeamMembersRole$inboundSchema,
    uid: stringType(),
    username: stringType(),
    name: stringType().optional(),
    createdAt: numberType(),
    accessRequestedAt: numberType().optional(),
    joinedFrom: lazyType(() => GetTeamMembersJoinedFrom$inboundSchema).optional(),
    projects: arrayType(lazyType(() => GetTeamMembersProjects$inboundSchema)).optional()
  });
  GetTeamMembersMembers$outboundSchema = objectType({
    avatar: stringType().optional(),
    confirmed: booleanType(),
    email: stringType(),
    github: lazyType(() => GetTeamMembersGithub$outboundSchema).optional(),
    gitlab: lazyType(() => GetTeamMembersGitlab$outboundSchema).optional(),
    bitbucket: lazyType(() => GetTeamMembersBitbucket$outboundSchema).optional(),
    role: GetTeamMembersRole$outboundSchema,
    uid: stringType(),
    username: stringType(),
    name: stringType().optional(),
    createdAt: numberType(),
    accessRequestedAt: numberType().optional(),
    joinedFrom: lazyType(() => GetTeamMembersJoinedFrom$outboundSchema).optional(),
    projects: arrayType(lazyType(() => GetTeamMembersProjects$outboundSchema)).optional()
  });
  ((GetTeamMembersMembers$) => {
    GetTeamMembersMembers$.inboundSchema = GetTeamMembersMembers$inboundSchema;
    GetTeamMembersMembers$.outboundSchema = GetTeamMembersMembers$outboundSchema;
  })(GetTeamMembersMembers$ ||= {});
  GetTeamMembersTeamsRole$inboundSchema = nativeEnumType(GetTeamMembersTeamsRole);
  GetTeamMembersTeamsRole$outboundSchema = GetTeamMembersTeamsRole$inboundSchema;
  ((GetTeamMembersTeamsRole$) => {
    GetTeamMembersTeamsRole$.inboundSchema = GetTeamMembersTeamsRole$inboundSchema;
    GetTeamMembersTeamsRole$.outboundSchema = GetTeamMembersTeamsRole$outboundSchema;
  })(GetTeamMembersTeamsRole$ ||= {});
  GetTeamMembersTeamsProjects$inboundSchema = nativeEnumType(GetTeamMembersTeamsProjects);
  GetTeamMembersTeamsProjects$outboundSchema = GetTeamMembersTeamsProjects$inboundSchema;
  ((GetTeamMembersTeamsProjects$) => {
    GetTeamMembersTeamsProjects$.inboundSchema = GetTeamMembersTeamsProjects$inboundSchema;
    GetTeamMembersTeamsProjects$.outboundSchema = GetTeamMembersTeamsProjects$outboundSchema;
  })(GetTeamMembersTeamsProjects$ ||= {});
  EmailInviteCodes$inboundSchema = objectType({
    accessGroups: arrayType(stringType()).optional(),
    id: stringType(),
    email: stringType().optional(),
    role: GetTeamMembersTeamsRole$inboundSchema.optional(),
    isDSyncUser: booleanType(),
    createdAt: numberType().optional(),
    expired: booleanType().optional(),
    projects: recordType(GetTeamMembersTeamsProjects$inboundSchema).optional(),
    entitlements: arrayType(stringType()).optional()
  });
  EmailInviteCodes$outboundSchema = objectType({
    accessGroups: arrayType(stringType()).optional(),
    id: stringType(),
    email: stringType().optional(),
    role: GetTeamMembersTeamsRole$outboundSchema.optional(),
    isDSyncUser: booleanType(),
    createdAt: numberType().optional(),
    expired: booleanType().optional(),
    projects: recordType(GetTeamMembersTeamsProjects$outboundSchema).optional(),
    entitlements: arrayType(stringType()).optional()
  });
  ((EmailInviteCodes$) => {
    EmailInviteCodes$.inboundSchema = EmailInviteCodes$inboundSchema;
    EmailInviteCodes$.outboundSchema = EmailInviteCodes$outboundSchema;
  })(EmailInviteCodes$ ||= {});
  GetTeamMembersPagination$inboundSchema = objectType({
    hasNext: booleanType(),
    count: numberType(),
    next: nullableType(numberType()),
    prev: nullableType(numberType())
  });
  GetTeamMembersPagination$outboundSchema = objectType({
    hasNext: booleanType(),
    count: numberType(),
    next: nullableType(numberType()),
    prev: nullableType(numberType())
  });
  ((GetTeamMembersPagination$) => {
    GetTeamMembersPagination$.inboundSchema = GetTeamMembersPagination$inboundSchema;
    GetTeamMembersPagination$.outboundSchema = GetTeamMembersPagination$outboundSchema;
  })(GetTeamMembersPagination$ ||= {});
  GetTeamMembersResponseBody$inboundSchema = objectType({
    members: arrayType(lazyType(() => GetTeamMembersMembers$inboundSchema)),
    emailInviteCodes: arrayType(lazyType(() => EmailInviteCodes$inboundSchema)).optional(),
    pagination: lazyType(() => GetTeamMembersPagination$inboundSchema)
  });
  GetTeamMembersResponseBody$outboundSchema = objectType({
    members: arrayType(lazyType(() => GetTeamMembersMembers$outboundSchema)),
    emailInviteCodes: arrayType(lazyType(() => EmailInviteCodes$outboundSchema)).optional(),
    pagination: lazyType(() => GetTeamMembersPagination$outboundSchema)
  });
  ((GetTeamMembersResponseBody$) => {
    GetTeamMembersResponseBody$.inboundSchema = GetTeamMembersResponseBody$inboundSchema;
    GetTeamMembersResponseBody$.outboundSchema = GetTeamMembersResponseBody$outboundSchema;
  })(GetTeamMembersResponseBody$ ||= {});
});

// src/funcs/teamsGetTeamMembers.ts
function teamsGetTeamMembers(client, request, options) {
  return new APIPromise($do153(client, request, options));
}
async function $do153(client, request, options) {
  const parsed = safeParse(request, (value) => GetTeamMembersRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const path = pathToFunc("/v3/teams/{teamId}/members")();
  const query = encodeFormQuery({
    eligibleMembersForProjectId: payload.eligibleMembersForProjectId,
    excludeProject: payload.excludeProject,
    limit: payload.limit,
    role: payload.role,
    search: payload.search,
    since: payload.since,
    until: payload.until
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "getTeamMembers",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetTeamMembersResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_teamsGetTeamMembers = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_getteammembersop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/teamsGetTeamMembers.ts
var args152, tool$teamsGetTeamMembers;
var init_teamsGetTeamMembers2 = __esm(() => {
  init_teamsGetTeamMembers();
  init_getteammembersop();
  init_tools();
  args152 = {
    request: GetTeamMembersRequest$inboundSchema
  };
  tool$teamsGetTeamMembers = {
    name: "teams-get-team-members",
    description: `List team members

Get a paginated list of team members for the provided team.`,
    args: args152,
    tool: async (client, args153, ctx) => {
      const [result, apiCall] = await teamsGetTeamMembers(client, args153.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/getteamsop.ts
var GetTeamsRequest$inboundSchema, GetTeamsRequest$outboundSchema, GetTeamsRequest$, GetTeamsTeams$inboundSchema, GetTeamsTeams$outboundSchema, GetTeamsTeams$, GetTeamsResponseBody$inboundSchema, GetTeamsResponseBody$outboundSchema, GetTeamsResponseBody$;
var init_getteamsop = __esm(() => {
  init_esm();
  init_pagination();
  init_team();
  init_teamlimited();
  GetTeamsRequest$inboundSchema = objectType({
    limit: numberType().optional(),
    since: numberType().optional(),
    until: numberType().optional()
  });
  GetTeamsRequest$outboundSchema = objectType({
    limit: numberType().optional(),
    since: numberType().optional(),
    until: numberType().optional()
  });
  ((GetTeamsRequest$) => {
    GetTeamsRequest$.inboundSchema = GetTeamsRequest$inboundSchema;
    GetTeamsRequest$.outboundSchema = GetTeamsRequest$outboundSchema;
  })(GetTeamsRequest$ ||= {});
  GetTeamsTeams$inboundSchema = unionType([Team$inboundSchema, TeamLimited$inboundSchema]);
  GetTeamsTeams$outboundSchema = unionType([Team$outboundSchema, TeamLimited$outboundSchema]);
  ((GetTeamsTeams$) => {
    GetTeamsTeams$.inboundSchema = GetTeamsTeams$inboundSchema;
    GetTeamsTeams$.outboundSchema = GetTeamsTeams$outboundSchema;
  })(GetTeamsTeams$ ||= {});
  GetTeamsResponseBody$inboundSchema = objectType({
    teams: arrayType(unionType([Team$inboundSchema, TeamLimited$inboundSchema])),
    pagination: Pagination$inboundSchema
  });
  GetTeamsResponseBody$outboundSchema = objectType({
    teams: arrayType(unionType([Team$outboundSchema, TeamLimited$outboundSchema])),
    pagination: Pagination$outboundSchema
  });
  ((GetTeamsResponseBody$) => {
    GetTeamsResponseBody$.inboundSchema = GetTeamsResponseBody$inboundSchema;
    GetTeamsResponseBody$.outboundSchema = GetTeamsResponseBody$outboundSchema;
  })(GetTeamsResponseBody$ ||= {});
});

// src/funcs/teamsGetTeams.ts
function teamsGetTeams(client, request, options) {
  return new APIPromise($do154(client, request, options));
}
async function $do154(client, request, options) {
  const parsed = safeParse(request, (value) => GetTeamsRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const path = pathToFunc("/v2/teams")();
  const query = encodeFormQuery({
    limit: payload.limit,
    since: payload.since,
    until: payload.until
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "getTeams",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetTeamsResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_teamsGetTeams = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_getteamsop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/teamsGetTeams.ts
var args153, tool$teamsGetTeams;
var init_teamsGetTeams2 = __esm(() => {
  init_teamsGetTeams();
  init_getteamsop();
  init_tools();
  args153 = {
    request: GetTeamsRequest$inboundSchema
  };
  tool$teamsGetTeams = {
    name: "teams-get-teams",
    description: `List all teams

Get a paginated list of all the Teams the authenticated User is a member of.`,
    args: args153,
    tool: async (client, args154, ctx) => {
      const [result, apiCall] = await teamsGetTeams(client, args154.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/inviteusertoteamop.ts
var InviteUserToTeamRole, InviteUserToTeamTeamsRole, InviteUserToTeamResponseBodyRole, InviteUserToTeamResponseBodyTeamRoles, InviteUserToTeamResponseBodyTeamPermissions, ResponseBodyRole, ResponseBodyTeamRoles, ResponseBodyTeamPermissions, InviteUserToTeamRole$inboundSchema, InviteUserToTeamRole$outboundSchema, InviteUserToTeamRole$, InviteUserToTeamTeamsRole$inboundSchema, InviteUserToTeamTeamsRole$outboundSchema, InviteUserToTeamTeamsRole$, InviteUserToTeamProjects$inboundSchema, InviteUserToTeamProjects$outboundSchema, InviteUserToTeamProjects$, InviteUserToTeamRequestBody$inboundSchema, InviteUserToTeamRequestBody$outboundSchema, InviteUserToTeamRequestBody$, InviteUserToTeamRequest$inboundSchema, InviteUserToTeamRequest$outboundSchema, InviteUserToTeamRequest$, InviteUserToTeamResponseBodyRole$inboundSchema, InviteUserToTeamResponseBodyRole$outboundSchema, InviteUserToTeamResponseBodyRole$, InviteUserToTeamResponseBodyTeamRoles$inboundSchema, InviteUserToTeamResponseBodyTeamRoles$outboundSchema, InviteUserToTeamResponseBodyTeamRoles$, InviteUserToTeamResponseBodyTeamPermissions$inboundSchema, InviteUserToTeamResponseBodyTeamPermissions$outboundSchema, InviteUserToTeamResponseBodyTeamPermissions$, InviteUserToTeamResponseBody2$inboundSchema, InviteUserToTeamResponseBody2$outboundSchema, InviteUserToTeamResponseBody2$, ResponseBodyRole$inboundSchema, ResponseBodyRole$outboundSchema, ResponseBodyRole$, ResponseBodyTeamRoles$inboundSchema, ResponseBodyTeamRoles$outboundSchema, ResponseBodyTeamRoles$, ResponseBodyTeamPermissions$inboundSchema, ResponseBodyTeamPermissions$outboundSchema, ResponseBodyTeamPermissions$, InviteUserToTeamResponseBody1$inboundSchema, InviteUserToTeamResponseBody1$outboundSchema, InviteUserToTeamResponseBody1$, InviteUserToTeamResponseBody$inboundSchema, InviteUserToTeamResponseBody$outboundSchema, InviteUserToTeamResponseBody$;
var init_inviteusertoteamop = __esm(() => {
  init_esm();
  init_primitives();
  InviteUserToTeamRole = {
    Owner: "OWNER",
    Member: "MEMBER",
    Developer: "DEVELOPER",
    Security: "SECURITY",
    Billing: "BILLING",
    Viewer: "VIEWER",
    Contributor: "CONTRIBUTOR"
  };
  InviteUserToTeamTeamsRole = {
    Admin: "ADMIN",
    ProjectViewer: "PROJECT_VIEWER",
    ProjectDeveloper: "PROJECT_DEVELOPER"
  };
  InviteUserToTeamResponseBodyRole = {
    Owner: "OWNER",
    Member: "MEMBER",
    Developer: "DEVELOPER",
    Security: "SECURITY",
    Billing: "BILLING",
    Viewer: "VIEWER",
    Contributor: "CONTRIBUTOR"
  };
  InviteUserToTeamResponseBodyTeamRoles = {
    Owner: "OWNER",
    Member: "MEMBER",
    Developer: "DEVELOPER",
    Security: "SECURITY",
    Billing: "BILLING",
    Viewer: "VIEWER",
    Contributor: "CONTRIBUTOR"
  };
  InviteUserToTeamResponseBodyTeamPermissions = {
    CreateProject: "CreateProject",
    FullProductionDeployment: "FullProductionDeployment",
    UsageViewer: "UsageViewer",
    EnvVariableManager: "EnvVariableManager",
    EnvironmentManager: "EnvironmentManager"
  };
  ResponseBodyRole = {
    Owner: "OWNER",
    Member: "MEMBER",
    Developer: "DEVELOPER",
    Security: "SECURITY",
    Billing: "BILLING",
    Viewer: "VIEWER",
    Contributor: "CONTRIBUTOR"
  };
  ResponseBodyTeamRoles = {
    Owner: "OWNER",
    Member: "MEMBER",
    Developer: "DEVELOPER",
    Security: "SECURITY",
    Billing: "BILLING",
    Viewer: "VIEWER",
    Contributor: "CONTRIBUTOR"
  };
  ResponseBodyTeamPermissions = {
    CreateProject: "CreateProject",
    FullProductionDeployment: "FullProductionDeployment",
    UsageViewer: "UsageViewer",
    EnvVariableManager: "EnvVariableManager",
    EnvironmentManager: "EnvironmentManager"
  };
  InviteUserToTeamRole$inboundSchema = nativeEnumType(InviteUserToTeamRole);
  InviteUserToTeamRole$outboundSchema = InviteUserToTeamRole$inboundSchema;
  ((InviteUserToTeamRole$) => {
    InviteUserToTeamRole$.inboundSchema = InviteUserToTeamRole$inboundSchema;
    InviteUserToTeamRole$.outboundSchema = InviteUserToTeamRole$outboundSchema;
  })(InviteUserToTeamRole$ ||= {});
  InviteUserToTeamTeamsRole$inboundSchema = nativeEnumType(InviteUserToTeamTeamsRole);
  InviteUserToTeamTeamsRole$outboundSchema = InviteUserToTeamTeamsRole$inboundSchema;
  ((InviteUserToTeamTeamsRole$) => {
    InviteUserToTeamTeamsRole$.inboundSchema = InviteUserToTeamTeamsRole$inboundSchema;
    InviteUserToTeamTeamsRole$.outboundSchema = InviteUserToTeamTeamsRole$outboundSchema;
  })(InviteUserToTeamTeamsRole$ ||= {});
  InviteUserToTeamProjects$inboundSchema = objectType({
    projectId: stringType(),
    role: InviteUserToTeamTeamsRole$inboundSchema
  });
  InviteUserToTeamProjects$outboundSchema = objectType({
    projectId: stringType(),
    role: InviteUserToTeamTeamsRole$outboundSchema
  });
  ((InviteUserToTeamProjects$) => {
    InviteUserToTeamProjects$.inboundSchema = InviteUserToTeamProjects$inboundSchema;
    InviteUserToTeamProjects$.outboundSchema = InviteUserToTeamProjects$outboundSchema;
  })(InviteUserToTeamProjects$ ||= {});
  InviteUserToTeamRequestBody$inboundSchema = objectType({
    uid: stringType().optional(),
    email: stringType().optional(),
    role: InviteUserToTeamRole$inboundSchema.default("MEMBER"),
    projects: arrayType(lazyType(() => InviteUserToTeamProjects$inboundSchema)).optional()
  });
  InviteUserToTeamRequestBody$outboundSchema = objectType({
    uid: stringType().optional(),
    email: stringType().optional(),
    role: InviteUserToTeamRole$outboundSchema.default("MEMBER"),
    projects: arrayType(lazyType(() => InviteUserToTeamProjects$outboundSchema)).optional()
  });
  ((InviteUserToTeamRequestBody$) => {
    InviteUserToTeamRequestBody$.inboundSchema = InviteUserToTeamRequestBody$inboundSchema;
    InviteUserToTeamRequestBody$.outboundSchema = InviteUserToTeamRequestBody$outboundSchema;
  })(InviteUserToTeamRequestBody$ ||= {});
  InviteUserToTeamRequest$inboundSchema = objectType({
    teamId: stringType(),
    RequestBody: lazyType(() => InviteUserToTeamRequestBody$inboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  InviteUserToTeamRequest$outboundSchema = objectType({
    teamId: stringType(),
    requestBody: lazyType(() => InviteUserToTeamRequestBody$outboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((InviteUserToTeamRequest$) => {
    InviteUserToTeamRequest$.inboundSchema = InviteUserToTeamRequest$inboundSchema;
    InviteUserToTeamRequest$.outboundSchema = InviteUserToTeamRequest$outboundSchema;
  })(InviteUserToTeamRequest$ ||= {});
  InviteUserToTeamResponseBodyRole$inboundSchema = nativeEnumType(InviteUserToTeamResponseBodyRole);
  InviteUserToTeamResponseBodyRole$outboundSchema = InviteUserToTeamResponseBodyRole$inboundSchema;
  ((InviteUserToTeamResponseBodyRole$) => {
    InviteUserToTeamResponseBodyRole$.inboundSchema = InviteUserToTeamResponseBodyRole$inboundSchema;
    InviteUserToTeamResponseBodyRole$.outboundSchema = InviteUserToTeamResponseBodyRole$outboundSchema;
  })(InviteUserToTeamResponseBodyRole$ ||= {});
  InviteUserToTeamResponseBodyTeamRoles$inboundSchema = nativeEnumType(InviteUserToTeamResponseBodyTeamRoles);
  InviteUserToTeamResponseBodyTeamRoles$outboundSchema = InviteUserToTeamResponseBodyTeamRoles$inboundSchema;
  ((InviteUserToTeamResponseBodyTeamRoles$) => {
    InviteUserToTeamResponseBodyTeamRoles$.inboundSchema = InviteUserToTeamResponseBodyTeamRoles$inboundSchema;
    InviteUserToTeamResponseBodyTeamRoles$.outboundSchema = InviteUserToTeamResponseBodyTeamRoles$outboundSchema;
  })(InviteUserToTeamResponseBodyTeamRoles$ ||= {});
  InviteUserToTeamResponseBodyTeamPermissions$inboundSchema = nativeEnumType(InviteUserToTeamResponseBodyTeamPermissions);
  InviteUserToTeamResponseBodyTeamPermissions$outboundSchema = InviteUserToTeamResponseBodyTeamPermissions$inboundSchema;
  ((InviteUserToTeamResponseBodyTeamPermissions$) => {
    InviteUserToTeamResponseBodyTeamPermissions$.inboundSchema = InviteUserToTeamResponseBodyTeamPermissions$inboundSchema;
    InviteUserToTeamResponseBodyTeamPermissions$.outboundSchema = InviteUserToTeamResponseBodyTeamPermissions$outboundSchema;
  })(InviteUserToTeamResponseBodyTeamPermissions$ ||= {});
  InviteUserToTeamResponseBody2$inboundSchema = objectType({
    uid: stringType(),
    username: stringType(),
    role: InviteUserToTeamResponseBodyRole$inboundSchema,
    teamRoles: arrayType(InviteUserToTeamResponseBodyTeamRoles$inboundSchema).optional(),
    teamPermissions: arrayType(InviteUserToTeamResponseBodyTeamPermissions$inboundSchema).optional()
  });
  InviteUserToTeamResponseBody2$outboundSchema = objectType({
    uid: stringType(),
    username: stringType(),
    role: InviteUserToTeamResponseBodyRole$outboundSchema,
    teamRoles: arrayType(InviteUserToTeamResponseBodyTeamRoles$outboundSchema).optional(),
    teamPermissions: arrayType(InviteUserToTeamResponseBodyTeamPermissions$outboundSchema).optional()
  });
  ((InviteUserToTeamResponseBody2$) => {
    InviteUserToTeamResponseBody2$.inboundSchema = InviteUserToTeamResponseBody2$inboundSchema;
    InviteUserToTeamResponseBody2$.outboundSchema = InviteUserToTeamResponseBody2$outboundSchema;
  })(InviteUserToTeamResponseBody2$ ||= {});
  ResponseBodyRole$inboundSchema = nativeEnumType(ResponseBodyRole);
  ResponseBodyRole$outboundSchema = ResponseBodyRole$inboundSchema;
  ((ResponseBodyRole$) => {
    ResponseBodyRole$.inboundSchema = ResponseBodyRole$inboundSchema;
    ResponseBodyRole$.outboundSchema = ResponseBodyRole$outboundSchema;
  })(ResponseBodyRole$ ||= {});
  ResponseBodyTeamRoles$inboundSchema = nativeEnumType(ResponseBodyTeamRoles);
  ResponseBodyTeamRoles$outboundSchema = ResponseBodyTeamRoles$inboundSchema;
  ((ResponseBodyTeamRoles$) => {
    ResponseBodyTeamRoles$.inboundSchema = ResponseBodyTeamRoles$inboundSchema;
    ResponseBodyTeamRoles$.outboundSchema = ResponseBodyTeamRoles$outboundSchema;
  })(ResponseBodyTeamRoles$ ||= {});
  ResponseBodyTeamPermissions$inboundSchema = nativeEnumType(ResponseBodyTeamPermissions);
  ResponseBodyTeamPermissions$outboundSchema = ResponseBodyTeamPermissions$inboundSchema;
  ((ResponseBodyTeamPermissions$) => {
    ResponseBodyTeamPermissions$.inboundSchema = ResponseBodyTeamPermissions$inboundSchema;
    ResponseBodyTeamPermissions$.outboundSchema = ResponseBodyTeamPermissions$outboundSchema;
  })(ResponseBodyTeamPermissions$ ||= {});
  InviteUserToTeamResponseBody1$inboundSchema = objectType({
    uid: stringType(),
    username: stringType(),
    email: stringType().optional(),
    role: ResponseBodyRole$inboundSchema,
    teamRoles: arrayType(ResponseBodyTeamRoles$inboundSchema).optional(),
    teamPermissions: arrayType(ResponseBodyTeamPermissions$inboundSchema).optional()
  });
  InviteUserToTeamResponseBody1$outboundSchema = objectType({
    uid: stringType(),
    username: stringType(),
    email: stringType().optional(),
    role: ResponseBodyRole$outboundSchema,
    teamRoles: arrayType(ResponseBodyTeamRoles$outboundSchema).optional(),
    teamPermissions: arrayType(ResponseBodyTeamPermissions$outboundSchema).optional()
  });
  ((InviteUserToTeamResponseBody1$) => {
    InviteUserToTeamResponseBody1$.inboundSchema = InviteUserToTeamResponseBody1$inboundSchema;
    InviteUserToTeamResponseBody1$.outboundSchema = InviteUserToTeamResponseBody1$outboundSchema;
  })(InviteUserToTeamResponseBody1$ ||= {});
  InviteUserToTeamResponseBody$inboundSchema = unionType([
    lazyType(() => InviteUserToTeamResponseBody2$inboundSchema),
    lazyType(() => InviteUserToTeamResponseBody1$inboundSchema)
  ]);
  InviteUserToTeamResponseBody$outboundSchema = unionType([
    lazyType(() => InviteUserToTeamResponseBody2$outboundSchema),
    lazyType(() => InviteUserToTeamResponseBody1$outboundSchema)
  ]);
  ((InviteUserToTeamResponseBody$) => {
    InviteUserToTeamResponseBody$.inboundSchema = InviteUserToTeamResponseBody$inboundSchema;
    InviteUserToTeamResponseBody$.outboundSchema = InviteUserToTeamResponseBody$outboundSchema;
  })(InviteUserToTeamResponseBody$ ||= {});
});

// src/funcs/teamsInviteUserToTeam.ts
function teamsInviteUserToTeam(client, request, options) {
  return new APIPromise($do155(client, request, options));
}
async function $do155(client, request, options) {
  const parsed = safeParse(request, (value) => InviteUserToTeamRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    teamId: encodeSimple("teamId", payload.teamId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/teams/{teamId}/members")(pathParams);
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "inviteUserToTeam",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "503", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, InviteUserToTeamResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail([503, "5XX"]))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_teamsInviteUserToTeam = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_inviteusertoteamop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/teamsInviteUserToTeam.ts
var args154, tool$teamsInviteUserToTeam;
var init_teamsInviteUserToTeam2 = __esm(() => {
  init_teamsInviteUserToTeam();
  init_inviteusertoteamop();
  init_tools();
  args154 = {
    request: InviteUserToTeamRequest$inboundSchema
  };
  tool$teamsInviteUserToTeam = {
    name: "teams-invite-user-to-team",
    description: `Invite a user

Invite a user to join the team specified in the URL. The authenticated user needs to be an \`OWNER\` in order to successfully invoke this endpoint. The user can be specified with an email or an ID. If both email and ID are provided, ID will take priority.`,
    args: args154,
    tool: async (client, args155, ctx) => {
      const [result, apiCall] = await teamsInviteUserToTeam(client, args155.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/jointeamop.ts
var JoinTeamRequestBody$inboundSchema, JoinTeamRequestBody$outboundSchema, JoinTeamRequestBody$, JoinTeamRequest$inboundSchema, JoinTeamRequest$outboundSchema, JoinTeamRequest$, JoinTeamResponseBody$inboundSchema, JoinTeamResponseBody$outboundSchema, JoinTeamResponseBody$;
var init_jointeamop = __esm(() => {
  init_esm();
  init_primitives();
  JoinTeamRequestBody$inboundSchema = objectType({
    inviteCode: stringType().optional()
  });
  JoinTeamRequestBody$outboundSchema = objectType({
    inviteCode: stringType().optional()
  });
  ((JoinTeamRequestBody$) => {
    JoinTeamRequestBody$.inboundSchema = JoinTeamRequestBody$inboundSchema;
    JoinTeamRequestBody$.outboundSchema = JoinTeamRequestBody$outboundSchema;
  })(JoinTeamRequestBody$ ||= {});
  JoinTeamRequest$inboundSchema = objectType({
    teamId: stringType(),
    RequestBody: lazyType(() => JoinTeamRequestBody$inboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  JoinTeamRequest$outboundSchema = objectType({
    teamId: stringType(),
    requestBody: lazyType(() => JoinTeamRequestBody$outboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((JoinTeamRequest$) => {
    JoinTeamRequest$.inboundSchema = JoinTeamRequest$inboundSchema;
    JoinTeamRequest$.outboundSchema = JoinTeamRequest$outboundSchema;
  })(JoinTeamRequest$ ||= {});
  JoinTeamResponseBody$inboundSchema = objectType({
    teamId: stringType(),
    slug: stringType(),
    name: stringType(),
    from: stringType()
  });
  JoinTeamResponseBody$outboundSchema = objectType({
    teamId: stringType(),
    slug: stringType(),
    name: stringType(),
    from: stringType()
  });
  ((JoinTeamResponseBody$) => {
    JoinTeamResponseBody$.inboundSchema = JoinTeamResponseBody$inboundSchema;
    JoinTeamResponseBody$.outboundSchema = JoinTeamResponseBody$outboundSchema;
  })(JoinTeamResponseBody$ ||= {});
});

// src/funcs/teamsJoinTeam.ts
function teamsJoinTeam(client, request, options) {
  return new APIPromise($do156(client, request, options));
}
async function $do156(client, request, options) {
  const parsed = safeParse(request, (value) => JoinTeamRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    teamId: encodeSimple("teamId", payload.teamId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/teams/{teamId}/members/teams/join")(pathParams);
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "joinTeam",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, JoinTeamResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([402, 403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_teamsJoinTeam = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_jointeamop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/teamsJoinTeam.ts
var args155, tool$teamsJoinTeam;
var init_teamsJoinTeam2 = __esm(() => {
  init_teamsJoinTeam();
  init_jointeamop();
  init_tools();
  args155 = {
    request: JoinTeamRequest$inboundSchema
  };
  tool$teamsJoinTeam = {
    name: "teams-join-team",
    description: `Join a team

Join a team with a provided invite code or team ID.`,
    args: args155,
    tool: async (client, args156, ctx) => {
      const [result, apiCall] = await teamsJoinTeam(client, args156.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/patchteamop.ts
var Roles1, Roles2$inboundSchema, Roles2$outboundSchema, Roles2$, Roles1$inboundSchema, Roles1$outboundSchema, Roles1$, Roles$inboundSchema, Roles$outboundSchema, Roles$, PatchTeamSaml$inboundSchema, PatchTeamSaml$outboundSchema, PatchTeamSaml$, PatchTeamRemoteCaching$inboundSchema, PatchTeamRemoteCaching$outboundSchema, PatchTeamRemoteCaching$, PatchTeamRequestBody$inboundSchema, PatchTeamRequestBody$outboundSchema, PatchTeamRequestBody$, PatchTeamRequest$inboundSchema, PatchTeamRequest$outboundSchema, PatchTeamRequest$;
var init_patchteamop = __esm(() => {
  init_esm();
  init_primitives();
  Roles1 = {
    Owner: "OWNER",
    Member: "MEMBER",
    Developer: "DEVELOPER",
    Security: "SECURITY",
    Billing: "BILLING",
    Viewer: "VIEWER",
    Contributor: "CONTRIBUTOR"
  };
  Roles2$inboundSchema = objectType({
    accessGroupId: stringType()
  });
  Roles2$outboundSchema = objectType({
    accessGroupId: stringType()
  });
  ((Roles2$) => {
    Roles2$.inboundSchema = Roles2$inboundSchema;
    Roles2$.outboundSchema = Roles2$outboundSchema;
  })(Roles2$ ||= {});
  Roles1$inboundSchema = nativeEnumType(Roles1);
  Roles1$outboundSchema = Roles1$inboundSchema;
  ((Roles1$) => {
    Roles1$.inboundSchema = Roles1$inboundSchema;
    Roles1$.outboundSchema = Roles1$outboundSchema;
  })(Roles1$ ||= {});
  Roles$inboundSchema = unionType([lazyType(() => Roles2$inboundSchema), Roles1$inboundSchema]);
  Roles$outboundSchema = unionType([lazyType(() => Roles2$outboundSchema), Roles1$outboundSchema]);
  ((Roles$) => {
    Roles$.inboundSchema = Roles$inboundSchema;
    Roles$.outboundSchema = Roles$outboundSchema;
  })(Roles$ ||= {});
  PatchTeamSaml$inboundSchema = objectType({
    enforced: booleanType().optional(),
    roles: recordType(unionType([lazyType(() => Roles2$inboundSchema), Roles1$inboundSchema])).optional()
  });
  PatchTeamSaml$outboundSchema = objectType({
    enforced: booleanType().optional(),
    roles: recordType(unionType([lazyType(() => Roles2$outboundSchema), Roles1$outboundSchema])).optional()
  });
  ((PatchTeamSaml$) => {
    PatchTeamSaml$.inboundSchema = PatchTeamSaml$inboundSchema;
    PatchTeamSaml$.outboundSchema = PatchTeamSaml$outboundSchema;
  })(PatchTeamSaml$ ||= {});
  PatchTeamRemoteCaching$inboundSchema = objectType({
    enabled: booleanType().optional()
  });
  PatchTeamRemoteCaching$outboundSchema = objectType({
    enabled: booleanType().optional()
  });
  ((PatchTeamRemoteCaching$) => {
    PatchTeamRemoteCaching$.inboundSchema = PatchTeamRemoteCaching$inboundSchema;
    PatchTeamRemoteCaching$.outboundSchema = PatchTeamRemoteCaching$outboundSchema;
  })(PatchTeamRemoteCaching$ ||= {});
  PatchTeamRequestBody$inboundSchema = objectType({
    avatar: stringType().optional(),
    description: stringType().optional(),
    emailDomain: nullableType(stringType()).optional(),
    name: stringType().optional(),
    previewDeploymentSuffix: nullableType(stringType()).optional(),
    regenerateInviteCode: booleanType().optional(),
    saml: lazyType(() => PatchTeamSaml$inboundSchema).optional(),
    slug: stringType().optional(),
    enablePreviewFeedback: stringType().optional(),
    enableProductionFeedback: stringType().optional(),
    sensitiveEnvironmentVariablePolicy: stringType().optional(),
    remoteCaching: lazyType(() => PatchTeamRemoteCaching$inboundSchema).optional(),
    hideIpAddresses: booleanType().optional(),
    hideIpAddressesInLogDrains: booleanType().optional()
  });
  PatchTeamRequestBody$outboundSchema = objectType({
    avatar: stringType().optional(),
    description: stringType().optional(),
    emailDomain: nullableType(stringType()).optional(),
    name: stringType().optional(),
    previewDeploymentSuffix: nullableType(stringType()).optional(),
    regenerateInviteCode: booleanType().optional(),
    saml: lazyType(() => PatchTeamSaml$outboundSchema).optional(),
    slug: stringType().optional(),
    enablePreviewFeedback: stringType().optional(),
    enableProductionFeedback: stringType().optional(),
    sensitiveEnvironmentVariablePolicy: stringType().optional(),
    remoteCaching: lazyType(() => PatchTeamRemoteCaching$outboundSchema).optional(),
    hideIpAddresses: booleanType().optional(),
    hideIpAddressesInLogDrains: booleanType().optional()
  });
  ((PatchTeamRequestBody$) => {
    PatchTeamRequestBody$.inboundSchema = PatchTeamRequestBody$inboundSchema;
    PatchTeamRequestBody$.outboundSchema = PatchTeamRequestBody$outboundSchema;
  })(PatchTeamRequestBody$ ||= {});
  PatchTeamRequest$inboundSchema = objectType({
    teamId: stringType(),
    slug: stringType().optional(),
    RequestBody: lazyType(() => PatchTeamRequestBody$inboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  PatchTeamRequest$outboundSchema = objectType({
    teamId: stringType(),
    slug: stringType().optional(),
    requestBody: lazyType(() => PatchTeamRequestBody$outboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((PatchTeamRequest$) => {
    PatchTeamRequest$.inboundSchema = PatchTeamRequest$inboundSchema;
    PatchTeamRequest$.outboundSchema = PatchTeamRequest$outboundSchema;
  })(PatchTeamRequest$ ||= {});
});

// src/funcs/teamsPatchTeam.ts
function teamsPatchTeam(client, request, options) {
  return new APIPromise($do157(client, request, options));
}
async function $do157(client, request, options) {
  const parsed = safeParse(request, (value) => PatchTeamRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    teamId: encodeSimple("teamId", payload.teamId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v2/teams/{teamId}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "patchTeam",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "PATCH",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, TeamLimited$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([402, 403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_teamsPatchTeam = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_patchteamop();
  init_teamlimited();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/teamsPatchTeam.ts
var args156, tool$teamsPatchTeam;
var init_teamsPatchTeam2 = __esm(() => {
  init_teamsPatchTeam();
  init_patchteamop();
  init_tools();
  args156 = {
    request: PatchTeamRequest$inboundSchema
  };
  tool$teamsPatchTeam = {
    name: "teams-patch-team",
    description: `Update a Team

Update the information of a Team specified by the \`teamId\` parameter. The request body should contain the information that will be updated on the Team.`,
    args: args156,
    tool: async (client, args157, ctx) => {
      const [result, apiCall] = await teamsPatchTeam(client, args157.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/removeteammemberop.ts
var RemoveTeamMemberRequest$inboundSchema, RemoveTeamMemberRequest$outboundSchema, RemoveTeamMemberRequest$, RemoveTeamMemberResponseBody$inboundSchema, RemoveTeamMemberResponseBody$outboundSchema, RemoveTeamMemberResponseBody$;
var init_removeteammemberop = __esm(() => {
  init_esm();
  RemoveTeamMemberRequest$inboundSchema = objectType({
    uid: stringType(),
    newDefaultTeamId: stringType().optional(),
    teamId: stringType()
  });
  RemoveTeamMemberRequest$outboundSchema = objectType({
    uid: stringType(),
    newDefaultTeamId: stringType().optional(),
    teamId: stringType()
  });
  ((RemoveTeamMemberRequest$) => {
    RemoveTeamMemberRequest$.inboundSchema = RemoveTeamMemberRequest$inboundSchema;
    RemoveTeamMemberRequest$.outboundSchema = RemoveTeamMemberRequest$outboundSchema;
  })(RemoveTeamMemberRequest$ ||= {});
  RemoveTeamMemberResponseBody$inboundSchema = objectType({
    id: stringType()
  });
  RemoveTeamMemberResponseBody$outboundSchema = objectType({
    id: stringType()
  });
  ((RemoveTeamMemberResponseBody$) => {
    RemoveTeamMemberResponseBody$.inboundSchema = RemoveTeamMemberResponseBody$inboundSchema;
    RemoveTeamMemberResponseBody$.outboundSchema = RemoveTeamMemberResponseBody$outboundSchema;
  })(RemoveTeamMemberResponseBody$ ||= {});
});

// src/funcs/teamsRemoveTeamMember.ts
function teamsRemoveTeamMember(client, request, options) {
  return new APIPromise($do158(client, request, options));
}
async function $do158(client, request, options) {
  const parsed = safeParse(request, (value) => RemoveTeamMemberRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    teamId: encodeSimple("teamId", payload.teamId, {
      explode: false,
      charEncoding: "percent"
    }),
    uid: encodeSimple("uid", payload.uid, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/teams/{teamId}/members/{uid}")(pathParams);
  const query = encodeFormQuery({
    newDefaultTeamId: payload.newDefaultTeamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "removeTeamMember",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "DELETE",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "503", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, RemoveTeamMemberResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail([503, "5XX"]))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_teamsRemoveTeamMember = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_removeteammemberop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/teamsRemoveTeamMember.ts
var args157, tool$teamsRemoveTeamMember;
var init_teamsRemoveTeamMember2 = __esm(() => {
  init_teamsRemoveTeamMember();
  init_removeteammemberop();
  init_tools();
  args157 = {
    request: RemoveTeamMemberRequest$inboundSchema
  };
  tool$teamsRemoveTeamMember = {
    name: "teams-remove-team-member",
    description: `Remove a Team Member

Remove a Team Member from the Team, or dismiss a user that requested access, or leave a team.`,
    args: args157,
    tool: async (client, args158, ctx) => {
      const [result, apiCall] = await teamsRemoveTeamMember(client, args158.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/requestaccesstoteamop.ts
var RequestAccessToTeamOrigin, RequestAccessToTeamTeamsOrigin, RequestAccessToTeamOrigin$inboundSchema, RequestAccessToTeamOrigin$outboundSchema, RequestAccessToTeamOrigin$, RequestAccessToTeamGitUserId$inboundSchema, RequestAccessToTeamGitUserId$outboundSchema, RequestAccessToTeamGitUserId$, RequestAccessToTeamJoinedFrom$inboundSchema, RequestAccessToTeamJoinedFrom$outboundSchema, RequestAccessToTeamJoinedFrom$, RequestAccessToTeamRequestBody$inboundSchema, RequestAccessToTeamRequestBody$outboundSchema, RequestAccessToTeamRequestBody$, RequestAccessToTeamRequest$inboundSchema, RequestAccessToTeamRequest$outboundSchema, RequestAccessToTeamRequest$, RequestAccessToTeamTeamsOrigin$inboundSchema, RequestAccessToTeamTeamsOrigin$outboundSchema, RequestAccessToTeamTeamsOrigin$, RequestAccessToTeamTeamsGitUserId$inboundSchema, RequestAccessToTeamTeamsGitUserId$outboundSchema, RequestAccessToTeamTeamsGitUserId$, RequestAccessToTeamTeamsJoinedFrom$inboundSchema, RequestAccessToTeamTeamsJoinedFrom$outboundSchema, RequestAccessToTeamTeamsJoinedFrom$, Github$inboundSchema, Github$outboundSchema, Github$, Gitlab$inboundSchema, Gitlab$outboundSchema, Gitlab$, Bitbucket$inboundSchema, Bitbucket$outboundSchema, Bitbucket$, RequestAccessToTeamResponseBody$inboundSchema, RequestAccessToTeamResponseBody$outboundSchema, RequestAccessToTeamResponseBody$;
var init_requestaccesstoteamop = __esm(() => {
  init_esm();
  init_primitives();
  RequestAccessToTeamOrigin = {
    Import: "import",
    Teams: "teams",
    Github: "github",
    Gitlab: "gitlab",
    Bitbucket: "bitbucket",
    Feedback: "feedback",
    OrganizationTeams: "organization-teams"
  };
  RequestAccessToTeamTeamsOrigin = {
    Import: "import",
    Teams: "teams",
    Github: "github",
    Gitlab: "gitlab",
    Bitbucket: "bitbucket",
    Feedback: "feedback",
    OrganizationTeams: "organization-teams",
    Mail: "mail",
    Link: "link",
    Saml: "saml",
    Dsync: "dsync"
  };
  RequestAccessToTeamOrigin$inboundSchema = nativeEnumType(RequestAccessToTeamOrigin);
  RequestAccessToTeamOrigin$outboundSchema = RequestAccessToTeamOrigin$inboundSchema;
  ((RequestAccessToTeamOrigin$) => {
    RequestAccessToTeamOrigin$.inboundSchema = RequestAccessToTeamOrigin$inboundSchema;
    RequestAccessToTeamOrigin$.outboundSchema = RequestAccessToTeamOrigin$outboundSchema;
  })(RequestAccessToTeamOrigin$ ||= {});
  RequestAccessToTeamGitUserId$inboundSchema = unionType([stringType(), numberType()]);
  RequestAccessToTeamGitUserId$outboundSchema = unionType([stringType(), numberType()]);
  ((RequestAccessToTeamGitUserId$) => {
    RequestAccessToTeamGitUserId$.inboundSchema = RequestAccessToTeamGitUserId$inboundSchema;
    RequestAccessToTeamGitUserId$.outboundSchema = RequestAccessToTeamGitUserId$outboundSchema;
  })(RequestAccessToTeamGitUserId$ ||= {});
  RequestAccessToTeamJoinedFrom$inboundSchema = objectType({
    origin: RequestAccessToTeamOrigin$inboundSchema,
    commitId: stringType().optional(),
    repoId: stringType().optional(),
    repoPath: stringType().optional(),
    gitUserId: unionType([stringType(), numberType()]).optional(),
    gitUserLogin: stringType().optional()
  });
  RequestAccessToTeamJoinedFrom$outboundSchema = objectType({
    origin: RequestAccessToTeamOrigin$outboundSchema,
    commitId: stringType().optional(),
    repoId: stringType().optional(),
    repoPath: stringType().optional(),
    gitUserId: unionType([stringType(), numberType()]).optional(),
    gitUserLogin: stringType().optional()
  });
  ((RequestAccessToTeamJoinedFrom$) => {
    RequestAccessToTeamJoinedFrom$.inboundSchema = RequestAccessToTeamJoinedFrom$inboundSchema;
    RequestAccessToTeamJoinedFrom$.outboundSchema = RequestAccessToTeamJoinedFrom$outboundSchema;
  })(RequestAccessToTeamJoinedFrom$ ||= {});
  RequestAccessToTeamRequestBody$inboundSchema = objectType({
    joinedFrom: lazyType(() => RequestAccessToTeamJoinedFrom$inboundSchema)
  });
  RequestAccessToTeamRequestBody$outboundSchema = objectType({
    joinedFrom: lazyType(() => RequestAccessToTeamJoinedFrom$outboundSchema)
  });
  ((RequestAccessToTeamRequestBody$) => {
    RequestAccessToTeamRequestBody$.inboundSchema = RequestAccessToTeamRequestBody$inboundSchema;
    RequestAccessToTeamRequestBody$.outboundSchema = RequestAccessToTeamRequestBody$outboundSchema;
  })(RequestAccessToTeamRequestBody$ ||= {});
  RequestAccessToTeamRequest$inboundSchema = objectType({
    teamId: stringType(),
    RequestBody: lazyType(() => RequestAccessToTeamRequestBody$inboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  RequestAccessToTeamRequest$outboundSchema = objectType({
    teamId: stringType(),
    requestBody: lazyType(() => RequestAccessToTeamRequestBody$outboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((RequestAccessToTeamRequest$) => {
    RequestAccessToTeamRequest$.inboundSchema = RequestAccessToTeamRequest$inboundSchema;
    RequestAccessToTeamRequest$.outboundSchema = RequestAccessToTeamRequest$outboundSchema;
  })(RequestAccessToTeamRequest$ ||= {});
  RequestAccessToTeamTeamsOrigin$inboundSchema = nativeEnumType(RequestAccessToTeamTeamsOrigin);
  RequestAccessToTeamTeamsOrigin$outboundSchema = RequestAccessToTeamTeamsOrigin$inboundSchema;
  ((RequestAccessToTeamTeamsOrigin$) => {
    RequestAccessToTeamTeamsOrigin$.inboundSchema = RequestAccessToTeamTeamsOrigin$inboundSchema;
    RequestAccessToTeamTeamsOrigin$.outboundSchema = RequestAccessToTeamTeamsOrigin$outboundSchema;
  })(RequestAccessToTeamTeamsOrigin$ ||= {});
  RequestAccessToTeamTeamsGitUserId$inboundSchema = unionType([stringType(), numberType()]);
  RequestAccessToTeamTeamsGitUserId$outboundSchema = unionType([stringType(), numberType()]);
  ((RequestAccessToTeamTeamsGitUserId$) => {
    RequestAccessToTeamTeamsGitUserId$.inboundSchema = RequestAccessToTeamTeamsGitUserId$inboundSchema;
    RequestAccessToTeamTeamsGitUserId$.outboundSchema = RequestAccessToTeamTeamsGitUserId$outboundSchema;
  })(RequestAccessToTeamTeamsGitUserId$ ||= {});
  RequestAccessToTeamTeamsJoinedFrom$inboundSchema = objectType({
    origin: RequestAccessToTeamTeamsOrigin$inboundSchema,
    commitId: stringType().optional(),
    repoId: stringType().optional(),
    repoPath: stringType().optional(),
    gitUserId: unionType([stringType(), numberType()]).optional(),
    gitUserLogin: stringType().optional(),
    ssoUserId: stringType().optional(),
    ssoConnectedAt: numberType().optional(),
    idpUserId: stringType().optional(),
    dsyncUserId: stringType().optional(),
    dsyncConnectedAt: numberType().optional()
  });
  RequestAccessToTeamTeamsJoinedFrom$outboundSchema = objectType({
    origin: RequestAccessToTeamTeamsOrigin$outboundSchema,
    commitId: stringType().optional(),
    repoId: stringType().optional(),
    repoPath: stringType().optional(),
    gitUserId: unionType([stringType(), numberType()]).optional(),
    gitUserLogin: stringType().optional(),
    ssoUserId: stringType().optional(),
    ssoConnectedAt: numberType().optional(),
    idpUserId: stringType().optional(),
    dsyncUserId: stringType().optional(),
    dsyncConnectedAt: numberType().optional()
  });
  ((RequestAccessToTeamTeamsJoinedFrom$) => {
    RequestAccessToTeamTeamsJoinedFrom$.inboundSchema = RequestAccessToTeamTeamsJoinedFrom$inboundSchema;
    RequestAccessToTeamTeamsJoinedFrom$.outboundSchema = RequestAccessToTeamTeamsJoinedFrom$outboundSchema;
  })(RequestAccessToTeamTeamsJoinedFrom$ ||= {});
  Github$inboundSchema = objectType({
    login: stringType().optional()
  });
  Github$outboundSchema = objectType({
    login: stringType().optional()
  });
  ((Github$) => {
    Github$.inboundSchema = Github$inboundSchema;
    Github$.outboundSchema = Github$outboundSchema;
  })(Github$ ||= {});
  Gitlab$inboundSchema = objectType({
    login: stringType().optional()
  });
  Gitlab$outboundSchema = objectType({
    login: stringType().optional()
  });
  ((Gitlab$) => {
    Gitlab$.inboundSchema = Gitlab$inboundSchema;
    Gitlab$.outboundSchema = Gitlab$outboundSchema;
  })(Gitlab$ ||= {});
  Bitbucket$inboundSchema = objectType({
    login: stringType().optional()
  });
  Bitbucket$outboundSchema = objectType({
    login: stringType().optional()
  });
  ((Bitbucket$) => {
    Bitbucket$.inboundSchema = Bitbucket$inboundSchema;
    Bitbucket$.outboundSchema = Bitbucket$outboundSchema;
  })(Bitbucket$ ||= {});
  RequestAccessToTeamResponseBody$inboundSchema = objectType({
    teamSlug: stringType(),
    teamName: stringType(),
    confirmed: booleanType().optional(),
    joinedFrom: lazyType(() => RequestAccessToTeamTeamsJoinedFrom$inboundSchema).optional(),
    accessRequestedAt: numberType().optional(),
    github: nullableType(lazyType(() => Github$inboundSchema)),
    gitlab: nullableType(lazyType(() => Gitlab$inboundSchema)),
    bitbucket: nullableType(lazyType(() => Bitbucket$inboundSchema))
  });
  RequestAccessToTeamResponseBody$outboundSchema = objectType({
    teamSlug: stringType(),
    teamName: stringType(),
    confirmed: booleanType().optional(),
    joinedFrom: lazyType(() => RequestAccessToTeamTeamsJoinedFrom$outboundSchema).optional(),
    accessRequestedAt: numberType().optional(),
    github: nullableType(lazyType(() => Github$outboundSchema)),
    gitlab: nullableType(lazyType(() => Gitlab$outboundSchema)),
    bitbucket: nullableType(lazyType(() => Bitbucket$outboundSchema))
  });
  ((RequestAccessToTeamResponseBody$) => {
    RequestAccessToTeamResponseBody$.inboundSchema = RequestAccessToTeamResponseBody$inboundSchema;
    RequestAccessToTeamResponseBody$.outboundSchema = RequestAccessToTeamResponseBody$outboundSchema;
  })(RequestAccessToTeamResponseBody$ ||= {});
});

// src/funcs/teamsRequestAccessToTeam.ts
function teamsRequestAccessToTeam(client, request, options) {
  return new APIPromise($do159(client, request, options));
}
async function $do159(client, request, options) {
  const parsed = safeParse(request, (value) => RequestAccessToTeamRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    teamId: encodeSimple("teamId", payload.teamId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/teams/{teamId}/request")(pathParams);
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "requestAccessToTeam",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "503", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, RequestAccessToTeamResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([403, "4XX"]), fail([503, "5XX"]))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_teamsRequestAccessToTeam = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_requestaccesstoteamop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/teamsRequestAccessToTeam.ts
var args158, tool$teamsRequestAccessToTeam;
var init_teamsRequestAccessToTeam2 = __esm(() => {
  init_teamsRequestAccessToTeam();
  init_requestaccesstoteamop();
  init_tools();
  args158 = {
    request: RequestAccessToTeamRequest$inboundSchema
  };
  tool$teamsRequestAccessToTeam = {
    name: "teams-request-access-to-team",
    description: `Request access to a team

Request access to a team as a member. An owner has to approve the request. Only 10 users can request access to a team at the same time.`,
    args: args158,
    tool: async (client, args159, ctx) => {
      const [result, apiCall] = await teamsRequestAccessToTeam(client, args159.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/updateteammemberop.ts
var UpdateTeamMemberRole, UpdateTeamMemberRole$inboundSchema, UpdateTeamMemberRole$outboundSchema, UpdateTeamMemberRole$, UpdateTeamMemberProjects$inboundSchema, UpdateTeamMemberProjects$outboundSchema, UpdateTeamMemberProjects$, UpdateTeamMemberJoinedFrom$inboundSchema, UpdateTeamMemberJoinedFrom$outboundSchema, UpdateTeamMemberJoinedFrom$, UpdateTeamMemberRequestBody$inboundSchema, UpdateTeamMemberRequestBody$outboundSchema, UpdateTeamMemberRequestBody$, UpdateTeamMemberRequest$inboundSchema, UpdateTeamMemberRequest$outboundSchema, UpdateTeamMemberRequest$, UpdateTeamMemberResponseBody$inboundSchema, UpdateTeamMemberResponseBody$outboundSchema, UpdateTeamMemberResponseBody$;
var init_updateteammemberop = __esm(() => {
  init_esm();
  init_primitives();
  UpdateTeamMemberRole = {
    Admin: "ADMIN",
    ProjectViewer: "PROJECT_VIEWER",
    ProjectDeveloper: "PROJECT_DEVELOPER"
  };
  UpdateTeamMemberRole$inboundSchema = nativeEnumType(UpdateTeamMemberRole);
  UpdateTeamMemberRole$outboundSchema = UpdateTeamMemberRole$inboundSchema;
  ((UpdateTeamMemberRole$) => {
    UpdateTeamMemberRole$.inboundSchema = UpdateTeamMemberRole$inboundSchema;
    UpdateTeamMemberRole$.outboundSchema = UpdateTeamMemberRole$outboundSchema;
  })(UpdateTeamMemberRole$ ||= {});
  UpdateTeamMemberProjects$inboundSchema = objectType({
    projectId: stringType(),
    role: nullableType(UpdateTeamMemberRole$inboundSchema)
  });
  UpdateTeamMemberProjects$outboundSchema = objectType({
    projectId: stringType(),
    role: nullableType(UpdateTeamMemberRole$outboundSchema)
  });
  ((UpdateTeamMemberProjects$) => {
    UpdateTeamMemberProjects$.inboundSchema = UpdateTeamMemberProjects$inboundSchema;
    UpdateTeamMemberProjects$.outboundSchema = UpdateTeamMemberProjects$outboundSchema;
  })(UpdateTeamMemberProjects$ ||= {});
  UpdateTeamMemberJoinedFrom$inboundSchema = objectType({
    ssoUserId: nullableType(anyType()).optional()
  });
  UpdateTeamMemberJoinedFrom$outboundSchema = objectType({
    ssoUserId: nullableType(anyType()).optional()
  });
  ((UpdateTeamMemberJoinedFrom$) => {
    UpdateTeamMemberJoinedFrom$.inboundSchema = UpdateTeamMemberJoinedFrom$inboundSchema;
    UpdateTeamMemberJoinedFrom$.outboundSchema = UpdateTeamMemberJoinedFrom$outboundSchema;
  })(UpdateTeamMemberJoinedFrom$ ||= {});
  UpdateTeamMemberRequestBody$inboundSchema = objectType({
    confirmed: booleanType().optional(),
    role: stringType().default("MEMBER"),
    projects: arrayType(lazyType(() => UpdateTeamMemberProjects$inboundSchema)).optional(),
    joinedFrom: lazyType(() => UpdateTeamMemberJoinedFrom$inboundSchema).optional()
  });
  UpdateTeamMemberRequestBody$outboundSchema = objectType({
    confirmed: booleanType().optional(),
    role: stringType().default("MEMBER"),
    projects: arrayType(lazyType(() => UpdateTeamMemberProjects$outboundSchema)).optional(),
    joinedFrom: lazyType(() => UpdateTeamMemberJoinedFrom$outboundSchema).optional()
  });
  ((UpdateTeamMemberRequestBody$) => {
    UpdateTeamMemberRequestBody$.inboundSchema = UpdateTeamMemberRequestBody$inboundSchema;
    UpdateTeamMemberRequestBody$.outboundSchema = UpdateTeamMemberRequestBody$outboundSchema;
  })(UpdateTeamMemberRequestBody$ ||= {});
  UpdateTeamMemberRequest$inboundSchema = objectType({
    uid: stringType(),
    teamId: stringType(),
    RequestBody: lazyType(() => UpdateTeamMemberRequestBody$inboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  UpdateTeamMemberRequest$outboundSchema = objectType({
    uid: stringType(),
    teamId: stringType(),
    requestBody: lazyType(() => UpdateTeamMemberRequestBody$outboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((UpdateTeamMemberRequest$) => {
    UpdateTeamMemberRequest$.inboundSchema = UpdateTeamMemberRequest$inboundSchema;
    UpdateTeamMemberRequest$.outboundSchema = UpdateTeamMemberRequest$outboundSchema;
  })(UpdateTeamMemberRequest$ ||= {});
  UpdateTeamMemberResponseBody$inboundSchema = objectType({
    id: stringType()
  });
  UpdateTeamMemberResponseBody$outboundSchema = objectType({
    id: stringType()
  });
  ((UpdateTeamMemberResponseBody$) => {
    UpdateTeamMemberResponseBody$.inboundSchema = UpdateTeamMemberResponseBody$inboundSchema;
    UpdateTeamMemberResponseBody$.outboundSchema = UpdateTeamMemberResponseBody$outboundSchema;
  })(UpdateTeamMemberResponseBody$ ||= {});
});

// src/funcs/teamsUpdateTeamMember.ts
function teamsUpdateTeamMember(client, request, options) {
  return new APIPromise($do160(client, request, options));
}
async function $do160(client, request, options) {
  const parsed = safeParse(request, (value) => UpdateTeamMemberRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    teamId: encodeSimple("teamId", payload.teamId, {
      explode: false,
      charEncoding: "percent"
    }),
    uid: encodeSimple("uid", payload.uid, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/teams/{teamId}/members/{uid}")(pathParams);
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "updateTeamMember",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "PATCH",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "404", "4XX", "500", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, UpdateTeamMemberResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([402, 403, "4XX"]), fail([500, "5XX"]))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_teamsUpdateTeamMember = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_updateteammemberop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_vercelnotfounderror();
  init_async();
});

// src/mcp-server/tools/teamsUpdateTeamMember.ts
var args159, tool$teamsUpdateTeamMember;
var init_teamsUpdateTeamMember2 = __esm(() => {
  init_teamsUpdateTeamMember();
  init_updateteammemberop();
  init_tools();
  args159 = {
    request: UpdateTeamMemberRequest$inboundSchema
  };
  tool$teamsUpdateTeamMember = {
    name: "teams-update-team-member",
    description: `Update a Team Member

Update the membership of a Team Member on the Team specified by \`teamId\`, such as changing the _role_ of the member, or confirming a request to join the Team for an unconfirmed member. The authenticated user must be an \`OWNER\` of the Team.`,
    args: args159,
    tool: async (client, args160, ctx) => {
      const [result, apiCall] = await teamsUpdateTeamMember(client, args160.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/authuser.ts
var Reason, BlockedDueToOverageType, PurchaseType, ViewPreference, FavoritesViewPreference, RecentsViewPreference, ImportFlowGitProvider, Reason$inboundSchema, Reason$outboundSchema, Reason$, BlockedDueToOverageType$inboundSchema, BlockedDueToOverageType$outboundSchema, BlockedDueToOverageType$, SoftBlock$inboundSchema, SoftBlock$outboundSchema, SoftBlock$, Billing$inboundSchema, Billing$outboundSchema, Billing$, BuildEntitlements$inboundSchema, BuildEntitlements$outboundSchema, BuildEntitlements$, PurchaseType$inboundSchema, PurchaseType$outboundSchema, PurchaseType$, BuildMachine$inboundSchema, BuildMachine$outboundSchema, BuildMachine$, ResourceConfig$inboundSchema, ResourceConfig$outboundSchema, ResourceConfig$, ViewPreference$inboundSchema, ViewPreference$outboundSchema, ViewPreference$, FavoritesViewPreference$inboundSchema, FavoritesViewPreference$outboundSchema, FavoritesViewPreference$, RecentsViewPreference$inboundSchema, RecentsViewPreference$outboundSchema, RecentsViewPreference$, ActiveDashboardViews$inboundSchema, ActiveDashboardViews$outboundSchema, ActiveDashboardViews$, ImportFlowGitNamespace$inboundSchema, ImportFlowGitNamespace$outboundSchema, ImportFlowGitNamespace$, ImportFlowGitNamespaceId$inboundSchema, ImportFlowGitNamespaceId$outboundSchema, ImportFlowGitNamespaceId$, ImportFlowGitProvider$inboundSchema, ImportFlowGitProvider$outboundSchema, ImportFlowGitProvider$, GitNamespaceId$inboundSchema, GitNamespaceId$outboundSchema, GitNamespaceId$, PreferredScopesAndGitNamespaces$inboundSchema, PreferredScopesAndGitNamespaces$outboundSchema, PreferredScopesAndGitNamespaces$, Dismissals$inboundSchema, Dismissals$outboundSchema, Dismissals$, DismissedToasts$inboundSchema, DismissedToasts$outboundSchema, DismissedToasts$, FavoriteProjectsAndSpaces$inboundSchema, FavoriteProjectsAndSpaces$outboundSchema, FavoriteProjectsAndSpaces$, RemoteCaching$inboundSchema, RemoteCaching$outboundSchema, RemoteCaching$, DataCache$inboundSchema, DataCache$outboundSchema, DataCache$, WebAnalytics$inboundSchema, WebAnalytics$outboundSchema, WebAnalytics$, FeatureBlocks$inboundSchema, FeatureBlocks$outboundSchema, FeatureBlocks$, AuthUser$inboundSchema, AuthUser$outboundSchema, AuthUser$;
var init_authuser = __esm(() => {
  init_esm();
  Reason = {
    SubscriptionCanceled: "SUBSCRIPTION_CANCELED",
    SubscriptionExpired: "SUBSCRIPTION_EXPIRED",
    UnpaidInvoice: "UNPAID_INVOICE",
    EnterpriseTrialEnded: "ENTERPRISE_TRIAL_ENDED",
    FairUseLimitsExceeded: "FAIR_USE_LIMITS_EXCEEDED",
    BlockedForPlatformAbuse: "BLOCKED_FOR_PLATFORM_ABUSE"
  };
  BlockedDueToOverageType = {
    AnalyticsUsage: "analyticsUsage",
    Artifacts: "artifacts",
    Bandwidth: "bandwidth",
    BlobTotalAdvancedRequests: "blobTotalAdvancedRequests",
    BlobTotalAvgSizeInBytes: "blobTotalAvgSizeInBytes",
    BlobTotalGetResponseObjectSizeInBytes: "blobTotalGetResponseObjectSizeInBytes",
    BlobTotalSimpleRequests: "blobTotalSimpleRequests",
    DataCacheRead: "dataCacheRead",
    DataCacheWrite: "dataCacheWrite",
    EdgeConfigRead: "edgeConfigRead",
    EdgeConfigWrite: "edgeConfigWrite",
    EdgeFunctionExecutionUnits: "edgeFunctionExecutionUnits",
    EdgeMiddlewareInvocations: "edgeMiddlewareInvocations",
    EdgeRequestAdditionalCpuDuration: "edgeRequestAdditionalCpuDuration",
    EdgeRequest: "edgeRequest",
    ElasticConcurrencyBuildSlots: "elasticConcurrencyBuildSlots",
    FastDataTransfer: "fastDataTransfer",
    FastOriginTransfer: "fastOriginTransfer",
    FunctionDuration: "functionDuration",
    FunctionInvocation: "functionInvocation",
    ImageOptimizationCacheRead: "imageOptimizationCacheRead",
    ImageOptimizationCacheWrite: "imageOptimizationCacheWrite",
    ImageOptimizationTransformation: "imageOptimizationTransformation",
    LogDrainsVolume: "logDrainsVolume",
    MonitoringMetric: "monitoringMetric",
    BlobDataTransfer: "blobDataTransfer",
    ObservabilityEvent: "observabilityEvent",
    PostgresComputeTime: "postgresComputeTime",
    PostgresDataStorage: "postgresDataStorage",
    PostgresDataTransfer: "postgresDataTransfer",
    PostgresDatabase: "postgresDatabase",
    PostgresWrittenData: "postgresWrittenData",
    ServerlessFunctionExecution: "serverlessFunctionExecution",
    SourceImages: "sourceImages",
    StorageRedisTotalBandwidthInBytes: "storageRedisTotalBandwidthInBytes",
    StorageRedisTotalCommands: "storageRedisTotalCommands",
    StorageRedisTotalDailyAvgStorageInBytes: "storageRedisTotalDailyAvgStorageInBytes",
    StorageRedisTotalDatabases: "storageRedisTotalDatabases",
    WafOwaspExcessBytes: "wafOwaspExcessBytes",
    WafOwaspRequests: "wafOwaspRequests",
    WafRateLimitRequest: "wafRateLimitRequest",
    WebAnalyticsEvent: "webAnalyticsEvent"
  };
  PurchaseType = {
    Enhanced: "enhanced",
    Ultra: "ultra"
  };
  ViewPreference = {
    List: "list",
    Cards: "cards"
  };
  FavoritesViewPreference = {
    Open: "open",
    Closed: "closed"
  };
  RecentsViewPreference = {
    Open: "open",
    Closed: "closed"
  };
  ImportFlowGitProvider = {
    Github: "github",
    Gitlab: "gitlab",
    Bitbucket: "bitbucket",
    GithubCustomHost: "github-custom-host"
  };
  Reason$inboundSchema = nativeEnumType(Reason);
  Reason$outboundSchema = Reason$inboundSchema;
  ((Reason$) => {
    Reason$.inboundSchema = Reason$inboundSchema;
    Reason$.outboundSchema = Reason$outboundSchema;
  })(Reason$ ||= {});
  BlockedDueToOverageType$inboundSchema = nativeEnumType(BlockedDueToOverageType);
  BlockedDueToOverageType$outboundSchema = BlockedDueToOverageType$inboundSchema;
  ((BlockedDueToOverageType$) => {
    BlockedDueToOverageType$.inboundSchema = BlockedDueToOverageType$inboundSchema;
    BlockedDueToOverageType$.outboundSchema = BlockedDueToOverageType$outboundSchema;
  })(BlockedDueToOverageType$ ||= {});
  SoftBlock$inboundSchema = objectType({
    blockedAt: numberType(),
    reason: Reason$inboundSchema,
    blockedDueToOverageType: BlockedDueToOverageType$inboundSchema.optional()
  });
  SoftBlock$outboundSchema = objectType({
    blockedAt: numberType(),
    reason: Reason$outboundSchema,
    blockedDueToOverageType: BlockedDueToOverageType$outboundSchema.optional()
  });
  ((SoftBlock$) => {
    SoftBlock$.inboundSchema = SoftBlock$inboundSchema;
    SoftBlock$.outboundSchema = SoftBlock$outboundSchema;
  })(SoftBlock$ ||= {});
  Billing$inboundSchema = objectType({});
  Billing$outboundSchema = objectType({});
  ((Billing$) => {
    Billing$.inboundSchema = Billing$inboundSchema;
    Billing$.outboundSchema = Billing$outboundSchema;
  })(Billing$ ||= {});
  BuildEntitlements$inboundSchema = objectType({
    enhancedBuilds: booleanType().optional()
  });
  BuildEntitlements$outboundSchema = objectType({
    enhancedBuilds: booleanType().optional()
  });
  ((BuildEntitlements$) => {
    BuildEntitlements$.inboundSchema = BuildEntitlements$inboundSchema;
    BuildEntitlements$.outboundSchema = BuildEntitlements$outboundSchema;
  })(BuildEntitlements$ ||= {});
  PurchaseType$inboundSchema = nativeEnumType(PurchaseType);
  PurchaseType$outboundSchema = PurchaseType$inboundSchema;
  ((PurchaseType$) => {
    PurchaseType$.inboundSchema = PurchaseType$inboundSchema;
    PurchaseType$.outboundSchema = PurchaseType$outboundSchema;
  })(PurchaseType$ ||= {});
  BuildMachine$inboundSchema = objectType({
    purchaseType: PurchaseType$inboundSchema.optional(),
    isDefaultBuildMachine: booleanType().optional(),
    cores: numberType().optional(),
    memory: numberType().optional()
  });
  BuildMachine$outboundSchema = objectType({
    purchaseType: PurchaseType$outboundSchema.optional(),
    isDefaultBuildMachine: booleanType().optional(),
    cores: numberType().optional(),
    memory: numberType().optional()
  });
  ((BuildMachine$) => {
    BuildMachine$.inboundSchema = BuildMachine$inboundSchema;
    BuildMachine$.outboundSchema = BuildMachine$outboundSchema;
  })(BuildMachine$ ||= {});
  ResourceConfig$inboundSchema = objectType({
    nodeType: stringType().optional(),
    concurrentBuilds: numberType().optional(),
    buildEntitlements: lazyType(() => BuildEntitlements$inboundSchema).optional(),
    awsAccountType: stringType().optional(),
    awsAccountIds: arrayType(stringType()).optional(),
    cfZoneName: stringType().optional(),
    imageOptimizationType: stringType().optional(),
    edgeConfigs: numberType().optional(),
    edgeConfigSize: numberType().optional(),
    edgeFunctionMaxSizeBytes: numberType().optional(),
    edgeFunctionExecutionTimeoutMs: numberType().optional(),
    serverlessFunctionMaxMemorySize: numberType().optional(),
    kvDatabases: numberType().optional(),
    postgresDatabases: numberType().optional(),
    blobStores: numberType().optional(),
    integrationStores: numberType().optional(),
    cronJobs: numberType().optional(),
    cronJobsPerProject: numberType().optional(),
    microfrontendGroupsPerTeam: numberType().optional(),
    microfrontendProjectsPerGroup: numberType().optional(),
    flagsExplorerOverridesThreshold: numberType().optional(),
    flagsExplorerUnlimitedOverrides: booleanType().optional(),
    customEnvironmentsPerProject: numberType().optional(),
    buildMachine: lazyType(() => BuildMachine$inboundSchema).optional()
  });
  ResourceConfig$outboundSchema = objectType({
    nodeType: stringType().optional(),
    concurrentBuilds: numberType().optional(),
    buildEntitlements: lazyType(() => BuildEntitlements$outboundSchema).optional(),
    awsAccountType: stringType().optional(),
    awsAccountIds: arrayType(stringType()).optional(),
    cfZoneName: stringType().optional(),
    imageOptimizationType: stringType().optional(),
    edgeConfigs: numberType().optional(),
    edgeConfigSize: numberType().optional(),
    edgeFunctionMaxSizeBytes: numberType().optional(),
    edgeFunctionExecutionTimeoutMs: numberType().optional(),
    serverlessFunctionMaxMemorySize: numberType().optional(),
    kvDatabases: numberType().optional(),
    postgresDatabases: numberType().optional(),
    blobStores: numberType().optional(),
    integrationStores: numberType().optional(),
    cronJobs: numberType().optional(),
    cronJobsPerProject: numberType().optional(),
    microfrontendGroupsPerTeam: numberType().optional(),
    microfrontendProjectsPerGroup: numberType().optional(),
    flagsExplorerOverridesThreshold: numberType().optional(),
    flagsExplorerUnlimitedOverrides: booleanType().optional(),
    customEnvironmentsPerProject: numberType().optional(),
    buildMachine: lazyType(() => BuildMachine$outboundSchema).optional()
  });
  ((ResourceConfig$) => {
    ResourceConfig$.inboundSchema = ResourceConfig$inboundSchema;
    ResourceConfig$.outboundSchema = ResourceConfig$outboundSchema;
  })(ResourceConfig$ ||= {});
  ViewPreference$inboundSchema = nativeEnumType(ViewPreference);
  ViewPreference$outboundSchema = ViewPreference$inboundSchema;
  ((ViewPreference$) => {
    ViewPreference$.inboundSchema = ViewPreference$inboundSchema;
    ViewPreference$.outboundSchema = ViewPreference$outboundSchema;
  })(ViewPreference$ ||= {});
  FavoritesViewPreference$inboundSchema = nativeEnumType(FavoritesViewPreference);
  FavoritesViewPreference$outboundSchema = FavoritesViewPreference$inboundSchema;
  ((FavoritesViewPreference$) => {
    FavoritesViewPreference$.inboundSchema = FavoritesViewPreference$inboundSchema;
    FavoritesViewPreference$.outboundSchema = FavoritesViewPreference$outboundSchema;
  })(FavoritesViewPreference$ ||= {});
  RecentsViewPreference$inboundSchema = nativeEnumType(RecentsViewPreference);
  RecentsViewPreference$outboundSchema = RecentsViewPreference$inboundSchema;
  ((RecentsViewPreference$) => {
    RecentsViewPreference$.inboundSchema = RecentsViewPreference$inboundSchema;
    RecentsViewPreference$.outboundSchema = RecentsViewPreference$outboundSchema;
  })(RecentsViewPreference$ ||= {});
  ActiveDashboardViews$inboundSchema = objectType({
    scopeId: stringType(),
    viewPreference: nullableType(ViewPreference$inboundSchema).optional(),
    favoritesViewPreference: nullableType(FavoritesViewPreference$inboundSchema).optional(),
    recentsViewPreference: nullableType(RecentsViewPreference$inboundSchema).optional()
  });
  ActiveDashboardViews$outboundSchema = objectType({
    scopeId: stringType(),
    viewPreference: nullableType(ViewPreference$outboundSchema).optional(),
    favoritesViewPreference: nullableType(FavoritesViewPreference$outboundSchema).optional(),
    recentsViewPreference: nullableType(RecentsViewPreference$outboundSchema).optional()
  });
  ((ActiveDashboardViews$) => {
    ActiveDashboardViews$.inboundSchema = ActiveDashboardViews$inboundSchema;
    ActiveDashboardViews$.outboundSchema = ActiveDashboardViews$outboundSchema;
  })(ActiveDashboardViews$ ||= {});
  ImportFlowGitNamespace$inboundSchema = unionType([stringType(), numberType()]);
  ImportFlowGitNamespace$outboundSchema = unionType([stringType(), numberType()]);
  ((ImportFlowGitNamespace$) => {
    ImportFlowGitNamespace$.inboundSchema = ImportFlowGitNamespace$inboundSchema;
    ImportFlowGitNamespace$.outboundSchema = ImportFlowGitNamespace$outboundSchema;
  })(ImportFlowGitNamespace$ ||= {});
  ImportFlowGitNamespaceId$inboundSchema = unionType([stringType(), numberType()]);
  ImportFlowGitNamespaceId$outboundSchema = unionType([stringType(), numberType()]);
  ((ImportFlowGitNamespaceId$) => {
    ImportFlowGitNamespaceId$.inboundSchema = ImportFlowGitNamespaceId$inboundSchema;
    ImportFlowGitNamespaceId$.outboundSchema = ImportFlowGitNamespaceId$outboundSchema;
  })(ImportFlowGitNamespaceId$ ||= {});
  ImportFlowGitProvider$inboundSchema = nativeEnumType(ImportFlowGitProvider);
  ImportFlowGitProvider$outboundSchema = ImportFlowGitProvider$inboundSchema;
  ((ImportFlowGitProvider$) => {
    ImportFlowGitProvider$.inboundSchema = ImportFlowGitProvider$inboundSchema;
    ImportFlowGitProvider$.outboundSchema = ImportFlowGitProvider$outboundSchema;
  })(ImportFlowGitProvider$ ||= {});
  GitNamespaceId$inboundSchema = unionType([stringType(), numberType()]);
  GitNamespaceId$outboundSchema = unionType([stringType(), numberType()]);
  ((GitNamespaceId$) => {
    GitNamespaceId$.inboundSchema = GitNamespaceId$inboundSchema;
    GitNamespaceId$.outboundSchema = GitNamespaceId$outboundSchema;
  })(GitNamespaceId$ ||= {});
  PreferredScopesAndGitNamespaces$inboundSchema = objectType({
    scopeId: stringType(),
    gitNamespaceId: nullableType(unionType([stringType(), numberType()]))
  });
  PreferredScopesAndGitNamespaces$outboundSchema = objectType({
    scopeId: stringType(),
    gitNamespaceId: nullableType(unionType([stringType(), numberType()]))
  });
  ((PreferredScopesAndGitNamespaces$) => {
    PreferredScopesAndGitNamespaces$.inboundSchema = PreferredScopesAndGitNamespaces$inboundSchema;
    PreferredScopesAndGitNamespaces$.outboundSchema = PreferredScopesAndGitNamespaces$outboundSchema;
  })(PreferredScopesAndGitNamespaces$ ||= {});
  Dismissals$inboundSchema = objectType({
    scopeId: stringType(),
    createdAt: numberType()
  });
  Dismissals$outboundSchema = objectType({
    scopeId: stringType(),
    createdAt: numberType()
  });
  ((Dismissals$) => {
    Dismissals$.inboundSchema = Dismissals$inboundSchema;
    Dismissals$.outboundSchema = Dismissals$outboundSchema;
  })(Dismissals$ ||= {});
  DismissedToasts$inboundSchema = objectType({
    name: stringType(),
    dismissals: arrayType(lazyType(() => Dismissals$inboundSchema))
  });
  DismissedToasts$outboundSchema = objectType({
    name: stringType(),
    dismissals: arrayType(lazyType(() => Dismissals$outboundSchema))
  });
  ((DismissedToasts$) => {
    DismissedToasts$.inboundSchema = DismissedToasts$inboundSchema;
    DismissedToasts$.outboundSchema = DismissedToasts$outboundSchema;
  })(DismissedToasts$ ||= {});
  FavoriteProjectsAndSpaces$inboundSchema = objectType({
    teamId: stringType(),
    projectId: stringType()
  });
  FavoriteProjectsAndSpaces$outboundSchema = objectType({
    teamId: stringType(),
    projectId: stringType()
  });
  ((FavoriteProjectsAndSpaces$) => {
    FavoriteProjectsAndSpaces$.inboundSchema = FavoriteProjectsAndSpaces$inboundSchema;
    FavoriteProjectsAndSpaces$.outboundSchema = FavoriteProjectsAndSpaces$outboundSchema;
  })(FavoriteProjectsAndSpaces$ ||= {});
  RemoteCaching$inboundSchema = objectType({
    enabled: booleanType().optional()
  });
  RemoteCaching$outboundSchema = objectType({
    enabled: booleanType().optional()
  });
  ((RemoteCaching$) => {
    RemoteCaching$.inboundSchema = RemoteCaching$inboundSchema;
    RemoteCaching$.outboundSchema = RemoteCaching$outboundSchema;
  })(RemoteCaching$ ||= {});
  DataCache$inboundSchema = objectType({
    excessBillingEnabled: booleanType().optional()
  });
  DataCache$outboundSchema = objectType({
    excessBillingEnabled: booleanType().optional()
  });
  ((DataCache$) => {
    DataCache$.inboundSchema = DataCache$inboundSchema;
    DataCache$.outboundSchema = DataCache$outboundSchema;
  })(DataCache$ ||= {});
  WebAnalytics$inboundSchema = objectType({
    blockedFrom: numberType().optional(),
    blockedUntil: numberType().optional(),
    isCurrentlyBlocked: booleanType()
  });
  WebAnalytics$outboundSchema = objectType({
    blockedFrom: numberType().optional(),
    blockedUntil: numberType().optional(),
    isCurrentlyBlocked: booleanType()
  });
  ((WebAnalytics$) => {
    WebAnalytics$.inboundSchema = WebAnalytics$inboundSchema;
    WebAnalytics$.outboundSchema = WebAnalytics$outboundSchema;
  })(WebAnalytics$ ||= {});
  FeatureBlocks$inboundSchema = objectType({
    webAnalytics: lazyType(() => WebAnalytics$inboundSchema).optional()
  });
  FeatureBlocks$outboundSchema = objectType({
    webAnalytics: lazyType(() => WebAnalytics$outboundSchema).optional()
  });
  ((FeatureBlocks$) => {
    FeatureBlocks$.inboundSchema = FeatureBlocks$inboundSchema;
    FeatureBlocks$.outboundSchema = FeatureBlocks$outboundSchema;
  })(FeatureBlocks$ ||= {});
  AuthUser$inboundSchema = objectType({
    createdAt: numberType(),
    softBlock: nullableType(lazyType(() => SoftBlock$inboundSchema)),
    billing: nullableType(lazyType(() => Billing$inboundSchema)),
    resourceConfig: lazyType(() => ResourceConfig$inboundSchema),
    stagingPrefix: stringType(),
    activeDashboardViews: arrayType(lazyType(() => ActiveDashboardViews$inboundSchema)).optional(),
    importFlowGitNamespace: nullableType(unionType([stringType(), numberType()])).optional(),
    importFlowGitNamespaceId: nullableType(unionType([stringType(), numberType()])).optional(),
    importFlowGitProvider: nullableType(ImportFlowGitProvider$inboundSchema).optional(),
    preferredScopesAndGitNamespaces: arrayType(lazyType(() => PreferredScopesAndGitNamespaces$inboundSchema)).optional(),
    dismissedToasts: arrayType(lazyType(() => DismissedToasts$inboundSchema)).optional(),
    favoriteProjectsAndSpaces: arrayType(lazyType(() => FavoriteProjectsAndSpaces$inboundSchema)).optional(),
    hasTrialAvailable: booleanType(),
    remoteCaching: lazyType(() => RemoteCaching$inboundSchema).optional(),
    dataCache: lazyType(() => DataCache$inboundSchema).optional(),
    featureBlocks: lazyType(() => FeatureBlocks$inboundSchema).optional(),
    id: stringType(),
    email: stringType(),
    name: nullableType(stringType()),
    username: stringType(),
    avatar: nullableType(stringType()),
    defaultTeamId: nullableType(stringType())
  });
  AuthUser$outboundSchema = objectType({
    createdAt: numberType(),
    softBlock: nullableType(lazyType(() => SoftBlock$outboundSchema)),
    billing: nullableType(lazyType(() => Billing$outboundSchema)),
    resourceConfig: lazyType(() => ResourceConfig$outboundSchema),
    stagingPrefix: stringType(),
    activeDashboardViews: arrayType(lazyType(() => ActiveDashboardViews$outboundSchema)).optional(),
    importFlowGitNamespace: nullableType(unionType([stringType(), numberType()])).optional(),
    importFlowGitNamespaceId: nullableType(unionType([stringType(), numberType()])).optional(),
    importFlowGitProvider: nullableType(ImportFlowGitProvider$outboundSchema).optional(),
    preferredScopesAndGitNamespaces: arrayType(lazyType(() => PreferredScopesAndGitNamespaces$outboundSchema)).optional(),
    dismissedToasts: arrayType(lazyType(() => DismissedToasts$outboundSchema)).optional(),
    favoriteProjectsAndSpaces: arrayType(lazyType(() => FavoriteProjectsAndSpaces$outboundSchema)).optional(),
    hasTrialAvailable: booleanType(),
    remoteCaching: lazyType(() => RemoteCaching$outboundSchema).optional(),
    dataCache: lazyType(() => DataCache$outboundSchema).optional(),
    featureBlocks: lazyType(() => FeatureBlocks$outboundSchema).optional(),
    id: stringType(),
    email: stringType(),
    name: nullableType(stringType()),
    username: stringType(),
    avatar: nullableType(stringType()),
    defaultTeamId: nullableType(stringType())
  });
  ((AuthUser$) => {
    AuthUser$.inboundSchema = AuthUser$inboundSchema;
    AuthUser$.outboundSchema = AuthUser$outboundSchema;
  })(AuthUser$ ||= {});
});

// src/models/authuserlimited.ts
var AuthUserLimited$inboundSchema, AuthUserLimited$outboundSchema, AuthUserLimited$;
var init_authuserlimited = __esm(() => {
  init_esm();
  AuthUserLimited$inboundSchema = objectType({
    limited: booleanType(),
    id: stringType(),
    email: stringType(),
    name: nullableType(stringType()),
    username: stringType(),
    avatar: nullableType(stringType()),
    defaultTeamId: nullableType(stringType())
  });
  AuthUserLimited$outboundSchema = objectType({
    limited: booleanType(),
    id: stringType(),
    email: stringType(),
    name: nullableType(stringType()),
    username: stringType(),
    avatar: nullableType(stringType()),
    defaultTeamId: nullableType(stringType())
  });
  ((AuthUserLimited$) => {
    AuthUserLimited$.inboundSchema = AuthUserLimited$inboundSchema;
    AuthUserLimited$.outboundSchema = AuthUserLimited$outboundSchema;
  })(AuthUserLimited$ ||= {});
});

// src/models/getauthuserop.ts
var GetAuthUserUser$inboundSchema, GetAuthUserUser$outboundSchema, GetAuthUserUser$, GetAuthUserResponseBody$inboundSchema, GetAuthUserResponseBody$outboundSchema, GetAuthUserResponseBody$;
var init_getauthuserop = __esm(() => {
  init_esm();
  init_authuser();
  init_authuserlimited();
  GetAuthUserUser$inboundSchema = unionType([AuthUserLimited$inboundSchema, AuthUser$inboundSchema]);
  GetAuthUserUser$outboundSchema = unionType([AuthUserLimited$outboundSchema, AuthUser$outboundSchema]);
  ((GetAuthUserUser$) => {
    GetAuthUserUser$.inboundSchema = GetAuthUserUser$inboundSchema;
    GetAuthUserUser$.outboundSchema = GetAuthUserUser$outboundSchema;
  })(GetAuthUserUser$ ||= {});
  GetAuthUserResponseBody$inboundSchema = objectType({
    user: unionType([AuthUserLimited$inboundSchema, AuthUser$inboundSchema])
  });
  GetAuthUserResponseBody$outboundSchema = objectType({
    user: unionType([AuthUserLimited$outboundSchema, AuthUser$outboundSchema])
  });
  ((GetAuthUserResponseBody$) => {
    GetAuthUserResponseBody$.inboundSchema = GetAuthUserResponseBody$inboundSchema;
    GetAuthUserResponseBody$.outboundSchema = GetAuthUserResponseBody$outboundSchema;
  })(GetAuthUserResponseBody$ ||= {});
});

// src/funcs/userGetAuthUser.ts
function userGetAuthUser(client, options) {
  return new APIPromise($do161(client, options));
}
async function $do161(client, options) {
  const path = pathToFunc("/v2/user")();
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "getAuthUser",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "409", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetAuthUserResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, 409, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_userGetAuthUser = __esm(() => {
  init_matchers();
  init_primitives();
  init_security();
  init_url();
  init_getauthuserop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/userGetAuthUser.ts
var tool$userGetAuthUser;
var init_userGetAuthUser2 = __esm(() => {
  init_userGetAuthUser();
  init_tools();
  tool$userGetAuthUser = {
    name: "user-get-auth-user",
    description: `Get the User

Retrieves information related to the currently authenticated User.`,
    tool: async (client, ctx) => {
      const [result, apiCall] = await userGetAuthUser(client, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/userevent.ts
var UserEventType, UserEventPrincipalType, PrincipalType, UserEventViaType, ViaType, GrantType, AuthMethod, Tier, UserEventPayload138Action, UserEventPayload134Role, UserEventPayload133Role, PayloadPreviousRole, UserEventPayloadRole, PayloadRole, StoreType, UserEventPayloadType, UserEventPayload100Type, PayloadPricingPlan, UserEventPayload99Type, PricingPlan, EnvId2, UserEventEnvId2, UserEventPayloadAction, TrustedIps, OldTrustedIps, PasswordProtection2, PasswordProtectionDeploymentType, OldPasswordProtection2, OldPasswordProtectionDeploymentType, SsoProtection2, DeploymentType, OldSsoProtection2, OldSsoProtectionDeploymentType, UserEventPayload74Role, PayloadOrigin, PayloadName, UserEventPayloadName, UserEventPayload62Action, Plan, UserEventCredentialsType, CredentialsType, PayloadImportFlowGitProvider, PayloadPurchaseType, PayloadViewPreference, PayloadFavoritesViewPreference, PayloadRecentsViewPreference, UserEventPayload62Name, PayloadReason, PayloadBlockedDueToOverageType, UserEventPayload62Role, PayloadTeamRoles, PayloadTeamPermissions, UserEventPayloadOrigin, UserEventPayload62Type, EnablePreviewFeedback, BlockReason, PayloadBlockReason, BlockType, UserEventPayloadBlockReason, PayloadBlockType, UserEventPayload62BlockReason, UserEventPayload62NewOwnerBlockReason, UserEventPayload62NewOwnerFeatureBlocksBlockReason, UserEventPayload62NewOwnerFeatureBlocksBlobBlockReason, OverageReason, UserEventPayload62NewOwnerFeatureBlocksPostgresBlockReason, PayloadOverageReason, UserEventPayload62NewOwnerFeatureBlocksRedisBlockReason, UserEventPayloadOverageReason, Version, UserEventPayload58OldEnvVarType, UserEventPayloadTarget, UserEventPayload58Type, UserEventPayload58Target, OldTarget, NewTarget, PayloadType, PayloadTarget, PayloadAction, NextRole, PreviousRole, Action, UserEventType$inboundSchema, UserEventType$outboundSchema, UserEventType$, Entities$inboundSchema, Entities$outboundSchema, Entities$, User$inboundSchema, User$outboundSchema, User$, UserEventPrincipalType$inboundSchema, UserEventPrincipalType$outboundSchema, UserEventPrincipalType$, Two$inboundSchema, Two$outboundSchema, Two$, PrincipalType$inboundSchema, PrincipalType$outboundSchema, PrincipalType$, One$inboundSchema, One$outboundSchema, One$, Principal$inboundSchema, Principal$outboundSchema, Principal$, UserEventViaType$inboundSchema, UserEventViaType$outboundSchema, UserEventViaType$, Via2$inboundSchema, Via2$outboundSchema, Via2$, ViaType$inboundSchema, ViaType$outboundSchema, ViaType$, Via1$inboundSchema, Via1$outboundSchema, Via1$, Via$inboundSchema, Via$outboundSchema, Via$, GrantType$inboundSchema, GrantType$outboundSchema, GrantType$, AuthMethod$inboundSchema, AuthMethod$outboundSchema, AuthMethod$, OneHundredAndFiftyTwo$inboundSchema, OneHundredAndFiftyTwo$outboundSchema, OneHundredAndFiftyTwo$, UserEventPayload151Team$inboundSchema, UserEventPayload151Team$outboundSchema, UserEventPayload151Team$, UserEventPayload151Configuration$inboundSchema, UserEventPayload151Configuration$outboundSchema, UserEventPayload151Configuration$, UserEventPayloadPeering$inboundSchema, UserEventPayloadPeering$outboundSchema, UserEventPayloadPeering$, OneHundredAndFiftyOne$inboundSchema, OneHundredAndFiftyOne$outboundSchema, OneHundredAndFiftyOne$, UserEventPayload150Team$inboundSchema, UserEventPayload150Team$outboundSchema, UserEventPayload150Team$, UserEventPayload150Configuration$inboundSchema, UserEventPayload150Configuration$outboundSchema, UserEventPayload150Configuration$, PayloadPeering$inboundSchema, PayloadPeering$outboundSchema, PayloadPeering$, OneHundredAndFifty$inboundSchema, OneHundredAndFifty$outboundSchema, OneHundredAndFifty$, UserEventPayload149Team$inboundSchema, UserEventPayload149Team$outboundSchema, UserEventPayload149Team$, UserEventPayload149Configuration$inboundSchema, UserEventPayload149Configuration$outboundSchema, UserEventPayload149Configuration$, Peering$inboundSchema, Peering$outboundSchema, Peering$, OneHundredAndFortyNine$inboundSchema, OneHundredAndFortyNine$outboundSchema, OneHundredAndFortyNine$, OneHundredAndFortyEight$inboundSchema, OneHundredAndFortyEight$outboundSchema, OneHundredAndFortyEight$, OneHundredAndFortySeven$inboundSchema, OneHundredAndFortySeven$outboundSchema, OneHundredAndFortySeven$, OneHundredAndFortySix$inboundSchema, OneHundredAndFortySix$outboundSchema, OneHundredAndFortySix$, OneHundredAndFortyFive$inboundSchema, OneHundredAndFortyFive$outboundSchema, OneHundredAndFortyFive$, Tier$inboundSchema, Tier$outboundSchema, Tier$, OneHundredAndFortyFour$inboundSchema, OneHundredAndFortyFour$outboundSchema, OneHundredAndFortyFour$, ProjectWebAnalytics$inboundSchema, ProjectWebAnalytics$outboundSchema, ProjectWebAnalytics$, PrevProjectWebAnalytics$inboundSchema, PrevProjectWebAnalytics$outboundSchema, PrevProjectWebAnalytics$, OneHundredAndFortyThree$inboundSchema, OneHundredAndFortyThree$outboundSchema, OneHundredAndFortyThree$, Microfrontends2$inboundSchema, Microfrontends2$outboundSchema, Microfrontends2$, Microfrontends1$inboundSchema, Microfrontends1$outboundSchema, Microfrontends1$, Microfrontends$inboundSchema, Microfrontends$outboundSchema, Microfrontends$, UserEventPayload142Project$inboundSchema, UserEventPayload142Project$outboundSchema, UserEventPayload142Project$, UserEventMicrofrontends2$inboundSchema, UserEventMicrofrontends2$outboundSchema, UserEventMicrofrontends2$, UserEventMicrofrontends1$inboundSchema, UserEventMicrofrontends1$outboundSchema, UserEventMicrofrontends1$, PayloadMicrofrontends$inboundSchema, PayloadMicrofrontends$outboundSchema, PayloadMicrofrontends$, UserEventPayload142PrevProject$inboundSchema, UserEventPayload142PrevProject$outboundSchema, UserEventPayload142PrevProject$, PayloadPrev$inboundSchema, PayloadPrev$outboundSchema, PayloadPrev$, PayloadGroup$inboundSchema, PayloadGroup$outboundSchema, PayloadGroup$, OneHundredAndFortyTwo$inboundSchema, OneHundredAndFortyTwo$outboundSchema, OneHundredAndFortyTwo$, UserEventPayload141Project$inboundSchema, UserEventPayload141Project$outboundSchema, UserEventPayload141Project$, Group$inboundSchema, Group$outboundSchema, Group$, OneHundredAndFortyOne$inboundSchema, OneHundredAndFortyOne$outboundSchema, OneHundredAndFortyOne$, Prev$inboundSchema, Prev$outboundSchema, Prev$, OneHundredAndForty$inboundSchema, OneHundredAndForty$outboundSchema, OneHundredAndForty$, OneHundredAndThirtyNine$inboundSchema, OneHundredAndThirtyNine$outboundSchema, OneHundredAndThirtyNine$, UserEventPayload138Action$inboundSchema, UserEventPayload138Action$outboundSchema, UserEventPayload138Action$, OneHundredAndThirtyEight$inboundSchema, OneHundredAndThirtyEight$outboundSchema, OneHundredAndThirtyEight$, OneHundredAndThirtySeven$inboundSchema, OneHundredAndThirtySeven$outboundSchema, OneHundredAndThirtySeven$, OneHundredAndThirtySix$inboundSchema, OneHundredAndThirtySix$outboundSchema, OneHundredAndThirtySix$, OneHundredAndThirtyFive$inboundSchema, OneHundredAndThirtyFive$outboundSchema, OneHundredAndThirtyFive$, UserEventPayload134Role$inboundSchema, UserEventPayload134Role$outboundSchema, UserEventPayload134Role$, UserEventPayload134Project$inboundSchema, UserEventPayload134Project$outboundSchema, UserEventPayload134Project$, OneHundredAndThirtyFour$inboundSchema, OneHundredAndThirtyFour$outboundSchema, OneHundredAndThirtyFour$, UserEventPayload133Project$inboundSchema, UserEventPayload133Project$outboundSchema, UserEventPayload133Project$, UserEventPayload133Role$inboundSchema, UserEventPayload133Role$outboundSchema, UserEventPayload133Role$, PayloadPreviousRole$inboundSchema, PayloadPreviousRole$outboundSchema, PayloadPreviousRole$, PayloadProjectMembership$inboundSchema, PayloadProjectMembership$outboundSchema, PayloadProjectMembership$, OneHundredAndThirtyThree$inboundSchema, OneHundredAndThirtyThree$outboundSchema, OneHundredAndThirtyThree$, UserEventPayload132Project$inboundSchema, UserEventPayload132Project$outboundSchema, UserEventPayload132Project$, UserEventPayloadRole$inboundSchema, UserEventPayloadRole$outboundSchema, UserEventPayloadRole$, RemovedMembership$inboundSchema, RemovedMembership$outboundSchema, RemovedMembership$, OneHundredAndThirtyTwo$inboundSchema, OneHundredAndThirtyTwo$outboundSchema, OneHundredAndThirtyTwo$, UserEventPayload131Project$inboundSchema, UserEventPayload131Project$outboundSchema, UserEventPayload131Project$, PayloadRole$inboundSchema, PayloadRole$outboundSchema, PayloadRole$, ProjectMembership$inboundSchema, ProjectMembership$outboundSchema, ProjectMembership$, OneHundredAndThirtyOne$inboundSchema, OneHundredAndThirtyOne$outboundSchema, OneHundredAndThirtyOne$, OneHundredAndThirty$inboundSchema, OneHundredAndThirty$outboundSchema, OneHundredAndThirty$, OneHundredAndTwentyNine$inboundSchema, OneHundredAndTwentyNine$outboundSchema, OneHundredAndTwentyNine$, OneHundredAndTwentyEight$inboundSchema, OneHundredAndTwentyEight$outboundSchema, OneHundredAndTwentyEight$, OneHundredAndTwentySeven$inboundSchema, OneHundredAndTwentySeven$outboundSchema, OneHundredAndTwentySeven$, OneHundredAndTwentySix$inboundSchema, OneHundredAndTwentySix$outboundSchema, OneHundredAndTwentySix$, OneHundredAndTwentyFive$inboundSchema, OneHundredAndTwentyFive$outboundSchema, OneHundredAndTwentyFive$, OneHundredAndTwentyFour$inboundSchema, OneHundredAndTwentyFour$outboundSchema, OneHundredAndTwentyFour$, OneHundredAndTwentyThree$inboundSchema, OneHundredAndTwentyThree$outboundSchema, OneHundredAndTwentyThree$, OneHundredAndTwentyTwo$inboundSchema, OneHundredAndTwentyTwo$outboundSchema, OneHundredAndTwentyTwo$, OneHundredAndTwentyOne$inboundSchema, OneHundredAndTwentyOne$outboundSchema, OneHundredAndTwentyOne$, OneHundredAndTwenty$inboundSchema, OneHundredAndTwenty$outboundSchema, OneHundredAndTwenty$, OneHundredAndNineteen$inboundSchema, OneHundredAndNineteen$outboundSchema, OneHundredAndNineteen$, OneHundredAndEighteen$inboundSchema, OneHundredAndEighteen$outboundSchema, OneHundredAndEighteen$, OneHundredAndSeventeen$inboundSchema, OneHundredAndSeventeen$outboundSchema, OneHundredAndSeventeen$, Previous$inboundSchema, Previous$outboundSchema, Previous$, Next$inboundSchema, Next$outboundSchema, Next$, OneHundredAndSixteen$inboundSchema, OneHundredAndSixteen$outboundSchema, OneHundredAndSixteen$, PayloadRemoteCaching$inboundSchema, PayloadRemoteCaching$outboundSchema, PayloadRemoteCaching$, OneHundredAndFifteen$inboundSchema, OneHundredAndFifteen$outboundSchema, OneHundredAndFifteen$, OneHundredAndFourteen$inboundSchema, OneHundredAndFourteen$outboundSchema, OneHundredAndFourteen$, OneHundredAndThirteen$inboundSchema, OneHundredAndThirteen$outboundSchema, OneHundredAndThirteen$, OneHundredAndTwelve$inboundSchema, OneHundredAndTwelve$outboundSchema, OneHundredAndTwelve$, UserEventPayload111User$inboundSchema, UserEventPayload111User$outboundSchema, UserEventPayload111User$, OneHundredAndEleven$inboundSchema, OneHundredAndEleven$outboundSchema, OneHundredAndEleven$, UserEventPayloadUser$inboundSchema, UserEventPayloadUser$outboundSchema, UserEventPayloadUser$, OneHundredAndTen$inboundSchema, OneHundredAndTen$outboundSchema, OneHundredAndTen$, UpdatedUser$inboundSchema, UpdatedUser$outboundSchema, UpdatedUser$, OneHundredAndNine$inboundSchema, OneHundredAndNine$outboundSchema, OneHundredAndNine$, OneHundredAndEight$inboundSchema, OneHundredAndEight$outboundSchema, OneHundredAndEight$, DeletedUser$inboundSchema, DeletedUser$outboundSchema, DeletedUser$, OneHundredAndSeven$inboundSchema, OneHundredAndSeven$outboundSchema, OneHundredAndSeven$, InvitedUser$inboundSchema, InvitedUser$outboundSchema, InvitedUser$, OneHundredAndSix$inboundSchema, OneHundredAndSix$outboundSchema, OneHundredAndSix$, Reasons$inboundSchema, Reasons$outboundSchema, Reasons$, OneHundredAndFive$inboundSchema, OneHundredAndFive$outboundSchema, OneHundredAndFive$, OneHundredAndFour$inboundSchema, OneHundredAndFour$outboundSchema, OneHundredAndFour$, Store$inboundSchema, Store$outboundSchema, Store$, OneHundredAndThree$inboundSchema, OneHundredAndThree$outboundSchema, OneHundredAndThree$, StoreType$inboundSchema, StoreType$outboundSchema, StoreType$, OneHundredAndTwo$inboundSchema, OneHundredAndTwo$outboundSchema, OneHundredAndTwo$, UserEventPayloadType$inboundSchema, UserEventPayloadType$outboundSchema, UserEventPayloadType$, OneHundredAndOne$inboundSchema, OneHundredAndOne$outboundSchema, OneHundredAndOne$, UserEventPayload100Type$inboundSchema, UserEventPayload100Type$outboundSchema, UserEventPayload100Type$, PayloadPricingPlan$inboundSchema, PayloadPricingPlan$outboundSchema, PayloadPricingPlan$, BudgetItem$inboundSchema, BudgetItem$outboundSchema, BudgetItem$, PayloadBudget$inboundSchema, PayloadBudget$outboundSchema, PayloadBudget$, OneHundred$inboundSchema, OneHundred$outboundSchema, OneHundred$, UserEventPayload99Type$inboundSchema, UserEventPayload99Type$outboundSchema, UserEventPayload99Type$, PricingPlan$inboundSchema, PricingPlan$outboundSchema, PricingPlan$, Budget$inboundSchema, Budget$outboundSchema, Budget$, NinetyNine$inboundSchema, NinetyNine$outboundSchema, NinetyNine$, NinetyEight$inboundSchema, NinetyEight$outboundSchema, NinetyEight$, ScalingRules$inboundSchema, ScalingRules$outboundSchema, ScalingRules$, NinetySeven$inboundSchema, NinetySeven$outboundSchema, NinetySeven$, NinetySix$inboundSchema, NinetySix$outboundSchema, NinetySix$, NinetyFive$inboundSchema, NinetyFive$outboundSchema, NinetyFive$, Name2$inboundSchema, Name2$outboundSchema, Name2$, Name$inboundSchema, Name$outboundSchema, Name$, NinetyFour$inboundSchema, NinetyFour$outboundSchema, NinetyFour$, UserEventPayload93Team$inboundSchema, UserEventPayload93Team$outboundSchema, UserEventPayload93Team$, PayloadPreviousRule$inboundSchema, PayloadPreviousRule$outboundSchema, PayloadPreviousRule$, NinetyThree$inboundSchema, NinetyThree$outboundSchema, NinetyThree$, UserEventPayload92Team$inboundSchema, UserEventPayload92Team$outboundSchema, UserEventPayload92Team$, PreviousRule$inboundSchema, PreviousRule$outboundSchema, PreviousRule$, NextRule$inboundSchema, NextRule$outboundSchema, NextRule$, NinetyTwo$inboundSchema, NinetyTwo$outboundSchema, NinetyTwo$, NinetyOne$inboundSchema, NinetyOne$outboundSchema, NinetyOne$, Ninety$inboundSchema, Ninety$outboundSchema, Ninety$, EightyNine$inboundSchema, EightyNine$outboundSchema, EightyNine$, EightyEight$inboundSchema, EightyEight$outboundSchema, EightyEight$, EightySeven$inboundSchema, EightySeven$outboundSchema, EightySeven$, EightySix$inboundSchema, EightySix$outboundSchema, EightySix$, EightyFive$inboundSchema, EightyFive$outboundSchema, EightyFive$, UserEventPayload84Team$inboundSchema, UserEventPayload84Team$outboundSchema, UserEventPayload84Team$, EnvId2$inboundSchema, EnvId2$outboundSchema, EnvId2$, EnvId$inboundSchema, EnvId$outboundSchema, EnvId$, Aws$inboundSchema, Aws$outboundSchema, Aws$, OldConnectConfigurations$inboundSchema, OldConnectConfigurations$outboundSchema, OldConnectConfigurations$, UserEventEnvId2$inboundSchema, UserEventEnvId2$outboundSchema, UserEventEnvId2$, PayloadEnvId$inboundSchema, PayloadEnvId$outboundSchema, PayloadEnvId$, PayloadAws$inboundSchema, PayloadAws$outboundSchema, PayloadAws$, NewConnectConfigurations$inboundSchema, NewConnectConfigurations$outboundSchema, NewConnectConfigurations$, UserEventPayload84Project$inboundSchema, UserEventPayload84Project$outboundSchema, UserEventPayload84Project$, EightyFour$inboundSchema, EightyFour$outboundSchema, EightyFour$, EightyThree$inboundSchema, EightyThree$outboundSchema, EightyThree$, UserEventPayloadAction$inboundSchema, UserEventPayloadAction$outboundSchema, UserEventPayloadAction$, EightyTwo$inboundSchema, EightyTwo$outboundSchema, EightyTwo$, Paths$inboundSchema, Paths$outboundSchema, Paths$, OptionsAllowlist$inboundSchema, OptionsAllowlist$outboundSchema, OptionsAllowlist$, PayloadPaths$inboundSchema, PayloadPaths$outboundSchema, PayloadPaths$, OldOptionsAllowlist$inboundSchema, OldOptionsAllowlist$outboundSchema, OldOptionsAllowlist$, EightyOne$inboundSchema, EightyOne$outboundSchema, EightyOne$, TrustedIps$inboundSchema, TrustedIps$outboundSchema, TrustedIps$, OldTrustedIps$inboundSchema, OldTrustedIps$outboundSchema, OldTrustedIps$, Eighty$inboundSchema, Eighty$outboundSchema, Eighty$, PasswordProtection2$inboundSchema, PasswordProtection2$outboundSchema, PasswordProtection2$, PasswordProtectionDeploymentType$inboundSchema, PasswordProtectionDeploymentType$outboundSchema, PasswordProtectionDeploymentType$, PasswordProtection1$inboundSchema, PasswordProtection1$outboundSchema, PasswordProtection1$, PasswordProtection$inboundSchema, PasswordProtection$outboundSchema, PasswordProtection$, OldPasswordProtection2$inboundSchema, OldPasswordProtection2$outboundSchema, OldPasswordProtection2$, OldPasswordProtectionDeploymentType$inboundSchema, OldPasswordProtectionDeploymentType$outboundSchema, OldPasswordProtectionDeploymentType$, OldPasswordProtection1$inboundSchema, OldPasswordProtection1$outboundSchema, OldPasswordProtection1$, OldPasswordProtection$inboundSchema, OldPasswordProtection$outboundSchema, OldPasswordProtection$, SeventyNine$inboundSchema, SeventyNine$outboundSchema, SeventyNine$, SsoProtection2$inboundSchema, SsoProtection2$outboundSchema, SsoProtection2$, DeploymentType$inboundSchema, DeploymentType$outboundSchema, DeploymentType$, SsoProtection1$inboundSchema, SsoProtection1$outboundSchema, SsoProtection1$, SsoProtection$inboundSchema, SsoProtection$outboundSchema, SsoProtection$, OldSsoProtection2$inboundSchema, OldSsoProtection2$outboundSchema, OldSsoProtection2$, OldSsoProtectionDeploymentType$inboundSchema, OldSsoProtectionDeploymentType$outboundSchema, OldSsoProtectionDeploymentType$, OldSsoProtection1$inboundSchema, OldSsoProtection1$outboundSchema, OldSsoProtection1$, OldSsoProtection$inboundSchema, OldSsoProtection$outboundSchema, OldSsoProtection$, SeventyEight$inboundSchema, SeventyEight$outboundSchema, SeventyEight$, SeventySeven$inboundSchema, SeventySeven$outboundSchema, SeventySeven$, SeventySix$inboundSchema, SeventySix$outboundSchema, SeventySix$, ProjectAnalytics$inboundSchema, ProjectAnalytics$outboundSchema, ProjectAnalytics$, PrevProjectAnalytics$inboundSchema, PrevProjectAnalytics$outboundSchema, PrevProjectAnalytics$, SeventyFive$inboundSchema, SeventyFive$outboundSchema, SeventyFive$, UserEventPayload74Role$inboundSchema, UserEventPayload74Role$outboundSchema, UserEventPayload74Role$, PayloadOrigin$inboundSchema, PayloadOrigin$outboundSchema, PayloadOrigin$, PayloadGitUserId$inboundSchema, PayloadGitUserId$outboundSchema, PayloadGitUserId$, PayloadJoinedFrom$inboundSchema, PayloadJoinedFrom$outboundSchema, PayloadJoinedFrom$, RemovedUsers$inboundSchema, RemovedUsers$outboundSchema, RemovedUsers$, SeventyFour$inboundSchema, SeventyFour$outboundSchema, SeventyFour$, SeventyThree$inboundSchema, SeventyThree$outboundSchema, SeventyThree$, SeventyTwo$inboundSchema, SeventyTwo$outboundSchema, SeventyTwo$, SeventyOne$inboundSchema, SeventyOne$outboundSchema, SeventyOne$, Seventy$inboundSchema, Seventy$outboundSchema, Seventy$, SixtyNine$inboundSchema, SixtyNine$outboundSchema, SixtyNine$, PayloadName$inboundSchema, PayloadName$outboundSchema, PayloadName$, Browser$inboundSchema, Browser$outboundSchema, Browser$, UserEventPayloadName$inboundSchema, UserEventPayloadName$outboundSchema, UserEventPayloadName$, Os$inboundSchema, Os$outboundSchema, Os$, UserAgent$inboundSchema, UserAgent$outboundSchema, UserAgent$, Names$inboundSchema, Names$outboundSchema, Names$, City$inboundSchema, City$outboundSchema, City$, PayloadNames$inboundSchema, PayloadNames$outboundSchema, PayloadNames$, Country$inboundSchema, Country$outboundSchema, Country$, UserEventPayloadNames$inboundSchema, UserEventPayloadNames$outboundSchema, UserEventPayloadNames$, MostSpecificSubdivision$inboundSchema, MostSpecificSubdivision$outboundSchema, MostSpecificSubdivision$, Geolocation$inboundSchema, Geolocation$outboundSchema, Geolocation$, SixtyEight$inboundSchema, SixtyEight$outboundSchema, SixtyEight$, SixtySeven$inboundSchema, SixtySeven$outboundSchema, SixtySeven$, SixtySix$inboundSchema, SixtySix$outboundSchema, SixtySix$, SixtyFive$inboundSchema, SixtyFive$outboundSchema, SixtyFive$, SixtyFour$inboundSchema, SixtyFour$outboundSchema, SixtyFour$, Configurations$inboundSchema, Configurations$outboundSchema, Configurations$, SixtyThree$inboundSchema, SixtyThree$outboundSchema, SixtyThree$, UserEventPayload62Action$inboundSchema, UserEventPayload62Action$outboundSchema, UserEventPayload62Action$, BlockHistory$inboundSchema, BlockHistory$outboundSchema, BlockHistory$, History$inboundSchema, History$outboundSchema, History$, Abuse$inboundSchema, Abuse$outboundSchema, Abuse$, Plan$inboundSchema, Plan$outboundSchema, Plan$, PayloadBilling$inboundSchema, PayloadBilling$outboundSchema, PayloadBilling$, UserEventCredentialsType$inboundSchema, UserEventCredentialsType$outboundSchema, UserEventCredentialsType$, Credentials2$inboundSchema, Credentials2$outboundSchema, Credentials2$, CredentialsType$inboundSchema, CredentialsType$outboundSchema, CredentialsType$, Credentials1$inboundSchema, Credentials1$outboundSchema, Credentials1$, Credentials$inboundSchema, Credentials$outboundSchema, Credentials$, PayloadDataCache$inboundSchema, PayloadDataCache$outboundSchema, PayloadDataCache$, PayloadDismissals$inboundSchema, PayloadDismissals$outboundSchema, PayloadDismissals$, PayloadDismissedToasts$inboundSchema, PayloadDismissedToasts$outboundSchema, PayloadDismissedToasts$, PayloadFavoriteProjectsAndSpaces$inboundSchema, PayloadFavoriteProjectsAndSpaces$outboundSchema, PayloadFavoriteProjectsAndSpaces$, PayloadImportFlowGitNamespace$inboundSchema, PayloadImportFlowGitNamespace$outboundSchema, PayloadImportFlowGitNamespace$, PayloadImportFlowGitNamespaceId$inboundSchema, PayloadImportFlowGitNamespaceId$outboundSchema, PayloadImportFlowGitNamespaceId$, PayloadImportFlowGitProvider$inboundSchema, PayloadImportFlowGitProvider$outboundSchema, PayloadImportFlowGitProvider$, PayloadGitNamespaceId$inboundSchema, PayloadGitNamespaceId$outboundSchema, PayloadGitNamespaceId$, PayloadPreferredScopesAndGitNamespaces$inboundSchema, PayloadPreferredScopesAndGitNamespaces$outboundSchema, PayloadPreferredScopesAndGitNamespaces$, PreventAutoBlocking$inboundSchema, PreventAutoBlocking$outboundSchema, PreventAutoBlocking$, UserEventPayloadRemoteCaching$inboundSchema, UserEventPayloadRemoteCaching$outboundSchema, UserEventPayloadRemoteCaching$, PayloadBuildEntitlements$inboundSchema, PayloadBuildEntitlements$outboundSchema, PayloadBuildEntitlements$, PayloadPurchaseType$inboundSchema, PayloadPurchaseType$outboundSchema, PayloadPurchaseType$, PayloadBuildMachine$inboundSchema, PayloadBuildMachine$outboundSchema, PayloadBuildMachine$, PayloadResourceConfig$inboundSchema, PayloadResourceConfig$outboundSchema, PayloadResourceConfig$, ResourceLimits$inboundSchema, ResourceLimits$outboundSchema, ResourceLimits$, PayloadViewPreference$inboundSchema, PayloadViewPreference$outboundSchema, PayloadViewPreference$, PayloadFavoritesViewPreference$inboundSchema, PayloadFavoritesViewPreference$outboundSchema, PayloadFavoritesViewPreference$, PayloadRecentsViewPreference$inboundSchema, PayloadRecentsViewPreference$outboundSchema, PayloadRecentsViewPreference$, PayloadActiveDashboardViews$inboundSchema, PayloadActiveDashboardViews$outboundSchema, PayloadActiveDashboardViews$, SecondaryEmails$inboundSchema, SecondaryEmails$outboundSchema, SecondaryEmails$, Rules$inboundSchema, Rules$outboundSchema, Rules$, EmailNotifications$inboundSchema, EmailNotifications$outboundSchema, EmailNotifications$, PayloadReasons$inboundSchema, PayloadReasons$outboundSchema, PayloadReasons$, SiftScores$inboundSchema, SiftScores$outboundSchema, SiftScores$, UserEventPayload62Name$inboundSchema, UserEventPayload62Name$outboundSchema, UserEventPayload62Name$, SiftRoute$inboundSchema, SiftRoute$outboundSchema, SiftRoute$, PayloadReason$inboundSchema, PayloadReason$outboundSchema, PayloadReason$, PayloadBlockedDueToOverageType$inboundSchema, PayloadBlockedDueToOverageType$outboundSchema, PayloadBlockedDueToOverageType$, PayloadSoftBlock$inboundSchema, PayloadSoftBlock$outboundSchema, PayloadSoftBlock$, UserEventPayload62Role$inboundSchema, UserEventPayload62Role$outboundSchema, UserEventPayload62Role$, PayloadTeamRoles$inboundSchema, PayloadTeamRoles$outboundSchema, PayloadTeamRoles$, PayloadTeamPermissions$inboundSchema, PayloadTeamPermissions$outboundSchema, PayloadTeamPermissions$, UserEventPayloadOrigin$inboundSchema, UserEventPayloadOrigin$outboundSchema, UserEventPayloadOrigin$, UserEventPayloadGitUserId$inboundSchema, UserEventPayloadGitUserId$outboundSchema, UserEventPayloadGitUserId$, UserEventPayloadJoinedFrom$inboundSchema, UserEventPayloadJoinedFrom$outboundSchema, UserEventPayloadJoinedFrom$, Teams$inboundSchema, Teams$outboundSchema, Teams$, UserEventPayload62Type$inboundSchema, UserEventPayload62Type$outboundSchema, UserEventPayload62Type$, UsageAlerts$inboundSchema, UsageAlerts$outboundSchema, UsageAlerts$, AnalyticsUsage$inboundSchema, AnalyticsUsage$outboundSchema, AnalyticsUsage$, Artifacts$inboundSchema, Artifacts$outboundSchema, Artifacts$, Bandwidth$inboundSchema, Bandwidth$outboundSchema, Bandwidth$, BlobTotalAdvancedRequests$inboundSchema, BlobTotalAdvancedRequests$outboundSchema, BlobTotalAdvancedRequests$, BlobTotalAvgSizeInBytes$inboundSchema, BlobTotalAvgSizeInBytes$outboundSchema, BlobTotalAvgSizeInBytes$, BlobTotalGetResponseObjectSizeInBytes$inboundSchema, BlobTotalGetResponseObjectSizeInBytes$outboundSchema, BlobTotalGetResponseObjectSizeInBytes$, BlobTotalSimpleRequests$inboundSchema, BlobTotalSimpleRequests$outboundSchema, BlobTotalSimpleRequests$, DataCacheRead$inboundSchema, DataCacheRead$outboundSchema, DataCacheRead$, DataCacheWrite$inboundSchema, DataCacheWrite$outboundSchema, DataCacheWrite$, EdgeConfigRead$inboundSchema, EdgeConfigRead$outboundSchema, EdgeConfigRead$, EdgeConfigWrite$inboundSchema, EdgeConfigWrite$outboundSchema, EdgeConfigWrite$, EdgeFunctionExecutionUnits$inboundSchema, EdgeFunctionExecutionUnits$outboundSchema, EdgeFunctionExecutionUnits$, EdgeMiddlewareInvocations$inboundSchema, EdgeMiddlewareInvocations$outboundSchema, EdgeMiddlewareInvocations$, EdgeRequestAdditionalCpuDuration$inboundSchema, EdgeRequestAdditionalCpuDuration$outboundSchema, EdgeRequestAdditionalCpuDuration$, EdgeRequest$inboundSchema, EdgeRequest$outboundSchema, EdgeRequest$, ElasticConcurrencyBuildSlots$inboundSchema, ElasticConcurrencyBuildSlots$outboundSchema, ElasticConcurrencyBuildSlots$, FastDataTransfer$inboundSchema, FastDataTransfer$outboundSchema, FastDataTransfer$, FastOriginTransfer$inboundSchema, FastOriginTransfer$outboundSchema, FastOriginTransfer$, FunctionDuration$inboundSchema, FunctionDuration$outboundSchema, FunctionDuration$, FunctionInvocation$inboundSchema, FunctionInvocation$outboundSchema, FunctionInvocation$, ImageOptimizationCacheRead$inboundSchema, ImageOptimizationCacheRead$outboundSchema, ImageOptimizationCacheRead$, ImageOptimizationCacheWrite$inboundSchema, ImageOptimizationCacheWrite$outboundSchema, ImageOptimizationCacheWrite$, ImageOptimizationTransformation$inboundSchema, ImageOptimizationTransformation$outboundSchema, ImageOptimizationTransformation$, LogDrainsVolume$inboundSchema, LogDrainsVolume$outboundSchema, LogDrainsVolume$, MonitoringMetric$inboundSchema, MonitoringMetric$outboundSchema, MonitoringMetric$, BlobDataTransfer$inboundSchema, BlobDataTransfer$outboundSchema, BlobDataTransfer$, ObservabilityEvent$inboundSchema, ObservabilityEvent$outboundSchema, ObservabilityEvent$, PostgresComputeTime$inboundSchema, PostgresComputeTime$outboundSchema, PostgresComputeTime$, PostgresDataStorage$inboundSchema, PostgresDataStorage$outboundSchema, PostgresDataStorage$, PostgresDataTransfer$inboundSchema, PostgresDataTransfer$outboundSchema, PostgresDataTransfer$, PostgresDatabase$inboundSchema, PostgresDatabase$outboundSchema, PostgresDatabase$, PostgresWrittenData$inboundSchema, PostgresWrittenData$outboundSchema, PostgresWrittenData$, ServerlessFunctionExecution$inboundSchema, ServerlessFunctionExecution$outboundSchema, ServerlessFunctionExecution$, SourceImages$inboundSchema, SourceImages$outboundSchema, SourceImages$, StorageRedisTotalBandwidthInBytes$inboundSchema, StorageRedisTotalBandwidthInBytes$outboundSchema, StorageRedisTotalBandwidthInBytes$, StorageRedisTotalCommands$inboundSchema, StorageRedisTotalCommands$outboundSchema, StorageRedisTotalCommands$, StorageRedisTotalDailyAvgStorageInBytes$inboundSchema, StorageRedisTotalDailyAvgStorageInBytes$outboundSchema, StorageRedisTotalDailyAvgStorageInBytes$, StorageRedisTotalDatabases$inboundSchema, StorageRedisTotalDatabases$outboundSchema, StorageRedisTotalDatabases$, WafOwaspExcessBytes$inboundSchema, WafOwaspExcessBytes$outboundSchema, WafOwaspExcessBytes$, WafOwaspRequests$inboundSchema, WafOwaspRequests$outboundSchema, WafOwaspRequests$, WafRateLimitRequest$inboundSchema, WafRateLimitRequest$outboundSchema, WafRateLimitRequest$, WebAnalyticsEvent$inboundSchema, WebAnalyticsEvent$outboundSchema, WebAnalyticsEvent$, OverageUsageAlerts$inboundSchema, OverageUsageAlerts$outboundSchema, OverageUsageAlerts$, OverageMetadata$inboundSchema, OverageMetadata$outboundSchema, OverageMetadata$, EnablePreviewFeedback$inboundSchema, EnablePreviewFeedback$outboundSchema, EnablePreviewFeedback$, BlockReason$inboundSchema, BlockReason$outboundSchema, BlockReason$, PayloadWebAnalytics$inboundSchema, PayloadWebAnalytics$outboundSchema, PayloadWebAnalytics$, PayloadBlockReason$inboundSchema, PayloadBlockReason$outboundSchema, PayloadBlockReason$, BlockType$inboundSchema, BlockType$outboundSchema, BlockType$, Monitoring$inboundSchema, Monitoring$outboundSchema, Monitoring$, UserEventPayloadBlockReason$inboundSchema, UserEventPayloadBlockReason$outboundSchema, UserEventPayloadBlockReason$, PayloadBlockType$inboundSchema, PayloadBlockType$outboundSchema, PayloadBlockType$, ObservabilityPlus$inboundSchema, ObservabilityPlus$outboundSchema, ObservabilityPlus$, UserEventPayload62BlockReason$inboundSchema, UserEventPayload62BlockReason$outboundSchema, UserEventPayload62BlockReason$, UserEventPayloadDataCache$inboundSchema, UserEventPayloadDataCache$outboundSchema, UserEventPayloadDataCache$, UserEventPayload62NewOwnerBlockReason$inboundSchema, UserEventPayload62NewOwnerBlockReason$outboundSchema, UserEventPayload62NewOwnerBlockReason$, PayloadImageOptimizationTransformation$inboundSchema, PayloadImageOptimizationTransformation$outboundSchema, PayloadImageOptimizationTransformation$, UserEventPayload62NewOwnerFeatureBlocksBlockReason$inboundSchema, UserEventPayload62NewOwnerFeatureBlocksBlockReason$outboundSchema, UserEventPayload62NewOwnerFeatureBlocksBlockReason$, PayloadSourceImages$inboundSchema, PayloadSourceImages$outboundSchema, PayloadSourceImages$, UserEventPayload62NewOwnerFeatureBlocksBlobBlockReason$inboundSchema, UserEventPayload62NewOwnerFeatureBlocksBlobBlockReason$outboundSchema, UserEventPayload62NewOwnerFeatureBlocksBlobBlockReason$, OverageReason$inboundSchema, OverageReason$outboundSchema, OverageReason$, BlobT$inboundSchema, BlobT$outboundSchema, BlobT$, UserEventPayload62NewOwnerFeatureBlocksPostgresBlockReason$inboundSchema, UserEventPayload62NewOwnerFeatureBlocksPostgresBlockReason$outboundSchema, UserEventPayload62NewOwnerFeatureBlocksPostgresBlockReason$, PayloadOverageReason$inboundSchema, PayloadOverageReason$outboundSchema, PayloadOverageReason$, Postgres$inboundSchema, Postgres$outboundSchema, Postgres$, UserEventPayload62NewOwnerFeatureBlocksRedisBlockReason$inboundSchema, UserEventPayload62NewOwnerFeatureBlocksRedisBlockReason$outboundSchema, UserEventPayload62NewOwnerFeatureBlocksRedisBlockReason$, UserEventPayloadOverageReason$inboundSchema, UserEventPayloadOverageReason$outboundSchema, UserEventPayloadOverageReason$, Redis$inboundSchema, Redis$outboundSchema, Redis$, PayloadFeatureBlocks$inboundSchema, PayloadFeatureBlocks$outboundSchema, PayloadFeatureBlocks$, Version$inboundSchema, Version$outboundSchema, Version$, NorthstarMigration$inboundSchema, NorthstarMigration$outboundSchema, NorthstarMigration$, Totp$inboundSchema, Totp$outboundSchema, Totp$, MfaConfiguration$inboundSchema, MfaConfiguration$outboundSchema, MfaConfiguration$, NewOwner$inboundSchema, NewOwner$outboundSchema, NewOwner$, SixtyTwo$inboundSchema, SixtyTwo$outboundSchema, SixtyTwo$, SixtyOne$inboundSchema, SixtyOne$outboundSchema, SixtyOne$, Sixty$inboundSchema, Sixty$outboundSchema, Sixty$, ConfigChanges$inboundSchema, ConfigChanges$outboundSchema, ConfigChanges$, FiftyNine$inboundSchema, FiftyNine$outboundSchema, FiftyNine$, UserEventPayload58OldEnvVarType$inboundSchema, UserEventPayload58OldEnvVarType$outboundSchema, UserEventPayload58OldEnvVarType$, UserEventPayloadTarget$inboundSchema, UserEventPayloadTarget$outboundSchema, UserEventPayloadTarget$, OldEnvVar$inboundSchema, OldEnvVar$outboundSchema, OldEnvVar$, UserEventPayload58Type$inboundSchema, UserEventPayload58Type$outboundSchema, UserEventPayload58Type$, UserEventPayload58Target$inboundSchema, UserEventPayload58Target$outboundSchema, UserEventPayload58Target$, NewEnvVar$inboundSchema, NewEnvVar$outboundSchema, NewEnvVar$, OldTarget$inboundSchema, OldTarget$outboundSchema, OldTarget$, NewTarget$inboundSchema, NewTarget$outboundSchema, NewTarget$, OldProjects$inboundSchema, OldProjects$outboundSchema, OldProjects$, NewProjects$inboundSchema, NewProjects$outboundSchema, NewProjects$, UpdateDiff$inboundSchema, UpdateDiff$outboundSchema, UpdateDiff$, FiftyEight$inboundSchema, FiftyEight$outboundSchema, FiftyEight$, PayloadType$inboundSchema, PayloadType$outboundSchema, PayloadType$, PayloadTarget$inboundSchema, PayloadTarget$outboundSchema, PayloadTarget$, FiftySeven$inboundSchema, FiftySeven$outboundSchema, FiftySeven$, Target$inboundSchema, Target$outboundSchema, Target$, FiftySix$inboundSchema, FiftySix$outboundSchema, FiftySix$, FiftyFive$inboundSchema, FiftyFive$outboundSchema, FiftyFive$, FiftyFour$inboundSchema, FiftyFour$outboundSchema, FiftyFour$, FiftyThree$inboundSchema, FiftyThree$outboundSchema, FiftyThree$, FiftyTwo$inboundSchema, FiftyTwo$outboundSchema, FiftyTwo$, FiftyOne$inboundSchema, FiftyOne$outboundSchema, FiftyOne$, Fifty$inboundSchema, Fifty$outboundSchema, Fifty$, FortyNine$inboundSchema, FortyNine$outboundSchema, FortyNine$, FortyEight$inboundSchema, FortyEight$outboundSchema, FortyEight$, UserEventPayload47OldTeam$inboundSchema, UserEventPayload47OldTeam$outboundSchema, UserEventPayload47OldTeam$, UserEventPayload47NewTeam$inboundSchema, UserEventPayload47NewTeam$outboundSchema, UserEventPayload47NewTeam$, FortySeven$inboundSchema, FortySeven$outboundSchema, FortySeven$, FortySix$inboundSchema, FortySix$outboundSchema, FortySix$, FortyFive$inboundSchema, FortyFive$outboundSchema, FortyFive$, FortyFour$inboundSchema, FortyFour$outboundSchema, FortyFour$, FortyThree$inboundSchema, FortyThree$outboundSchema, FortyThree$, FortyTwo$inboundSchema, FortyTwo$outboundSchema, FortyTwo$, FortyOne$inboundSchema, FortyOne$outboundSchema, FortyOne$, Forty$inboundSchema, Forty$outboundSchema, Forty$, UserEventPayloadDeployment$inboundSchema, UserEventPayloadDeployment$outboundSchema, UserEventPayloadDeployment$, ThirtyNine$inboundSchema, ThirtyNine$outboundSchema, ThirtyNine$, UserEventPayloadOldTeam$inboundSchema, UserEventPayloadOldTeam$outboundSchema, UserEventPayloadOldTeam$, UserEventPayloadNewTeam$inboundSchema, UserEventPayloadNewTeam$outboundSchema, UserEventPayloadNewTeam$, ThirtyEight$inboundSchema, ThirtyEight$outboundSchema, ThirtyEight$, PayloadDeployment$inboundSchema, PayloadDeployment$outboundSchema, PayloadDeployment$, ThirtySeven$inboundSchema, ThirtySeven$outboundSchema, ThirtySeven$, UserEventPayload36Project$inboundSchema, UserEventPayload36Project$outboundSchema, UserEventPayload36Project$, DeployHook$inboundSchema, DeployHook$outboundSchema, DeployHook$, Job$inboundSchema, Job$outboundSchema, Job$, ThirtySix$inboundSchema, ThirtySix$outboundSchema, ThirtySix$, ThirtyFive$inboundSchema, ThirtyFive$outboundSchema, ThirtyFive$, ThirtyFour$inboundSchema, ThirtyFour$outboundSchema, ThirtyFour$, ThirtyThree$inboundSchema, ThirtyThree$outboundSchema, ThirtyThree$, UserEventPayload32Team$inboundSchema, UserEventPayload32Team$outboundSchema, UserEventPayload32Team$, UserEventPayload32Configuration$inboundSchema, UserEventPayload32Configuration$outboundSchema, UserEventPayload32Configuration$, ThirtyTwo$inboundSchema, ThirtyTwo$outboundSchema, ThirtyTwo$, UserEventPayloadTeam$inboundSchema, UserEventPayloadTeam$outboundSchema, UserEventPayloadTeam$, UserEventPayloadConfiguration$inboundSchema, UserEventPayloadConfiguration$outboundSchema, UserEventPayloadConfiguration$, UserEventPayload31Project$inboundSchema, UserEventPayload31Project$outboundSchema, UserEventPayload31Project$, ThirtyOne$inboundSchema, ThirtyOne$outboundSchema, ThirtyOne$, PayloadTeam$inboundSchema, PayloadTeam$outboundSchema, PayloadTeam$, PayloadConfiguration$inboundSchema, PayloadConfiguration$outboundSchema, PayloadConfiguration$, UserEventPayloadProject$inboundSchema, UserEventPayloadProject$outboundSchema, UserEventPayloadProject$, Thirty$inboundSchema, Thirty$outboundSchema, Thirty$, UserEventPayload29Team$inboundSchema, UserEventPayload29Team$outboundSchema, UserEventPayload29Team$, Configuration$inboundSchema, Configuration$outboundSchema, Configuration$, PayloadProject$inboundSchema, PayloadProject$outboundSchema, PayloadProject$, TwentyNine$inboundSchema, TwentyNine$outboundSchema, TwentyNine$, TwentyEight$inboundSchema, TwentyEight$outboundSchema, TwentyEight$, TwentySeven$inboundSchema, TwentySeven$outboundSchema, TwentySeven$, TwentySix$inboundSchema, TwentySix$outboundSchema, TwentySix$, TwentyFive$inboundSchema, TwentyFive$outboundSchema, TwentyFive$, TwentyFour$inboundSchema, TwentyFour$outboundSchema, TwentyFour$, TwentyThree$inboundSchema, TwentyThree$outboundSchema, TwentyThree$, PayloadOldTeam$inboundSchema, PayloadOldTeam$outboundSchema, PayloadOldTeam$, PayloadNewTeam$inboundSchema, PayloadNewTeam$outboundSchema, PayloadNewTeam$, TwentyTwo$inboundSchema, TwentyTwo$outboundSchema, TwentyTwo$, TwentyOne$inboundSchema, TwentyOne$outboundSchema, TwentyOne$, Twenty$inboundSchema, Twenty$outboundSchema, Twenty$, Nineteen$inboundSchema, Nineteen$outboundSchema, Nineteen$, Eighteen$inboundSchema, Eighteen$outboundSchema, Eighteen$, Seventeen$inboundSchema, Seventeen$outboundSchema, Seventeen$, Sixteen$inboundSchema, Sixteen$outboundSchema, Sixteen$, OldTeam$inboundSchema, OldTeam$outboundSchema, OldTeam$, NewTeam$inboundSchema, NewTeam$outboundSchema, NewTeam$, Fifteen$inboundSchema, Fifteen$outboundSchema, Fifteen$, Fourteen$inboundSchema, Fourteen$outboundSchema, Fourteen$, Thirteen$inboundSchema, Thirteen$outboundSchema, Thirteen$, PayloadAction$inboundSchema, PayloadAction$outboundSchema, PayloadAction$, Twelve$inboundSchema, Twelve$outboundSchema, Twelve$, Eleven$inboundSchema, Eleven$outboundSchema, Eleven$, Ten$inboundSchema, Ten$outboundSchema, Ten$, Nine$inboundSchema, Nine$outboundSchema, Nine$, Eight$inboundSchema, Eight$outboundSchema, Eight$, Deployment$inboundSchema, Deployment$outboundSchema, Deployment$, Seven$inboundSchema, Seven$outboundSchema, Seven$, UserEventPayload6AccessGroup$inboundSchema, UserEventPayload6AccessGroup$outboundSchema, UserEventPayload6AccessGroup$, Project$inboundSchema, Project$outboundSchema, Project$, NextRole$inboundSchema, NextRole$outboundSchema, NextRole$, PreviousRole$inboundSchema, PreviousRole$outboundSchema, PreviousRole$, Six$inboundSchema, Six$outboundSchema, Six$, UserEventPayloadAccessGroup$inboundSchema, UserEventPayloadAccessGroup$outboundSchema, UserEventPayloadAccessGroup$, PayloadUser$inboundSchema, PayloadUser$outboundSchema, PayloadUser$, Five$inboundSchema, Five$outboundSchema, Five$, PayloadAccessGroup$inboundSchema, PayloadAccessGroup$outboundSchema, PayloadAccessGroup$, Four$inboundSchema, Four$outboundSchema, Four$, AccessGroup$inboundSchema, AccessGroup$outboundSchema, AccessGroup$, Three$inboundSchema, Three$outboundSchema, Three$, Action$inboundSchema, Action$outboundSchema, Action$, Payload2$inboundSchema, Payload2$outboundSchema, Payload2$, Payload1$inboundSchema, Payload1$outboundSchema, Payload1$, Payload$inboundSchema, Payload$outboundSchema, Payload$, UserEvent$inboundSchema, UserEvent$outboundSchema, UserEvent$;
var init_userevent = __esm(() => {
  init_esm();
  init_primitives();
  UserEventType = {
    Author: "author",
    BitbucketLogin: "bitbucket_login",
    Bold: "bold",
    DeploymentHost: "deployment_host",
    DnsRecord: "dns_record",
    GitLink: "git_link",
    GithubLogin: "github_login",
    GitlabLogin: "gitlab_login",
    HookName: "hook_name",
    Integration: "integration",
    EdgeConfig: "edge-config",
    Flag: "flag",
    FlagsSegment: "flags-segment",
    FlagsSettings: "flags-settings",
    Link: "link",
    ProjectName: "project_name",
    ScalingRules: "scaling_rules",
    EnvVarName: "env_var_name",
    Target: "target",
    Store: "store",
    System: "system"
  };
  UserEventPrincipalType = {
    App: "app"
  };
  PrincipalType = {
    User: "user"
  };
  UserEventViaType = {
    App: "app"
  };
  ViaType = {
    User: "user"
  };
  GrantType = {
    AuthorizationCode: "authorization_code",
    RefreshToken: "refresh_token",
    UrnIetfParamsOauthGrantTypeDeviceCode: "urn:ietf:params:oauth:grant-type:device_code",
    ClientCredentials: "client_credentials"
  };
  AuthMethod = {
    Email: "email",
    Saml: "saml",
    Github: "github",
    Gitlab: "gitlab",
    Bitbucket: "bitbucket",
    Manual: "manual",
    Passkey: "passkey",
    Otp: "otp",
    Sms: "sms",
    Invite: "invite",
    Google: "google"
  };
  Tier = {
    Pro: "pro",
    Plus: "plus"
  };
  UserEventPayload138Action = {
    Enable: "enable",
    Disable: "disable"
  };
  UserEventPayload134Role = {
    Admin: "ADMIN",
    ProjectDeveloper: "PROJECT_DEVELOPER",
    ProjectViewer: "PROJECT_VIEWER"
  };
  UserEventPayload133Role = {
    Admin: "ADMIN",
    ProjectDeveloper: "PROJECT_DEVELOPER",
    ProjectViewer: "PROJECT_VIEWER"
  };
  PayloadPreviousRole = {
    Admin: "ADMIN",
    ProjectDeveloper: "PROJECT_DEVELOPER",
    ProjectViewer: "PROJECT_VIEWER"
  };
  UserEventPayloadRole = {
    Admin: "ADMIN",
    ProjectDeveloper: "PROJECT_DEVELOPER",
    ProjectViewer: "PROJECT_VIEWER"
  };
  PayloadRole = {
    Admin: "ADMIN",
    ProjectDeveloper: "PROJECT_DEVELOPER",
    ProjectViewer: "PROJECT_VIEWER"
  };
  StoreType = {
    Redis: "redis",
    Postgres: "postgres"
  };
  UserEventPayloadType = {
    Redis: "redis",
    Postgres: "postgres",
    EdgeConfig: "edge-config",
    Blob: "blob",
    Integration: "integration"
  };
  UserEventPayload100Type = {
    Fixed: "fixed"
  };
  PayloadPricingPlan = {
    Legacy: "legacy",
    Unbundled: "unbundled"
  };
  UserEventPayload99Type = {
    Fixed: "fixed"
  };
  PricingPlan = {
    Legacy: "legacy",
    Unbundled: "unbundled"
  };
  EnvId2 = {
    Preview: "preview",
    Production: "production"
  };
  UserEventEnvId2 = {
    Preview: "preview",
    Production: "production"
  };
  UserEventPayloadAction = {
    Enabled: "enabled",
    Disabled: "disabled",
    Regenerated: "regenerated"
  };
  TrustedIps = {
    All: "all",
    Preview: "preview",
    ProdDeploymentUrlsAndAllPreviews: "prod_deployment_urls_and_all_previews",
    Production: "production"
  };
  OldTrustedIps = {
    All: "all",
    Preview: "preview",
    ProdDeploymentUrlsAndAllPreviews: "prod_deployment_urls_and_all_previews",
    Production: "production"
  };
  PasswordProtection2 = {
    All: "all",
    Preview: "preview",
    ProdDeploymentUrlsAndAllPreviews: "prod_deployment_urls_and_all_previews"
  };
  PasswordProtectionDeploymentType = {
    All: "all",
    Preview: "preview",
    ProdDeploymentUrlsAndAllPreviews: "prod_deployment_urls_and_all_previews"
  };
  OldPasswordProtection2 = {
    All: "all",
    Preview: "preview",
    ProdDeploymentUrlsAndAllPreviews: "prod_deployment_urls_and_all_previews"
  };
  OldPasswordProtectionDeploymentType = {
    All: "all",
    Preview: "preview",
    ProdDeploymentUrlsAndAllPreviews: "prod_deployment_urls_and_all_previews"
  };
  SsoProtection2 = {
    All: "all",
    Preview: "preview",
    ProdDeploymentUrlsAndAllPreviews: "prod_deployment_urls_and_all_previews"
  };
  DeploymentType = {
    All: "all",
    Preview: "preview",
    ProdDeploymentUrlsAndAllPreviews: "prod_deployment_urls_and_all_previews"
  };
  OldSsoProtection2 = {
    All: "all",
    Preview: "preview",
    ProdDeploymentUrlsAndAllPreviews: "prod_deployment_urls_and_all_previews"
  };
  OldSsoProtectionDeploymentType = {
    All: "all",
    Preview: "preview",
    ProdDeploymentUrlsAndAllPreviews: "prod_deployment_urls_and_all_previews"
  };
  UserEventPayload74Role = {
    Owner: "OWNER",
    Member: "MEMBER",
    Developer: "DEVELOPER",
    Security: "SECURITY",
    Billing: "BILLING",
    Viewer: "VIEWER",
    Contributor: "CONTRIBUTOR"
  };
  PayloadOrigin = {
    Teams: "teams",
    Saml: "saml",
    Github: "github",
    Gitlab: "gitlab",
    Bitbucket: "bitbucket",
    Mail: "mail",
    Link: "link",
    Import: "import",
    Dsync: "dsync",
    Feedback: "feedback",
    OrganizationTeams: "organization-teams"
  };
  PayloadName = {
    Iphone: "iphone",
    Ipad: "ipad",
    Ipod: "ipod",
    Chrome: "chrome",
    Firefox: "firefox",
    Mozilla: "mozilla",
    Unknown: "unknown"
  };
  UserEventPayloadName = {
    Unknown: "unknown",
    Darwin: "darwin",
    Win32: "win32",
    Win: "win",
    Windows: "windows",
    Linux: "linux",
    Freebsd: "freebsd",
    Sunos: "sunos",
    Mac: "mac",
    Ios: "ios",
    Android: "android",
    MacOS: "Mac OS",
    OsX: "OS X"
  };
  UserEventPayload62Action = {
    HardBlocked: "hard-blocked",
    SoftBlocked: "soft-blocked",
    Unblocked: "unblocked"
  };
  Plan = {
    Pro: "pro",
    Enterprise: "enterprise",
    Hobby: "hobby"
  };
  UserEventCredentialsType = {
    GithubOauthCustomHost: "github-oauth-custom-host",
    GithubAppCustomHost: "github-app-custom-host"
  };
  CredentialsType = {
    Gitlab: "gitlab",
    Bitbucket: "bitbucket",
    Google: "google",
    GithubOauth: "github-oauth",
    GithubApp: "github-app"
  };
  PayloadImportFlowGitProvider = {
    Github: "github",
    Gitlab: "gitlab",
    Bitbucket: "bitbucket",
    GithubCustomHost: "github-custom-host"
  };
  PayloadPurchaseType = {
    Enhanced: "enhanced",
    Ultra: "ultra"
  };
  PayloadViewPreference = {
    Cards: "cards",
    List: "list"
  };
  PayloadFavoritesViewPreference = {
    Open: "open",
    Closed: "closed"
  };
  PayloadRecentsViewPreference = {
    Open: "open",
    Closed: "closed"
  };
  UserEventPayload62Name = {
    String: "string"
  };
  PayloadReason = {
    SubscriptionCanceled: "SUBSCRIPTION_CANCELED",
    SubscriptionExpired: "SUBSCRIPTION_EXPIRED",
    UnpaidInvoice: "UNPAID_INVOICE",
    EnterpriseTrialEnded: "ENTERPRISE_TRIAL_ENDED",
    FairUseLimitsExceeded: "FAIR_USE_LIMITS_EXCEEDED",
    BlockedForPlatformAbuse: "BLOCKED_FOR_PLATFORM_ABUSE"
  };
  PayloadBlockedDueToOverageType = {
    AnalyticsUsage: "analyticsUsage",
    Artifacts: "artifacts",
    Bandwidth: "bandwidth",
    BlobTotalAdvancedRequests: "blobTotalAdvancedRequests",
    BlobTotalAvgSizeInBytes: "blobTotalAvgSizeInBytes",
    BlobTotalGetResponseObjectSizeInBytes: "blobTotalGetResponseObjectSizeInBytes",
    BlobTotalSimpleRequests: "blobTotalSimpleRequests",
    DataCacheRead: "dataCacheRead",
    DataCacheWrite: "dataCacheWrite",
    EdgeConfigRead: "edgeConfigRead",
    EdgeConfigWrite: "edgeConfigWrite",
    EdgeFunctionExecutionUnits: "edgeFunctionExecutionUnits",
    EdgeMiddlewareInvocations: "edgeMiddlewareInvocations",
    EdgeRequestAdditionalCpuDuration: "edgeRequestAdditionalCpuDuration",
    EdgeRequest: "edgeRequest",
    ElasticConcurrencyBuildSlots: "elasticConcurrencyBuildSlots",
    FastDataTransfer: "fastDataTransfer",
    FastOriginTransfer: "fastOriginTransfer",
    FunctionDuration: "functionDuration",
    FunctionInvocation: "functionInvocation",
    ImageOptimizationCacheRead: "imageOptimizationCacheRead",
    ImageOptimizationCacheWrite: "imageOptimizationCacheWrite",
    ImageOptimizationTransformation: "imageOptimizationTransformation",
    LogDrainsVolume: "logDrainsVolume",
    MonitoringMetric: "monitoringMetric",
    BlobDataTransfer: "blobDataTransfer",
    ObservabilityEvent: "observabilityEvent",
    PostgresComputeTime: "postgresComputeTime",
    PostgresDataStorage: "postgresDataStorage",
    PostgresDataTransfer: "postgresDataTransfer",
    PostgresDatabase: "postgresDatabase",
    PostgresWrittenData: "postgresWrittenData",
    ServerlessFunctionExecution: "serverlessFunctionExecution",
    SourceImages: "sourceImages",
    StorageRedisTotalBandwidthInBytes: "storageRedisTotalBandwidthInBytes",
    StorageRedisTotalCommands: "storageRedisTotalCommands",
    StorageRedisTotalDailyAvgStorageInBytes: "storageRedisTotalDailyAvgStorageInBytes",
    StorageRedisTotalDatabases: "storageRedisTotalDatabases",
    WafOwaspExcessBytes: "wafOwaspExcessBytes",
    WafOwaspRequests: "wafOwaspRequests",
    WafRateLimitRequest: "wafRateLimitRequest",
    WebAnalyticsEvent: "webAnalyticsEvent"
  };
  UserEventPayload62Role = {
    Owner: "OWNER",
    Member: "MEMBER",
    Developer: "DEVELOPER",
    Security: "SECURITY",
    Billing: "BILLING",
    Viewer: "VIEWER",
    Contributor: "CONTRIBUTOR"
  };
  PayloadTeamRoles = {
    Owner: "OWNER",
    Member: "MEMBER",
    Developer: "DEVELOPER",
    Security: "SECURITY",
    Billing: "BILLING",
    Viewer: "VIEWER",
    Contributor: "CONTRIBUTOR"
  };
  PayloadTeamPermissions = {
    CreateProject: "CreateProject",
    FullProductionDeployment: "FullProductionDeployment",
    UsageViewer: "UsageViewer",
    EnvVariableManager: "EnvVariableManager",
    EnvironmentManager: "EnvironmentManager"
  };
  UserEventPayloadOrigin = {
    Teams: "teams",
    Saml: "saml",
    Github: "github",
    Gitlab: "gitlab",
    Bitbucket: "bitbucket",
    Mail: "mail",
    Link: "link",
    Import: "import",
    Dsync: "dsync",
    Feedback: "feedback",
    OrganizationTeams: "organization-teams"
  };
  UserEventPayload62Type = {
    User: "user"
  };
  EnablePreviewFeedback = {
    Default: "default",
    On: "on",
    Off: "off",
    OnForce: "on-force",
    OffForce: "off-force",
    DefaultForce: "default-force"
  };
  BlockReason = {
    AdminOverride: "admin_override",
    LimitsExceeded: "limits_exceeded"
  };
  PayloadBlockReason = {
    AdminOverride: "admin_override",
    LimitsExceeded: "limits_exceeded"
  };
  BlockType = {
    Soft: "soft",
    Hard: "hard"
  };
  UserEventPayloadBlockReason = {
    AdminOverride: "admin_override",
    LimitsExceeded: "limits_exceeded"
  };
  PayloadBlockType = {
    Soft: "soft",
    Hard: "hard"
  };
  UserEventPayload62BlockReason = {
    AdminOverride: "admin_override",
    LimitsExceeded: "limits_exceeded"
  };
  UserEventPayload62NewOwnerBlockReason = {
    AdminOverride: "admin_override",
    LimitsExceeded: "limits_exceeded"
  };
  UserEventPayload62NewOwnerFeatureBlocksBlockReason = {
    AdminOverride: "admin_override",
    LimitsExceeded: "limits_exceeded"
  };
  UserEventPayload62NewOwnerFeatureBlocksBlobBlockReason = {
    AdminOverride: "admin_override",
    LimitsExceeded: "limits_exceeded"
  };
  OverageReason = {
    AnalyticsUsage: "analyticsUsage",
    Artifacts: "artifacts",
    Bandwidth: "bandwidth",
    BlobTotalAdvancedRequests: "blobTotalAdvancedRequests",
    BlobTotalAvgSizeInBytes: "blobTotalAvgSizeInBytes",
    BlobTotalGetResponseObjectSizeInBytes: "blobTotalGetResponseObjectSizeInBytes",
    BlobTotalSimpleRequests: "blobTotalSimpleRequests",
    DataCacheRead: "dataCacheRead",
    DataCacheWrite: "dataCacheWrite",
    EdgeConfigRead: "edgeConfigRead",
    EdgeConfigWrite: "edgeConfigWrite",
    EdgeFunctionExecutionUnits: "edgeFunctionExecutionUnits",
    EdgeMiddlewareInvocations: "edgeMiddlewareInvocations",
    EdgeRequestAdditionalCpuDuration: "edgeRequestAdditionalCpuDuration",
    EdgeRequest: "edgeRequest",
    ElasticConcurrencyBuildSlots: "elasticConcurrencyBuildSlots",
    FastDataTransfer: "fastDataTransfer",
    FastOriginTransfer: "fastOriginTransfer",
    FunctionDuration: "functionDuration",
    FunctionInvocation: "functionInvocation",
    ImageOptimizationCacheRead: "imageOptimizationCacheRead",
    ImageOptimizationCacheWrite: "imageOptimizationCacheWrite",
    ImageOptimizationTransformation: "imageOptimizationTransformation",
    LogDrainsVolume: "logDrainsVolume",
    MonitoringMetric: "monitoringMetric",
    BlobDataTransfer: "blobDataTransfer",
    ObservabilityEvent: "observabilityEvent",
    PostgresComputeTime: "postgresComputeTime",
    PostgresDataStorage: "postgresDataStorage",
    PostgresDataTransfer: "postgresDataTransfer",
    PostgresDatabase: "postgresDatabase",
    PostgresWrittenData: "postgresWrittenData",
    ServerlessFunctionExecution: "serverlessFunctionExecution",
    SourceImages: "sourceImages",
    StorageRedisTotalBandwidthInBytes: "storageRedisTotalBandwidthInBytes",
    StorageRedisTotalCommands: "storageRedisTotalCommands",
    StorageRedisTotalDailyAvgStorageInBytes: "storageRedisTotalDailyAvgStorageInBytes",
    StorageRedisTotalDatabases: "storageRedisTotalDatabases",
    WafOwaspExcessBytes: "wafOwaspExcessBytes",
    WafOwaspRequests: "wafOwaspRequests",
    WafRateLimitRequest: "wafRateLimitRequest",
    WebAnalyticsEvent: "webAnalyticsEvent"
  };
  UserEventPayload62NewOwnerFeatureBlocksPostgresBlockReason = {
    AdminOverride: "admin_override",
    LimitsExceeded: "limits_exceeded"
  };
  PayloadOverageReason = {
    AnalyticsUsage: "analyticsUsage",
    Artifacts: "artifacts",
    Bandwidth: "bandwidth",
    BlobTotalAdvancedRequests: "blobTotalAdvancedRequests",
    BlobTotalAvgSizeInBytes: "blobTotalAvgSizeInBytes",
    BlobTotalGetResponseObjectSizeInBytes: "blobTotalGetResponseObjectSizeInBytes",
    BlobTotalSimpleRequests: "blobTotalSimpleRequests",
    DataCacheRead: "dataCacheRead",
    DataCacheWrite: "dataCacheWrite",
    EdgeConfigRead: "edgeConfigRead",
    EdgeConfigWrite: "edgeConfigWrite",
    EdgeFunctionExecutionUnits: "edgeFunctionExecutionUnits",
    EdgeMiddlewareInvocations: "edgeMiddlewareInvocations",
    EdgeRequestAdditionalCpuDuration: "edgeRequestAdditionalCpuDuration",
    EdgeRequest: "edgeRequest",
    ElasticConcurrencyBuildSlots: "elasticConcurrencyBuildSlots",
    FastDataTransfer: "fastDataTransfer",
    FastOriginTransfer: "fastOriginTransfer",
    FunctionDuration: "functionDuration",
    FunctionInvocation: "functionInvocation",
    ImageOptimizationCacheRead: "imageOptimizationCacheRead",
    ImageOptimizationCacheWrite: "imageOptimizationCacheWrite",
    ImageOptimizationTransformation: "imageOptimizationTransformation",
    LogDrainsVolume: "logDrainsVolume",
    MonitoringMetric: "monitoringMetric",
    BlobDataTransfer: "blobDataTransfer",
    ObservabilityEvent: "observabilityEvent",
    PostgresComputeTime: "postgresComputeTime",
    PostgresDataStorage: "postgresDataStorage",
    PostgresDataTransfer: "postgresDataTransfer",
    PostgresDatabase: "postgresDatabase",
    PostgresWrittenData: "postgresWrittenData",
    ServerlessFunctionExecution: "serverlessFunctionExecution",
    SourceImages: "sourceImages",
    StorageRedisTotalBandwidthInBytes: "storageRedisTotalBandwidthInBytes",
    StorageRedisTotalCommands: "storageRedisTotalCommands",
    StorageRedisTotalDailyAvgStorageInBytes: "storageRedisTotalDailyAvgStorageInBytes",
    StorageRedisTotalDatabases: "storageRedisTotalDatabases",
    WafOwaspExcessBytes: "wafOwaspExcessBytes",
    WafOwaspRequests: "wafOwaspRequests",
    WafRateLimitRequest: "wafRateLimitRequest",
    WebAnalyticsEvent: "webAnalyticsEvent"
  };
  UserEventPayload62NewOwnerFeatureBlocksRedisBlockReason = {
    AdminOverride: "admin_override",
    LimitsExceeded: "limits_exceeded"
  };
  UserEventPayloadOverageReason = {
    AnalyticsUsage: "analyticsUsage",
    Artifacts: "artifacts",
    Bandwidth: "bandwidth",
    BlobTotalAdvancedRequests: "blobTotalAdvancedRequests",
    BlobTotalAvgSizeInBytes: "blobTotalAvgSizeInBytes",
    BlobTotalGetResponseObjectSizeInBytes: "blobTotalGetResponseObjectSizeInBytes",
    BlobTotalSimpleRequests: "blobTotalSimpleRequests",
    DataCacheRead: "dataCacheRead",
    DataCacheWrite: "dataCacheWrite",
    EdgeConfigRead: "edgeConfigRead",
    EdgeConfigWrite: "edgeConfigWrite",
    EdgeFunctionExecutionUnits: "edgeFunctionExecutionUnits",
    EdgeMiddlewareInvocations: "edgeMiddlewareInvocations",
    EdgeRequestAdditionalCpuDuration: "edgeRequestAdditionalCpuDuration",
    EdgeRequest: "edgeRequest",
    ElasticConcurrencyBuildSlots: "elasticConcurrencyBuildSlots",
    FastDataTransfer: "fastDataTransfer",
    FastOriginTransfer: "fastOriginTransfer",
    FunctionDuration: "functionDuration",
    FunctionInvocation: "functionInvocation",
    ImageOptimizationCacheRead: "imageOptimizationCacheRead",
    ImageOptimizationCacheWrite: "imageOptimizationCacheWrite",
    ImageOptimizationTransformation: "imageOptimizationTransformation",
    LogDrainsVolume: "logDrainsVolume",
    MonitoringMetric: "monitoringMetric",
    BlobDataTransfer: "blobDataTransfer",
    ObservabilityEvent: "observabilityEvent",
    PostgresComputeTime: "postgresComputeTime",
    PostgresDataStorage: "postgresDataStorage",
    PostgresDataTransfer: "postgresDataTransfer",
    PostgresDatabase: "postgresDatabase",
    PostgresWrittenData: "postgresWrittenData",
    ServerlessFunctionExecution: "serverlessFunctionExecution",
    SourceImages: "sourceImages",
    StorageRedisTotalBandwidthInBytes: "storageRedisTotalBandwidthInBytes",
    StorageRedisTotalCommands: "storageRedisTotalCommands",
    StorageRedisTotalDailyAvgStorageInBytes: "storageRedisTotalDailyAvgStorageInBytes",
    StorageRedisTotalDatabases: "storageRedisTotalDatabases",
    WafOwaspExcessBytes: "wafOwaspExcessBytes",
    WafOwaspRequests: "wafOwaspRequests",
    WafRateLimitRequest: "wafRateLimitRequest",
    WebAnalyticsEvent: "webAnalyticsEvent"
  };
  Version = {
    Northstar: "northstar"
  };
  UserEventPayload58OldEnvVarType = {
    System: "system",
    Encrypted: "encrypted",
    Plain: "plain",
    Sensitive: "sensitive"
  };
  UserEventPayloadTarget = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  UserEventPayload58Type = {
    System: "system",
    Encrypted: "encrypted",
    Plain: "plain",
    Sensitive: "sensitive"
  };
  UserEventPayload58Target = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  OldTarget = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  NewTarget = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  PayloadType = {
    System: "system",
    Encrypted: "encrypted",
    Plain: "plain",
    Sensitive: "sensitive"
  };
  PayloadTarget = {
    Production: "production",
    Preview: "preview",
    Development: "development"
  };
  PayloadAction = {
    Created: "created",
    Removed: "removed"
  };
  NextRole = {
    Admin: "ADMIN",
    ProjectDeveloper: "PROJECT_DEVELOPER",
    ProjectViewer: "PROJECT_VIEWER"
  };
  PreviousRole = {
    Admin: "ADMIN",
    ProjectDeveloper: "PROJECT_DEVELOPER",
    ProjectViewer: "PROJECT_VIEWER"
  };
  Action = {
    Created: "created",
    Updated: "updated",
    Deleted: "deleted",
    Archived: "archived",
    Unarchived: "unarchived"
  };
  UserEventType$inboundSchema = nativeEnumType(UserEventType);
  UserEventType$outboundSchema = UserEventType$inboundSchema;
  ((UserEventType$) => {
    UserEventType$.inboundSchema = UserEventType$inboundSchema;
    UserEventType$.outboundSchema = UserEventType$outboundSchema;
  })(UserEventType$ ||= {});
  Entities$inboundSchema = objectType({
    type: UserEventType$inboundSchema,
    start: numberType(),
    end: numberType()
  });
  Entities$outboundSchema = objectType({
    type: UserEventType$outboundSchema,
    start: numberType(),
    end: numberType()
  });
  ((Entities$) => {
    Entities$.inboundSchema = Entities$inboundSchema;
    Entities$.outboundSchema = Entities$outboundSchema;
  })(Entities$ ||= {});
  User$inboundSchema = objectType({
    username: stringType(),
    avatar: stringType(),
    email: stringType(),
    slug: stringType().optional(),
    uid: stringType()
  });
  User$outboundSchema = objectType({
    username: stringType(),
    avatar: stringType(),
    email: stringType(),
    slug: stringType().optional(),
    uid: stringType()
  });
  ((User$) => {
    User$.inboundSchema = User$inboundSchema;
    User$.outboundSchema = User$outboundSchema;
  })(User$ ||= {});
  UserEventPrincipalType$inboundSchema = nativeEnumType(UserEventPrincipalType);
  UserEventPrincipalType$outboundSchema = UserEventPrincipalType$inboundSchema;
  ((UserEventPrincipalType$) => {
    UserEventPrincipalType$.inboundSchema = UserEventPrincipalType$inboundSchema;
    UserEventPrincipalType$.outboundSchema = UserEventPrincipalType$outboundSchema;
  })(UserEventPrincipalType$ ||= {});
  Two$inboundSchema = objectType({
    type: UserEventPrincipalType$inboundSchema,
    clientId: stringType(),
    name: stringType()
  });
  Two$outboundSchema = objectType({
    type: UserEventPrincipalType$outboundSchema,
    clientId: stringType(),
    name: stringType()
  });
  ((Two$) => {
    Two$.inboundSchema = Two$inboundSchema;
    Two$.outboundSchema = Two$outboundSchema;
  })(Two$ ||= {});
  PrincipalType$inboundSchema = nativeEnumType(PrincipalType);
  PrincipalType$outboundSchema = PrincipalType$inboundSchema;
  ((PrincipalType$) => {
    PrincipalType$.inboundSchema = PrincipalType$inboundSchema;
    PrincipalType$.outboundSchema = PrincipalType$outboundSchema;
  })(PrincipalType$ ||= {});
  One$inboundSchema = objectType({
    type: PrincipalType$inboundSchema.optional(),
    avatar: stringType(),
    email: stringType(),
    slug: stringType().optional(),
    uid: stringType(),
    username: stringType()
  });
  One$outboundSchema = objectType({
    type: PrincipalType$outboundSchema.optional(),
    avatar: stringType(),
    email: stringType(),
    slug: stringType().optional(),
    uid: stringType(),
    username: stringType()
  });
  ((One$) => {
    One$.inboundSchema = One$inboundSchema;
    One$.outboundSchema = One$outboundSchema;
  })(One$ ||= {});
  Principal$inboundSchema = unionType([lazyType(() => Two$inboundSchema), lazyType(() => One$inboundSchema)]);
  Principal$outboundSchema = unionType([
    lazyType(() => Two$outboundSchema),
    lazyType(() => One$outboundSchema)
  ]);
  ((Principal$) => {
    Principal$.inboundSchema = Principal$inboundSchema;
    Principal$.outboundSchema = Principal$outboundSchema;
  })(Principal$ ||= {});
  UserEventViaType$inboundSchema = nativeEnumType(UserEventViaType);
  UserEventViaType$outboundSchema = UserEventViaType$inboundSchema;
  ((UserEventViaType$) => {
    UserEventViaType$.inboundSchema = UserEventViaType$inboundSchema;
    UserEventViaType$.outboundSchema = UserEventViaType$outboundSchema;
  })(UserEventViaType$ ||= {});
  Via2$inboundSchema = objectType({
    type: UserEventViaType$inboundSchema,
    clientId: stringType(),
    name: stringType()
  });
  Via2$outboundSchema = objectType({
    type: UserEventViaType$outboundSchema,
    clientId: stringType(),
    name: stringType()
  });
  ((Via2$) => {
    Via2$.inboundSchema = Via2$inboundSchema;
    Via2$.outboundSchema = Via2$outboundSchema;
  })(Via2$ ||= {});
  ViaType$inboundSchema = nativeEnumType(ViaType);
  ViaType$outboundSchema = ViaType$inboundSchema;
  ((ViaType$) => {
    ViaType$.inboundSchema = ViaType$inboundSchema;
    ViaType$.outboundSchema = ViaType$outboundSchema;
  })(ViaType$ ||= {});
  Via1$inboundSchema = objectType({
    type: ViaType$inboundSchema.optional(),
    avatar: stringType(),
    email: stringType(),
    slug: stringType().optional(),
    uid: stringType(),
    username: stringType()
  });
  Via1$outboundSchema = objectType({
    type: ViaType$outboundSchema.optional(),
    avatar: stringType(),
    email: stringType(),
    slug: stringType().optional(),
    uid: stringType(),
    username: stringType()
  });
  ((Via1$) => {
    Via1$.inboundSchema = Via1$inboundSchema;
    Via1$.outboundSchema = Via1$outboundSchema;
  })(Via1$ ||= {});
  Via$inboundSchema = unionType([lazyType(() => Via2$inboundSchema), lazyType(() => Via1$inboundSchema)]);
  Via$outboundSchema = unionType([
    lazyType(() => Via2$outboundSchema),
    lazyType(() => Via1$outboundSchema)
  ]);
  ((Via$) => {
    Via$.inboundSchema = Via$inboundSchema;
    Via$.outboundSchema = Via$outboundSchema;
  })(Via$ ||= {});
  GrantType$inboundSchema = nativeEnumType(GrantType);
  GrantType$outboundSchema = GrantType$inboundSchema;
  ((GrantType$) => {
    GrantType$.inboundSchema = GrantType$inboundSchema;
    GrantType$.outboundSchema = GrantType$outboundSchema;
  })(GrantType$ ||= {});
  AuthMethod$inboundSchema = nativeEnumType(AuthMethod);
  AuthMethod$outboundSchema = AuthMethod$inboundSchema;
  ((AuthMethod$) => {
    AuthMethod$.inboundSchema = AuthMethod$inboundSchema;
    AuthMethod$.outboundSchema = AuthMethod$outboundSchema;
  })(AuthMethod$ ||= {});
  OneHundredAndFiftyTwo$inboundSchema = objectType({
    grantType: GrantType$inboundSchema,
    appName: stringType(),
    atTTL: numberType(),
    rtTTL: numberType().optional(),
    scope: stringType(),
    authMethod: AuthMethod$inboundSchema
  });
  OneHundredAndFiftyTwo$outboundSchema = objectType({
    grantType: GrantType$outboundSchema,
    appName: stringType(),
    atTTL: numberType(),
    rtTTL: numberType().optional(),
    scope: stringType(),
    authMethod: AuthMethod$outboundSchema
  });
  ((OneHundredAndFiftyTwo$) => {
    OneHundredAndFiftyTwo$.inboundSchema = OneHundredAndFiftyTwo$inboundSchema;
    OneHundredAndFiftyTwo$.outboundSchema = OneHundredAndFiftyTwo$outboundSchema;
  })(OneHundredAndFiftyTwo$ ||= {});
  UserEventPayload151Team$inboundSchema = objectType({
    id: stringType(),
    name: stringType()
  });
  UserEventPayload151Team$outboundSchema = objectType({
    id: stringType(),
    name: stringType()
  });
  ((UserEventPayload151Team$) => {
    UserEventPayload151Team$.inboundSchema = UserEventPayload151Team$inboundSchema;
    UserEventPayload151Team$.outboundSchema = UserEventPayload151Team$outboundSchema;
  })(UserEventPayload151Team$ ||= {});
  UserEventPayload151Configuration$inboundSchema = objectType({
    id: stringType(),
    name: stringType().optional()
  });
  UserEventPayload151Configuration$outboundSchema = objectType({
    id: stringType(),
    name: stringType().optional()
  });
  ((UserEventPayload151Configuration$) => {
    UserEventPayload151Configuration$.inboundSchema = UserEventPayload151Configuration$inboundSchema;
    UserEventPayload151Configuration$.outboundSchema = UserEventPayload151Configuration$outboundSchema;
  })(UserEventPayload151Configuration$ ||= {});
  UserEventPayloadPeering$inboundSchema = objectType({
    id: stringType(),
    name: stringType().optional()
  });
  UserEventPayloadPeering$outboundSchema = objectType({
    id: stringType(),
    name: stringType().optional()
  });
  ((UserEventPayloadPeering$) => {
    UserEventPayloadPeering$.inboundSchema = UserEventPayloadPeering$inboundSchema;
    UserEventPayloadPeering$.outboundSchema = UserEventPayloadPeering$outboundSchema;
  })(UserEventPayloadPeering$ ||= {});
  OneHundredAndFiftyOne$inboundSchema = objectType({
    team: lazyType(() => UserEventPayload151Team$inboundSchema),
    configuration: lazyType(() => UserEventPayload151Configuration$inboundSchema),
    peering: lazyType(() => UserEventPayloadPeering$inboundSchema),
    newName: stringType().optional()
  });
  OneHundredAndFiftyOne$outboundSchema = objectType({
    team: lazyType(() => UserEventPayload151Team$outboundSchema),
    configuration: lazyType(() => UserEventPayload151Configuration$outboundSchema),
    peering: lazyType(() => UserEventPayloadPeering$outboundSchema),
    newName: stringType().optional()
  });
  ((OneHundredAndFiftyOne$) => {
    OneHundredAndFiftyOne$.inboundSchema = OneHundredAndFiftyOne$inboundSchema;
    OneHundredAndFiftyOne$.outboundSchema = OneHundredAndFiftyOne$outboundSchema;
  })(OneHundredAndFiftyOne$ ||= {});
  UserEventPayload150Team$inboundSchema = objectType({
    id: stringType(),
    name: stringType()
  });
  UserEventPayload150Team$outboundSchema = objectType({
    id: stringType(),
    name: stringType()
  });
  ((UserEventPayload150Team$) => {
    UserEventPayload150Team$.inboundSchema = UserEventPayload150Team$inboundSchema;
    UserEventPayload150Team$.outboundSchema = UserEventPayload150Team$outboundSchema;
  })(UserEventPayload150Team$ ||= {});
  UserEventPayload150Configuration$inboundSchema = objectType({
    id: stringType(),
    name: stringType().optional()
  });
  UserEventPayload150Configuration$outboundSchema = objectType({
    id: stringType(),
    name: stringType().optional()
  });
  ((UserEventPayload150Configuration$) => {
    UserEventPayload150Configuration$.inboundSchema = UserEventPayload150Configuration$inboundSchema;
    UserEventPayload150Configuration$.outboundSchema = UserEventPayload150Configuration$outboundSchema;
  })(UserEventPayload150Configuration$ ||= {});
  PayloadPeering$inboundSchema = objectType({
    id: stringType(),
    name: stringType().optional()
  });
  PayloadPeering$outboundSchema = objectType({
    id: stringType(),
    name: stringType().optional()
  });
  ((PayloadPeering$) => {
    PayloadPeering$.inboundSchema = PayloadPeering$inboundSchema;
    PayloadPeering$.outboundSchema = PayloadPeering$outboundSchema;
  })(PayloadPeering$ ||= {});
  OneHundredAndFifty$inboundSchema = objectType({
    team: lazyType(() => UserEventPayload150Team$inboundSchema),
    configuration: lazyType(() => UserEventPayload150Configuration$inboundSchema),
    peering: lazyType(() => PayloadPeering$inboundSchema)
  });
  OneHundredAndFifty$outboundSchema = objectType({
    team: lazyType(() => UserEventPayload150Team$outboundSchema),
    configuration: lazyType(() => UserEventPayload150Configuration$outboundSchema),
    peering: lazyType(() => PayloadPeering$outboundSchema)
  });
  ((OneHundredAndFifty$) => {
    OneHundredAndFifty$.inboundSchema = OneHundredAndFifty$inboundSchema;
    OneHundredAndFifty$.outboundSchema = OneHundredAndFifty$outboundSchema;
  })(OneHundredAndFifty$ ||= {});
  UserEventPayload149Team$inboundSchema = objectType({
    id: stringType(),
    name: stringType()
  });
  UserEventPayload149Team$outboundSchema = objectType({
    id: stringType(),
    name: stringType()
  });
  ((UserEventPayload149Team$) => {
    UserEventPayload149Team$.inboundSchema = UserEventPayload149Team$inboundSchema;
    UserEventPayload149Team$.outboundSchema = UserEventPayload149Team$outboundSchema;
  })(UserEventPayload149Team$ ||= {});
  UserEventPayload149Configuration$inboundSchema = objectType({
    id: stringType(),
    name: stringType().optional()
  });
  UserEventPayload149Configuration$outboundSchema = objectType({
    id: stringType(),
    name: stringType().optional()
  });
  ((UserEventPayload149Configuration$) => {
    UserEventPayload149Configuration$.inboundSchema = UserEventPayload149Configuration$inboundSchema;
    UserEventPayload149Configuration$.outboundSchema = UserEventPayload149Configuration$outboundSchema;
  })(UserEventPayload149Configuration$ ||= {});
  Peering$inboundSchema = objectType({
    id: stringType(),
    accountId: stringType(),
    region: stringType(),
    vpcId: stringType()
  });
  Peering$outboundSchema = objectType({
    id: stringType(),
    accountId: stringType(),
    region: stringType(),
    vpcId: stringType()
  });
  ((Peering$) => {
    Peering$.inboundSchema = Peering$inboundSchema;
    Peering$.outboundSchema = Peering$outboundSchema;
  })(Peering$ ||= {});
  OneHundredAndFortyNine$inboundSchema = objectType({
    team: lazyType(() => UserEventPayload149Team$inboundSchema),
    configuration: lazyType(() => UserEventPayload149Configuration$inboundSchema),
    peering: lazyType(() => Peering$inboundSchema)
  });
  OneHundredAndFortyNine$outboundSchema = objectType({
    team: lazyType(() => UserEventPayload149Team$outboundSchema),
    configuration: lazyType(() => UserEventPayload149Configuration$outboundSchema),
    peering: lazyType(() => Peering$outboundSchema)
  });
  ((OneHundredAndFortyNine$) => {
    OneHundredAndFortyNine$.inboundSchema = OneHundredAndFortyNine$inboundSchema;
    OneHundredAndFortyNine$.outboundSchema = OneHundredAndFortyNine$outboundSchema;
  })(OneHundredAndFortyNine$ ||= {});
  OneHundredAndFortyEight$inboundSchema = objectType({
    appName: stringType()
  });
  OneHundredAndFortyEight$outboundSchema = objectType({
    appName: stringType()
  });
  ((OneHundredAndFortyEight$) => {
    OneHundredAndFortyEight$.inboundSchema = OneHundredAndFortyEight$inboundSchema;
    OneHundredAndFortyEight$.outboundSchema = OneHundredAndFortyEight$outboundSchema;
  })(OneHundredAndFortyEight$ ||= {});
  OneHundredAndFortySeven$inboundSchema = objectType({
    appName: stringType(),
    nextScopes: arrayType(stringType())
  });
  OneHundredAndFortySeven$outboundSchema = objectType({
    appName: stringType(),
    nextScopes: arrayType(stringType())
  });
  ((OneHundredAndFortySeven$) => {
    OneHundredAndFortySeven$.inboundSchema = OneHundredAndFortySeven$inboundSchema;
    OneHundredAndFortySeven$.outboundSchema = OneHundredAndFortySeven$outboundSchema;
  })(OneHundredAndFortySeven$ ||= {});
  OneHundredAndFortySix$inboundSchema = objectType({
    appName: stringType(),
    scopes: arrayType(stringType())
  });
  OneHundredAndFortySix$outboundSchema = objectType({
    appName: stringType(),
    scopes: arrayType(stringType())
  });
  ((OneHundredAndFortySix$) => {
    OneHundredAndFortySix$.inboundSchema = OneHundredAndFortySix$inboundSchema;
    OneHundredAndFortySix$.outboundSchema = OneHundredAndFortySix$outboundSchema;
  })(OneHundredAndFortySix$ ||= {});
  OneHundredAndFortyFive$inboundSchema = objectType({
    oldName: stringType(),
    newName: stringType()
  });
  OneHundredAndFortyFive$outboundSchema = objectType({
    oldName: stringType(),
    newName: stringType()
  });
  ((OneHundredAndFortyFive$) => {
    OneHundredAndFortyFive$.inboundSchema = OneHundredAndFortyFive$inboundSchema;
    OneHundredAndFortyFive$.outboundSchema = OneHundredAndFortyFive$outboundSchema;
  })(OneHundredAndFortyFive$ ||= {});
  Tier$inboundSchema = nativeEnumType(Tier);
  Tier$outboundSchema = Tier$inboundSchema;
  ((Tier$) => {
    Tier$.inboundSchema = Tier$inboundSchema;
    Tier$.outboundSchema = Tier$outboundSchema;
  })(Tier$ ||= {});
  OneHundredAndFortyFour$inboundSchema = objectType({
    tier: Tier$inboundSchema
  });
  OneHundredAndFortyFour$outboundSchema = objectType({
    tier: Tier$outboundSchema
  });
  ((OneHundredAndFortyFour$) => {
    OneHundredAndFortyFour$.inboundSchema = OneHundredAndFortyFour$inboundSchema;
    OneHundredAndFortyFour$.outboundSchema = OneHundredAndFortyFour$outboundSchema;
  })(OneHundredAndFortyFour$ ||= {});
  ProjectWebAnalytics$inboundSchema = objectType({
    id: stringType(),
    disabledAt: numberType().optional(),
    canceledAt: numberType().optional(),
    enabledAt: numberType().optional(),
    hasData: booleanType().optional()
  });
  ProjectWebAnalytics$outboundSchema = objectType({
    id: stringType(),
    disabledAt: numberType().optional(),
    canceledAt: numberType().optional(),
    enabledAt: numberType().optional(),
    hasData: booleanType().optional()
  });
  ((ProjectWebAnalytics$) => {
    ProjectWebAnalytics$.inboundSchema = ProjectWebAnalytics$inboundSchema;
    ProjectWebAnalytics$.outboundSchema = ProjectWebAnalytics$outboundSchema;
  })(ProjectWebAnalytics$ ||= {});
  PrevProjectWebAnalytics$inboundSchema = objectType({
    id: stringType(),
    disabledAt: numberType().optional(),
    canceledAt: numberType().optional(),
    enabledAt: numberType().optional(),
    hasData: booleanType().optional()
  });
  PrevProjectWebAnalytics$outboundSchema = objectType({
    id: stringType(),
    disabledAt: numberType().optional(),
    canceledAt: numberType().optional(),
    enabledAt: numberType().optional(),
    hasData: booleanType().optional()
  });
  ((PrevProjectWebAnalytics$) => {
    PrevProjectWebAnalytics$.inboundSchema = PrevProjectWebAnalytics$inboundSchema;
    PrevProjectWebAnalytics$.outboundSchema = PrevProjectWebAnalytics$outboundSchema;
  })(PrevProjectWebAnalytics$ ||= {});
  OneHundredAndFortyThree$inboundSchema = objectType({
    projectId: stringType(),
    projectName: stringType(),
    projectWebAnalytics: lazyType(() => ProjectWebAnalytics$inboundSchema).optional(),
    prevProjectWebAnalytics: nullableType(lazyType(() => PrevProjectWebAnalytics$inboundSchema)).optional()
  });
  OneHundredAndFortyThree$outboundSchema = objectType({
    projectId: stringType(),
    projectName: stringType(),
    projectWebAnalytics: lazyType(() => ProjectWebAnalytics$outboundSchema).optional(),
    prevProjectWebAnalytics: nullableType(lazyType(() => PrevProjectWebAnalytics$outboundSchema)).optional()
  });
  ((OneHundredAndFortyThree$) => {
    OneHundredAndFortyThree$.inboundSchema = OneHundredAndFortyThree$inboundSchema;
    OneHundredAndFortyThree$.outboundSchema = OneHundredAndFortyThree$outboundSchema;
  })(OneHundredAndFortyThree$ ||= {});
  Microfrontends2$inboundSchema = objectType({
    updatedAt: numberType(),
    groupIds: arrayType(anyType()),
    enabled: booleanType()
  });
  Microfrontends2$outboundSchema = objectType({
    updatedAt: numberType(),
    groupIds: arrayType(anyType()),
    enabled: booleanType()
  });
  ((Microfrontends2$) => {
    Microfrontends2$.inboundSchema = Microfrontends2$inboundSchema;
    Microfrontends2$.outboundSchema = Microfrontends2$outboundSchema;
  })(Microfrontends2$ ||= {});
  Microfrontends1$inboundSchema = objectType({
    updatedAt: numberType(),
    groupIds: arrayType(stringType()),
    enabled: booleanType(),
    isDefaultApp: booleanType().optional(),
    defaultRoute: stringType().optional(),
    routeObservabilityToThisProject: booleanType().optional()
  });
  Microfrontends1$outboundSchema = objectType({
    updatedAt: numberType(),
    groupIds: arrayType(stringType()),
    enabled: booleanType(),
    isDefaultApp: booleanType().optional(),
    defaultRoute: stringType().optional(),
    routeObservabilityToThisProject: booleanType().optional()
  });
  ((Microfrontends1$) => {
    Microfrontends1$.inboundSchema = Microfrontends1$inboundSchema;
    Microfrontends1$.outboundSchema = Microfrontends1$outboundSchema;
  })(Microfrontends1$ ||= {});
  Microfrontends$inboundSchema = unionType([
    lazyType(() => Microfrontends2$inboundSchema),
    lazyType(() => Microfrontends1$inboundSchema)
  ]);
  Microfrontends$outboundSchema = unionType([
    lazyType(() => Microfrontends2$outboundSchema),
    lazyType(() => Microfrontends1$outboundSchema)
  ]);
  ((Microfrontends$) => {
    Microfrontends$.inboundSchema = Microfrontends$inboundSchema;
    Microfrontends$.outboundSchema = Microfrontends$outboundSchema;
  })(Microfrontends$ ||= {});
  UserEventPayload142Project$inboundSchema = objectType({
    id: stringType(),
    name: stringType(),
    microfrontends: unionType([
      lazyType(() => Microfrontends2$inboundSchema),
      lazyType(() => Microfrontends1$inboundSchema)
    ]).optional()
  });
  UserEventPayload142Project$outboundSchema = objectType({
    id: stringType(),
    name: stringType(),
    microfrontends: unionType([
      lazyType(() => Microfrontends2$outboundSchema),
      lazyType(() => Microfrontends1$outboundSchema)
    ]).optional()
  });
  ((UserEventPayload142Project$) => {
    UserEventPayload142Project$.inboundSchema = UserEventPayload142Project$inboundSchema;
    UserEventPayload142Project$.outboundSchema = UserEventPayload142Project$outboundSchema;
  })(UserEventPayload142Project$ ||= {});
  UserEventMicrofrontends2$inboundSchema = objectType({
    updatedAt: numberType(),
    groupIds: arrayType(anyType()),
    enabled: booleanType()
  });
  UserEventMicrofrontends2$outboundSchema = objectType({
    updatedAt: numberType(),
    groupIds: arrayType(anyType()),
    enabled: booleanType()
  });
  ((UserEventMicrofrontends2$) => {
    UserEventMicrofrontends2$.inboundSchema = UserEventMicrofrontends2$inboundSchema;
    UserEventMicrofrontends2$.outboundSchema = UserEventMicrofrontends2$outboundSchema;
  })(UserEventMicrofrontends2$ ||= {});
  UserEventMicrofrontends1$inboundSchema = objectType({
    updatedAt: numberType(),
    groupIds: arrayType(stringType()),
    enabled: booleanType(),
    isDefaultApp: booleanType().optional(),
    defaultRoute: stringType().optional(),
    routeObservabilityToThisProject: booleanType().optional()
  });
  UserEventMicrofrontends1$outboundSchema = objectType({
    updatedAt: numberType(),
    groupIds: arrayType(stringType()),
    enabled: booleanType(),
    isDefaultApp: booleanType().optional(),
    defaultRoute: stringType().optional(),
    routeObservabilityToThisProject: booleanType().optional()
  });
  ((UserEventMicrofrontends1$) => {
    UserEventMicrofrontends1$.inboundSchema = UserEventMicrofrontends1$inboundSchema;
    UserEventMicrofrontends1$.outboundSchema = UserEventMicrofrontends1$outboundSchema;
  })(UserEventMicrofrontends1$ ||= {});
  PayloadMicrofrontends$inboundSchema = unionType([
    lazyType(() => UserEventMicrofrontends2$inboundSchema),
    lazyType(() => UserEventMicrofrontends1$inboundSchema)
  ]);
  PayloadMicrofrontends$outboundSchema = unionType([
    lazyType(() => UserEventMicrofrontends2$outboundSchema),
    lazyType(() => UserEventMicrofrontends1$outboundSchema)
  ]);
  ((PayloadMicrofrontends$) => {
    PayloadMicrofrontends$.inboundSchema = PayloadMicrofrontends$inboundSchema;
    PayloadMicrofrontends$.outboundSchema = PayloadMicrofrontends$outboundSchema;
  })(PayloadMicrofrontends$ ||= {});
  UserEventPayload142PrevProject$inboundSchema = objectType({
    microfrontends: unionType([
      lazyType(() => UserEventMicrofrontends2$inboundSchema),
      lazyType(() => UserEventMicrofrontends1$inboundSchema)
    ]).optional()
  });
  UserEventPayload142PrevProject$outboundSchema = objectType({
    microfrontends: unionType([
      lazyType(() => UserEventMicrofrontends2$outboundSchema),
      lazyType(() => UserEventMicrofrontends1$outboundSchema)
    ]).optional()
  });
  ((UserEventPayload142PrevProject$) => {
    UserEventPayload142PrevProject$.inboundSchema = UserEventPayload142PrevProject$inboundSchema;
    UserEventPayload142PrevProject$.outboundSchema = UserEventPayload142PrevProject$outboundSchema;
  })(UserEventPayload142PrevProject$ ||= {});
  PayloadPrev$inboundSchema = objectType({
    project: lazyType(() => UserEventPayload142PrevProject$inboundSchema)
  });
  PayloadPrev$outboundSchema = objectType({
    project: lazyType(() => UserEventPayload142PrevProject$outboundSchema)
  });
  ((PayloadPrev$) => {
    PayloadPrev$.inboundSchema = PayloadPrev$inboundSchema;
    PayloadPrev$.outboundSchema = PayloadPrev$outboundSchema;
  })(PayloadPrev$ ||= {});
  PayloadGroup$inboundSchema = objectType({
    id: stringType(),
    slug: stringType(),
    name: stringType()
  });
  PayloadGroup$outboundSchema = objectType({
    id: stringType(),
    slug: stringType(),
    name: stringType()
  });
  ((PayloadGroup$) => {
    PayloadGroup$.inboundSchema = PayloadGroup$inboundSchema;
    PayloadGroup$.outboundSchema = PayloadGroup$outboundSchema;
  })(PayloadGroup$ ||= {});
  OneHundredAndFortyTwo$inboundSchema = objectType({
    project: lazyType(() => UserEventPayload142Project$inboundSchema),
    prev: lazyType(() => PayloadPrev$inboundSchema),
    group: lazyType(() => PayloadGroup$inboundSchema)
  });
  OneHundredAndFortyTwo$outboundSchema = objectType({
    project: lazyType(() => UserEventPayload142Project$outboundSchema),
    prev: lazyType(() => PayloadPrev$outboundSchema),
    group: lazyType(() => PayloadGroup$outboundSchema)
  });
  ((OneHundredAndFortyTwo$) => {
    OneHundredAndFortyTwo$.inboundSchema = OneHundredAndFortyTwo$inboundSchema;
    OneHundredAndFortyTwo$.outboundSchema = OneHundredAndFortyTwo$outboundSchema;
  })(OneHundredAndFortyTwo$ ||= {});
  UserEventPayload141Project$inboundSchema = objectType({
    id: stringType(),
    name: stringType()
  });
  UserEventPayload141Project$outboundSchema = objectType({
    id: stringType(),
    name: stringType()
  });
  ((UserEventPayload141Project$) => {
    UserEventPayload141Project$.inboundSchema = UserEventPayload141Project$inboundSchema;
    UserEventPayload141Project$.outboundSchema = UserEventPayload141Project$outboundSchema;
  })(UserEventPayload141Project$ ||= {});
  Group$inboundSchema = objectType({
    id: stringType(),
    slug: stringType(),
    name: stringType()
  });
  Group$outboundSchema = objectType({
    id: stringType(),
    slug: stringType(),
    name: stringType()
  });
  ((Group$) => {
    Group$.inboundSchema = Group$inboundSchema;
    Group$.outboundSchema = Group$outboundSchema;
  })(Group$ ||= {});
  OneHundredAndFortyOne$inboundSchema = objectType({
    project: lazyType(() => UserEventPayload141Project$inboundSchema),
    group: lazyType(() => Group$inboundSchema)
  });
  OneHundredAndFortyOne$outboundSchema = objectType({
    project: lazyType(() => UserEventPayload141Project$outboundSchema),
    group: lazyType(() => Group$outboundSchema)
  });
  ((OneHundredAndFortyOne$) => {
    OneHundredAndFortyOne$.inboundSchema = OneHundredAndFortyOne$inboundSchema;
    OneHundredAndFortyOne$.outboundSchema = OneHundredAndFortyOne$outboundSchema;
  })(OneHundredAndFortyOne$ ||= {});
  Prev$inboundSchema = objectType({
    name: stringType(),
    slug: stringType()
  });
  Prev$outboundSchema = objectType({
    name: stringType(),
    slug: stringType()
  });
  ((Prev$) => {
    Prev$.inboundSchema = Prev$inboundSchema;
    Prev$.outboundSchema = Prev$outboundSchema;
  })(Prev$ ||= {});
  OneHundredAndForty$inboundSchema = objectType({
    id: stringType(),
    slug: stringType(),
    name: stringType(),
    prev: lazyType(() => Prev$inboundSchema)
  });
  OneHundredAndForty$outboundSchema = objectType({
    id: stringType(),
    slug: stringType(),
    name: stringType(),
    prev: lazyType(() => Prev$outboundSchema)
  });
  ((OneHundredAndForty$) => {
    OneHundredAndForty$.inboundSchema = OneHundredAndForty$inboundSchema;
    OneHundredAndForty$.outboundSchema = OneHundredAndForty$outboundSchema;
  })(OneHundredAndForty$ ||= {});
  OneHundredAndThirtyNine$inboundSchema = objectType({
    id: stringType(),
    slug: stringType(),
    name: stringType()
  });
  OneHundredAndThirtyNine$outboundSchema = objectType({
    id: stringType(),
    slug: stringType(),
    name: stringType()
  });
  ((OneHundredAndThirtyNine$) => {
    OneHundredAndThirtyNine$.inboundSchema = OneHundredAndThirtyNine$inboundSchema;
    OneHundredAndThirtyNine$.outboundSchema = OneHundredAndThirtyNine$outboundSchema;
  })(OneHundredAndThirtyNine$ ||= {});
  UserEventPayload138Action$inboundSchema = nativeEnumType(UserEventPayload138Action);
  UserEventPayload138Action$outboundSchema = UserEventPayload138Action$inboundSchema;
  ((UserEventPayload138Action$) => {
    UserEventPayload138Action$.inboundSchema = UserEventPayload138Action$inboundSchema;
    UserEventPayload138Action$.outboundSchema = UserEventPayload138Action$outboundSchema;
  })(UserEventPayload138Action$ ||= {});
  OneHundredAndThirtyEight$inboundSchema = objectType({
    action: UserEventPayload138Action$inboundSchema
  });
  OneHundredAndThirtyEight$outboundSchema = objectType({
    action: UserEventPayload138Action$outboundSchema
  });
  ((OneHundredAndThirtyEight$) => {
    OneHundredAndThirtyEight$.inboundSchema = OneHundredAndThirtyEight$inboundSchema;
    OneHundredAndThirtyEight$.outboundSchema = OneHundredAndThirtyEight$outboundSchema;
  })(OneHundredAndThirtyEight$ ||= {});
  OneHundredAndThirtySeven$inboundSchema = objectType({
    edgeConfigId: stringType(),
    edgeConfigSlug: stringType(),
    edgeConfigTokenIds: arrayType(stringType())
  });
  OneHundredAndThirtySeven$outboundSchema = objectType({
    edgeConfigId: stringType(),
    edgeConfigSlug: stringType(),
    edgeConfigTokenIds: arrayType(stringType())
  });
  ((OneHundredAndThirtySeven$) => {
    OneHundredAndThirtySeven$.inboundSchema = OneHundredAndThirtySeven$inboundSchema;
    OneHundredAndThirtySeven$.outboundSchema = OneHundredAndThirtySeven$outboundSchema;
  })(OneHundredAndThirtySeven$ ||= {});
  OneHundredAndThirtySix$inboundSchema = objectType({
    edgeConfigId: stringType(),
    edgeConfigSlug: stringType(),
    edgeConfigTokenId: stringType(),
    label: stringType()
  });
  OneHundredAndThirtySix$outboundSchema = objectType({
    edgeConfigId: stringType(),
    edgeConfigSlug: stringType(),
    edgeConfigTokenId: stringType(),
    label: stringType()
  });
  ((OneHundredAndThirtySix$) => {
    OneHundredAndThirtySix$.inboundSchema = OneHundredAndThirtySix$inboundSchema;
    OneHundredAndThirtySix$.outboundSchema = OneHundredAndThirtySix$outboundSchema;
  })(OneHundredAndThirtySix$ ||= {});
  OneHundredAndThirtyFive$inboundSchema = objectType({
    edgeConfigId: stringType(),
    edgeConfigSlug: stringType(),
    edgeConfigDigest: stringType()
  });
  OneHundredAndThirtyFive$outboundSchema = objectType({
    edgeConfigId: stringType(),
    edgeConfigSlug: stringType(),
    edgeConfigDigest: stringType()
  });
  ((OneHundredAndThirtyFive$) => {
    OneHundredAndThirtyFive$.inboundSchema = OneHundredAndThirtyFive$inboundSchema;
    OneHundredAndThirtyFive$.outboundSchema = OneHundredAndThirtyFive$outboundSchema;
  })(OneHundredAndThirtyFive$ ||= {});
  UserEventPayload134Role$inboundSchema = nativeEnumType(UserEventPayload134Role);
  UserEventPayload134Role$outboundSchema = UserEventPayload134Role$inboundSchema;
  ((UserEventPayload134Role$) => {
    UserEventPayload134Role$.inboundSchema = UserEventPayload134Role$inboundSchema;
    UserEventPayload134Role$.outboundSchema = UserEventPayload134Role$outboundSchema;
  })(UserEventPayload134Role$ ||= {});
  UserEventPayload134Project$inboundSchema = objectType({
    name: stringType(),
    role: UserEventPayload134Role$inboundSchema,
    invitedUserName: stringType(),
    id: stringType().optional(),
    invitedUserId: stringType().optional()
  });
  UserEventPayload134Project$outboundSchema = objectType({
    name: stringType(),
    role: UserEventPayload134Role$outboundSchema,
    invitedUserName: stringType(),
    id: stringType().optional(),
    invitedUserId: stringType().optional()
  });
  ((UserEventPayload134Project$) => {
    UserEventPayload134Project$.inboundSchema = UserEventPayload134Project$inboundSchema;
    UserEventPayload134Project$.outboundSchema = UserEventPayload134Project$outboundSchema;
  })(UserEventPayload134Project$ ||= {});
  OneHundredAndThirtyFour$inboundSchema = objectType({
    project: lazyType(() => UserEventPayload134Project$inboundSchema)
  });
  OneHundredAndThirtyFour$outboundSchema = objectType({
    project: lazyType(() => UserEventPayload134Project$outboundSchema)
  });
  ((OneHundredAndThirtyFour$) => {
    OneHundredAndThirtyFour$.inboundSchema = OneHundredAndThirtyFour$inboundSchema;
    OneHundredAndThirtyFour$.outboundSchema = OneHundredAndThirtyFour$outboundSchema;
  })(OneHundredAndThirtyFour$ ||= {});
  UserEventPayload133Project$inboundSchema = objectType({
    id: stringType(),
    name: stringType()
  });
  UserEventPayload133Project$outboundSchema = objectType({
    id: stringType(),
    name: stringType()
  });
  ((UserEventPayload133Project$) => {
    UserEventPayload133Project$.inboundSchema = UserEventPayload133Project$inboundSchema;
    UserEventPayload133Project$.outboundSchema = UserEventPayload133Project$outboundSchema;
  })(UserEventPayload133Project$ ||= {});
  UserEventPayload133Role$inboundSchema = nativeEnumType(UserEventPayload133Role);
  UserEventPayload133Role$outboundSchema = UserEventPayload133Role$inboundSchema;
  ((UserEventPayload133Role$) => {
    UserEventPayload133Role$.inboundSchema = UserEventPayload133Role$inboundSchema;
    UserEventPayload133Role$.outboundSchema = UserEventPayload133Role$outboundSchema;
  })(UserEventPayload133Role$ ||= {});
  PayloadPreviousRole$inboundSchema = nativeEnumType(PayloadPreviousRole);
  PayloadPreviousRole$outboundSchema = PayloadPreviousRole$inboundSchema;
  ((PayloadPreviousRole$) => {
    PayloadPreviousRole$.inboundSchema = PayloadPreviousRole$inboundSchema;
    PayloadPreviousRole$.outboundSchema = PayloadPreviousRole$outboundSchema;
  })(PayloadPreviousRole$ ||= {});
  PayloadProjectMembership$inboundSchema = objectType({
    role: UserEventPayload133Role$inboundSchema.optional(),
    uid: stringType().optional(),
    createdAt: numberType().optional(),
    username: stringType().optional(),
    previousRole: PayloadPreviousRole$inboundSchema.optional()
  });
  PayloadProjectMembership$outboundSchema = objectType({
    role: UserEventPayload133Role$outboundSchema.optional(),
    uid: stringType().optional(),
    createdAt: numberType().optional(),
    username: stringType().optional(),
    previousRole: PayloadPreviousRole$outboundSchema.optional()
  });
  ((PayloadProjectMembership$) => {
    PayloadProjectMembership$.inboundSchema = PayloadProjectMembership$inboundSchema;
    PayloadProjectMembership$.outboundSchema = PayloadProjectMembership$outboundSchema;
  })(PayloadProjectMembership$ ||= {});
  OneHundredAndThirtyThree$inboundSchema = objectType({
    project: lazyType(() => UserEventPayload133Project$inboundSchema),
    projectMembership: lazyType(() => PayloadProjectMembership$inboundSchema)
  });
  OneHundredAndThirtyThree$outboundSchema = objectType({
    project: lazyType(() => UserEventPayload133Project$outboundSchema),
    projectMembership: lazyType(() => PayloadProjectMembership$outboundSchema)
  });
  ((OneHundredAndThirtyThree$) => {
    OneHundredAndThirtyThree$.inboundSchema = OneHundredAndThirtyThree$inboundSchema;
    OneHundredAndThirtyThree$.outboundSchema = OneHundredAndThirtyThree$outboundSchema;
  })(OneHundredAndThirtyThree$ ||= {});
  UserEventPayload132Project$inboundSchema = objectType({
    name: stringType(),
    id: stringType().optional()
  });
  UserEventPayload132Project$outboundSchema = objectType({
    name: stringType(),
    id: stringType().optional()
  });
  ((UserEventPayload132Project$) => {
    UserEventPayload132Project$.inboundSchema = UserEventPayload132Project$inboundSchema;
    UserEventPayload132Project$.outboundSchema = UserEventPayload132Project$outboundSchema;
  })(UserEventPayload132Project$ ||= {});
  UserEventPayloadRole$inboundSchema = nativeEnumType(UserEventPayloadRole);
  UserEventPayloadRole$outboundSchema = UserEventPayloadRole$inboundSchema;
  ((UserEventPayloadRole$) => {
    UserEventPayloadRole$.inboundSchema = UserEventPayloadRole$inboundSchema;
    UserEventPayloadRole$.outboundSchema = UserEventPayloadRole$outboundSchema;
  })(UserEventPayloadRole$ ||= {});
  RemovedMembership$inboundSchema = objectType({
    role: UserEventPayloadRole$inboundSchema.optional(),
    uid: stringType().optional(),
    createdAt: numberType().optional(),
    username: stringType().optional()
  });
  RemovedMembership$outboundSchema = objectType({
    role: UserEventPayloadRole$outboundSchema.optional(),
    uid: stringType().optional(),
    createdAt: numberType().optional(),
    username: stringType().optional()
  });
  ((RemovedMembership$) => {
    RemovedMembership$.inboundSchema = RemovedMembership$inboundSchema;
    RemovedMembership$.outboundSchema = RemovedMembership$outboundSchema;
  })(RemovedMembership$ ||= {});
  OneHundredAndThirtyTwo$inboundSchema = objectType({
    project: lazyType(() => UserEventPayload132Project$inboundSchema),
    removedMembership: lazyType(() => RemovedMembership$inboundSchema)
  });
  OneHundredAndThirtyTwo$outboundSchema = objectType({
    project: lazyType(() => UserEventPayload132Project$outboundSchema),
    removedMembership: lazyType(() => RemovedMembership$outboundSchema)
  });
  ((OneHundredAndThirtyTwo$) => {
    OneHundredAndThirtyTwo$.inboundSchema = OneHundredAndThirtyTwo$inboundSchema;
    OneHundredAndThirtyTwo$.outboundSchema = OneHundredAndThirtyTwo$outboundSchema;
  })(OneHundredAndThirtyTwo$ ||= {});
  UserEventPayload131Project$inboundSchema = objectType({
    name: stringType(),
    id: stringType().optional()
  });
  UserEventPayload131Project$outboundSchema = objectType({
    name: stringType(),
    id: stringType().optional()
  });
  ((UserEventPayload131Project$) => {
    UserEventPayload131Project$.inboundSchema = UserEventPayload131Project$inboundSchema;
    UserEventPayload131Project$.outboundSchema = UserEventPayload131Project$outboundSchema;
  })(UserEventPayload131Project$ ||= {});
  PayloadRole$inboundSchema = nativeEnumType(PayloadRole);
  PayloadRole$outboundSchema = PayloadRole$inboundSchema;
  ((PayloadRole$) => {
    PayloadRole$.inboundSchema = PayloadRole$inboundSchema;
    PayloadRole$.outboundSchema = PayloadRole$outboundSchema;
  })(PayloadRole$ ||= {});
  ProjectMembership$inboundSchema = objectType({
    role: PayloadRole$inboundSchema.optional(),
    uid: stringType().optional(),
    createdAt: numberType().optional(),
    username: stringType().optional()
  });
  ProjectMembership$outboundSchema = objectType({
    role: PayloadRole$outboundSchema.optional(),
    uid: stringType().optional(),
    createdAt: numberType().optional(),
    username: stringType().optional()
  });
  ((ProjectMembership$) => {
    ProjectMembership$.inboundSchema = ProjectMembership$inboundSchema;
    ProjectMembership$.outboundSchema = ProjectMembership$outboundSchema;
  })(ProjectMembership$ ||= {});
  OneHundredAndThirtyOne$inboundSchema = objectType({
    project: lazyType(() => UserEventPayload131Project$inboundSchema),
    projectMembership: nullableType(lazyType(() => ProjectMembership$inboundSchema))
  });
  OneHundredAndThirtyOne$outboundSchema = objectType({
    project: lazyType(() => UserEventPayload131Project$outboundSchema),
    projectMembership: nullableType(lazyType(() => ProjectMembership$outboundSchema))
  });
  ((OneHundredAndThirtyOne$) => {
    OneHundredAndThirtyOne$.inboundSchema = OneHundredAndThirtyOne$inboundSchema;
    OneHundredAndThirtyOne$.outboundSchema = OneHundredAndThirtyOne$outboundSchema;
  })(OneHundredAndThirtyOne$ ||= {});
  OneHundredAndThirty$inboundSchema = objectType({
    previousProjectName: stringType(),
    newProjectName: stringType(),
    originAccountName: stringType(),
    transferId: stringType().optional()
  });
  OneHundredAndThirty$outboundSchema = objectType({
    previousProjectName: stringType(),
    newProjectName: stringType(),
    originAccountName: stringType(),
    transferId: stringType().optional()
  });
  ((OneHundredAndThirty$) => {
    OneHundredAndThirty$.inboundSchema = OneHundredAndThirty$inboundSchema;
    OneHundredAndThirty$.outboundSchema = OneHundredAndThirty$outboundSchema;
  })(OneHundredAndThirty$ ||= {});
  OneHundredAndTwentyNine$inboundSchema = objectType({
    previousProjectName: stringType(),
    newProjectName: stringType(),
    destinationAccountName: stringType(),
    transferId: stringType().optional()
  });
  OneHundredAndTwentyNine$outboundSchema = objectType({
    previousProjectName: stringType(),
    newProjectName: stringType(),
    destinationAccountName: stringType(),
    transferId: stringType().optional()
  });
  ((OneHundredAndTwentyNine$) => {
    OneHundredAndTwentyNine$.inboundSchema = OneHundredAndTwentyNine$inboundSchema;
    OneHundredAndTwentyNine$.outboundSchema = OneHundredAndTwentyNine$outboundSchema;
  })(OneHundredAndTwentyNine$ ||= {});
  OneHundredAndTwentyEight$inboundSchema = objectType({
    projectName: stringType(),
    destinationAccountName: nullableType(stringType()),
    transferId: stringType().optional()
  });
  OneHundredAndTwentyEight$outboundSchema = objectType({
    projectName: stringType(),
    destinationAccountName: nullableType(stringType()),
    transferId: stringType().optional()
  });
  ((OneHundredAndTwentyEight$) => {
    OneHundredAndTwentyEight$.inboundSchema = OneHundredAndTwentyEight$inboundSchema;
    OneHundredAndTwentyEight$.outboundSchema = OneHundredAndTwentyEight$outboundSchema;
  })(OneHundredAndTwentyEight$ ||= {});
  OneHundredAndTwentySeven$inboundSchema = objectType({
    projectId: stringType(),
    projectName: stringType(),
    originAccountName: stringType(),
    destinationAccountName: stringType(),
    destinationAccountId: stringType(),
    transferId: stringType().optional()
  });
  OneHundredAndTwentySeven$outboundSchema = objectType({
    projectId: stringType(),
    projectName: stringType(),
    originAccountName: stringType(),
    destinationAccountName: stringType(),
    destinationAccountId: stringType(),
    transferId: stringType().optional()
  });
  ((OneHundredAndTwentySeven$) => {
    OneHundredAndTwentySeven$.inboundSchema = OneHundredAndTwentySeven$inboundSchema;
    OneHundredAndTwentySeven$.outboundSchema = OneHundredAndTwentySeven$outboundSchema;
  })(OneHundredAndTwentySeven$ ||= {});
  OneHundredAndTwentySix$inboundSchema = objectType({
    requestedTeamName: stringType(),
    requestedUserName: stringType().optional(),
    gitUsername: stringType().optional(),
    githubUsername: stringType().optional(),
    gitlabUsername: stringType().optional(),
    bitbucketUsername: stringType().optional()
  });
  OneHundredAndTwentySix$outboundSchema = objectType({
    requestedTeamName: stringType(),
    requestedUserName: stringType().optional(),
    gitUsername: stringType().optional(),
    githubUsername: stringType().optional(),
    gitlabUsername: stringType().optional(),
    bitbucketUsername: stringType().optional()
  });
  ((OneHundredAndTwentySix$) => {
    OneHundredAndTwentySix$.inboundSchema = OneHundredAndTwentySix$inboundSchema;
    OneHundredAndTwentySix$.outboundSchema = OneHundredAndTwentySix$outboundSchema;
  })(OneHundredAndTwentySix$ ||= {});
  OneHundredAndTwentyFive$inboundSchema = objectType({
    teamName: stringType(),
    username: stringType().optional(),
    gitUsername: nullableType(stringType()).optional(),
    githubUsername: nullableType(stringType()).optional(),
    gitlabUsername: nullableType(stringType()).optional(),
    bitbucketUsername: nullableType(stringType()).optional()
  });
  OneHundredAndTwentyFive$outboundSchema = objectType({
    teamName: stringType(),
    username: stringType().optional(),
    gitUsername: nullableType(stringType()).optional(),
    githubUsername: nullableType(stringType()).optional(),
    gitlabUsername: nullableType(stringType()).optional(),
    bitbucketUsername: nullableType(stringType()).optional()
  });
  ((OneHundredAndTwentyFive$) => {
    OneHundredAndTwentyFive$.inboundSchema = OneHundredAndTwentyFive$inboundSchema;
    OneHundredAndTwentyFive$.outboundSchema = OneHundredAndTwentyFive$outboundSchema;
  })(OneHundredAndTwentyFive$ ||= {});
  OneHundredAndTwentyFour$inboundSchema = objectType({
    teamName: stringType(),
    username: stringType().optional(),
    gitUsername: stringType().optional(),
    githubUsername: nullableType(stringType()).optional(),
    gitlabUsername: nullableType(stringType()).optional(),
    bitbucketUsername: nullableType(stringType()).optional(),
    updatedUid: stringType().optional(),
    teamId: stringType().optional()
  });
  OneHundredAndTwentyFour$outboundSchema = objectType({
    teamName: stringType(),
    username: stringType().optional(),
    gitUsername: stringType().optional(),
    githubUsername: nullableType(stringType()).optional(),
    gitlabUsername: nullableType(stringType()).optional(),
    bitbucketUsername: nullableType(stringType()).optional(),
    updatedUid: stringType().optional(),
    teamId: stringType().optional()
  });
  ((OneHundredAndTwentyFour$) => {
    OneHundredAndTwentyFour$.inboundSchema = OneHundredAndTwentyFour$inboundSchema;
    OneHundredAndTwentyFour$.outboundSchema = OneHundredAndTwentyFour$outboundSchema;
  })(OneHundredAndTwentyFour$ ||= {});
  OneHundredAndTwentyThree$inboundSchema = objectType({
    price: numberType().optional(),
    currency: stringType().optional()
  });
  OneHundredAndTwentyThree$outboundSchema = objectType({
    price: numberType().optional(),
    currency: stringType().optional()
  });
  ((OneHundredAndTwentyThree$) => {
    OneHundredAndTwentyThree$.inboundSchema = OneHundredAndTwentyThree$inboundSchema;
    OneHundredAndTwentyThree$.outboundSchema = OneHundredAndTwentyThree$outboundSchema;
  })(OneHundredAndTwentyThree$ ||= {});
  OneHundredAndTwentyTwo$inboundSchema = objectType({
    previewDeploymentSuffix: nullableType(stringType()).optional(),
    previousPreviewDeploymentSuffix: nullableType(stringType()).optional()
  });
  OneHundredAndTwentyTwo$outboundSchema = objectType({
    previewDeploymentSuffix: nullableType(stringType()).optional(),
    previousPreviewDeploymentSuffix: nullableType(stringType()).optional()
  });
  ((OneHundredAndTwentyTwo$) => {
    OneHundredAndTwentyTwo$.inboundSchema = OneHundredAndTwentyTwo$inboundSchema;
    OneHundredAndTwentyTwo$.outboundSchema = OneHundredAndTwentyTwo$outboundSchema;
  })(OneHundredAndTwentyTwo$ ||= {});
  OneHundredAndTwentyOne$inboundSchema = objectType({
    price: numberType().optional(),
    currency: stringType().optional(),
    enabled: booleanType().optional()
  });
  OneHundredAndTwentyOne$outboundSchema = objectType({
    price: numberType().optional(),
    currency: stringType().optional(),
    enabled: booleanType().optional()
  });
  ((OneHundredAndTwentyOne$) => {
    OneHundredAndTwentyOne$.inboundSchema = OneHundredAndTwentyOne$inboundSchema;
    OneHundredAndTwentyOne$.outboundSchema = OneHundredAndTwentyOne$outboundSchema;
  })(OneHundredAndTwentyOne$ ||= {});
  OneHundredAndTwenty$inboundSchema = objectType({
    username: stringType()
  });
  OneHundredAndTwenty$outboundSchema = objectType({
    username: stringType()
  });
  ((OneHundredAndTwenty$) => {
    OneHundredAndTwenty$.inboundSchema = OneHundredAndTwenty$inboundSchema;
    OneHundredAndTwenty$.outboundSchema = OneHundredAndTwenty$outboundSchema;
  })(OneHundredAndTwenty$ ||= {});
  OneHundredAndNineteen$inboundSchema = objectType({
    email: stringType(),
    prevEmail: stringType()
  });
  OneHundredAndNineteen$outboundSchema = objectType({
    email: stringType(),
    prevEmail: stringType()
  });
  ((OneHundredAndNineteen$) => {
    OneHundredAndNineteen$.inboundSchema = OneHundredAndNineteen$inboundSchema;
    OneHundredAndNineteen$.outboundSchema = OneHundredAndNineteen$outboundSchema;
  })(OneHundredAndNineteen$ ||= {});
  OneHundredAndEighteen$inboundSchema = objectType({
    mfaEnabled: booleanType()
  });
  OneHundredAndEighteen$outboundSchema = objectType({
    mfaEnabled: booleanType()
  });
  ((OneHundredAndEighteen$) => {
    OneHundredAndEighteen$.inboundSchema = OneHundredAndEighteen$inboundSchema;
    OneHundredAndEighteen$.outboundSchema = OneHundredAndEighteen$outboundSchema;
  })(OneHundredAndEighteen$ ||= {});
  OneHundredAndSeventeen$inboundSchema = objectType({
    enabled: booleanType(),
    totpVerified: booleanType()
  });
  OneHundredAndSeventeen$outboundSchema = objectType({
    enabled: booleanType(),
    totpVerified: booleanType()
  });
  ((OneHundredAndSeventeen$) => {
    OneHundredAndSeventeen$.inboundSchema = OneHundredAndSeventeen$inboundSchema;
    OneHundredAndSeventeen$.outboundSchema = OneHundredAndSeventeen$outboundSchema;
  })(OneHundredAndSeventeen$ ||= {});
  Previous$inboundSchema = objectType({
    enabled: booleanType(),
    totpVerified: booleanType()
  });
  Previous$outboundSchema = objectType({
    enabled: booleanType(),
    totpVerified: booleanType()
  });
  ((Previous$) => {
    Previous$.inboundSchema = Previous$inboundSchema;
    Previous$.outboundSchema = Previous$outboundSchema;
  })(Previous$ ||= {});
  Next$inboundSchema = objectType({
    enabled: booleanType(),
    totpVerified: booleanType()
  });
  Next$outboundSchema = objectType({
    enabled: booleanType(),
    totpVerified: booleanType()
  });
  ((Next$) => {
    Next$.inboundSchema = Next$inboundSchema;
    Next$.outboundSchema = Next$outboundSchema;
  })(Next$ ||= {});
  OneHundredAndSixteen$inboundSchema = objectType({
    previous: lazyType(() => Previous$inboundSchema),
    next: lazyType(() => Next$inboundSchema)
  });
  OneHundredAndSixteen$outboundSchema = objectType({
    previous: lazyType(() => Previous$outboundSchema),
    next: lazyType(() => Next$outboundSchema)
  });
  ((OneHundredAndSixteen$) => {
    OneHundredAndSixteen$.inboundSchema = OneHundredAndSixteen$inboundSchema;
    OneHundredAndSixteen$.outboundSchema = OneHundredAndSixteen$outboundSchema;
  })(OneHundredAndSixteen$ ||= {});
  PayloadRemoteCaching$inboundSchema = objectType({
    enabled: booleanType().optional()
  });
  PayloadRemoteCaching$outboundSchema = objectType({
    enabled: booleanType().optional()
  });
  ((PayloadRemoteCaching$) => {
    PayloadRemoteCaching$.inboundSchema = PayloadRemoteCaching$inboundSchema;
    PayloadRemoteCaching$.outboundSchema = PayloadRemoteCaching$outboundSchema;
  })(PayloadRemoteCaching$ ||= {});
  OneHundredAndFifteen$inboundSchema = objectType({
    remoteCaching: lazyType(() => PayloadRemoteCaching$inboundSchema).optional()
  });
  OneHundredAndFifteen$outboundSchema = objectType({
    remoteCaching: lazyType(() => PayloadRemoteCaching$outboundSchema).optional()
  });
  ((OneHundredAndFifteen$) => {
    OneHundredAndFifteen$.inboundSchema = OneHundredAndFifteen$inboundSchema;
    OneHundredAndFifteen$.outboundSchema = OneHundredAndFifteen$outboundSchema;
  })(OneHundredAndFifteen$ ||= {});
  OneHundredAndFourteen$inboundSchema = objectType({
    slug: stringType().optional()
  });
  OneHundredAndFourteen$outboundSchema = objectType({
    slug: stringType().optional()
  });
  ((OneHundredAndFourteen$) => {
    OneHundredAndFourteen$.inboundSchema = OneHundredAndFourteen$inboundSchema;
    OneHundredAndFourteen$.outboundSchema = OneHundredAndFourteen$outboundSchema;
  })(OneHundredAndFourteen$ ||= {});
  OneHundredAndThirteen$inboundSchema = objectType({
    name: stringType().optional()
  });
  OneHundredAndThirteen$outboundSchema = objectType({
    name: stringType().optional()
  });
  ((OneHundredAndThirteen$) => {
    OneHundredAndThirteen$.inboundSchema = OneHundredAndThirteen$inboundSchema;
    OneHundredAndThirteen$.outboundSchema = OneHundredAndThirteen$outboundSchema;
  })(OneHundredAndThirteen$ ||= {});
  OneHundredAndTwelve$inboundSchema = objectType({
    enforced: booleanType()
  });
  OneHundredAndTwelve$outboundSchema = objectType({
    enforced: booleanType()
  });
  ((OneHundredAndTwelve$) => {
    OneHundredAndTwelve$.inboundSchema = OneHundredAndTwelve$inboundSchema;
    OneHundredAndTwelve$.outboundSchema = OneHundredAndTwelve$outboundSchema;
  })(OneHundredAndTwelve$ ||= {});
  UserEventPayload111User$inboundSchema = objectType({
    id: stringType(),
    username: stringType()
  });
  UserEventPayload111User$outboundSchema = objectType({
    id: stringType(),
    username: stringType()
  });
  ((UserEventPayload111User$) => {
    UserEventPayload111User$.inboundSchema = UserEventPayload111User$inboundSchema;
    UserEventPayload111User$.outboundSchema = UserEventPayload111User$outboundSchema;
  })(UserEventPayload111User$ ||= {});
  OneHundredAndEleven$inboundSchema = objectType({
    entitlement: stringType(),
    user: lazyType(() => UserEventPayload111User$inboundSchema),
    previousCanceledAt: stringType().optional()
  });
  OneHundredAndEleven$outboundSchema = objectType({
    entitlement: stringType(),
    user: lazyType(() => UserEventPayload111User$outboundSchema),
    previousCanceledAt: stringType().optional()
  });
  ((OneHundredAndEleven$) => {
    OneHundredAndEleven$.inboundSchema = OneHundredAndEleven$inboundSchema;
    OneHundredAndEleven$.outboundSchema = OneHundredAndEleven$outboundSchema;
  })(OneHundredAndEleven$ ||= {});
  UserEventPayloadUser$inboundSchema = objectType({
    id: stringType(),
    username: stringType()
  });
  UserEventPayloadUser$outboundSchema = objectType({
    id: stringType(),
    username: stringType()
  });
  ((UserEventPayloadUser$) => {
    UserEventPayloadUser$.inboundSchema = UserEventPayloadUser$inboundSchema;
    UserEventPayloadUser$.outboundSchema = UserEventPayloadUser$outboundSchema;
  })(UserEventPayloadUser$ ||= {});
  OneHundredAndTen$inboundSchema = objectType({
    entitlement: stringType(),
    user: lazyType(() => UserEventPayloadUser$inboundSchema)
  });
  OneHundredAndTen$outboundSchema = objectType({
    entitlement: stringType(),
    user: lazyType(() => UserEventPayloadUser$outboundSchema)
  });
  ((OneHundredAndTen$) => {
    OneHundredAndTen$.inboundSchema = OneHundredAndTen$inboundSchema;
    OneHundredAndTen$.outboundSchema = OneHundredAndTen$outboundSchema;
  })(OneHundredAndTen$ ||= {});
  UpdatedUser$inboundSchema = objectType({
    username: stringType(),
    email: stringType()
  });
  UpdatedUser$outboundSchema = objectType({
    username: stringType(),
    email: stringType()
  });
  ((UpdatedUser$) => {
    UpdatedUser$.inboundSchema = UpdatedUser$inboundSchema;
    UpdatedUser$.outboundSchema = UpdatedUser$outboundSchema;
  })(UpdatedUser$ ||= {});
  OneHundredAndNine$inboundSchema = objectType({
    directoryType: stringType().optional(),
    updatedUser: lazyType(() => UpdatedUser$inboundSchema).optional(),
    role: stringType().optional(),
    previousRole: stringType(),
    updatedUid: stringType().optional()
  });
  OneHundredAndNine$outboundSchema = objectType({
    directoryType: stringType().optional(),
    updatedUser: lazyType(() => UpdatedUser$outboundSchema).optional(),
    role: stringType().optional(),
    previousRole: stringType(),
    updatedUid: stringType().optional()
  });
  ((OneHundredAndNine$) => {
    OneHundredAndNine$.inboundSchema = OneHundredAndNine$inboundSchema;
    OneHundredAndNine$.outboundSchema = OneHundredAndNine$outboundSchema;
  })(OneHundredAndNine$ ||= {});
  OneHundredAndEight$inboundSchema = objectType({
    role: stringType().optional(),
    uid: stringType(),
    origin: stringType().optional()
  });
  OneHundredAndEight$outboundSchema = objectType({
    role: stringType().optional(),
    uid: stringType(),
    origin: stringType().optional()
  });
  ((OneHundredAndEight$) => {
    OneHundredAndEight$.inboundSchema = OneHundredAndEight$inboundSchema;
    OneHundredAndEight$.outboundSchema = OneHundredAndEight$outboundSchema;
  })(OneHundredAndEight$ ||= {});
  DeletedUser$inboundSchema = objectType({
    username: stringType(),
    email: stringType()
  });
  DeletedUser$outboundSchema = objectType({
    username: stringType(),
    email: stringType()
  });
  ((DeletedUser$) => {
    DeletedUser$.inboundSchema = DeletedUser$inboundSchema;
    DeletedUser$.outboundSchema = DeletedUser$outboundSchema;
  })(DeletedUser$ ||= {});
  OneHundredAndSeven$inboundSchema = objectType({
    deletedUser: lazyType(() => DeletedUser$inboundSchema).optional(),
    deletedUid: stringType().optional(),
    githubUsername: nullableType(stringType()).optional(),
    gitlabUsername: nullableType(stringType()).optional(),
    bitbucketUsername: nullableType(stringType()).optional(),
    directoryType: stringType().optional()
  });
  OneHundredAndSeven$outboundSchema = objectType({
    deletedUser: lazyType(() => DeletedUser$outboundSchema).optional(),
    deletedUid: stringType().optional(),
    githubUsername: nullableType(stringType()).optional(),
    gitlabUsername: nullableType(stringType()).optional(),
    bitbucketUsername: nullableType(stringType()).optional(),
    directoryType: stringType().optional()
  });
  ((OneHundredAndSeven$) => {
    OneHundredAndSeven$.inboundSchema = OneHundredAndSeven$inboundSchema;
    OneHundredAndSeven$.outboundSchema = OneHundredAndSeven$outboundSchema;
  })(OneHundredAndSeven$ ||= {});
  InvitedUser$inboundSchema = objectType({
    username: stringType(),
    email: stringType()
  });
  InvitedUser$outboundSchema = objectType({
    username: stringType(),
    email: stringType()
  });
  ((InvitedUser$) => {
    InvitedUser$.inboundSchema = InvitedUser$inboundSchema;
    InvitedUser$.outboundSchema = InvitedUser$outboundSchema;
  })(InvitedUser$ ||= {});
  OneHundredAndSix$inboundSchema = objectType({
    directoryType: stringType().optional(),
    ssoType: stringType().optional(),
    invitedUser: lazyType(() => InvitedUser$inboundSchema).optional(),
    invitedEmail: stringType().optional(),
    invitationRole: stringType().optional(),
    entitlements: arrayType(stringType()).optional(),
    invitedUid: stringType().optional()
  });
  OneHundredAndSix$outboundSchema = objectType({
    directoryType: stringType().optional(),
    ssoType: stringType().optional(),
    invitedUser: lazyType(() => InvitedUser$outboundSchema).optional(),
    invitedEmail: stringType().optional(),
    invitationRole: stringType().optional(),
    entitlements: arrayType(stringType()).optional(),
    invitedUid: stringType().optional()
  });
  ((OneHundredAndSix$) => {
    OneHundredAndSix$.inboundSchema = OneHundredAndSix$inboundSchema;
    OneHundredAndSix$.outboundSchema = OneHundredAndSix$outboundSchema;
  })(OneHundredAndSix$ ||= {});
  Reasons$inboundSchema = objectType({
    slug: stringType(),
    description: stringType()
  });
  Reasons$outboundSchema = objectType({
    slug: stringType(),
    description: stringType()
  });
  ((Reasons$) => {
    Reasons$.inboundSchema = Reasons$inboundSchema;
    Reasons$.outboundSchema = Reasons$outboundSchema;
  })(Reasons$ ||= {});
  OneHundredAndFive$inboundSchema = objectType({
    slug: stringType(),
    teamId: stringType(),
    by: stringType(),
    reasons: arrayType(lazyType(() => Reasons$inboundSchema)).optional()
  });
  OneHundredAndFive$outboundSchema = objectType({
    slug: stringType(),
    teamId: stringType(),
    by: stringType(),
    reasons: arrayType(lazyType(() => Reasons$outboundSchema)).optional()
  });
  ((OneHundredAndFive$) => {
    OneHundredAndFive$.inboundSchema = OneHundredAndFive$inboundSchema;
    OneHundredAndFive$.outboundSchema = OneHundredAndFive$outboundSchema;
  })(OneHundredAndFive$ ||= {});
  OneHundredAndFour$inboundSchema = objectType({
    slug: stringType()
  });
  OneHundredAndFour$outboundSchema = objectType({
    slug: stringType()
  });
  ((OneHundredAndFour$) => {
    OneHundredAndFour$.inboundSchema = OneHundredAndFour$inboundSchema;
    OneHundredAndFour$.outboundSchema = OneHundredAndFour$outboundSchema;
  })(OneHundredAndFour$ ||= {});
  Store$inboundSchema = objectType({
    name: stringType(),
    id: stringType()
  });
  Store$outboundSchema = objectType({
    name: stringType(),
    id: stringType()
  });
  ((Store$) => {
    Store$.inboundSchema = Store$inboundSchema;
    Store$.outboundSchema = Store$outboundSchema;
  })(Store$ ||= {});
  OneHundredAndThree$inboundSchema = objectType({
    store: lazyType(() => Store$inboundSchema),
    ownerId: stringType().optional()
  });
  OneHundredAndThree$outboundSchema = objectType({
    store: lazyType(() => Store$outboundSchema),
    ownerId: stringType().optional()
  });
  ((OneHundredAndThree$) => {
    OneHundredAndThree$.inboundSchema = OneHundredAndThree$inboundSchema;
    OneHundredAndThree$.outboundSchema = OneHundredAndThree$outboundSchema;
  })(OneHundredAndThree$ ||= {});
  StoreType$inboundSchema = nativeEnumType(StoreType);
  StoreType$outboundSchema = StoreType$inboundSchema;
  ((StoreType$) => {
    StoreType$.inboundSchema = StoreType$inboundSchema;
    StoreType$.outboundSchema = StoreType$outboundSchema;
  })(StoreType$ ||= {});
  OneHundredAndTwo$inboundSchema = objectType({
    storeType: StoreType$inboundSchema
  });
  OneHundredAndTwo$outboundSchema = objectType({
    storeType: StoreType$outboundSchema
  });
  ((OneHundredAndTwo$) => {
    OneHundredAndTwo$.inboundSchema = OneHundredAndTwo$inboundSchema;
    OneHundredAndTwo$.outboundSchema = OneHundredAndTwo$outboundSchema;
  })(OneHundredAndTwo$ ||= {});
  UserEventPayloadType$inboundSchema = nativeEnumType(UserEventPayloadType);
  UserEventPayloadType$outboundSchema = UserEventPayloadType$inboundSchema;
  ((UserEventPayloadType$) => {
    UserEventPayloadType$.inboundSchema = UserEventPayloadType$inboundSchema;
    UserEventPayloadType$.outboundSchema = UserEventPayloadType$outboundSchema;
  })(UserEventPayloadType$ ||= {});
  OneHundredAndOne$inboundSchema = objectType({
    id: stringType(),
    name: stringType().optional(),
    computeUnitsMax: numberType().optional(),
    computeUnitsMin: numberType().optional(),
    suspendTimeoutSeconds: numberType().optional(),
    type: UserEventPayloadType$inboundSchema
  });
  OneHundredAndOne$outboundSchema = objectType({
    id: stringType(),
    name: stringType().optional(),
    computeUnitsMax: numberType().optional(),
    computeUnitsMin: numberType().optional(),
    suspendTimeoutSeconds: numberType().optional(),
    type: UserEventPayloadType$outboundSchema
  });
  ((OneHundredAndOne$) => {
    OneHundredAndOne$.inboundSchema = OneHundredAndOne$inboundSchema;
    OneHundredAndOne$.outboundSchema = OneHundredAndOne$outboundSchema;
  })(OneHundredAndOne$ ||= {});
  UserEventPayload100Type$inboundSchema = nativeEnumType(UserEventPayload100Type);
  UserEventPayload100Type$outboundSchema = UserEventPayload100Type$inboundSchema;
  ((UserEventPayload100Type$) => {
    UserEventPayload100Type$.inboundSchema = UserEventPayload100Type$inboundSchema;
    UserEventPayload100Type$.outboundSchema = UserEventPayload100Type$outboundSchema;
  })(UserEventPayload100Type$ ||= {});
  PayloadPricingPlan$inboundSchema = nativeEnumType(PayloadPricingPlan);
  PayloadPricingPlan$outboundSchema = PayloadPricingPlan$inboundSchema;
  ((PayloadPricingPlan$) => {
    PayloadPricingPlan$.inboundSchema = PayloadPricingPlan$inboundSchema;
    PayloadPricingPlan$.outboundSchema = PayloadPricingPlan$outboundSchema;
  })(PayloadPricingPlan$ ||= {});
  BudgetItem$inboundSchema = objectType({
    type: UserEventPayload100Type$inboundSchema,
    fixedBudget: numberType(),
    previousSpend: arrayType(numberType()),
    notifiedAt: arrayType(numberType()),
    webhookId: stringType().optional(),
    webhookNotified: booleanType().optional(),
    createdAt: numberType(),
    updatedAt: numberType().optional(),
    isActive: booleanType(),
    pauseProjects: booleanType().optional(),
    pricingPlan: PayloadPricingPlan$inboundSchema.optional(),
    teamId: stringType(),
    id: stringType()
  });
  BudgetItem$outboundSchema = objectType({
    type: UserEventPayload100Type$outboundSchema,
    fixedBudget: numberType(),
    previousSpend: arrayType(numberType()),
    notifiedAt: arrayType(numberType()),
    webhookId: stringType().optional(),
    webhookNotified: booleanType().optional(),
    createdAt: numberType(),
    updatedAt: numberType().optional(),
    isActive: booleanType(),
    pauseProjects: booleanType().optional(),
    pricingPlan: PayloadPricingPlan$outboundSchema.optional(),
    teamId: stringType(),
    id: stringType()
  });
  ((BudgetItem$) => {
    BudgetItem$.inboundSchema = BudgetItem$inboundSchema;
    BudgetItem$.outboundSchema = BudgetItem$outboundSchema;
  })(BudgetItem$ ||= {});
  PayloadBudget$inboundSchema = objectType({
    budgetItem: lazyType(() => BudgetItem$inboundSchema)
  });
  PayloadBudget$outboundSchema = objectType({
    budgetItem: lazyType(() => BudgetItem$outboundSchema)
  });
  ((PayloadBudget$) => {
    PayloadBudget$.inboundSchema = PayloadBudget$inboundSchema;
    PayloadBudget$.outboundSchema = PayloadBudget$outboundSchema;
  })(PayloadBudget$ ||= {});
  OneHundred$inboundSchema = objectType({
    budget: lazyType(() => PayloadBudget$inboundSchema)
  });
  OneHundred$outboundSchema = objectType({
    budget: lazyType(() => PayloadBudget$outboundSchema)
  });
  ((OneHundred$) => {
    OneHundred$.inboundSchema = OneHundred$inboundSchema;
    OneHundred$.outboundSchema = OneHundred$outboundSchema;
  })(OneHundred$ ||= {});
  UserEventPayload99Type$inboundSchema = nativeEnumType(UserEventPayload99Type);
  UserEventPayload99Type$outboundSchema = UserEventPayload99Type$inboundSchema;
  ((UserEventPayload99Type$) => {
    UserEventPayload99Type$.inboundSchema = UserEventPayload99Type$inboundSchema;
    UserEventPayload99Type$.outboundSchema = UserEventPayload99Type$outboundSchema;
  })(UserEventPayload99Type$ ||= {});
  PricingPlan$inboundSchema = nativeEnumType(PricingPlan);
  PricingPlan$outboundSchema = PricingPlan$inboundSchema;
  ((PricingPlan$) => {
    PricingPlan$.inboundSchema = PricingPlan$inboundSchema;
    PricingPlan$.outboundSchema = PricingPlan$outboundSchema;
  })(PricingPlan$ ||= {});
  Budget$inboundSchema = objectType({
    type: UserEventPayload99Type$inboundSchema,
    fixedBudget: numberType(),
    previousSpend: arrayType(numberType()),
    notifiedAt: arrayType(numberType()),
    webhookId: stringType().optional(),
    webhookNotified: booleanType().optional(),
    createdAt: numberType(),
    updatedAt: numberType().optional(),
    isActive: booleanType(),
    pauseProjects: booleanType().optional(),
    pricingPlan: PricingPlan$inboundSchema.optional(),
    teamId: stringType(),
    id: stringType()
  });
  Budget$outboundSchema = objectType({
    type: UserEventPayload99Type$outboundSchema,
    fixedBudget: numberType(),
    previousSpend: arrayType(numberType()),
    notifiedAt: arrayType(numberType()),
    webhookId: stringType().optional(),
    webhookNotified: booleanType().optional(),
    createdAt: numberType(),
    updatedAt: numberType().optional(),
    isActive: booleanType(),
    pauseProjects: booleanType().optional(),
    pricingPlan: PricingPlan$outboundSchema.optional(),
    teamId: stringType(),
    id: stringType()
  });
  ((Budget$) => {
    Budget$.inboundSchema = Budget$inboundSchema;
    Budget$.outboundSchema = Budget$outboundSchema;
  })(Budget$ ||= {});
  NinetyNine$inboundSchema = objectType({
    budget: lazyType(() => Budget$inboundSchema)
  });
  NinetyNine$outboundSchema = objectType({
    budget: lazyType(() => Budget$outboundSchema)
  });
  ((NinetyNine$) => {
    NinetyNine$.inboundSchema = NinetyNine$inboundSchema;
    NinetyNine$.outboundSchema = NinetyNine$outboundSchema;
  })(NinetyNine$ ||= {});
  NinetyEight$inboundSchema = objectType({
    webhookUrl: stringType().optional()
  });
  NinetyEight$outboundSchema = objectType({
    webhookUrl: stringType().optional()
  });
  ((NinetyEight$) => {
    NinetyEight$.inboundSchema = NinetyEight$inboundSchema;
    NinetyEight$.outboundSchema = NinetyEight$outboundSchema;
  })(NinetyEight$ ||= {});
  ScalingRules$inboundSchema = objectType({
    min: numberType(),
    max: numberType()
  });
  ScalingRules$outboundSchema = objectType({
    min: numberType(),
    max: numberType()
  });
  ((ScalingRules$) => {
    ScalingRules$.inboundSchema = ScalingRules$inboundSchema;
    ScalingRules$.outboundSchema = ScalingRules$outboundSchema;
  })(ScalingRules$ ||= {});
  NinetySeven$inboundSchema = objectType({
    scalingRules: recordType(lazyType(() => ScalingRules$inboundSchema)),
    min: numberType(),
    max: numberType(),
    url: stringType()
  });
  NinetySeven$outboundSchema = objectType({
    scalingRules: recordType(lazyType(() => ScalingRules$outboundSchema)),
    min: numberType(),
    max: numberType(),
    url: stringType()
  });
  ((NinetySeven$) => {
    NinetySeven$.inboundSchema = NinetySeven$inboundSchema;
    NinetySeven$.outboundSchema = NinetySeven$outboundSchema;
  })(NinetySeven$ ||= {});
  NinetySix$inboundSchema = objectType({
    bio: stringType()
  });
  NinetySix$outboundSchema = objectType({
    bio: stringType()
  });
  ((NinetySix$) => {
    NinetySix$.inboundSchema = NinetySix$inboundSchema;
    NinetySix$.outboundSchema = NinetySix$outboundSchema;
  })(NinetySix$ ||= {});
  NinetyFive$inboundSchema = objectType({
    oldName: stringType(),
    newName: stringType(),
    uid: stringType().optional()
  });
  NinetyFive$outboundSchema = objectType({
    oldName: stringType(),
    newName: stringType(),
    uid: stringType().optional()
  });
  ((NinetyFive$) => {
    NinetyFive$.inboundSchema = NinetyFive$inboundSchema;
    NinetyFive$.outboundSchema = NinetyFive$outboundSchema;
  })(NinetyFive$ ||= {});
  Name2$inboundSchema = objectType({
    name: stringType()
  });
  Name2$outboundSchema = objectType({
    name: stringType()
  });
  ((Name2$) => {
    Name2$.inboundSchema = Name2$inboundSchema;
    Name2$.outboundSchema = Name2$outboundSchema;
  })(Name2$ ||= {});
  Name$inboundSchema = unionType([lazyType(() => Name2$inboundSchema), stringType()]);
  Name$outboundSchema = unionType([lazyType(() => Name2$outboundSchema), stringType()]);
  ((Name$) => {
    Name$.inboundSchema = Name$inboundSchema;
    Name$.outboundSchema = Name$outboundSchema;
  })(Name$ ||= {});
  NinetyFour$inboundSchema = objectType({
    uid: stringType(),
    name: unionType([lazyType(() => Name2$inboundSchema), stringType()])
  });
  NinetyFour$outboundSchema = objectType({
    uid: stringType(),
    name: unionType([lazyType(() => Name2$outboundSchema), stringType()])
  });
  ((NinetyFour$) => {
    NinetyFour$.inboundSchema = NinetyFour$inboundSchema;
    NinetyFour$.outboundSchema = NinetyFour$outboundSchema;
  })(NinetyFour$ ||= {});
  UserEventPayload93Team$inboundSchema = objectType({
    id: stringType(),
    name: stringType().optional()
  });
  UserEventPayload93Team$outboundSchema = objectType({
    id: stringType(),
    name: stringType().optional()
  });
  ((UserEventPayload93Team$) => {
    UserEventPayload93Team$.inboundSchema = UserEventPayload93Team$inboundSchema;
    UserEventPayload93Team$.outboundSchema = UserEventPayload93Team$outboundSchema;
  })(UserEventPayload93Team$ ||= {});
  PayloadPreviousRule$inboundSchema = objectType({
    email: stringType()
  });
  PayloadPreviousRule$outboundSchema = objectType({
    email: stringType()
  });
  ((PayloadPreviousRule$) => {
    PayloadPreviousRule$.inboundSchema = PayloadPreviousRule$inboundSchema;
    PayloadPreviousRule$.outboundSchema = PayloadPreviousRule$outboundSchema;
  })(PayloadPreviousRule$ ||= {});
  NinetyThree$inboundSchema = objectType({
    team: lazyType(() => UserEventPayload93Team$inboundSchema),
    previousRule: lazyType(() => PayloadPreviousRule$inboundSchema)
  });
  NinetyThree$outboundSchema = objectType({
    team: lazyType(() => UserEventPayload93Team$outboundSchema),
    previousRule: lazyType(() => PayloadPreviousRule$outboundSchema)
  });
  ((NinetyThree$) => {
    NinetyThree$.inboundSchema = NinetyThree$inboundSchema;
    NinetyThree$.outboundSchema = NinetyThree$outboundSchema;
  })(NinetyThree$ ||= {});
  UserEventPayload92Team$inboundSchema = objectType({
    id: stringType(),
    name: stringType().optional()
  });
  UserEventPayload92Team$outboundSchema = objectType({
    id: stringType(),
    name: stringType().optional()
  });
  ((UserEventPayload92Team$) => {
    UserEventPayload92Team$.inboundSchema = UserEventPayload92Team$inboundSchema;
    UserEventPayload92Team$.outboundSchema = UserEventPayload92Team$outboundSchema;
  })(UserEventPayload92Team$ ||= {});
  PreviousRule$inboundSchema = objectType({
    email: stringType()
  });
  PreviousRule$outboundSchema = objectType({
    email: stringType()
  });
  ((PreviousRule$) => {
    PreviousRule$.inboundSchema = PreviousRule$inboundSchema;
    PreviousRule$.outboundSchema = PreviousRule$outboundSchema;
  })(PreviousRule$ ||= {});
  NextRule$inboundSchema = objectType({
    email: stringType()
  });
  NextRule$outboundSchema = objectType({
    email: stringType()
  });
  ((NextRule$) => {
    NextRule$.inboundSchema = NextRule$inboundSchema;
    NextRule$.outboundSchema = NextRule$outboundSchema;
  })(NextRule$ ||= {});
  NinetyTwo$inboundSchema = objectType({
    team: lazyType(() => UserEventPayload92Team$inboundSchema),
    previousRule: lazyType(() => PreviousRule$inboundSchema).optional(),
    nextRule: lazyType(() => NextRule$inboundSchema).optional()
  });
  NinetyTwo$outboundSchema = objectType({
    team: lazyType(() => UserEventPayload92Team$outboundSchema),
    previousRule: lazyType(() => PreviousRule$outboundSchema).optional(),
    nextRule: lazyType(() => NextRule$outboundSchema).optional()
  });
  ((NinetyTwo$) => {
    NinetyTwo$.inboundSchema = NinetyTwo$inboundSchema;
    NinetyTwo$.outboundSchema = NinetyTwo$outboundSchema;
  })(NinetyTwo$ ||= {});
  NinetyOne$inboundSchema = objectType({
    email: stringType()
  });
  NinetyOne$outboundSchema = objectType({
    email: stringType()
  });
  ((NinetyOne$) => {
    NinetyOne$.inboundSchema = NinetyOne$inboundSchema;
    NinetyOne$.outboundSchema = NinetyOne$outboundSchema;
  })(NinetyOne$ ||= {});
  Ninety$inboundSchema = objectType({
    email: stringType(),
    verified: booleanType()
  });
  Ninety$outboundSchema = objectType({
    email: stringType(),
    verified: booleanType()
  });
  ((Ninety$) => {
    Ninety$.inboundSchema = Ninety$inboundSchema;
    Ninety$.outboundSchema = Ninety$outboundSchema;
  })(Ninety$ ||= {});
  EightyNine$inboundSchema = objectType({
    instances: numberType(),
    url: stringType()
  });
  EightyNine$outboundSchema = objectType({
    instances: numberType(),
    url: stringType()
  });
  ((EightyNine$) => {
    EightyNine$.inboundSchema = EightyNine$inboundSchema;
    EightyNine$.outboundSchema = EightyNine$outboundSchema;
  })(EightyNine$ ||= {});
  EightyEight$inboundSchema = objectType({
    gitProvider: stringType(),
    gitProviderGroupDescriptor: stringType(),
    gitScope: stringType()
  });
  EightyEight$outboundSchema = objectType({
    gitProvider: stringType(),
    gitProviderGroupDescriptor: stringType(),
    gitScope: stringType()
  });
  ((EightyEight$) => {
    EightyEight$.inboundSchema = EightyEight$inboundSchema;
    EightyEight$.outboundSchema = EightyEight$outboundSchema;
  })(EightyEight$ ||= {});
  EightySeven$inboundSchema = objectType({
    projectId: stringType().optional(),
    projectName: stringType().optional(),
    newTargetPercentage: numberType().optional()
  });
  EightySeven$outboundSchema = objectType({
    projectId: stringType().optional(),
    projectName: stringType().optional(),
    newTargetPercentage: numberType().optional()
  });
  ((EightySeven$) => {
    EightySeven$.inboundSchema = EightySeven$inboundSchema;
    EightySeven$.outboundSchema = EightySeven$outboundSchema;
  })(EightySeven$ ||= {});
  EightySix$inboundSchema = objectType({
    projectId: stringType(),
    projectName: stringType()
  });
  EightySix$outboundSchema = objectType({
    projectId: stringType(),
    projectName: stringType()
  });
  ((EightySix$) => {
    EightySix$.inboundSchema = EightySix$inboundSchema;
    EightySix$.outboundSchema = EightySix$outboundSchema;
  })(EightySix$ ||= {});
  EightyFive$inboundSchema = objectType({
    projectId: stringType()
  });
  EightyFive$outboundSchema = objectType({
    projectId: stringType()
  });
  ((EightyFive$) => {
    EightyFive$.inboundSchema = EightyFive$inboundSchema;
    EightyFive$.outboundSchema = EightyFive$outboundSchema;
  })(EightyFive$ ||= {});
  UserEventPayload84Team$inboundSchema = objectType({
    id: stringType(),
    name: stringType()
  });
  UserEventPayload84Team$outboundSchema = objectType({
    id: stringType(),
    name: stringType()
  });
  ((UserEventPayload84Team$) => {
    UserEventPayload84Team$.inboundSchema = UserEventPayload84Team$inboundSchema;
    UserEventPayload84Team$.outboundSchema = UserEventPayload84Team$outboundSchema;
  })(UserEventPayload84Team$ ||= {});
  EnvId2$inboundSchema = nativeEnumType(EnvId2);
  EnvId2$outboundSchema = EnvId2$inboundSchema;
  ((EnvId2$) => {
    EnvId2$.inboundSchema = EnvId2$inboundSchema;
    EnvId2$.outboundSchema = EnvId2$outboundSchema;
  })(EnvId2$ ||= {});
  EnvId$inboundSchema = unionType([stringType(), EnvId2$inboundSchema]);
  EnvId$outboundSchema = unionType([stringType(), EnvId2$outboundSchema]);
  ((EnvId$) => {
    EnvId$.inboundSchema = EnvId$inboundSchema;
    EnvId$.outboundSchema = EnvId$outboundSchema;
  })(EnvId$ ||= {});
  Aws$inboundSchema = objectType({
    subnetIds: arrayType(stringType()),
    securityGroupId: stringType()
  });
  Aws$outboundSchema = objectType({
    subnetIds: arrayType(stringType()),
    securityGroupId: stringType()
  });
  ((Aws$) => {
    Aws$.inboundSchema = Aws$inboundSchema;
    Aws$.outboundSchema = Aws$outboundSchema;
  })(Aws$ ||= {});
  OldConnectConfigurations$inboundSchema = objectType({
    envId: unionType([stringType(), EnvId2$inboundSchema]),
    connectConfigurationId: stringType(),
    passive: booleanType(),
    buildsEnabled: booleanType(),
    aws: lazyType(() => Aws$inboundSchema).optional(),
    createdAt: numberType(),
    updatedAt: numberType()
  });
  OldConnectConfigurations$outboundSchema = objectType({
    envId: unionType([stringType(), EnvId2$outboundSchema]),
    connectConfigurationId: stringType(),
    passive: booleanType(),
    buildsEnabled: booleanType(),
    aws: lazyType(() => Aws$outboundSchema).optional(),
    createdAt: numberType(),
    updatedAt: numberType()
  });
  ((OldConnectConfigurations$) => {
    OldConnectConfigurations$.inboundSchema = OldConnectConfigurations$inboundSchema;
    OldConnectConfigurations$.outboundSchema = OldConnectConfigurations$outboundSchema;
  })(OldConnectConfigurations$ ||= {});
  UserEventEnvId2$inboundSchema = nativeEnumType(UserEventEnvId2);
  UserEventEnvId2$outboundSchema = UserEventEnvId2$inboundSchema;
  ((UserEventEnvId2$) => {
    UserEventEnvId2$.inboundSchema = UserEventEnvId2$inboundSchema;
    UserEventEnvId2$.outboundSchema = UserEventEnvId2$outboundSchema;
  })(UserEventEnvId2$ ||= {});
  PayloadEnvId$inboundSchema = unionType([stringType(), UserEventEnvId2$inboundSchema]);
  PayloadEnvId$outboundSchema = unionType([stringType(), UserEventEnvId2$outboundSchema]);
  ((PayloadEnvId$) => {
    PayloadEnvId$.inboundSchema = PayloadEnvId$inboundSchema;
    PayloadEnvId$.outboundSchema = PayloadEnvId$outboundSchema;
  })(PayloadEnvId$ ||= {});
  PayloadAws$inboundSchema = objectType({
    subnetIds: arrayType(stringType()),
    securityGroupId: stringType()
  });
  PayloadAws$outboundSchema = objectType({
    subnetIds: arrayType(stringType()),
    securityGroupId: stringType()
  });
  ((PayloadAws$) => {
    PayloadAws$.inboundSchema = PayloadAws$inboundSchema;
    PayloadAws$.outboundSchema = PayloadAws$outboundSchema;
  })(PayloadAws$ ||= {});
  NewConnectConfigurations$inboundSchema = objectType({
    envId: unionType([stringType(), UserEventEnvId2$inboundSchema]),
    connectConfigurationId: stringType(),
    passive: booleanType(),
    buildsEnabled: booleanType(),
    aws: lazyType(() => PayloadAws$inboundSchema).optional(),
    createdAt: numberType(),
    updatedAt: numberType()
  });
  NewConnectConfigurations$outboundSchema = objectType({
    envId: unionType([stringType(), UserEventEnvId2$outboundSchema]),
    connectConfigurationId: stringType(),
    passive: booleanType(),
    buildsEnabled: booleanType(),
    aws: lazyType(() => PayloadAws$outboundSchema).optional(),
    createdAt: numberType(),
    updatedAt: numberType()
  });
  ((NewConnectConfigurations$) => {
    NewConnectConfigurations$.inboundSchema = NewConnectConfigurations$inboundSchema;
    NewConnectConfigurations$.outboundSchema = NewConnectConfigurations$outboundSchema;
  })(NewConnectConfigurations$ ||= {});
  UserEventPayload84Project$inboundSchema = objectType({
    id: stringType(),
    name: stringType().optional(),
    oldConnectConfigurations: nullableType(arrayType(lazyType(() => OldConnectConfigurations$inboundSchema))),
    newConnectConfigurations: nullableType(arrayType(lazyType(() => NewConnectConfigurations$inboundSchema)))
  });
  UserEventPayload84Project$outboundSchema = objectType({
    id: stringType(),
    name: stringType().optional(),
    oldConnectConfigurations: nullableType(arrayType(lazyType(() => OldConnectConfigurations$outboundSchema))),
    newConnectConfigurations: nullableType(arrayType(lazyType(() => NewConnectConfigurations$outboundSchema)))
  });
  ((UserEventPayload84Project$) => {
    UserEventPayload84Project$.inboundSchema = UserEventPayload84Project$inboundSchema;
    UserEventPayload84Project$.outboundSchema = UserEventPayload84Project$outboundSchema;
  })(UserEventPayload84Project$ ||= {});
  EightyFour$inboundSchema = objectType({
    team: lazyType(() => UserEventPayload84Team$inboundSchema),
    project: lazyType(() => UserEventPayload84Project$inboundSchema)
  });
  EightyFour$outboundSchema = objectType({
    team: lazyType(() => UserEventPayload84Team$outboundSchema),
    project: lazyType(() => UserEventPayload84Project$outboundSchema)
  });
  ((EightyFour$) => {
    EightyFour$.inboundSchema = EightyFour$inboundSchema;
    EightyFour$.outboundSchema = EightyFour$outboundSchema;
  })(EightyFour$ ||= {});
  EightyThree$inboundSchema = objectType({
    name: stringType(),
    ownerId: stringType()
  });
  EightyThree$outboundSchema = objectType({
    name: stringType(),
    ownerId: stringType()
  });
  ((EightyThree$) => {
    EightyThree$.inboundSchema = EightyThree$inboundSchema;
    EightyThree$.outboundSchema = EightyThree$outboundSchema;
  })(EightyThree$ ||= {});
  UserEventPayloadAction$inboundSchema = nativeEnumType(UserEventPayloadAction);
  UserEventPayloadAction$outboundSchema = UserEventPayloadAction$inboundSchema;
  ((UserEventPayloadAction$) => {
    UserEventPayloadAction$.inboundSchema = UserEventPayloadAction$inboundSchema;
    UserEventPayloadAction$.outboundSchema = UserEventPayloadAction$outboundSchema;
  })(UserEventPayloadAction$ ||= {});
  EightyTwo$inboundSchema = objectType({
    projectName: stringType(),
    action: UserEventPayloadAction$inboundSchema
  });
  EightyTwo$outboundSchema = objectType({
    projectName: stringType(),
    action: UserEventPayloadAction$outboundSchema
  });
  ((EightyTwo$) => {
    EightyTwo$.inboundSchema = EightyTwo$inboundSchema;
    EightyTwo$.outboundSchema = EightyTwo$outboundSchema;
  })(EightyTwo$ ||= {});
  Paths$inboundSchema = objectType({
    value: stringType()
  });
  Paths$outboundSchema = objectType({
    value: stringType()
  });
  ((Paths$) => {
    Paths$.inboundSchema = Paths$inboundSchema;
    Paths$.outboundSchema = Paths$outboundSchema;
  })(Paths$ ||= {});
  OptionsAllowlist$inboundSchema = objectType({
    paths: arrayType(lazyType(() => Paths$inboundSchema))
  });
  OptionsAllowlist$outboundSchema = objectType({
    paths: arrayType(lazyType(() => Paths$outboundSchema))
  });
  ((OptionsAllowlist$) => {
    OptionsAllowlist$.inboundSchema = OptionsAllowlist$inboundSchema;
    OptionsAllowlist$.outboundSchema = OptionsAllowlist$outboundSchema;
  })(OptionsAllowlist$ ||= {});
  PayloadPaths$inboundSchema = objectType({
    value: stringType()
  });
  PayloadPaths$outboundSchema = objectType({
    value: stringType()
  });
  ((PayloadPaths$) => {
    PayloadPaths$.inboundSchema = PayloadPaths$inboundSchema;
    PayloadPaths$.outboundSchema = PayloadPaths$outboundSchema;
  })(PayloadPaths$ ||= {});
  OldOptionsAllowlist$inboundSchema = objectType({
    paths: arrayType(lazyType(() => PayloadPaths$inboundSchema))
  });
  OldOptionsAllowlist$outboundSchema = objectType({
    paths: arrayType(lazyType(() => PayloadPaths$outboundSchema))
  });
  ((OldOptionsAllowlist$) => {
    OldOptionsAllowlist$.inboundSchema = OldOptionsAllowlist$inboundSchema;
    OldOptionsAllowlist$.outboundSchema = OldOptionsAllowlist$outboundSchema;
  })(OldOptionsAllowlist$ ||= {});
  EightyOne$inboundSchema = objectType({
    projectName: stringType(),
    optionsAllowlist: nullableType(lazyType(() => OptionsAllowlist$inboundSchema)).optional(),
    oldOptionsAllowlist: nullableType(lazyType(() => OldOptionsAllowlist$inboundSchema)).optional()
  });
  EightyOne$outboundSchema = objectType({
    projectName: stringType(),
    optionsAllowlist: nullableType(lazyType(() => OptionsAllowlist$outboundSchema)).optional(),
    oldOptionsAllowlist: nullableType(lazyType(() => OldOptionsAllowlist$outboundSchema)).optional()
  });
  ((EightyOne$) => {
    EightyOne$.inboundSchema = EightyOne$inboundSchema;
    EightyOne$.outboundSchema = EightyOne$outboundSchema;
  })(EightyOne$ ||= {});
  TrustedIps$inboundSchema = nativeEnumType(TrustedIps);
  TrustedIps$outboundSchema = TrustedIps$inboundSchema;
  ((TrustedIps$) => {
    TrustedIps$.inboundSchema = TrustedIps$inboundSchema;
    TrustedIps$.outboundSchema = TrustedIps$outboundSchema;
  })(TrustedIps$ ||= {});
  OldTrustedIps$inboundSchema = nativeEnumType(OldTrustedIps);
  OldTrustedIps$outboundSchema = OldTrustedIps$inboundSchema;
  ((OldTrustedIps$) => {
    OldTrustedIps$.inboundSchema = OldTrustedIps$inboundSchema;
    OldTrustedIps$.outboundSchema = OldTrustedIps$outboundSchema;
  })(OldTrustedIps$ ||= {});
  Eighty$inboundSchema = objectType({
    projectName: stringType(),
    trustedIps: nullableType(TrustedIps$inboundSchema).optional(),
    oldTrustedIps: nullableType(OldTrustedIps$inboundSchema).optional(),
    addedAddresses: nullableType(arrayType(stringType())).optional(),
    removedAddresses: nullableType(arrayType(stringType())).optional()
  });
  Eighty$outboundSchema = objectType({
    projectName: stringType(),
    trustedIps: nullableType(TrustedIps$outboundSchema).optional(),
    oldTrustedIps: nullableType(OldTrustedIps$outboundSchema).optional(),
    addedAddresses: nullableType(arrayType(stringType())).optional(),
    removedAddresses: nullableType(arrayType(stringType())).optional()
  });
  ((Eighty$) => {
    Eighty$.inboundSchema = Eighty$inboundSchema;
    Eighty$.outboundSchema = Eighty$outboundSchema;
  })(Eighty$ ||= {});
  PasswordProtection2$inboundSchema = nativeEnumType(PasswordProtection2);
  PasswordProtection2$outboundSchema = PasswordProtection2$inboundSchema;
  ((PasswordProtection2$) => {
    PasswordProtection2$.inboundSchema = PasswordProtection2$inboundSchema;
    PasswordProtection2$.outboundSchema = PasswordProtection2$outboundSchema;
  })(PasswordProtection2$ ||= {});
  PasswordProtectionDeploymentType$inboundSchema = nativeEnumType(PasswordProtectionDeploymentType);
  PasswordProtectionDeploymentType$outboundSchema = PasswordProtectionDeploymentType$inboundSchema;
  ((PasswordProtectionDeploymentType$) => {
    PasswordProtectionDeploymentType$.inboundSchema = PasswordProtectionDeploymentType$inboundSchema;
    PasswordProtectionDeploymentType$.outboundSchema = PasswordProtectionDeploymentType$outboundSchema;
  })(PasswordProtectionDeploymentType$ ||= {});
  PasswordProtection1$inboundSchema = objectType({
    deploymentType: PasswordProtectionDeploymentType$inboundSchema
  });
  PasswordProtection1$outboundSchema = objectType({
    deploymentType: PasswordProtectionDeploymentType$outboundSchema
  });
  ((PasswordProtection1$) => {
    PasswordProtection1$.inboundSchema = PasswordProtection1$inboundSchema;
    PasswordProtection1$.outboundSchema = PasswordProtection1$outboundSchema;
  })(PasswordProtection1$ ||= {});
  PasswordProtection$inboundSchema = unionType([
    lazyType(() => PasswordProtection1$inboundSchema),
    PasswordProtection2$inboundSchema
  ]);
  PasswordProtection$outboundSchema = unionType([
    lazyType(() => PasswordProtection1$outboundSchema),
    PasswordProtection2$outboundSchema
  ]);
  ((PasswordProtection$) => {
    PasswordProtection$.inboundSchema = PasswordProtection$inboundSchema;
    PasswordProtection$.outboundSchema = PasswordProtection$outboundSchema;
  })(PasswordProtection$ ||= {});
  OldPasswordProtection2$inboundSchema = nativeEnumType(OldPasswordProtection2);
  OldPasswordProtection2$outboundSchema = OldPasswordProtection2$inboundSchema;
  ((OldPasswordProtection2$) => {
    OldPasswordProtection2$.inboundSchema = OldPasswordProtection2$inboundSchema;
    OldPasswordProtection2$.outboundSchema = OldPasswordProtection2$outboundSchema;
  })(OldPasswordProtection2$ ||= {});
  OldPasswordProtectionDeploymentType$inboundSchema = nativeEnumType(OldPasswordProtectionDeploymentType);
  OldPasswordProtectionDeploymentType$outboundSchema = OldPasswordProtectionDeploymentType$inboundSchema;
  ((OldPasswordProtectionDeploymentType$) => {
    OldPasswordProtectionDeploymentType$.inboundSchema = OldPasswordProtectionDeploymentType$inboundSchema;
    OldPasswordProtectionDeploymentType$.outboundSchema = OldPasswordProtectionDeploymentType$outboundSchema;
  })(OldPasswordProtectionDeploymentType$ ||= {});
  OldPasswordProtection1$inboundSchema = objectType({
    deploymentType: OldPasswordProtectionDeploymentType$inboundSchema
  });
  OldPasswordProtection1$outboundSchema = objectType({
    deploymentType: OldPasswordProtectionDeploymentType$outboundSchema
  });
  ((OldPasswordProtection1$) => {
    OldPasswordProtection1$.inboundSchema = OldPasswordProtection1$inboundSchema;
    OldPasswordProtection1$.outboundSchema = OldPasswordProtection1$outboundSchema;
  })(OldPasswordProtection1$ ||= {});
  OldPasswordProtection$inboundSchema = unionType([
    lazyType(() => OldPasswordProtection1$inboundSchema),
    OldPasswordProtection2$inboundSchema
  ]);
  OldPasswordProtection$outboundSchema = unionType([
    lazyType(() => OldPasswordProtection1$outboundSchema),
    OldPasswordProtection2$outboundSchema
  ]);
  ((OldPasswordProtection$) => {
    OldPasswordProtection$.inboundSchema = OldPasswordProtection$inboundSchema;
    OldPasswordProtection$.outboundSchema = OldPasswordProtection$outboundSchema;
  })(OldPasswordProtection$ ||= {});
  SeventyNine$inboundSchema = objectType({
    projectName: stringType(),
    passwordProtection: nullableType(unionType([
      lazyType(() => PasswordProtection1$inboundSchema),
      PasswordProtection2$inboundSchema
    ])),
    oldPasswordProtection: nullableType(unionType([
      lazyType(() => OldPasswordProtection1$inboundSchema),
      OldPasswordProtection2$inboundSchema
    ]))
  });
  SeventyNine$outboundSchema = objectType({
    projectName: stringType(),
    passwordProtection: nullableType(unionType([
      lazyType(() => PasswordProtection1$outboundSchema),
      PasswordProtection2$outboundSchema
    ])),
    oldPasswordProtection: nullableType(unionType([
      lazyType(() => OldPasswordProtection1$outboundSchema),
      OldPasswordProtection2$outboundSchema
    ]))
  });
  ((SeventyNine$) => {
    SeventyNine$.inboundSchema = SeventyNine$inboundSchema;
    SeventyNine$.outboundSchema = SeventyNine$outboundSchema;
  })(SeventyNine$ ||= {});
  SsoProtection2$inboundSchema = nativeEnumType(SsoProtection2);
  SsoProtection2$outboundSchema = SsoProtection2$inboundSchema;
  ((SsoProtection2$) => {
    SsoProtection2$.inboundSchema = SsoProtection2$inboundSchema;
    SsoProtection2$.outboundSchema = SsoProtection2$outboundSchema;
  })(SsoProtection2$ ||= {});
  DeploymentType$inboundSchema = nativeEnumType(DeploymentType);
  DeploymentType$outboundSchema = DeploymentType$inboundSchema;
  ((DeploymentType$) => {
    DeploymentType$.inboundSchema = DeploymentType$inboundSchema;
    DeploymentType$.outboundSchema = DeploymentType$outboundSchema;
  })(DeploymentType$ ||= {});
  SsoProtection1$inboundSchema = objectType({
    deploymentType: DeploymentType$inboundSchema
  });
  SsoProtection1$outboundSchema = objectType({
    deploymentType: DeploymentType$outboundSchema
  });
  ((SsoProtection1$) => {
    SsoProtection1$.inboundSchema = SsoProtection1$inboundSchema;
    SsoProtection1$.outboundSchema = SsoProtection1$outboundSchema;
  })(SsoProtection1$ ||= {});
  SsoProtection$inboundSchema = unionType([
    lazyType(() => SsoProtection1$inboundSchema),
    SsoProtection2$inboundSchema
  ]);
  SsoProtection$outboundSchema = unionType([
    lazyType(() => SsoProtection1$outboundSchema),
    SsoProtection2$outboundSchema
  ]);
  ((SsoProtection$) => {
    SsoProtection$.inboundSchema = SsoProtection$inboundSchema;
    SsoProtection$.outboundSchema = SsoProtection$outboundSchema;
  })(SsoProtection$ ||= {});
  OldSsoProtection2$inboundSchema = nativeEnumType(OldSsoProtection2);
  OldSsoProtection2$outboundSchema = OldSsoProtection2$inboundSchema;
  ((OldSsoProtection2$) => {
    OldSsoProtection2$.inboundSchema = OldSsoProtection2$inboundSchema;
    OldSsoProtection2$.outboundSchema = OldSsoProtection2$outboundSchema;
  })(OldSsoProtection2$ ||= {});
  OldSsoProtectionDeploymentType$inboundSchema = nativeEnumType(OldSsoProtectionDeploymentType);
  OldSsoProtectionDeploymentType$outboundSchema = OldSsoProtectionDeploymentType$inboundSchema;
  ((OldSsoProtectionDeploymentType$) => {
    OldSsoProtectionDeploymentType$.inboundSchema = OldSsoProtectionDeploymentType$inboundSchema;
    OldSsoProtectionDeploymentType$.outboundSchema = OldSsoProtectionDeploymentType$outboundSchema;
  })(OldSsoProtectionDeploymentType$ ||= {});
  OldSsoProtection1$inboundSchema = objectType({
    deploymentType: OldSsoProtectionDeploymentType$inboundSchema
  });
  OldSsoProtection1$outboundSchema = objectType({
    deploymentType: OldSsoProtectionDeploymentType$outboundSchema
  });
  ((OldSsoProtection1$) => {
    OldSsoProtection1$.inboundSchema = OldSsoProtection1$inboundSchema;
    OldSsoProtection1$.outboundSchema = OldSsoProtection1$outboundSchema;
  })(OldSsoProtection1$ ||= {});
  OldSsoProtection$inboundSchema = unionType([
    lazyType(() => OldSsoProtection1$inboundSchema),
    OldSsoProtection2$inboundSchema
  ]);
  OldSsoProtection$outboundSchema = unionType([
    lazyType(() => OldSsoProtection1$outboundSchema),
    OldSsoProtection2$outboundSchema
  ]);
  ((OldSsoProtection$) => {
    OldSsoProtection$.inboundSchema = OldSsoProtection$inboundSchema;
    OldSsoProtection$.outboundSchema = OldSsoProtection$outboundSchema;
  })(OldSsoProtection$ ||= {});
  SeventyEight$inboundSchema = objectType({
    projectName: stringType(),
    ssoProtection: nullableType(unionType([
      lazyType(() => SsoProtection1$inboundSchema),
      SsoProtection2$inboundSchema
    ])),
    oldSsoProtection: nullableType(unionType([
      lazyType(() => OldSsoProtection1$inboundSchema),
      OldSsoProtection2$inboundSchema
    ]))
  });
  SeventyEight$outboundSchema = objectType({
    projectName: stringType(),
    ssoProtection: nullableType(unionType([
      lazyType(() => SsoProtection1$outboundSchema),
      SsoProtection2$outboundSchema
    ])),
    oldSsoProtection: nullableType(unionType([
      lazyType(() => OldSsoProtection1$outboundSchema),
      OldSsoProtection2$outboundSchema
    ]))
  });
  ((SeventyEight$) => {
    SeventyEight$.inboundSchema = SeventyEight$inboundSchema;
    SeventyEight$.outboundSchema = SeventyEight$outboundSchema;
  })(SeventyEight$ ||= {});
  SeventySeven$inboundSchema = objectType({
    projectName: stringType().optional(),
    projectId: stringType()
  });
  SeventySeven$outboundSchema = objectType({
    projectName: stringType().optional(),
    projectId: stringType()
  });
  ((SeventySeven$) => {
    SeventySeven$.inboundSchema = SeventySeven$inboundSchema;
    SeventySeven$.outboundSchema = SeventySeven$outboundSchema;
  })(SeventySeven$ ||= {});
  SeventySix$inboundSchema = objectType({
    projectName: stringType().optional(),
    projectId: stringType(),
    projectAnalytics: recordType(anyType()).optional(),
    prevProjectAnalytics: nullableType(recordType(anyType())).optional()
  });
  SeventySix$outboundSchema = objectType({
    projectName: stringType().optional(),
    projectId: stringType(),
    projectAnalytics: recordType(anyType()).optional(),
    prevProjectAnalytics: nullableType(recordType(anyType())).optional()
  });
  ((SeventySix$) => {
    SeventySix$.inboundSchema = SeventySix$inboundSchema;
    SeventySix$.outboundSchema = SeventySix$outboundSchema;
  })(SeventySix$ ||= {});
  ProjectAnalytics$inboundSchema = objectType({
    id: stringType(),
    canceledAt: nullableType(numberType()).optional(),
    disabledAt: numberType(),
    enabledAt: numberType(),
    paidAt: numberType().optional(),
    sampleRatePercent: nullableType(numberType()).optional(),
    spendLimitInDollars: nullableType(numberType()).optional()
  });
  ProjectAnalytics$outboundSchema = objectType({
    id: stringType(),
    canceledAt: nullableType(numberType()).optional(),
    disabledAt: numberType(),
    enabledAt: numberType(),
    paidAt: numberType().optional(),
    sampleRatePercent: nullableType(numberType()).optional(),
    spendLimitInDollars: nullableType(numberType()).optional()
  });
  ((ProjectAnalytics$) => {
    ProjectAnalytics$.inboundSchema = ProjectAnalytics$inboundSchema;
    ProjectAnalytics$.outboundSchema = ProjectAnalytics$outboundSchema;
  })(ProjectAnalytics$ ||= {});
  PrevProjectAnalytics$inboundSchema = objectType({
    id: stringType(),
    canceledAt: nullableType(numberType()).optional(),
    disabledAt: numberType(),
    enabledAt: numberType(),
    paidAt: numberType().optional(),
    sampleRatePercent: nullableType(numberType()).optional(),
    spendLimitInDollars: nullableType(numberType()).optional()
  });
  PrevProjectAnalytics$outboundSchema = objectType({
    id: stringType(),
    canceledAt: nullableType(numberType()).optional(),
    disabledAt: numberType(),
    enabledAt: numberType(),
    paidAt: numberType().optional(),
    sampleRatePercent: nullableType(numberType()).optional(),
    spendLimitInDollars: nullableType(numberType()).optional()
  });
  ((PrevProjectAnalytics$) => {
    PrevProjectAnalytics$.inboundSchema = PrevProjectAnalytics$inboundSchema;
    PrevProjectAnalytics$.outboundSchema = PrevProjectAnalytics$outboundSchema;
  })(PrevProjectAnalytics$ ||= {});
  SeventyFive$inboundSchema = objectType({
    projectName: stringType().optional(),
    projectId: stringType(),
    projectAnalytics: nullableType(lazyType(() => ProjectAnalytics$inboundSchema)),
    prevProjectAnalytics: nullableType(lazyType(() => PrevProjectAnalytics$inboundSchema))
  });
  SeventyFive$outboundSchema = objectType({
    projectName: stringType().optional(),
    projectId: stringType(),
    projectAnalytics: nullableType(lazyType(() => ProjectAnalytics$outboundSchema)),
    prevProjectAnalytics: nullableType(lazyType(() => PrevProjectAnalytics$outboundSchema))
  });
  ((SeventyFive$) => {
    SeventyFive$.inboundSchema = SeventyFive$inboundSchema;
    SeventyFive$.outboundSchema = SeventyFive$outboundSchema;
  })(SeventyFive$ ||= {});
  UserEventPayload74Role$inboundSchema = nativeEnumType(UserEventPayload74Role);
  UserEventPayload74Role$outboundSchema = UserEventPayload74Role$inboundSchema;
  ((UserEventPayload74Role$) => {
    UserEventPayload74Role$.inboundSchema = UserEventPayload74Role$inboundSchema;
    UserEventPayload74Role$.outboundSchema = UserEventPayload74Role$outboundSchema;
  })(UserEventPayload74Role$ ||= {});
  PayloadOrigin$inboundSchema = nativeEnumType(PayloadOrigin);
  PayloadOrigin$outboundSchema = PayloadOrigin$inboundSchema;
  ((PayloadOrigin$) => {
    PayloadOrigin$.inboundSchema = PayloadOrigin$inboundSchema;
    PayloadOrigin$.outboundSchema = PayloadOrigin$outboundSchema;
  })(PayloadOrigin$ ||= {});
  PayloadGitUserId$inboundSchema = unionType([stringType(), numberType()]);
  PayloadGitUserId$outboundSchema = unionType([stringType(), numberType()]);
  ((PayloadGitUserId$) => {
    PayloadGitUserId$.inboundSchema = PayloadGitUserId$inboundSchema;
    PayloadGitUserId$.outboundSchema = PayloadGitUserId$outboundSchema;
  })(PayloadGitUserId$ ||= {});
  PayloadJoinedFrom$inboundSchema = objectType({
    origin: PayloadOrigin$inboundSchema,
    commitId: stringType().optional(),
    repoId: stringType().optional(),
    repoPath: stringType().optional(),
    gitUserId: unionType([stringType(), numberType()]).optional(),
    gitUserLogin: stringType().optional(),
    ssoUserId: stringType().optional(),
    ssoConnectedAt: numberType().optional(),
    idpUserId: stringType().optional(),
    dsyncUserId: stringType().optional(),
    dsyncConnectedAt: numberType().optional()
  });
  PayloadJoinedFrom$outboundSchema = objectType({
    origin: PayloadOrigin$outboundSchema,
    commitId: stringType().optional(),
    repoId: stringType().optional(),
    repoPath: stringType().optional(),
    gitUserId: unionType([stringType(), numberType()]).optional(),
    gitUserLogin: stringType().optional(),
    ssoUserId: stringType().optional(),
    ssoConnectedAt: numberType().optional(),
    idpUserId: stringType().optional(),
    dsyncUserId: stringType().optional(),
    dsyncConnectedAt: numberType().optional()
  });
  ((PayloadJoinedFrom$) => {
    PayloadJoinedFrom$.inboundSchema = PayloadJoinedFrom$inboundSchema;
    PayloadJoinedFrom$.outboundSchema = PayloadJoinedFrom$outboundSchema;
  })(PayloadJoinedFrom$ ||= {});
  RemovedUsers$inboundSchema = objectType({
    role: UserEventPayload74Role$inboundSchema,
    confirmed: booleanType(),
    confirmedAt: numberType().optional(),
    joinedFrom: lazyType(() => PayloadJoinedFrom$inboundSchema).optional()
  });
  RemovedUsers$outboundSchema = objectType({
    role: UserEventPayload74Role$outboundSchema,
    confirmed: booleanType(),
    confirmedAt: numberType().optional(),
    joinedFrom: lazyType(() => PayloadJoinedFrom$outboundSchema).optional()
  });
  ((RemovedUsers$) => {
    RemovedUsers$.inboundSchema = RemovedUsers$inboundSchema;
    RemovedUsers$.outboundSchema = RemovedUsers$outboundSchema;
  })(RemovedUsers$ ||= {});
  SeventyFour$inboundSchema = objectType({
    plan: stringType(),
    removedUsers: recordType(lazyType(() => RemovedUsers$inboundSchema)).optional(),
    priorPlan: stringType().optional(),
    isDowngrade: booleanType().optional(),
    userAgent: stringType().optional(),
    isReactivate: booleanType().optional(),
    isTrialUpgrade: booleanType().optional()
  });
  SeventyFour$outboundSchema = objectType({
    plan: stringType(),
    removedUsers: recordType(lazyType(() => RemovedUsers$outboundSchema)).optional(),
    priorPlan: stringType().optional(),
    isDowngrade: booleanType().optional(),
    userAgent: stringType().optional(),
    isReactivate: booleanType().optional(),
    isTrialUpgrade: booleanType().optional()
  });
  ((SeventyFour$) => {
    SeventyFour$.inboundSchema = SeventyFour$inboundSchema;
    SeventyFour$.outboundSchema = SeventyFour$outboundSchema;
  })(SeventyFour$ ||= {});
  SeventyThree$inboundSchema = objectType({
    projectName: stringType()
  });
  SeventyThree$outboundSchema = objectType({
    projectName: stringType()
  });
  ((SeventyThree$) => {
    SeventyThree$.inboundSchema = SeventyThree$inboundSchema;
    SeventyThree$.outboundSchema = SeventyThree$outboundSchema;
  })(SeventyThree$ ||= {});
  SeventyTwo$inboundSchema = objectType({
    projectId: stringType(),
    toDeploymentId: stringType(),
    projectName: stringType()
  });
  SeventyTwo$outboundSchema = objectType({
    projectId: stringType(),
    toDeploymentId: stringType(),
    projectName: stringType()
  });
  ((SeventyTwo$) => {
    SeventyTwo$.inboundSchema = SeventyTwo$inboundSchema;
    SeventyTwo$.outboundSchema = SeventyTwo$outboundSchema;
  })(SeventyTwo$ ||= {});
  SeventyOne$inboundSchema = objectType({
    drainUrl: nullableType(stringType()),
    integrationName: stringType().optional()
  });
  SeventyOne$outboundSchema = objectType({
    drainUrl: nullableType(stringType()),
    integrationName: stringType().optional()
  });
  ((SeventyOne$) => {
    SeventyOne$.inboundSchema = SeventyOne$inboundSchema;
    SeventyOne$.outboundSchema = SeventyOne$outboundSchema;
  })(SeventyOne$ ||= {});
  Seventy$inboundSchema = objectType({
    logDrainUrl: stringType(),
    integrationName: stringType().optional()
  });
  Seventy$outboundSchema = objectType({
    logDrainUrl: stringType(),
    integrationName: stringType().optional()
  });
  ((Seventy$) => {
    Seventy$.inboundSchema = Seventy$inboundSchema;
    Seventy$.outboundSchema = Seventy$outboundSchema;
  })(Seventy$ ||= {});
  SixtyNine$inboundSchema = objectType({
    logDrainUrl: nullableType(stringType()),
    integrationName: stringType().optional()
  });
  SixtyNine$outboundSchema = objectType({
    logDrainUrl: nullableType(stringType()),
    integrationName: stringType().optional()
  });
  ((SixtyNine$) => {
    SixtyNine$.inboundSchema = SixtyNine$inboundSchema;
    SixtyNine$.outboundSchema = SixtyNine$outboundSchema;
  })(SixtyNine$ ||= {});
  PayloadName$inboundSchema = nativeEnumType(PayloadName);
  PayloadName$outboundSchema = PayloadName$inboundSchema;
  ((PayloadName$) => {
    PayloadName$.inboundSchema = PayloadName$inboundSchema;
    PayloadName$.outboundSchema = PayloadName$outboundSchema;
  })(PayloadName$ ||= {});
  Browser$inboundSchema = objectType({
    name: PayloadName$inboundSchema
  });
  Browser$outboundSchema = objectType({
    name: PayloadName$outboundSchema
  });
  ((Browser$) => {
    Browser$.inboundSchema = Browser$inboundSchema;
    Browser$.outboundSchema = Browser$outboundSchema;
  })(Browser$ ||= {});
  UserEventPayloadName$inboundSchema = nativeEnumType(UserEventPayloadName);
  UserEventPayloadName$outboundSchema = UserEventPayloadName$inboundSchema;
  ((UserEventPayloadName$) => {
    UserEventPayloadName$.inboundSchema = UserEventPayloadName$inboundSchema;
    UserEventPayloadName$.outboundSchema = UserEventPayloadName$outboundSchema;
  })(UserEventPayloadName$ ||= {});
  Os$inboundSchema = objectType({
    name: UserEventPayloadName$inboundSchema
  });
  Os$outboundSchema = objectType({
    name: UserEventPayloadName$outboundSchema
  });
  ((Os$) => {
    Os$.inboundSchema = Os$inboundSchema;
    Os$.outboundSchema = Os$outboundSchema;
  })(Os$ ||= {});
  UserAgent$inboundSchema = objectType({
    browser: lazyType(() => Browser$inboundSchema),
    ua: stringType(),
    program: stringType(),
    os: lazyType(() => Os$inboundSchema)
  });
  UserAgent$outboundSchema = objectType({
    browser: lazyType(() => Browser$outboundSchema),
    ua: stringType(),
    program: stringType(),
    os: lazyType(() => Os$outboundSchema)
  });
  ((UserAgent$) => {
    UserAgent$.inboundSchema = UserAgent$inboundSchema;
    UserAgent$.outboundSchema = UserAgent$outboundSchema;
  })(UserAgent$ ||= {});
  Names$inboundSchema = objectType({
    en: stringType()
  });
  Names$outboundSchema = objectType({
    en: stringType()
  });
  ((Names$) => {
    Names$.inboundSchema = Names$inboundSchema;
    Names$.outboundSchema = Names$outboundSchema;
  })(Names$ ||= {});
  City$inboundSchema = objectType({
    names: lazyType(() => Names$inboundSchema)
  });
  City$outboundSchema = objectType({
    names: lazyType(() => Names$outboundSchema)
  });
  ((City$) => {
    City$.inboundSchema = City$inboundSchema;
    City$.outboundSchema = City$outboundSchema;
  })(City$ ||= {});
  PayloadNames$inboundSchema = objectType({
    en: stringType()
  });
  PayloadNames$outboundSchema = objectType({
    en: stringType()
  });
  ((PayloadNames$) => {
    PayloadNames$.inboundSchema = PayloadNames$inboundSchema;
    PayloadNames$.outboundSchema = PayloadNames$outboundSchema;
  })(PayloadNames$ ||= {});
  Country$inboundSchema = objectType({
    names: lazyType(() => PayloadNames$inboundSchema)
  });
  Country$outboundSchema = objectType({
    names: lazyType(() => PayloadNames$outboundSchema)
  });
  ((Country$) => {
    Country$.inboundSchema = Country$inboundSchema;
    Country$.outboundSchema = Country$outboundSchema;
  })(Country$ ||= {});
  UserEventPayloadNames$inboundSchema = objectType({
    en: stringType()
  });
  UserEventPayloadNames$outboundSchema = objectType({
    en: stringType()
  });
  ((UserEventPayloadNames$) => {
    UserEventPayloadNames$.inboundSchema = UserEventPayloadNames$inboundSchema;
    UserEventPayloadNames$.outboundSchema = UserEventPayloadNames$outboundSchema;
  })(UserEventPayloadNames$ ||= {});
  MostSpecificSubdivision$inboundSchema = objectType({
    names: lazyType(() => UserEventPayloadNames$inboundSchema)
  });
  MostSpecificSubdivision$outboundSchema = objectType({
    names: lazyType(() => UserEventPayloadNames$outboundSchema)
  });
  ((MostSpecificSubdivision$) => {
    MostSpecificSubdivision$.inboundSchema = MostSpecificSubdivision$inboundSchema;
    MostSpecificSubdivision$.outboundSchema = MostSpecificSubdivision$outboundSchema;
  })(MostSpecificSubdivision$ ||= {});
  Geolocation$inboundSchema = objectType({
    city: lazyType(() => City$inboundSchema).optional(),
    country: lazyType(() => Country$inboundSchema),
    most_specific_subdivision: lazyType(() => MostSpecificSubdivision$inboundSchema).optional(),
    regionName: stringType().optional()
  }).transform((v2) => {
    return remap(v2, {
      most_specific_subdivision: "mostSpecificSubdivision"
    });
  });
  Geolocation$outboundSchema = objectType({
    city: lazyType(() => City$outboundSchema).optional(),
    country: lazyType(() => Country$outboundSchema),
    mostSpecificSubdivision: lazyType(() => MostSpecificSubdivision$outboundSchema).optional(),
    regionName: stringType().optional()
  }).transform((v2) => {
    return remap(v2, {
      mostSpecificSubdivision: "most_specific_subdivision"
    });
  });
  ((Geolocation$) => {
    Geolocation$.inboundSchema = Geolocation$inboundSchema;
    Geolocation$.outboundSchema = Geolocation$outboundSchema;
  })(Geolocation$ ||= {});
  SixtyEight$inboundSchema = objectType({
    userAgent: lazyType(() => UserAgent$inboundSchema).optional(),
    geolocation: nullableType(lazyType(() => Geolocation$inboundSchema)).optional(),
    viaGithub: booleanType(),
    viaGitlab: booleanType(),
    viaBitbucket: booleanType(),
    viaGoogle: booleanType(),
    viaSamlSso: booleanType(),
    viaPasskey: booleanType(),
    ssoType: stringType().optional(),
    env: stringType().optional(),
    os: stringType().optional(),
    username: stringType().optional()
  });
  SixtyEight$outboundSchema = objectType({
    userAgent: lazyType(() => UserAgent$outboundSchema).optional(),
    geolocation: nullableType(lazyType(() => Geolocation$outboundSchema)).optional(),
    viaGithub: booleanType(),
    viaGitlab: booleanType(),
    viaBitbucket: booleanType(),
    viaGoogle: booleanType(),
    viaSamlSso: booleanType(),
    viaPasskey: booleanType(),
    ssoType: stringType().optional(),
    env: stringType().optional(),
    os: stringType().optional(),
    username: stringType().optional()
  });
  ((SixtyEight$) => {
    SixtyEight$.inboundSchema = SixtyEight$inboundSchema;
    SixtyEight$.outboundSchema = SixtyEight$outboundSchema;
  })(SixtyEight$ ||= {});
  SixtySeven$inboundSchema = objectType({
    integrationId: stringType(),
    configurationId: stringType(),
    integrationSlug: stringType(),
    integrationName: stringType(),
    ownerId: stringType(),
    projectIds: arrayType(stringType()).optional(),
    confirmedScopes: arrayType(stringType())
  });
  SixtySeven$outboundSchema = objectType({
    integrationId: stringType(),
    configurationId: stringType(),
    integrationSlug: stringType(),
    integrationName: stringType(),
    ownerId: stringType(),
    projectIds: arrayType(stringType()).optional(),
    confirmedScopes: arrayType(stringType())
  });
  ((SixtySeven$) => {
    SixtySeven$.inboundSchema = SixtySeven$inboundSchema;
    SixtySeven$.outboundSchema = SixtySeven$outboundSchema;
  })(SixtySeven$ ||= {});
  SixtySix$inboundSchema = objectType({
    projectId: stringType(),
    fromDeploymentId: stringType(),
    toDeploymentId: stringType(),
    projectName: stringType(),
    reason: stringType().optional()
  });
  SixtySix$outboundSchema = objectType({
    projectId: stringType(),
    fromDeploymentId: stringType(),
    toDeploymentId: stringType(),
    projectName: stringType(),
    reason: stringType().optional()
  });
  ((SixtySix$) => {
    SixtySix$.inboundSchema = SixtySix$inboundSchema;
    SixtySix$.outboundSchema = SixtySix$outboundSchema;
  })(SixtySix$ ||= {});
  SixtyFive$inboundSchema = objectType({
    integrationId: stringType(),
    configurationId: stringType(),
    integrationSlug: stringType(),
    integrationName: stringType(),
    ownerId: stringType(),
    projectIds: arrayType(stringType()).optional()
  });
  SixtyFive$outboundSchema = objectType({
    integrationId: stringType(),
    configurationId: stringType(),
    integrationSlug: stringType(),
    integrationName: stringType(),
    ownerId: stringType(),
    projectIds: arrayType(stringType()).optional()
  });
  ((SixtyFive$) => {
    SixtyFive$.inboundSchema = SixtyFive$inboundSchema;
    SixtyFive$.outboundSchema = SixtyFive$outboundSchema;
  })(SixtyFive$ ||= {});
  SixtyFour$inboundSchema = objectType({
    integrationId: stringType(),
    configurationId: stringType(),
    integrationSlug: stringType(),
    integrationName: stringType(),
    ownerId: stringType(),
    billingPlanId: stringType(),
    billingPlanName: stringType().optional()
  });
  SixtyFour$outboundSchema = objectType({
    integrationId: stringType(),
    configurationId: stringType(),
    integrationSlug: stringType(),
    integrationName: stringType(),
    ownerId: stringType(),
    billingPlanId: stringType(),
    billingPlanName: stringType().optional()
  });
  ((SixtyFour$) => {
    SixtyFour$.inboundSchema = SixtyFour$inboundSchema;
    SixtyFour$.outboundSchema = SixtyFour$outboundSchema;
  })(SixtyFour$ ||= {});
  Configurations$inboundSchema = objectType({
    integrationId: stringType(),
    configurationId: stringType(),
    integrationSlug: stringType(),
    integrationName: stringType().optional()
  });
  Configurations$outboundSchema = objectType({
    integrationId: stringType(),
    configurationId: stringType(),
    integrationSlug: stringType(),
    integrationName: stringType().optional()
  });
  ((Configurations$) => {
    Configurations$.inboundSchema = Configurations$inboundSchema;
    Configurations$.outboundSchema = Configurations$outboundSchema;
  })(Configurations$ ||= {});
  SixtyThree$inboundSchema = objectType({
    configurations: arrayType(lazyType(() => Configurations$inboundSchema)),
    ownerId: stringType()
  });
  SixtyThree$outboundSchema = objectType({
    configurations: arrayType(lazyType(() => Configurations$outboundSchema)),
    ownerId: stringType()
  });
  ((SixtyThree$) => {
    SixtyThree$.inboundSchema = SixtyThree$inboundSchema;
    SixtyThree$.outboundSchema = SixtyThree$outboundSchema;
  })(SixtyThree$ ||= {});
  UserEventPayload62Action$inboundSchema = nativeEnumType(UserEventPayload62Action);
  UserEventPayload62Action$outboundSchema = UserEventPayload62Action$inboundSchema;
  ((UserEventPayload62Action$) => {
    UserEventPayload62Action$.inboundSchema = UserEventPayload62Action$inboundSchema;
    UserEventPayload62Action$.outboundSchema = UserEventPayload62Action$outboundSchema;
  })(UserEventPayload62Action$ ||= {});
  BlockHistory$inboundSchema = objectType({
    action: UserEventPayload62Action$inboundSchema,
    createdAt: numberType(),
    caseId: stringType().optional(),
    reason: stringType(),
    actor: stringType().optional(),
    statusCode: numberType().optional(),
    comment: stringType().optional()
  });
  BlockHistory$outboundSchema = objectType({
    action: UserEventPayload62Action$outboundSchema,
    createdAt: numberType(),
    caseId: stringType().optional(),
    reason: stringType(),
    actor: stringType().optional(),
    statusCode: numberType().optional(),
    comment: stringType().optional()
  });
  ((BlockHistory$) => {
    BlockHistory$.inboundSchema = BlockHistory$inboundSchema;
    BlockHistory$.outboundSchema = BlockHistory$outboundSchema;
  })(BlockHistory$ ||= {});
  History$inboundSchema = objectType({
    scanner: stringType(),
    reason: stringType(),
    by: stringType(),
    byId: stringType(),
    at: numberType()
  });
  History$outboundSchema = objectType({
    scanner: stringType(),
    reason: stringType(),
    by: stringType(),
    byId: stringType(),
    at: numberType()
  });
  ((History$) => {
    History$.inboundSchema = History$inboundSchema;
    History$.outboundSchema = History$outboundSchema;
  })(History$ ||= {});
  Abuse$inboundSchema = objectType({
    blockHistory: arrayType(lazyType(() => BlockHistory$inboundSchema)).optional(),
    gitAuthHistory: arrayType(stringType()).optional(),
    history: arrayType(lazyType(() => History$inboundSchema)).optional(),
    gitLineageBlocks: numberType().optional(),
    gitLineageBlocksDry: numberType().optional(),
    scanner: stringType().optional(),
    updatedAt: numberType().optional(),
    creationUserAgent: stringType().optional(),
    creationIp: stringType().optional(),
    removedPhoneNumbers: stringType().optional()
  });
  Abuse$outboundSchema = objectType({
    blockHistory: arrayType(lazyType(() => BlockHistory$outboundSchema)).optional(),
    gitAuthHistory: arrayType(stringType()).optional(),
    history: arrayType(lazyType(() => History$outboundSchema)).optional(),
    gitLineageBlocks: numberType().optional(),
    gitLineageBlocksDry: numberType().optional(),
    scanner: stringType().optional(),
    updatedAt: numberType().optional(),
    creationUserAgent: stringType().optional(),
    creationIp: stringType().optional(),
    removedPhoneNumbers: stringType().optional()
  });
  ((Abuse$) => {
    Abuse$.inboundSchema = Abuse$inboundSchema;
    Abuse$.outboundSchema = Abuse$outboundSchema;
  })(Abuse$ ||= {});
  Plan$inboundSchema = nativeEnumType(Plan);
  Plan$outboundSchema = Plan$inboundSchema;
  ((Plan$) => {
    Plan$.inboundSchema = Plan$inboundSchema;
    Plan$.outboundSchema = Plan$outboundSchema;
  })(Plan$ ||= {});
  PayloadBilling$inboundSchema = objectType({
    plan: Plan$inboundSchema
  });
  PayloadBilling$outboundSchema = objectType({
    plan: Plan$outboundSchema
  });
  ((PayloadBilling$) => {
    PayloadBilling$.inboundSchema = PayloadBilling$inboundSchema;
    PayloadBilling$.outboundSchema = PayloadBilling$outboundSchema;
  })(PayloadBilling$ ||= {});
  UserEventCredentialsType$inboundSchema = nativeEnumType(UserEventCredentialsType);
  UserEventCredentialsType$outboundSchema = UserEventCredentialsType$inboundSchema;
  ((UserEventCredentialsType$) => {
    UserEventCredentialsType$.inboundSchema = UserEventCredentialsType$inboundSchema;
    UserEventCredentialsType$.outboundSchema = UserEventCredentialsType$outboundSchema;
  })(UserEventCredentialsType$ ||= {});
  Credentials2$inboundSchema = objectType({
    type: UserEventCredentialsType$inboundSchema,
    host: stringType(),
    id: stringType()
  });
  Credentials2$outboundSchema = objectType({
    type: UserEventCredentialsType$outboundSchema,
    host: stringType(),
    id: stringType()
  });
  ((Credentials2$) => {
    Credentials2$.inboundSchema = Credentials2$inboundSchema;
    Credentials2$.outboundSchema = Credentials2$outboundSchema;
  })(Credentials2$ ||= {});
  CredentialsType$inboundSchema = nativeEnumType(CredentialsType);
  CredentialsType$outboundSchema = CredentialsType$inboundSchema;
  ((CredentialsType$) => {
    CredentialsType$.inboundSchema = CredentialsType$inboundSchema;
    CredentialsType$.outboundSchema = CredentialsType$outboundSchema;
  })(CredentialsType$ ||= {});
  Credentials1$inboundSchema = objectType({
    type: CredentialsType$inboundSchema,
    id: stringType()
  });
  Credentials1$outboundSchema = objectType({
    type: CredentialsType$outboundSchema,
    id: stringType()
  });
  ((Credentials1$) => {
    Credentials1$.inboundSchema = Credentials1$inboundSchema;
    Credentials1$.outboundSchema = Credentials1$outboundSchema;
  })(Credentials1$ ||= {});
  Credentials$inboundSchema = unionType([
    lazyType(() => Credentials1$inboundSchema),
    lazyType(() => Credentials2$inboundSchema)
  ]);
  Credentials$outboundSchema = unionType([
    lazyType(() => Credentials1$outboundSchema),
    lazyType(() => Credentials2$outboundSchema)
  ]);
  ((Credentials$) => {
    Credentials$.inboundSchema = Credentials$inboundSchema;
    Credentials$.outboundSchema = Credentials$outboundSchema;
  })(Credentials$ ||= {});
  PayloadDataCache$inboundSchema = objectType({
    excessBillingEnabled: booleanType().optional()
  });
  PayloadDataCache$outboundSchema = objectType({
    excessBillingEnabled: booleanType().optional()
  });
  ((PayloadDataCache$) => {
    PayloadDataCache$.inboundSchema = PayloadDataCache$inboundSchema;
    PayloadDataCache$.outboundSchema = PayloadDataCache$outboundSchema;
  })(PayloadDataCache$ ||= {});
  PayloadDismissals$inboundSchema = objectType({
    scopeId: stringType(),
    createdAt: numberType()
  });
  PayloadDismissals$outboundSchema = objectType({
    scopeId: stringType(),
    createdAt: numberType()
  });
  ((PayloadDismissals$) => {
    PayloadDismissals$.inboundSchema = PayloadDismissals$inboundSchema;
    PayloadDismissals$.outboundSchema = PayloadDismissals$outboundSchema;
  })(PayloadDismissals$ ||= {});
  PayloadDismissedToasts$inboundSchema = objectType({
    name: stringType(),
    dismissals: arrayType(lazyType(() => PayloadDismissals$inboundSchema))
  });
  PayloadDismissedToasts$outboundSchema = objectType({
    name: stringType(),
    dismissals: arrayType(lazyType(() => PayloadDismissals$outboundSchema))
  });
  ((PayloadDismissedToasts$) => {
    PayloadDismissedToasts$.inboundSchema = PayloadDismissedToasts$inboundSchema;
    PayloadDismissedToasts$.outboundSchema = PayloadDismissedToasts$outboundSchema;
  })(PayloadDismissedToasts$ ||= {});
  PayloadFavoriteProjectsAndSpaces$inboundSchema = objectType({
    teamId: stringType(),
    projectId: stringType()
  });
  PayloadFavoriteProjectsAndSpaces$outboundSchema = objectType({
    teamId: stringType(),
    projectId: stringType()
  });
  ((PayloadFavoriteProjectsAndSpaces$) => {
    PayloadFavoriteProjectsAndSpaces$.inboundSchema = PayloadFavoriteProjectsAndSpaces$inboundSchema;
    PayloadFavoriteProjectsAndSpaces$.outboundSchema = PayloadFavoriteProjectsAndSpaces$outboundSchema;
  })(PayloadFavoriteProjectsAndSpaces$ ||= {});
  PayloadImportFlowGitNamespace$inboundSchema = unionType([stringType(), numberType()]);
  PayloadImportFlowGitNamespace$outboundSchema = unionType([stringType(), numberType()]);
  ((PayloadImportFlowGitNamespace$) => {
    PayloadImportFlowGitNamespace$.inboundSchema = PayloadImportFlowGitNamespace$inboundSchema;
    PayloadImportFlowGitNamespace$.outboundSchema = PayloadImportFlowGitNamespace$outboundSchema;
  })(PayloadImportFlowGitNamespace$ ||= {});
  PayloadImportFlowGitNamespaceId$inboundSchema = unionType([stringType(), numberType()]);
  PayloadImportFlowGitNamespaceId$outboundSchema = unionType([stringType(), numberType()]);
  ((PayloadImportFlowGitNamespaceId$) => {
    PayloadImportFlowGitNamespaceId$.inboundSchema = PayloadImportFlowGitNamespaceId$inboundSchema;
    PayloadImportFlowGitNamespaceId$.outboundSchema = PayloadImportFlowGitNamespaceId$outboundSchema;
  })(PayloadImportFlowGitNamespaceId$ ||= {});
  PayloadImportFlowGitProvider$inboundSchema = nativeEnumType(PayloadImportFlowGitProvider);
  PayloadImportFlowGitProvider$outboundSchema = PayloadImportFlowGitProvider$inboundSchema;
  ((PayloadImportFlowGitProvider$) => {
    PayloadImportFlowGitProvider$.inboundSchema = PayloadImportFlowGitProvider$inboundSchema;
    PayloadImportFlowGitProvider$.outboundSchema = PayloadImportFlowGitProvider$outboundSchema;
  })(PayloadImportFlowGitProvider$ ||= {});
  PayloadGitNamespaceId$inboundSchema = unionType([stringType(), numberType()]);
  PayloadGitNamespaceId$outboundSchema = unionType([stringType(), numberType()]);
  ((PayloadGitNamespaceId$) => {
    PayloadGitNamespaceId$.inboundSchema = PayloadGitNamespaceId$inboundSchema;
    PayloadGitNamespaceId$.outboundSchema = PayloadGitNamespaceId$outboundSchema;
  })(PayloadGitNamespaceId$ ||= {});
  PayloadPreferredScopesAndGitNamespaces$inboundSchema = objectType({
    scopeId: stringType(),
    gitNamespaceId: nullableType(unionType([stringType(), numberType()]))
  });
  PayloadPreferredScopesAndGitNamespaces$outboundSchema = objectType({
    scopeId: stringType(),
    gitNamespaceId: nullableType(unionType([stringType(), numberType()]))
  });
  ((PayloadPreferredScopesAndGitNamespaces$) => {
    PayloadPreferredScopesAndGitNamespaces$.inboundSchema = PayloadPreferredScopesAndGitNamespaces$inboundSchema;
    PayloadPreferredScopesAndGitNamespaces$.outboundSchema = PayloadPreferredScopesAndGitNamespaces$outboundSchema;
  })(PayloadPreferredScopesAndGitNamespaces$ ||= {});
  PreventAutoBlocking$inboundSchema = unionType([numberType(), booleanType()]);
  PreventAutoBlocking$outboundSchema = unionType([numberType(), booleanType()]);
  ((PreventAutoBlocking$) => {
    PreventAutoBlocking$.inboundSchema = PreventAutoBlocking$inboundSchema;
    PreventAutoBlocking$.outboundSchema = PreventAutoBlocking$outboundSchema;
  })(PreventAutoBlocking$ ||= {});
  UserEventPayloadRemoteCaching$inboundSchema = objectType({
    enabled: booleanType().optional()
  });
  UserEventPayloadRemoteCaching$outboundSchema = objectType({
    enabled: booleanType().optional()
  });
  ((UserEventPayloadRemoteCaching$) => {
    UserEventPayloadRemoteCaching$.inboundSchema = UserEventPayloadRemoteCaching$inboundSchema;
    UserEventPayloadRemoteCaching$.outboundSchema = UserEventPayloadRemoteCaching$outboundSchema;
  })(UserEventPayloadRemoteCaching$ ||= {});
  PayloadBuildEntitlements$inboundSchema = objectType({
    enhancedBuilds: booleanType().optional()
  });
  PayloadBuildEntitlements$outboundSchema = objectType({
    enhancedBuilds: booleanType().optional()
  });
  ((PayloadBuildEntitlements$) => {
    PayloadBuildEntitlements$.inboundSchema = PayloadBuildEntitlements$inboundSchema;
    PayloadBuildEntitlements$.outboundSchema = PayloadBuildEntitlements$outboundSchema;
  })(PayloadBuildEntitlements$ ||= {});
  PayloadPurchaseType$inboundSchema = nativeEnumType(PayloadPurchaseType);
  PayloadPurchaseType$outboundSchema = PayloadPurchaseType$inboundSchema;
  ((PayloadPurchaseType$) => {
    PayloadPurchaseType$.inboundSchema = PayloadPurchaseType$inboundSchema;
    PayloadPurchaseType$.outboundSchema = PayloadPurchaseType$outboundSchema;
  })(PayloadPurchaseType$ ||= {});
  PayloadBuildMachine$inboundSchema = objectType({
    purchaseType: PayloadPurchaseType$inboundSchema.optional(),
    isDefaultBuildMachine: booleanType().optional(),
    cores: numberType().optional(),
    memory: numberType().optional()
  });
  PayloadBuildMachine$outboundSchema = objectType({
    purchaseType: PayloadPurchaseType$outboundSchema.optional(),
    isDefaultBuildMachine: booleanType().optional(),
    cores: numberType().optional(),
    memory: numberType().optional()
  });
  ((PayloadBuildMachine$) => {
    PayloadBuildMachine$.inboundSchema = PayloadBuildMachine$inboundSchema;
    PayloadBuildMachine$.outboundSchema = PayloadBuildMachine$outboundSchema;
  })(PayloadBuildMachine$ ||= {});
  PayloadResourceConfig$inboundSchema = objectType({
    nodeType: stringType().optional(),
    concurrentBuilds: numberType().optional(),
    buildEntitlements: lazyType(() => PayloadBuildEntitlements$inboundSchema).optional(),
    awsAccountType: stringType().optional(),
    awsAccountIds: arrayType(stringType()).optional(),
    cfZoneName: stringType().optional(),
    imageOptimizationType: stringType().optional(),
    edgeConfigs: numberType().optional(),
    edgeConfigSize: numberType().optional(),
    edgeFunctionMaxSizeBytes: numberType().optional(),
    edgeFunctionExecutionTimeoutMs: numberType().optional(),
    serverlessFunctionMaxMemorySize: numberType().optional(),
    kvDatabases: numberType().optional(),
    postgresDatabases: numberType().optional(),
    blobStores: numberType().optional(),
    integrationStores: numberType().optional(),
    cronJobs: numberType().optional(),
    cronJobsPerProject: numberType().optional(),
    microfrontendGroupsPerTeam: numberType().optional(),
    microfrontendProjectsPerGroup: numberType().optional(),
    flagsExplorerOverridesThreshold: numberType().optional(),
    flagsExplorerUnlimitedOverrides: booleanType().optional(),
    customEnvironmentsPerProject: numberType().optional(),
    buildMachine: lazyType(() => PayloadBuildMachine$inboundSchema).optional()
  });
  PayloadResourceConfig$outboundSchema = objectType({
    nodeType: stringType().optional(),
    concurrentBuilds: numberType().optional(),
    buildEntitlements: lazyType(() => PayloadBuildEntitlements$outboundSchema).optional(),
    awsAccountType: stringType().optional(),
    awsAccountIds: arrayType(stringType()).optional(),
    cfZoneName: stringType().optional(),
    imageOptimizationType: stringType().optional(),
    edgeConfigs: numberType().optional(),
    edgeConfigSize: numberType().optional(),
    edgeFunctionMaxSizeBytes: numberType().optional(),
    edgeFunctionExecutionTimeoutMs: numberType().optional(),
    serverlessFunctionMaxMemorySize: numberType().optional(),
    kvDatabases: numberType().optional(),
    postgresDatabases: numberType().optional(),
    blobStores: numberType().optional(),
    integrationStores: numberType().optional(),
    cronJobs: numberType().optional(),
    cronJobsPerProject: numberType().optional(),
    microfrontendGroupsPerTeam: numberType().optional(),
    microfrontendProjectsPerGroup: numberType().optional(),
    flagsExplorerOverridesThreshold: numberType().optional(),
    flagsExplorerUnlimitedOverrides: booleanType().optional(),
    customEnvironmentsPerProject: numberType().optional(),
    buildMachine: lazyType(() => PayloadBuildMachine$outboundSchema).optional()
  });
  ((PayloadResourceConfig$) => {
    PayloadResourceConfig$.inboundSchema = PayloadResourceConfig$inboundSchema;
    PayloadResourceConfig$.outboundSchema = PayloadResourceConfig$outboundSchema;
  })(PayloadResourceConfig$ ||= {});
  ResourceLimits$inboundSchema = objectType({
    max: numberType(),
    duration: numberType()
  });
  ResourceLimits$outboundSchema = objectType({
    max: numberType(),
    duration: numberType()
  });
  ((ResourceLimits$) => {
    ResourceLimits$.inboundSchema = ResourceLimits$inboundSchema;
    ResourceLimits$.outboundSchema = ResourceLimits$outboundSchema;
  })(ResourceLimits$ ||= {});
  PayloadViewPreference$inboundSchema = nativeEnumType(PayloadViewPreference);
  PayloadViewPreference$outboundSchema = PayloadViewPreference$inboundSchema;
  ((PayloadViewPreference$) => {
    PayloadViewPreference$.inboundSchema = PayloadViewPreference$inboundSchema;
    PayloadViewPreference$.outboundSchema = PayloadViewPreference$outboundSchema;
  })(PayloadViewPreference$ ||= {});
  PayloadFavoritesViewPreference$inboundSchema = nativeEnumType(PayloadFavoritesViewPreference);
  PayloadFavoritesViewPreference$outboundSchema = PayloadFavoritesViewPreference$inboundSchema;
  ((PayloadFavoritesViewPreference$) => {
    PayloadFavoritesViewPreference$.inboundSchema = PayloadFavoritesViewPreference$inboundSchema;
    PayloadFavoritesViewPreference$.outboundSchema = PayloadFavoritesViewPreference$outboundSchema;
  })(PayloadFavoritesViewPreference$ ||= {});
  PayloadRecentsViewPreference$inboundSchema = nativeEnumType(PayloadRecentsViewPreference);
  PayloadRecentsViewPreference$outboundSchema = PayloadRecentsViewPreference$inboundSchema;
  ((PayloadRecentsViewPreference$) => {
    PayloadRecentsViewPreference$.inboundSchema = PayloadRecentsViewPreference$inboundSchema;
    PayloadRecentsViewPreference$.outboundSchema = PayloadRecentsViewPreference$outboundSchema;
  })(PayloadRecentsViewPreference$ ||= {});
  PayloadActiveDashboardViews$inboundSchema = objectType({
    scopeId: stringType(),
    viewPreference: nullableType(PayloadViewPreference$inboundSchema).optional(),
    favoritesViewPreference: nullableType(PayloadFavoritesViewPreference$inboundSchema).optional(),
    recentsViewPreference: nullableType(PayloadRecentsViewPreference$inboundSchema).optional()
  });
  PayloadActiveDashboardViews$outboundSchema = objectType({
    scopeId: stringType(),
    viewPreference: nullableType(PayloadViewPreference$outboundSchema).optional(),
    favoritesViewPreference: nullableType(PayloadFavoritesViewPreference$outboundSchema).optional(),
    recentsViewPreference: nullableType(PayloadRecentsViewPreference$outboundSchema).optional()
  });
  ((PayloadActiveDashboardViews$) => {
    PayloadActiveDashboardViews$.inboundSchema = PayloadActiveDashboardViews$inboundSchema;
    PayloadActiveDashboardViews$.outboundSchema = PayloadActiveDashboardViews$outboundSchema;
  })(PayloadActiveDashboardViews$ ||= {});
  SecondaryEmails$inboundSchema = objectType({
    email: stringType(),
    verified: booleanType()
  });
  SecondaryEmails$outboundSchema = objectType({
    email: stringType(),
    verified: booleanType()
  });
  ((SecondaryEmails$) => {
    SecondaryEmails$.inboundSchema = SecondaryEmails$inboundSchema;
    SecondaryEmails$.outboundSchema = SecondaryEmails$outboundSchema;
  })(SecondaryEmails$ ||= {});
  Rules$inboundSchema = objectType({
    email: stringType()
  });
  Rules$outboundSchema = objectType({
    email: stringType()
  });
  ((Rules$) => {
    Rules$.inboundSchema = Rules$inboundSchema;
    Rules$.outboundSchema = Rules$outboundSchema;
  })(Rules$ ||= {});
  EmailNotifications$inboundSchema = objectType({
    rules: recordType(lazyType(() => Rules$inboundSchema)).optional()
  });
  EmailNotifications$outboundSchema = objectType({
    rules: recordType(lazyType(() => Rules$outboundSchema)).optional()
  });
  ((EmailNotifications$) => {
    EmailNotifications$.inboundSchema = EmailNotifications$inboundSchema;
    EmailNotifications$.outboundSchema = EmailNotifications$outboundSchema;
  })(EmailNotifications$ ||= {});
  PayloadReasons$inboundSchema = objectType({
    name: stringType(),
    value: stringType()
  });
  PayloadReasons$outboundSchema = objectType({
    name: stringType(),
    value: stringType()
  });
  ((PayloadReasons$) => {
    PayloadReasons$.inboundSchema = PayloadReasons$inboundSchema;
    PayloadReasons$.outboundSchema = PayloadReasons$outboundSchema;
  })(PayloadReasons$ ||= {});
  SiftScores$inboundSchema = objectType({
    score: numberType(),
    reasons: arrayType(lazyType(() => PayloadReasons$inboundSchema))
  });
  SiftScores$outboundSchema = objectType({
    score: numberType(),
    reasons: arrayType(lazyType(() => PayloadReasons$outboundSchema))
  });
  ((SiftScores$) => {
    SiftScores$.inboundSchema = SiftScores$inboundSchema;
    SiftScores$.outboundSchema = SiftScores$outboundSchema;
  })(SiftScores$ ||= {});
  UserEventPayload62Name$inboundSchema = nativeEnumType(UserEventPayload62Name);
  UserEventPayload62Name$outboundSchema = UserEventPayload62Name$inboundSchema;
  ((UserEventPayload62Name$) => {
    UserEventPayload62Name$.inboundSchema = UserEventPayload62Name$inboundSchema;
    UserEventPayload62Name$.outboundSchema = UserEventPayload62Name$outboundSchema;
  })(UserEventPayload62Name$ ||= {});
  SiftRoute$inboundSchema = objectType({
    name: UserEventPayload62Name$inboundSchema
  });
  SiftRoute$outboundSchema = objectType({
    name: UserEventPayload62Name$outboundSchema
  });
  ((SiftRoute$) => {
    SiftRoute$.inboundSchema = SiftRoute$inboundSchema;
    SiftRoute$.outboundSchema = SiftRoute$outboundSchema;
  })(SiftRoute$ ||= {});
  PayloadReason$inboundSchema = nativeEnumType(PayloadReason);
  PayloadReason$outboundSchema = PayloadReason$inboundSchema;
  ((PayloadReason$) => {
    PayloadReason$.inboundSchema = PayloadReason$inboundSchema;
    PayloadReason$.outboundSchema = PayloadReason$outboundSchema;
  })(PayloadReason$ ||= {});
  PayloadBlockedDueToOverageType$inboundSchema = nativeEnumType(PayloadBlockedDueToOverageType);
  PayloadBlockedDueToOverageType$outboundSchema = PayloadBlockedDueToOverageType$inboundSchema;
  ((PayloadBlockedDueToOverageType$) => {
    PayloadBlockedDueToOverageType$.inboundSchema = PayloadBlockedDueToOverageType$inboundSchema;
    PayloadBlockedDueToOverageType$.outboundSchema = PayloadBlockedDueToOverageType$outboundSchema;
  })(PayloadBlockedDueToOverageType$ ||= {});
  PayloadSoftBlock$inboundSchema = objectType({
    blockedAt: numberType(),
    reason: PayloadReason$inboundSchema,
    blockedDueToOverageType: PayloadBlockedDueToOverageType$inboundSchema.optional()
  });
  PayloadSoftBlock$outboundSchema = objectType({
    blockedAt: numberType(),
    reason: PayloadReason$outboundSchema,
    blockedDueToOverageType: PayloadBlockedDueToOverageType$outboundSchema.optional()
  });
  ((PayloadSoftBlock$) => {
    PayloadSoftBlock$.inboundSchema = PayloadSoftBlock$inboundSchema;
    PayloadSoftBlock$.outboundSchema = PayloadSoftBlock$outboundSchema;
  })(PayloadSoftBlock$ ||= {});
  UserEventPayload62Role$inboundSchema = nativeEnumType(UserEventPayload62Role);
  UserEventPayload62Role$outboundSchema = UserEventPayload62Role$inboundSchema;
  ((UserEventPayload62Role$) => {
    UserEventPayload62Role$.inboundSchema = UserEventPayload62Role$inboundSchema;
    UserEventPayload62Role$.outboundSchema = UserEventPayload62Role$outboundSchema;
  })(UserEventPayload62Role$ ||= {});
  PayloadTeamRoles$inboundSchema = nativeEnumType(PayloadTeamRoles);
  PayloadTeamRoles$outboundSchema = PayloadTeamRoles$inboundSchema;
  ((PayloadTeamRoles$) => {
    PayloadTeamRoles$.inboundSchema = PayloadTeamRoles$inboundSchema;
    PayloadTeamRoles$.outboundSchema = PayloadTeamRoles$outboundSchema;
  })(PayloadTeamRoles$ ||= {});
  PayloadTeamPermissions$inboundSchema = nativeEnumType(PayloadTeamPermissions);
  PayloadTeamPermissions$outboundSchema = PayloadTeamPermissions$inboundSchema;
  ((PayloadTeamPermissions$) => {
    PayloadTeamPermissions$.inboundSchema = PayloadTeamPermissions$inboundSchema;
    PayloadTeamPermissions$.outboundSchema = PayloadTeamPermissions$outboundSchema;
  })(PayloadTeamPermissions$ ||= {});
  UserEventPayloadOrigin$inboundSchema = nativeEnumType(UserEventPayloadOrigin);
  UserEventPayloadOrigin$outboundSchema = UserEventPayloadOrigin$inboundSchema;
  ((UserEventPayloadOrigin$) => {
    UserEventPayloadOrigin$.inboundSchema = UserEventPayloadOrigin$inboundSchema;
    UserEventPayloadOrigin$.outboundSchema = UserEventPayloadOrigin$outboundSchema;
  })(UserEventPayloadOrigin$ ||= {});
  UserEventPayloadGitUserId$inboundSchema = unionType([stringType(), numberType()]);
  UserEventPayloadGitUserId$outboundSchema = unionType([stringType(), numberType()]);
  ((UserEventPayloadGitUserId$) => {
    UserEventPayloadGitUserId$.inboundSchema = UserEventPayloadGitUserId$inboundSchema;
    UserEventPayloadGitUserId$.outboundSchema = UserEventPayloadGitUserId$outboundSchema;
  })(UserEventPayloadGitUserId$ ||= {});
  UserEventPayloadJoinedFrom$inboundSchema = objectType({
    origin: UserEventPayloadOrigin$inboundSchema,
    commitId: stringType().optional(),
    repoId: stringType().optional(),
    repoPath: stringType().optional(),
    gitUserId: unionType([stringType(), numberType()]).optional(),
    gitUserLogin: stringType().optional(),
    ssoUserId: stringType().optional(),
    ssoConnectedAt: numberType().optional(),
    idpUserId: stringType().optional(),
    dsyncUserId: stringType().optional(),
    dsyncConnectedAt: numberType().optional()
  });
  UserEventPayloadJoinedFrom$outboundSchema = objectType({
    origin: UserEventPayloadOrigin$outboundSchema,
    commitId: stringType().optional(),
    repoId: stringType().optional(),
    repoPath: stringType().optional(),
    gitUserId: unionType([stringType(), numberType()]).optional(),
    gitUserLogin: stringType().optional(),
    ssoUserId: stringType().optional(),
    ssoConnectedAt: numberType().optional(),
    idpUserId: stringType().optional(),
    dsyncUserId: stringType().optional(),
    dsyncConnectedAt: numberType().optional()
  });
  ((UserEventPayloadJoinedFrom$) => {
    UserEventPayloadJoinedFrom$.inboundSchema = UserEventPayloadJoinedFrom$inboundSchema;
    UserEventPayloadJoinedFrom$.outboundSchema = UserEventPayloadJoinedFrom$outboundSchema;
  })(UserEventPayloadJoinedFrom$ ||= {});
  Teams$inboundSchema = objectType({
    created: numberType().optional(),
    createdAt: numberType().optional(),
    teamId: stringType(),
    role: UserEventPayload62Role$inboundSchema.optional(),
    confirmed: booleanType().optional(),
    confirmedAt: numberType().optional(),
    accessRequestedAt: numberType().optional(),
    teamRoles: arrayType(PayloadTeamRoles$inboundSchema).optional(),
    teamPermissions: arrayType(PayloadTeamPermissions$inboundSchema).optional(),
    joinedFrom: lazyType(() => UserEventPayloadJoinedFrom$inboundSchema).optional()
  });
  Teams$outboundSchema = objectType({
    created: numberType().optional(),
    createdAt: numberType().optional(),
    teamId: stringType(),
    role: UserEventPayload62Role$outboundSchema.optional(),
    confirmed: booleanType().optional(),
    confirmedAt: numberType().optional(),
    accessRequestedAt: numberType().optional(),
    teamRoles: arrayType(PayloadTeamRoles$outboundSchema).optional(),
    teamPermissions: arrayType(PayloadTeamPermissions$outboundSchema).optional(),
    joinedFrom: lazyType(() => UserEventPayloadJoinedFrom$outboundSchema).optional()
  });
  ((Teams$) => {
    Teams$.inboundSchema = Teams$inboundSchema;
    Teams$.outboundSchema = Teams$outboundSchema;
  })(Teams$ ||= {});
  UserEventPayload62Type$inboundSchema = nativeEnumType(UserEventPayload62Type);
  UserEventPayload62Type$outboundSchema = UserEventPayload62Type$inboundSchema;
  ((UserEventPayload62Type$) => {
    UserEventPayload62Type$.inboundSchema = UserEventPayload62Type$inboundSchema;
    UserEventPayload62Type$.outboundSchema = UserEventPayload62Type$outboundSchema;
  })(UserEventPayload62Type$ ||= {});
  UsageAlerts$inboundSchema = objectType({
    warningAt: nullableType(numberType()).optional(),
    blockingAt: nullableType(numberType()).optional()
  });
  UsageAlerts$outboundSchema = objectType({
    warningAt: nullableType(numberType()).optional(),
    blockingAt: nullableType(numberType()).optional()
  });
  ((UsageAlerts$) => {
    UsageAlerts$.inboundSchema = UsageAlerts$inboundSchema;
    UsageAlerts$.outboundSchema = UsageAlerts$outboundSchema;
  })(UsageAlerts$ ||= {});
  AnalyticsUsage$inboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  AnalyticsUsage$outboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  ((AnalyticsUsage$) => {
    AnalyticsUsage$.inboundSchema = AnalyticsUsage$inboundSchema;
    AnalyticsUsage$.outboundSchema = AnalyticsUsage$outboundSchema;
  })(AnalyticsUsage$ ||= {});
  Artifacts$inboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  Artifacts$outboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  ((Artifacts$) => {
    Artifacts$.inboundSchema = Artifacts$inboundSchema;
    Artifacts$.outboundSchema = Artifacts$outboundSchema;
  })(Artifacts$ ||= {});
  Bandwidth$inboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  Bandwidth$outboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  ((Bandwidth$) => {
    Bandwidth$.inboundSchema = Bandwidth$inboundSchema;
    Bandwidth$.outboundSchema = Bandwidth$outboundSchema;
  })(Bandwidth$ ||= {});
  BlobTotalAdvancedRequests$inboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  BlobTotalAdvancedRequests$outboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  ((BlobTotalAdvancedRequests$) => {
    BlobTotalAdvancedRequests$.inboundSchema = BlobTotalAdvancedRequests$inboundSchema;
    BlobTotalAdvancedRequests$.outboundSchema = BlobTotalAdvancedRequests$outboundSchema;
  })(BlobTotalAdvancedRequests$ ||= {});
  BlobTotalAvgSizeInBytes$inboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  BlobTotalAvgSizeInBytes$outboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  ((BlobTotalAvgSizeInBytes$) => {
    BlobTotalAvgSizeInBytes$.inboundSchema = BlobTotalAvgSizeInBytes$inboundSchema;
    BlobTotalAvgSizeInBytes$.outboundSchema = BlobTotalAvgSizeInBytes$outboundSchema;
  })(BlobTotalAvgSizeInBytes$ ||= {});
  BlobTotalGetResponseObjectSizeInBytes$inboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  BlobTotalGetResponseObjectSizeInBytes$outboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  ((BlobTotalGetResponseObjectSizeInBytes$) => {
    BlobTotalGetResponseObjectSizeInBytes$.inboundSchema = BlobTotalGetResponseObjectSizeInBytes$inboundSchema;
    BlobTotalGetResponseObjectSizeInBytes$.outboundSchema = BlobTotalGetResponseObjectSizeInBytes$outboundSchema;
  })(BlobTotalGetResponseObjectSizeInBytes$ ||= {});
  BlobTotalSimpleRequests$inboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  BlobTotalSimpleRequests$outboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  ((BlobTotalSimpleRequests$) => {
    BlobTotalSimpleRequests$.inboundSchema = BlobTotalSimpleRequests$inboundSchema;
    BlobTotalSimpleRequests$.outboundSchema = BlobTotalSimpleRequests$outboundSchema;
  })(BlobTotalSimpleRequests$ ||= {});
  DataCacheRead$inboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  DataCacheRead$outboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  ((DataCacheRead$) => {
    DataCacheRead$.inboundSchema = DataCacheRead$inboundSchema;
    DataCacheRead$.outboundSchema = DataCacheRead$outboundSchema;
  })(DataCacheRead$ ||= {});
  DataCacheWrite$inboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  DataCacheWrite$outboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  ((DataCacheWrite$) => {
    DataCacheWrite$.inboundSchema = DataCacheWrite$inboundSchema;
    DataCacheWrite$.outboundSchema = DataCacheWrite$outboundSchema;
  })(DataCacheWrite$ ||= {});
  EdgeConfigRead$inboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  EdgeConfigRead$outboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  ((EdgeConfigRead$) => {
    EdgeConfigRead$.inboundSchema = EdgeConfigRead$inboundSchema;
    EdgeConfigRead$.outboundSchema = EdgeConfigRead$outboundSchema;
  })(EdgeConfigRead$ ||= {});
  EdgeConfigWrite$inboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  EdgeConfigWrite$outboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  ((EdgeConfigWrite$) => {
    EdgeConfigWrite$.inboundSchema = EdgeConfigWrite$inboundSchema;
    EdgeConfigWrite$.outboundSchema = EdgeConfigWrite$outboundSchema;
  })(EdgeConfigWrite$ ||= {});
  EdgeFunctionExecutionUnits$inboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  EdgeFunctionExecutionUnits$outboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  ((EdgeFunctionExecutionUnits$) => {
    EdgeFunctionExecutionUnits$.inboundSchema = EdgeFunctionExecutionUnits$inboundSchema;
    EdgeFunctionExecutionUnits$.outboundSchema = EdgeFunctionExecutionUnits$outboundSchema;
  })(EdgeFunctionExecutionUnits$ ||= {});
  EdgeMiddlewareInvocations$inboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  EdgeMiddlewareInvocations$outboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  ((EdgeMiddlewareInvocations$) => {
    EdgeMiddlewareInvocations$.inboundSchema = EdgeMiddlewareInvocations$inboundSchema;
    EdgeMiddlewareInvocations$.outboundSchema = EdgeMiddlewareInvocations$outboundSchema;
  })(EdgeMiddlewareInvocations$ ||= {});
  EdgeRequestAdditionalCpuDuration$inboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  EdgeRequestAdditionalCpuDuration$outboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  ((EdgeRequestAdditionalCpuDuration$) => {
    EdgeRequestAdditionalCpuDuration$.inboundSchema = EdgeRequestAdditionalCpuDuration$inboundSchema;
    EdgeRequestAdditionalCpuDuration$.outboundSchema = EdgeRequestAdditionalCpuDuration$outboundSchema;
  })(EdgeRequestAdditionalCpuDuration$ ||= {});
  EdgeRequest$inboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  EdgeRequest$outboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  ((EdgeRequest$) => {
    EdgeRequest$.inboundSchema = EdgeRequest$inboundSchema;
    EdgeRequest$.outboundSchema = EdgeRequest$outboundSchema;
  })(EdgeRequest$ ||= {});
  ElasticConcurrencyBuildSlots$inboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  ElasticConcurrencyBuildSlots$outboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  ((ElasticConcurrencyBuildSlots$) => {
    ElasticConcurrencyBuildSlots$.inboundSchema = ElasticConcurrencyBuildSlots$inboundSchema;
    ElasticConcurrencyBuildSlots$.outboundSchema = ElasticConcurrencyBuildSlots$outboundSchema;
  })(ElasticConcurrencyBuildSlots$ ||= {});
  FastDataTransfer$inboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  FastDataTransfer$outboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  ((FastDataTransfer$) => {
    FastDataTransfer$.inboundSchema = FastDataTransfer$inboundSchema;
    FastDataTransfer$.outboundSchema = FastDataTransfer$outboundSchema;
  })(FastDataTransfer$ ||= {});
  FastOriginTransfer$inboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  FastOriginTransfer$outboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  ((FastOriginTransfer$) => {
    FastOriginTransfer$.inboundSchema = FastOriginTransfer$inboundSchema;
    FastOriginTransfer$.outboundSchema = FastOriginTransfer$outboundSchema;
  })(FastOriginTransfer$ ||= {});
  FunctionDuration$inboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  FunctionDuration$outboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  ((FunctionDuration$) => {
    FunctionDuration$.inboundSchema = FunctionDuration$inboundSchema;
    FunctionDuration$.outboundSchema = FunctionDuration$outboundSchema;
  })(FunctionDuration$ ||= {});
  FunctionInvocation$inboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  FunctionInvocation$outboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  ((FunctionInvocation$) => {
    FunctionInvocation$.inboundSchema = FunctionInvocation$inboundSchema;
    FunctionInvocation$.outboundSchema = FunctionInvocation$outboundSchema;
  })(FunctionInvocation$ ||= {});
  ImageOptimizationCacheRead$inboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  ImageOptimizationCacheRead$outboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  ((ImageOptimizationCacheRead$) => {
    ImageOptimizationCacheRead$.inboundSchema = ImageOptimizationCacheRead$inboundSchema;
    ImageOptimizationCacheRead$.outboundSchema = ImageOptimizationCacheRead$outboundSchema;
  })(ImageOptimizationCacheRead$ ||= {});
  ImageOptimizationCacheWrite$inboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  ImageOptimizationCacheWrite$outboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  ((ImageOptimizationCacheWrite$) => {
    ImageOptimizationCacheWrite$.inboundSchema = ImageOptimizationCacheWrite$inboundSchema;
    ImageOptimizationCacheWrite$.outboundSchema = ImageOptimizationCacheWrite$outboundSchema;
  })(ImageOptimizationCacheWrite$ ||= {});
  ImageOptimizationTransformation$inboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  ImageOptimizationTransformation$outboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  ((ImageOptimizationTransformation$) => {
    ImageOptimizationTransformation$.inboundSchema = ImageOptimizationTransformation$inboundSchema;
    ImageOptimizationTransformation$.outboundSchema = ImageOptimizationTransformation$outboundSchema;
  })(ImageOptimizationTransformation$ ||= {});
  LogDrainsVolume$inboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  LogDrainsVolume$outboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  ((LogDrainsVolume$) => {
    LogDrainsVolume$.inboundSchema = LogDrainsVolume$inboundSchema;
    LogDrainsVolume$.outboundSchema = LogDrainsVolume$outboundSchema;
  })(LogDrainsVolume$ ||= {});
  MonitoringMetric$inboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  MonitoringMetric$outboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  ((MonitoringMetric$) => {
    MonitoringMetric$.inboundSchema = MonitoringMetric$inboundSchema;
    MonitoringMetric$.outboundSchema = MonitoringMetric$outboundSchema;
  })(MonitoringMetric$ ||= {});
  BlobDataTransfer$inboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  BlobDataTransfer$outboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  ((BlobDataTransfer$) => {
    BlobDataTransfer$.inboundSchema = BlobDataTransfer$inboundSchema;
    BlobDataTransfer$.outboundSchema = BlobDataTransfer$outboundSchema;
  })(BlobDataTransfer$ ||= {});
  ObservabilityEvent$inboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  ObservabilityEvent$outboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  ((ObservabilityEvent$) => {
    ObservabilityEvent$.inboundSchema = ObservabilityEvent$inboundSchema;
    ObservabilityEvent$.outboundSchema = ObservabilityEvent$outboundSchema;
  })(ObservabilityEvent$ ||= {});
  PostgresComputeTime$inboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  PostgresComputeTime$outboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  ((PostgresComputeTime$) => {
    PostgresComputeTime$.inboundSchema = PostgresComputeTime$inboundSchema;
    PostgresComputeTime$.outboundSchema = PostgresComputeTime$outboundSchema;
  })(PostgresComputeTime$ ||= {});
  PostgresDataStorage$inboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  PostgresDataStorage$outboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  ((PostgresDataStorage$) => {
    PostgresDataStorage$.inboundSchema = PostgresDataStorage$inboundSchema;
    PostgresDataStorage$.outboundSchema = PostgresDataStorage$outboundSchema;
  })(PostgresDataStorage$ ||= {});
  PostgresDataTransfer$inboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  PostgresDataTransfer$outboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  ((PostgresDataTransfer$) => {
    PostgresDataTransfer$.inboundSchema = PostgresDataTransfer$inboundSchema;
    PostgresDataTransfer$.outboundSchema = PostgresDataTransfer$outboundSchema;
  })(PostgresDataTransfer$ ||= {});
  PostgresDatabase$inboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  PostgresDatabase$outboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  ((PostgresDatabase$) => {
    PostgresDatabase$.inboundSchema = PostgresDatabase$inboundSchema;
    PostgresDatabase$.outboundSchema = PostgresDatabase$outboundSchema;
  })(PostgresDatabase$ ||= {});
  PostgresWrittenData$inboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  PostgresWrittenData$outboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  ((PostgresWrittenData$) => {
    PostgresWrittenData$.inboundSchema = PostgresWrittenData$inboundSchema;
    PostgresWrittenData$.outboundSchema = PostgresWrittenData$outboundSchema;
  })(PostgresWrittenData$ ||= {});
  ServerlessFunctionExecution$inboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  ServerlessFunctionExecution$outboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  ((ServerlessFunctionExecution$) => {
    ServerlessFunctionExecution$.inboundSchema = ServerlessFunctionExecution$inboundSchema;
    ServerlessFunctionExecution$.outboundSchema = ServerlessFunctionExecution$outboundSchema;
  })(ServerlessFunctionExecution$ ||= {});
  SourceImages$inboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  SourceImages$outboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  ((SourceImages$) => {
    SourceImages$.inboundSchema = SourceImages$inboundSchema;
    SourceImages$.outboundSchema = SourceImages$outboundSchema;
  })(SourceImages$ ||= {});
  StorageRedisTotalBandwidthInBytes$inboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  StorageRedisTotalBandwidthInBytes$outboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  ((StorageRedisTotalBandwidthInBytes$) => {
    StorageRedisTotalBandwidthInBytes$.inboundSchema = StorageRedisTotalBandwidthInBytes$inboundSchema;
    StorageRedisTotalBandwidthInBytes$.outboundSchema = StorageRedisTotalBandwidthInBytes$outboundSchema;
  })(StorageRedisTotalBandwidthInBytes$ ||= {});
  StorageRedisTotalCommands$inboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  StorageRedisTotalCommands$outboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  ((StorageRedisTotalCommands$) => {
    StorageRedisTotalCommands$.inboundSchema = StorageRedisTotalCommands$inboundSchema;
    StorageRedisTotalCommands$.outboundSchema = StorageRedisTotalCommands$outboundSchema;
  })(StorageRedisTotalCommands$ ||= {});
  StorageRedisTotalDailyAvgStorageInBytes$inboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  StorageRedisTotalDailyAvgStorageInBytes$outboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  ((StorageRedisTotalDailyAvgStorageInBytes$) => {
    StorageRedisTotalDailyAvgStorageInBytes$.inboundSchema = StorageRedisTotalDailyAvgStorageInBytes$inboundSchema;
    StorageRedisTotalDailyAvgStorageInBytes$.outboundSchema = StorageRedisTotalDailyAvgStorageInBytes$outboundSchema;
  })(StorageRedisTotalDailyAvgStorageInBytes$ ||= {});
  StorageRedisTotalDatabases$inboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  StorageRedisTotalDatabases$outboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  ((StorageRedisTotalDatabases$) => {
    StorageRedisTotalDatabases$.inboundSchema = StorageRedisTotalDatabases$inboundSchema;
    StorageRedisTotalDatabases$.outboundSchema = StorageRedisTotalDatabases$outboundSchema;
  })(StorageRedisTotalDatabases$ ||= {});
  WafOwaspExcessBytes$inboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  WafOwaspExcessBytes$outboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  ((WafOwaspExcessBytes$) => {
    WafOwaspExcessBytes$.inboundSchema = WafOwaspExcessBytes$inboundSchema;
    WafOwaspExcessBytes$.outboundSchema = WafOwaspExcessBytes$outboundSchema;
  })(WafOwaspExcessBytes$ ||= {});
  WafOwaspRequests$inboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  WafOwaspRequests$outboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  ((WafOwaspRequests$) => {
    WafOwaspRequests$.inboundSchema = WafOwaspRequests$inboundSchema;
    WafOwaspRequests$.outboundSchema = WafOwaspRequests$outboundSchema;
  })(WafOwaspRequests$ ||= {});
  WafRateLimitRequest$inboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  WafRateLimitRequest$outboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  ((WafRateLimitRequest$) => {
    WafRateLimitRequest$.inboundSchema = WafRateLimitRequest$inboundSchema;
    WafRateLimitRequest$.outboundSchema = WafRateLimitRequest$outboundSchema;
  })(WafRateLimitRequest$ ||= {});
  WebAnalyticsEvent$inboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  WebAnalyticsEvent$outboundSchema = objectType({
    currentThreshold: numberType(),
    warningAt: nullableType(numberType()).optional(),
    blockedAt: nullableType(numberType()).optional()
  });
  ((WebAnalyticsEvent$) => {
    WebAnalyticsEvent$.inboundSchema = WebAnalyticsEvent$inboundSchema;
    WebAnalyticsEvent$.outboundSchema = WebAnalyticsEvent$outboundSchema;
  })(WebAnalyticsEvent$ ||= {});
  OverageUsageAlerts$inboundSchema = objectType({
    analyticsUsage: lazyType(() => AnalyticsUsage$inboundSchema).optional(),
    artifacts: lazyType(() => Artifacts$inboundSchema).optional(),
    bandwidth: lazyType(() => Bandwidth$inboundSchema).optional(),
    blobTotalAdvancedRequests: lazyType(() => BlobTotalAdvancedRequests$inboundSchema).optional(),
    blobTotalAvgSizeInBytes: lazyType(() => BlobTotalAvgSizeInBytes$inboundSchema).optional(),
    blobTotalGetResponseObjectSizeInBytes: lazyType(() => BlobTotalGetResponseObjectSizeInBytes$inboundSchema).optional(),
    blobTotalSimpleRequests: lazyType(() => BlobTotalSimpleRequests$inboundSchema).optional(),
    dataCacheRead: lazyType(() => DataCacheRead$inboundSchema).optional(),
    dataCacheWrite: lazyType(() => DataCacheWrite$inboundSchema).optional(),
    edgeConfigRead: lazyType(() => EdgeConfigRead$inboundSchema).optional(),
    edgeConfigWrite: lazyType(() => EdgeConfigWrite$inboundSchema).optional(),
    edgeFunctionExecutionUnits: lazyType(() => EdgeFunctionExecutionUnits$inboundSchema).optional(),
    edgeMiddlewareInvocations: lazyType(() => EdgeMiddlewareInvocations$inboundSchema).optional(),
    edgeRequestAdditionalCpuDuration: lazyType(() => EdgeRequestAdditionalCpuDuration$inboundSchema).optional(),
    edgeRequest: lazyType(() => EdgeRequest$inboundSchema).optional(),
    elasticConcurrencyBuildSlots: lazyType(() => ElasticConcurrencyBuildSlots$inboundSchema).optional(),
    fastDataTransfer: lazyType(() => FastDataTransfer$inboundSchema).optional(),
    fastOriginTransfer: lazyType(() => FastOriginTransfer$inboundSchema).optional(),
    functionDuration: lazyType(() => FunctionDuration$inboundSchema).optional(),
    functionInvocation: lazyType(() => FunctionInvocation$inboundSchema).optional(),
    imageOptimizationCacheRead: lazyType(() => ImageOptimizationCacheRead$inboundSchema).optional(),
    imageOptimizationCacheWrite: lazyType(() => ImageOptimizationCacheWrite$inboundSchema).optional(),
    imageOptimizationTransformation: lazyType(() => ImageOptimizationTransformation$inboundSchema).optional(),
    logDrainsVolume: lazyType(() => LogDrainsVolume$inboundSchema).optional(),
    monitoringMetric: lazyType(() => MonitoringMetric$inboundSchema).optional(),
    blobDataTransfer: lazyType(() => BlobDataTransfer$inboundSchema).optional(),
    observabilityEvent: lazyType(() => ObservabilityEvent$inboundSchema).optional(),
    postgresComputeTime: lazyType(() => PostgresComputeTime$inboundSchema).optional(),
    postgresDataStorage: lazyType(() => PostgresDataStorage$inboundSchema).optional(),
    postgresDataTransfer: lazyType(() => PostgresDataTransfer$inboundSchema).optional(),
    postgresDatabase: lazyType(() => PostgresDatabase$inboundSchema).optional(),
    postgresWrittenData: lazyType(() => PostgresWrittenData$inboundSchema).optional(),
    serverlessFunctionExecution: lazyType(() => ServerlessFunctionExecution$inboundSchema).optional(),
    sourceImages: lazyType(() => SourceImages$inboundSchema).optional(),
    storageRedisTotalBandwidthInBytes: lazyType(() => StorageRedisTotalBandwidthInBytes$inboundSchema).optional(),
    storageRedisTotalCommands: lazyType(() => StorageRedisTotalCommands$inboundSchema).optional(),
    storageRedisTotalDailyAvgStorageInBytes: lazyType(() => StorageRedisTotalDailyAvgStorageInBytes$inboundSchema).optional(),
    storageRedisTotalDatabases: lazyType(() => StorageRedisTotalDatabases$inboundSchema).optional(),
    wafOwaspExcessBytes: lazyType(() => WafOwaspExcessBytes$inboundSchema).optional(),
    wafOwaspRequests: lazyType(() => WafOwaspRequests$inboundSchema).optional(),
    wafRateLimitRequest: lazyType(() => WafRateLimitRequest$inboundSchema).optional(),
    webAnalyticsEvent: lazyType(() => WebAnalyticsEvent$inboundSchema).optional()
  });
  OverageUsageAlerts$outboundSchema = objectType({
    analyticsUsage: lazyType(() => AnalyticsUsage$outboundSchema).optional(),
    artifacts: lazyType(() => Artifacts$outboundSchema).optional(),
    bandwidth: lazyType(() => Bandwidth$outboundSchema).optional(),
    blobTotalAdvancedRequests: lazyType(() => BlobTotalAdvancedRequests$outboundSchema).optional(),
    blobTotalAvgSizeInBytes: lazyType(() => BlobTotalAvgSizeInBytes$outboundSchema).optional(),
    blobTotalGetResponseObjectSizeInBytes: lazyType(() => BlobTotalGetResponseObjectSizeInBytes$outboundSchema).optional(),
    blobTotalSimpleRequests: lazyType(() => BlobTotalSimpleRequests$outboundSchema).optional(),
    dataCacheRead: lazyType(() => DataCacheRead$outboundSchema).optional(),
    dataCacheWrite: lazyType(() => DataCacheWrite$outboundSchema).optional(),
    edgeConfigRead: lazyType(() => EdgeConfigRead$outboundSchema).optional(),
    edgeConfigWrite: lazyType(() => EdgeConfigWrite$outboundSchema).optional(),
    edgeFunctionExecutionUnits: lazyType(() => EdgeFunctionExecutionUnits$outboundSchema).optional(),
    edgeMiddlewareInvocations: lazyType(() => EdgeMiddlewareInvocations$outboundSchema).optional(),
    edgeRequestAdditionalCpuDuration: lazyType(() => EdgeRequestAdditionalCpuDuration$outboundSchema).optional(),
    edgeRequest: lazyType(() => EdgeRequest$outboundSchema).optional(),
    elasticConcurrencyBuildSlots: lazyType(() => ElasticConcurrencyBuildSlots$outboundSchema).optional(),
    fastDataTransfer: lazyType(() => FastDataTransfer$outboundSchema).optional(),
    fastOriginTransfer: lazyType(() => FastOriginTransfer$outboundSchema).optional(),
    functionDuration: lazyType(() => FunctionDuration$outboundSchema).optional(),
    functionInvocation: lazyType(() => FunctionInvocation$outboundSchema).optional(),
    imageOptimizationCacheRead: lazyType(() => ImageOptimizationCacheRead$outboundSchema).optional(),
    imageOptimizationCacheWrite: lazyType(() => ImageOptimizationCacheWrite$outboundSchema).optional(),
    imageOptimizationTransformation: lazyType(() => ImageOptimizationTransformation$outboundSchema).optional(),
    logDrainsVolume: lazyType(() => LogDrainsVolume$outboundSchema).optional(),
    monitoringMetric: lazyType(() => MonitoringMetric$outboundSchema).optional(),
    blobDataTransfer: lazyType(() => BlobDataTransfer$outboundSchema).optional(),
    observabilityEvent: lazyType(() => ObservabilityEvent$outboundSchema).optional(),
    postgresComputeTime: lazyType(() => PostgresComputeTime$outboundSchema).optional(),
    postgresDataStorage: lazyType(() => PostgresDataStorage$outboundSchema).optional(),
    postgresDataTransfer: lazyType(() => PostgresDataTransfer$outboundSchema).optional(),
    postgresDatabase: lazyType(() => PostgresDatabase$outboundSchema).optional(),
    postgresWrittenData: lazyType(() => PostgresWrittenData$outboundSchema).optional(),
    serverlessFunctionExecution: lazyType(() => ServerlessFunctionExecution$outboundSchema).optional(),
    sourceImages: lazyType(() => SourceImages$outboundSchema).optional(),
    storageRedisTotalBandwidthInBytes: lazyType(() => StorageRedisTotalBandwidthInBytes$outboundSchema).optional(),
    storageRedisTotalCommands: lazyType(() => StorageRedisTotalCommands$outboundSchema).optional(),
    storageRedisTotalDailyAvgStorageInBytes: lazyType(() => StorageRedisTotalDailyAvgStorageInBytes$outboundSchema).optional(),
    storageRedisTotalDatabases: lazyType(() => StorageRedisTotalDatabases$outboundSchema).optional(),
    wafOwaspExcessBytes: lazyType(() => WafOwaspExcessBytes$outboundSchema).optional(),
    wafOwaspRequests: lazyType(() => WafOwaspRequests$outboundSchema).optional(),
    wafRateLimitRequest: lazyType(() => WafRateLimitRequest$outboundSchema).optional(),
    webAnalyticsEvent: lazyType(() => WebAnalyticsEvent$outboundSchema).optional()
  });
  ((OverageUsageAlerts$) => {
    OverageUsageAlerts$.inboundSchema = OverageUsageAlerts$inboundSchema;
    OverageUsageAlerts$.outboundSchema = OverageUsageAlerts$outboundSchema;
  })(OverageUsageAlerts$ ||= {});
  OverageMetadata$inboundSchema = objectType({
    firstTimeOnDemandNotificationSentAt: numberType().optional(),
    overageSummaryEmailSentAt: numberType().optional(),
    increasedOnDemandEmailSentAt: numberType().optional()
  });
  OverageMetadata$outboundSchema = objectType({
    firstTimeOnDemandNotificationSentAt: numberType().optional(),
    overageSummaryEmailSentAt: numberType().optional(),
    increasedOnDemandEmailSentAt: numberType().optional()
  });
  ((OverageMetadata$) => {
    OverageMetadata$.inboundSchema = OverageMetadata$inboundSchema;
    OverageMetadata$.outboundSchema = OverageMetadata$outboundSchema;
  })(OverageMetadata$ ||= {});
  EnablePreviewFeedback$inboundSchema = nativeEnumType(EnablePreviewFeedback);
  EnablePreviewFeedback$outboundSchema = EnablePreviewFeedback$inboundSchema;
  ((EnablePreviewFeedback$) => {
    EnablePreviewFeedback$.inboundSchema = EnablePreviewFeedback$inboundSchema;
    EnablePreviewFeedback$.outboundSchema = EnablePreviewFeedback$outboundSchema;
  })(EnablePreviewFeedback$ ||= {});
  BlockReason$inboundSchema = nativeEnumType(BlockReason);
  BlockReason$outboundSchema = BlockReason$inboundSchema;
  ((BlockReason$) => {
    BlockReason$.inboundSchema = BlockReason$inboundSchema;
    BlockReason$.outboundSchema = BlockReason$outboundSchema;
  })(BlockReason$ ||= {});
  PayloadWebAnalytics$inboundSchema = objectType({
    updatedAt: numberType().optional(),
    blockedFrom: numberType().optional(),
    blockedUntil: numberType().optional(),
    blockReason: BlockReason$inboundSchema.optional(),
    graceEmailSentAt: numberType().optional()
  });
  PayloadWebAnalytics$outboundSchema = objectType({
    updatedAt: numberType().optional(),
    blockedFrom: numberType().optional(),
    blockedUntil: numberType().optional(),
    blockReason: BlockReason$outboundSchema.optional(),
    graceEmailSentAt: numberType().optional()
  });
  ((PayloadWebAnalytics$) => {
    PayloadWebAnalytics$.inboundSchema = PayloadWebAnalytics$inboundSchema;
    PayloadWebAnalytics$.outboundSchema = PayloadWebAnalytics$outboundSchema;
  })(PayloadWebAnalytics$ ||= {});
  PayloadBlockReason$inboundSchema = nativeEnumType(PayloadBlockReason);
  PayloadBlockReason$outboundSchema = PayloadBlockReason$inboundSchema;
  ((PayloadBlockReason$) => {
    PayloadBlockReason$.inboundSchema = PayloadBlockReason$inboundSchema;
    PayloadBlockReason$.outboundSchema = PayloadBlockReason$outboundSchema;
  })(PayloadBlockReason$ ||= {});
  BlockType$inboundSchema = nativeEnumType(BlockType);
  BlockType$outboundSchema = BlockType$inboundSchema;
  ((BlockType$) => {
    BlockType$.inboundSchema = BlockType$inboundSchema;
    BlockType$.outboundSchema = BlockType$outboundSchema;
  })(BlockType$ ||= {});
  Monitoring$inboundSchema = objectType({
    updatedAt: numberType().optional(),
    blockedFrom: numberType().optional(),
    blockedUntil: numberType().optional(),
    blockReason: PayloadBlockReason$inboundSchema.optional(),
    blockType: BlockType$inboundSchema
  });
  Monitoring$outboundSchema = objectType({
    updatedAt: numberType().optional(),
    blockedFrom: numberType().optional(),
    blockedUntil: numberType().optional(),
    blockReason: PayloadBlockReason$outboundSchema.optional(),
    blockType: BlockType$outboundSchema
  });
  ((Monitoring$) => {
    Monitoring$.inboundSchema = Monitoring$inboundSchema;
    Monitoring$.outboundSchema = Monitoring$outboundSchema;
  })(Monitoring$ ||= {});
  UserEventPayloadBlockReason$inboundSchema = nativeEnumType(UserEventPayloadBlockReason);
  UserEventPayloadBlockReason$outboundSchema = UserEventPayloadBlockReason$inboundSchema;
  ((UserEventPayloadBlockReason$) => {
    UserEventPayloadBlockReason$.inboundSchema = UserEventPayloadBlockReason$inboundSchema;
    UserEventPayloadBlockReason$.outboundSchema = UserEventPayloadBlockReason$outboundSchema;
  })(UserEventPayloadBlockReason$ ||= {});
  PayloadBlockType$inboundSchema = nativeEnumType(PayloadBlockType);
  PayloadBlockType$outboundSchema = PayloadBlockType$inboundSchema;
  ((PayloadBlockType$) => {
    PayloadBlockType$.inboundSchema = PayloadBlockType$inboundSchema;
    PayloadBlockType$.outboundSchema = PayloadBlockType$outboundSchema;
  })(PayloadBlockType$ ||= {});
  ObservabilityPlus$inboundSchema = objectType({
    updatedAt: numberType().optional(),
    blockedFrom: numberType().optional(),
    blockedUntil: numberType().optional(),
    blockReason: UserEventPayloadBlockReason$inboundSchema.optional(),
    blockType: PayloadBlockType$inboundSchema
  });
  ObservabilityPlus$outboundSchema = objectType({
    updatedAt: numberType().optional(),
    blockedFrom: numberType().optional(),
    blockedUntil: numberType().optional(),
    blockReason: UserEventPayloadBlockReason$outboundSchema.optional(),
    blockType: PayloadBlockType$outboundSchema
  });
  ((ObservabilityPlus$) => {
    ObservabilityPlus$.inboundSchema = ObservabilityPlus$inboundSchema;
    ObservabilityPlus$.outboundSchema = ObservabilityPlus$outboundSchema;
  })(ObservabilityPlus$ ||= {});
  UserEventPayload62BlockReason$inboundSchema = nativeEnumType(UserEventPayload62BlockReason);
  UserEventPayload62BlockReason$outboundSchema = UserEventPayload62BlockReason$inboundSchema;
  ((UserEventPayload62BlockReason$) => {
    UserEventPayload62BlockReason$.inboundSchema = UserEventPayload62BlockReason$inboundSchema;
    UserEventPayload62BlockReason$.outboundSchema = UserEventPayload62BlockReason$outboundSchema;
  })(UserEventPayload62BlockReason$ ||= {});
  UserEventPayloadDataCache$inboundSchema = objectType({
    updatedAt: numberType(),
    blockedFrom: numberType().optional(),
    blockedUntil: numberType().optional(),
    blockReason: UserEventPayload62BlockReason$inboundSchema
  });
  UserEventPayloadDataCache$outboundSchema = objectType({
    updatedAt: numberType(),
    blockedFrom: numberType().optional(),
    blockedUntil: numberType().optional(),
    blockReason: UserEventPayload62BlockReason$outboundSchema
  });
  ((UserEventPayloadDataCache$) => {
    UserEventPayloadDataCache$.inboundSchema = UserEventPayloadDataCache$inboundSchema;
    UserEventPayloadDataCache$.outboundSchema = UserEventPayloadDataCache$outboundSchema;
  })(UserEventPayloadDataCache$ ||= {});
  UserEventPayload62NewOwnerBlockReason$inboundSchema = nativeEnumType(UserEventPayload62NewOwnerBlockReason);
  UserEventPayload62NewOwnerBlockReason$outboundSchema = UserEventPayload62NewOwnerBlockReason$inboundSchema;
  ((UserEventPayload62NewOwnerBlockReason$) => {
    UserEventPayload62NewOwnerBlockReason$.inboundSchema = UserEventPayload62NewOwnerBlockReason$inboundSchema;
    UserEventPayload62NewOwnerBlockReason$.outboundSchema = UserEventPayload62NewOwnerBlockReason$outboundSchema;
  })(UserEventPayload62NewOwnerBlockReason$ ||= {});
  PayloadImageOptimizationTransformation$inboundSchema = objectType({
    updatedAt: numberType(),
    blockedFrom: numberType().optional(),
    blockedUntil: numberType().optional(),
    blockReason: UserEventPayload62NewOwnerBlockReason$inboundSchema
  });
  PayloadImageOptimizationTransformation$outboundSchema = objectType({
    updatedAt: numberType(),
    blockedFrom: numberType().optional(),
    blockedUntil: numberType().optional(),
    blockReason: UserEventPayload62NewOwnerBlockReason$outboundSchema
  });
  ((PayloadImageOptimizationTransformation$) => {
    PayloadImageOptimizationTransformation$.inboundSchema = PayloadImageOptimizationTransformation$inboundSchema;
    PayloadImageOptimizationTransformation$.outboundSchema = PayloadImageOptimizationTransformation$outboundSchema;
  })(PayloadImageOptimizationTransformation$ ||= {});
  UserEventPayload62NewOwnerFeatureBlocksBlockReason$inboundSchema = nativeEnumType(UserEventPayload62NewOwnerFeatureBlocksBlockReason);
  UserEventPayload62NewOwnerFeatureBlocksBlockReason$outboundSchema = UserEventPayload62NewOwnerFeatureBlocksBlockReason$inboundSchema;
  ((UserEventPayload62NewOwnerFeatureBlocksBlockReason$) => {
    UserEventPayload62NewOwnerFeatureBlocksBlockReason$.inboundSchema = UserEventPayload62NewOwnerFeatureBlocksBlockReason$inboundSchema;
    UserEventPayload62NewOwnerFeatureBlocksBlockReason$.outboundSchema = UserEventPayload62NewOwnerFeatureBlocksBlockReason$outboundSchema;
  })(UserEventPayload62NewOwnerFeatureBlocksBlockReason$ ||= {});
  PayloadSourceImages$inboundSchema = objectType({
    updatedAt: numberType(),
    blockedFrom: numberType().optional(),
    blockedUntil: numberType().optional(),
    blockReason: UserEventPayload62NewOwnerFeatureBlocksBlockReason$inboundSchema
  });
  PayloadSourceImages$outboundSchema = objectType({
    updatedAt: numberType(),
    blockedFrom: numberType().optional(),
    blockedUntil: numberType().optional(),
    blockReason: UserEventPayload62NewOwnerFeatureBlocksBlockReason$outboundSchema
  });
  ((PayloadSourceImages$) => {
    PayloadSourceImages$.inboundSchema = PayloadSourceImages$inboundSchema;
    PayloadSourceImages$.outboundSchema = PayloadSourceImages$outboundSchema;
  })(PayloadSourceImages$ ||= {});
  UserEventPayload62NewOwnerFeatureBlocksBlobBlockReason$inboundSchema = nativeEnumType(UserEventPayload62NewOwnerFeatureBlocksBlobBlockReason);
  UserEventPayload62NewOwnerFeatureBlocksBlobBlockReason$outboundSchema = UserEventPayload62NewOwnerFeatureBlocksBlobBlockReason$inboundSchema;
  ((UserEventPayload62NewOwnerFeatureBlocksBlobBlockReason$) => {
    UserEventPayload62NewOwnerFeatureBlocksBlobBlockReason$.inboundSchema = UserEventPayload62NewOwnerFeatureBlocksBlobBlockReason$inboundSchema;
    UserEventPayload62NewOwnerFeatureBlocksBlobBlockReason$.outboundSchema = UserEventPayload62NewOwnerFeatureBlocksBlobBlockReason$outboundSchema;
  })(UserEventPayload62NewOwnerFeatureBlocksBlobBlockReason$ ||= {});
  OverageReason$inboundSchema = nativeEnumType(OverageReason);
  OverageReason$outboundSchema = OverageReason$inboundSchema;
  ((OverageReason$) => {
    OverageReason$.inboundSchema = OverageReason$inboundSchema;
    OverageReason$.outboundSchema = OverageReason$outboundSchema;
  })(OverageReason$ ||= {});
  BlobT$inboundSchema = objectType({
    updatedAt: numberType().optional(),
    blockedFrom: numberType().optional(),
    blockedUntil: numberType().optional(),
    blockReason: UserEventPayload62NewOwnerFeatureBlocksBlobBlockReason$inboundSchema.optional(),
    overageReason: OverageReason$inboundSchema
  });
  BlobT$outboundSchema = objectType({
    updatedAt: numberType().optional(),
    blockedFrom: numberType().optional(),
    blockedUntil: numberType().optional(),
    blockReason: UserEventPayload62NewOwnerFeatureBlocksBlobBlockReason$outboundSchema.optional(),
    overageReason: OverageReason$outboundSchema
  });
  ((BlobT$) => {
    BlobT$.inboundSchema = BlobT$inboundSchema;
    BlobT$.outboundSchema = BlobT$outboundSchema;
  })(BlobT$ ||= {});
  UserEventPayload62NewOwnerFeatureBlocksPostgresBlockReason$inboundSchema = nativeEnumType(UserEventPayload62NewOwnerFeatureBlocksPostgresBlockReason);
  UserEventPayload62NewOwnerFeatureBlocksPostgresBlockReason$outboundSchema = UserEventPayload62NewOwnerFeatureBlocksPostgresBlockReason$inboundSchema;
  ((UserEventPayload62NewOwnerFeatureBlocksPostgresBlockReason$) => {
    UserEventPayload62NewOwnerFeatureBlocksPostgresBlockReason$.inboundSchema = UserEventPayload62NewOwnerFeatureBlocksPostgresBlockReason$inboundSchema;
    UserEventPayload62NewOwnerFeatureBlocksPostgresBlockReason$.outboundSchema = UserEventPayload62NewOwnerFeatureBlocksPostgresBlockReason$outboundSchema;
  })(UserEventPayload62NewOwnerFeatureBlocksPostgresBlockReason$ ||= {});
  PayloadOverageReason$inboundSchema = nativeEnumType(PayloadOverageReason);
  PayloadOverageReason$outboundSchema = PayloadOverageReason$inboundSchema;
  ((PayloadOverageReason$) => {
    PayloadOverageReason$.inboundSchema = PayloadOverageReason$inboundSchema;
    PayloadOverageReason$.outboundSchema = PayloadOverageReason$outboundSchema;
  })(PayloadOverageReason$ ||= {});
  Postgres$inboundSchema = objectType({
    updatedAt: numberType().optional(),
    blockedFrom: numberType().optional(),
    blockedUntil: numberType().optional(),
    blockReason: UserEventPayload62NewOwnerFeatureBlocksPostgresBlockReason$inboundSchema.optional(),
    overageReason: PayloadOverageReason$inboundSchema
  });
  Postgres$outboundSchema = objectType({
    updatedAt: numberType().optional(),
    blockedFrom: numberType().optional(),
    blockedUntil: numberType().optional(),
    blockReason: UserEventPayload62NewOwnerFeatureBlocksPostgresBlockReason$outboundSchema.optional(),
    overageReason: PayloadOverageReason$outboundSchema
  });
  ((Postgres$) => {
    Postgres$.inboundSchema = Postgres$inboundSchema;
    Postgres$.outboundSchema = Postgres$outboundSchema;
  })(Postgres$ ||= {});
  UserEventPayload62NewOwnerFeatureBlocksRedisBlockReason$inboundSchema = nativeEnumType(UserEventPayload62NewOwnerFeatureBlocksRedisBlockReason);
  UserEventPayload62NewOwnerFeatureBlocksRedisBlockReason$outboundSchema = UserEventPayload62NewOwnerFeatureBlocksRedisBlockReason$inboundSchema;
  ((UserEventPayload62NewOwnerFeatureBlocksRedisBlockReason$) => {
    UserEventPayload62NewOwnerFeatureBlocksRedisBlockReason$.inboundSchema = UserEventPayload62NewOwnerFeatureBlocksRedisBlockReason$inboundSchema;
    UserEventPayload62NewOwnerFeatureBlocksRedisBlockReason$.outboundSchema = UserEventPayload62NewOwnerFeatureBlocksRedisBlockReason$outboundSchema;
  })(UserEventPayload62NewOwnerFeatureBlocksRedisBlockReason$ ||= {});
  UserEventPayloadOverageReason$inboundSchema = nativeEnumType(UserEventPayloadOverageReason);
  UserEventPayloadOverageReason$outboundSchema = UserEventPayloadOverageReason$inboundSchema;
  ((UserEventPayloadOverageReason$) => {
    UserEventPayloadOverageReason$.inboundSchema = UserEventPayloadOverageReason$inboundSchema;
    UserEventPayloadOverageReason$.outboundSchema = UserEventPayloadOverageReason$outboundSchema;
  })(UserEventPayloadOverageReason$ ||= {});
  Redis$inboundSchema = objectType({
    updatedAt: numberType().optional(),
    blockedFrom: numberType().optional(),
    blockedUntil: numberType().optional(),
    blockReason: UserEventPayload62NewOwnerFeatureBlocksRedisBlockReason$inboundSchema.optional(),
    overageReason: UserEventPayloadOverageReason$inboundSchema
  });
  Redis$outboundSchema = objectType({
    updatedAt: numberType().optional(),
    blockedFrom: numberType().optional(),
    blockedUntil: numberType().optional(),
    blockReason: UserEventPayload62NewOwnerFeatureBlocksRedisBlockReason$outboundSchema.optional(),
    overageReason: UserEventPayloadOverageReason$outboundSchema
  });
  ((Redis$) => {
    Redis$.inboundSchema = Redis$inboundSchema;
    Redis$.outboundSchema = Redis$outboundSchema;
  })(Redis$ ||= {});
  PayloadFeatureBlocks$inboundSchema = objectType({
    webAnalytics: lazyType(() => PayloadWebAnalytics$inboundSchema).optional(),
    monitoring: lazyType(() => Monitoring$inboundSchema).optional(),
    observabilityPlus: lazyType(() => ObservabilityPlus$inboundSchema).optional(),
    dataCache: lazyType(() => UserEventPayloadDataCache$inboundSchema).optional(),
    imageOptimizationTransformation: lazyType(() => PayloadImageOptimizationTransformation$inboundSchema).optional(),
    sourceImages: lazyType(() => PayloadSourceImages$inboundSchema).optional(),
    blob: lazyType(() => BlobT$inboundSchema).optional(),
    postgres: lazyType(() => Postgres$inboundSchema).optional(),
    redis: lazyType(() => Redis$inboundSchema).optional()
  });
  PayloadFeatureBlocks$outboundSchema = objectType({
    webAnalytics: lazyType(() => PayloadWebAnalytics$outboundSchema).optional(),
    monitoring: lazyType(() => Monitoring$outboundSchema).optional(),
    observabilityPlus: lazyType(() => ObservabilityPlus$outboundSchema).optional(),
    dataCache: lazyType(() => UserEventPayloadDataCache$outboundSchema).optional(),
    imageOptimizationTransformation: lazyType(() => PayloadImageOptimizationTransformation$outboundSchema).optional(),
    sourceImages: lazyType(() => PayloadSourceImages$outboundSchema).optional(),
    blob: lazyType(() => BlobT$outboundSchema).optional(),
    postgres: lazyType(() => Postgres$outboundSchema).optional(),
    redis: lazyType(() => Redis$outboundSchema).optional()
  });
  ((PayloadFeatureBlocks$) => {
    PayloadFeatureBlocks$.inboundSchema = PayloadFeatureBlocks$inboundSchema;
    PayloadFeatureBlocks$.outboundSchema = PayloadFeatureBlocks$outboundSchema;
  })(PayloadFeatureBlocks$ ||= {});
  Version$inboundSchema = nativeEnumType(Version);
  Version$outboundSchema = Version$inboundSchema;
  ((Version$) => {
    Version$.inboundSchema = Version$inboundSchema;
    Version$.outboundSchema = Version$outboundSchema;
  })(Version$ ||= {});
  NorthstarMigration$inboundSchema = objectType({
    teamId: stringType(),
    projects: numberType(),
    stores: numberType(),
    integrationConfigurations: numberType(),
    integrationClients: numberType(),
    startTime: numberType(),
    endTime: numberType()
  });
  NorthstarMigration$outboundSchema = objectType({
    teamId: stringType(),
    projects: numberType(),
    stores: numberType(),
    integrationConfigurations: numberType(),
    integrationClients: numberType(),
    startTime: numberType(),
    endTime: numberType()
  });
  ((NorthstarMigration$) => {
    NorthstarMigration$.inboundSchema = NorthstarMigration$inboundSchema;
    NorthstarMigration$.outboundSchema = NorthstarMigration$outboundSchema;
  })(NorthstarMigration$ ||= {});
  Totp$inboundSchema = objectType({
    secret: stringType(),
    createdAt: numberType()
  });
  Totp$outboundSchema = objectType({
    secret: stringType(),
    createdAt: numberType()
  });
  ((Totp$) => {
    Totp$.inboundSchema = Totp$inboundSchema;
    Totp$.outboundSchema = Totp$outboundSchema;
  })(Totp$ ||= {});
  MfaConfiguration$inboundSchema = objectType({
    enabled: booleanType(),
    enabledAt: numberType().optional(),
    recoveryCodes: arrayType(stringType()),
    totp: lazyType(() => Totp$inboundSchema).optional()
  });
  MfaConfiguration$outboundSchema = objectType({
    enabled: booleanType(),
    enabledAt: numberType().optional(),
    recoveryCodes: arrayType(stringType()),
    totp: lazyType(() => Totp$outboundSchema).optional()
  });
  ((MfaConfiguration$) => {
    MfaConfiguration$.inboundSchema = MfaConfiguration$inboundSchema;
    MfaConfiguration$.outboundSchema = MfaConfiguration$outboundSchema;
  })(MfaConfiguration$ ||= {});
  NewOwner$inboundSchema = objectType({
    abuse: lazyType(() => Abuse$inboundSchema).optional(),
    acceptanceState: stringType().optional(),
    acceptedAt: numberType().optional(),
    avatar: stringType().optional(),
    billing: lazyType(() => PayloadBilling$inboundSchema),
    blocked: nullableType(numberType()),
    blockReason: stringType().optional(),
    created: numberType().optional(),
    createdAt: numberType(),
    credentials: arrayType(unionType([
      lazyType(() => Credentials1$inboundSchema),
      lazyType(() => Credentials2$inboundSchema)
    ])).optional(),
    customerId: nullableType(stringType()).optional(),
    orbCustomerId: nullableType(stringType()).optional(),
    dataCache: lazyType(() => PayloadDataCache$inboundSchema).optional(),
    deletedAt: nullableType(numberType()).optional(),
    deploymentSecret: stringType(),
    dismissedTeams: arrayType(stringType()).optional(),
    dismissedToasts: arrayType(lazyType(() => PayloadDismissedToasts$inboundSchema)).optional(),
    favoriteProjectsAndSpaces: arrayType(lazyType(() => PayloadFavoriteProjectsAndSpaces$inboundSchema)).optional(),
    email: stringType(),
    id: stringType(),
    importFlowGitNamespace: nullableType(unionType([stringType(), numberType()])).optional(),
    importFlowGitNamespaceId: nullableType(unionType([stringType(), numberType()])).optional(),
    importFlowGitProvider: nullableType(PayloadImportFlowGitProvider$inboundSchema).optional(),
    preferredScopesAndGitNamespaces: arrayType(lazyType(() => PayloadPreferredScopesAndGitNamespaces$inboundSchema)).optional(),
    isDomainReseller: booleanType().optional(),
    isZeitPub: booleanType().optional(),
    maxActiveSlots: numberType().optional(),
    name: stringType().optional(),
    phoneNumber: stringType().optional(),
    platformVersion: nullableType(numberType()),
    preventAutoBlocking: unionType([numberType(), booleanType()]).optional(),
    projectDomainsLimit: numberType().optional(),
    remoteCaching: lazyType(() => UserEventPayloadRemoteCaching$inboundSchema).optional(),
    removedAliasesAt: numberType().optional(),
    removedBillingSubscriptionAt: numberType().optional(),
    removedConfigurationsAt: numberType().optional(),
    removedDeploymentsAt: numberType().optional(),
    removedDomiansAt: numberType().optional(),
    removedEventsAt: numberType().optional(),
    removedProjectsAt: numberType().optional(),
    removedSecretsAt: numberType().optional(),
    removedSharedEnvVarsAt: numberType().optional(),
    removedEdgeConfigsAt: numberType().optional(),
    resourceConfig: lazyType(() => PayloadResourceConfig$inboundSchema).optional(),
    resourceLimits: recordType(lazyType(() => ResourceLimits$inboundSchema)).optional(),
    activeDashboardViews: arrayType(lazyType(() => PayloadActiveDashboardViews$inboundSchema)).optional(),
    secondaryEmails: arrayType(lazyType(() => SecondaryEmails$inboundSchema)).optional(),
    emailNotifications: lazyType(() => EmailNotifications$inboundSchema).optional(),
    siftScore: numberType().optional(),
    siftScores: recordType(lazyType(() => SiftScores$inboundSchema)).optional(),
    siftRoute: lazyType(() => SiftRoute$inboundSchema).optional(),
    sfdcId: stringType().optional(),
    softBlock: nullableType(lazyType(() => PayloadSoftBlock$inboundSchema)).optional(),
    stagingPrefix: stringType(),
    sysToken: stringType(),
    teams: arrayType(lazyType(() => Teams$inboundSchema)).optional(),
    trialTeamIds: arrayType(stringType()).optional(),
    maxTrials: numberType().optional(),
    trialTeamId: stringType().optional(),
    type: UserEventPayload62Type$inboundSchema,
    usageAlerts: nullableType(lazyType(() => UsageAlerts$inboundSchema)).optional(),
    overageUsageAlerts: lazyType(() => OverageUsageAlerts$inboundSchema).optional(),
    overageMetadata: lazyType(() => OverageMetadata$inboundSchema).optional(),
    username: stringType(),
    updatedAt: numberType(),
    enablePreviewFeedback: EnablePreviewFeedback$inboundSchema.optional(),
    featureBlocks: lazyType(() => PayloadFeatureBlocks$inboundSchema).optional(),
    defaultTeamId: stringType().optional(),
    version: Version$inboundSchema,
    northstarMigration: lazyType(() => NorthstarMigration$inboundSchema).optional(),
    opportunityId: stringType().optional(),
    mfaConfiguration: lazyType(() => MfaConfiguration$inboundSchema).optional()
  });
  NewOwner$outboundSchema = objectType({
    abuse: lazyType(() => Abuse$outboundSchema).optional(),
    acceptanceState: stringType().optional(),
    acceptedAt: numberType().optional(),
    avatar: stringType().optional(),
    billing: lazyType(() => PayloadBilling$outboundSchema),
    blocked: nullableType(numberType()),
    blockReason: stringType().optional(),
    created: numberType().optional(),
    createdAt: numberType(),
    credentials: arrayType(unionType([
      lazyType(() => Credentials1$outboundSchema),
      lazyType(() => Credentials2$outboundSchema)
    ])).optional(),
    customerId: nullableType(stringType()).optional(),
    orbCustomerId: nullableType(stringType()).optional(),
    dataCache: lazyType(() => PayloadDataCache$outboundSchema).optional(),
    deletedAt: nullableType(numberType()).optional(),
    deploymentSecret: stringType(),
    dismissedTeams: arrayType(stringType()).optional(),
    dismissedToasts: arrayType(lazyType(() => PayloadDismissedToasts$outboundSchema)).optional(),
    favoriteProjectsAndSpaces: arrayType(lazyType(() => PayloadFavoriteProjectsAndSpaces$outboundSchema)).optional(),
    email: stringType(),
    id: stringType(),
    importFlowGitNamespace: nullableType(unionType([stringType(), numberType()])).optional(),
    importFlowGitNamespaceId: nullableType(unionType([stringType(), numberType()])).optional(),
    importFlowGitProvider: nullableType(PayloadImportFlowGitProvider$outboundSchema).optional(),
    preferredScopesAndGitNamespaces: arrayType(lazyType(() => PayloadPreferredScopesAndGitNamespaces$outboundSchema)).optional(),
    isDomainReseller: booleanType().optional(),
    isZeitPub: booleanType().optional(),
    maxActiveSlots: numberType().optional(),
    name: stringType().optional(),
    phoneNumber: stringType().optional(),
    platformVersion: nullableType(numberType()),
    preventAutoBlocking: unionType([numberType(), booleanType()]).optional(),
    projectDomainsLimit: numberType().optional(),
    remoteCaching: lazyType(() => UserEventPayloadRemoteCaching$outboundSchema).optional(),
    removedAliasesAt: numberType().optional(),
    removedBillingSubscriptionAt: numberType().optional(),
    removedConfigurationsAt: numberType().optional(),
    removedDeploymentsAt: numberType().optional(),
    removedDomiansAt: numberType().optional(),
    removedEventsAt: numberType().optional(),
    removedProjectsAt: numberType().optional(),
    removedSecretsAt: numberType().optional(),
    removedSharedEnvVarsAt: numberType().optional(),
    removedEdgeConfigsAt: numberType().optional(),
    resourceConfig: lazyType(() => PayloadResourceConfig$outboundSchema).optional(),
    resourceLimits: recordType(lazyType(() => ResourceLimits$outboundSchema)).optional(),
    activeDashboardViews: arrayType(lazyType(() => PayloadActiveDashboardViews$outboundSchema)).optional(),
    secondaryEmails: arrayType(lazyType(() => SecondaryEmails$outboundSchema)).optional(),
    emailNotifications: lazyType(() => EmailNotifications$outboundSchema).optional(),
    siftScore: numberType().optional(),
    siftScores: recordType(lazyType(() => SiftScores$outboundSchema)).optional(),
    siftRoute: lazyType(() => SiftRoute$outboundSchema).optional(),
    sfdcId: stringType().optional(),
    softBlock: nullableType(lazyType(() => PayloadSoftBlock$outboundSchema)).optional(),
    stagingPrefix: stringType(),
    sysToken: stringType(),
    teams: arrayType(lazyType(() => Teams$outboundSchema)).optional(),
    trialTeamIds: arrayType(stringType()).optional(),
    maxTrials: numberType().optional(),
    trialTeamId: stringType().optional(),
    type: UserEventPayload62Type$outboundSchema,
    usageAlerts: nullableType(lazyType(() => UsageAlerts$outboundSchema)).optional(),
    overageUsageAlerts: lazyType(() => OverageUsageAlerts$outboundSchema).optional(),
    overageMetadata: lazyType(() => OverageMetadata$outboundSchema).optional(),
    username: stringType(),
    updatedAt: numberType(),
    enablePreviewFeedback: EnablePreviewFeedback$outboundSchema.optional(),
    featureBlocks: lazyType(() => PayloadFeatureBlocks$outboundSchema).optional(),
    defaultTeamId: stringType().optional(),
    version: Version$outboundSchema,
    northstarMigration: lazyType(() => NorthstarMigration$outboundSchema).optional(),
    opportunityId: stringType().optional(),
    mfaConfiguration: lazyType(() => MfaConfiguration$outboundSchema).optional()
  });
  ((NewOwner$) => {
    NewOwner$.inboundSchema = NewOwner$inboundSchema;
    NewOwner$.outboundSchema = NewOwner$outboundSchema;
  })(NewOwner$ ||= {});
  SixtyTwo$inboundSchema = objectType({
    userId: stringType(),
    integrationId: stringType(),
    configurationId: stringType(),
    integrationSlug: stringType(),
    integrationName: stringType().optional(),
    newOwner: nullableType(lazyType(() => NewOwner$inboundSchema))
  });
  SixtyTwo$outboundSchema = objectType({
    userId: stringType(),
    integrationId: stringType(),
    configurationId: stringType(),
    integrationSlug: stringType(),
    integrationName: stringType().optional(),
    newOwner: nullableType(lazyType(() => NewOwner$outboundSchema))
  });
  ((SixtyTwo$) => {
    SixtyTwo$.inboundSchema = SixtyTwo$inboundSchema;
    SixtyTwo$.outboundSchema = SixtyTwo$outboundSchema;
  })(SixtyTwo$ ||= {});
  SixtyOne$inboundSchema = objectType({
    integrationId: stringType(),
    integrationSlug: stringType(),
    integrationName: stringType()
  });
  SixtyOne$outboundSchema = objectType({
    integrationId: stringType(),
    integrationSlug: stringType(),
    integrationName: stringType()
  });
  ((SixtyOne$) => {
    SixtyOne$.inboundSchema = SixtyOne$inboundSchema;
    SixtyOne$.outboundSchema = SixtyOne$outboundSchema;
  })(SixtyOne$ ||= {});
  Sixty$inboundSchema = objectType({
    projectId: stringType(),
    scope: stringType(),
    source: stringType()
  });
  Sixty$outboundSchema = objectType({
    projectId: stringType(),
    scope: stringType(),
    source: stringType()
  });
  ((Sixty$) => {
    Sixty$.inboundSchema = Sixty$inboundSchema;
    Sixty$.outboundSchema = Sixty$outboundSchema;
  })(Sixty$ ||= {});
  ConfigChanges$inboundSchema = objectType({});
  ConfigChanges$outboundSchema = objectType({});
  ((ConfigChanges$) => {
    ConfigChanges$.inboundSchema = ConfigChanges$inboundSchema;
    ConfigChanges$.outboundSchema = ConfigChanges$outboundSchema;
  })(ConfigChanges$ ||= {});
  FiftyNine$inboundSchema = objectType({
    projectId: stringType(),
    restore: booleanType(),
    configVersion: numberType(),
    configChangeCount: numberType(),
    configChanges: arrayType(lazyType(() => ConfigChanges$inboundSchema))
  });
  FiftyNine$outboundSchema = objectType({
    projectId: stringType(),
    restore: booleanType(),
    configVersion: numberType(),
    configChangeCount: numberType(),
    configChanges: arrayType(lazyType(() => ConfigChanges$outboundSchema))
  });
  ((FiftyNine$) => {
    FiftyNine$.inboundSchema = FiftyNine$inboundSchema;
    FiftyNine$.outboundSchema = FiftyNine$outboundSchema;
  })(FiftyNine$ ||= {});
  UserEventPayload58OldEnvVarType$inboundSchema = nativeEnumType(UserEventPayload58OldEnvVarType);
  UserEventPayload58OldEnvVarType$outboundSchema = UserEventPayload58OldEnvVarType$inboundSchema;
  ((UserEventPayload58OldEnvVarType$) => {
    UserEventPayload58OldEnvVarType$.inboundSchema = UserEventPayload58OldEnvVarType$inboundSchema;
    UserEventPayload58OldEnvVarType$.outboundSchema = UserEventPayload58OldEnvVarType$outboundSchema;
  })(UserEventPayload58OldEnvVarType$ ||= {});
  UserEventPayloadTarget$inboundSchema = nativeEnumType(UserEventPayloadTarget);
  UserEventPayloadTarget$outboundSchema = UserEventPayloadTarget$inboundSchema;
  ((UserEventPayloadTarget$) => {
    UserEventPayloadTarget$.inboundSchema = UserEventPayloadTarget$inboundSchema;
    UserEventPayloadTarget$.outboundSchema = UserEventPayloadTarget$outboundSchema;
  })(UserEventPayloadTarget$ ||= {});
  OldEnvVar$inboundSchema = objectType({
    created: stringType().datetime({ offset: true }).transform((v2) => new Date(v2)).optional(),
    key: stringType().optional(),
    ownerId: nullableType(stringType()).optional(),
    id: stringType().optional(),
    createdBy: nullableType(stringType()).optional(),
    deletedBy: nullableType(stringType()).optional(),
    updatedBy: nullableType(stringType()).optional(),
    createdAt: numberType().optional(),
    deletedAt: numberType().optional(),
    updatedAt: numberType().optional(),
    value: stringType().optional(),
    projectId: arrayType(stringType()).optional(),
    type: UserEventPayload58OldEnvVarType$inboundSchema.optional(),
    target: arrayType(UserEventPayloadTarget$inboundSchema).optional(),
    applyToAllCustomEnvironments: booleanType().optional(),
    decrypted: booleanType().optional(),
    comment: stringType().optional(),
    lastEditedByDisplayName: stringType().optional()
  });
  OldEnvVar$outboundSchema = objectType({
    created: dateType().transform((v2) => v2.toISOString()).optional(),
    key: stringType().optional(),
    ownerId: nullableType(stringType()).optional(),
    id: stringType().optional(),
    createdBy: nullableType(stringType()).optional(),
    deletedBy: nullableType(stringType()).optional(),
    updatedBy: nullableType(stringType()).optional(),
    createdAt: numberType().optional(),
    deletedAt: numberType().optional(),
    updatedAt: numberType().optional(),
    value: stringType().optional(),
    projectId: arrayType(stringType()).optional(),
    type: UserEventPayload58OldEnvVarType$outboundSchema.optional(),
    target: arrayType(UserEventPayloadTarget$outboundSchema).optional(),
    applyToAllCustomEnvironments: booleanType().optional(),
    decrypted: booleanType().optional(),
    comment: stringType().optional(),
    lastEditedByDisplayName: stringType().optional()
  });
  ((OldEnvVar$) => {
    OldEnvVar$.inboundSchema = OldEnvVar$inboundSchema;
    OldEnvVar$.outboundSchema = OldEnvVar$outboundSchema;
  })(OldEnvVar$ ||= {});
  UserEventPayload58Type$inboundSchema = nativeEnumType(UserEventPayload58Type);
  UserEventPayload58Type$outboundSchema = UserEventPayload58Type$inboundSchema;
  ((UserEventPayload58Type$) => {
    UserEventPayload58Type$.inboundSchema = UserEventPayload58Type$inboundSchema;
    UserEventPayload58Type$.outboundSchema = UserEventPayload58Type$outboundSchema;
  })(UserEventPayload58Type$ ||= {});
  UserEventPayload58Target$inboundSchema = nativeEnumType(UserEventPayload58Target);
  UserEventPayload58Target$outboundSchema = UserEventPayload58Target$inboundSchema;
  ((UserEventPayload58Target$) => {
    UserEventPayload58Target$.inboundSchema = UserEventPayload58Target$inboundSchema;
    UserEventPayload58Target$.outboundSchema = UserEventPayload58Target$outboundSchema;
  })(UserEventPayload58Target$ ||= {});
  NewEnvVar$inboundSchema = objectType({
    created: stringType().datetime({ offset: true }).transform((v2) => new Date(v2)).optional(),
    key: stringType().optional(),
    ownerId: nullableType(stringType()).optional(),
    id: stringType().optional(),
    createdBy: nullableType(stringType()).optional(),
    deletedBy: nullableType(stringType()).optional(),
    updatedBy: nullableType(stringType()).optional(),
    createdAt: numberType().optional(),
    deletedAt: numberType().optional(),
    updatedAt: numberType().optional(),
    value: stringType().optional(),
    projectId: arrayType(stringType()).optional(),
    type: UserEventPayload58Type$inboundSchema.optional(),
    target: arrayType(UserEventPayload58Target$inboundSchema).optional(),
    applyToAllCustomEnvironments: booleanType().optional(),
    decrypted: booleanType().optional(),
    comment: stringType().optional(),
    lastEditedByDisplayName: stringType().optional()
  });
  NewEnvVar$outboundSchema = objectType({
    created: dateType().transform((v2) => v2.toISOString()).optional(),
    key: stringType().optional(),
    ownerId: nullableType(stringType()).optional(),
    id: stringType().optional(),
    createdBy: nullableType(stringType()).optional(),
    deletedBy: nullableType(stringType()).optional(),
    updatedBy: nullableType(stringType()).optional(),
    createdAt: numberType().optional(),
    deletedAt: numberType().optional(),
    updatedAt: numberType().optional(),
    value: stringType().optional(),
    projectId: arrayType(stringType()).optional(),
    type: UserEventPayload58Type$outboundSchema.optional(),
    target: arrayType(UserEventPayload58Target$outboundSchema).optional(),
    applyToAllCustomEnvironments: booleanType().optional(),
    decrypted: booleanType().optional(),
    comment: stringType().optional(),
    lastEditedByDisplayName: stringType().optional()
  });
  ((NewEnvVar$) => {
    NewEnvVar$.inboundSchema = NewEnvVar$inboundSchema;
    NewEnvVar$.outboundSchema = NewEnvVar$outboundSchema;
  })(NewEnvVar$ ||= {});
  OldTarget$inboundSchema = nativeEnumType(OldTarget);
  OldTarget$outboundSchema = OldTarget$inboundSchema;
  ((OldTarget$) => {
    OldTarget$.inboundSchema = OldTarget$inboundSchema;
    OldTarget$.outboundSchema = OldTarget$outboundSchema;
  })(OldTarget$ ||= {});
  NewTarget$inboundSchema = nativeEnumType(NewTarget);
  NewTarget$outboundSchema = NewTarget$inboundSchema;
  ((NewTarget$) => {
    NewTarget$.inboundSchema = NewTarget$inboundSchema;
    NewTarget$.outboundSchema = NewTarget$outboundSchema;
  })(NewTarget$ ||= {});
  OldProjects$inboundSchema = objectType({
    projectName: stringType().optional(),
    projectId: stringType()
  });
  OldProjects$outboundSchema = objectType({
    projectName: stringType().optional(),
    projectId: stringType()
  });
  ((OldProjects$) => {
    OldProjects$.inboundSchema = OldProjects$inboundSchema;
    OldProjects$.outboundSchema = OldProjects$outboundSchema;
  })(OldProjects$ ||= {});
  NewProjects$inboundSchema = objectType({
    projectName: stringType().optional(),
    projectId: stringType()
  });
  NewProjects$outboundSchema = objectType({
    projectName: stringType().optional(),
    projectId: stringType()
  });
  ((NewProjects$) => {
    NewProjects$.inboundSchema = NewProjects$inboundSchema;
    NewProjects$.outboundSchema = NewProjects$outboundSchema;
  })(NewProjects$ ||= {});
  UpdateDiff$inboundSchema = objectType({
    id: stringType(),
    key: stringType().optional(),
    newKey: stringType().optional(),
    oldTarget: arrayType(OldTarget$inboundSchema).optional(),
    newTarget: arrayType(NewTarget$inboundSchema).optional(),
    oldType: stringType().optional(),
    newType: stringType().optional(),
    oldProjects: arrayType(lazyType(() => OldProjects$inboundSchema)).optional(),
    newProjects: arrayType(lazyType(() => NewProjects$inboundSchema)).optional(),
    changedValue: booleanType()
  });
  UpdateDiff$outboundSchema = objectType({
    id: stringType(),
    key: stringType().optional(),
    newKey: stringType().optional(),
    oldTarget: arrayType(OldTarget$outboundSchema).optional(),
    newTarget: arrayType(NewTarget$outboundSchema).optional(),
    oldType: stringType().optional(),
    newType: stringType().optional(),
    oldProjects: arrayType(lazyType(() => OldProjects$outboundSchema)).optional(),
    newProjects: arrayType(lazyType(() => NewProjects$outboundSchema)).optional(),
    changedValue: booleanType()
  });
  ((UpdateDiff$) => {
    UpdateDiff$.inboundSchema = UpdateDiff$inboundSchema;
    UpdateDiff$.outboundSchema = UpdateDiff$outboundSchema;
  })(UpdateDiff$ ||= {});
  FiftyEight$inboundSchema = objectType({
    oldEnvVar: lazyType(() => OldEnvVar$inboundSchema).optional(),
    newEnvVar: lazyType(() => NewEnvVar$inboundSchema).optional(),
    updateDiff: lazyType(() => UpdateDiff$inboundSchema).optional()
  });
  FiftyEight$outboundSchema = objectType({
    oldEnvVar: lazyType(() => OldEnvVar$outboundSchema).optional(),
    newEnvVar: lazyType(() => NewEnvVar$outboundSchema).optional(),
    updateDiff: lazyType(() => UpdateDiff$outboundSchema).optional()
  });
  ((FiftyEight$) => {
    FiftyEight$.inboundSchema = FiftyEight$inboundSchema;
    FiftyEight$.outboundSchema = FiftyEight$outboundSchema;
  })(FiftyEight$ ||= {});
  PayloadType$inboundSchema = nativeEnumType(PayloadType);
  PayloadType$outboundSchema = PayloadType$inboundSchema;
  ((PayloadType$) => {
    PayloadType$.inboundSchema = PayloadType$inboundSchema;
    PayloadType$.outboundSchema = PayloadType$outboundSchema;
  })(PayloadType$ ||= {});
  PayloadTarget$inboundSchema = nativeEnumType(PayloadTarget);
  PayloadTarget$outboundSchema = PayloadTarget$inboundSchema;
  ((PayloadTarget$) => {
    PayloadTarget$.inboundSchema = PayloadTarget$inboundSchema;
    PayloadTarget$.outboundSchema = PayloadTarget$outboundSchema;
  })(PayloadTarget$ ||= {});
  FiftySeven$inboundSchema = objectType({
    created: stringType().datetime({ offset: true }).transform((v2) => new Date(v2)).optional(),
    key: stringType().optional(),
    ownerId: nullableType(stringType()).optional(),
    id: stringType().optional(),
    createdBy: nullableType(stringType()).optional(),
    deletedBy: nullableType(stringType()).optional(),
    updatedBy: nullableType(stringType()).optional(),
    createdAt: numberType().optional(),
    deletedAt: numberType().optional(),
    updatedAt: numberType().optional(),
    value: stringType().optional(),
    projectId: arrayType(stringType()).optional(),
    type: PayloadType$inboundSchema.optional(),
    target: arrayType(PayloadTarget$inboundSchema).optional(),
    applyToAllCustomEnvironments: booleanType().optional(),
    decrypted: booleanType().optional(),
    comment: stringType().optional(),
    lastEditedByDisplayName: stringType().optional(),
    projectNames: arrayType(stringType()).optional()
  });
  FiftySeven$outboundSchema = objectType({
    created: dateType().transform((v2) => v2.toISOString()).optional(),
    key: stringType().optional(),
    ownerId: nullableType(stringType()).optional(),
    id: stringType().optional(),
    createdBy: nullableType(stringType()).optional(),
    deletedBy: nullableType(stringType()).optional(),
    updatedBy: nullableType(stringType()).optional(),
    createdAt: numberType().optional(),
    deletedAt: numberType().optional(),
    updatedAt: numberType().optional(),
    value: stringType().optional(),
    projectId: arrayType(stringType()).optional(),
    type: PayloadType$outboundSchema.optional(),
    target: arrayType(PayloadTarget$outboundSchema).optional(),
    applyToAllCustomEnvironments: booleanType().optional(),
    decrypted: booleanType().optional(),
    comment: stringType().optional(),
    lastEditedByDisplayName: stringType().optional(),
    projectNames: arrayType(stringType()).optional()
  });
  ((FiftySeven$) => {
    FiftySeven$.inboundSchema = FiftySeven$inboundSchema;
    FiftySeven$.outboundSchema = FiftySeven$outboundSchema;
  })(FiftySeven$ ||= {});
  Target$inboundSchema = unionType([stringType(), arrayType(stringType())]);
  Target$outboundSchema = unionType([stringType(), arrayType(stringType())]);
  ((Target$) => {
    Target$.inboundSchema = Target$inboundSchema;
    Target$.outboundSchema = Target$outboundSchema;
  })(Target$ ||= {});
  FiftySix$inboundSchema = objectType({
    key: stringType().optional(),
    projectId: stringType().optional(),
    projectName: stringType().optional(),
    target: unionType([stringType(), arrayType(stringType())]).optional(),
    id: stringType().optional(),
    gitBranch: stringType().optional(),
    edgeConfigId: nullableType(stringType()).optional(),
    edgeConfigTokenId: nullableType(stringType()).optional(),
    source: stringType().optional()
  });
  FiftySix$outboundSchema = objectType({
    key: stringType().optional(),
    projectId: stringType().optional(),
    projectName: stringType().optional(),
    target: unionType([stringType(), arrayType(stringType())]).optional(),
    id: stringType().optional(),
    gitBranch: stringType().optional(),
    edgeConfigId: nullableType(stringType()).optional(),
    edgeConfigTokenId: nullableType(stringType()).optional(),
    source: stringType().optional()
  });
  ((FiftySix$) => {
    FiftySix$.inboundSchema = FiftySix$inboundSchema;
    FiftySix$.outboundSchema = FiftySix$outboundSchema;
  })(FiftySix$ ||= {});
  FiftyFive$inboundSchema = objectType({
    email: stringType(),
    name: stringType()
  });
  FiftyFive$outboundSchema = objectType({
    email: stringType(),
    name: stringType()
  });
  ((FiftyFive$) => {
    FiftyFive$.inboundSchema = FiftyFive$inboundSchema;
    FiftyFive$.outboundSchema = FiftyFive$outboundSchema;
  })(FiftyFive$ ||= {});
  FiftyFour$inboundSchema = objectType({
    sha: stringType(),
    gitUserPlatform: stringType(),
    projectName: stringType()
  });
  FiftyFour$outboundSchema = objectType({
    sha: stringType(),
    gitUserPlatform: stringType(),
    projectName: stringType()
  });
  ((FiftyFour$) => {
    FiftyFour$.inboundSchema = FiftyFour$inboundSchema;
    FiftyFour$.outboundSchema = FiftyFour$outboundSchema;
  })(FiftyFour$ ||= {});
  FiftyThree$inboundSchema = objectType({
    name: stringType(),
    price: numberType().optional(),
    currency: stringType().optional()
  });
  FiftyThree$outboundSchema = objectType({
    name: stringType(),
    price: numberType().optional(),
    currency: stringType().optional()
  });
  ((FiftyThree$) => {
    FiftyThree$.inboundSchema = FiftyThree$inboundSchema;
    FiftyThree$.outboundSchema = FiftyThree$outboundSchema;
  })(FiftyThree$ ||= {});
  FiftyTwo$inboundSchema = objectType({
    renew: booleanType().optional(),
    domain: stringType()
  });
  FiftyTwo$outboundSchema = objectType({
    renew: booleanType().optional(),
    domain: stringType()
  });
  ((FiftyTwo$) => {
    FiftyTwo$.inboundSchema = FiftyTwo$inboundSchema;
    FiftyTwo$.outboundSchema = FiftyTwo$outboundSchema;
  })(FiftyTwo$ ||= {});
  FiftyOne$inboundSchema = objectType({
    name: stringType(),
    destinationId: stringType(),
    destinationName: stringType()
  });
  FiftyOne$outboundSchema = objectType({
    name: stringType(),
    destinationId: stringType(),
    destinationName: stringType()
  });
  ((FiftyOne$) => {
    FiftyOne$.inboundSchema = FiftyOne$inboundSchema;
    FiftyOne$.outboundSchema = FiftyOne$outboundSchema;
  })(FiftyOne$ ||= {});
  Fifty$inboundSchema = objectType({
    name: stringType(),
    destinationId: nullableType(stringType()),
    destinationName: nullableType(stringType())
  });
  Fifty$outboundSchema = objectType({
    name: stringType(),
    destinationId: nullableType(stringType()),
    destinationName: nullableType(stringType())
  });
  ((Fifty$) => {
    Fifty$.inboundSchema = Fifty$inboundSchema;
    Fifty$.outboundSchema = Fifty$outboundSchema;
  })(Fifty$ ||= {});
  FortyNine$inboundSchema = objectType({
    name: stringType(),
    fromId: nullableType(stringType()),
    fromName: nullableType(stringType())
  });
  FortyNine$outboundSchema = objectType({
    name: stringType(),
    fromId: nullableType(stringType()),
    fromName: nullableType(stringType())
  });
  ((FortyNine$) => {
    FortyNine$.inboundSchema = FortyNine$inboundSchema;
    FortyNine$.outboundSchema = FortyNine$outboundSchema;
  })(FortyNine$ ||= {});
  FortyEight$inboundSchema = objectType({
    domainId: stringType(),
    name: stringType()
  });
  FortyEight$outboundSchema = objectType({
    domainId: stringType(),
    name: stringType()
  });
  ((FortyEight$) => {
    FortyEight$.inboundSchema = FortyEight$inboundSchema;
    FortyEight$.outboundSchema = FortyEight$outboundSchema;
  })(FortyEight$ ||= {});
  UserEventPayload47OldTeam$inboundSchema = objectType({
    name: stringType()
  });
  UserEventPayload47OldTeam$outboundSchema = objectType({
    name: stringType()
  });
  ((UserEventPayload47OldTeam$) => {
    UserEventPayload47OldTeam$.inboundSchema = UserEventPayload47OldTeam$inboundSchema;
    UserEventPayload47OldTeam$.outboundSchema = UserEventPayload47OldTeam$outboundSchema;
  })(UserEventPayload47OldTeam$ ||= {});
  UserEventPayload47NewTeam$inboundSchema = objectType({
    name: stringType()
  });
  UserEventPayload47NewTeam$outboundSchema = objectType({
    name: stringType()
  });
  ((UserEventPayload47NewTeam$) => {
    UserEventPayload47NewTeam$.inboundSchema = UserEventPayload47NewTeam$inboundSchema;
    UserEventPayload47NewTeam$.outboundSchema = UserEventPayload47NewTeam$outboundSchema;
  })(UserEventPayload47NewTeam$ ||= {});
  FortySeven$inboundSchema = objectType({
    name: stringType(),
    oldTeam: lazyType(() => UserEventPayload47OldTeam$inboundSchema).optional(),
    newTeam: lazyType(() => UserEventPayload47NewTeam$inboundSchema).optional()
  });
  FortySeven$outboundSchema = objectType({
    name: stringType(),
    oldTeam: lazyType(() => UserEventPayload47OldTeam$outboundSchema).optional(),
    newTeam: lazyType(() => UserEventPayload47NewTeam$outboundSchema).optional()
  });
  ((FortySeven$) => {
    FortySeven$.inboundSchema = FortySeven$inboundSchema;
    FortySeven$.outboundSchema = FortySeven$outboundSchema;
  })(FortySeven$ ||= {});
  FortySix$inboundSchema = objectType({
    name: stringType(),
    userId: stringType(),
    teamId: stringType(),
    ownerName: stringType()
  });
  FortySix$outboundSchema = objectType({
    name: stringType(),
    userId: stringType(),
    teamId: stringType(),
    ownerName: stringType()
  });
  ((FortySix$) => {
    FortySix$.inboundSchema = FortySix$inboundSchema;
    FortySix$.outboundSchema = FortySix$outboundSchema;
  })(FortySix$ ||= {});
  FortyFive$inboundSchema = objectType({
    name: stringType(),
    cdnEnabled: booleanType()
  });
  FortyFive$outboundSchema = objectType({
    name: stringType(),
    cdnEnabled: booleanType()
  });
  ((FortyFive$) => {
    FortyFive$.inboundSchema = FortyFive$inboundSchema;
    FortyFive$.outboundSchema = FortyFive$outboundSchema;
  })(FortyFive$ ||= {});
  FortyFour$inboundSchema = objectType({
    name: stringType(),
    price: numberType(),
    currency: stringType().optional()
  });
  FortyFour$outboundSchema = objectType({
    name: stringType(),
    price: numberType(),
    currency: stringType().optional()
  });
  ((FortyFour$) => {
    FortyFour$.inboundSchema = FortyFour$inboundSchema;
    FortyFour$.outboundSchema = FortyFour$outboundSchema;
  })(FortyFour$ ||= {});
  FortyThree$inboundSchema = objectType({
    name: stringType()
  });
  FortyThree$outboundSchema = objectType({
    name: stringType()
  });
  ((FortyThree$) => {
    FortyThree$.inboundSchema = FortyThree$inboundSchema;
    FortyThree$.outboundSchema = FortyThree$outboundSchema;
  })(FortyThree$ ||= {});
  FortyTwo$inboundSchema = objectType({
    id: stringType(),
    value: stringType(),
    name: stringType(),
    domain: stringType(),
    type: stringType()
  });
  FortyTwo$outboundSchema = objectType({
    id: stringType(),
    value: stringType(),
    name: stringType(),
    domain: stringType(),
    type: stringType()
  });
  ((FortyTwo$) => {
    FortyTwo$.inboundSchema = FortyTwo$inboundSchema;
    FortyTwo$.outboundSchema = FortyTwo$outboundSchema;
  })(FortyTwo$ ||= {});
  FortyOne$inboundSchema = objectType({
    id: stringType(),
    domain: stringType()
  });
  FortyOne$outboundSchema = objectType({
    id: stringType(),
    domain: stringType()
  });
  ((FortyOne$) => {
    FortyOne$.inboundSchema = FortyOne$inboundSchema;
    FortyOne$.outboundSchema = FortyOne$outboundSchema;
  })(FortyOne$ ||= {});
  Forty$inboundSchema = objectType({
    id: stringType(),
    value: stringType(),
    name: stringType(),
    domain: stringType(),
    type: stringType(),
    mxPriority: numberType().optional()
  });
  Forty$outboundSchema = objectType({
    id: stringType(),
    value: stringType(),
    name: stringType(),
    domain: stringType(),
    type: stringType(),
    mxPriority: numberType().optional()
  });
  ((Forty$) => {
    Forty$.inboundSchema = Forty$inboundSchema;
    Forty$.outboundSchema = Forty$outboundSchema;
  })(Forty$ ||= {});
  UserEventPayloadDeployment$inboundSchema = objectType({
    id: stringType(),
    name: stringType(),
    url: stringType(),
    meta: recordType(stringType())
  });
  UserEventPayloadDeployment$outboundSchema = objectType({
    id: stringType(),
    name: stringType(),
    url: stringType(),
    meta: recordType(stringType())
  });
  ((UserEventPayloadDeployment$) => {
    UserEventPayloadDeployment$.inboundSchema = UserEventPayloadDeployment$inboundSchema;
    UserEventPayloadDeployment$.outboundSchema = UserEventPayloadDeployment$outboundSchema;
  })(UserEventPayloadDeployment$ ||= {});
  ThirtyNine$inboundSchema = objectType({
    deployment: lazyType(() => UserEventPayloadDeployment$inboundSchema),
    deploymentId: stringType(),
    url: stringType()
  });
  ThirtyNine$outboundSchema = objectType({
    deployment: lazyType(() => UserEventPayloadDeployment$outboundSchema),
    deploymentId: stringType(),
    url: stringType()
  });
  ((ThirtyNine$) => {
    ThirtyNine$.inboundSchema = ThirtyNine$inboundSchema;
    ThirtyNine$.outboundSchema = ThirtyNine$outboundSchema;
  })(ThirtyNine$ ||= {});
  UserEventPayloadOldTeam$inboundSchema = objectType({
    name: stringType()
  });
  UserEventPayloadOldTeam$outboundSchema = objectType({
    name: stringType()
  });
  ((UserEventPayloadOldTeam$) => {
    UserEventPayloadOldTeam$.inboundSchema = UserEventPayloadOldTeam$inboundSchema;
    UserEventPayloadOldTeam$.outboundSchema = UserEventPayloadOldTeam$outboundSchema;
  })(UserEventPayloadOldTeam$ ||= {});
  UserEventPayloadNewTeam$inboundSchema = objectType({
    name: stringType()
  });
  UserEventPayloadNewTeam$outboundSchema = objectType({
    name: stringType()
  });
  ((UserEventPayloadNewTeam$) => {
    UserEventPayloadNewTeam$.inboundSchema = UserEventPayloadNewTeam$inboundSchema;
    UserEventPayloadNewTeam$.outboundSchema = UserEventPayloadNewTeam$outboundSchema;
  })(UserEventPayloadNewTeam$ ||= {});
  ThirtyEight$inboundSchema = objectType({
    url: stringType(),
    oldTeam: lazyType(() => UserEventPayloadOldTeam$inboundSchema).optional(),
    newTeam: lazyType(() => UserEventPayloadNewTeam$inboundSchema).optional()
  });
  ThirtyEight$outboundSchema = objectType({
    url: stringType(),
    oldTeam: lazyType(() => UserEventPayloadOldTeam$outboundSchema).optional(),
    newTeam: lazyType(() => UserEventPayloadNewTeam$outboundSchema).optional()
  });
  ((ThirtyEight$) => {
    ThirtyEight$.inboundSchema = ThirtyEight$inboundSchema;
    ThirtyEight$.outboundSchema = ThirtyEight$outboundSchema;
  })(ThirtyEight$ ||= {});
  PayloadDeployment$inboundSchema = objectType({
    id: stringType(),
    name: stringType(),
    url: stringType(),
    meta: recordType(stringType())
  });
  PayloadDeployment$outboundSchema = objectType({
    id: stringType(),
    name: stringType(),
    url: stringType(),
    meta: recordType(stringType())
  });
  ((PayloadDeployment$) => {
    PayloadDeployment$.inboundSchema = PayloadDeployment$inboundSchema;
    PayloadDeployment$.outboundSchema = PayloadDeployment$outboundSchema;
  })(PayloadDeployment$ ||= {});
  ThirtySeven$inboundSchema = objectType({
    name: stringType().optional(),
    alias: arrayType(stringType()).optional(),
    target: nullableType(stringType()).optional(),
    deployment: nullableType(lazyType(() => PayloadDeployment$inboundSchema)).optional(),
    url: stringType(),
    forced: booleanType().optional(),
    deploymentId: stringType().optional(),
    plan: stringType().optional(),
    project: stringType().optional(),
    projectId: stringType().optional(),
    regions: arrayType(stringType()).optional(),
    type: stringType().optional()
  });
  ThirtySeven$outboundSchema = objectType({
    name: stringType().optional(),
    alias: arrayType(stringType()).optional(),
    target: nullableType(stringType()).optional(),
    deployment: nullableType(lazyType(() => PayloadDeployment$outboundSchema)).optional(),
    url: stringType(),
    forced: booleanType().optional(),
    deploymentId: stringType().optional(),
    plan: stringType().optional(),
    project: stringType().optional(),
    projectId: stringType().optional(),
    regions: arrayType(stringType()).optional(),
    type: stringType().optional()
  });
  ((ThirtySeven$) => {
    ThirtySeven$.inboundSchema = ThirtySeven$inboundSchema;
    ThirtySeven$.outboundSchema = ThirtySeven$outboundSchema;
  })(ThirtySeven$ ||= {});
  UserEventPayload36Project$inboundSchema = objectType({
    name: stringType()
  });
  UserEventPayload36Project$outboundSchema = objectType({
    name: stringType()
  });
  ((UserEventPayload36Project$) => {
    UserEventPayload36Project$.inboundSchema = UserEventPayload36Project$inboundSchema;
    UserEventPayload36Project$.outboundSchema = UserEventPayload36Project$outboundSchema;
  })(UserEventPayload36Project$ ||= {});
  DeployHook$inboundSchema = objectType({
    createdAt: numberType(),
    id: stringType(),
    name: stringType(),
    ref: stringType()
  });
  DeployHook$outboundSchema = objectType({
    createdAt: numberType(),
    id: stringType(),
    name: stringType(),
    ref: stringType()
  });
  ((DeployHook$) => {
    DeployHook$.inboundSchema = DeployHook$inboundSchema;
    DeployHook$.outboundSchema = DeployHook$outboundSchema;
  })(DeployHook$ ||= {});
  Job$inboundSchema = objectType({
    deployHook: lazyType(() => DeployHook$inboundSchema),
    state: stringType()
  });
  Job$outboundSchema = objectType({
    deployHook: lazyType(() => DeployHook$outboundSchema),
    state: stringType()
  });
  ((Job$) => {
    Job$.inboundSchema = Job$inboundSchema;
    Job$.outboundSchema = Job$outboundSchema;
  })(Job$ ||= {});
  ThirtySix$inboundSchema = objectType({
    project: lazyType(() => UserEventPayload36Project$inboundSchema),
    job: lazyType(() => Job$inboundSchema)
  });
  ThirtySix$outboundSchema = objectType({
    project: lazyType(() => UserEventPayload36Project$outboundSchema),
    job: lazyType(() => Job$outboundSchema)
  });
  ((ThirtySix$) => {
    ThirtySix$.inboundSchema = ThirtySix$inboundSchema;
    ThirtySix$.outboundSchema = ThirtySix$outboundSchema;
  })(ThirtySix$ ||= {});
  ThirtyFive$inboundSchema = objectType({
    bitbucketEmail: stringType(),
    bitbucketLogin: stringType(),
    bitbucketName: stringType().optional()
  });
  ThirtyFive$outboundSchema = objectType({
    bitbucketEmail: stringType(),
    bitbucketLogin: stringType(),
    bitbucketName: stringType().optional()
  });
  ((ThirtyFive$) => {
    ThirtyFive$.inboundSchema = ThirtyFive$inboundSchema;
    ThirtyFive$.outboundSchema = ThirtyFive$outboundSchema;
  })(ThirtyFive$ ||= {});
  ThirtyFour$inboundSchema = objectType({
    gitlabLogin: stringType(),
    gitlabEmail: stringType(),
    gitlabName: stringType().optional()
  });
  ThirtyFour$outboundSchema = objectType({
    gitlabLogin: stringType(),
    gitlabEmail: stringType(),
    gitlabName: stringType().optional()
  });
  ((ThirtyFour$) => {
    ThirtyFour$.inboundSchema = ThirtyFour$inboundSchema;
    ThirtyFour$.outboundSchema = ThirtyFour$outboundSchema;
  })(ThirtyFour$ ||= {});
  ThirtyThree$inboundSchema = objectType({
    githubLogin: stringType()
  });
  ThirtyThree$outboundSchema = objectType({
    githubLogin: stringType()
  });
  ((ThirtyThree$) => {
    ThirtyThree$.inboundSchema = ThirtyThree$inboundSchema;
    ThirtyThree$.outboundSchema = ThirtyThree$outboundSchema;
  })(ThirtyThree$ ||= {});
  UserEventPayload32Team$inboundSchema = objectType({
    id: stringType(),
    name: stringType()
  });
  UserEventPayload32Team$outboundSchema = objectType({
    id: stringType(),
    name: stringType()
  });
  ((UserEventPayload32Team$) => {
    UserEventPayload32Team$.inboundSchema = UserEventPayload32Team$inboundSchema;
    UserEventPayload32Team$.outboundSchema = UserEventPayload32Team$outboundSchema;
  })(UserEventPayload32Team$ ||= {});
  UserEventPayload32Configuration$inboundSchema = objectType({
    id: stringType(),
    name: stringType().optional()
  });
  UserEventPayload32Configuration$outboundSchema = objectType({
    id: stringType(),
    name: stringType().optional()
  });
  ((UserEventPayload32Configuration$) => {
    UserEventPayload32Configuration$.inboundSchema = UserEventPayload32Configuration$inboundSchema;
    UserEventPayload32Configuration$.outboundSchema = UserEventPayload32Configuration$outboundSchema;
  })(UserEventPayload32Configuration$ ||= {});
  ThirtyTwo$inboundSchema = objectType({
    team: lazyType(() => UserEventPayload32Team$inboundSchema),
    configuration: lazyType(() => UserEventPayload32Configuration$inboundSchema),
    newName: stringType()
  });
  ThirtyTwo$outboundSchema = objectType({
    team: lazyType(() => UserEventPayload32Team$outboundSchema),
    configuration: lazyType(() => UserEventPayload32Configuration$outboundSchema),
    newName: stringType()
  });
  ((ThirtyTwo$) => {
    ThirtyTwo$.inboundSchema = ThirtyTwo$inboundSchema;
    ThirtyTwo$.outboundSchema = ThirtyTwo$outboundSchema;
  })(ThirtyTwo$ ||= {});
  UserEventPayloadTeam$inboundSchema = objectType({
    id: stringType(),
    name: stringType()
  });
  UserEventPayloadTeam$outboundSchema = objectType({
    id: stringType(),
    name: stringType()
  });
  ((UserEventPayloadTeam$) => {
    UserEventPayloadTeam$.inboundSchema = UserEventPayloadTeam$inboundSchema;
    UserEventPayloadTeam$.outboundSchema = UserEventPayloadTeam$outboundSchema;
  })(UserEventPayloadTeam$ ||= {});
  UserEventPayloadConfiguration$inboundSchema = objectType({
    id: stringType(),
    name: stringType().optional()
  });
  UserEventPayloadConfiguration$outboundSchema = objectType({
    id: stringType(),
    name: stringType().optional()
  });
  ((UserEventPayloadConfiguration$) => {
    UserEventPayloadConfiguration$.inboundSchema = UserEventPayloadConfiguration$inboundSchema;
    UserEventPayloadConfiguration$.outboundSchema = UserEventPayloadConfiguration$outboundSchema;
  })(UserEventPayloadConfiguration$ ||= {});
  UserEventPayload31Project$inboundSchema = objectType({
    id: stringType(),
    name: stringType().optional()
  });
  UserEventPayload31Project$outboundSchema = objectType({
    id: stringType(),
    name: stringType().optional()
  });
  ((UserEventPayload31Project$) => {
    UserEventPayload31Project$.inboundSchema = UserEventPayload31Project$inboundSchema;
    UserEventPayload31Project$.outboundSchema = UserEventPayload31Project$outboundSchema;
  })(UserEventPayload31Project$ ||= {});
  ThirtyOne$inboundSchema = objectType({
    team: lazyType(() => UserEventPayloadTeam$inboundSchema),
    configuration: lazyType(() => UserEventPayloadConfiguration$inboundSchema),
    project: lazyType(() => UserEventPayload31Project$inboundSchema)
  });
  ThirtyOne$outboundSchema = objectType({
    team: lazyType(() => UserEventPayloadTeam$outboundSchema),
    configuration: lazyType(() => UserEventPayloadConfiguration$outboundSchema),
    project: lazyType(() => UserEventPayload31Project$outboundSchema)
  });
  ((ThirtyOne$) => {
    ThirtyOne$.inboundSchema = ThirtyOne$inboundSchema;
    ThirtyOne$.outboundSchema = ThirtyOne$outboundSchema;
  })(ThirtyOne$ ||= {});
  PayloadTeam$inboundSchema = objectType({
    id: stringType(),
    name: stringType()
  });
  PayloadTeam$outboundSchema = objectType({
    id: stringType(),
    name: stringType()
  });
  ((PayloadTeam$) => {
    PayloadTeam$.inboundSchema = PayloadTeam$inboundSchema;
    PayloadTeam$.outboundSchema = PayloadTeam$outboundSchema;
  })(PayloadTeam$ ||= {});
  PayloadConfiguration$inboundSchema = objectType({
    id: stringType(),
    name: stringType().optional()
  });
  PayloadConfiguration$outboundSchema = objectType({
    id: stringType(),
    name: stringType().optional()
  });
  ((PayloadConfiguration$) => {
    PayloadConfiguration$.inboundSchema = PayloadConfiguration$inboundSchema;
    PayloadConfiguration$.outboundSchema = PayloadConfiguration$outboundSchema;
  })(PayloadConfiguration$ ||= {});
  UserEventPayloadProject$inboundSchema = objectType({
    id: stringType(),
    name: stringType().optional()
  });
  UserEventPayloadProject$outboundSchema = objectType({
    id: stringType(),
    name: stringType().optional()
  });
  ((UserEventPayloadProject$) => {
    UserEventPayloadProject$.inboundSchema = UserEventPayloadProject$inboundSchema;
    UserEventPayloadProject$.outboundSchema = UserEventPayloadProject$outboundSchema;
  })(UserEventPayloadProject$ ||= {});
  Thirty$inboundSchema = objectType({
    team: lazyType(() => PayloadTeam$inboundSchema),
    configuration: lazyType(() => PayloadConfiguration$inboundSchema),
    project: lazyType(() => UserEventPayloadProject$inboundSchema),
    buildsEnabled: booleanType().optional(),
    passive: booleanType().optional()
  });
  Thirty$outboundSchema = objectType({
    team: lazyType(() => PayloadTeam$outboundSchema),
    configuration: lazyType(() => PayloadConfiguration$outboundSchema),
    project: lazyType(() => UserEventPayloadProject$outboundSchema),
    buildsEnabled: booleanType().optional(),
    passive: booleanType().optional()
  });
  ((Thirty$) => {
    Thirty$.inboundSchema = Thirty$inboundSchema;
    Thirty$.outboundSchema = Thirty$outboundSchema;
  })(Thirty$ ||= {});
  UserEventPayload29Team$inboundSchema = objectType({
    id: stringType(),
    name: stringType()
  });
  UserEventPayload29Team$outboundSchema = objectType({
    id: stringType(),
    name: stringType()
  });
  ((UserEventPayload29Team$) => {
    UserEventPayload29Team$.inboundSchema = UserEventPayload29Team$inboundSchema;
    UserEventPayload29Team$.outboundSchema = UserEventPayload29Team$outboundSchema;
  })(UserEventPayload29Team$ ||= {});
  Configuration$inboundSchema = objectType({
    id: stringType(),
    name: stringType().optional()
  });
  Configuration$outboundSchema = objectType({
    id: stringType(),
    name: stringType().optional()
  });
  ((Configuration$) => {
    Configuration$.inboundSchema = Configuration$inboundSchema;
    Configuration$.outboundSchema = Configuration$outboundSchema;
  })(Configuration$ ||= {});
  PayloadProject$inboundSchema = objectType({
    id: stringType(),
    name: stringType().optional()
  });
  PayloadProject$outboundSchema = objectType({
    id: stringType(),
    name: stringType().optional()
  });
  ((PayloadProject$) => {
    PayloadProject$.inboundSchema = PayloadProject$inboundSchema;
    PayloadProject$.outboundSchema = PayloadProject$outboundSchema;
  })(PayloadProject$ ||= {});
  TwentyNine$inboundSchema = objectType({
    team: lazyType(() => UserEventPayload29Team$inboundSchema),
    configuration: lazyType(() => Configuration$inboundSchema),
    project: lazyType(() => PayloadProject$inboundSchema),
    buildsEnabled: booleanType().optional()
  });
  TwentyNine$outboundSchema = objectType({
    team: lazyType(() => UserEventPayload29Team$outboundSchema),
    configuration: lazyType(() => Configuration$outboundSchema),
    project: lazyType(() => PayloadProject$outboundSchema),
    buildsEnabled: booleanType().optional()
  });
  ((TwentyNine$) => {
    TwentyNine$.inboundSchema = TwentyNine$inboundSchema;
    TwentyNine$.outboundSchema = TwentyNine$outboundSchema;
  })(TwentyNine$ ||= {});
  TwentyEight$inboundSchema = objectType({
    suffix: stringType()
  });
  TwentyEight$outboundSchema = objectType({
    suffix: stringType()
  });
  ((TwentyEight$) => {
    TwentyEight$.inboundSchema = TwentyEight$inboundSchema;
    TwentyEight$.outboundSchema = TwentyEight$outboundSchema;
  })(TwentyEight$ ||= {});
  TwentySeven$inboundSchema = objectType({
    status: stringType(),
    suffix: stringType()
  });
  TwentySeven$outboundSchema = objectType({
    status: stringType(),
    suffix: stringType()
  });
  ((TwentySeven$) => {
    TwentySeven$.inboundSchema = TwentySeven$inboundSchema;
    TwentySeven$.outboundSchema = TwentySeven$outboundSchema;
  })(TwentySeven$ ||= {});
  TwentySix$inboundSchema = objectType({
    reason: stringType().optional(),
    suffix: stringType()
  });
  TwentySix$outboundSchema = objectType({
    reason: stringType().optional(),
    suffix: stringType()
  });
  ((TwentySix$) => {
    TwentySix$.inboundSchema = TwentySix$inboundSchema;
    TwentySix$.outboundSchema = TwentySix$outboundSchema;
  })(TwentySix$ ||= {});
  TwentyFive$inboundSchema = objectType({
    cn: stringType().optional(),
    cns: arrayType(stringType()).optional()
  });
  TwentyFive$outboundSchema = objectType({
    cn: stringType().optional(),
    cns: arrayType(stringType()).optional()
  });
  ((TwentyFive$) => {
    TwentyFive$.inboundSchema = TwentyFive$inboundSchema;
    TwentyFive$.outboundSchema = TwentyFive$outboundSchema;
  })(TwentyFive$ ||= {});
  TwentyFour$inboundSchema = objectType({
    id: stringType(),
    cn: stringType().optional(),
    cns: arrayType(stringType()).optional()
  });
  TwentyFour$outboundSchema = objectType({
    id: stringType(),
    cn: stringType().optional(),
    cns: arrayType(stringType()).optional()
  });
  ((TwentyFour$) => {
    TwentyFour$.inboundSchema = TwentyFour$inboundSchema;
    TwentyFour$.outboundSchema = TwentyFour$outboundSchema;
  })(TwentyFour$ ||= {});
  TwentyThree$inboundSchema = objectType({
    src: stringType(),
    dst: stringType()
  });
  TwentyThree$outboundSchema = objectType({
    src: stringType(),
    dst: stringType()
  });
  ((TwentyThree$) => {
    TwentyThree$.inboundSchema = TwentyThree$inboundSchema;
    TwentyThree$.outboundSchema = TwentyThree$outboundSchema;
  })(TwentyThree$ ||= {});
  PayloadOldTeam$inboundSchema = objectType({
    name: stringType()
  });
  PayloadOldTeam$outboundSchema = objectType({
    name: stringType()
  });
  ((PayloadOldTeam$) => {
    PayloadOldTeam$.inboundSchema = PayloadOldTeam$inboundSchema;
    PayloadOldTeam$.outboundSchema = PayloadOldTeam$outboundSchema;
  })(PayloadOldTeam$ ||= {});
  PayloadNewTeam$inboundSchema = objectType({
    name: stringType()
  });
  PayloadNewTeam$outboundSchema = objectType({
    name: stringType()
  });
  ((PayloadNewTeam$) => {
    PayloadNewTeam$.inboundSchema = PayloadNewTeam$inboundSchema;
    PayloadNewTeam$.outboundSchema = PayloadNewTeam$outboundSchema;
  })(PayloadNewTeam$ ||= {});
  TwentyTwo$inboundSchema = objectType({
    id: stringType(),
    oldTeam: lazyType(() => PayloadOldTeam$inboundSchema).optional(),
    newTeam: lazyType(() => PayloadNewTeam$inboundSchema).optional()
  });
  TwentyTwo$outboundSchema = objectType({
    id: stringType(),
    oldTeam: lazyType(() => PayloadOldTeam$outboundSchema).optional(),
    newTeam: lazyType(() => PayloadNewTeam$outboundSchema).optional()
  });
  ((TwentyTwo$) => {
    TwentyTwo$.inboundSchema = TwentyTwo$inboundSchema;
    TwentyTwo$.outboundSchema = TwentyTwo$outboundSchema;
  })(TwentyTwo$ ||= {});
  TwentyOne$inboundSchema = objectType({
    cn: stringType().optional(),
    cns: arrayType(stringType()).optional(),
    id: stringType().optional()
  });
  TwentyOne$outboundSchema = objectType({
    cn: stringType().optional(),
    cns: arrayType(stringType()).optional(),
    id: stringType().optional()
  });
  ((TwentyOne$) => {
    TwentyOne$.inboundSchema = TwentyOne$inboundSchema;
    TwentyOne$.outboundSchema = TwentyOne$outboundSchema;
  })(TwentyOne$ ||= {});
  Twenty$inboundSchema = objectType({
    cn: stringType().optional(),
    cns: arrayType(stringType()).optional(),
    custom: booleanType(),
    id: stringType().optional()
  });
  Twenty$outboundSchema = objectType({
    cn: stringType().optional(),
    cns: arrayType(stringType()).optional(),
    custom: booleanType(),
    id: stringType().optional()
  });
  ((Twenty$) => {
    Twenty$.inboundSchema = Twenty$inboundSchema;
    Twenty$.outboundSchema = Twenty$outboundSchema;
  })(Twenty$ ||= {});
  Nineteen$inboundSchema = objectType({
    avatar: stringType().optional()
  });
  Nineteen$outboundSchema = objectType({
    avatar: stringType().optional()
  });
  ((Nineteen$) => {
    Nineteen$.inboundSchema = Nineteen$inboundSchema;
    Nineteen$.outboundSchema = Nineteen$outboundSchema;
  })(Nineteen$ ||= {});
  Eighteen$inboundSchema = objectType({
    projectName: stringType(),
    autoExposeSystemEnvs: booleanType()
  });
  Eighteen$outboundSchema = objectType({
    projectName: stringType(),
    autoExposeSystemEnvs: booleanType()
  });
  ((Eighteen$) => {
    Eighteen$.inboundSchema = Eighteen$inboundSchema;
    Eighteen$.outboundSchema = Eighteen$outboundSchema;
  })(Eighteen$ ||= {});
  Seventeen$inboundSchema = objectType({
    alias: stringType(),
    deploymentUrl: stringType()
  });
  Seventeen$outboundSchema = objectType({
    alias: stringType(),
    deploymentUrl: stringType()
  });
  ((Seventeen$) => {
    Seventeen$.inboundSchema = Seventeen$inboundSchema;
    Seventeen$.outboundSchema = Seventeen$outboundSchema;
  })(Seventeen$ ||= {});
  Sixteen$inboundSchema = objectType({
    name: stringType().optional(),
    alias: stringType(),
    aliasId: stringType(),
    deploymentId: nullableType(stringType())
  });
  Sixteen$outboundSchema = objectType({
    name: stringType().optional(),
    alias: stringType(),
    aliasId: stringType(),
    deploymentId: nullableType(stringType())
  });
  ((Sixteen$) => {
    Sixteen$.inboundSchema = Sixteen$inboundSchema;
    Sixteen$.outboundSchema = Sixteen$outboundSchema;
  })(Sixteen$ ||= {});
  OldTeam$inboundSchema = objectType({
    name: stringType()
  });
  OldTeam$outboundSchema = objectType({
    name: stringType()
  });
  ((OldTeam$) => {
    OldTeam$.inboundSchema = OldTeam$inboundSchema;
    OldTeam$.outboundSchema = OldTeam$outboundSchema;
  })(OldTeam$ ||= {});
  NewTeam$inboundSchema = objectType({
    name: stringType()
  });
  NewTeam$outboundSchema = objectType({
    name: stringType()
  });
  ((NewTeam$) => {
    NewTeam$.inboundSchema = NewTeam$inboundSchema;
    NewTeam$.outboundSchema = NewTeam$outboundSchema;
  })(NewTeam$ ||= {});
  Fifteen$inboundSchema = objectType({
    name: stringType().optional(),
    alias: stringType(),
    oldTeam: lazyType(() => OldTeam$inboundSchema).optional(),
    newTeam: lazyType(() => NewTeam$inboundSchema).optional()
  });
  Fifteen$outboundSchema = objectType({
    name: stringType().optional(),
    alias: stringType(),
    oldTeam: lazyType(() => OldTeam$outboundSchema).optional(),
    newTeam: lazyType(() => NewTeam$outboundSchema).optional()
  });
  ((Fifteen$) => {
    Fifteen$.inboundSchema = Fifteen$inboundSchema;
    Fifteen$.outboundSchema = Fifteen$outboundSchema;
  })(Fifteen$ ||= {});
  Fourteen$inboundSchema = objectType({
    alias: stringType().optional(),
    email: stringType().optional()
  });
  Fourteen$outboundSchema = objectType({
    alias: stringType().optional(),
    email: stringType().optional()
  });
  ((Fourteen$) => {
    Fourteen$.inboundSchema = Fourteen$inboundSchema;
    Fourteen$.outboundSchema = Fourteen$outboundSchema;
  })(Fourteen$ ||= {});
  Thirteen$inboundSchema = objectType({
    alias: stringType().optional(),
    email: stringType().optional(),
    username: stringType().optional()
  });
  Thirteen$outboundSchema = objectType({
    alias: stringType().optional(),
    email: stringType().optional(),
    username: stringType().optional()
  });
  ((Thirteen$) => {
    Thirteen$.inboundSchema = Thirteen$inboundSchema;
    Thirteen$.outboundSchema = Thirteen$outboundSchema;
  })(Thirteen$ ||= {});
  PayloadAction$inboundSchema = nativeEnumType(PayloadAction);
  PayloadAction$outboundSchema = PayloadAction$inboundSchema;
  ((PayloadAction$) => {
    PayloadAction$.inboundSchema = PayloadAction$inboundSchema;
    PayloadAction$.outboundSchema = PayloadAction$outboundSchema;
  })(PayloadAction$ ||= {});
  Twelve$inboundSchema = objectType({
    projectName: stringType(),
    alias: stringType(),
    action: PayloadAction$inboundSchema
  });
  Twelve$outboundSchema = objectType({
    projectName: stringType(),
    alias: stringType(),
    action: PayloadAction$outboundSchema
  });
  ((Twelve$) => {
    Twelve$.inboundSchema = Twelve$inboundSchema;
    Twelve$.outboundSchema = Twelve$outboundSchema;
  })(Twelve$ ||= {});
  Eleven$inboundSchema = objectType({
    alias: stringType().optional(),
    aliasId: stringType().optional(),
    userId: stringType().optional(),
    username: stringType().optional()
  });
  Eleven$outboundSchema = objectType({
    alias: stringType().optional(),
    aliasId: stringType().optional(),
    userId: stringType().optional(),
    username: stringType().optional()
  });
  ((Eleven$) => {
    Eleven$.inboundSchema = Eleven$inboundSchema;
    Eleven$.outboundSchema = Eleven$outboundSchema;
  })(Eleven$ ||= {});
  Ten$inboundSchema = objectType({
    alias: stringType().optional(),
    userId: stringType().optional(),
    username: stringType().optional()
  });
  Ten$outboundSchema = objectType({
    alias: stringType().optional(),
    userId: stringType().optional(),
    username: stringType().optional()
  });
  ((Ten$) => {
    Ten$.inboundSchema = Ten$inboundSchema;
    Ten$.outboundSchema = Ten$outboundSchema;
  })(Ten$ ||= {});
  Nine$inboundSchema = objectType({
    alias: stringType().optional()
  });
  Nine$outboundSchema = objectType({
    alias: stringType().optional()
  });
  ((Nine$) => {
    Nine$.inboundSchema = Nine$inboundSchema;
    Nine$.outboundSchema = Nine$outboundSchema;
  })(Nine$ ||= {});
  Eight$inboundSchema = objectType({
    aliasId: stringType().optional(),
    alias: stringType().optional(),
    projectName: stringType().optional()
  });
  Eight$outboundSchema = objectType({
    aliasId: stringType().optional(),
    alias: stringType().optional(),
    projectName: stringType().optional()
  });
  ((Eight$) => {
    Eight$.inboundSchema = Eight$inboundSchema;
    Eight$.outboundSchema = Eight$outboundSchema;
  })(Eight$ ||= {});
  Deployment$inboundSchema = objectType({
    id: stringType(),
    name: stringType(),
    url: stringType(),
    meta: recordType(stringType())
  });
  Deployment$outboundSchema = objectType({
    id: stringType(),
    name: stringType(),
    url: stringType(),
    meta: recordType(stringType())
  });
  ((Deployment$) => {
    Deployment$.inboundSchema = Deployment$inboundSchema;
    Deployment$.outboundSchema = Deployment$outboundSchema;
  })(Deployment$ ||= {});
  Seven$inboundSchema = objectType({
    alias: stringType().optional(),
    deployment: nullableType(lazyType(() => Deployment$inboundSchema)).optional(),
    ruleCount: numberType().optional(),
    deploymentUrl: stringType().optional(),
    aliasId: stringType().optional(),
    deploymentId: nullableType(stringType()).optional(),
    oldDeploymentId: nullableType(stringType()).optional(),
    redirect: stringType().optional(),
    redirectStatusCode: nullableType(numberType()).optional(),
    target: nullableType(stringType()).optional(),
    system: booleanType().optional(),
    aliasUpdatedAt: numberType().optional()
  });
  Seven$outboundSchema = objectType({
    alias: stringType().optional(),
    deployment: nullableType(lazyType(() => Deployment$outboundSchema)).optional(),
    ruleCount: numberType().optional(),
    deploymentUrl: stringType().optional(),
    aliasId: stringType().optional(),
    deploymentId: nullableType(stringType()).optional(),
    oldDeploymentId: nullableType(stringType()).optional(),
    redirect: stringType().optional(),
    redirectStatusCode: nullableType(numberType()).optional(),
    target: nullableType(stringType()).optional(),
    system: booleanType().optional(),
    aliasUpdatedAt: numberType().optional()
  });
  ((Seven$) => {
    Seven$.inboundSchema = Seven$inboundSchema;
    Seven$.outboundSchema = Seven$outboundSchema;
  })(Seven$ ||= {});
  UserEventPayload6AccessGroup$inboundSchema = objectType({
    id: stringType(),
    name: stringType()
  });
  UserEventPayload6AccessGroup$outboundSchema = objectType({
    id: stringType(),
    name: stringType()
  });
  ((UserEventPayload6AccessGroup$) => {
    UserEventPayload6AccessGroup$.inboundSchema = UserEventPayload6AccessGroup$inboundSchema;
    UserEventPayload6AccessGroup$.outboundSchema = UserEventPayload6AccessGroup$outboundSchema;
  })(UserEventPayload6AccessGroup$ ||= {});
  Project$inboundSchema = objectType({
    id: stringType(),
    name: stringType().optional()
  });
  Project$outboundSchema = objectType({
    id: stringType(),
    name: stringType().optional()
  });
  ((Project$) => {
    Project$.inboundSchema = Project$inboundSchema;
    Project$.outboundSchema = Project$outboundSchema;
  })(Project$ ||= {});
  NextRole$inboundSchema = nativeEnumType(NextRole);
  NextRole$outboundSchema = NextRole$inboundSchema;
  ((NextRole$) => {
    NextRole$.inboundSchema = NextRole$inboundSchema;
    NextRole$.outboundSchema = NextRole$outboundSchema;
  })(NextRole$ ||= {});
  PreviousRole$inboundSchema = nativeEnumType(PreviousRole);
  PreviousRole$outboundSchema = PreviousRole$inboundSchema;
  ((PreviousRole$) => {
    PreviousRole$.inboundSchema = PreviousRole$inboundSchema;
    PreviousRole$.outboundSchema = PreviousRole$outboundSchema;
  })(PreviousRole$ ||= {});
  Six$inboundSchema = objectType({
    accessGroup: lazyType(() => UserEventPayload6AccessGroup$inboundSchema),
    project: lazyType(() => Project$inboundSchema),
    next_role: nullableType(NextRole$inboundSchema).optional(),
    previous_role: PreviousRole$inboundSchema.optional()
  }).transform((v2) => {
    return remap(v2, {
      next_role: "nextRole",
      previous_role: "previousRole"
    });
  });
  Six$outboundSchema = objectType({
    accessGroup: lazyType(() => UserEventPayload6AccessGroup$outboundSchema),
    project: lazyType(() => Project$outboundSchema),
    nextRole: nullableType(NextRole$outboundSchema).optional(),
    previousRole: PreviousRole$outboundSchema.optional()
  }).transform((v2) => {
    return remap(v2, {
      nextRole: "next_role",
      previousRole: "previous_role"
    });
  });
  ((Six$) => {
    Six$.inboundSchema = Six$inboundSchema;
    Six$.outboundSchema = Six$outboundSchema;
  })(Six$ ||= {});
  UserEventPayloadAccessGroup$inboundSchema = objectType({
    id: stringType(),
    name: stringType().optional()
  });
  UserEventPayloadAccessGroup$outboundSchema = objectType({
    id: stringType(),
    name: stringType().optional()
  });
  ((UserEventPayloadAccessGroup$) => {
    UserEventPayloadAccessGroup$.inboundSchema = UserEventPayloadAccessGroup$inboundSchema;
    UserEventPayloadAccessGroup$.outboundSchema = UserEventPayloadAccessGroup$outboundSchema;
  })(UserEventPayloadAccessGroup$ ||= {});
  PayloadUser$inboundSchema = objectType({
    id: stringType(),
    username: stringType().optional()
  });
  PayloadUser$outboundSchema = objectType({
    id: stringType(),
    username: stringType().optional()
  });
  ((PayloadUser$) => {
    PayloadUser$.inboundSchema = PayloadUser$inboundSchema;
    PayloadUser$.outboundSchema = PayloadUser$outboundSchema;
  })(PayloadUser$ ||= {});
  Five$inboundSchema = objectType({
    accessGroup: lazyType(() => UserEventPayloadAccessGroup$inboundSchema),
    user: lazyType(() => PayloadUser$inboundSchema),
    directoryType: stringType().optional()
  });
  Five$outboundSchema = objectType({
    accessGroup: lazyType(() => UserEventPayloadAccessGroup$outboundSchema),
    user: lazyType(() => PayloadUser$outboundSchema),
    directoryType: stringType().optional()
  });
  ((Five$) => {
    Five$.inboundSchema = Five$inboundSchema;
    Five$.outboundSchema = Five$outboundSchema;
  })(Five$ ||= {});
  PayloadAccessGroup$inboundSchema = objectType({
    id: stringType(),
    name: stringType()
  });
  PayloadAccessGroup$outboundSchema = objectType({
    id: stringType(),
    name: stringType()
  });
  ((PayloadAccessGroup$) => {
    PayloadAccessGroup$.inboundSchema = PayloadAccessGroup$inboundSchema;
    PayloadAccessGroup$.outboundSchema = PayloadAccessGroup$outboundSchema;
  })(PayloadAccessGroup$ ||= {});
  Four$inboundSchema = objectType({
    author: stringType(),
    accessGroup: lazyType(() => PayloadAccessGroup$inboundSchema)
  });
  Four$outboundSchema = objectType({
    author: stringType(),
    accessGroup: lazyType(() => PayloadAccessGroup$outboundSchema)
  });
  ((Four$) => {
    Four$.inboundSchema = Four$inboundSchema;
    Four$.outboundSchema = Four$outboundSchema;
  })(Four$ ||= {});
  AccessGroup$inboundSchema = objectType({
    id: stringType(),
    name: stringType()
  });
  AccessGroup$outboundSchema = objectType({
    id: stringType(),
    name: stringType()
  });
  ((AccessGroup$) => {
    AccessGroup$.inboundSchema = AccessGroup$inboundSchema;
    AccessGroup$.outboundSchema = AccessGroup$outboundSchema;
  })(AccessGroup$ ||= {});
  Three$inboundSchema = objectType({
    accessGroup: lazyType(() => AccessGroup$inboundSchema)
  });
  Three$outboundSchema = objectType({
    accessGroup: lazyType(() => AccessGroup$outboundSchema)
  });
  ((Three$) => {
    Three$.inboundSchema = Three$inboundSchema;
    Three$.outboundSchema = Three$outboundSchema;
  })(Three$ ||= {});
  Action$inboundSchema = nativeEnumType(Action);
  Action$outboundSchema = Action$inboundSchema;
  ((Action$) => {
    Action$.inboundSchema = Action$inboundSchema;
    Action$.outboundSchema = Action$outboundSchema;
  })(Action$ ||= {});
  Payload2$inboundSchema = objectType({
    action: Action$inboundSchema,
    id: stringType(),
    slug: stringType(),
    projectId: stringType()
  });
  Payload2$outboundSchema = objectType({
    action: Action$outboundSchema,
    id: stringType(),
    slug: stringType(),
    projectId: stringType()
  });
  ((Payload2$) => {
    Payload2$.inboundSchema = Payload2$inboundSchema;
    Payload2$.outboundSchema = Payload2$outboundSchema;
  })(Payload2$ ||= {});
  Payload1$inboundSchema = objectType({});
  Payload1$outboundSchema = objectType({});
  ((Payload1$) => {
    Payload1$.inboundSchema = Payload1$inboundSchema;
    Payload1$.outboundSchema = Payload1$outboundSchema;
  })(Payload1$ ||= {});
  Payload$inboundSchema = unionType([
    lazyType(() => Payload1$inboundSchema),
    lazyType(() => Three$inboundSchema),
    lazyType(() => Nine$inboundSchema),
    lazyType(() => Nineteen$inboundSchema),
    lazyType(() => TwentyEight$inboundSchema),
    lazyType(() => ThirtyThree$inboundSchema),
    lazyType(() => FortyThree$inboundSchema),
    lazyType(() => SeventyThree$inboundSchema),
    lazyType(() => EightyFive$inboundSchema),
    lazyType(() => NinetyOne$inboundSchema),
    lazyType(() => NinetySix$inboundSchema),
    lazyType(() => NinetyEight$inboundSchema),
    lazyType(() => NinetyNine$inboundSchema),
    lazyType(() => OneHundred$inboundSchema),
    lazyType(() => OneHundredAndTwo$inboundSchema),
    lazyType(() => OneHundredAndFour$inboundSchema),
    lazyType(() => OneHundredAndTwelve$inboundSchema),
    lazyType(() => OneHundredAndThirteen$inboundSchema),
    lazyType(() => OneHundredAndFourteen$inboundSchema),
    lazyType(() => OneHundredAndFifteen$inboundSchema),
    lazyType(() => OneHundredAndEighteen$inboundSchema),
    lazyType(() => OneHundredAndTwenty$inboundSchema),
    lazyType(() => OneHundredAndThirtyFour$inboundSchema),
    lazyType(() => OneHundredAndThirtyEight$inboundSchema),
    lazyType(() => OneHundredAndFortyFour$inboundSchema),
    lazyType(() => OneHundredAndFortyEight$inboundSchema),
    lazyType(() => Four$inboundSchema),
    lazyType(() => Fourteen$inboundSchema),
    lazyType(() => Seventeen$inboundSchema),
    lazyType(() => Eighteen$inboundSchema),
    lazyType(() => TwentyThree$inboundSchema),
    lazyType(() => TwentyFive$inboundSchema),
    lazyType(() => TwentySix$inboundSchema),
    lazyType(() => TwentySeven$inboundSchema),
    lazyType(() => ThirtySix$inboundSchema),
    lazyType(() => FortyOne$inboundSchema),
    lazyType(() => FortyFive$inboundSchema),
    lazyType(() => FortyEight$inboundSchema),
    lazyType(() => FiftyTwo$inboundSchema),
    lazyType(() => FiftyFive$inboundSchema),
    lazyType(() => SixtyThree$inboundSchema),
    lazyType(() => SixtyNine$inboundSchema),
    lazyType(() => Seventy$inboundSchema),
    lazyType(() => SeventyOne$inboundSchema),
    lazyType(() => SeventySeven$inboundSchema),
    lazyType(() => EightyTwo$inboundSchema),
    lazyType(() => EightyThree$inboundSchema),
    lazyType(() => EightyFour$inboundSchema),
    lazyType(() => EightySix$inboundSchema),
    lazyType(() => EightyNine$inboundSchema),
    lazyType(() => Ninety$inboundSchema),
    lazyType(() => NinetyThree$inboundSchema),
    lazyType(() => NinetyFour$inboundSchema),
    lazyType(() => OneHundredAndThree$inboundSchema),
    lazyType(() => OneHundredAndTen$inboundSchema),
    lazyType(() => OneHundredAndSixteen$inboundSchema),
    lazyType(() => OneHundredAndSeventeen$inboundSchema),
    lazyType(() => OneHundredAndNineteen$inboundSchema),
    lazyType(() => OneHundredAndTwentyTwo$inboundSchema),
    lazyType(() => OneHundredAndTwentyThree$inboundSchema),
    lazyType(() => OneHundredAndThirtyOne$inboundSchema),
    lazyType(() => OneHundredAndThirtyTwo$inboundSchema),
    lazyType(() => OneHundredAndThirtyThree$inboundSchema),
    lazyType(() => OneHundredAndFortyOne$inboundSchema),
    lazyType(() => OneHundredAndFortyFive$inboundSchema),
    lazyType(() => OneHundredAndFortySix$inboundSchema),
    lazyType(() => OneHundredAndFortySeven$inboundSchema),
    lazyType(() => Five$inboundSchema),
    lazyType(() => Eight$inboundSchema),
    lazyType(() => Ten$inboundSchema),
    lazyType(() => Twelve$inboundSchema),
    lazyType(() => Thirteen$inboundSchema),
    lazyType(() => TwentyOne$inboundSchema),
    lazyType(() => TwentyTwo$inboundSchema),
    lazyType(() => TwentyFour$inboundSchema),
    lazyType(() => ThirtyOne$inboundSchema),
    lazyType(() => ThirtyTwo$inboundSchema),
    lazyType(() => ThirtyFour$inboundSchema),
    lazyType(() => ThirtyFive$inboundSchema),
    lazyType(() => ThirtyEight$inboundSchema),
    lazyType(() => ThirtyNine$inboundSchema),
    lazyType(() => FortyFour$inboundSchema),
    lazyType(() => FortySeven$inboundSchema),
    lazyType(() => FortyNine$inboundSchema),
    lazyType(() => Fifty$inboundSchema),
    lazyType(() => FiftyOne$inboundSchema),
    lazyType(() => FiftyThree$inboundSchema),
    lazyType(() => FiftyFour$inboundSchema),
    lazyType(() => FiftyEight$inboundSchema),
    lazyType(() => Sixty$inboundSchema),
    lazyType(() => SixtyOne$inboundSchema),
    lazyType(() => SeventyTwo$inboundSchema),
    lazyType(() => SeventyEight$inboundSchema),
    lazyType(() => SeventyNine$inboundSchema),
    lazyType(() => EightyOne$inboundSchema),
    lazyType(() => EightySeven$inboundSchema),
    lazyType(() => EightyEight$inboundSchema),
    lazyType(() => NinetyTwo$inboundSchema),
    lazyType(() => NinetyFive$inboundSchema),
    lazyType(() => OneHundredAndEight$inboundSchema),
    lazyType(() => OneHundredAndEleven$inboundSchema),
    lazyType(() => OneHundredAndTwentyOne$inboundSchema),
    lazyType(() => OneHundredAndTwentyEight$inboundSchema),
    lazyType(() => OneHundredAndThirtyFive$inboundSchema),
    lazyType(() => OneHundredAndThirtySeven$inboundSchema),
    lazyType(() => OneHundredAndThirtyNine$inboundSchema),
    lazyType(() => OneHundredAndFortyTwo$inboundSchema),
    lazyType(() => OneHundredAndFortyNine$inboundSchema),
    lazyType(() => OneHundredAndFifty$inboundSchema),
    lazyType(() => Payload2$inboundSchema),
    lazyType(() => Six$inboundSchema),
    lazyType(() => Eleven$inboundSchema),
    lazyType(() => Fifteen$inboundSchema),
    lazyType(() => Sixteen$inboundSchema),
    lazyType(() => Twenty$inboundSchema),
    lazyType(() => TwentyNine$inboundSchema),
    lazyType(() => FortySix$inboundSchema),
    lazyType(() => SeventyFive$inboundSchema),
    lazyType(() => SeventySix$inboundSchema),
    lazyType(() => NinetySeven$inboundSchema),
    lazyType(() => OneHundredAndFive$inboundSchema),
    lazyType(() => OneHundredAndTwentyNine$inboundSchema),
    lazyType(() => OneHundredAndThirty$inboundSchema),
    lazyType(() => OneHundredAndThirtySix$inboundSchema),
    lazyType(() => OneHundredAndForty$inboundSchema),
    lazyType(() => OneHundredAndFortyThree$inboundSchema),
    lazyType(() => OneHundredAndFiftyOne$inboundSchema),
    lazyType(() => Thirty$inboundSchema),
    lazyType(() => FortyTwo$inboundSchema),
    lazyType(() => FiftyNine$inboundSchema),
    lazyType(() => SixtySix$inboundSchema),
    lazyType(() => Eighty$inboundSchema),
    lazyType(() => OneHundredAndNine$inboundSchema),
    lazyType(() => Forty$inboundSchema),
    lazyType(() => SixtyTwo$inboundSchema),
    lazyType(() => SixtyFive$inboundSchema),
    lazyType(() => OneHundredAndOne$inboundSchema),
    lazyType(() => OneHundredAndSeven$inboundSchema),
    lazyType(() => OneHundredAndTwentyFive$inboundSchema),
    lazyType(() => OneHundredAndTwentySix$inboundSchema),
    lazyType(() => OneHundredAndTwentySeven$inboundSchema),
    lazyType(() => OneHundredAndFiftyTwo$inboundSchema),
    lazyType(() => SixtyFour$inboundSchema),
    lazyType(() => SixtySeven$inboundSchema),
    lazyType(() => SeventyFour$inboundSchema),
    lazyType(() => OneHundredAndSix$inboundSchema),
    lazyType(() => OneHundredAndTwentyFour$inboundSchema),
    lazyType(() => FiftySix$inboundSchema),
    lazyType(() => Seven$inboundSchema),
    lazyType(() => ThirtySeven$inboundSchema),
    lazyType(() => SixtyEight$inboundSchema),
    lazyType(() => FiftySeven$inboundSchema)
  ]);
  Payload$outboundSchema = unionType([
    lazyType(() => Payload1$outboundSchema),
    lazyType(() => Three$outboundSchema),
    lazyType(() => Nine$outboundSchema),
    lazyType(() => Nineteen$outboundSchema),
    lazyType(() => TwentyEight$outboundSchema),
    lazyType(() => ThirtyThree$outboundSchema),
    lazyType(() => FortyThree$outboundSchema),
    lazyType(() => SeventyThree$outboundSchema),
    lazyType(() => EightyFive$outboundSchema),
    lazyType(() => NinetyOne$outboundSchema),
    lazyType(() => NinetySix$outboundSchema),
    lazyType(() => NinetyEight$outboundSchema),
    lazyType(() => NinetyNine$outboundSchema),
    lazyType(() => OneHundred$outboundSchema),
    lazyType(() => OneHundredAndTwo$outboundSchema),
    lazyType(() => OneHundredAndFour$outboundSchema),
    lazyType(() => OneHundredAndTwelve$outboundSchema),
    lazyType(() => OneHundredAndThirteen$outboundSchema),
    lazyType(() => OneHundredAndFourteen$outboundSchema),
    lazyType(() => OneHundredAndFifteen$outboundSchema),
    lazyType(() => OneHundredAndEighteen$outboundSchema),
    lazyType(() => OneHundredAndTwenty$outboundSchema),
    lazyType(() => OneHundredAndThirtyFour$outboundSchema),
    lazyType(() => OneHundredAndThirtyEight$outboundSchema),
    lazyType(() => OneHundredAndFortyFour$outboundSchema),
    lazyType(() => OneHundredAndFortyEight$outboundSchema),
    lazyType(() => Four$outboundSchema),
    lazyType(() => Fourteen$outboundSchema),
    lazyType(() => Seventeen$outboundSchema),
    lazyType(() => Eighteen$outboundSchema),
    lazyType(() => TwentyThree$outboundSchema),
    lazyType(() => TwentyFive$outboundSchema),
    lazyType(() => TwentySix$outboundSchema),
    lazyType(() => TwentySeven$outboundSchema),
    lazyType(() => ThirtySix$outboundSchema),
    lazyType(() => FortyOne$outboundSchema),
    lazyType(() => FortyFive$outboundSchema),
    lazyType(() => FortyEight$outboundSchema),
    lazyType(() => FiftyTwo$outboundSchema),
    lazyType(() => FiftyFive$outboundSchema),
    lazyType(() => SixtyThree$outboundSchema),
    lazyType(() => SixtyNine$outboundSchema),
    lazyType(() => Seventy$outboundSchema),
    lazyType(() => SeventyOne$outboundSchema),
    lazyType(() => SeventySeven$outboundSchema),
    lazyType(() => EightyTwo$outboundSchema),
    lazyType(() => EightyThree$outboundSchema),
    lazyType(() => EightyFour$outboundSchema),
    lazyType(() => EightySix$outboundSchema),
    lazyType(() => EightyNine$outboundSchema),
    lazyType(() => Ninety$outboundSchema),
    lazyType(() => NinetyThree$outboundSchema),
    lazyType(() => NinetyFour$outboundSchema),
    lazyType(() => OneHundredAndThree$outboundSchema),
    lazyType(() => OneHundredAndTen$outboundSchema),
    lazyType(() => OneHundredAndSixteen$outboundSchema),
    lazyType(() => OneHundredAndSeventeen$outboundSchema),
    lazyType(() => OneHundredAndNineteen$outboundSchema),
    lazyType(() => OneHundredAndTwentyTwo$outboundSchema),
    lazyType(() => OneHundredAndTwentyThree$outboundSchema),
    lazyType(() => OneHundredAndThirtyOne$outboundSchema),
    lazyType(() => OneHundredAndThirtyTwo$outboundSchema),
    lazyType(() => OneHundredAndThirtyThree$outboundSchema),
    lazyType(() => OneHundredAndFortyOne$outboundSchema),
    lazyType(() => OneHundredAndFortyFive$outboundSchema),
    lazyType(() => OneHundredAndFortySix$outboundSchema),
    lazyType(() => OneHundredAndFortySeven$outboundSchema),
    lazyType(() => Five$outboundSchema),
    lazyType(() => Eight$outboundSchema),
    lazyType(() => Ten$outboundSchema),
    lazyType(() => Twelve$outboundSchema),
    lazyType(() => Thirteen$outboundSchema),
    lazyType(() => TwentyOne$outboundSchema),
    lazyType(() => TwentyTwo$outboundSchema),
    lazyType(() => TwentyFour$outboundSchema),
    lazyType(() => ThirtyOne$outboundSchema),
    lazyType(() => ThirtyTwo$outboundSchema),
    lazyType(() => ThirtyFour$outboundSchema),
    lazyType(() => ThirtyFive$outboundSchema),
    lazyType(() => ThirtyEight$outboundSchema),
    lazyType(() => ThirtyNine$outboundSchema),
    lazyType(() => FortyFour$outboundSchema),
    lazyType(() => FortySeven$outboundSchema),
    lazyType(() => FortyNine$outboundSchema),
    lazyType(() => Fifty$outboundSchema),
    lazyType(() => FiftyOne$outboundSchema),
    lazyType(() => FiftyThree$outboundSchema),
    lazyType(() => FiftyFour$outboundSchema),
    lazyType(() => FiftyEight$outboundSchema),
    lazyType(() => Sixty$outboundSchema),
    lazyType(() => SixtyOne$outboundSchema),
    lazyType(() => SeventyTwo$outboundSchema),
    lazyType(() => SeventyEight$outboundSchema),
    lazyType(() => SeventyNine$outboundSchema),
    lazyType(() => EightyOne$outboundSchema),
    lazyType(() => EightySeven$outboundSchema),
    lazyType(() => EightyEight$outboundSchema),
    lazyType(() => NinetyTwo$outboundSchema),
    lazyType(() => NinetyFive$outboundSchema),
    lazyType(() => OneHundredAndEight$outboundSchema),
    lazyType(() => OneHundredAndEleven$outboundSchema),
    lazyType(() => OneHundredAndTwentyOne$outboundSchema),
    lazyType(() => OneHundredAndTwentyEight$outboundSchema),
    lazyType(() => OneHundredAndThirtyFive$outboundSchema),
    lazyType(() => OneHundredAndThirtySeven$outboundSchema),
    lazyType(() => OneHundredAndThirtyNine$outboundSchema),
    lazyType(() => OneHundredAndFortyTwo$outboundSchema),
    lazyType(() => OneHundredAndFortyNine$outboundSchema),
    lazyType(() => OneHundredAndFifty$outboundSchema),
    lazyType(() => Payload2$outboundSchema),
    lazyType(() => Six$outboundSchema),
    lazyType(() => Eleven$outboundSchema),
    lazyType(() => Fifteen$outboundSchema),
    lazyType(() => Sixteen$outboundSchema),
    lazyType(() => Twenty$outboundSchema),
    lazyType(() => TwentyNine$outboundSchema),
    lazyType(() => FortySix$outboundSchema),
    lazyType(() => SeventyFive$outboundSchema),
    lazyType(() => SeventySix$outboundSchema),
    lazyType(() => NinetySeven$outboundSchema),
    lazyType(() => OneHundredAndFive$outboundSchema),
    lazyType(() => OneHundredAndTwentyNine$outboundSchema),
    lazyType(() => OneHundredAndThirty$outboundSchema),
    lazyType(() => OneHundredAndThirtySix$outboundSchema),
    lazyType(() => OneHundredAndForty$outboundSchema),
    lazyType(() => OneHundredAndFortyThree$outboundSchema),
    lazyType(() => OneHundredAndFiftyOne$outboundSchema),
    lazyType(() => Thirty$outboundSchema),
    lazyType(() => FortyTwo$outboundSchema),
    lazyType(() => FiftyNine$outboundSchema),
    lazyType(() => SixtySix$outboundSchema),
    lazyType(() => Eighty$outboundSchema),
    lazyType(() => OneHundredAndNine$outboundSchema),
    lazyType(() => Forty$outboundSchema),
    lazyType(() => SixtyTwo$outboundSchema),
    lazyType(() => SixtyFive$outboundSchema),
    lazyType(() => OneHundredAndOne$outboundSchema),
    lazyType(() => OneHundredAndSeven$outboundSchema),
    lazyType(() => OneHundredAndTwentyFive$outboundSchema),
    lazyType(() => OneHundredAndTwentySix$outboundSchema),
    lazyType(() => OneHundredAndTwentySeven$outboundSchema),
    lazyType(() => OneHundredAndFiftyTwo$outboundSchema),
    lazyType(() => SixtyFour$outboundSchema),
    lazyType(() => SixtySeven$outboundSchema),
    lazyType(() => SeventyFour$outboundSchema),
    lazyType(() => OneHundredAndSix$outboundSchema),
    lazyType(() => OneHundredAndTwentyFour$outboundSchema),
    lazyType(() => FiftySix$outboundSchema),
    lazyType(() => Seven$outboundSchema),
    lazyType(() => ThirtySeven$outboundSchema),
    lazyType(() => SixtyEight$outboundSchema),
    lazyType(() => FiftySeven$outboundSchema)
  ]);
  ((Payload$) => {
    Payload$.inboundSchema = Payload$inboundSchema;
    Payload$.outboundSchema = Payload$outboundSchema;
  })(Payload$ ||= {});
  UserEvent$inboundSchema = objectType({
    id: stringType(),
    text: stringType(),
    entities: arrayType(lazyType(() => Entities$inboundSchema)),
    createdAt: numberType(),
    user: lazyType(() => User$inboundSchema).optional(),
    principal: unionType([
      lazyType(() => Two$inboundSchema),
      lazyType(() => One$inboundSchema)
    ]).optional(),
    via: arrayType(unionType([
      lazyType(() => Via2$inboundSchema),
      lazyType(() => Via1$inboundSchema)
    ])).optional(),
    userId: stringType(),
    principalId: stringType(),
    viaIds: arrayType(stringType()).optional(),
    payload: unionType([
      lazyType(() => Payload1$inboundSchema),
      lazyType(() => Three$inboundSchema),
      lazyType(() => Nine$inboundSchema),
      lazyType(() => Nineteen$inboundSchema),
      lazyType(() => TwentyEight$inboundSchema),
      lazyType(() => ThirtyThree$inboundSchema),
      lazyType(() => FortyThree$inboundSchema),
      lazyType(() => SeventyThree$inboundSchema),
      lazyType(() => EightyFive$inboundSchema),
      lazyType(() => NinetyOne$inboundSchema),
      lazyType(() => NinetySix$inboundSchema),
      lazyType(() => NinetyEight$inboundSchema),
      lazyType(() => NinetyNine$inboundSchema),
      lazyType(() => OneHundred$inboundSchema),
      lazyType(() => OneHundredAndTwo$inboundSchema),
      lazyType(() => OneHundredAndFour$inboundSchema),
      lazyType(() => OneHundredAndTwelve$inboundSchema),
      lazyType(() => OneHundredAndThirteen$inboundSchema),
      lazyType(() => OneHundredAndFourteen$inboundSchema),
      lazyType(() => OneHundredAndFifteen$inboundSchema),
      lazyType(() => OneHundredAndEighteen$inboundSchema),
      lazyType(() => OneHundredAndTwenty$inboundSchema),
      lazyType(() => OneHundredAndThirtyFour$inboundSchema),
      lazyType(() => OneHundredAndThirtyEight$inboundSchema),
      lazyType(() => OneHundredAndFortyFour$inboundSchema),
      lazyType(() => OneHundredAndFortyEight$inboundSchema),
      lazyType(() => Four$inboundSchema),
      lazyType(() => Fourteen$inboundSchema),
      lazyType(() => Seventeen$inboundSchema),
      lazyType(() => Eighteen$inboundSchema),
      lazyType(() => TwentyThree$inboundSchema),
      lazyType(() => TwentyFive$inboundSchema),
      lazyType(() => TwentySix$inboundSchema),
      lazyType(() => TwentySeven$inboundSchema),
      lazyType(() => ThirtySix$inboundSchema),
      lazyType(() => FortyOne$inboundSchema),
      lazyType(() => FortyFive$inboundSchema),
      lazyType(() => FortyEight$inboundSchema),
      lazyType(() => FiftyTwo$inboundSchema),
      lazyType(() => FiftyFive$inboundSchema),
      lazyType(() => SixtyThree$inboundSchema),
      lazyType(() => SixtyNine$inboundSchema),
      lazyType(() => Seventy$inboundSchema),
      lazyType(() => SeventyOne$inboundSchema),
      lazyType(() => SeventySeven$inboundSchema),
      lazyType(() => EightyTwo$inboundSchema),
      lazyType(() => EightyThree$inboundSchema),
      lazyType(() => EightyFour$inboundSchema),
      lazyType(() => EightySix$inboundSchema),
      lazyType(() => EightyNine$inboundSchema),
      lazyType(() => Ninety$inboundSchema),
      lazyType(() => NinetyThree$inboundSchema),
      lazyType(() => NinetyFour$inboundSchema),
      lazyType(() => OneHundredAndThree$inboundSchema),
      lazyType(() => OneHundredAndTen$inboundSchema),
      lazyType(() => OneHundredAndSixteen$inboundSchema),
      lazyType(() => OneHundredAndSeventeen$inboundSchema),
      lazyType(() => OneHundredAndNineteen$inboundSchema),
      lazyType(() => OneHundredAndTwentyTwo$inboundSchema),
      lazyType(() => OneHundredAndTwentyThree$inboundSchema),
      lazyType(() => OneHundredAndThirtyOne$inboundSchema),
      lazyType(() => OneHundredAndThirtyTwo$inboundSchema),
      lazyType(() => OneHundredAndThirtyThree$inboundSchema),
      lazyType(() => OneHundredAndFortyOne$inboundSchema),
      lazyType(() => OneHundredAndFortyFive$inboundSchema),
      lazyType(() => OneHundredAndFortySix$inboundSchema),
      lazyType(() => OneHundredAndFortySeven$inboundSchema),
      lazyType(() => Five$inboundSchema),
      lazyType(() => Eight$inboundSchema),
      lazyType(() => Ten$inboundSchema),
      lazyType(() => Twelve$inboundSchema),
      lazyType(() => Thirteen$inboundSchema),
      lazyType(() => TwentyOne$inboundSchema),
      lazyType(() => TwentyTwo$inboundSchema),
      lazyType(() => TwentyFour$inboundSchema),
      lazyType(() => ThirtyOne$inboundSchema),
      lazyType(() => ThirtyTwo$inboundSchema),
      lazyType(() => ThirtyFour$inboundSchema),
      lazyType(() => ThirtyFive$inboundSchema),
      lazyType(() => ThirtyEight$inboundSchema),
      lazyType(() => ThirtyNine$inboundSchema),
      lazyType(() => FortyFour$inboundSchema),
      lazyType(() => FortySeven$inboundSchema),
      lazyType(() => FortyNine$inboundSchema),
      lazyType(() => Fifty$inboundSchema),
      lazyType(() => FiftyOne$inboundSchema),
      lazyType(() => FiftyThree$inboundSchema),
      lazyType(() => FiftyFour$inboundSchema),
      lazyType(() => FiftyEight$inboundSchema),
      lazyType(() => Sixty$inboundSchema),
      lazyType(() => SixtyOne$inboundSchema),
      lazyType(() => SeventyTwo$inboundSchema),
      lazyType(() => SeventyEight$inboundSchema),
      lazyType(() => SeventyNine$inboundSchema),
      lazyType(() => EightyOne$inboundSchema),
      lazyType(() => EightySeven$inboundSchema),
      lazyType(() => EightyEight$inboundSchema),
      lazyType(() => NinetyTwo$inboundSchema),
      lazyType(() => NinetyFive$inboundSchema),
      lazyType(() => OneHundredAndEight$inboundSchema),
      lazyType(() => OneHundredAndEleven$inboundSchema),
      lazyType(() => OneHundredAndTwentyOne$inboundSchema),
      lazyType(() => OneHundredAndTwentyEight$inboundSchema),
      lazyType(() => OneHundredAndThirtyFive$inboundSchema),
      lazyType(() => OneHundredAndThirtySeven$inboundSchema),
      lazyType(() => OneHundredAndThirtyNine$inboundSchema),
      lazyType(() => OneHundredAndFortyTwo$inboundSchema),
      lazyType(() => OneHundredAndFortyNine$inboundSchema),
      lazyType(() => OneHundredAndFifty$inboundSchema),
      lazyType(() => Payload2$inboundSchema),
      lazyType(() => Six$inboundSchema),
      lazyType(() => Eleven$inboundSchema),
      lazyType(() => Fifteen$inboundSchema),
      lazyType(() => Sixteen$inboundSchema),
      lazyType(() => Twenty$inboundSchema),
      lazyType(() => TwentyNine$inboundSchema),
      lazyType(() => FortySix$inboundSchema),
      lazyType(() => SeventyFive$inboundSchema),
      lazyType(() => SeventySix$inboundSchema),
      lazyType(() => NinetySeven$inboundSchema),
      lazyType(() => OneHundredAndFive$inboundSchema),
      lazyType(() => OneHundredAndTwentyNine$inboundSchema),
      lazyType(() => OneHundredAndThirty$inboundSchema),
      lazyType(() => OneHundredAndThirtySix$inboundSchema),
      lazyType(() => OneHundredAndForty$inboundSchema),
      lazyType(() => OneHundredAndFortyThree$inboundSchema),
      lazyType(() => OneHundredAndFiftyOne$inboundSchema),
      lazyType(() => Thirty$inboundSchema),
      lazyType(() => FortyTwo$inboundSchema),
      lazyType(() => FiftyNine$inboundSchema),
      lazyType(() => SixtySix$inboundSchema),
      lazyType(() => Eighty$inboundSchema),
      lazyType(() => OneHundredAndNine$inboundSchema),
      lazyType(() => Forty$inboundSchema),
      lazyType(() => SixtyTwo$inboundSchema),
      lazyType(() => SixtyFive$inboundSchema),
      lazyType(() => OneHundredAndOne$inboundSchema),
      lazyType(() => OneHundredAndSeven$inboundSchema),
      lazyType(() => OneHundredAndTwentyFive$inboundSchema),
      lazyType(() => OneHundredAndTwentySix$inboundSchema),
      lazyType(() => OneHundredAndTwentySeven$inboundSchema),
      lazyType(() => OneHundredAndFiftyTwo$inboundSchema),
      lazyType(() => SixtyFour$inboundSchema),
      lazyType(() => SixtySeven$inboundSchema),
      lazyType(() => SeventyFour$inboundSchema),
      lazyType(() => OneHundredAndSix$inboundSchema),
      lazyType(() => OneHundredAndTwentyFour$inboundSchema),
      lazyType(() => FiftySix$inboundSchema),
      lazyType(() => Seven$inboundSchema),
      lazyType(() => ThirtySeven$inboundSchema),
      lazyType(() => SixtyEight$inboundSchema),
      lazyType(() => FiftySeven$inboundSchema)
    ]).optional()
  });
  UserEvent$outboundSchema = objectType({
    id: stringType(),
    text: stringType(),
    entities: arrayType(lazyType(() => Entities$outboundSchema)),
    createdAt: numberType(),
    user: lazyType(() => User$outboundSchema).optional(),
    principal: unionType([
      lazyType(() => Two$outboundSchema),
      lazyType(() => One$outboundSchema)
    ]).optional(),
    via: arrayType(unionType([
      lazyType(() => Via2$outboundSchema),
      lazyType(() => Via1$outboundSchema)
    ])).optional(),
    userId: stringType(),
    principalId: stringType(),
    viaIds: arrayType(stringType()).optional(),
    payload: unionType([
      lazyType(() => Payload1$outboundSchema),
      lazyType(() => Three$outboundSchema),
      lazyType(() => Nine$outboundSchema),
      lazyType(() => Nineteen$outboundSchema),
      lazyType(() => TwentyEight$outboundSchema),
      lazyType(() => ThirtyThree$outboundSchema),
      lazyType(() => FortyThree$outboundSchema),
      lazyType(() => SeventyThree$outboundSchema),
      lazyType(() => EightyFive$outboundSchema),
      lazyType(() => NinetyOne$outboundSchema),
      lazyType(() => NinetySix$outboundSchema),
      lazyType(() => NinetyEight$outboundSchema),
      lazyType(() => NinetyNine$outboundSchema),
      lazyType(() => OneHundred$outboundSchema),
      lazyType(() => OneHundredAndTwo$outboundSchema),
      lazyType(() => OneHundredAndFour$outboundSchema),
      lazyType(() => OneHundredAndTwelve$outboundSchema),
      lazyType(() => OneHundredAndThirteen$outboundSchema),
      lazyType(() => OneHundredAndFourteen$outboundSchema),
      lazyType(() => OneHundredAndFifteen$outboundSchema),
      lazyType(() => OneHundredAndEighteen$outboundSchema),
      lazyType(() => OneHundredAndTwenty$outboundSchema),
      lazyType(() => OneHundredAndThirtyFour$outboundSchema),
      lazyType(() => OneHundredAndThirtyEight$outboundSchema),
      lazyType(() => OneHundredAndFortyFour$outboundSchema),
      lazyType(() => OneHundredAndFortyEight$outboundSchema),
      lazyType(() => Four$outboundSchema),
      lazyType(() => Fourteen$outboundSchema),
      lazyType(() => Seventeen$outboundSchema),
      lazyType(() => Eighteen$outboundSchema),
      lazyType(() => TwentyThree$outboundSchema),
      lazyType(() => TwentyFive$outboundSchema),
      lazyType(() => TwentySix$outboundSchema),
      lazyType(() => TwentySeven$outboundSchema),
      lazyType(() => ThirtySix$outboundSchema),
      lazyType(() => FortyOne$outboundSchema),
      lazyType(() => FortyFive$outboundSchema),
      lazyType(() => FortyEight$outboundSchema),
      lazyType(() => FiftyTwo$outboundSchema),
      lazyType(() => FiftyFive$outboundSchema),
      lazyType(() => SixtyThree$outboundSchema),
      lazyType(() => SixtyNine$outboundSchema),
      lazyType(() => Seventy$outboundSchema),
      lazyType(() => SeventyOne$outboundSchema),
      lazyType(() => SeventySeven$outboundSchema),
      lazyType(() => EightyTwo$outboundSchema),
      lazyType(() => EightyThree$outboundSchema),
      lazyType(() => EightyFour$outboundSchema),
      lazyType(() => EightySix$outboundSchema),
      lazyType(() => EightyNine$outboundSchema),
      lazyType(() => Ninety$outboundSchema),
      lazyType(() => NinetyThree$outboundSchema),
      lazyType(() => NinetyFour$outboundSchema),
      lazyType(() => OneHundredAndThree$outboundSchema),
      lazyType(() => OneHundredAndTen$outboundSchema),
      lazyType(() => OneHundredAndSixteen$outboundSchema),
      lazyType(() => OneHundredAndSeventeen$outboundSchema),
      lazyType(() => OneHundredAndNineteen$outboundSchema),
      lazyType(() => OneHundredAndTwentyTwo$outboundSchema),
      lazyType(() => OneHundredAndTwentyThree$outboundSchema),
      lazyType(() => OneHundredAndThirtyOne$outboundSchema),
      lazyType(() => OneHundredAndThirtyTwo$outboundSchema),
      lazyType(() => OneHundredAndThirtyThree$outboundSchema),
      lazyType(() => OneHundredAndFortyOne$outboundSchema),
      lazyType(() => OneHundredAndFortyFive$outboundSchema),
      lazyType(() => OneHundredAndFortySix$outboundSchema),
      lazyType(() => OneHundredAndFortySeven$outboundSchema),
      lazyType(() => Five$outboundSchema),
      lazyType(() => Eight$outboundSchema),
      lazyType(() => Ten$outboundSchema),
      lazyType(() => Twelve$outboundSchema),
      lazyType(() => Thirteen$outboundSchema),
      lazyType(() => TwentyOne$outboundSchema),
      lazyType(() => TwentyTwo$outboundSchema),
      lazyType(() => TwentyFour$outboundSchema),
      lazyType(() => ThirtyOne$outboundSchema),
      lazyType(() => ThirtyTwo$outboundSchema),
      lazyType(() => ThirtyFour$outboundSchema),
      lazyType(() => ThirtyFive$outboundSchema),
      lazyType(() => ThirtyEight$outboundSchema),
      lazyType(() => ThirtyNine$outboundSchema),
      lazyType(() => FortyFour$outboundSchema),
      lazyType(() => FortySeven$outboundSchema),
      lazyType(() => FortyNine$outboundSchema),
      lazyType(() => Fifty$outboundSchema),
      lazyType(() => FiftyOne$outboundSchema),
      lazyType(() => FiftyThree$outboundSchema),
      lazyType(() => FiftyFour$outboundSchema),
      lazyType(() => FiftyEight$outboundSchema),
      lazyType(() => Sixty$outboundSchema),
      lazyType(() => SixtyOne$outboundSchema),
      lazyType(() => SeventyTwo$outboundSchema),
      lazyType(() => SeventyEight$outboundSchema),
      lazyType(() => SeventyNine$outboundSchema),
      lazyType(() => EightyOne$outboundSchema),
      lazyType(() => EightySeven$outboundSchema),
      lazyType(() => EightyEight$outboundSchema),
      lazyType(() => NinetyTwo$outboundSchema),
      lazyType(() => NinetyFive$outboundSchema),
      lazyType(() => OneHundredAndEight$outboundSchema),
      lazyType(() => OneHundredAndEleven$outboundSchema),
      lazyType(() => OneHundredAndTwentyOne$outboundSchema),
      lazyType(() => OneHundredAndTwentyEight$outboundSchema),
      lazyType(() => OneHundredAndThirtyFive$outboundSchema),
      lazyType(() => OneHundredAndThirtySeven$outboundSchema),
      lazyType(() => OneHundredAndThirtyNine$outboundSchema),
      lazyType(() => OneHundredAndFortyTwo$outboundSchema),
      lazyType(() => OneHundredAndFortyNine$outboundSchema),
      lazyType(() => OneHundredAndFifty$outboundSchema),
      lazyType(() => Payload2$outboundSchema),
      lazyType(() => Six$outboundSchema),
      lazyType(() => Eleven$outboundSchema),
      lazyType(() => Fifteen$outboundSchema),
      lazyType(() => Sixteen$outboundSchema),
      lazyType(() => Twenty$outboundSchema),
      lazyType(() => TwentyNine$outboundSchema),
      lazyType(() => FortySix$outboundSchema),
      lazyType(() => SeventyFive$outboundSchema),
      lazyType(() => SeventySix$outboundSchema),
      lazyType(() => NinetySeven$outboundSchema),
      lazyType(() => OneHundredAndFive$outboundSchema),
      lazyType(() => OneHundredAndTwentyNine$outboundSchema),
      lazyType(() => OneHundredAndThirty$outboundSchema),
      lazyType(() => OneHundredAndThirtySix$outboundSchema),
      lazyType(() => OneHundredAndForty$outboundSchema),
      lazyType(() => OneHundredAndFortyThree$outboundSchema),
      lazyType(() => OneHundredAndFiftyOne$outboundSchema),
      lazyType(() => Thirty$outboundSchema),
      lazyType(() => FortyTwo$outboundSchema),
      lazyType(() => FiftyNine$outboundSchema),
      lazyType(() => SixtySix$outboundSchema),
      lazyType(() => Eighty$outboundSchema),
      lazyType(() => OneHundredAndNine$outboundSchema),
      lazyType(() => Forty$outboundSchema),
      lazyType(() => SixtyTwo$outboundSchema),
      lazyType(() => SixtyFive$outboundSchema),
      lazyType(() => OneHundredAndOne$outboundSchema),
      lazyType(() => OneHundredAndSeven$outboundSchema),
      lazyType(() => OneHundredAndTwentyFive$outboundSchema),
      lazyType(() => OneHundredAndTwentySix$outboundSchema),
      lazyType(() => OneHundredAndTwentySeven$outboundSchema),
      lazyType(() => OneHundredAndFiftyTwo$outboundSchema),
      lazyType(() => SixtyFour$outboundSchema),
      lazyType(() => SixtySeven$outboundSchema),
      lazyType(() => SeventyFour$outboundSchema),
      lazyType(() => OneHundredAndSix$outboundSchema),
      lazyType(() => OneHundredAndTwentyFour$outboundSchema),
      lazyType(() => FiftySix$outboundSchema),
      lazyType(() => Seven$outboundSchema),
      lazyType(() => ThirtySeven$outboundSchema),
      lazyType(() => SixtyEight$outboundSchema),
      lazyType(() => FiftySeven$outboundSchema)
    ]).optional()
  });
  ((UserEvent$) => {
    UserEvent$.inboundSchema = UserEvent$inboundSchema;
    UserEvent$.outboundSchema = UserEvent$outboundSchema;
  })(UserEvent$ ||= {});
});

// src/models/listusereventsop.ts
var ListUserEventsRequest$inboundSchema, ListUserEventsRequest$outboundSchema, ListUserEventsRequest$, ListUserEventsResponseBody$inboundSchema, ListUserEventsResponseBody$outboundSchema, ListUserEventsResponseBody$;
var init_listusereventsop = __esm(() => {
  init_esm();
  init_userevent();
  ListUserEventsRequest$inboundSchema = objectType({
    limit: numberType().optional(),
    since: stringType().optional(),
    until: stringType().optional(),
    types: stringType().optional(),
    userId: stringType().optional(),
    principalId: stringType().optional(),
    projectIds: stringType().optional(),
    withPayload: stringType().optional(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ListUserEventsRequest$outboundSchema = objectType({
    limit: numberType().optional(),
    since: stringType().optional(),
    until: stringType().optional(),
    types: stringType().optional(),
    userId: stringType().optional(),
    principalId: stringType().optional(),
    projectIds: stringType().optional(),
    withPayload: stringType().optional(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((ListUserEventsRequest$) => {
    ListUserEventsRequest$.inboundSchema = ListUserEventsRequest$inboundSchema;
    ListUserEventsRequest$.outboundSchema = ListUserEventsRequest$outboundSchema;
  })(ListUserEventsRequest$ ||= {});
  ListUserEventsResponseBody$inboundSchema = objectType({
    events: arrayType(UserEvent$inboundSchema)
  });
  ListUserEventsResponseBody$outboundSchema = objectType({
    events: arrayType(UserEvent$outboundSchema)
  });
  ((ListUserEventsResponseBody$) => {
    ListUserEventsResponseBody$.inboundSchema = ListUserEventsResponseBody$inboundSchema;
    ListUserEventsResponseBody$.outboundSchema = ListUserEventsResponseBody$outboundSchema;
  })(ListUserEventsResponseBody$ ||= {});
});

// src/funcs/userListUserEvents.ts
function userListUserEvents(client, request, options) {
  return new APIPromise($do162(client, request, options));
}
async function $do162(client, request, options) {
  const parsed = safeParse(request, (value) => ListUserEventsRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const path = pathToFunc("/v3/events")();
  const query = encodeFormQuery({
    limit: payload.limit,
    principalId: payload.principalId,
    projectIds: payload.projectIds,
    since: payload.since,
    slug: payload.slug,
    teamId: payload.teamId,
    types: payload.types,
    until: payload.until,
    userId: payload.userId,
    withPayload: payload.withPayload
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "listUserEvents",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, ListUserEventsResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_userListUserEvents = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_listusereventsop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/userListUserEvents.ts
var args160, tool$userListUserEvents;
var init_userListUserEvents2 = __esm(() => {
  init_userListUserEvents();
  init_listusereventsop();
  init_tools();
  args160 = {
    request: ListUserEventsRequest$inboundSchema
  };
  tool$userListUserEvents = {
    name: "user-list-user-events",
    description: `List User Events

Retrieves a list of "events" generated by the User on Vercel. Events are generated when the User performs a particular action, such as logging in, creating a deployment, and joining a Team (just to name a few). When the \`teamId\` parameter is supplied, then the events that are returned will be in relation to the Team that was specified.`,
    args: args160,
    tool: async (client, args161, ctx) => {
      const [result, apiCall] = await userListUserEvents(client, args161.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/requestdeleteop.ts
var RequestDeleteReasons$inboundSchema, RequestDeleteReasons$outboundSchema, RequestDeleteReasons$, RequestDeleteRequestBody$inboundSchema, RequestDeleteRequestBody$outboundSchema, RequestDeleteRequestBody$, RequestDeleteResponseBody$inboundSchema, RequestDeleteResponseBody$outboundSchema, RequestDeleteResponseBody$;
var init_requestdeleteop = __esm(() => {
  init_esm();
  RequestDeleteReasons$inboundSchema = objectType({
    slug: stringType(),
    description: stringType()
  });
  RequestDeleteReasons$outboundSchema = objectType({
    slug: stringType(),
    description: stringType()
  });
  ((RequestDeleteReasons$) => {
    RequestDeleteReasons$.inboundSchema = RequestDeleteReasons$inboundSchema;
    RequestDeleteReasons$.outboundSchema = RequestDeleteReasons$outboundSchema;
  })(RequestDeleteReasons$ ||= {});
  RequestDeleteRequestBody$inboundSchema = objectType({
    reasons: arrayType(lazyType(() => RequestDeleteReasons$inboundSchema)).optional()
  });
  RequestDeleteRequestBody$outboundSchema = objectType({
    reasons: arrayType(lazyType(() => RequestDeleteReasons$outboundSchema)).optional()
  });
  ((RequestDeleteRequestBody$) => {
    RequestDeleteRequestBody$.inboundSchema = RequestDeleteRequestBody$inboundSchema;
    RequestDeleteRequestBody$.outboundSchema = RequestDeleteRequestBody$outboundSchema;
  })(RequestDeleteRequestBody$ ||= {});
  RequestDeleteResponseBody$inboundSchema = objectType({
    id: stringType(),
    email: stringType(),
    message: stringType()
  });
  RequestDeleteResponseBody$outboundSchema = objectType({
    id: stringType(),
    email: stringType(),
    message: stringType()
  });
  ((RequestDeleteResponseBody$) => {
    RequestDeleteResponseBody$.inboundSchema = RequestDeleteResponseBody$inboundSchema;
    RequestDeleteResponseBody$.outboundSchema = RequestDeleteResponseBody$outboundSchema;
  })(RequestDeleteResponseBody$ ||= {});
});

// src/funcs/userRequestDelete.ts
function userRequestDelete(client, request, options) {
  return new APIPromise($do163(client, request, options));
}
async function $do163(client, request, options) {
  const parsed = safeParse(request, (value) => RequestDeleteRequestBody$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload, { explode: true });
  const path = pathToFunc("/v1/user")();
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "requestDelete",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "DELETE",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(202, RequestDeleteResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([402, 403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_userRequestDelete = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_requestdeleteop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/userRequestDelete.ts
var args161, tool$userRequestDelete;
var init_userRequestDelete2 = __esm(() => {
  init_userRequestDelete();
  init_requestdeleteop();
  init_tools();
  args161 = {
    request: RequestDeleteRequestBody$inboundSchema
  };
  tool$userRequestDelete = {
    name: "user-request-delete",
    description: `Delete User Account

Initiates the deletion process for the currently authenticated User, by sending a deletion confirmation email. The email contains a link that the user needs to visit in order to proceed with the deletion process.`,
    args: args161,
    tool: async (client, args162, ctx) => {
      const [result, apiCall] = await userRequestDelete(client, args162.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/createwebhookop.ts
var Events, CreateWebhookEvents, Events$inboundSchema, Events$outboundSchema, Events$, CreateWebhookRequestBody$inboundSchema, CreateWebhookRequestBody$outboundSchema, CreateWebhookRequestBody$, CreateWebhookRequest$inboundSchema, CreateWebhookRequest$outboundSchema, CreateWebhookRequest$, CreateWebhookEvents$inboundSchema, CreateWebhookEvents$outboundSchema, CreateWebhookEvents$, CreateWebhookResponseBody$inboundSchema, CreateWebhookResponseBody$outboundSchema, CreateWebhookResponseBody$;
var init_createwebhookop = __esm(() => {
  init_esm();
  init_primitives();
  Events = {
    BudgetReached: "budget.reached",
    BudgetReset: "budget.reset",
    DomainCreated: "domain.created",
    DeploymentCreated: "deployment.created",
    DeploymentError: "deployment.error",
    DeploymentCanceled: "deployment.canceled",
    DeploymentSucceeded: "deployment.succeeded",
    DeploymentReady: "deployment.ready",
    DeploymentCheckRerequested: "deployment.check-rerequested",
    DeploymentPromoted: "deployment.promoted",
    DeploymentIntegrationActionStart: "deployment.integration.action.start",
    DeploymentIntegrationActionCancel: "deployment.integration.action.cancel",
    DeploymentIntegrationActionCleanup: "deployment.integration.action.cleanup",
    EdgeConfigCreated: "edge-config.created",
    EdgeConfigDeleted: "edge-config.deleted",
    EdgeConfigItemsUpdated: "edge-config.items.updated",
    FirewallAttack: "firewall.attack",
    IntegrationConfigurationPermissionUpgraded: "integration-configuration.permission-upgraded",
    IntegrationConfigurationRemoved: "integration-configuration.removed",
    IntegrationConfigurationScopeChangeConfirmed: "integration-configuration.scope-change-confirmed",
    IntegrationResourceProjectConnected: "integration-resource.project-connected",
    IntegrationResourceProjectDisconnected: "integration-resource.project-disconnected",
    ProjectCreated: "project.created",
    ProjectRemoved: "project.removed",
    ProjectDomainVerified: "project.domain.verified",
    ProjectRollingReleaseStarted: "project.rolling-release.started",
    ProjectRollingReleaseAborted: "project.rolling-release.aborted",
    ProjectRollingReleaseCompleted: "project.rolling-release.completed",
    ProjectRollingReleaseApproved: "project.rolling-release.approved",
    DeploymentChecksCompletedLegacy: "deployment-checks-completed",
    DeploymentReadyLegacy: "deployment-ready",
    DeploymentPreparedLegacy: "deployment-prepared",
    DeploymentErrorLegacy: "deployment-error",
    DeploymentCheckRerequestedLegacy: "deployment-check-rerequested",
    DeploymentCanceledLegacy: "deployment-canceled",
    ProjectCreatedLegacy: "project-created",
    ProjectRemovedLegacy: "project-removed",
    DomainCreatedLegacy: "domain-created",
    DeploymentLegacy: "deployment",
    IntegrationConfigurationPermissionUpdatedLegacy: "integration-configuration-permission-updated",
    IntegrationConfigurationRemovedLegacy: "integration-configuration-removed",
    IntegrationConfigurationScopeChangeConfirmedLegacy: "integration-configuration-scope-change-confirmed",
    MarketplaceInvoiceCreated: "marketplace.invoice.created",
    MarketplaceInvoicePaid: "marketplace.invoice.paid",
    MarketplaceInvoiceNotpaid: "marketplace.invoice.notpaid",
    MarketplaceInvoiceRefunded: "marketplace.invoice.refunded",
    ObservabilityAnomaly: "observability.anomaly",
    TestWebhook: "test-webhook"
  };
  CreateWebhookEvents = {
    BudgetReached: "budget.reached",
    BudgetReset: "budget.reset",
    DomainCreated: "domain.created",
    DeploymentCreated: "deployment.created",
    DeploymentError: "deployment.error",
    DeploymentCanceled: "deployment.canceled",
    DeploymentSucceeded: "deployment.succeeded",
    DeploymentReady: "deployment.ready",
    DeploymentCheckRerequested: "deployment.check-rerequested",
    DeploymentPromoted: "deployment.promoted",
    DeploymentIntegrationActionStart: "deployment.integration.action.start",
    DeploymentIntegrationActionCancel: "deployment.integration.action.cancel",
    DeploymentIntegrationActionCleanup: "deployment.integration.action.cleanup",
    EdgeConfigCreated: "edge-config.created",
    EdgeConfigDeleted: "edge-config.deleted",
    EdgeConfigItemsUpdated: "edge-config.items.updated",
    FirewallAttack: "firewall.attack",
    IntegrationConfigurationPermissionUpgraded: "integration-configuration.permission-upgraded",
    IntegrationConfigurationRemoved: "integration-configuration.removed",
    IntegrationConfigurationScopeChangeConfirmed: "integration-configuration.scope-change-confirmed",
    IntegrationResourceProjectConnected: "integration-resource.project-connected",
    IntegrationResourceProjectDisconnected: "integration-resource.project-disconnected",
    ProjectCreated: "project.created",
    ProjectRemoved: "project.removed",
    ProjectDomainVerified: "project.domain.verified",
    ProjectRollingReleaseStarted: "project.rolling-release.started",
    ProjectRollingReleaseAborted: "project.rolling-release.aborted",
    ProjectRollingReleaseCompleted: "project.rolling-release.completed",
    ProjectRollingReleaseApproved: "project.rolling-release.approved",
    DeploymentChecksCompletedLegacy: "deployment-checks-completed",
    DeploymentReadyLegacy: "deployment-ready",
    DeploymentPreparedLegacy: "deployment-prepared",
    DeploymentErrorLegacy: "deployment-error",
    DeploymentCheckRerequestedLegacy: "deployment-check-rerequested",
    DeploymentCanceledLegacy: "deployment-canceled",
    ProjectCreatedLegacy: "project-created",
    ProjectRemovedLegacy: "project-removed",
    DomainCreatedLegacy: "domain-created",
    DeploymentLegacy: "deployment",
    IntegrationConfigurationPermissionUpdatedLegacy: "integration-configuration-permission-updated",
    IntegrationConfigurationRemovedLegacy: "integration-configuration-removed",
    IntegrationConfigurationScopeChangeConfirmedLegacy: "integration-configuration-scope-change-confirmed",
    MarketplaceInvoiceCreated: "marketplace.invoice.created",
    MarketplaceInvoicePaid: "marketplace.invoice.paid",
    MarketplaceInvoiceNotpaid: "marketplace.invoice.notpaid",
    MarketplaceInvoiceRefunded: "marketplace.invoice.refunded",
    ObservabilityAnomaly: "observability.anomaly",
    TestWebhook: "test-webhook"
  };
  Events$inboundSchema = nativeEnumType(Events);
  Events$outboundSchema = Events$inboundSchema;
  ((Events$) => {
    Events$.inboundSchema = Events$inboundSchema;
    Events$.outboundSchema = Events$outboundSchema;
  })(Events$ ||= {});
  CreateWebhookRequestBody$inboundSchema = objectType({
    url: stringType(),
    events: arrayType(Events$inboundSchema),
    projectIds: arrayType(stringType()).optional()
  });
  CreateWebhookRequestBody$outboundSchema = objectType({
    url: stringType(),
    events: arrayType(Events$outboundSchema),
    projectIds: arrayType(stringType()).optional()
  });
  ((CreateWebhookRequestBody$) => {
    CreateWebhookRequestBody$.inboundSchema = CreateWebhookRequestBody$inboundSchema;
    CreateWebhookRequestBody$.outboundSchema = CreateWebhookRequestBody$outboundSchema;
  })(CreateWebhookRequestBody$ ||= {});
  CreateWebhookRequest$inboundSchema = objectType({
    teamId: stringType().optional(),
    slug: stringType().optional(),
    RequestBody: lazyType(() => CreateWebhookRequestBody$inboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      RequestBody: "requestBody"
    });
  });
  CreateWebhookRequest$outboundSchema = objectType({
    teamId: stringType().optional(),
    slug: stringType().optional(),
    requestBody: lazyType(() => CreateWebhookRequestBody$outboundSchema)
  }).transform((v2) => {
    return remap(v2, {
      requestBody: "RequestBody"
    });
  });
  ((CreateWebhookRequest$) => {
    CreateWebhookRequest$.inboundSchema = CreateWebhookRequest$inboundSchema;
    CreateWebhookRequest$.outboundSchema = CreateWebhookRequest$outboundSchema;
  })(CreateWebhookRequest$ ||= {});
  CreateWebhookEvents$inboundSchema = nativeEnumType(CreateWebhookEvents);
  CreateWebhookEvents$outboundSchema = CreateWebhookEvents$inboundSchema;
  ((CreateWebhookEvents$) => {
    CreateWebhookEvents$.inboundSchema = CreateWebhookEvents$inboundSchema;
    CreateWebhookEvents$.outboundSchema = CreateWebhookEvents$outboundSchema;
  })(CreateWebhookEvents$ ||= {});
  CreateWebhookResponseBody$inboundSchema = objectType({
    secret: stringType(),
    events: arrayType(CreateWebhookEvents$inboundSchema),
    id: stringType(),
    url: stringType(),
    ownerId: stringType(),
    createdAt: numberType(),
    updatedAt: numberType(),
    projectIds: arrayType(stringType()).optional()
  });
  CreateWebhookResponseBody$outboundSchema = objectType({
    secret: stringType(),
    events: arrayType(CreateWebhookEvents$outboundSchema),
    id: stringType(),
    url: stringType(),
    ownerId: stringType(),
    createdAt: numberType(),
    updatedAt: numberType(),
    projectIds: arrayType(stringType()).optional()
  });
  ((CreateWebhookResponseBody$) => {
    CreateWebhookResponseBody$.inboundSchema = CreateWebhookResponseBody$inboundSchema;
    CreateWebhookResponseBody$.outboundSchema = CreateWebhookResponseBody$outboundSchema;
  })(CreateWebhookResponseBody$ ||= {});
});

// src/funcs/webhooksCreateWebhook.ts
function webhooksCreateWebhook(client, request, options) {
  return new APIPromise($do164(client, request, options));
}
async function $do164(client, request, options) {
  const parsed = safeParse(request, (value) => CreateWebhookRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const path = pathToFunc("/v1/webhooks")();
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "createWebhook",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, CreateWebhookResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_webhooksCreateWebhook = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_createwebhookop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/webhooksCreateWebhook.ts
var args162, tool$webhooksCreateWebhook;
var init_webhooksCreateWebhook2 = __esm(() => {
  init_webhooksCreateWebhook();
  init_createwebhookop();
  init_tools();
  args162 = {
    request: CreateWebhookRequest$inboundSchema
  };
  tool$webhooksCreateWebhook = {
    name: "webhooks-create-webhook",
    description: `Creates a webhook

Creates a webhook`,
    args: args162,
    tool: async (client, args163, ctx) => {
      const [result, apiCall] = await webhooksCreateWebhook(client, args163.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/deletewebhookop.ts
var DeleteWebhookRequest$inboundSchema, DeleteWebhookRequest$outboundSchema, DeleteWebhookRequest$;
var init_deletewebhookop = __esm(() => {
  init_esm();
  DeleteWebhookRequest$inboundSchema = objectType({
    id: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  DeleteWebhookRequest$outboundSchema = objectType({
    id: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((DeleteWebhookRequest$) => {
    DeleteWebhookRequest$.inboundSchema = DeleteWebhookRequest$inboundSchema;
    DeleteWebhookRequest$.outboundSchema = DeleteWebhookRequest$outboundSchema;
  })(DeleteWebhookRequest$ ||= {});
});

// src/funcs/webhooksDeleteWebhook.ts
function webhooksDeleteWebhook(client, request, options) {
  return new APIPromise($do165(client, request, options));
}
async function $do165(client, request, options) {
  const parsed = safeParse(request, (value) => DeleteWebhookRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    id: encodeSimple("id", payload.id, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/webhooks/{id}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "deleteWebhook",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "DELETE",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(nil(204, voidType()), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_webhooksDeleteWebhook = __esm(() => {
  init_esm();
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_deletewebhookop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/webhooksDeleteWebhook.ts
var args163, tool$webhooksDeleteWebhook;
var init_webhooksDeleteWebhook2 = __esm(() => {
  init_webhooksDeleteWebhook();
  init_deletewebhookop();
  init_tools();
  args163 = {
    request: DeleteWebhookRequest$inboundSchema
  };
  tool$webhooksDeleteWebhook = {
    name: "webhooks-delete-webhook",
    description: `Deletes a webhook

Deletes a webhook`,
    args: args163,
    tool: async (client, args164, ctx) => {
      const [result, apiCall] = await webhooksDeleteWebhook(client, args164.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      return formatResult(undefined, apiCall);
    }
  };
});

// src/models/getwebhookop.ts
var GetWebhookEvents, GetWebhookRequest$inboundSchema, GetWebhookRequest$outboundSchema, GetWebhookRequest$, GetWebhookEvents$inboundSchema, GetWebhookEvents$outboundSchema, GetWebhookEvents$, GetWebhookResponseBody$inboundSchema, GetWebhookResponseBody$outboundSchema, GetWebhookResponseBody$;
var init_getwebhookop = __esm(() => {
  init_esm();
  GetWebhookEvents = {
    BudgetReached: "budget.reached",
    BudgetReset: "budget.reset",
    DomainCreated: "domain.created",
    DeploymentCreated: "deployment.created",
    DeploymentError: "deployment.error",
    DeploymentCanceled: "deployment.canceled",
    DeploymentSucceeded: "deployment.succeeded",
    DeploymentReady: "deployment.ready",
    DeploymentCheckRerequested: "deployment.check-rerequested",
    DeploymentPromoted: "deployment.promoted",
    DeploymentIntegrationActionStart: "deployment.integration.action.start",
    DeploymentIntegrationActionCancel: "deployment.integration.action.cancel",
    DeploymentIntegrationActionCleanup: "deployment.integration.action.cleanup",
    EdgeConfigCreated: "edge-config.created",
    EdgeConfigDeleted: "edge-config.deleted",
    EdgeConfigItemsUpdated: "edge-config.items.updated",
    FirewallAttack: "firewall.attack",
    IntegrationConfigurationPermissionUpgraded: "integration-configuration.permission-upgraded",
    IntegrationConfigurationRemoved: "integration-configuration.removed",
    IntegrationConfigurationScopeChangeConfirmed: "integration-configuration.scope-change-confirmed",
    IntegrationResourceProjectConnected: "integration-resource.project-connected",
    IntegrationResourceProjectDisconnected: "integration-resource.project-disconnected",
    ProjectCreated: "project.created",
    ProjectRemoved: "project.removed",
    ProjectDomainVerified: "project.domain.verified",
    ProjectRollingReleaseStarted: "project.rolling-release.started",
    ProjectRollingReleaseAborted: "project.rolling-release.aborted",
    ProjectRollingReleaseCompleted: "project.rolling-release.completed",
    ProjectRollingReleaseApproved: "project.rolling-release.approved",
    DeploymentChecksCompletedLegacy: "deployment-checks-completed",
    DeploymentReadyLegacy: "deployment-ready",
    DeploymentPreparedLegacy: "deployment-prepared",
    DeploymentErrorLegacy: "deployment-error",
    DeploymentCheckRerequestedLegacy: "deployment-check-rerequested",
    DeploymentCanceledLegacy: "deployment-canceled",
    ProjectCreatedLegacy: "project-created",
    ProjectRemovedLegacy: "project-removed",
    DomainCreatedLegacy: "domain-created",
    DeploymentLegacy: "deployment",
    IntegrationConfigurationPermissionUpdatedLegacy: "integration-configuration-permission-updated",
    IntegrationConfigurationRemovedLegacy: "integration-configuration-removed",
    IntegrationConfigurationScopeChangeConfirmedLegacy: "integration-configuration-scope-change-confirmed",
    MarketplaceInvoiceCreated: "marketplace.invoice.created",
    MarketplaceInvoicePaid: "marketplace.invoice.paid",
    MarketplaceInvoiceNotpaid: "marketplace.invoice.notpaid",
    MarketplaceInvoiceRefunded: "marketplace.invoice.refunded",
    ObservabilityAnomaly: "observability.anomaly",
    TestWebhook: "test-webhook"
  };
  GetWebhookRequest$inboundSchema = objectType({
    id: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  GetWebhookRequest$outboundSchema = objectType({
    id: stringType(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((GetWebhookRequest$) => {
    GetWebhookRequest$.inboundSchema = GetWebhookRequest$inboundSchema;
    GetWebhookRequest$.outboundSchema = GetWebhookRequest$outboundSchema;
  })(GetWebhookRequest$ ||= {});
  GetWebhookEvents$inboundSchema = nativeEnumType(GetWebhookEvents);
  GetWebhookEvents$outboundSchema = GetWebhookEvents$inboundSchema;
  ((GetWebhookEvents$) => {
    GetWebhookEvents$.inboundSchema = GetWebhookEvents$inboundSchema;
    GetWebhookEvents$.outboundSchema = GetWebhookEvents$outboundSchema;
  })(GetWebhookEvents$ ||= {});
  GetWebhookResponseBody$inboundSchema = objectType({
    events: arrayType(GetWebhookEvents$inboundSchema),
    id: stringType(),
    url: stringType(),
    ownerId: stringType(),
    createdAt: numberType(),
    updatedAt: numberType(),
    projectIds: arrayType(stringType()).optional()
  });
  GetWebhookResponseBody$outboundSchema = objectType({
    events: arrayType(GetWebhookEvents$outboundSchema),
    id: stringType(),
    url: stringType(),
    ownerId: stringType(),
    createdAt: numberType(),
    updatedAt: numberType(),
    projectIds: arrayType(stringType()).optional()
  });
  ((GetWebhookResponseBody$) => {
    GetWebhookResponseBody$.inboundSchema = GetWebhookResponseBody$inboundSchema;
    GetWebhookResponseBody$.outboundSchema = GetWebhookResponseBody$outboundSchema;
  })(GetWebhookResponseBody$ ||= {});
});

// src/funcs/webhooksGetWebhook.ts
function webhooksGetWebhook(client, request, options) {
  return new APIPromise($do166(client, request, options));
}
async function $do166(client, request, options) {
  const parsed = safeParse(request, (value) => GetWebhookRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    id: encodeSimple("id", payload.id, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/webhooks/{id}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "getWebhook",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetWebhookResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_webhooksGetWebhook = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_getwebhookop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/webhooksGetWebhook.ts
var args164, tool$webhooksGetWebhook;
var init_webhooksGetWebhook2 = __esm(() => {
  init_webhooksGetWebhook();
  init_getwebhookop();
  init_tools();
  args164 = {
    request: GetWebhookRequest$inboundSchema
  };
  tool$webhooksGetWebhook = {
    name: "webhooks-get-webhook",
    description: `Get a webhook

Get a webhook`,
    args: args164,
    tool: async (client, args165, ctx) => {
      const [result, apiCall] = await webhooksGetWebhook(client, args165.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/models/getwebhooksop.ts
var GetWebhooksResponseBodyEvents, GetWebhooksResponseBodyFramework, ResponseBodyEvents, GetWebhooksRequest$inboundSchema, GetWebhooksRequest$outboundSchema, GetWebhooksRequest$, GetWebhooksResponseBodyEvents$inboundSchema, GetWebhooksResponseBodyEvents$outboundSchema, GetWebhooksResponseBodyEvents$, GetWebhooksResponseBody2$inboundSchema, GetWebhooksResponseBody2$outboundSchema, GetWebhooksResponseBody2$, GetWebhooksResponseBodyFramework$inboundSchema, GetWebhooksResponseBodyFramework$outboundSchema, GetWebhooksResponseBodyFramework$, ProjectsMetadata$inboundSchema, ProjectsMetadata$outboundSchema, ProjectsMetadata$, ResponseBodyEvents$inboundSchema, ResponseBodyEvents$outboundSchema, ResponseBodyEvents$, GetWebhooksResponseBody1$inboundSchema, GetWebhooksResponseBody1$outboundSchema, GetWebhooksResponseBody1$, GetWebhooksResponseBody$inboundSchema, GetWebhooksResponseBody$outboundSchema, GetWebhooksResponseBody$;
var init_getwebhooksop = __esm(() => {
  init_esm();
  GetWebhooksResponseBodyEvents = {
    BudgetReached: "budget.reached",
    BudgetReset: "budget.reset",
    DomainCreated: "domain.created",
    DeploymentCreated: "deployment.created",
    DeploymentError: "deployment.error",
    DeploymentCanceled: "deployment.canceled",
    DeploymentSucceeded: "deployment.succeeded",
    DeploymentReady: "deployment.ready",
    DeploymentCheckRerequested: "deployment.check-rerequested",
    DeploymentPromoted: "deployment.promoted",
    DeploymentIntegrationActionStart: "deployment.integration.action.start",
    DeploymentIntegrationActionCancel: "deployment.integration.action.cancel",
    DeploymentIntegrationActionCleanup: "deployment.integration.action.cleanup",
    EdgeConfigCreated: "edge-config.created",
    EdgeConfigDeleted: "edge-config.deleted",
    EdgeConfigItemsUpdated: "edge-config.items.updated",
    FirewallAttack: "firewall.attack",
    IntegrationConfigurationPermissionUpgraded: "integration-configuration.permission-upgraded",
    IntegrationConfigurationRemoved: "integration-configuration.removed",
    IntegrationConfigurationScopeChangeConfirmed: "integration-configuration.scope-change-confirmed",
    IntegrationResourceProjectConnected: "integration-resource.project-connected",
    IntegrationResourceProjectDisconnected: "integration-resource.project-disconnected",
    ProjectCreated: "project.created",
    ProjectRemoved: "project.removed",
    ProjectDomainVerified: "project.domain.verified",
    ProjectRollingReleaseStarted: "project.rolling-release.started",
    ProjectRollingReleaseAborted: "project.rolling-release.aborted",
    ProjectRollingReleaseCompleted: "project.rolling-release.completed",
    ProjectRollingReleaseApproved: "project.rolling-release.approved",
    DeploymentChecksCompletedLegacy: "deployment-checks-completed",
    DeploymentReadyLegacy: "deployment-ready",
    DeploymentPreparedLegacy: "deployment-prepared",
    DeploymentErrorLegacy: "deployment-error",
    DeploymentCheckRerequestedLegacy: "deployment-check-rerequested",
    DeploymentCanceledLegacy: "deployment-canceled",
    ProjectCreatedLegacy: "project-created",
    ProjectRemovedLegacy: "project-removed",
    DomainCreatedLegacy: "domain-created",
    DeploymentLegacy: "deployment",
    IntegrationConfigurationPermissionUpdatedLegacy: "integration-configuration-permission-updated",
    IntegrationConfigurationRemovedLegacy: "integration-configuration-removed",
    IntegrationConfigurationScopeChangeConfirmedLegacy: "integration-configuration-scope-change-confirmed",
    MarketplaceInvoiceCreated: "marketplace.invoice.created",
    MarketplaceInvoicePaid: "marketplace.invoice.paid",
    MarketplaceInvoiceNotpaid: "marketplace.invoice.notpaid",
    MarketplaceInvoiceRefunded: "marketplace.invoice.refunded",
    ObservabilityAnomaly: "observability.anomaly",
    TestWebhook: "test-webhook"
  };
  GetWebhooksResponseBodyFramework = {
    Blitzjs: "blitzjs",
    Nextjs: "nextjs",
    Gatsby: "gatsby",
    Remix: "remix",
    ReactRouter: "react-router",
    Astro: "astro",
    Hexo: "hexo",
    Eleventy: "eleventy",
    Docusaurus2: "docusaurus-2",
    Docusaurus: "docusaurus",
    Preact: "preact",
    Solidstart1: "solidstart-1",
    Solidstart: "solidstart",
    Dojo: "dojo",
    Ember: "ember",
    Vue: "vue",
    Scully: "scully",
    IonicAngular: "ionic-angular",
    Angular: "angular",
    Polymer: "polymer",
    Svelte: "svelte",
    Sveltekit: "sveltekit",
    Sveltekit1: "sveltekit-1",
    IonicReact: "ionic-react",
    CreateReactApp: "create-react-app",
    Gridsome: "gridsome",
    Umijs: "umijs",
    Sapper: "sapper",
    Saber: "saber",
    Stencil: "stencil",
    Nuxtjs: "nuxtjs",
    Redwoodjs: "redwoodjs",
    Hugo: "hugo",
    Jekyll: "jekyll",
    Brunch: "brunch",
    Middleman: "middleman",
    Zola: "zola",
    Hydrogen: "hydrogen",
    Vite: "vite",
    Vitepress: "vitepress",
    Vuepress: "vuepress",
    Parcel: "parcel",
    Fasthtml: "fasthtml",
    SanityV3: "sanity-v3",
    Sanity: "sanity",
    Storybook: "storybook"
  };
  ResponseBodyEvents = {
    BudgetReached: "budget.reached",
    BudgetReset: "budget.reset",
    DomainCreated: "domain.created",
    DeploymentCreated: "deployment.created",
    DeploymentError: "deployment.error",
    DeploymentCanceled: "deployment.canceled",
    DeploymentSucceeded: "deployment.succeeded",
    DeploymentReady: "deployment.ready",
    DeploymentCheckRerequested: "deployment.check-rerequested",
    DeploymentPromoted: "deployment.promoted",
    DeploymentIntegrationActionStart: "deployment.integration.action.start",
    DeploymentIntegrationActionCancel: "deployment.integration.action.cancel",
    DeploymentIntegrationActionCleanup: "deployment.integration.action.cleanup",
    EdgeConfigCreated: "edge-config.created",
    EdgeConfigDeleted: "edge-config.deleted",
    EdgeConfigItemsUpdated: "edge-config.items.updated",
    FirewallAttack: "firewall.attack",
    IntegrationConfigurationPermissionUpgraded: "integration-configuration.permission-upgraded",
    IntegrationConfigurationRemoved: "integration-configuration.removed",
    IntegrationConfigurationScopeChangeConfirmed: "integration-configuration.scope-change-confirmed",
    IntegrationResourceProjectConnected: "integration-resource.project-connected",
    IntegrationResourceProjectDisconnected: "integration-resource.project-disconnected",
    ProjectCreated: "project.created",
    ProjectRemoved: "project.removed",
    ProjectDomainVerified: "project.domain.verified",
    ProjectRollingReleaseStarted: "project.rolling-release.started",
    ProjectRollingReleaseAborted: "project.rolling-release.aborted",
    ProjectRollingReleaseCompleted: "project.rolling-release.completed",
    ProjectRollingReleaseApproved: "project.rolling-release.approved",
    DeploymentChecksCompletedLegacy: "deployment-checks-completed",
    DeploymentReadyLegacy: "deployment-ready",
    DeploymentPreparedLegacy: "deployment-prepared",
    DeploymentErrorLegacy: "deployment-error",
    DeploymentCheckRerequestedLegacy: "deployment-check-rerequested",
    DeploymentCanceledLegacy: "deployment-canceled",
    ProjectCreatedLegacy: "project-created",
    ProjectRemovedLegacy: "project-removed",
    DomainCreatedLegacy: "domain-created",
    DeploymentLegacy: "deployment",
    IntegrationConfigurationPermissionUpdatedLegacy: "integration-configuration-permission-updated",
    IntegrationConfigurationRemovedLegacy: "integration-configuration-removed",
    IntegrationConfigurationScopeChangeConfirmedLegacy: "integration-configuration-scope-change-confirmed",
    MarketplaceInvoiceCreated: "marketplace.invoice.created",
    MarketplaceInvoicePaid: "marketplace.invoice.paid",
    MarketplaceInvoiceNotpaid: "marketplace.invoice.notpaid",
    MarketplaceInvoiceRefunded: "marketplace.invoice.refunded",
    ObservabilityAnomaly: "observability.anomaly",
    TestWebhook: "test-webhook"
  };
  GetWebhooksRequest$inboundSchema = objectType({
    projectId: stringType().optional(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  GetWebhooksRequest$outboundSchema = objectType({
    projectId: stringType().optional(),
    teamId: stringType().optional(),
    slug: stringType().optional()
  });
  ((GetWebhooksRequest$) => {
    GetWebhooksRequest$.inboundSchema = GetWebhooksRequest$inboundSchema;
    GetWebhooksRequest$.outboundSchema = GetWebhooksRequest$outboundSchema;
  })(GetWebhooksRequest$ ||= {});
  GetWebhooksResponseBodyEvents$inboundSchema = nativeEnumType(GetWebhooksResponseBodyEvents);
  GetWebhooksResponseBodyEvents$outboundSchema = GetWebhooksResponseBodyEvents$inboundSchema;
  ((GetWebhooksResponseBodyEvents$) => {
    GetWebhooksResponseBodyEvents$.inboundSchema = GetWebhooksResponseBodyEvents$inboundSchema;
    GetWebhooksResponseBodyEvents$.outboundSchema = GetWebhooksResponseBodyEvents$outboundSchema;
  })(GetWebhooksResponseBodyEvents$ ||= {});
  GetWebhooksResponseBody2$inboundSchema = objectType({
    events: arrayType(GetWebhooksResponseBodyEvents$inboundSchema),
    id: stringType(),
    url: stringType(),
    ownerId: stringType(),
    createdAt: numberType(),
    updatedAt: numberType(),
    projectIds: arrayType(stringType()).optional()
  });
  GetWebhooksResponseBody2$outboundSchema = objectType({
    events: arrayType(GetWebhooksResponseBodyEvents$outboundSchema),
    id: stringType(),
    url: stringType(),
    ownerId: stringType(),
    createdAt: numberType(),
    updatedAt: numberType(),
    projectIds: arrayType(stringType()).optional()
  });
  ((GetWebhooksResponseBody2$) => {
    GetWebhooksResponseBody2$.inboundSchema = GetWebhooksResponseBody2$inboundSchema;
    GetWebhooksResponseBody2$.outboundSchema = GetWebhooksResponseBody2$outboundSchema;
  })(GetWebhooksResponseBody2$ ||= {});
  GetWebhooksResponseBodyFramework$inboundSchema = nativeEnumType(GetWebhooksResponseBodyFramework);
  GetWebhooksResponseBodyFramework$outboundSchema = GetWebhooksResponseBodyFramework$inboundSchema;
  ((GetWebhooksResponseBodyFramework$) => {
    GetWebhooksResponseBodyFramework$.inboundSchema = GetWebhooksResponseBodyFramework$inboundSchema;
    GetWebhooksResponseBodyFramework$.outboundSchema = GetWebhooksResponseBodyFramework$outboundSchema;
  })(GetWebhooksResponseBodyFramework$ ||= {});
  ProjectsMetadata$inboundSchema = objectType({
    id: stringType(),
    name: stringType(),
    framework: nullableType(GetWebhooksResponseBodyFramework$inboundSchema).optional(),
    latestDeployment: stringType().optional()
  });
  ProjectsMetadata$outboundSchema = objectType({
    id: stringType(),
    name: stringType(),
    framework: nullableType(GetWebhooksResponseBodyFramework$outboundSchema).optional(),
    latestDeployment: stringType().optional()
  });
  ((ProjectsMetadata$) => {
    ProjectsMetadata$.inboundSchema = ProjectsMetadata$inboundSchema;
    ProjectsMetadata$.outboundSchema = ProjectsMetadata$outboundSchema;
  })(ProjectsMetadata$ ||= {});
  ResponseBodyEvents$inboundSchema = nativeEnumType(ResponseBodyEvents);
  ResponseBodyEvents$outboundSchema = ResponseBodyEvents$inboundSchema;
  ((ResponseBodyEvents$) => {
    ResponseBodyEvents$.inboundSchema = ResponseBodyEvents$inboundSchema;
    ResponseBodyEvents$.outboundSchema = ResponseBodyEvents$outboundSchema;
  })(ResponseBodyEvents$ ||= {});
  GetWebhooksResponseBody1$inboundSchema = objectType({
    projectsMetadata: nullableType(arrayType(lazyType(() => ProjectsMetadata$inboundSchema))),
    events: arrayType(ResponseBodyEvents$inboundSchema),
    id: stringType(),
    url: stringType(),
    ownerId: stringType(),
    createdAt: numberType(),
    updatedAt: numberType(),
    projectIds: arrayType(stringType()).optional()
  });
  GetWebhooksResponseBody1$outboundSchema = objectType({
    projectsMetadata: nullableType(arrayType(lazyType(() => ProjectsMetadata$outboundSchema))),
    events: arrayType(ResponseBodyEvents$outboundSchema),
    id: stringType(),
    url: stringType(),
    ownerId: stringType(),
    createdAt: numberType(),
    updatedAt: numberType(),
    projectIds: arrayType(stringType()).optional()
  });
  ((GetWebhooksResponseBody1$) => {
    GetWebhooksResponseBody1$.inboundSchema = GetWebhooksResponseBody1$inboundSchema;
    GetWebhooksResponseBody1$.outboundSchema = GetWebhooksResponseBody1$outboundSchema;
  })(GetWebhooksResponseBody1$ ||= {});
  GetWebhooksResponseBody$inboundSchema = unionType([
    arrayType(lazyType(() => GetWebhooksResponseBody1$inboundSchema)),
    arrayType(lazyType(() => GetWebhooksResponseBody2$inboundSchema))
  ]);
  GetWebhooksResponseBody$outboundSchema = unionType([
    arrayType(lazyType(() => GetWebhooksResponseBody1$outboundSchema)),
    arrayType(lazyType(() => GetWebhooksResponseBody2$outboundSchema))
  ]);
  ((GetWebhooksResponseBody$) => {
    GetWebhooksResponseBody$.inboundSchema = GetWebhooksResponseBody$inboundSchema;
    GetWebhooksResponseBody$.outboundSchema = GetWebhooksResponseBody$outboundSchema;
  })(GetWebhooksResponseBody$ ||= {});
});

// src/funcs/webhooksGetWebhooks.ts
function webhooksGetWebhooks(client, request, options) {
  return new APIPromise($do167(client, request, options));
}
async function $do167(client, request, options) {
  const parsed = safeParse(request, (value) => GetWebhooksRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return [parsed, { status: "invalid" }];
  }
  const payload = parsed.value;
  const body = null;
  const path = pathToFunc("/v1/webhooks")();
  const query = encodeFormQuery({
    projectId: payload.projectId,
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    baseURL: options?.serverURL ?? client._baseURL ?? "",
    operationID: "getWebhooks",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return [requestRes, { status: "invalid" }];
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return [doResult, { status: "request-error", request: req }];
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetWebhooksResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return [result, { status: "complete", request: req, response }];
  }
  return [result, { status: "complete", request: req, response }];
}
var init_webhooksGetWebhooks = __esm(() => {
  init_encodings();
  init_matchers();
  init_primitives();
  init_schemas();
  init_security();
  init_url();
  init_getwebhooksop();
  init_vercelbadrequesterror();
  init_vercelforbiddenerror();
  init_async();
});

// src/mcp-server/tools/webhooksGetWebhooks.ts
var args165, tool$webhooksGetWebhooks;
var init_webhooksGetWebhooks2 = __esm(() => {
  init_webhooksGetWebhooks();
  init_getwebhooksop();
  init_tools();
  args165 = {
    request: GetWebhooksRequest$inboundSchema
  };
  tool$webhooksGetWebhooks = {
    name: "webhooks-get-webhooks",
    description: `Get a list of webhooks

Get a list of webhooks`,
    args: args165,
    tool: async (client, args166, ctx) => {
      const [result, apiCall] = await webhooksGetWebhooks(client, args166.request, { fetchOptions: { signal: ctx.signal } }).$inspect();
      if (!result.ok) {
        return {
          content: [{ type: "text", text: result.error.message }],
          isError: true
        };
      }
      const value = result.value;
      return formatResult(value, apiCall);
    }
  };
});

// src/mcp-server/server.ts
function createMCPServer(deps) {
  const server = new McpServer({
    name: "Vercel",
    version: "1.7.7"
  });
  const client = new VercelCore({
    bearerToken: deps.bearerToken,
    serverURL: deps.serverURL,
    serverIdx: deps.serverIdx
  });
  const scopes = new Set(deps.scopes);
  const allowedTools = deps.allowedTools && new Set(deps.allowedTools);
  const tool = createRegisterTool(deps.logger, server, client, scopes, allowedTools);
  const resource = createRegisterResource(deps.logger, server, client, scopes);
  const resourceTemplate = createRegisterResourceTemplate(deps.logger, server, client, scopes);
  const prompt = createRegisterPrompt(deps.logger, server, client, scopes);
  const register = { tool, resource, resourceTemplate, prompt };
  tool(tool$postDomains);
  tool(tool$getProjectsProjectIdLogsPresets);
  tool(tool$postProjectsProjectIdLogsPresets);
  tool(tool$deleteProjectsProjectIdLogsPresetsId);
  tool(tool$patchProjectsProjectIdLogsPresetsId);
  tool(tool$accessGroupsReadAccessGroup);
  tool(tool$accessGroupsUpdateAccessGroup);
  tool(tool$accessGroupsDeleteAccessGroup);
  tool(tool$accessGroupsListAccessGroupMembers);
  tool(tool$accessGroupsListAccessGroups);
  tool(tool$accessGroupsCreateAccessGroup);
  tool(tool$accessGroupsListAccessGroupProjects);
  tool(tool$accessGroupsCreateAccessGroupProject);
  tool(tool$accessGroupsReadAccessGroupProject);
  tool(tool$accessGroupsUpdateAccessGroupProject);
  tool(tool$accessGroupsDeleteAccessGroupProject);
  tool(tool$artifactsRecordEvents);
  tool(tool$artifactsStatus);
  tool(tool$artifactsUploadArtifact);
  tool(tool$artifactsDownloadArtifact);
  tool(tool$artifactsArtifactExists);
  tool(tool$artifactsArtifactQuery);
  tool(tool$checksCreateCheck);
  tool(tool$checksGetAllChecks);
  tool(tool$checksGetCheck);
  tool(tool$checksUpdateCheck);
  tool(tool$checksRerequestCheck);
  tool(tool$projectsUpdateProjectDataCache);
  tool(tool$projectsGetProjects);
  tool(tool$projectsCreateProject);
  tool(tool$projectsUpdateProject);
  tool(tool$projectsDeleteProject);
  tool(tool$projectsGetProjectDomains);
  tool(tool$projectsGetProjectDomain);
  tool(tool$projectsUpdateProjectDomain);
  tool(tool$projectsRemoveProjectDomain);
  tool(tool$projectsAddProjectDomain);
  tool(tool$projectsMoveProjectDomain);
  tool(tool$projectsVerifyProjectDomain);
  tool(tool$projectsFilterProjectEnvs);
  tool(tool$projectsCreateProjectEnv);
  tool(tool$projectsGetProjectEnv);
  tool(tool$projectsRemoveProjectEnv);
  tool(tool$projectsEditProjectEnv);
  tool(tool$projectsCreateProjectTransferRequest);
  tool(tool$projectsAcceptProjectTransferRequest);
  tool(tool$projectsUpdateProjectProtectionBypass);
  tool(tool$projectsRequestPromote);
  tool(tool$projectsListPromoteAliases);
  tool(tool$projectsPauseProject);
  tool(tool$projectsUnpauseProject);
  tool(tool$deploymentsGetDeploymentEvents);
  tool(tool$deploymentsUpdateIntegrationDeploymentAction);
  tool(tool$deploymentsGetDeployment);
  tool(tool$deploymentsCreateDeployment);
  tool(tool$deploymentsCancelDeployment);
  tool(tool$deploymentsUploadFile);
  tool(tool$deploymentsListDeploymentFiles);
  tool(tool$deploymentsGetDeploymentFileContents);
  tool(tool$deploymentsGetDeployments);
  tool(tool$deploymentsDeleteDeployment);
  tool(tool$integrationsUpdateIntegrationDeploymentAction);
  tool(tool$integrationsGetConfigurations);
  tool(tool$integrationsGetConfiguration);
  tool(tool$integrationsDeleteConfiguration);
  tool(tool$domainsBuyDomain);
  tool(tool$domainsCheckDomainPrice);
  tool(tool$domainsCheckDomainStatus);
  tool(tool$domainsGetDomainTransfer);
  tool(tool$domainsGetDomainConfig);
  tool(tool$domainsGetDomain);
  tool(tool$domainsGetDomains);
  tool(tool$domainsPatchDomain);
  tool(tool$domainsDeleteDomain);
  tool(tool$dnsGetRecords);
  tool(tool$dnsCreateRecord);
  tool(tool$dnsUpdateRecord);
  tool(tool$dnsRemoveRecord);
  tool(tool$logDrainsDeleteConfigurableLogDrain);
  tool(tool$logDrainsGetIntegrationLogDrains);
  tool(tool$logDrainsCreateLogDrain);
  tool(tool$logDrainsDeleteIntegrationLogDrain);
  tool(tool$edgeConfigGetEdgeConfigs);
  tool(tool$edgeConfigCreateEdgeConfig);
  tool(tool$edgeConfigGetEdgeConfig);
  tool(tool$edgeConfigUpdateEdgeConfig);
  tool(tool$edgeConfigDeleteEdgeConfig);
  tool(tool$edgeConfigGetEdgeConfigItems);
  tool(tool$edgeConfigGetEdgeConfigSchema);
  tool(tool$edgeConfigPatchEdgeConfigSchema);
  tool(tool$edgeConfigDeleteEdgeConfigSchema);
  tool(tool$edgeConfigGetEdgeConfigItem);
  tool(tool$edgeConfigGetEdgeConfigTokens);
  tool(tool$edgeConfigDeleteEdgeConfigTokens);
  tool(tool$edgeConfigGetEdgeConfigToken);
  tool(tool$edgeConfigCreateEdgeConfigToken);
  tool(tool$edgeConfigGetEdgeConfigBackup);
  tool(tool$edgeConfigGetEdgeConfigBackups);
  tool(tool$userListUserEvents);
  tool(tool$userGetAuthUser);
  tool(tool$userRequestDelete);
  tool(tool$marketplaceGetAccountInfo);
  tool(tool$marketplaceGetMember);
  tool(tool$marketplaceCreateEvent);
  tool(tool$marketplaceSubmitBillingData);
  tool(tool$marketplaceSubmitInvoice);
  tool(tool$marketplaceGetInvoice);
  tool(tool$marketplaceUpdateInvoice);
  tool(tool$marketplaceSubmitPrepaymentBalances);
  tool(tool$marketplaceUpdateResourceSecrets);
  tool(tool$marketplaceUpdateResourceSecretsById);
  tool(tool$marketplaceImportResource);
  tool(tool$marketplaceExchangeSsoToken);
  tool(tool$marketplaceCreateInstallationIntegrationConfiguration);
  tool(tool$marketplaceUpdateInstallationIntegrationConfiguration);
  tool(tool$marketplaceDeleteInstallationIntegrationConfiguration);
  tool(tool$marketplaceCreateInstallationIntegrationEdgeConfig);
  tool(tool$marketplaceUpdateInstallationIntegrationEdgeConfig);
  tool(tool$authenticationExchangeSsoToken);
  tool(tool$authenticationListAuthTokens);
  tool(tool$authenticationCreateAuthToken);
  tool(tool$authenticationGetAuthToken);
  tool(tool$authenticationDeleteAuthToken);
  tool(tool$logsGetRuntimeLogs);
  tool(tool$projectMembersGetProjectMembers);
  tool(tool$projectMembersAddProjectMember);
  tool(tool$projectMembersRemoveProjectMember);
  tool(tool$environmentCreateCustomEnvironment);
  tool(tool$environmentGetV9ProjectsIdOrNameCustomEnvironments);
  tool(tool$environmentGetCustomEnvironment);
  tool(tool$environmentUpdateCustomEnvironment);
  tool(tool$environmentRemoveCustomEnvironment);
  tool(tool$securityUpdateAttackChallengeMode);
  tool(tool$securityPutFirewallConfig);
  tool(tool$securityUpdateFirewallConfig);
  tool(tool$securityGetFirewallConfig);
  tool(tool$securityGetActiveAttackStatus);
  tool(tool$securityGetBypassIp);
  tool(tool$securityAddBypassIp);
  tool(tool$securityRemoveBypassIp);
  tool(tool$teamsGetTeamMembers);
  tool(tool$teamsInviteUserToTeam);
  tool(tool$teamsRequestAccessToTeam);
  tool(tool$teamsGetTeamAccessRequest);
  tool(tool$teamsJoinTeam);
  tool(tool$teamsUpdateTeamMember);
  tool(tool$teamsRemoveTeamMember);
  tool(tool$teamsGetTeam);
  tool(tool$teamsPatchTeam);
  tool(tool$teamsGetTeams);
  tool(tool$teamsCreateTeam);
  tool(tool$teamsDeleteTeam);
  tool(tool$teamsDeleteTeamInviteCode);
  tool(tool$webhooksCreateWebhook);
  tool(tool$webhooksGetWebhooks);
  tool(tool$webhooksGetWebhook);
  tool(tool$webhooksDeleteWebhook);
  tool(tool$aliasesListDeploymentAliases);
  tool(tool$aliasesAssignAlias);
  tool(tool$aliasesListAliases);
  tool(tool$aliasesGetAlias);
  tool(tool$aliasesDeleteAlias);
  tool(tool$aliasesPatchUrlProtectionBypass);
  tool(tool$certsGetCertById);
  tool(tool$certsRemoveCert);
  tool(tool$certsIssueCert);
  tool(tool$certsUploadCert);
  return server;
}
var init_server2 = __esm(() => {
  init_mcp();
  init_core();
  init_resources();
  init_tools();
  init_accessGroupsCreateAccessGroup2();
  init_accessGroupsCreateAccessGroupProject2();
  init_accessGroupsDeleteAccessGroup2();
  init_accessGroupsDeleteAccessGroupProject2();
  init_accessGroupsListAccessGroupMembers2();
  init_accessGroupsListAccessGroupProjects2();
  init_accessGroupsListAccessGroups2();
  init_accessGroupsReadAccessGroup2();
  init_accessGroupsReadAccessGroupProject2();
  init_accessGroupsUpdateAccessGroup2();
  init_accessGroupsUpdateAccessGroupProject2();
  init_aliasesAssignAlias2();
  init_aliasesDeleteAlias2();
  init_aliasesGetAlias2();
  init_aliasesListAliases2();
  init_aliasesListDeploymentAliases2();
  init_aliasesPatchUrlProtectionBypass2();
  init_artifactsArtifactExists2();
  init_artifactsArtifactQuery2();
  init_artifactsDownloadArtifact2();
  init_artifactsRecordEvents2();
  init_artifactsStatus2();
  init_artifactsUploadArtifact2();
  init_authenticationCreateAuthToken2();
  init_authenticationDeleteAuthToken2();
  init_authenticationExchangeSsoToken2();
  init_authenticationGetAuthToken2();
  init_authenticationListAuthTokens2();
  init_certsGetCertById2();
  init_certsIssueCert2();
  init_certsRemoveCert2();
  init_certsUploadCert2();
  init_checksCreateCheck2();
  init_checksGetAllChecks2();
  init_checksGetCheck2();
  init_checksRerequestCheck2();
  init_checksUpdateCheck2();
  init_deleteProjectsProjectIdLogsPresetsId2();
  init_deploymentsCancelDeployment2();
  init_deploymentsCreateDeployment2();
  init_deploymentsDeleteDeployment2();
  init_deploymentsGetDeployment2();
  init_deploymentsGetDeploymentEvents2();
  init_deploymentsGetDeploymentFileContents2();
  init_deploymentsGetDeployments2();
  init_deploymentsListDeploymentFiles2();
  init_deploymentsUpdateIntegrationDeploymentAction2();
  init_deploymentsUploadFile2();
  init_dnsCreateRecord2();
  init_dnsGetRecords2();
  init_dnsRemoveRecord2();
  init_dnsUpdateRecord2();
  init_domainsBuyDomain2();
  init_domainsCheckDomainPrice2();
  init_domainsCheckDomainStatus2();
  init_domainsDeleteDomain2();
  init_domainsGetDomain2();
  init_domainsGetDomainConfig2();
  init_domainsGetDomains2();
  init_domainsGetDomainTransfer2();
  init_domainsPatchDomain2();
  init_edgeConfigCreateEdgeConfig2();
  init_edgeConfigCreateEdgeConfigToken2();
  init_edgeConfigDeleteEdgeConfig2();
  init_edgeConfigDeleteEdgeConfigSchema2();
  init_edgeConfigDeleteEdgeConfigTokens2();
  init_edgeConfigGetEdgeConfig2();
  init_edgeConfigGetEdgeConfigBackup2();
  init_edgeConfigGetEdgeConfigBackups2();
  init_edgeConfigGetEdgeConfigItem2();
  init_edgeConfigGetEdgeConfigItems2();
  init_edgeConfigGetEdgeConfigs2();
  init_edgeConfigGetEdgeConfigSchema2();
  init_edgeConfigGetEdgeConfigToken2();
  init_edgeConfigGetEdgeConfigTokens2();
  init_edgeConfigPatchEdgeConfigSchema2();
  init_edgeConfigUpdateEdgeConfig2();
  init_environmentCreateCustomEnvironment2();
  init_environmentGetCustomEnvironment2();
  init_environmentGetV9ProjectsIdOrNameCustomEnvironments2();
  init_environmentRemoveCustomEnvironment2();
  init_environmentUpdateCustomEnvironment2();
  init_getProjectsProjectIdLogsPresets2();
  init_integrationsDeleteConfiguration2();
  init_integrationsGetConfiguration2();
  init_integrationsGetConfigurations2();
  init_integrationsUpdateIntegrationDeploymentAction2();
  init_logDrainsCreateLogDrain2();
  init_logDrainsDeleteConfigurableLogDrain2();
  init_logDrainsDeleteIntegrationLogDrain2();
  init_logDrainsGetIntegrationLogDrains2();
  init_logsGetRuntimeLogs2();
  init_marketplaceCreateEvent2();
  init_marketplaceCreateInstallationIntegrationConfiguration2();
  init_marketplaceCreateInstallationIntegrationEdgeConfig2();
  init_marketplaceDeleteInstallationIntegrationConfiguration2();
  init_marketplaceExchangeSsoToken2();
  init_marketplaceGetAccountInfo2();
  init_marketplaceGetInvoice2();
  init_marketplaceGetMember2();
  init_marketplaceImportResource2();
  init_marketplaceSubmitBillingData2();
  init_marketplaceSubmitInvoice2();
  init_marketplaceSubmitPrepaymentBalances2();
  init_marketplaceUpdateInstallationIntegrationConfiguration2();
  init_marketplaceUpdateInstallationIntegrationEdgeConfig2();
  init_marketplaceUpdateInvoice2();
  init_marketplaceUpdateResourceSecrets2();
  init_marketplaceUpdateResourceSecretsById2();
  init_patchProjectsProjectIdLogsPresetsId2();
  init_postDomains2();
  init_postProjectsProjectIdLogsPresets2();
  init_projectMembersAddProjectMember2();
  init_projectMembersGetProjectMembers2();
  init_projectMembersRemoveProjectMember2();
  init_projectsAcceptProjectTransferRequest2();
  init_projectsAddProjectDomain2();
  init_projectsCreateProject2();
  init_projectsCreateProjectEnv2();
  init_projectsCreateProjectTransferRequest2();
  init_projectsDeleteProject2();
  init_projectsEditProjectEnv2();
  init_projectsFilterProjectEnvs2();
  init_projectsGetProjectDomain2();
  init_projectsGetProjectDomains2();
  init_projectsGetProjectEnv2();
  init_projectsGetProjects2();
  init_projectsListPromoteAliases2();
  init_projectsMoveProjectDomain2();
  init_projectsPauseProject2();
  init_projectsRemoveProjectDomain2();
  init_projectsRemoveProjectEnv2();
  init_projectsRequestPromote2();
  init_projectsUnpauseProject2();
  init_projectsUpdateProject2();
  init_projectsUpdateProjectDataCache2();
  init_projectsUpdateProjectDomain2();
  init_projectsUpdateProjectProtectionBypass2();
  init_projectsVerifyProjectDomain2();
  init_securityAddBypassIp2();
  init_securityGetActiveAttackStatus2();
  init_securityGetBypassIp2();
  init_securityGetFirewallConfig2();
  init_securityPutFirewallConfig2();
  init_securityRemoveBypassIp2();
  init_securityUpdateAttackChallengeMode2();
  init_securityUpdateFirewallConfig2();
  init_teamsCreateTeam2();
  init_teamsDeleteTeam2();
  init_teamsDeleteTeamInviteCode2();
  init_teamsGetTeam2();
  init_teamsGetTeamAccessRequest2();
  init_teamsGetTeamMembers2();
  init_teamsGetTeams2();
  init_teamsInviteUserToTeam2();
  init_teamsJoinTeam2();
  init_teamsPatchTeam2();
  init_teamsRemoveTeamMember2();
  init_teamsRequestAccessToTeam2();
  init_teamsUpdateTeamMember2();
  init_userGetAuthUser2();
  init_userListUserEvents2();
  init_userRequestDelete2();
  init_webhooksCreateWebhook2();
  init_webhooksDeleteWebhook2();
  init_webhooksGetWebhook2();
  init_webhooksGetWebhooks2();
});

// src/mcp-server/cli/start/impl.ts
var exports_impl = {};
__export(exports_impl, {
  main: () => main
});
async function main(flags) {
  flags.env?.forEach(([key, value]) => {
    process.env[key] = value;
  });
  switch (flags.transport) {
    case "stdio":
      await startStdio(flags);
      break;
    case "sse":
      await startSSE(flags);
      break;
    default:
      throw new Error(`Invalid transport: ${flags.transport}`);
  }
}
async function startStdio(flags) {
  const logger = createConsoleLogger(flags["log-level"]);
  const transport = new StdioServerTransport;
  const server = createMCPServer({
    logger,
    allowedTools: flags.tool,
    scopes: flags.scope,
    ...{ bearerToken: flags["bearer-token"] ?? "" },
    serverURL: flags["server-url"],
    serverIdx: flags["server-index"]
  });
  await server.connect(transport);
  const abort = async () => {
    await server.close();
    process.exit(0);
  };
  process.on("SIGTERM", abort);
  process.on("SIGINT", abort);
}
async function startSSE(flags) {
  const logger = createConsoleLogger(flags["log-level"]);
  const app = import_express.default();
  const mcpServer = createMCPServer({
    logger,
    allowedTools: flags.tool,
    scopes: flags.scope,
    ...{ bearerToken: flags["bearer-token"] ?? "" },
    serverURL: flags["server-url"],
    serverIdx: flags["server-index"]
  });
  let transport;
  const controller = new AbortController;
  app.get("/sse", async (_req, res) => {
    transport = new SSEServerTransport("/message", res);
    await mcpServer.connect(transport);
    mcpServer.server.onclose = async () => {
      res.end();
    };
  });
  app.post("/message", async (req, res) => {
    if (!transport) {
      throw new Error("Server transport not initialized");
    }
    await transport.handlePostMessage(req, res);
  });
  const httpServer = app.listen(flags.port, "0.0.0.0", () => {
    const ha = httpServer.address();
    const host = typeof ha === "string" ? ha : `${ha?.address}:${ha?.port}`;
    logger.info("MCP HTTP server started", { host });
  });
  let closing = false;
  controller.signal.addEventListener("abort", async () => {
    if (closing) {
      logger.info("Received second signal. Forcing shutdown.");
      process.exit(1);
    }
    closing = true;
    logger.info("Shutting down MCP server");
    await mcpServer.close();
    logger.info("Shutting down HTTP server");
    const timer = setTimeout(() => {
      logger.info("Forcing shutdown");
      process.exit(1);
    }, 5000);
    httpServer.close(() => {
      clearTimeout(timer);
      logger.info("Graceful shutdown complete");
      process.exit(0);
    });
  });
  const abort = () => controller.abort();
  process.on("SIGTERM", abort);
  process.on("SIGINT", abort);
}
var import_express;
var init_impl = __esm(() => {
  init_sse();
  init_stdio2();
  import_express = __toESM(require_express2(), 1);
  init_console_logger();
  init_server2();
});

// node_modules/@stricli/core/dist/index.js
function K(e, t) {
  let n = e.env?.[t];
  return typeof n == "string" && n !== "0";
}
var b = { UnknownCommand: -5, InvalidArgument: -4, ContextLoadError: -3, CommandLoadError: -2, InternalError: -1, Success: 0, CommandRunError: 1 };
function I(e) {
  return e.replace(/-./g, (t) => t[1].toUpperCase());
}
function A(e) {
  return Array.from(e).map((t, n) => {
    let a = t.toUpperCase(), r = t.toLowerCase();
    return n === 0 || a !== t || a === r ? t : `-${r}`;
  }).join("");
}
function ve(e) {
  let t = new Map;
  return { get: (...n) => t.get(n.join(",")) ?? e, set: (n, ...a) => {
    t.set(a.join(","), n);
  } };
}
function Xe(e, t, n) {
  let { threshold: a, weights: r } = n;
  if (e === t)
    return 0;
  let i = Math.abs(e.length - t.length);
  if (typeof a == "number" && i > a)
    return 1 / 0;
  let o = ve(1 / 0);
  o.set(0, -1, -1);
  for (let s = 0;s < t.length; ++s)
    o.set((s + 1) * r.insertion, -1, s);
  for (let s = 0;s < e.length; ++s)
    o.set((s + 1) * r.deletion, s, -1);
  let d = -1 / 0;
  for (let s = 0;s < e.length; ++s) {
    let u = 1 / 0;
    for (let l = 0;l <= t.length - 1; ++l) {
      let p = e[s] === t[l] ? 0 : 1, c = [o.get(s - 1, l) + r.deletion, o.get(s, l - 1) + r.insertion, o.get(s - 1, l - 1) + p * r.substitution];
      e[s] === t[l - 1] && e[s - 1] === t[l] && c.push(o.get(s - 2, l - 2) + p * r.transposition);
      let f = Math.min(...c);
      o.set(f, s, l), f < u && (u = f);
    }
    if (u > a) {
      if (d > a)
        return 1 / 0;
      d = u;
    } else
      d = -1 / 0;
  }
  let m = o.get(e.length - 1, t.length - 1);
  return m > a ? 1 / 0 : m;
}
function we(e, t, n) {
  let a = e[1] - t[1];
  if (a !== 0)
    return a;
  let r = e[0].startsWith(n), i = t[0].startsWith(n);
  return r && !i ? -1 : !r && i ? 1 : e[0].localeCompare(t[0]);
}
function D(e, t, n) {
  let a = t.map((i) => [i, Xe(e, i, n)]).filter(([, i]) => i <= n.threshold), r = Math.min(...a.map(([, i]) => i));
  return a.filter(([, i]) => i === r).sort((i, o) => we(i, o, e)).map(([i]) => i);
}
var x = class extends Error {
};
function q(e) {
  return e instanceof Error ? e.stack ?? String(e) : String(e);
}
function $e(e, t) {
  let n = [], a = Math.max(e.length, t.length);
  for (let r = 0;r < a; ++r)
    n[r] = Math.max(e[r], t[r]);
  return n;
}
function $(e, t) {
  if (e.length === 0)
    return [];
  let n = Array(Math.max(...e.map((r) => r.length))).fill(0, 0), a = e.reduce((r, i) => {
    let o = i.map((d) => d.length);
    return $e(r, o);
  }, n);
  return e.map((r) => {
    let i = (r[0] ?? "").padEnd(a[0]);
    return r.slice(1).reduce((o, d, m, s) => {
      let u = s.length === m + 1 ? d : d.padEnd(a[m + 1]);
      return [...o, t?.[m] ?? " ", u];
    }, [i]).join("").trimEnd();
  });
}
function V(e, t) {
  if (e.length <= 1)
    return e[0] ?? "";
  if (e.length === 2)
    return e.join(` ${t.conjunction} `);
  let n = e.slice(0, e.length - 1).join(", ");
  return t.serialComma && (n += ","), [n, t.conjunction, e[e.length - 1]].join(" ");
}
function Le(e, t) {
  return e.reduce((n, a) => {
    let r = t(a), i = n[r] ?? [];
    return i.push(a), n[r] = i, n;
  }, {});
}
function me(e, t) {
  return Le(e, (n) => n[t]);
}
async function z(e) {
  let t = await Promise.allSettled(e), n = me(t, "status");
  return n.rejected && n.rejected.length > 0 ? { status: "rejected", reasons: n.rejected.map((a) => a.reason) } : { status: "fulfilled", value: n.fulfilled?.map((a) => a.value) ?? [] };
}
var Ie = new Set(["true", "t", "yes", "y", "on", "1"]);
var De = new Set(["false", "f", "no", "n", "off", "0"]);
var re = (e) => {
  let t = e.toLowerCase();
  if (Ie.has(t))
    return true;
  if (De.has(t))
    return false;
  throw new SyntaxError(`Cannot convert ${e} to a boolean`);
};
var oe = (e) => {
  let t = Number(e);
  if (Number.isNaN(t))
    throw new SyntaxError(`Cannot convert ${e} to a number`);
  return t;
};
var h = class extends x {
  _brand;
};
function se(e, t) {
  let n = e.constructor.name, a = t[n];
  return a ? a(e) : e.message;
}
function Me(e, t, n) {
  return Object.fromEntries(Object.entries(t).map(([a, r]) => {
    let i = r, o = e[i];
    if (!o) {
      let d = v(i, n);
      throw new L(d, [], a);
    }
    return [a, [i, o]];
  }));
}
var L = class extends h {
  input;
  corrections;
  aliasName;
  constructor(t, n, a) {
    let r = `No flag registered for --${t}`;
    if (a)
      r += ` (aliased from -${a})`;
    else if (n.length > 0) {
      let i = V(n.map((o) => `--${o}`), { kind: "conjunctive", conjunction: "or", serialComma: true });
      r += `, did you mean ${i}?`;
    }
    super(r), this.input = t, this.corrections = n, this.aliasName = a;
  }
};
var G = class extends h {
  input;
  constructor(t) {
    super(`No alias registered for -${t}`), this.input = t;
  }
};
function ae(e, t) {
  return e.placeholder ? e.placeholder : typeof t == "number" ? `arg${t}` : "args";
}
function v(e, t) {
  return t === "allow-kebab-for-camel" ? A(e) : e;
}
var j = class extends h {
  externalFlagNameOrPlaceholder;
  input;
  exception;
  constructor(t, n, a) {
    super(`Failed to parse "${n}" for ${t}: ${a instanceof Error ? a.message : String(a)}`), this.externalFlagNameOrPlaceholder = t, this.input = n, this.exception = a;
  }
};
function M(e, t, n, a) {
  try {
    return t.parse.call(a, n);
  } catch (r) {
    throw new j(e, n, r);
  }
}
var W = class extends h {
  externalFlagName;
  input;
  values;
  constructor(t, n, a, r) {
    let i = `Expected "${n}" to be one of (${a.join("|")})`;
    if (r.length > 0) {
      let o = V(r.map((d) => `"${d}"`), { kind: "conjunctive", conjunction: "or", serialComma: true });
      i += `, did you mean ${o}?`;
    }
    super(i), this.externalFlagName = t, this.input = n, this.values = a;
  }
};
var X = class extends h {
  externalFlagName;
  nextFlagName;
  constructor(t, n) {
    let a = `Expected input for flag --${t}`;
    n && (a += ` but encountered --${n} instead`), super(a), this.externalFlagName = t, this.nextFlagName = n;
  }
};
var H = class extends h {
  expectedCount;
  input;
  constructor(t, n) {
    super(`Too many arguments, expected ${t} but encountered "${n}"`), this.expectedCount = t, this.input = n;
  }
};
var _ = class extends h {
  placeholder;
  limit;
  constructor(t, n) {
    let a;
    n ? (a = `Expected at least ${n[0]} argument(s) for ${t}`, n[1] === 0 ? a += " but found none" : a += ` but only found ${n[1]}`) : a = `Expected argument for ${t}`, super(a), this.placeholder = t, this.limit = n;
  }
};
function de(e) {
  if (e.startsWith("no") && e.length > 2) {
    if (e[2] === "-")
      return e.slice(4);
    let t = e[2], n = t.toUpperCase();
    return t !== n ? undefined : t.toLowerCase() + e.slice(3);
  }
}
function pe(e, t, n) {
  let a = e, r = t[a];
  if (!r) {
    let o = de(a);
    if (o && (r = t[o], r && r.kind == "boolean"))
      return { namedFlag: [o, r], negated: true };
  }
  let i = I(e);
  if (n.caseStyle === "allow-kebab-for-camel" && !r) {
    if (r = t[i], r)
      return { namedFlag: [i, r] };
    let o = de(i);
    if (o && (r = t[o], r && r.kind == "boolean"))
      return { namedFlag: [o, r], negated: true };
  }
  if (!r) {
    if (i in t)
      throw new L(e, [i]);
    let o = A(e);
    if (o in t)
      throw new L(e, [o]);
    let d = D(a, Object.keys(t), n.distanceOptions);
    throw new L(e, d);
  }
  return { namedFlag: [a, r] };
}
function ue(e) {
  return e.namedFlag[1].kind === "boolean" || e.namedFlag[1].kind === "counter";
}
var ce = /^-([a-z]+)$/i;
var Ge = /^--([a-z][a-z-]+)$/i;
function je(e, t, n, a) {
  let r = ce.exec(e);
  if (r) {
    let o = r[1];
    return Array.from(o).map((d) => {
      let m = d, s = n[m];
      if (!s)
        throw new G(m);
      return { namedFlag: s };
    });
  }
  let i = Ge.exec(e);
  if (i) {
    let o = i[1];
    return [pe(o, t, a)];
  }
  return [];
}
var Ue = /^--([a-z][a-z-.\d_]+)=(.+)$/i;
var qe = /^-([a-z])=(.+)$/i;
var J = class extends h {
  externalFlagName;
  valueText;
  constructor(t, n) {
    super(`Cannot negate flag --${t} and pass "${n}" as value`), this.externalFlagName = t, this.valueText = n;
  }
};
function Ve(e, t, n, a) {
  let r = Ue.exec(e);
  if (r) {
    let o = r[1], { namedFlag: d, negated: m } = pe(o, t, a), s = r[2];
    if (m)
      throw new J(o, s);
    return [d, s];
  }
  let i = qe.exec(e);
  if (i) {
    let o = i[1], d = n[o];
    if (!d)
      throw new G(o);
    let m = i[2];
    return [d, m];
  }
}
async function We(e, t, n, a, r) {
  if (!n) {
    if ("default" in t && typeof t.default < "u")
      return t.kind === "boolean" || t.kind === "enum" ? t.default : M(e, t, t.default, r);
    if (t.optional)
      return;
    if (t.kind === "boolean")
      return false;
    if (t.kind === "counter")
      return 0;
    throw new X(e);
  }
  if (t.kind === "counter")
    return n.reduce((o, d) => {
      try {
        return o + oe.call(r, d);
      } catch (m) {
        throw new j(e, d, m);
      }
    }, 0);
  if ("variadic" in t && t.variadic) {
    if (t.kind === "enum") {
      for (let o of n)
        if (!t.values.includes(o)) {
          let d = D(o, t.values, a.distanceOptions);
          throw new W(e, o, t.values, d);
        }
      return n;
    }
    return Promise.all(n.map((o) => M(e, t, o, r)));
  }
  let i = n[0];
  if (t.kind === "boolean")
    try {
      return re.call(r, i);
    } catch (o) {
      throw new j(e, i, o);
    }
  if (t.kind === "enum") {
    if (!t.values.includes(i)) {
      let o = D(i, t.values, a.distanceOptions);
      throw new W(e, i, t.values, o);
    }
    return i;
  }
  return M(e, t, i, r);
}
var Y = class extends h {
  externalFlagName;
  previousInput;
  input;
  constructor(t, n, a) {
    super(`Too many arguments for --${t}, encountered "${a}" after "${n}"`), this.externalFlagName = t, this.previousInput = n, this.input = a;
  }
};
function fe(e) {
  return e.kind === "counter" ? true : ("variadic" in e) ? !!e.variadic : false;
}
function B(e, t, n, a) {
  let r = e.get(n[0]) ?? [];
  if (r.length > 0 && !fe(n[1])) {
    let i = v(n[0], t);
    throw new Y(i, r[0], a);
  }
  e.set(n[0], [...r, a]);
}
function ie(e, t, n) {
  if (t.get(n)) {
    let r = e[n];
    return !fe(r);
  }
  return false;
}
function Q(e, t) {
  let { flags: n = {}, aliases: a = {}, positional: r = { kind: "tuple", parameters: [] } } = e, i = Me(n, a, t.caseStyle), o = [], d = new Map, m = 0, s, u = false;
  return { next: (l) => {
    if (!u && t.allowArgumentEscapeSequence && l === "--") {
      if (s)
        if (s[1].kind === "parsed" && s[1].inferEmpty)
          B(d, t.caseStyle, s, ""), s = undefined;
        else {
          let p = v(s[0], t.caseStyle);
          throw new X(p);
        }
      u = true;
      return;
    }
    if (!u) {
      let p = Ve(l, n, i, t);
      if (p) {
        if (s)
          if (s[1].kind === "parsed" && s[1].inferEmpty)
            B(d, t.caseStyle, s, ""), s = undefined;
          else {
            let f = v(s[0], t.caseStyle), T = v(p[0][0], t.caseStyle);
            throw new X(f, T);
          }
        B(d, t.caseStyle, ...p);
        return;
      }
      let c = je(l, n, i, t);
      if (c.length > 0) {
        if (s)
          if (s[1].kind === "parsed" && s[1].inferEmpty)
            B(d, t.caseStyle, s, ""), s = undefined;
          else {
            let f = v(s[0], t.caseStyle), T = v(c[0].namedFlag[0], t.caseStyle);
            throw new X(f, T);
          }
        if (c.every(ue))
          for (let f of c)
            f.namedFlag[1].kind === "boolean" ? B(d, t.caseStyle, f.namedFlag, f.negated ? "false" : "true") : B(d, t.caseStyle, f.namedFlag, "1");
        else if (c.length > 1) {
          let f = c.find((E) => !ue(E)), T = v(f.namedFlag[0], t.caseStyle);
          throw new X(T);
        } else
          s = c[0].namedFlag;
        return;
      }
    }
    if (s)
      B(d, t.caseStyle, s, l), s = undefined;
    else {
      if (r.kind === "tuple") {
        if (m >= r.parameters.length)
          throw new H(r.parameters.length, l);
      } else if (typeof r.maximum == "number" && m >= r.maximum)
        throw new H(r.maximum, l);
      o[m] = l, ++m;
    }
  }, parseArguments: async (l) => {
    let p = [], c;
    r.kind === "array" ? (typeof r.minimum == "number" && m < r.minimum && p.push(new _(ae(r.parameter), [r.minimum, m])), c = z(o.map(async (g, C) => {
      let y = ae(r.parameter, C + 1);
      return M(y, r.parameter, g, l);
    }))) : c = z(r.parameters.map(async (g, C) => {
      let y = ae(g, C + 1), N = o[C];
      if (typeof N != "string") {
        if (typeof g.default == "string")
          return M(y, g, g.default, l);
        if (g.optional)
          return;
        throw new _(y);
      }
      return M(y, g, N, l);
    })), s && s[1].kind === "parsed" && s[1].inferEmpty && (B(d, t.caseStyle, s, ""), s = undefined);
    let f = z(Object.entries(n).map(async (g) => {
      let [C, y] = g, N = v(C, t.caseStyle);
      if (s && s[0] === C)
        throw new X(N);
      let P = d.get(C), w = await We(N, y, P, t, l);
      return [C, w];
    })), [T, E] = await Promise.all([c, f]);
    if (T.status === "rejected")
      for (let g of T.reasons)
        p.push(g);
    if (E.status === "rejected")
      for (let g of E.reasons)
        p.push(g);
    if (p.length > 0)
      return { success: false, errors: p };
    if (T.status === "rejected")
      throw new x("Unknown failure while scanning positional arguments");
    if (E.status === "rejected")
      throw new x("Unknown failure while scanning flag arguments");
    return { success: true, arguments: [Object.fromEntries(E.value), ...T.value] };
  }, proposeCompletions: async ({ partial: l, completionConfig: p, text: c, context: f, includeVersionFlag: T }) => {
    if (s) {
      let F = s[1], g;
      return F.kind === "enum" ? g = F.values : F.proposeCompletions ? g = await F.proposeCompletions.call(f, l) : g = [], g.map((C) => ({ kind: "argument:value", completion: C, brief: F.brief })).filter(({ completion: C }) => C.startsWith(l));
    }
    let E = [];
    if (!u) {
      let F = ce.exec(l);
      if (p.includeAliases) {
        if (l === "" || l === "-") {
          let g = Object.entries(a).filter((C) => !ie(n, d, C[1]));
          for (let [C] of g) {
            let y = i[C];
            y && E.push({ kind: "argument:flag", completion: `-${C}`, brief: y[1].brief });
          }
        } else if (F) {
          let g = Array.from(F[1]);
          if (g.includes("h"))
            return [];
          if (T && g.includes("v"))
            return [];
          let C = new Map(d);
          for (let P of g) {
            let w = i[P];
            if (!w)
              throw new G(P);
            B(C, t.caseStyle, w, w[1].kind === "boolean" ? "true" : "1");
          }
          let y = g[g.length - 1];
          if (y) {
            let P = i[y];
            P && E.push({ kind: "argument:flag", completion: l, brief: P[1].brief });
          }
          let N = Object.entries(a).filter((P) => !ie(n, C, P[1]));
          for (let [P] of N) {
            let w = i[P];
            w && E.push({ kind: "argument:flag", completion: `${l}${P}`, brief: w[1].brief });
          }
        }
      }
      if (l === "" || l === "-" || l.startsWith("--")) {
        t.allowArgumentEscapeSequence && E.push({ kind: "argument:flag", completion: "--", brief: c.briefs.argumentEscapeSequence });
        let g = Object.entries(n).filter(([y]) => !ie(n, d, y));
        t.caseStyle === "allow-kebab-for-camel" && (g = g.map(([y, N]) => [A(y), N]));
        let C = g.map(([y, N]) => [`--${y}`, N]).filter(([y]) => y.startsWith(l));
        E.push(...C.map(([y, N]) => ({ kind: "argument:flag", completion: y, brief: N.brief })));
      }
    }
    if (r.kind === "array") {
      if (r.parameter.proposeCompletions && (typeof r.maximum != "number" || m < r.maximum)) {
        let F = await r.parameter.proposeCompletions.call(f, l);
        E.push(...F.map((g) => ({ kind: "argument:value", completion: g, brief: r.parameter.brief })));
      }
    } else {
      let F = r.parameters[m];
      if (F?.proposeCompletions) {
        let g = await F.proposeCompletions.call(f, l);
        E.push(...g.map((C) => ({ kind: "argument:value", completion: C, brief: F.brief })));
      }
    }
    return E.filter(({ completion: F }) => F.startsWith(l));
  } };
}
function ge(e, t, n) {
  let a = t === "allow-kebab-for-camel" ? "convert-camel-to-kebab" : t, r = e.getAllEntries();
  return n.includeHiddenRoutes || (r = r.filter((i) => !i.hidden)), r.flatMap((i) => {
    let o = i.name[a];
    return n.includeAliases ? [o, ...i.aliases] : [o];
  });
}
var Ce = { headers: { usage: "USAGE", aliases: "ALIASES", commands: "COMMANDS", flags: "FLAGS", arguments: "ARGUMENTS" }, keywords: { default: "default =" }, briefs: { help: "Print help information and exit", helpAll: "Print help information (including hidden commands/flags) and exit", version: "Print version information and exit", argumentEscapeSequence: "All subsequent inputs should be interpreted as arguments" }, noCommandRegisteredForInput: ({ input: e, corrections: t }) => {
  let n = `No command registered for \`${e}\``;
  if (t.length > 0) {
    let a = V(t, { kind: "conjunctive", conjunction: "or", serialComma: true });
    return `${n}, did you mean ${a}?`;
  } else
    return n;
}, noTextAvailableForLocale: ({ requestedLocale: e, defaultLocale: t }) => `Application does not support "${e}" locale, defaulting to "${t}"`, exceptionWhileParsingArguments: (e) => e instanceof h ? se(e, {}) : `Unable to parse arguments, ${q(e)}`, exceptionWhileLoadingCommandFunction: (e) => `Unable to load command function, ${q(e)}`, exceptionWhileLoadingCommandContext: (e) => `Unable to load command context, ${q(e)}`, exceptionWhileRunningCommand: (e) => `Command failed, ${q(e)}`, commandErrorResult: (e) => e.message, currentVersionIsNotLatest: ({ currentVersion: e, latestVersion: t, upgradeCommand: n }) => n ? `Latest available version is ${t} (currently running ${e}), upgrade with "${n}"` : `Latest available version is ${t} (currently running ${e})` };
function ye(e) {
  if (e.startsWith("en"))
    return Ce;
}
function S(e, t, n) {
  return !n.disableAnsiColor && !K(e, "STRICLI_NO_COLOR") && (t.getColorDepth?.(e.env) ?? 1) >= 4;
}
async function xe({ loader: e, parameters: t }, { context: n, inputs: a, scannerConfig: r, errorFormatting: i, documentationConfig: o, determineExitCode: d }) {
  let m = e(), s;
  try {
    let l = Q(t, r);
    for (let c of a)
      l.next(c);
    let p = await l.parseArguments(n);
    if (p.success)
      s = p.arguments;
    else {
      let c = S(n.process, n.process.stderr, o);
      for (let f of p.errors) {
        let T = i.exceptionWhileParsingArguments(f, c);
        n.process.stderr.write(c ? `\x1B[1m\x1B[31m${T}\x1B[39m\x1B[22m
` : `${T}
`);
      }
      return b.InvalidArgument;
    }
  } catch (l) {
    let p = S(n.process, n.process.stderr, o), c = i.exceptionWhileParsingArguments(l, p);
    return n.process.stderr.write(p ? `\x1B[1m\x1B[31m${c}\x1B[39m\x1B[22m
` : `${c}
`), b.InvalidArgument;
  }
  let u;
  try {
    let l = await m;
    typeof l == "function" ? u = l : u = l.default;
  } catch (l) {
    let p = S(n.process, n.process.stderr, o), c = i.exceptionWhileLoadingCommandFunction(l, p);
    return n.process.stderr.write(p ? `\x1B[1m\x1B[31m${c}\x1B[39m\x1B[22m
` : `${c}
`), b.CommandLoadError;
  }
  try {
    let l = await u.call(n, ...s);
    if (l instanceof Error) {
      let p = S(n.process, n.process.stderr, o), c = i.commandErrorResult(l, p);
      return n.process.stderr.write(p ? `\x1B[1m\x1B[31m${c}\x1B[39m\x1B[22m
` : `${c}
`), d ? d(l) : b.CommandRunError;
    }
  } catch (l) {
    let p = S(n.process, n.process.stderr, o), c = i.exceptionWhileRunningCommand(l, p);
    return n.process.stderr.write(p ? `\x1B[1m\x1B[31m${c}\x1B[39m\x1B[22m
` : `${c}
`), d ? d(l) : b.CommandRunError;
  }
  return b.Success;
}
var R = Symbol("RouteMap");
var O = Symbol("Command");
function Z(e, t, n) {
  let a = [...n], r = [], i, o = e, d, m = true, s = false;
  return { next: (u) => {
    if (u === "--help" || u === "-h") {
      s = true, d || (d = o);
      return;
    } else if (u === "--helpAll" || u === "--help-all" || u === "-H") {
      s = "all", d || (d = o);
      return;
    }
    if (d) {
      r.push(u);
      return;
    }
    if (o.kind === O) {
      d = o, r.push(u);
      return;
    }
    let l = I(u), p = u, c = o.getRoutingTargetForInput(p);
    if (t.caseStyle === "allow-kebab-for-camel" && !c && (c = o.getRoutingTargetForInput(l), c && (p = l)), !c) {
      let f = o.getDefaultCommand();
      if (f) {
        m = false, i = [o, ""], r.push(u), o = f;
        return;
      }
      return { input: u, routeMap: o };
    }
    m = false, i = [o, u], o = c, a.push(u);
  }, finish: () => {
    if (d = d ?? o, d.kind === R && !s) {
      let l = d.getDefaultCommand();
      l && (i = [d, ""], d = l, m = false);
    }
    let u = i ? i[0].getOtherAliasesForInput(i[1], t.caseStyle) : { original: [], "convert-camel-to-kebab": [] };
    return { target: d, unprocessedInputs: r, helpRequested: s, prefix: a, rootLevel: m, aliases: u };
  } };
}
async function Te({ root: e, defaultText: t, config: n }, a, r) {
  let i = t;
  if (r.locale) {
    let l = n.localization.loadText(r.locale);
    if (l)
      i = l;
    else {
      let p = S(r.process, r.process.stderr, n.documentation), c = i.noTextAvailableForLocale({ requestedLocale: r.locale, defaultLocale: n.localization.defaultLocale, ansiColor: p });
      r.process.stderr.write(p ? `\x1B[1m\x1B[33m${c}\x1B[39m\x1B[22m
` : `${c}
`);
    }
  }
  if (n.versionInfo?.getLatestVersion && !K(r.process, "STRICLI_SKIP_VERSION_CHECK")) {
    let l;
    "currentVersion" in n.versionInfo ? l = n.versionInfo.currentVersion : l = await n.versionInfo.getCurrentVersion.call(r);
    let p = await n.versionInfo.getLatestVersion.call(r, l);
    if (p && l !== p) {
      let c = S(r.process, r.process.stderr, n.documentation), f = i.currentVersionIsNotLatest({ currentVersion: l, latestVersion: p, upgradeCommand: n.versionInfo.upgradeCommand, ansiColor: c });
      r.process.stderr.write(c ? `\x1B[1m\x1B[33m${f}\x1B[39m\x1B[22m
` : `${f}
`);
    }
  }
  let o = a.slice();
  if (n.versionInfo && (o[0] === "--version" || o[0] === "-v")) {
    let l;
    return "currentVersion" in n.versionInfo ? l = n.versionInfo.currentVersion : l = await n.versionInfo.getCurrentVersion.call(r), r.process.stdout.write(l + `
`), b.Success;
  }
  let d = Z(e, n.scanner, [n.name]), m;
  for (;o.length > 0 && !m; ) {
    let l = o.shift();
    m = d.next(l);
  }
  if (m) {
    let l = ge(m.routeMap, n.scanner.caseStyle, n.completion), p = D(m.input, l, n.scanner.distanceOptions).map((T) => `\`${T}\``), c = S(r.process, r.process.stderr, n.documentation), f = i.noCommandRegisteredForInput({ input: m.input, corrections: p, ansiColor: c });
    return r.process.stderr.write(c ? `\x1B[1m\x1B[31m${f}\x1B[39m\x1B[22m
` : `${f}
`), b.UnknownCommand;
  }
  let s = d.finish();
  if (s.helpRequested || s.target.kind === R) {
    let l = S(r.process, r.process.stdout, n.documentation);
    return r.process.stdout.write(s.target.formatHelp({ prefix: s.prefix, includeVersionFlag: !!n.versionInfo && s.rootLevel, includeArgumentEscapeSequenceFlag: n.scanner.allowArgumentEscapeSequence, includeHelpAllFlag: s.helpRequested === "all" || n.documentation.alwaysShowHelpAllFlag, includeHidden: s.helpRequested === "all", config: n.documentation, aliases: s.aliases[n.documentation.caseStyle], text: i, ansiColor: l })), b.Success;
  }
  let u;
  if ("forCommand" in r)
    try {
      u = await r.forCommand({ prefix: s.prefix });
    } catch (l) {
      let p = S(r.process, r.process.stderr, n.documentation), c = i.exceptionWhileLoadingCommandContext(l, p);
      return r.process.stderr.write(p ? `\x1B[1m\x1B[31m${c}\x1B[39m\x1B[22m` : c), b.ContextLoadError;
    }
  else
    u = r;
  return xe(s.target, { context: u, inputs: s.unprocessedInputs, scannerConfig: n.scanner, documentationConfig: n.documentation, errorFormatting: i, determineExitCode: n.determineExitCode });
}
function U(e, t) {
  return t === "convert-camel-to-kebab" ? A(e) : e;
}
function Fe(e, t) {
  return t === "convert-camel-to-kebab" ? `no-${A(e)}` : `no${e[0].toUpperCase()}${e.slice(1)}`;
}
function Ae(e) {
  let t = e.scanner?.caseStyle ?? "original", n;
  if (e.documentation?.caseStyle) {
    if (t === "original" && e.documentation.caseStyle === "convert-camel-to-kebab")
      throw new x("Cannot convert route and flag names on display but scan as original");
    n = e.documentation.caseStyle;
  } else
    t === "allow-kebab-for-camel" ? n = "convert-camel-to-kebab" : n = t;
  let a = { caseStyle: t, allowArgumentEscapeSequence: e.scanner?.allowArgumentEscapeSequence ?? false, distanceOptions: e.scanner?.distanceOptions ?? { threshold: 7, weights: { insertion: 1, deletion: 3, substitution: 2, transposition: 0 } } }, r = { alwaysShowHelpAllFlag: e.documentation?.alwaysShowHelpAllFlag ?? false, useAliasInUsageLine: e.documentation?.useAliasInUsageLine ?? false, onlyRequiredInUsageLine: e.documentation?.onlyRequiredInUsageLine ?? false, caseStyle: n, disableAnsiColor: e.documentation?.disableAnsiColor ?? false }, i = { includeAliases: e.completion?.includeAliases ?? r.useAliasInUsageLine, includeHiddenRoutes: e.completion?.includeHiddenRoutes ?? false, ...e.completion };
  return { ...e, scanner: a, completion: i, documentation: r, localization: { defaultLocale: "en", loadText: ye, ...e.localization } };
}
function He(e, t) {
  let n = Ae(t);
  if (e.kind === O && n.versionInfo) {
    if (e.usesFlag("version"))
      throw new x("Unable to use command with flag --version as root when version info is supplied");
    if (e.usesFlag("v"))
      throw new x("Unable to use command with alias -v as root when version info is supplied");
  }
  let a = n.localization.loadText(n.localization.defaultLocale);
  if (!a)
    throw new x(`No text available for the default locale "${n.localization.defaultLocale}"`);
  return { root: e, config: n, defaultText: a };
}
function le(e) {
  return "default" in e && typeof e.default < "u";
}
function k(e) {
  return e.optional ?? le(e);
}
function be(e) {
  return `(${e})`;
}
function Pe(e) {
  return `[${e}]`;
}
function Se(e) {
  return `${e}...`;
}
function Ye(e) {
  return `<${e}>`;
}
function Qe(e) {
  return `[<${e}>]`;
}
function Ze(e) {
  return `<${e}>...`;
}
function ee(e, t) {
  let n = Object.entries(e.flags ?? {}).filter(([, i]) => !(i.hidden || t.config.onlyRequiredInUsageLine && k(i))).map(([i, o]) => {
    let d = t.config.caseStyle === "convert-camel-to-kebab" ? `--${A(i)}` : `--${i}`;
    if (e.aliases && t.config.useAliasInUsageLine) {
      let s = Object.entries(e.aliases).filter((u) => u[1] === i);
      s.length === 1 && s[0] && (d = `-${s[0][0]}`);
    }
    if (o.kind === "boolean")
      return [o, d];
    if (o.kind === "enum" && typeof o.placeholder != "string")
      return [o, `${d} ${o.values.join("|")}`];
    let m = o.placeholder ?? "value";
    return [o, `${d} ${m}`];
  }).map(([i, o]) => i.kind === "parsed" && i.variadic ? k(i) ? Se(Pe(o)) : Se(be(o)) : k(i) ? Pe(o) : be(o)), a = [], r = e.positional;
  if (r)
    if (r.kind === "array")
      a = [Ze(r.parameter.placeholder ?? "args")];
    else {
      let i = r.parameters;
      t.config.onlyRequiredInUsageLine && (i = i.filter((o) => !o.optional && typeof o.default > "u")), a = i.map((o, d) => {
        let m = o.placeholder ?? `arg${d + 1}`;
        return o.optional || typeof o.default < "u" ? Qe(m) : Ye(m);
      });
    }
  return [...t.prefix, ...n, ...a].join(" ");
}
function ne(e, t, n) {
  let { keywords: a, briefs: r } = n.text, i = Object.entries(e).filter(([, m]) => !(m.hidden && !n.includeHidden)), o = i.some(([, m]) => k(m)), d = i.map(([m, s]) => {
    let u = Object.entries(t).filter((f) => f[1] === m).map(([f]) => `-${f}`), l = "--" + U(m, n.config.caseStyle);
    if (s.kind === "boolean" && s.default !== false) {
      let f = Fe(m, n.config.caseStyle);
      l = `${l}/--${f}`;
    }
    k(s) ? l = `[${l}]` : o && (l = ` ${l}`), s.kind === "parsed" && s.variadic && (l = `${l}...`);
    let p = [];
    if (s.kind === "enum") {
      let f = s.values.join("|");
      p.push(f);
    }
    if (le(s)) {
      let f = n.ansiColor ? `\x1B[90m${a.default}\x1B[39m` : a.default;
      p.push(`${f} ${s.default === "" ? '""' : String(s.default)}`);
    }
    let c = p.length > 0 ? `[${p.join(", ")}]` : undefined;
    return { aliases: u.join(" "), flagName: l, brief: s.brief, suffix: c, hidden: s.hidden };
  });
  if (d.push({ aliases: "-h", flagName: o ? " --help" : "--help", brief: r.help }), n.includeHelpAllFlag) {
    let m = U("helpAll", n.config.caseStyle);
    d.push({ aliases: "-H", flagName: o ? ` --${m}` : `--${m}`, brief: r.helpAll, hidden: !n.config.alwaysShowHelpAllFlag });
  }
  return n.includeVersionFlag && d.push({ aliases: "-v", flagName: o ? " --version" : "--version", brief: r.version }), n.includeArgumentEscapeSequenceFlag && d.push({ aliases: "", flagName: o ? " --" : "--", brief: r.argumentEscapeSequence }), $(d.map((m) => n.ansiColor ? [m.hidden ? `\x1B[90m${m.aliases}\x1B[39m` : `\x1B[97m${m.aliases}\x1B[39m`, m.hidden ? `\x1B[90m${m.flagName}\x1B[39m` : `\x1B[97m${m.flagName}\x1B[39m`, m.hidden ? `\x1B[90m${m.brief}\x1B[39m` : `\x1B[03m${m.brief}\x1B[23m`, m.suffix ?? ""] : [m.aliases, m.flagName, m.brief, m.suffix ?? ""]), [" ", "  ", " "]);
}
function* te(e) {
  if (yield e.config.useAliasInUsageLine ? "-h" : "--help", e.includeHelpAllFlag) {
    let t = U("helpAll", e.config.caseStyle);
    yield e.config.useAliasInUsageLine ? "-H" : `--${t}`;
  }
  e.includeVersionFlag && (yield e.config.useAliasInUsageLine ? "-v" : "--version");
}
function Re(e, t) {
  if (e.kind === "array") {
    let r = e.parameter.placeholder ?? "args", i = t.ansiColor ? `\x1B[97m${r}...\x1B[39m` : `${r}...`, o = t.ansiColor ? `\x1B[3m${e.parameter.brief}\x1B[23m` : e.parameter.brief;
    return $([[i, o]], ["  "]);
  }
  let { keywords: n } = t.text, a = e.parameters.some((r) => r.optional);
  return $(e.parameters.map((r, i) => {
    let o = r.placeholder ?? `arg${i + 1}`, d;
    return r.optional ? o = `[${o}]` : a && (o = ` ${o}`), r.default && (d = `[${t.ansiColor ? `\x1B[90m${n.default}\x1B[39m` : n.default} ${r.default}]`), [t.ansiColor ? `\x1B[97m${o}\x1B[39m` : o, t.ansiColor ? `\x1B[3m${r.brief}\x1B[23m` : r.brief, d ?? ""];
  }), ["  ", " "]);
}
function* Oe(e, t, n) {
  let { brief: a, fullDescription: r, customUsage: i } = t, { headers: o } = n.text, d = n.prefix.join(" ");
  if (yield n.ansiColor ? `\x1B[1m${o.usage}\x1B[22m` : o.usage, i)
    for (let s of i)
      if (typeof s == "string")
        yield `  ${d} ${s}`;
      else {
        let u = n.ansiColor ? `\x1B[3m${s.brief}\x1B[23m` : s.brief;
        yield `  ${d} ${s.input}
    ${u}`;
      }
  else
    yield `  ${ee(e, n)}`;
  for (let s of te(n))
    yield `  ${d} ${s}`;
  if (yield "", yield r ?? a, n.aliases && n.aliases.length > 0) {
    let s = n.prefix.slice(0, -1).join(" ");
    yield "", yield n.ansiColor ? `\x1B[1m${o.aliases}\x1B[22m` : o.aliases;
    for (let u of n.aliases)
      yield `  ${s} ${u}`;
  }
  yield "", yield n.ansiColor ? `\x1B[1m${o.flags}\x1B[22m` : o.flags;
  for (let s of ne(e.flags ?? {}, e.aliases ?? {}, n))
    yield `  ${s}`;
  let m = e.positional ?? { kind: "tuple", parameters: [] };
  if (m.kind === "array" || m.parameters.length > 0) {
    yield "", yield n.ansiColor ? `\x1B[1m${o.arguments}\x1B[22m` : o.arguments;
    for (let s of Re(m, n))
      yield `  ${s}`;
  }
}
function en(e, t) {
  for (let n of t)
    if (n in e)
      throw new x(`Unable to use reserved flag --${n}`);
}
function nn(e, t) {
  for (let n of t)
    if (n in e)
      throw new x(`Unable to use reserved alias -${n}`);
}
function* tn(e) {
  yield `no-${A(e)}`, yield `no${e[0].toUpperCase()}${e.slice(1)}`;
}
function rn(e) {
  let t = Object.entries(e).filter(([, n]) => n.kind === "boolean" && !n.optional);
  for (let [n] of t)
    for (let a of tn(n))
      if (a in e)
        throw new x(`Unable to allow negation for --${n} as it conflicts with --${a}`);
}
function on(e) {
  let { flags: t = {}, aliases: n = {} } = e.parameters;
  en(t, ["help", "helpAll", "help-all"]), nn(n, ["h", "H"]), rn(t);
  let a;
  return "func" in e ? a = async () => e.func : a = e.loader, { kind: O, loader: a, parameters: e.parameters, get brief() {
    return e.docs.brief;
  }, formatUsageLine: (r) => ee(e.parameters, r), formatHelp: (r) => [...Oe(e.parameters, e.docs, r)].join(`
`) + `
`, usesFlag: (r) => (r in t) || (r in n) };
}
function* Be(e, t, n) {
  let { brief: a, fullDescription: r, hideRoute: i } = t, { headers: o } = n.text;
  yield n.ansiColor ? `\x1B[1m${o.usage}\x1B[22m` : o.usage;
  for (let [l, p] of Object.entries(e))
    if (!i || !i[l] || n.includeHidden) {
      let c = n.config.caseStyle === "convert-camel-to-kebab" ? A(l) : l;
      yield `  ${p.formatUsageLine({ ...n, prefix: [...n.prefix, c] })}`;
    }
  let d = n.prefix.join(" ");
  for (let l of te(n))
    yield `  ${d} ${l}`;
  if (yield "", yield r ?? a, n.aliases && n.aliases.length > 0) {
    let l = n.prefix.slice(0, -1).join(" ");
    yield "", yield n.ansiColor ? `\x1B[1m${o.aliases}\x1B[22m` : o.aliases;
    for (let p of n.aliases)
      yield `  ${l} ${p}`;
  }
  yield "", yield n.ansiColor ? `\x1B[1m${o.flags}\x1B[22m` : o.flags;
  for (let l of ne({}, {}, n))
    yield `  ${l}`;
  yield "", yield n.ansiColor ? `\x1B[1m${o.commands}\x1B[22m` : o.commands;
  let s = Object.entries(e).filter(([l]) => !i || !i[l] || n.includeHidden).map(([l, p]) => ({ routeName: U(l, n.config.caseStyle), brief: p.brief, hidden: i && i[l] })), u = $(s.map((l) => n.ansiColor ? [l.hidden ? `\x1B[90m${l.routeName}\x1B[39m` : `\x1B[97m${l.routeName}\x1B[39m`, l.hidden ? `\x1B[90m${l.brief}\x1B[39m` : `\x1B[03m${l.brief}\x1B[23m`] : [l.routeName, l.brief]), ["  "]);
  for (let l of u)
    yield `  ${l}`;
}
function an({ routes: e, defaultCommand: t, docs: n, aliases: a }) {
  if (Object.entries(e).length === 0)
    throw new x("Route map must contain at least one route");
  let r = a ?? {}, i = new Map;
  for (let [m, s] of Object.entries(r)) {
    if (m in e)
      throw new x(`Cannot use "${m}" as an alias when a route with that name already exists`);
    let u = i.get(s) ?? [];
    i.set(s, [...u, m]);
  }
  let o = t ? e[t] : undefined;
  if (o && o.kind === R)
    throw new x(`Cannot use "${t}" as the default command because it is not a Command`);
  let d = (m) => {
    if (m in r)
      return r[m];
    if (m in e)
      return m;
  };
  return { kind: R, get brief() {
    return n.brief;
  }, formatUsageLine(m) {
    let s = this.getAllEntries().filter((u) => !u.hidden).map((u) => u.name[m.config.caseStyle]);
    return `${m.prefix.join(" ")} ${s.join("|")} ...`;
  }, formatHelp: (m) => [...Be(e, n, m)].join(`
`) + `
`, getDefaultCommand: () => o, getOtherAliasesForInput: (m, s) => {
    if (t) {
      if (m === t)
        return { original: [""], "convert-camel-to-kebab": [""] };
      if (m === "")
        return { original: [t], "convert-camel-to-kebab": [t] };
    }
    let u = I(m), l = d(m);
    if (!l && s === "allow-kebab-for-camel" && (l = d(u)), !l)
      return { original: [], "convert-camel-to-kebab": [] };
    let p = [l, ...i.get(l) ?? []].filter((c) => c !== m && c !== u);
    return { original: p, "convert-camel-to-kebab": p.map(A) };
  }, getRoutingTargetForInput: (m) => {
    let s = m in r ? r[m] : m;
    return e[s];
  }, getAllEntries() {
    let m = n.hideRoute;
    return Object.entries(e).map(([s, u]) => ({ name: { original: s, "convert-camel-to-kebab": A(s) }, target: u, aliases: i.get(s) ?? [], hidden: m?.[s] ?? false }));
  } };
}
async function zt(e, t, n) {
  let a = await Te(e, t, n);
  n.process.exitCode = a;
}

// src/mcp-server/mcp-server.ts
import process3 from "node:process";

// src/mcp-server/cli.ts
function buildContext(process2) {
  return { process: process2 };
}

// src/mcp-server/cli/start/command.ts
init_esm();
init_console_logger();

// src/mcp-server/scopes.ts
var mcpScopes = [];

// src/mcp-server/cli/start/command.ts
var startCommand = on({
  loader: async () => {
    const { main: main2 } = await Promise.resolve().then(() => (init_impl(), exports_impl));
    return main2;
  },
  parameters: {
    flags: {
      transport: {
        kind: "enum",
        brief: "The transport to use for communicating with the server",
        default: "stdio",
        values: ["stdio", "sse"]
      },
      port: {
        kind: "parsed",
        brief: "The port to use when the SSE transport is enabled",
        default: "2718",
        parse: (val) => coerce.number().int().gte(0).lt(65536).parse(val)
      },
      tool: {
        kind: "parsed",
        brief: "Specify tools to mount on the server",
        optional: true,
        variadic: true,
        parse: (value) => {
          return stringType().parse(value);
        }
      },
      ...mcpScopes.length ? {
        scope: {
          kind: "enum",
          brief: "Mount tools/resources that match given scope (repeatable flag)",
          values: mcpScopes,
          variadic: true,
          optional: true
        }
      } : {},
      "bearer-token": {
        kind: "parsed",
        brief: "Sets the bearerToken auth field for the API",
        optional: true,
        parse: (value) => {
          return stringType().parse(value);
        }
      },
      "server-url": {
        kind: "parsed",
        brief: "Overrides the default server URL used by the SDK",
        optional: true,
        parse: (value) => new URL(value).toString()
      },
      "server-index": {
        kind: "parsed",
        brief: "Selects a predefined server used by the SDK",
        optional: true,
        parse: oe
      },
      "log-level": {
        kind: "enum",
        brief: "The log level to use for the server",
        default: "info",
        values: consoleLoggerLevels
      },
      env: {
        kind: "parsed",
        brief: "Environment variables made available to the server",
        optional: true,
        variadic: true,
        parse: (val) => {
          const sepIdx = val.indexOf("=");
          if (sepIdx === -1) {
            throw new Error("Invalid environment variable format");
          }
          const key = val.slice(0, sepIdx);
          const value = val.slice(sepIdx + 1);
          return [
            stringType().nonempty({
              message: "Environment variable key must be a non-empty string"
            }).parse(key),
            stringType().nonempty({
              message: "Environment variable value must be a non-empty string"
            }).parse(value)
          ];
        }
      }
    }
  },
  docs: {
    brief: "Run the Model Context Protocol server"
  }
});

// src/mcp-server/mcp-server.ts
var routes = an({
  routes: {
    start: startCommand
  },
  docs: {
    brief: "MCP server CLI"
  }
});
var app = He(routes, {
  name: "mcp",
  versionInfo: {
    currentVersion: "1.7.7"
  }
});
zt(app, process3.argv.slice(2), buildContext(process3));
export {
  app
};

//# debugId=705A09E8635E558464756E2164756E21
//# sourceMappingURL=mcp-server.js.map
