/*
 * Code generated by Speakeasy (https://speakeasy.com). DO NOT EDIT.
 */

import * as z from "zod";
import { safeParse } from "../lib/schemas.js";
import { ClosedEnum } from "../types/enums.js";
import { Result as SafeParseResult } from "../types/fp.js";
import { SDKValidationError } from "./sdkvalidationerror.js";

export type RemoveProjectEnvRequest = {
  /**
   * The unique project identifier or the project name
   */
  idOrName: string;
  /**
   * The unique environment variable identifier
   */
  id: string;
  /**
   * The unique custom environment identifier within the project
   */
  customEnvironmentId?: string | undefined;
  /**
   * The Team identifier to perform the request on behalf of.
   */
  teamId?: string | undefined;
  /**
   * The Team slug to perform the request on behalf of.
   */
  slug?: string | undefined;
};

export const RemoveProjectEnvTargetProjectsResponse2 = {
  Production: "production",
  Preview: "preview",
  Development: "development",
} as const;
export type RemoveProjectEnvTargetProjectsResponse2 = ClosedEnum<
  typeof RemoveProjectEnvTargetProjectsResponse2
>;

export const RemoveProjectEnvTargetProjectsResponse1 = {
  Production: "production",
  Preview: "preview",
  Development: "development",
} as const;
export type RemoveProjectEnvTargetProjectsResponse1 = ClosedEnum<
  typeof RemoveProjectEnvTargetProjectsResponse1
>;

export type RemoveProjectEnvResponseBodyProjectsResponseTarget =
  | Array<RemoveProjectEnvTargetProjectsResponse1>
  | RemoveProjectEnvTargetProjectsResponse2;

export const RemoveProjectEnvResponseBodyProjectsResponseType = {
  System: "system",
  Encrypted: "encrypted",
  Plain: "plain",
  Sensitive: "sensitive",
  Secret: "secret",
} as const;
export type RemoveProjectEnvResponseBodyProjectsResponseType = ClosedEnum<
  typeof RemoveProjectEnvResponseBodyProjectsResponseType
>;

export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type =
  {
    FlagsConnectionString: "flags-connection-string",
  } as const;
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type =
  ClosedEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type
  >;

export type RemoveProjectEnvContentHintProjectsResponse15 = {
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type;
  projectId: string;
};

export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type =
  {
    IntegrationStoreSecret: "integration-store-secret",
  } as const;
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type =
  ClosedEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type
  >;

export type RemoveProjectEnvContentHintProjectsResponse14 = {
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type;
  storeId: string;
  integrationId: string;
  integrationProductId: string;
  integrationConfigurationId: string;
};

export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type =
  {
    PostgresUrlNoSsl: "postgres-url-no-ssl",
  } as const;
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type =
  ClosedEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type
  >;

export type RemoveProjectEnvContentHintProjectsResponse13 = {
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type;
  storeId: string;
};

export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type =
  {
    PostgresDatabase: "postgres-database",
  } as const;
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type =
  ClosedEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type
  >;

export type RemoveProjectEnvContentHintProjectsResponse12 = {
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type;
  storeId: string;
};

export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type =
  {
    PostgresPassword: "postgres-password",
  } as const;
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type =
  ClosedEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type
  >;

export type RemoveProjectEnvContentHintProjectsResponse11 = {
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type;
  storeId: string;
};

export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type =
  {
    PostgresHost: "postgres-host",
  } as const;
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type =
  ClosedEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type
  >;

export type RemoveProjectEnvContentHintProjectsResponse10 = {
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type;
  storeId: string;
};

export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type =
  {
    PostgresUser: "postgres-user",
  } as const;
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type =
  ClosedEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type
  >;

export type RemoveProjectEnvContentHintProjectsResponse9 = {
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type;
  storeId: string;
};

export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type =
  {
    PostgresPrismaUrl: "postgres-prisma-url",
  } as const;
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type =
  ClosedEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type
  >;

export type RemoveProjectEnvContentHintProjectsResponse8 = {
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type;
  storeId: string;
};

export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type =
  {
    PostgresUrlNonPooling: "postgres-url-non-pooling",
  } as const;
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type =
  ClosedEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type
  >;

export type RemoveProjectEnvContentHintProjectsResponse7 = {
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type;
  storeId: string;
};

export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type =
  {
    PostgresUrl: "postgres-url",
  } as const;
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type =
  ClosedEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type
  >;

export type RemoveProjectEnvContentHintProjectsResponse6 = {
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type;
  storeId: string;
};

export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type =
  {
    BlobReadWriteToken: "blob-read-write-token",
  } as const;
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type =
  ClosedEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type
  >;

export type RemoveProjectEnvContentHintProjectsResponse5 = {
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type;
  storeId: string;
};

export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type =
  {
    RedisRestApiReadOnlyToken: "redis-rest-api-read-only-token",
  } as const;
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type =
  ClosedEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type
  >;

export type RemoveProjectEnvContentHintProjectsResponse4 = {
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type;
  storeId: string;
};

export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type =
  {
    RedisRestApiToken: "redis-rest-api-token",
  } as const;
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type =
  ClosedEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type
  >;

export type RemoveProjectEnvContentHintProjectsResponse3 = {
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type;
  storeId: string;
};

export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type =
  {
    RedisRestApiUrl: "redis-rest-api-url",
  } as const;
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type =
  ClosedEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type
  >;

export type RemoveProjectEnvContentHintProjectsResponse2 = {
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type;
  storeId: string;
};

export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type =
  {
    RedisUrl: "redis-url",
  } as const;
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type =
  ClosedEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type
  >;

export type RemoveProjectEnvContentHintProjectsResponse1 = {
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type;
  storeId: string;
};

export type RemoveProjectEnvResponseBodyProjectsResponseContentHint =
  | RemoveProjectEnvContentHintProjectsResponse1
  | RemoveProjectEnvContentHintProjectsResponse2
  | RemoveProjectEnvContentHintProjectsResponse3
  | RemoveProjectEnvContentHintProjectsResponse4
  | RemoveProjectEnvContentHintProjectsResponse5
  | RemoveProjectEnvContentHintProjectsResponse6
  | RemoveProjectEnvContentHintProjectsResponse7
  | RemoveProjectEnvContentHintProjectsResponse8
  | RemoveProjectEnvContentHintProjectsResponse9
  | RemoveProjectEnvContentHintProjectsResponse10
  | RemoveProjectEnvContentHintProjectsResponse11
  | RemoveProjectEnvContentHintProjectsResponse12
  | RemoveProjectEnvContentHintProjectsResponse13
  | RemoveProjectEnvContentHintProjectsResponse15
  | RemoveProjectEnvContentHintProjectsResponse14;

export const RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type =
  {
    FlagsSecret: "flags-secret",
  } as const;
export type RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type =
  ClosedEnum<
    typeof RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type
  >;

/**
 * Similar to `contentHints`, but should not be exposed to the user.
 */
export type RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint = {
  type: RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type;
  /**
   * Contains the `value` of the env variable, encrypted with a special key to make decryption possible in the subscriber Lambda.
   */
  encryptedValue: string;
};

export type RemoveProjectEnvResponseBody3 = {
  target?:
    | Array<RemoveProjectEnvTargetProjectsResponse1>
    | RemoveProjectEnvTargetProjectsResponse2
    | undefined;
  type: RemoveProjectEnvResponseBodyProjectsResponseType;
  /**
   * This is used to identiy variables that have been migrated from type secret to sensitive.
   */
  sunsetSecretId?: string | undefined;
  decrypted?: boolean | undefined;
  value: string;
  vsmValue?: string | undefined;
  id?: string | undefined;
  key: string;
  configurationId?: string | null | undefined;
  createdAt?: number | undefined;
  updatedAt?: number | undefined;
  createdBy?: string | null | undefined;
  updatedBy?: string | null | undefined;
  gitBranch?: string | undefined;
  edgeConfigId?: string | null | undefined;
  edgeConfigTokenId?: string | null | undefined;
  contentHint?:
    | RemoveProjectEnvContentHintProjectsResponse1
    | RemoveProjectEnvContentHintProjectsResponse2
    | RemoveProjectEnvContentHintProjectsResponse3
    | RemoveProjectEnvContentHintProjectsResponse4
    | RemoveProjectEnvContentHintProjectsResponse5
    | RemoveProjectEnvContentHintProjectsResponse6
    | RemoveProjectEnvContentHintProjectsResponse7
    | RemoveProjectEnvContentHintProjectsResponse8
    | RemoveProjectEnvContentHintProjectsResponse9
    | RemoveProjectEnvContentHintProjectsResponse10
    | RemoveProjectEnvContentHintProjectsResponse11
    | RemoveProjectEnvContentHintProjectsResponse12
    | RemoveProjectEnvContentHintProjectsResponse13
    | RemoveProjectEnvContentHintProjectsResponse15
    | RemoveProjectEnvContentHintProjectsResponse14
    | null
    | undefined;
  /**
   * Similar to `contentHints`, but should not be exposed to the user.
   */
  internalContentHint?:
    | RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint
    | null
    | undefined;
  comment?: string | undefined;
  customEnvironmentIds?: Array<string> | undefined;
};

export const RemoveProjectEnvTargetProjects2 = {
  Production: "production",
  Preview: "preview",
  Development: "development",
} as const;
export type RemoveProjectEnvTargetProjects2 = ClosedEnum<
  typeof RemoveProjectEnvTargetProjects2
>;

export const RemoveProjectEnvTargetProjects1 = {
  Production: "production",
  Preview: "preview",
  Development: "development",
} as const;
export type RemoveProjectEnvTargetProjects1 = ClosedEnum<
  typeof RemoveProjectEnvTargetProjects1
>;

export type RemoveProjectEnvResponseBodyProjectsTarget =
  | Array<RemoveProjectEnvTargetProjects1>
  | RemoveProjectEnvTargetProjects2;

export const RemoveProjectEnvResponseBodyProjectsType = {
  System: "system",
  Encrypted: "encrypted",
  Plain: "plain",
  Sensitive: "sensitive",
  Secret: "secret",
} as const;
export type RemoveProjectEnvResponseBodyProjectsType = ClosedEnum<
  typeof RemoveProjectEnvResponseBodyProjectsType
>;

export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type =
  {
    FlagsConnectionString: "flags-connection-string",
  } as const;
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type =
  ClosedEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type
  >;

export type RemoveProjectEnvContentHintProjects15 = {
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type;
  projectId: string;
};

export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type =
  {
    IntegrationStoreSecret: "integration-store-secret",
  } as const;
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type =
  ClosedEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type
  >;

export type RemoveProjectEnvContentHintProjects14 = {
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type;
  storeId: string;
  integrationId: string;
  integrationProductId: string;
  integrationConfigurationId: string;
};

export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type =
  {
    PostgresUrlNoSsl: "postgres-url-no-ssl",
  } as const;
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type =
  ClosedEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type
  >;

export type RemoveProjectEnvContentHintProjects13 = {
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type;
  storeId: string;
};

export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type =
  {
    PostgresDatabase: "postgres-database",
  } as const;
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type =
  ClosedEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type
  >;

export type RemoveProjectEnvContentHintProjects12 = {
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type;
  storeId: string;
};

export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type =
  {
    PostgresPassword: "postgres-password",
  } as const;
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type =
  ClosedEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type
  >;

export type RemoveProjectEnvContentHintProjects11 = {
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type;
  storeId: string;
};

export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type =
  {
    PostgresHost: "postgres-host",
  } as const;
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type =
  ClosedEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type
  >;

export type RemoveProjectEnvContentHintProjects10 = {
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type;
  storeId: string;
};

export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type =
  {
    PostgresUser: "postgres-user",
  } as const;
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type =
  ClosedEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type
  >;

export type RemoveProjectEnvContentHintProjects9 = {
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type;
  storeId: string;
};

export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type =
  {
    PostgresPrismaUrl: "postgres-prisma-url",
  } as const;
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type =
  ClosedEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type
  >;

export type RemoveProjectEnvContentHintProjects8 = {
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type;
  storeId: string;
};

export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type =
  {
    PostgresUrlNonPooling: "postgres-url-non-pooling",
  } as const;
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type =
  ClosedEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type
  >;

export type RemoveProjectEnvContentHintProjects7 = {
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type;
  storeId: string;
};

export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type =
  {
    PostgresUrl: "postgres-url",
  } as const;
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type =
  ClosedEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type
  >;

export type RemoveProjectEnvContentHintProjects6 = {
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type;
  storeId: string;
};

export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type =
  {
    BlobReadWriteToken: "blob-read-write-token",
  } as const;
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type =
  ClosedEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type
  >;

export type RemoveProjectEnvContentHintProjects5 = {
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type;
  storeId: string;
};

export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type =
  {
    RedisRestApiReadOnlyToken: "redis-rest-api-read-only-token",
  } as const;
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type =
  ClosedEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type
  >;

export type RemoveProjectEnvContentHintProjects4 = {
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type;
  storeId: string;
};

export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type =
  {
    RedisRestApiToken: "redis-rest-api-token",
  } as const;
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type =
  ClosedEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type
  >;

export type RemoveProjectEnvContentHintProjects3 = {
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type;
  storeId: string;
};

export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type =
  {
    RedisRestApiUrl: "redis-rest-api-url",
  } as const;
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type =
  ClosedEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type
  >;

export type RemoveProjectEnvContentHintProjects2 = {
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type;
  storeId: string;
};

export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type =
  {
    RedisUrl: "redis-url",
  } as const;
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type =
  ClosedEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type
  >;

export type RemoveProjectEnvContentHintProjects1 = {
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type;
  storeId: string;
};

export type RemoveProjectEnvResponseBodyProjectsContentHint =
  | RemoveProjectEnvContentHintProjects1
  | RemoveProjectEnvContentHintProjects2
  | RemoveProjectEnvContentHintProjects3
  | RemoveProjectEnvContentHintProjects4
  | RemoveProjectEnvContentHintProjects5
  | RemoveProjectEnvContentHintProjects6
  | RemoveProjectEnvContentHintProjects7
  | RemoveProjectEnvContentHintProjects8
  | RemoveProjectEnvContentHintProjects9
  | RemoveProjectEnvContentHintProjects10
  | RemoveProjectEnvContentHintProjects11
  | RemoveProjectEnvContentHintProjects12
  | RemoveProjectEnvContentHintProjects13
  | RemoveProjectEnvContentHintProjects15
  | RemoveProjectEnvContentHintProjects14;

export const RemoveProjectEnvResponseBodyProjectsResponse200Type = {
  FlagsSecret: "flags-secret",
} as const;
export type RemoveProjectEnvResponseBodyProjectsResponse200Type = ClosedEnum<
  typeof RemoveProjectEnvResponseBodyProjectsResponse200Type
>;

/**
 * Similar to `contentHints`, but should not be exposed to the user.
 */
export type RemoveProjectEnvResponseBodyProjectsInternalContentHint = {
  type: RemoveProjectEnvResponseBodyProjectsResponse200Type;
  /**
   * Contains the `value` of the env variable, encrypted with a special key to make decryption possible in the subscriber Lambda.
   */
  encryptedValue: string;
};

export type RemoveProjectEnvResponseBody2 = {
  system?: boolean | undefined;
  target?:
    | Array<RemoveProjectEnvTargetProjects1>
    | RemoveProjectEnvTargetProjects2
    | undefined;
  type: RemoveProjectEnvResponseBodyProjectsType;
  /**
   * This is used to identiy variables that have been migrated from type secret to sensitive.
   */
  sunsetSecretId?: string | undefined;
  decrypted?: boolean | undefined;
  value: string;
  vsmValue?: string | undefined;
  id?: string | undefined;
  key: string;
  configurationId?: string | null | undefined;
  createdAt?: number | undefined;
  updatedAt?: number | undefined;
  createdBy?: string | null | undefined;
  updatedBy?: string | null | undefined;
  gitBranch?: string | undefined;
  edgeConfigId?: string | null | undefined;
  edgeConfigTokenId?: string | null | undefined;
  contentHint?:
    | RemoveProjectEnvContentHintProjects1
    | RemoveProjectEnvContentHintProjects2
    | RemoveProjectEnvContentHintProjects3
    | RemoveProjectEnvContentHintProjects4
    | RemoveProjectEnvContentHintProjects5
    | RemoveProjectEnvContentHintProjects6
    | RemoveProjectEnvContentHintProjects7
    | RemoveProjectEnvContentHintProjects8
    | RemoveProjectEnvContentHintProjects9
    | RemoveProjectEnvContentHintProjects10
    | RemoveProjectEnvContentHintProjects11
    | RemoveProjectEnvContentHintProjects12
    | RemoveProjectEnvContentHintProjects13
    | RemoveProjectEnvContentHintProjects15
    | RemoveProjectEnvContentHintProjects14
    | null
    | undefined;
  /**
   * Similar to `contentHints`, but should not be exposed to the user.
   */
  internalContentHint?:
    | RemoveProjectEnvResponseBodyProjectsInternalContentHint
    | null
    | undefined;
  comment?: string | undefined;
  customEnvironmentIds?: Array<string> | undefined;
};

export const RemoveProjectEnvTarget2 = {
  Production: "production",
  Preview: "preview",
  Development: "development",
} as const;
export type RemoveProjectEnvTarget2 = ClosedEnum<
  typeof RemoveProjectEnvTarget2
>;

export const RemoveProjectEnvTarget1 = {
  Production: "production",
  Preview: "preview",
  Development: "development",
} as const;
export type RemoveProjectEnvTarget1 = ClosedEnum<
  typeof RemoveProjectEnvTarget1
>;

export type RemoveProjectEnvResponseBodyTarget =
  | Array<RemoveProjectEnvTarget1>
  | RemoveProjectEnvTarget2;

export const RemoveProjectEnvResponseBodyType = {
  System: "system",
  Encrypted: "encrypted",
  Plain: "plain",
  Sensitive: "sensitive",
  Secret: "secret",
} as const;
export type RemoveProjectEnvResponseBodyType = ClosedEnum<
  typeof RemoveProjectEnvResponseBodyType
>;

export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type =
  {
    FlagsConnectionString: "flags-connection-string",
  } as const;
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type =
  ClosedEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type
  >;

export type RemoveProjectEnvContentHint15 = {
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type;
  projectId: string;
};

export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type =
  {
    IntegrationStoreSecret: "integration-store-secret",
  } as const;
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type =
  ClosedEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type
  >;

export type RemoveProjectEnvContentHint14 = {
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type;
  storeId: string;
  integrationId: string;
  integrationProductId: string;
  integrationConfigurationId: string;
};

export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type =
  {
    PostgresUrlNoSsl: "postgres-url-no-ssl",
  } as const;
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type =
  ClosedEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type
  >;

export type RemoveProjectEnvContentHint13 = {
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type;
  storeId: string;
};

export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type =
  {
    PostgresDatabase: "postgres-database",
  } as const;
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type =
  ClosedEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type
  >;

export type RemoveProjectEnvContentHint12 = {
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type;
  storeId: string;
};

export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type =
  {
    PostgresPassword: "postgres-password",
  } as const;
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type =
  ClosedEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type
  >;

export type RemoveProjectEnvContentHint11 = {
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type;
  storeId: string;
};

export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type =
  {
    PostgresHost: "postgres-host",
  } as const;
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type =
  ClosedEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type
  >;

export type RemoveProjectEnvContentHint10 = {
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type;
  storeId: string;
};

export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type =
  {
    PostgresUser: "postgres-user",
  } as const;
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type =
  ClosedEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type
  >;

export type RemoveProjectEnvContentHint9 = {
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type;
  storeId: string;
};

export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type =
  {
    PostgresPrismaUrl: "postgres-prisma-url",
  } as const;
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type =
  ClosedEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type
  >;

export type RemoveProjectEnvContentHint8 = {
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type;
  storeId: string;
};

export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type =
  {
    PostgresUrlNonPooling: "postgres-url-non-pooling",
  } as const;
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type =
  ClosedEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type
  >;

export type RemoveProjectEnvContentHint7 = {
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type;
  storeId: string;
};

export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType =
  {
    PostgresUrl: "postgres-url",
  } as const;
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType =
  ClosedEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType
  >;

export type RemoveProjectEnvContentHint6 = {
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType;
  storeId: string;
};

export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType =
  {
    BlobReadWriteToken: "blob-read-write-token",
  } as const;
export type RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType =
  ClosedEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType
  >;

export type RemoveProjectEnvContentHint5 = {
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType;
  storeId: string;
};

export const RemoveProjectEnvContentHintProjectsResponse200Type = {
  RedisRestApiReadOnlyToken: "redis-rest-api-read-only-token",
} as const;
export type RemoveProjectEnvContentHintProjectsResponse200Type = ClosedEnum<
  typeof RemoveProjectEnvContentHintProjectsResponse200Type
>;

export type RemoveProjectEnvContentHint4 = {
  type: RemoveProjectEnvContentHintProjectsResponse200Type;
  storeId: string;
};

export const RemoveProjectEnvContentHintProjectsResponseType = {
  RedisRestApiToken: "redis-rest-api-token",
} as const;
export type RemoveProjectEnvContentHintProjectsResponseType = ClosedEnum<
  typeof RemoveProjectEnvContentHintProjectsResponseType
>;

export type RemoveProjectEnvContentHint3 = {
  type: RemoveProjectEnvContentHintProjectsResponseType;
  storeId: string;
};

export const RemoveProjectEnvContentHintProjectsType = {
  RedisRestApiUrl: "redis-rest-api-url",
} as const;
export type RemoveProjectEnvContentHintProjectsType = ClosedEnum<
  typeof RemoveProjectEnvContentHintProjectsType
>;

export type RemoveProjectEnvContentHint2 = {
  type: RemoveProjectEnvContentHintProjectsType;
  storeId: string;
};

export const RemoveProjectEnvContentHintType = {
  RedisUrl: "redis-url",
} as const;
export type RemoveProjectEnvContentHintType = ClosedEnum<
  typeof RemoveProjectEnvContentHintType
>;

export type RemoveProjectEnvContentHint1 = {
  type: RemoveProjectEnvContentHintType;
  storeId: string;
};

export type RemoveProjectEnvResponseBodyContentHint =
  | RemoveProjectEnvContentHint1
  | RemoveProjectEnvContentHint2
  | RemoveProjectEnvContentHint3
  | RemoveProjectEnvContentHint4
  | RemoveProjectEnvContentHint5
  | RemoveProjectEnvContentHint6
  | RemoveProjectEnvContentHint7
  | RemoveProjectEnvContentHint8
  | RemoveProjectEnvContentHint9
  | RemoveProjectEnvContentHint10
  | RemoveProjectEnvContentHint11
  | RemoveProjectEnvContentHint12
  | RemoveProjectEnvContentHint13
  | RemoveProjectEnvContentHint15
  | RemoveProjectEnvContentHint14;

export const RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType =
  {
    FlagsSecret: "flags-secret",
  } as const;
export type RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType =
  ClosedEnum<
    typeof RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType
  >;

/**
 * Similar to `contentHints`, but should not be exposed to the user.
 */
export type RemoveProjectEnvResponseBodyInternalContentHint = {
  type: RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType;
  /**
   * Contains the `value` of the env variable, encrypted with a special key to make decryption possible in the subscriber Lambda.
   */
  encryptedValue: string;
};

export type RemoveProjectEnvResponseBody1 = {
  target?: Array<RemoveProjectEnvTarget1> | RemoveProjectEnvTarget2 | undefined;
  type: RemoveProjectEnvResponseBodyType;
  /**
   * This is used to identiy variables that have been migrated from type secret to sensitive.
   */
  sunsetSecretId?: string | undefined;
  decrypted?: boolean | undefined;
  value: string;
  vsmValue?: string | undefined;
  id?: string | undefined;
  key: string;
  configurationId?: string | null | undefined;
  createdAt?: number | undefined;
  updatedAt?: number | undefined;
  createdBy?: string | null | undefined;
  updatedBy?: string | null | undefined;
  gitBranch?: string | undefined;
  edgeConfigId?: string | null | undefined;
  edgeConfigTokenId?: string | null | undefined;
  contentHint?:
    | RemoveProjectEnvContentHint1
    | RemoveProjectEnvContentHint2
    | RemoveProjectEnvContentHint3
    | RemoveProjectEnvContentHint4
    | RemoveProjectEnvContentHint5
    | RemoveProjectEnvContentHint6
    | RemoveProjectEnvContentHint7
    | RemoveProjectEnvContentHint8
    | RemoveProjectEnvContentHint9
    | RemoveProjectEnvContentHint10
    | RemoveProjectEnvContentHint11
    | RemoveProjectEnvContentHint12
    | RemoveProjectEnvContentHint13
    | RemoveProjectEnvContentHint15
    | RemoveProjectEnvContentHint14
    | null
    | undefined;
  /**
   * Similar to `contentHints`, but should not be exposed to the user.
   */
  internalContentHint?:
    | RemoveProjectEnvResponseBodyInternalContentHint
    | null
    | undefined;
  comment?: string | undefined;
  customEnvironmentIds?: Array<string> | undefined;
};

/**
 * The environment variable was successfully removed
 */
export type RemoveProjectEnvResponseBody =
  | RemoveProjectEnvResponseBody3
  | RemoveProjectEnvResponseBody2
  | Array<RemoveProjectEnvResponseBody1>;

/** @internal */
export const RemoveProjectEnvRequest$inboundSchema: z.ZodType<
  RemoveProjectEnvRequest,
  z.ZodTypeDef,
  unknown
> = z.object({
  idOrName: z.string(),
  id: z.string(),
  customEnvironmentId: z.string().optional(),
  teamId: z.string().optional(),
  slug: z.string().optional(),
});

/** @internal */
export type RemoveProjectEnvRequest$Outbound = {
  idOrName: string;
  id: string;
  customEnvironmentId?: string | undefined;
  teamId?: string | undefined;
  slug?: string | undefined;
};

/** @internal */
export const RemoveProjectEnvRequest$outboundSchema: z.ZodType<
  RemoveProjectEnvRequest$Outbound,
  z.ZodTypeDef,
  RemoveProjectEnvRequest
> = z.object({
  idOrName: z.string(),
  id: z.string(),
  customEnvironmentId: z.string().optional(),
  teamId: z.string().optional(),
  slug: z.string().optional(),
});

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvRequest$ {
  /** @deprecated use `RemoveProjectEnvRequest$inboundSchema` instead. */
  export const inboundSchema = RemoveProjectEnvRequest$inboundSchema;
  /** @deprecated use `RemoveProjectEnvRequest$outboundSchema` instead. */
  export const outboundSchema = RemoveProjectEnvRequest$outboundSchema;
  /** @deprecated use `RemoveProjectEnvRequest$Outbound` instead. */
  export type Outbound = RemoveProjectEnvRequest$Outbound;
}

export function removeProjectEnvRequestToJSON(
  removeProjectEnvRequest: RemoveProjectEnvRequest,
): string {
  return JSON.stringify(
    RemoveProjectEnvRequest$outboundSchema.parse(removeProjectEnvRequest),
  );
}

export function removeProjectEnvRequestFromJSON(
  jsonString: string,
): SafeParseResult<RemoveProjectEnvRequest, SDKValidationError> {
  return safeParse(
    jsonString,
    (x) => RemoveProjectEnvRequest$inboundSchema.parse(JSON.parse(x)),
    `Failed to parse 'RemoveProjectEnvRequest' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvTargetProjectsResponse2$inboundSchema:
  z.ZodNativeEnum<typeof RemoveProjectEnvTargetProjectsResponse2> = z
    .nativeEnum(RemoveProjectEnvTargetProjectsResponse2);

/** @internal */
export const RemoveProjectEnvTargetProjectsResponse2$outboundSchema:
  z.ZodNativeEnum<typeof RemoveProjectEnvTargetProjectsResponse2> =
    RemoveProjectEnvTargetProjectsResponse2$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvTargetProjectsResponse2$ {
  /** @deprecated use `RemoveProjectEnvTargetProjectsResponse2$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvTargetProjectsResponse2$inboundSchema;
  /** @deprecated use `RemoveProjectEnvTargetProjectsResponse2$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvTargetProjectsResponse2$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvTargetProjectsResponse1$inboundSchema:
  z.ZodNativeEnum<typeof RemoveProjectEnvTargetProjectsResponse1> = z
    .nativeEnum(RemoveProjectEnvTargetProjectsResponse1);

/** @internal */
export const RemoveProjectEnvTargetProjectsResponse1$outboundSchema:
  z.ZodNativeEnum<typeof RemoveProjectEnvTargetProjectsResponse1> =
    RemoveProjectEnvTargetProjectsResponse1$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvTargetProjectsResponse1$ {
  /** @deprecated use `RemoveProjectEnvTargetProjectsResponse1$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvTargetProjectsResponse1$inboundSchema;
  /** @deprecated use `RemoveProjectEnvTargetProjectsResponse1$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvTargetProjectsResponse1$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvResponseBodyProjectsResponseTarget$inboundSchema:
  z.ZodType<
    RemoveProjectEnvResponseBodyProjectsResponseTarget,
    z.ZodTypeDef,
    unknown
  > = z.union([
    z.array(RemoveProjectEnvTargetProjectsResponse1$inboundSchema),
    RemoveProjectEnvTargetProjectsResponse2$inboundSchema,
  ]);

/** @internal */
export type RemoveProjectEnvResponseBodyProjectsResponseTarget$Outbound =
  | Array<string>
  | string;

/** @internal */
export const RemoveProjectEnvResponseBodyProjectsResponseTarget$outboundSchema:
  z.ZodType<
    RemoveProjectEnvResponseBodyProjectsResponseTarget$Outbound,
    z.ZodTypeDef,
    RemoveProjectEnvResponseBodyProjectsResponseTarget
  > = z.union([
    z.array(RemoveProjectEnvTargetProjectsResponse1$outboundSchema),
    RemoveProjectEnvTargetProjectsResponse2$outboundSchema,
  ]);

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvResponseBodyProjectsResponseTarget$ {
  /** @deprecated use `RemoveProjectEnvResponseBodyProjectsResponseTarget$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvResponseBodyProjectsResponseTarget$inboundSchema;
  /** @deprecated use `RemoveProjectEnvResponseBodyProjectsResponseTarget$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvResponseBodyProjectsResponseTarget$outboundSchema;
  /** @deprecated use `RemoveProjectEnvResponseBodyProjectsResponseTarget$Outbound` instead. */
  export type Outbound =
    RemoveProjectEnvResponseBodyProjectsResponseTarget$Outbound;
}

export function removeProjectEnvResponseBodyProjectsResponseTargetToJSON(
  removeProjectEnvResponseBodyProjectsResponseTarget:
    RemoveProjectEnvResponseBodyProjectsResponseTarget,
): string {
  return JSON.stringify(
    RemoveProjectEnvResponseBodyProjectsResponseTarget$outboundSchema.parse(
      removeProjectEnvResponseBodyProjectsResponseTarget,
    ),
  );
}

export function removeProjectEnvResponseBodyProjectsResponseTargetFromJSON(
  jsonString: string,
): SafeParseResult<
  RemoveProjectEnvResponseBodyProjectsResponseTarget,
  SDKValidationError
> {
  return safeParse(
    jsonString,
    (x) =>
      RemoveProjectEnvResponseBodyProjectsResponseTarget$inboundSchema.parse(
        JSON.parse(x),
      ),
    `Failed to parse 'RemoveProjectEnvResponseBodyProjectsResponseTarget' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvResponseBodyProjectsResponseType$inboundSchema:
  z.ZodNativeEnum<typeof RemoveProjectEnvResponseBodyProjectsResponseType> = z
    .nativeEnum(RemoveProjectEnvResponseBodyProjectsResponseType);

/** @internal */
export const RemoveProjectEnvResponseBodyProjectsResponseType$outboundSchema:
  z.ZodNativeEnum<typeof RemoveProjectEnvResponseBodyProjectsResponseType> =
    RemoveProjectEnvResponseBodyProjectsResponseType$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvResponseBodyProjectsResponseType$ {
  /** @deprecated use `RemoveProjectEnvResponseBodyProjectsResponseType$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvResponseBodyProjectsResponseType$inboundSchema;
  /** @deprecated use `RemoveProjectEnvResponseBodyProjectsResponseType$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvResponseBodyProjectsResponseType$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$inboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type
  > = z.nativeEnum(
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type,
  );

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$outboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type
  > =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse15$inboundSchema:
  z.ZodType<
    RemoveProjectEnvContentHintProjectsResponse15,
    z.ZodTypeDef,
    unknown
  > = z.object({
    type:
      RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$inboundSchema,
    projectId: z.string(),
  });

/** @internal */
export type RemoveProjectEnvContentHintProjectsResponse15$Outbound = {
  type: string;
  projectId: string;
};

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse15$outboundSchema:
  z.ZodType<
    RemoveProjectEnvContentHintProjectsResponse15$Outbound,
    z.ZodTypeDef,
    RemoveProjectEnvContentHintProjectsResponse15
  > = z.object({
    type:
      RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$outboundSchema,
    projectId: z.string(),
  });

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse15$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse15$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse15$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse15$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse15$outboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse15$Outbound` instead. */
  export type Outbound = RemoveProjectEnvContentHintProjectsResponse15$Outbound;
}

export function removeProjectEnvContentHintProjectsResponse15ToJSON(
  removeProjectEnvContentHintProjectsResponse15:
    RemoveProjectEnvContentHintProjectsResponse15,
): string {
  return JSON.stringify(
    RemoveProjectEnvContentHintProjectsResponse15$outboundSchema.parse(
      removeProjectEnvContentHintProjectsResponse15,
    ),
  );
}

export function removeProjectEnvContentHintProjectsResponse15FromJSON(
  jsonString: string,
): SafeParseResult<
  RemoveProjectEnvContentHintProjectsResponse15,
  SDKValidationError
> {
  return safeParse(
    jsonString,
    (x) =>
      RemoveProjectEnvContentHintProjectsResponse15$inboundSchema.parse(
        JSON.parse(x),
      ),
    `Failed to parse 'RemoveProjectEnvContentHintProjectsResponse15' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$inboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type
  > = z.nativeEnum(
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type,
  );

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$outboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type
  > =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse14$inboundSchema:
  z.ZodType<
    RemoveProjectEnvContentHintProjectsResponse14,
    z.ZodTypeDef,
    unknown
  > = z.object({
    type:
      RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$inboundSchema,
    storeId: z.string(),
    integrationId: z.string(),
    integrationProductId: z.string(),
    integrationConfigurationId: z.string(),
  });

/** @internal */
export type RemoveProjectEnvContentHintProjectsResponse14$Outbound = {
  type: string;
  storeId: string;
  integrationId: string;
  integrationProductId: string;
  integrationConfigurationId: string;
};

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse14$outboundSchema:
  z.ZodType<
    RemoveProjectEnvContentHintProjectsResponse14$Outbound,
    z.ZodTypeDef,
    RemoveProjectEnvContentHintProjectsResponse14
  > = z.object({
    type:
      RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$outboundSchema,
    storeId: z.string(),
    integrationId: z.string(),
    integrationProductId: z.string(),
    integrationConfigurationId: z.string(),
  });

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse14$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse14$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse14$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse14$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse14$outboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse14$Outbound` instead. */
  export type Outbound = RemoveProjectEnvContentHintProjectsResponse14$Outbound;
}

export function removeProjectEnvContentHintProjectsResponse14ToJSON(
  removeProjectEnvContentHintProjectsResponse14:
    RemoveProjectEnvContentHintProjectsResponse14,
): string {
  return JSON.stringify(
    RemoveProjectEnvContentHintProjectsResponse14$outboundSchema.parse(
      removeProjectEnvContentHintProjectsResponse14,
    ),
  );
}

export function removeProjectEnvContentHintProjectsResponse14FromJSON(
  jsonString: string,
): SafeParseResult<
  RemoveProjectEnvContentHintProjectsResponse14,
  SDKValidationError
> {
  return safeParse(
    jsonString,
    (x) =>
      RemoveProjectEnvContentHintProjectsResponse14$inboundSchema.parse(
        JSON.parse(x),
      ),
    `Failed to parse 'RemoveProjectEnvContentHintProjectsResponse14' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$inboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type
  > = z.nativeEnum(
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type,
  );

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$outboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type
  > =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse13$inboundSchema:
  z.ZodType<
    RemoveProjectEnvContentHintProjectsResponse13,
    z.ZodTypeDef,
    unknown
  > = z.object({
    type:
      RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$inboundSchema,
    storeId: z.string(),
  });

/** @internal */
export type RemoveProjectEnvContentHintProjectsResponse13$Outbound = {
  type: string;
  storeId: string;
};

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse13$outboundSchema:
  z.ZodType<
    RemoveProjectEnvContentHintProjectsResponse13$Outbound,
    z.ZodTypeDef,
    RemoveProjectEnvContentHintProjectsResponse13
  > = z.object({
    type:
      RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$outboundSchema,
    storeId: z.string(),
  });

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse13$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse13$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse13$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse13$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse13$outboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse13$Outbound` instead. */
  export type Outbound = RemoveProjectEnvContentHintProjectsResponse13$Outbound;
}

export function removeProjectEnvContentHintProjectsResponse13ToJSON(
  removeProjectEnvContentHintProjectsResponse13:
    RemoveProjectEnvContentHintProjectsResponse13,
): string {
  return JSON.stringify(
    RemoveProjectEnvContentHintProjectsResponse13$outboundSchema.parse(
      removeProjectEnvContentHintProjectsResponse13,
    ),
  );
}

export function removeProjectEnvContentHintProjectsResponse13FromJSON(
  jsonString: string,
): SafeParseResult<
  RemoveProjectEnvContentHintProjectsResponse13,
  SDKValidationError
> {
  return safeParse(
    jsonString,
    (x) =>
      RemoveProjectEnvContentHintProjectsResponse13$inboundSchema.parse(
        JSON.parse(x),
      ),
    `Failed to parse 'RemoveProjectEnvContentHintProjectsResponse13' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$inboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type
  > = z.nativeEnum(
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type,
  );

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$outboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type
  > =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse12$inboundSchema:
  z.ZodType<
    RemoveProjectEnvContentHintProjectsResponse12,
    z.ZodTypeDef,
    unknown
  > = z.object({
    type:
      RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$inboundSchema,
    storeId: z.string(),
  });

/** @internal */
export type RemoveProjectEnvContentHintProjectsResponse12$Outbound = {
  type: string;
  storeId: string;
};

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse12$outboundSchema:
  z.ZodType<
    RemoveProjectEnvContentHintProjectsResponse12$Outbound,
    z.ZodTypeDef,
    RemoveProjectEnvContentHintProjectsResponse12
  > = z.object({
    type:
      RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$outboundSchema,
    storeId: z.string(),
  });

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse12$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse12$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse12$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse12$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse12$outboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse12$Outbound` instead. */
  export type Outbound = RemoveProjectEnvContentHintProjectsResponse12$Outbound;
}

export function removeProjectEnvContentHintProjectsResponse12ToJSON(
  removeProjectEnvContentHintProjectsResponse12:
    RemoveProjectEnvContentHintProjectsResponse12,
): string {
  return JSON.stringify(
    RemoveProjectEnvContentHintProjectsResponse12$outboundSchema.parse(
      removeProjectEnvContentHintProjectsResponse12,
    ),
  );
}

export function removeProjectEnvContentHintProjectsResponse12FromJSON(
  jsonString: string,
): SafeParseResult<
  RemoveProjectEnvContentHintProjectsResponse12,
  SDKValidationError
> {
  return safeParse(
    jsonString,
    (x) =>
      RemoveProjectEnvContentHintProjectsResponse12$inboundSchema.parse(
        JSON.parse(x),
      ),
    `Failed to parse 'RemoveProjectEnvContentHintProjectsResponse12' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$inboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type
  > = z.nativeEnum(
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type,
  );

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$outboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type
  > =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse11$inboundSchema:
  z.ZodType<
    RemoveProjectEnvContentHintProjectsResponse11,
    z.ZodTypeDef,
    unknown
  > = z.object({
    type:
      RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$inboundSchema,
    storeId: z.string(),
  });

/** @internal */
export type RemoveProjectEnvContentHintProjectsResponse11$Outbound = {
  type: string;
  storeId: string;
};

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse11$outboundSchema:
  z.ZodType<
    RemoveProjectEnvContentHintProjectsResponse11$Outbound,
    z.ZodTypeDef,
    RemoveProjectEnvContentHintProjectsResponse11
  > = z.object({
    type:
      RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$outboundSchema,
    storeId: z.string(),
  });

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse11$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse11$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse11$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse11$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse11$outboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse11$Outbound` instead. */
  export type Outbound = RemoveProjectEnvContentHintProjectsResponse11$Outbound;
}

export function removeProjectEnvContentHintProjectsResponse11ToJSON(
  removeProjectEnvContentHintProjectsResponse11:
    RemoveProjectEnvContentHintProjectsResponse11,
): string {
  return JSON.stringify(
    RemoveProjectEnvContentHintProjectsResponse11$outboundSchema.parse(
      removeProjectEnvContentHintProjectsResponse11,
    ),
  );
}

export function removeProjectEnvContentHintProjectsResponse11FromJSON(
  jsonString: string,
): SafeParseResult<
  RemoveProjectEnvContentHintProjectsResponse11,
  SDKValidationError
> {
  return safeParse(
    jsonString,
    (x) =>
      RemoveProjectEnvContentHintProjectsResponse11$inboundSchema.parse(
        JSON.parse(x),
      ),
    `Failed to parse 'RemoveProjectEnvContentHintProjectsResponse11' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$inboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type
  > = z.nativeEnum(
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type,
  );

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$outboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type
  > =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse10$inboundSchema:
  z.ZodType<
    RemoveProjectEnvContentHintProjectsResponse10,
    z.ZodTypeDef,
    unknown
  > = z.object({
    type:
      RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$inboundSchema,
    storeId: z.string(),
  });

/** @internal */
export type RemoveProjectEnvContentHintProjectsResponse10$Outbound = {
  type: string;
  storeId: string;
};

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse10$outboundSchema:
  z.ZodType<
    RemoveProjectEnvContentHintProjectsResponse10$Outbound,
    z.ZodTypeDef,
    RemoveProjectEnvContentHintProjectsResponse10
  > = z.object({
    type:
      RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$outboundSchema,
    storeId: z.string(),
  });

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse10$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse10$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse10$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse10$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse10$outboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse10$Outbound` instead. */
  export type Outbound = RemoveProjectEnvContentHintProjectsResponse10$Outbound;
}

export function removeProjectEnvContentHintProjectsResponse10ToJSON(
  removeProjectEnvContentHintProjectsResponse10:
    RemoveProjectEnvContentHintProjectsResponse10,
): string {
  return JSON.stringify(
    RemoveProjectEnvContentHintProjectsResponse10$outboundSchema.parse(
      removeProjectEnvContentHintProjectsResponse10,
    ),
  );
}

export function removeProjectEnvContentHintProjectsResponse10FromJSON(
  jsonString: string,
): SafeParseResult<
  RemoveProjectEnvContentHintProjectsResponse10,
  SDKValidationError
> {
  return safeParse(
    jsonString,
    (x) =>
      RemoveProjectEnvContentHintProjectsResponse10$inboundSchema.parse(
        JSON.parse(x),
      ),
    `Failed to parse 'RemoveProjectEnvContentHintProjectsResponse10' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$inboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type
  > = z.nativeEnum(
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type,
  );

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$outboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type
  > =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse9$inboundSchema:
  z.ZodType<
    RemoveProjectEnvContentHintProjectsResponse9,
    z.ZodTypeDef,
    unknown
  > = z.object({
    type:
      RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$inboundSchema,
    storeId: z.string(),
  });

/** @internal */
export type RemoveProjectEnvContentHintProjectsResponse9$Outbound = {
  type: string;
  storeId: string;
};

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse9$outboundSchema:
  z.ZodType<
    RemoveProjectEnvContentHintProjectsResponse9$Outbound,
    z.ZodTypeDef,
    RemoveProjectEnvContentHintProjectsResponse9
  > = z.object({
    type:
      RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$outboundSchema,
    storeId: z.string(),
  });

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse9$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse9$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse9$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse9$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse9$outboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse9$Outbound` instead. */
  export type Outbound = RemoveProjectEnvContentHintProjectsResponse9$Outbound;
}

export function removeProjectEnvContentHintProjectsResponse9ToJSON(
  removeProjectEnvContentHintProjectsResponse9:
    RemoveProjectEnvContentHintProjectsResponse9,
): string {
  return JSON.stringify(
    RemoveProjectEnvContentHintProjectsResponse9$outboundSchema.parse(
      removeProjectEnvContentHintProjectsResponse9,
    ),
  );
}

export function removeProjectEnvContentHintProjectsResponse9FromJSON(
  jsonString: string,
): SafeParseResult<
  RemoveProjectEnvContentHintProjectsResponse9,
  SDKValidationError
> {
  return safeParse(
    jsonString,
    (x) =>
      RemoveProjectEnvContentHintProjectsResponse9$inboundSchema.parse(
        JSON.parse(x),
      ),
    `Failed to parse 'RemoveProjectEnvContentHintProjectsResponse9' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$inboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type
  > = z.nativeEnum(
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type,
  );

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$outboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type
  > =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse8$inboundSchema:
  z.ZodType<
    RemoveProjectEnvContentHintProjectsResponse8,
    z.ZodTypeDef,
    unknown
  > = z.object({
    type:
      RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$inboundSchema,
    storeId: z.string(),
  });

/** @internal */
export type RemoveProjectEnvContentHintProjectsResponse8$Outbound = {
  type: string;
  storeId: string;
};

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse8$outboundSchema:
  z.ZodType<
    RemoveProjectEnvContentHintProjectsResponse8$Outbound,
    z.ZodTypeDef,
    RemoveProjectEnvContentHintProjectsResponse8
  > = z.object({
    type:
      RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$outboundSchema,
    storeId: z.string(),
  });

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse8$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse8$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse8$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse8$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse8$outboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse8$Outbound` instead. */
  export type Outbound = RemoveProjectEnvContentHintProjectsResponse8$Outbound;
}

export function removeProjectEnvContentHintProjectsResponse8ToJSON(
  removeProjectEnvContentHintProjectsResponse8:
    RemoveProjectEnvContentHintProjectsResponse8,
): string {
  return JSON.stringify(
    RemoveProjectEnvContentHintProjectsResponse8$outboundSchema.parse(
      removeProjectEnvContentHintProjectsResponse8,
    ),
  );
}

export function removeProjectEnvContentHintProjectsResponse8FromJSON(
  jsonString: string,
): SafeParseResult<
  RemoveProjectEnvContentHintProjectsResponse8,
  SDKValidationError
> {
  return safeParse(
    jsonString,
    (x) =>
      RemoveProjectEnvContentHintProjectsResponse8$inboundSchema.parse(
        JSON.parse(x),
      ),
    `Failed to parse 'RemoveProjectEnvContentHintProjectsResponse8' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$inboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type
  > = z.nativeEnum(
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type,
  );

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$outboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type
  > =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse7$inboundSchema:
  z.ZodType<
    RemoveProjectEnvContentHintProjectsResponse7,
    z.ZodTypeDef,
    unknown
  > = z.object({
    type:
      RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$inboundSchema,
    storeId: z.string(),
  });

/** @internal */
export type RemoveProjectEnvContentHintProjectsResponse7$Outbound = {
  type: string;
  storeId: string;
};

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse7$outboundSchema:
  z.ZodType<
    RemoveProjectEnvContentHintProjectsResponse7$Outbound,
    z.ZodTypeDef,
    RemoveProjectEnvContentHintProjectsResponse7
  > = z.object({
    type:
      RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$outboundSchema,
    storeId: z.string(),
  });

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse7$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse7$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse7$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse7$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse7$outboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse7$Outbound` instead. */
  export type Outbound = RemoveProjectEnvContentHintProjectsResponse7$Outbound;
}

export function removeProjectEnvContentHintProjectsResponse7ToJSON(
  removeProjectEnvContentHintProjectsResponse7:
    RemoveProjectEnvContentHintProjectsResponse7,
): string {
  return JSON.stringify(
    RemoveProjectEnvContentHintProjectsResponse7$outboundSchema.parse(
      removeProjectEnvContentHintProjectsResponse7,
    ),
  );
}

export function removeProjectEnvContentHintProjectsResponse7FromJSON(
  jsonString: string,
): SafeParseResult<
  RemoveProjectEnvContentHintProjectsResponse7,
  SDKValidationError
> {
  return safeParse(
    jsonString,
    (x) =>
      RemoveProjectEnvContentHintProjectsResponse7$inboundSchema.parse(
        JSON.parse(x),
      ),
    `Failed to parse 'RemoveProjectEnvContentHintProjectsResponse7' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$inboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type
  > = z.nativeEnum(
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type,
  );

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$outboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type
  > =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse6$inboundSchema:
  z.ZodType<
    RemoveProjectEnvContentHintProjectsResponse6,
    z.ZodTypeDef,
    unknown
  > = z.object({
    type:
      RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$inboundSchema,
    storeId: z.string(),
  });

/** @internal */
export type RemoveProjectEnvContentHintProjectsResponse6$Outbound = {
  type: string;
  storeId: string;
};

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse6$outboundSchema:
  z.ZodType<
    RemoveProjectEnvContentHintProjectsResponse6$Outbound,
    z.ZodTypeDef,
    RemoveProjectEnvContentHintProjectsResponse6
  > = z.object({
    type:
      RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$outboundSchema,
    storeId: z.string(),
  });

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse6$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse6$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse6$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse6$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse6$outboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse6$Outbound` instead. */
  export type Outbound = RemoveProjectEnvContentHintProjectsResponse6$Outbound;
}

export function removeProjectEnvContentHintProjectsResponse6ToJSON(
  removeProjectEnvContentHintProjectsResponse6:
    RemoveProjectEnvContentHintProjectsResponse6,
): string {
  return JSON.stringify(
    RemoveProjectEnvContentHintProjectsResponse6$outboundSchema.parse(
      removeProjectEnvContentHintProjectsResponse6,
    ),
  );
}

export function removeProjectEnvContentHintProjectsResponse6FromJSON(
  jsonString: string,
): SafeParseResult<
  RemoveProjectEnvContentHintProjectsResponse6,
  SDKValidationError
> {
  return safeParse(
    jsonString,
    (x) =>
      RemoveProjectEnvContentHintProjectsResponse6$inboundSchema.parse(
        JSON.parse(x),
      ),
    `Failed to parse 'RemoveProjectEnvContentHintProjectsResponse6' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$inboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type
  > = z.nativeEnum(
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type,
  );

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$outboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type
  > =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse5$inboundSchema:
  z.ZodType<
    RemoveProjectEnvContentHintProjectsResponse5,
    z.ZodTypeDef,
    unknown
  > = z.object({
    type:
      RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$inboundSchema,
    storeId: z.string(),
  });

/** @internal */
export type RemoveProjectEnvContentHintProjectsResponse5$Outbound = {
  type: string;
  storeId: string;
};

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse5$outboundSchema:
  z.ZodType<
    RemoveProjectEnvContentHintProjectsResponse5$Outbound,
    z.ZodTypeDef,
    RemoveProjectEnvContentHintProjectsResponse5
  > = z.object({
    type:
      RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$outboundSchema,
    storeId: z.string(),
  });

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse5$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse5$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse5$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse5$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse5$outboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse5$Outbound` instead. */
  export type Outbound = RemoveProjectEnvContentHintProjectsResponse5$Outbound;
}

export function removeProjectEnvContentHintProjectsResponse5ToJSON(
  removeProjectEnvContentHintProjectsResponse5:
    RemoveProjectEnvContentHintProjectsResponse5,
): string {
  return JSON.stringify(
    RemoveProjectEnvContentHintProjectsResponse5$outboundSchema.parse(
      removeProjectEnvContentHintProjectsResponse5,
    ),
  );
}

export function removeProjectEnvContentHintProjectsResponse5FromJSON(
  jsonString: string,
): SafeParseResult<
  RemoveProjectEnvContentHintProjectsResponse5,
  SDKValidationError
> {
  return safeParse(
    jsonString,
    (x) =>
      RemoveProjectEnvContentHintProjectsResponse5$inboundSchema.parse(
        JSON.parse(x),
      ),
    `Failed to parse 'RemoveProjectEnvContentHintProjectsResponse5' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$inboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type
  > = z.nativeEnum(
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type,
  );

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$outboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type
  > =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse4$inboundSchema:
  z.ZodType<
    RemoveProjectEnvContentHintProjectsResponse4,
    z.ZodTypeDef,
    unknown
  > = z.object({
    type:
      RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$inboundSchema,
    storeId: z.string(),
  });

/** @internal */
export type RemoveProjectEnvContentHintProjectsResponse4$Outbound = {
  type: string;
  storeId: string;
};

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse4$outboundSchema:
  z.ZodType<
    RemoveProjectEnvContentHintProjectsResponse4$Outbound,
    z.ZodTypeDef,
    RemoveProjectEnvContentHintProjectsResponse4
  > = z.object({
    type:
      RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$outboundSchema,
    storeId: z.string(),
  });

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse4$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse4$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse4$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse4$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse4$outboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse4$Outbound` instead. */
  export type Outbound = RemoveProjectEnvContentHintProjectsResponse4$Outbound;
}

export function removeProjectEnvContentHintProjectsResponse4ToJSON(
  removeProjectEnvContentHintProjectsResponse4:
    RemoveProjectEnvContentHintProjectsResponse4,
): string {
  return JSON.stringify(
    RemoveProjectEnvContentHintProjectsResponse4$outboundSchema.parse(
      removeProjectEnvContentHintProjectsResponse4,
    ),
  );
}

export function removeProjectEnvContentHintProjectsResponse4FromJSON(
  jsonString: string,
): SafeParseResult<
  RemoveProjectEnvContentHintProjectsResponse4,
  SDKValidationError
> {
  return safeParse(
    jsonString,
    (x) =>
      RemoveProjectEnvContentHintProjectsResponse4$inboundSchema.parse(
        JSON.parse(x),
      ),
    `Failed to parse 'RemoveProjectEnvContentHintProjectsResponse4' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$inboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type
  > = z.nativeEnum(
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type,
  );

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$outboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type
  > =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse3$inboundSchema:
  z.ZodType<
    RemoveProjectEnvContentHintProjectsResponse3,
    z.ZodTypeDef,
    unknown
  > = z.object({
    type:
      RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$inboundSchema,
    storeId: z.string(),
  });

/** @internal */
export type RemoveProjectEnvContentHintProjectsResponse3$Outbound = {
  type: string;
  storeId: string;
};

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse3$outboundSchema:
  z.ZodType<
    RemoveProjectEnvContentHintProjectsResponse3$Outbound,
    z.ZodTypeDef,
    RemoveProjectEnvContentHintProjectsResponse3
  > = z.object({
    type:
      RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$outboundSchema,
    storeId: z.string(),
  });

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse3$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse3$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse3$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse3$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse3$outboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse3$Outbound` instead. */
  export type Outbound = RemoveProjectEnvContentHintProjectsResponse3$Outbound;
}

export function removeProjectEnvContentHintProjectsResponse3ToJSON(
  removeProjectEnvContentHintProjectsResponse3:
    RemoveProjectEnvContentHintProjectsResponse3,
): string {
  return JSON.stringify(
    RemoveProjectEnvContentHintProjectsResponse3$outboundSchema.parse(
      removeProjectEnvContentHintProjectsResponse3,
    ),
  );
}

export function removeProjectEnvContentHintProjectsResponse3FromJSON(
  jsonString: string,
): SafeParseResult<
  RemoveProjectEnvContentHintProjectsResponse3,
  SDKValidationError
> {
  return safeParse(
    jsonString,
    (x) =>
      RemoveProjectEnvContentHintProjectsResponse3$inboundSchema.parse(
        JSON.parse(x),
      ),
    `Failed to parse 'RemoveProjectEnvContentHintProjectsResponse3' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$inboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type
  > = z.nativeEnum(
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type,
  );

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$outboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type
  > =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse2$inboundSchema:
  z.ZodType<
    RemoveProjectEnvContentHintProjectsResponse2,
    z.ZodTypeDef,
    unknown
  > = z.object({
    type:
      RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$inboundSchema,
    storeId: z.string(),
  });

/** @internal */
export type RemoveProjectEnvContentHintProjectsResponse2$Outbound = {
  type: string;
  storeId: string;
};

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse2$outboundSchema:
  z.ZodType<
    RemoveProjectEnvContentHintProjectsResponse2$Outbound,
    z.ZodTypeDef,
    RemoveProjectEnvContentHintProjectsResponse2
  > = z.object({
    type:
      RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$outboundSchema,
    storeId: z.string(),
  });

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse2$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse2$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse2$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse2$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse2$outboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse2$Outbound` instead. */
  export type Outbound = RemoveProjectEnvContentHintProjectsResponse2$Outbound;
}

export function removeProjectEnvContentHintProjectsResponse2ToJSON(
  removeProjectEnvContentHintProjectsResponse2:
    RemoveProjectEnvContentHintProjectsResponse2,
): string {
  return JSON.stringify(
    RemoveProjectEnvContentHintProjectsResponse2$outboundSchema.parse(
      removeProjectEnvContentHintProjectsResponse2,
    ),
  );
}

export function removeProjectEnvContentHintProjectsResponse2FromJSON(
  jsonString: string,
): SafeParseResult<
  RemoveProjectEnvContentHintProjectsResponse2,
  SDKValidationError
> {
  return safeParse(
    jsonString,
    (x) =>
      RemoveProjectEnvContentHintProjectsResponse2$inboundSchema.parse(
        JSON.parse(x),
      ),
    `Failed to parse 'RemoveProjectEnvContentHintProjectsResponse2' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$inboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type
  > = z.nativeEnum(
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type,
  );

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$outboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type
  > =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse1$inboundSchema:
  z.ZodType<
    RemoveProjectEnvContentHintProjectsResponse1,
    z.ZodTypeDef,
    unknown
  > = z.object({
    type:
      RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$inboundSchema,
    storeId: z.string(),
  });

/** @internal */
export type RemoveProjectEnvContentHintProjectsResponse1$Outbound = {
  type: string;
  storeId: string;
};

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse1$outboundSchema:
  z.ZodType<
    RemoveProjectEnvContentHintProjectsResponse1$Outbound,
    z.ZodTypeDef,
    RemoveProjectEnvContentHintProjectsResponse1
  > = z.object({
    type:
      RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$outboundSchema,
    storeId: z.string(),
  });

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse1$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse1$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse1$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse1$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse1$outboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse1$Outbound` instead. */
  export type Outbound = RemoveProjectEnvContentHintProjectsResponse1$Outbound;
}

export function removeProjectEnvContentHintProjectsResponse1ToJSON(
  removeProjectEnvContentHintProjectsResponse1:
    RemoveProjectEnvContentHintProjectsResponse1,
): string {
  return JSON.stringify(
    RemoveProjectEnvContentHintProjectsResponse1$outboundSchema.parse(
      removeProjectEnvContentHintProjectsResponse1,
    ),
  );
}

export function removeProjectEnvContentHintProjectsResponse1FromJSON(
  jsonString: string,
): SafeParseResult<
  RemoveProjectEnvContentHintProjectsResponse1,
  SDKValidationError
> {
  return safeParse(
    jsonString,
    (x) =>
      RemoveProjectEnvContentHintProjectsResponse1$inboundSchema.parse(
        JSON.parse(x),
      ),
    `Failed to parse 'RemoveProjectEnvContentHintProjectsResponse1' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvResponseBodyProjectsResponseContentHint$inboundSchema:
  z.ZodType<
    RemoveProjectEnvResponseBodyProjectsResponseContentHint,
    z.ZodTypeDef,
    unknown
  > = z.union([
    z.lazy(() => RemoveProjectEnvContentHintProjectsResponse1$inboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjectsResponse2$inboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjectsResponse3$inboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjectsResponse4$inboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjectsResponse5$inboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjectsResponse6$inboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjectsResponse7$inboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjectsResponse8$inboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjectsResponse9$inboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjectsResponse10$inboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjectsResponse11$inboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjectsResponse12$inboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjectsResponse13$inboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjectsResponse15$inboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjectsResponse14$inboundSchema),
  ]);

/** @internal */
export type RemoveProjectEnvResponseBodyProjectsResponseContentHint$Outbound =
  | RemoveProjectEnvContentHintProjectsResponse1$Outbound
  | RemoveProjectEnvContentHintProjectsResponse2$Outbound
  | RemoveProjectEnvContentHintProjectsResponse3$Outbound
  | RemoveProjectEnvContentHintProjectsResponse4$Outbound
  | RemoveProjectEnvContentHintProjectsResponse5$Outbound
  | RemoveProjectEnvContentHintProjectsResponse6$Outbound
  | RemoveProjectEnvContentHintProjectsResponse7$Outbound
  | RemoveProjectEnvContentHintProjectsResponse8$Outbound
  | RemoveProjectEnvContentHintProjectsResponse9$Outbound
  | RemoveProjectEnvContentHintProjectsResponse10$Outbound
  | RemoveProjectEnvContentHintProjectsResponse11$Outbound
  | RemoveProjectEnvContentHintProjectsResponse12$Outbound
  | RemoveProjectEnvContentHintProjectsResponse13$Outbound
  | RemoveProjectEnvContentHintProjectsResponse15$Outbound
  | RemoveProjectEnvContentHintProjectsResponse14$Outbound;

/** @internal */
export const RemoveProjectEnvResponseBodyProjectsResponseContentHint$outboundSchema:
  z.ZodType<
    RemoveProjectEnvResponseBodyProjectsResponseContentHint$Outbound,
    z.ZodTypeDef,
    RemoveProjectEnvResponseBodyProjectsResponseContentHint
  > = z.union([
    z.lazy(() => RemoveProjectEnvContentHintProjectsResponse1$outboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjectsResponse2$outboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjectsResponse3$outboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjectsResponse4$outboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjectsResponse5$outboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjectsResponse6$outboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjectsResponse7$outboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjectsResponse8$outboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjectsResponse9$outboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjectsResponse10$outboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjectsResponse11$outboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjectsResponse12$outboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjectsResponse13$outboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjectsResponse15$outboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjectsResponse14$outboundSchema),
  ]);

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvResponseBodyProjectsResponseContentHint$ {
  /** @deprecated use `RemoveProjectEnvResponseBodyProjectsResponseContentHint$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvResponseBodyProjectsResponseContentHint$inboundSchema;
  /** @deprecated use `RemoveProjectEnvResponseBodyProjectsResponseContentHint$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvResponseBodyProjectsResponseContentHint$outboundSchema;
  /** @deprecated use `RemoveProjectEnvResponseBodyProjectsResponseContentHint$Outbound` instead. */
  export type Outbound =
    RemoveProjectEnvResponseBodyProjectsResponseContentHint$Outbound;
}

export function removeProjectEnvResponseBodyProjectsResponseContentHintToJSON(
  removeProjectEnvResponseBodyProjectsResponseContentHint:
    RemoveProjectEnvResponseBodyProjectsResponseContentHint,
): string {
  return JSON.stringify(
    RemoveProjectEnvResponseBodyProjectsResponseContentHint$outboundSchema
      .parse(removeProjectEnvResponseBodyProjectsResponseContentHint),
  );
}

export function removeProjectEnvResponseBodyProjectsResponseContentHintFromJSON(
  jsonString: string,
): SafeParseResult<
  RemoveProjectEnvResponseBodyProjectsResponseContentHint,
  SDKValidationError
> {
  return safeParse(
    jsonString,
    (x) =>
      RemoveProjectEnvResponseBodyProjectsResponseContentHint$inboundSchema
        .parse(JSON.parse(x)),
    `Failed to parse 'RemoveProjectEnvResponseBodyProjectsResponseContentHint' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$inboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type
  > = z.nativeEnum(
    RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type,
  );

/** @internal */
export const RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$outboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type
  > =
    RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$ {
  /** @deprecated use `RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$inboundSchema;
  /** @deprecated use `RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint$inboundSchema:
  z.ZodType<
    RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint,
    z.ZodTypeDef,
    unknown
  > = z.object({
    type:
      RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$inboundSchema,
    encryptedValue: z.string(),
  });

/** @internal */
export type RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint$Outbound =
  {
    type: string;
    encryptedValue: string;
  };

/** @internal */
export const RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint$outboundSchema:
  z.ZodType<
    RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint$Outbound,
    z.ZodTypeDef,
    RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint
  > = z.object({
    type:
      RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$outboundSchema,
    encryptedValue: z.string(),
  });

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint$ {
  /** @deprecated use `RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint$inboundSchema;
  /** @deprecated use `RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint$outboundSchema;
  /** @deprecated use `RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint$Outbound` instead. */
  export type Outbound =
    RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint$Outbound;
}

export function removeProjectEnvResponseBodyProjectsResponseInternalContentHintToJSON(
  removeProjectEnvResponseBodyProjectsResponseInternalContentHint:
    RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint,
): string {
  return JSON.stringify(
    RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint$outboundSchema
      .parse(removeProjectEnvResponseBodyProjectsResponseInternalContentHint),
  );
}

export function removeProjectEnvResponseBodyProjectsResponseInternalContentHintFromJSON(
  jsonString: string,
): SafeParseResult<
  RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint,
  SDKValidationError
> {
  return safeParse(
    jsonString,
    (x) =>
      RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint$inboundSchema
        .parse(JSON.parse(x)),
    `Failed to parse 'RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvResponseBody3$inboundSchema: z.ZodType<
  RemoveProjectEnvResponseBody3,
  z.ZodTypeDef,
  unknown
> = z.object({
  target: z.union([
    z.array(RemoveProjectEnvTargetProjectsResponse1$inboundSchema),
    RemoveProjectEnvTargetProjectsResponse2$inboundSchema,
  ]).optional(),
  type: RemoveProjectEnvResponseBodyProjectsResponseType$inboundSchema,
  sunsetSecretId: z.string().optional(),
  decrypted: z.boolean().optional(),
  value: z.string(),
  vsmValue: z.string().optional(),
  id: z.string().optional(),
  key: z.string(),
  configurationId: z.nullable(z.string()).optional(),
  createdAt: z.number().optional(),
  updatedAt: z.number().optional(),
  createdBy: z.nullable(z.string()).optional(),
  updatedBy: z.nullable(z.string()).optional(),
  gitBranch: z.string().optional(),
  edgeConfigId: z.nullable(z.string()).optional(),
  edgeConfigTokenId: z.nullable(z.string()).optional(),
  contentHint: z.nullable(
    z.union([
      z.lazy(() => RemoveProjectEnvContentHintProjectsResponse1$inboundSchema),
      z.lazy(() => RemoveProjectEnvContentHintProjectsResponse2$inboundSchema),
      z.lazy(() => RemoveProjectEnvContentHintProjectsResponse3$inboundSchema),
      z.lazy(() => RemoveProjectEnvContentHintProjectsResponse4$inboundSchema),
      z.lazy(() => RemoveProjectEnvContentHintProjectsResponse5$inboundSchema),
      z.lazy(() => RemoveProjectEnvContentHintProjectsResponse6$inboundSchema),
      z.lazy(() => RemoveProjectEnvContentHintProjectsResponse7$inboundSchema),
      z.lazy(() => RemoveProjectEnvContentHintProjectsResponse8$inboundSchema),
      z.lazy(() => RemoveProjectEnvContentHintProjectsResponse9$inboundSchema),
      z.lazy(() => RemoveProjectEnvContentHintProjectsResponse10$inboundSchema),
      z.lazy(() => RemoveProjectEnvContentHintProjectsResponse11$inboundSchema),
      z.lazy(() => RemoveProjectEnvContentHintProjectsResponse12$inboundSchema),
      z.lazy(() => RemoveProjectEnvContentHintProjectsResponse13$inboundSchema),
      z.lazy(() => RemoveProjectEnvContentHintProjectsResponse15$inboundSchema),
      z.lazy(() => RemoveProjectEnvContentHintProjectsResponse14$inboundSchema),
    ]),
  ).optional(),
  internalContentHint: z.nullable(
    z.lazy(() =>
      RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint$inboundSchema
    ),
  ).optional(),
  comment: z.string().optional(),
  customEnvironmentIds: z.array(z.string()).optional(),
});

/** @internal */
export type RemoveProjectEnvResponseBody3$Outbound = {
  target?: Array<string> | string | undefined;
  type: string;
  sunsetSecretId?: string | undefined;
  decrypted?: boolean | undefined;
  value: string;
  vsmValue?: string | undefined;
  id?: string | undefined;
  key: string;
  configurationId?: string | null | undefined;
  createdAt?: number | undefined;
  updatedAt?: number | undefined;
  createdBy?: string | null | undefined;
  updatedBy?: string | null | undefined;
  gitBranch?: string | undefined;
  edgeConfigId?: string | null | undefined;
  edgeConfigTokenId?: string | null | undefined;
  contentHint?:
    | RemoveProjectEnvContentHintProjectsResponse1$Outbound
    | RemoveProjectEnvContentHintProjectsResponse2$Outbound
    | RemoveProjectEnvContentHintProjectsResponse3$Outbound
    | RemoveProjectEnvContentHintProjectsResponse4$Outbound
    | RemoveProjectEnvContentHintProjectsResponse5$Outbound
    | RemoveProjectEnvContentHintProjectsResponse6$Outbound
    | RemoveProjectEnvContentHintProjectsResponse7$Outbound
    | RemoveProjectEnvContentHintProjectsResponse8$Outbound
    | RemoveProjectEnvContentHintProjectsResponse9$Outbound
    | RemoveProjectEnvContentHintProjectsResponse10$Outbound
    | RemoveProjectEnvContentHintProjectsResponse11$Outbound
    | RemoveProjectEnvContentHintProjectsResponse12$Outbound
    | RemoveProjectEnvContentHintProjectsResponse13$Outbound
    | RemoveProjectEnvContentHintProjectsResponse15$Outbound
    | RemoveProjectEnvContentHintProjectsResponse14$Outbound
    | null
    | undefined;
  internalContentHint?:
    | RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint$Outbound
    | null
    | undefined;
  comment?: string | undefined;
  customEnvironmentIds?: Array<string> | undefined;
};

/** @internal */
export const RemoveProjectEnvResponseBody3$outboundSchema: z.ZodType<
  RemoveProjectEnvResponseBody3$Outbound,
  z.ZodTypeDef,
  RemoveProjectEnvResponseBody3
> = z.object({
  target: z.union([
    z.array(RemoveProjectEnvTargetProjectsResponse1$outboundSchema),
    RemoveProjectEnvTargetProjectsResponse2$outboundSchema,
  ]).optional(),
  type: RemoveProjectEnvResponseBodyProjectsResponseType$outboundSchema,
  sunsetSecretId: z.string().optional(),
  decrypted: z.boolean().optional(),
  value: z.string(),
  vsmValue: z.string().optional(),
  id: z.string().optional(),
  key: z.string(),
  configurationId: z.nullable(z.string()).optional(),
  createdAt: z.number().optional(),
  updatedAt: z.number().optional(),
  createdBy: z.nullable(z.string()).optional(),
  updatedBy: z.nullable(z.string()).optional(),
  gitBranch: z.string().optional(),
  edgeConfigId: z.nullable(z.string()).optional(),
  edgeConfigTokenId: z.nullable(z.string()).optional(),
  contentHint: z.nullable(
    z.union([
      z.lazy(() => RemoveProjectEnvContentHintProjectsResponse1$outboundSchema),
      z.lazy(() =>
        RemoveProjectEnvContentHintProjectsResponse2$outboundSchema
      ),
      z.lazy(() => RemoveProjectEnvContentHintProjectsResponse3$outboundSchema),
      z.lazy(() => RemoveProjectEnvContentHintProjectsResponse4$outboundSchema),
      z.lazy(() => RemoveProjectEnvContentHintProjectsResponse5$outboundSchema),
      z.lazy(() => RemoveProjectEnvContentHintProjectsResponse6$outboundSchema),
      z.lazy(() => RemoveProjectEnvContentHintProjectsResponse7$outboundSchema),
      z.lazy(() => RemoveProjectEnvContentHintProjectsResponse8$outboundSchema),
      z.lazy(() => RemoveProjectEnvContentHintProjectsResponse9$outboundSchema),
      z.lazy(() =>
        RemoveProjectEnvContentHintProjectsResponse10$outboundSchema
      ),
      z.lazy(() =>
        RemoveProjectEnvContentHintProjectsResponse11$outboundSchema
      ),
      z.lazy(() =>
        RemoveProjectEnvContentHintProjectsResponse12$outboundSchema
      ),
      z.lazy(() =>
        RemoveProjectEnvContentHintProjectsResponse13$outboundSchema
      ),
      z.lazy(() =>
        RemoveProjectEnvContentHintProjectsResponse15$outboundSchema
      ),
      z.lazy(() =>
        RemoveProjectEnvContentHintProjectsResponse14$outboundSchema
      ),
    ]),
  ).optional(),
  internalContentHint: z.nullable(
    z.lazy(() =>
      RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint$outboundSchema
    ),
  ).optional(),
  comment: z.string().optional(),
  customEnvironmentIds: z.array(z.string()).optional(),
});

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvResponseBody3$ {
  /** @deprecated use `RemoveProjectEnvResponseBody3$inboundSchema` instead. */
  export const inboundSchema = RemoveProjectEnvResponseBody3$inboundSchema;
  /** @deprecated use `RemoveProjectEnvResponseBody3$outboundSchema` instead. */
  export const outboundSchema = RemoveProjectEnvResponseBody3$outboundSchema;
  /** @deprecated use `RemoveProjectEnvResponseBody3$Outbound` instead. */
  export type Outbound = RemoveProjectEnvResponseBody3$Outbound;
}

export function removeProjectEnvResponseBody3ToJSON(
  removeProjectEnvResponseBody3: RemoveProjectEnvResponseBody3,
): string {
  return JSON.stringify(
    RemoveProjectEnvResponseBody3$outboundSchema.parse(
      removeProjectEnvResponseBody3,
    ),
  );
}

export function removeProjectEnvResponseBody3FromJSON(
  jsonString: string,
): SafeParseResult<RemoveProjectEnvResponseBody3, SDKValidationError> {
  return safeParse(
    jsonString,
    (x) => RemoveProjectEnvResponseBody3$inboundSchema.parse(JSON.parse(x)),
    `Failed to parse 'RemoveProjectEnvResponseBody3' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvTargetProjects2$inboundSchema: z.ZodNativeEnum<
  typeof RemoveProjectEnvTargetProjects2
> = z.nativeEnum(RemoveProjectEnvTargetProjects2);

/** @internal */
export const RemoveProjectEnvTargetProjects2$outboundSchema: z.ZodNativeEnum<
  typeof RemoveProjectEnvTargetProjects2
> = RemoveProjectEnvTargetProjects2$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvTargetProjects2$ {
  /** @deprecated use `RemoveProjectEnvTargetProjects2$inboundSchema` instead. */
  export const inboundSchema = RemoveProjectEnvTargetProjects2$inboundSchema;
  /** @deprecated use `RemoveProjectEnvTargetProjects2$outboundSchema` instead. */
  export const outboundSchema = RemoveProjectEnvTargetProjects2$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvTargetProjects1$inboundSchema: z.ZodNativeEnum<
  typeof RemoveProjectEnvTargetProjects1
> = z.nativeEnum(RemoveProjectEnvTargetProjects1);

/** @internal */
export const RemoveProjectEnvTargetProjects1$outboundSchema: z.ZodNativeEnum<
  typeof RemoveProjectEnvTargetProjects1
> = RemoveProjectEnvTargetProjects1$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvTargetProjects1$ {
  /** @deprecated use `RemoveProjectEnvTargetProjects1$inboundSchema` instead. */
  export const inboundSchema = RemoveProjectEnvTargetProjects1$inboundSchema;
  /** @deprecated use `RemoveProjectEnvTargetProjects1$outboundSchema` instead. */
  export const outboundSchema = RemoveProjectEnvTargetProjects1$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvResponseBodyProjectsTarget$inboundSchema:
  z.ZodType<RemoveProjectEnvResponseBodyProjectsTarget, z.ZodTypeDef, unknown> =
    z.union([
      z.array(RemoveProjectEnvTargetProjects1$inboundSchema),
      RemoveProjectEnvTargetProjects2$inboundSchema,
    ]);

/** @internal */
export type RemoveProjectEnvResponseBodyProjectsTarget$Outbound =
  | Array<string>
  | string;

/** @internal */
export const RemoveProjectEnvResponseBodyProjectsTarget$outboundSchema:
  z.ZodType<
    RemoveProjectEnvResponseBodyProjectsTarget$Outbound,
    z.ZodTypeDef,
    RemoveProjectEnvResponseBodyProjectsTarget
  > = z.union([
    z.array(RemoveProjectEnvTargetProjects1$outboundSchema),
    RemoveProjectEnvTargetProjects2$outboundSchema,
  ]);

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvResponseBodyProjectsTarget$ {
  /** @deprecated use `RemoveProjectEnvResponseBodyProjectsTarget$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvResponseBodyProjectsTarget$inboundSchema;
  /** @deprecated use `RemoveProjectEnvResponseBodyProjectsTarget$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvResponseBodyProjectsTarget$outboundSchema;
  /** @deprecated use `RemoveProjectEnvResponseBodyProjectsTarget$Outbound` instead. */
  export type Outbound = RemoveProjectEnvResponseBodyProjectsTarget$Outbound;
}

export function removeProjectEnvResponseBodyProjectsTargetToJSON(
  removeProjectEnvResponseBodyProjectsTarget:
    RemoveProjectEnvResponseBodyProjectsTarget,
): string {
  return JSON.stringify(
    RemoveProjectEnvResponseBodyProjectsTarget$outboundSchema.parse(
      removeProjectEnvResponseBodyProjectsTarget,
    ),
  );
}

export function removeProjectEnvResponseBodyProjectsTargetFromJSON(
  jsonString: string,
): SafeParseResult<
  RemoveProjectEnvResponseBodyProjectsTarget,
  SDKValidationError
> {
  return safeParse(
    jsonString,
    (x) =>
      RemoveProjectEnvResponseBodyProjectsTarget$inboundSchema.parse(
        JSON.parse(x),
      ),
    `Failed to parse 'RemoveProjectEnvResponseBodyProjectsTarget' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvResponseBodyProjectsType$inboundSchema:
  z.ZodNativeEnum<typeof RemoveProjectEnvResponseBodyProjectsType> = z
    .nativeEnum(RemoveProjectEnvResponseBodyProjectsType);

/** @internal */
export const RemoveProjectEnvResponseBodyProjectsType$outboundSchema:
  z.ZodNativeEnum<typeof RemoveProjectEnvResponseBodyProjectsType> =
    RemoveProjectEnvResponseBodyProjectsType$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvResponseBodyProjectsType$ {
  /** @deprecated use `RemoveProjectEnvResponseBodyProjectsType$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvResponseBodyProjectsType$inboundSchema;
  /** @deprecated use `RemoveProjectEnvResponseBodyProjectsType$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvResponseBodyProjectsType$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$inboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type
  > = z.nativeEnum(
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type,
  );

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$outboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type
  > =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvContentHintProjects15$inboundSchema: z.ZodType<
  RemoveProjectEnvContentHintProjects15,
  z.ZodTypeDef,
  unknown
> = z.object({
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$inboundSchema,
  projectId: z.string(),
});

/** @internal */
export type RemoveProjectEnvContentHintProjects15$Outbound = {
  type: string;
  projectId: string;
};

/** @internal */
export const RemoveProjectEnvContentHintProjects15$outboundSchema: z.ZodType<
  RemoveProjectEnvContentHintProjects15$Outbound,
  z.ZodTypeDef,
  RemoveProjectEnvContentHintProjects15
> = z.object({
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$outboundSchema,
  projectId: z.string(),
});

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjects15$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjects15$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjects15$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjects15$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjects15$outboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjects15$Outbound` instead. */
  export type Outbound = RemoveProjectEnvContentHintProjects15$Outbound;
}

export function removeProjectEnvContentHintProjects15ToJSON(
  removeProjectEnvContentHintProjects15: RemoveProjectEnvContentHintProjects15,
): string {
  return JSON.stringify(
    RemoveProjectEnvContentHintProjects15$outboundSchema.parse(
      removeProjectEnvContentHintProjects15,
    ),
  );
}

export function removeProjectEnvContentHintProjects15FromJSON(
  jsonString: string,
): SafeParseResult<RemoveProjectEnvContentHintProjects15, SDKValidationError> {
  return safeParse(
    jsonString,
    (x) =>
      RemoveProjectEnvContentHintProjects15$inboundSchema.parse(JSON.parse(x)),
    `Failed to parse 'RemoveProjectEnvContentHintProjects15' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$inboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type
  > = z.nativeEnum(
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type,
  );

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$outboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type
  > =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvContentHintProjects14$inboundSchema: z.ZodType<
  RemoveProjectEnvContentHintProjects14,
  z.ZodTypeDef,
  unknown
> = z.object({
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$inboundSchema,
  storeId: z.string(),
  integrationId: z.string(),
  integrationProductId: z.string(),
  integrationConfigurationId: z.string(),
});

/** @internal */
export type RemoveProjectEnvContentHintProjects14$Outbound = {
  type: string;
  storeId: string;
  integrationId: string;
  integrationProductId: string;
  integrationConfigurationId: string;
};

/** @internal */
export const RemoveProjectEnvContentHintProjects14$outboundSchema: z.ZodType<
  RemoveProjectEnvContentHintProjects14$Outbound,
  z.ZodTypeDef,
  RemoveProjectEnvContentHintProjects14
> = z.object({
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$outboundSchema,
  storeId: z.string(),
  integrationId: z.string(),
  integrationProductId: z.string(),
  integrationConfigurationId: z.string(),
});

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjects14$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjects14$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjects14$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjects14$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjects14$outboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjects14$Outbound` instead. */
  export type Outbound = RemoveProjectEnvContentHintProjects14$Outbound;
}

export function removeProjectEnvContentHintProjects14ToJSON(
  removeProjectEnvContentHintProjects14: RemoveProjectEnvContentHintProjects14,
): string {
  return JSON.stringify(
    RemoveProjectEnvContentHintProjects14$outboundSchema.parse(
      removeProjectEnvContentHintProjects14,
    ),
  );
}

export function removeProjectEnvContentHintProjects14FromJSON(
  jsonString: string,
): SafeParseResult<RemoveProjectEnvContentHintProjects14, SDKValidationError> {
  return safeParse(
    jsonString,
    (x) =>
      RemoveProjectEnvContentHintProjects14$inboundSchema.parse(JSON.parse(x)),
    `Failed to parse 'RemoveProjectEnvContentHintProjects14' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$inboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type
  > = z.nativeEnum(
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type,
  );

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$outboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type
  > =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvContentHintProjects13$inboundSchema: z.ZodType<
  RemoveProjectEnvContentHintProjects13,
  z.ZodTypeDef,
  unknown
> = z.object({
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$inboundSchema,
  storeId: z.string(),
});

/** @internal */
export type RemoveProjectEnvContentHintProjects13$Outbound = {
  type: string;
  storeId: string;
};

/** @internal */
export const RemoveProjectEnvContentHintProjects13$outboundSchema: z.ZodType<
  RemoveProjectEnvContentHintProjects13$Outbound,
  z.ZodTypeDef,
  RemoveProjectEnvContentHintProjects13
> = z.object({
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$outboundSchema,
  storeId: z.string(),
});

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjects13$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjects13$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjects13$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjects13$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjects13$outboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjects13$Outbound` instead. */
  export type Outbound = RemoveProjectEnvContentHintProjects13$Outbound;
}

export function removeProjectEnvContentHintProjects13ToJSON(
  removeProjectEnvContentHintProjects13: RemoveProjectEnvContentHintProjects13,
): string {
  return JSON.stringify(
    RemoveProjectEnvContentHintProjects13$outboundSchema.parse(
      removeProjectEnvContentHintProjects13,
    ),
  );
}

export function removeProjectEnvContentHintProjects13FromJSON(
  jsonString: string,
): SafeParseResult<RemoveProjectEnvContentHintProjects13, SDKValidationError> {
  return safeParse(
    jsonString,
    (x) =>
      RemoveProjectEnvContentHintProjects13$inboundSchema.parse(JSON.parse(x)),
    `Failed to parse 'RemoveProjectEnvContentHintProjects13' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$inboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type
  > = z.nativeEnum(
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type,
  );

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$outboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type
  > =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvContentHintProjects12$inboundSchema: z.ZodType<
  RemoveProjectEnvContentHintProjects12,
  z.ZodTypeDef,
  unknown
> = z.object({
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$inboundSchema,
  storeId: z.string(),
});

/** @internal */
export type RemoveProjectEnvContentHintProjects12$Outbound = {
  type: string;
  storeId: string;
};

/** @internal */
export const RemoveProjectEnvContentHintProjects12$outboundSchema: z.ZodType<
  RemoveProjectEnvContentHintProjects12$Outbound,
  z.ZodTypeDef,
  RemoveProjectEnvContentHintProjects12
> = z.object({
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$outboundSchema,
  storeId: z.string(),
});

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjects12$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjects12$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjects12$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjects12$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjects12$outboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjects12$Outbound` instead. */
  export type Outbound = RemoveProjectEnvContentHintProjects12$Outbound;
}

export function removeProjectEnvContentHintProjects12ToJSON(
  removeProjectEnvContentHintProjects12: RemoveProjectEnvContentHintProjects12,
): string {
  return JSON.stringify(
    RemoveProjectEnvContentHintProjects12$outboundSchema.parse(
      removeProjectEnvContentHintProjects12,
    ),
  );
}

export function removeProjectEnvContentHintProjects12FromJSON(
  jsonString: string,
): SafeParseResult<RemoveProjectEnvContentHintProjects12, SDKValidationError> {
  return safeParse(
    jsonString,
    (x) =>
      RemoveProjectEnvContentHintProjects12$inboundSchema.parse(JSON.parse(x)),
    `Failed to parse 'RemoveProjectEnvContentHintProjects12' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$inboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type
  > = z.nativeEnum(
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type,
  );

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$outboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type
  > =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvContentHintProjects11$inboundSchema: z.ZodType<
  RemoveProjectEnvContentHintProjects11,
  z.ZodTypeDef,
  unknown
> = z.object({
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$inboundSchema,
  storeId: z.string(),
});

/** @internal */
export type RemoveProjectEnvContentHintProjects11$Outbound = {
  type: string;
  storeId: string;
};

/** @internal */
export const RemoveProjectEnvContentHintProjects11$outboundSchema: z.ZodType<
  RemoveProjectEnvContentHintProjects11$Outbound,
  z.ZodTypeDef,
  RemoveProjectEnvContentHintProjects11
> = z.object({
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$outboundSchema,
  storeId: z.string(),
});

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjects11$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjects11$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjects11$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjects11$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjects11$outboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjects11$Outbound` instead. */
  export type Outbound = RemoveProjectEnvContentHintProjects11$Outbound;
}

export function removeProjectEnvContentHintProjects11ToJSON(
  removeProjectEnvContentHintProjects11: RemoveProjectEnvContentHintProjects11,
): string {
  return JSON.stringify(
    RemoveProjectEnvContentHintProjects11$outboundSchema.parse(
      removeProjectEnvContentHintProjects11,
    ),
  );
}

export function removeProjectEnvContentHintProjects11FromJSON(
  jsonString: string,
): SafeParseResult<RemoveProjectEnvContentHintProjects11, SDKValidationError> {
  return safeParse(
    jsonString,
    (x) =>
      RemoveProjectEnvContentHintProjects11$inboundSchema.parse(JSON.parse(x)),
    `Failed to parse 'RemoveProjectEnvContentHintProjects11' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$inboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type
  > = z.nativeEnum(
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type,
  );

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$outboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type
  > =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvContentHintProjects10$inboundSchema: z.ZodType<
  RemoveProjectEnvContentHintProjects10,
  z.ZodTypeDef,
  unknown
> = z.object({
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$inboundSchema,
  storeId: z.string(),
});

/** @internal */
export type RemoveProjectEnvContentHintProjects10$Outbound = {
  type: string;
  storeId: string;
};

/** @internal */
export const RemoveProjectEnvContentHintProjects10$outboundSchema: z.ZodType<
  RemoveProjectEnvContentHintProjects10$Outbound,
  z.ZodTypeDef,
  RemoveProjectEnvContentHintProjects10
> = z.object({
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$outboundSchema,
  storeId: z.string(),
});

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjects10$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjects10$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjects10$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjects10$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjects10$outboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjects10$Outbound` instead. */
  export type Outbound = RemoveProjectEnvContentHintProjects10$Outbound;
}

export function removeProjectEnvContentHintProjects10ToJSON(
  removeProjectEnvContentHintProjects10: RemoveProjectEnvContentHintProjects10,
): string {
  return JSON.stringify(
    RemoveProjectEnvContentHintProjects10$outboundSchema.parse(
      removeProjectEnvContentHintProjects10,
    ),
  );
}

export function removeProjectEnvContentHintProjects10FromJSON(
  jsonString: string,
): SafeParseResult<RemoveProjectEnvContentHintProjects10, SDKValidationError> {
  return safeParse(
    jsonString,
    (x) =>
      RemoveProjectEnvContentHintProjects10$inboundSchema.parse(JSON.parse(x)),
    `Failed to parse 'RemoveProjectEnvContentHintProjects10' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$inboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type
  > = z.nativeEnum(
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type,
  );

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$outboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type
  > =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvContentHintProjects9$inboundSchema: z.ZodType<
  RemoveProjectEnvContentHintProjects9,
  z.ZodTypeDef,
  unknown
> = z.object({
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$inboundSchema,
  storeId: z.string(),
});

/** @internal */
export type RemoveProjectEnvContentHintProjects9$Outbound = {
  type: string;
  storeId: string;
};

/** @internal */
export const RemoveProjectEnvContentHintProjects9$outboundSchema: z.ZodType<
  RemoveProjectEnvContentHintProjects9$Outbound,
  z.ZodTypeDef,
  RemoveProjectEnvContentHintProjects9
> = z.object({
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$outboundSchema,
  storeId: z.string(),
});

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjects9$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjects9$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjects9$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjects9$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjects9$outboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjects9$Outbound` instead. */
  export type Outbound = RemoveProjectEnvContentHintProjects9$Outbound;
}

export function removeProjectEnvContentHintProjects9ToJSON(
  removeProjectEnvContentHintProjects9: RemoveProjectEnvContentHintProjects9,
): string {
  return JSON.stringify(
    RemoveProjectEnvContentHintProjects9$outboundSchema.parse(
      removeProjectEnvContentHintProjects9,
    ),
  );
}

export function removeProjectEnvContentHintProjects9FromJSON(
  jsonString: string,
): SafeParseResult<RemoveProjectEnvContentHintProjects9, SDKValidationError> {
  return safeParse(
    jsonString,
    (x) =>
      RemoveProjectEnvContentHintProjects9$inboundSchema.parse(JSON.parse(x)),
    `Failed to parse 'RemoveProjectEnvContentHintProjects9' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$inboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type
  > = z.nativeEnum(
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type,
  );

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$outboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type
  > =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvContentHintProjects8$inboundSchema: z.ZodType<
  RemoveProjectEnvContentHintProjects8,
  z.ZodTypeDef,
  unknown
> = z.object({
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$inboundSchema,
  storeId: z.string(),
});

/** @internal */
export type RemoveProjectEnvContentHintProjects8$Outbound = {
  type: string;
  storeId: string;
};

/** @internal */
export const RemoveProjectEnvContentHintProjects8$outboundSchema: z.ZodType<
  RemoveProjectEnvContentHintProjects8$Outbound,
  z.ZodTypeDef,
  RemoveProjectEnvContentHintProjects8
> = z.object({
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$outboundSchema,
  storeId: z.string(),
});

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjects8$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjects8$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjects8$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjects8$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjects8$outboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjects8$Outbound` instead. */
  export type Outbound = RemoveProjectEnvContentHintProjects8$Outbound;
}

export function removeProjectEnvContentHintProjects8ToJSON(
  removeProjectEnvContentHintProjects8: RemoveProjectEnvContentHintProjects8,
): string {
  return JSON.stringify(
    RemoveProjectEnvContentHintProjects8$outboundSchema.parse(
      removeProjectEnvContentHintProjects8,
    ),
  );
}

export function removeProjectEnvContentHintProjects8FromJSON(
  jsonString: string,
): SafeParseResult<RemoveProjectEnvContentHintProjects8, SDKValidationError> {
  return safeParse(
    jsonString,
    (x) =>
      RemoveProjectEnvContentHintProjects8$inboundSchema.parse(JSON.parse(x)),
    `Failed to parse 'RemoveProjectEnvContentHintProjects8' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$inboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type
  > = z.nativeEnum(
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type,
  );

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$outboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type
  > =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvContentHintProjects7$inboundSchema: z.ZodType<
  RemoveProjectEnvContentHintProjects7,
  z.ZodTypeDef,
  unknown
> = z.object({
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$inboundSchema,
  storeId: z.string(),
});

/** @internal */
export type RemoveProjectEnvContentHintProjects7$Outbound = {
  type: string;
  storeId: string;
};

/** @internal */
export const RemoveProjectEnvContentHintProjects7$outboundSchema: z.ZodType<
  RemoveProjectEnvContentHintProjects7$Outbound,
  z.ZodTypeDef,
  RemoveProjectEnvContentHintProjects7
> = z.object({
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$outboundSchema,
  storeId: z.string(),
});

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjects7$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjects7$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjects7$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjects7$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjects7$outboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjects7$Outbound` instead. */
  export type Outbound = RemoveProjectEnvContentHintProjects7$Outbound;
}

export function removeProjectEnvContentHintProjects7ToJSON(
  removeProjectEnvContentHintProjects7: RemoveProjectEnvContentHintProjects7,
): string {
  return JSON.stringify(
    RemoveProjectEnvContentHintProjects7$outboundSchema.parse(
      removeProjectEnvContentHintProjects7,
    ),
  );
}

export function removeProjectEnvContentHintProjects7FromJSON(
  jsonString: string,
): SafeParseResult<RemoveProjectEnvContentHintProjects7, SDKValidationError> {
  return safeParse(
    jsonString,
    (x) =>
      RemoveProjectEnvContentHintProjects7$inboundSchema.parse(JSON.parse(x)),
    `Failed to parse 'RemoveProjectEnvContentHintProjects7' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$inboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type
  > = z.nativeEnum(
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type,
  );

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$outboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type
  > =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvContentHintProjects6$inboundSchema: z.ZodType<
  RemoveProjectEnvContentHintProjects6,
  z.ZodTypeDef,
  unknown
> = z.object({
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$inboundSchema,
  storeId: z.string(),
});

/** @internal */
export type RemoveProjectEnvContentHintProjects6$Outbound = {
  type: string;
  storeId: string;
};

/** @internal */
export const RemoveProjectEnvContentHintProjects6$outboundSchema: z.ZodType<
  RemoveProjectEnvContentHintProjects6$Outbound,
  z.ZodTypeDef,
  RemoveProjectEnvContentHintProjects6
> = z.object({
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$outboundSchema,
  storeId: z.string(),
});

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjects6$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjects6$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjects6$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjects6$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjects6$outboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjects6$Outbound` instead. */
  export type Outbound = RemoveProjectEnvContentHintProjects6$Outbound;
}

export function removeProjectEnvContentHintProjects6ToJSON(
  removeProjectEnvContentHintProjects6: RemoveProjectEnvContentHintProjects6,
): string {
  return JSON.stringify(
    RemoveProjectEnvContentHintProjects6$outboundSchema.parse(
      removeProjectEnvContentHintProjects6,
    ),
  );
}

export function removeProjectEnvContentHintProjects6FromJSON(
  jsonString: string,
): SafeParseResult<RemoveProjectEnvContentHintProjects6, SDKValidationError> {
  return safeParse(
    jsonString,
    (x) =>
      RemoveProjectEnvContentHintProjects6$inboundSchema.parse(JSON.parse(x)),
    `Failed to parse 'RemoveProjectEnvContentHintProjects6' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$inboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type
  > = z.nativeEnum(
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type,
  );

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$outboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type
  > =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvContentHintProjects5$inboundSchema: z.ZodType<
  RemoveProjectEnvContentHintProjects5,
  z.ZodTypeDef,
  unknown
> = z.object({
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$inboundSchema,
  storeId: z.string(),
});

/** @internal */
export type RemoveProjectEnvContentHintProjects5$Outbound = {
  type: string;
  storeId: string;
};

/** @internal */
export const RemoveProjectEnvContentHintProjects5$outboundSchema: z.ZodType<
  RemoveProjectEnvContentHintProjects5$Outbound,
  z.ZodTypeDef,
  RemoveProjectEnvContentHintProjects5
> = z.object({
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$outboundSchema,
  storeId: z.string(),
});

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjects5$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjects5$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjects5$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjects5$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjects5$outboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjects5$Outbound` instead. */
  export type Outbound = RemoveProjectEnvContentHintProjects5$Outbound;
}

export function removeProjectEnvContentHintProjects5ToJSON(
  removeProjectEnvContentHintProjects5: RemoveProjectEnvContentHintProjects5,
): string {
  return JSON.stringify(
    RemoveProjectEnvContentHintProjects5$outboundSchema.parse(
      removeProjectEnvContentHintProjects5,
    ),
  );
}

export function removeProjectEnvContentHintProjects5FromJSON(
  jsonString: string,
): SafeParseResult<RemoveProjectEnvContentHintProjects5, SDKValidationError> {
  return safeParse(
    jsonString,
    (x) =>
      RemoveProjectEnvContentHintProjects5$inboundSchema.parse(JSON.parse(x)),
    `Failed to parse 'RemoveProjectEnvContentHintProjects5' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$inboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type
  > = z.nativeEnum(
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type,
  );

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$outboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type
  > =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvContentHintProjects4$inboundSchema: z.ZodType<
  RemoveProjectEnvContentHintProjects4,
  z.ZodTypeDef,
  unknown
> = z.object({
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$inboundSchema,
  storeId: z.string(),
});

/** @internal */
export type RemoveProjectEnvContentHintProjects4$Outbound = {
  type: string;
  storeId: string;
};

/** @internal */
export const RemoveProjectEnvContentHintProjects4$outboundSchema: z.ZodType<
  RemoveProjectEnvContentHintProjects4$Outbound,
  z.ZodTypeDef,
  RemoveProjectEnvContentHintProjects4
> = z.object({
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$outboundSchema,
  storeId: z.string(),
});

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjects4$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjects4$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjects4$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjects4$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjects4$outboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjects4$Outbound` instead. */
  export type Outbound = RemoveProjectEnvContentHintProjects4$Outbound;
}

export function removeProjectEnvContentHintProjects4ToJSON(
  removeProjectEnvContentHintProjects4: RemoveProjectEnvContentHintProjects4,
): string {
  return JSON.stringify(
    RemoveProjectEnvContentHintProjects4$outboundSchema.parse(
      removeProjectEnvContentHintProjects4,
    ),
  );
}

export function removeProjectEnvContentHintProjects4FromJSON(
  jsonString: string,
): SafeParseResult<RemoveProjectEnvContentHintProjects4, SDKValidationError> {
  return safeParse(
    jsonString,
    (x) =>
      RemoveProjectEnvContentHintProjects4$inboundSchema.parse(JSON.parse(x)),
    `Failed to parse 'RemoveProjectEnvContentHintProjects4' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$inboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type
  > = z.nativeEnum(
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type,
  );

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$outboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type
  > =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvContentHintProjects3$inboundSchema: z.ZodType<
  RemoveProjectEnvContentHintProjects3,
  z.ZodTypeDef,
  unknown
> = z.object({
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$inboundSchema,
  storeId: z.string(),
});

/** @internal */
export type RemoveProjectEnvContentHintProjects3$Outbound = {
  type: string;
  storeId: string;
};

/** @internal */
export const RemoveProjectEnvContentHintProjects3$outboundSchema: z.ZodType<
  RemoveProjectEnvContentHintProjects3$Outbound,
  z.ZodTypeDef,
  RemoveProjectEnvContentHintProjects3
> = z.object({
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$outboundSchema,
  storeId: z.string(),
});

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjects3$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjects3$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjects3$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjects3$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjects3$outboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjects3$Outbound` instead. */
  export type Outbound = RemoveProjectEnvContentHintProjects3$Outbound;
}

export function removeProjectEnvContentHintProjects3ToJSON(
  removeProjectEnvContentHintProjects3: RemoveProjectEnvContentHintProjects3,
): string {
  return JSON.stringify(
    RemoveProjectEnvContentHintProjects3$outboundSchema.parse(
      removeProjectEnvContentHintProjects3,
    ),
  );
}

export function removeProjectEnvContentHintProjects3FromJSON(
  jsonString: string,
): SafeParseResult<RemoveProjectEnvContentHintProjects3, SDKValidationError> {
  return safeParse(
    jsonString,
    (x) =>
      RemoveProjectEnvContentHintProjects3$inboundSchema.parse(JSON.parse(x)),
    `Failed to parse 'RemoveProjectEnvContentHintProjects3' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$inboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type
  > = z.nativeEnum(
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type,
  );

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$outboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type
  > =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvContentHintProjects2$inboundSchema: z.ZodType<
  RemoveProjectEnvContentHintProjects2,
  z.ZodTypeDef,
  unknown
> = z.object({
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$inboundSchema,
  storeId: z.string(),
});

/** @internal */
export type RemoveProjectEnvContentHintProjects2$Outbound = {
  type: string;
  storeId: string;
};

/** @internal */
export const RemoveProjectEnvContentHintProjects2$outboundSchema: z.ZodType<
  RemoveProjectEnvContentHintProjects2$Outbound,
  z.ZodTypeDef,
  RemoveProjectEnvContentHintProjects2
> = z.object({
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$outboundSchema,
  storeId: z.string(),
});

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjects2$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjects2$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjects2$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjects2$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjects2$outboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjects2$Outbound` instead. */
  export type Outbound = RemoveProjectEnvContentHintProjects2$Outbound;
}

export function removeProjectEnvContentHintProjects2ToJSON(
  removeProjectEnvContentHintProjects2: RemoveProjectEnvContentHintProjects2,
): string {
  return JSON.stringify(
    RemoveProjectEnvContentHintProjects2$outboundSchema.parse(
      removeProjectEnvContentHintProjects2,
    ),
  );
}

export function removeProjectEnvContentHintProjects2FromJSON(
  jsonString: string,
): SafeParseResult<RemoveProjectEnvContentHintProjects2, SDKValidationError> {
  return safeParse(
    jsonString,
    (x) =>
      RemoveProjectEnvContentHintProjects2$inboundSchema.parse(JSON.parse(x)),
    `Failed to parse 'RemoveProjectEnvContentHintProjects2' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$inboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type
  > = z.nativeEnum(
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type,
  );

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$outboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type
  > =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvContentHintProjects1$inboundSchema: z.ZodType<
  RemoveProjectEnvContentHintProjects1,
  z.ZodTypeDef,
  unknown
> = z.object({
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$inboundSchema,
  storeId: z.string(),
});

/** @internal */
export type RemoveProjectEnvContentHintProjects1$Outbound = {
  type: string;
  storeId: string;
};

/** @internal */
export const RemoveProjectEnvContentHintProjects1$outboundSchema: z.ZodType<
  RemoveProjectEnvContentHintProjects1$Outbound,
  z.ZodTypeDef,
  RemoveProjectEnvContentHintProjects1
> = z.object({
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$outboundSchema,
  storeId: z.string(),
});

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjects1$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjects1$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjects1$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjects1$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjects1$outboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjects1$Outbound` instead. */
  export type Outbound = RemoveProjectEnvContentHintProjects1$Outbound;
}

export function removeProjectEnvContentHintProjects1ToJSON(
  removeProjectEnvContentHintProjects1: RemoveProjectEnvContentHintProjects1,
): string {
  return JSON.stringify(
    RemoveProjectEnvContentHintProjects1$outboundSchema.parse(
      removeProjectEnvContentHintProjects1,
    ),
  );
}

export function removeProjectEnvContentHintProjects1FromJSON(
  jsonString: string,
): SafeParseResult<RemoveProjectEnvContentHintProjects1, SDKValidationError> {
  return safeParse(
    jsonString,
    (x) =>
      RemoveProjectEnvContentHintProjects1$inboundSchema.parse(JSON.parse(x)),
    `Failed to parse 'RemoveProjectEnvContentHintProjects1' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvResponseBodyProjectsContentHint$inboundSchema:
  z.ZodType<
    RemoveProjectEnvResponseBodyProjectsContentHint,
    z.ZodTypeDef,
    unknown
  > = z.union([
    z.lazy(() => RemoveProjectEnvContentHintProjects1$inboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjects2$inboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjects3$inboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjects4$inboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjects5$inboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjects6$inboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjects7$inboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjects8$inboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjects9$inboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjects10$inboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjects11$inboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjects12$inboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjects13$inboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjects15$inboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjects14$inboundSchema),
  ]);

/** @internal */
export type RemoveProjectEnvResponseBodyProjectsContentHint$Outbound =
  | RemoveProjectEnvContentHintProjects1$Outbound
  | RemoveProjectEnvContentHintProjects2$Outbound
  | RemoveProjectEnvContentHintProjects3$Outbound
  | RemoveProjectEnvContentHintProjects4$Outbound
  | RemoveProjectEnvContentHintProjects5$Outbound
  | RemoveProjectEnvContentHintProjects6$Outbound
  | RemoveProjectEnvContentHintProjects7$Outbound
  | RemoveProjectEnvContentHintProjects8$Outbound
  | RemoveProjectEnvContentHintProjects9$Outbound
  | RemoveProjectEnvContentHintProjects10$Outbound
  | RemoveProjectEnvContentHintProjects11$Outbound
  | RemoveProjectEnvContentHintProjects12$Outbound
  | RemoveProjectEnvContentHintProjects13$Outbound
  | RemoveProjectEnvContentHintProjects15$Outbound
  | RemoveProjectEnvContentHintProjects14$Outbound;

/** @internal */
export const RemoveProjectEnvResponseBodyProjectsContentHint$outboundSchema:
  z.ZodType<
    RemoveProjectEnvResponseBodyProjectsContentHint$Outbound,
    z.ZodTypeDef,
    RemoveProjectEnvResponseBodyProjectsContentHint
  > = z.union([
    z.lazy(() => RemoveProjectEnvContentHintProjects1$outboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjects2$outboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjects3$outboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjects4$outboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjects5$outboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjects6$outboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjects7$outboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjects8$outboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjects9$outboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjects10$outboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjects11$outboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjects12$outboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjects13$outboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjects15$outboundSchema),
    z.lazy(() => RemoveProjectEnvContentHintProjects14$outboundSchema),
  ]);

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvResponseBodyProjectsContentHint$ {
  /** @deprecated use `RemoveProjectEnvResponseBodyProjectsContentHint$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvResponseBodyProjectsContentHint$inboundSchema;
  /** @deprecated use `RemoveProjectEnvResponseBodyProjectsContentHint$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvResponseBodyProjectsContentHint$outboundSchema;
  /** @deprecated use `RemoveProjectEnvResponseBodyProjectsContentHint$Outbound` instead. */
  export type Outbound =
    RemoveProjectEnvResponseBodyProjectsContentHint$Outbound;
}

export function removeProjectEnvResponseBodyProjectsContentHintToJSON(
  removeProjectEnvResponseBodyProjectsContentHint:
    RemoveProjectEnvResponseBodyProjectsContentHint,
): string {
  return JSON.stringify(
    RemoveProjectEnvResponseBodyProjectsContentHint$outboundSchema.parse(
      removeProjectEnvResponseBodyProjectsContentHint,
    ),
  );
}

export function removeProjectEnvResponseBodyProjectsContentHintFromJSON(
  jsonString: string,
): SafeParseResult<
  RemoveProjectEnvResponseBodyProjectsContentHint,
  SDKValidationError
> {
  return safeParse(
    jsonString,
    (x) =>
      RemoveProjectEnvResponseBodyProjectsContentHint$inboundSchema.parse(
        JSON.parse(x),
      ),
    `Failed to parse 'RemoveProjectEnvResponseBodyProjectsContentHint' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvResponseBodyProjectsResponse200Type$inboundSchema:
  z.ZodNativeEnum<typeof RemoveProjectEnvResponseBodyProjectsResponse200Type> =
    z.nativeEnum(RemoveProjectEnvResponseBodyProjectsResponse200Type);

/** @internal */
export const RemoveProjectEnvResponseBodyProjectsResponse200Type$outboundSchema:
  z.ZodNativeEnum<typeof RemoveProjectEnvResponseBodyProjectsResponse200Type> =
    RemoveProjectEnvResponseBodyProjectsResponse200Type$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvResponseBodyProjectsResponse200Type$ {
  /** @deprecated use `RemoveProjectEnvResponseBodyProjectsResponse200Type$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvResponseBodyProjectsResponse200Type$inboundSchema;
  /** @deprecated use `RemoveProjectEnvResponseBodyProjectsResponse200Type$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvResponseBodyProjectsResponse200Type$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvResponseBodyProjectsInternalContentHint$inboundSchema:
  z.ZodType<
    RemoveProjectEnvResponseBodyProjectsInternalContentHint,
    z.ZodTypeDef,
    unknown
  > = z.object({
    type: RemoveProjectEnvResponseBodyProjectsResponse200Type$inboundSchema,
    encryptedValue: z.string(),
  });

/** @internal */
export type RemoveProjectEnvResponseBodyProjectsInternalContentHint$Outbound = {
  type: string;
  encryptedValue: string;
};

/** @internal */
export const RemoveProjectEnvResponseBodyProjectsInternalContentHint$outboundSchema:
  z.ZodType<
    RemoveProjectEnvResponseBodyProjectsInternalContentHint$Outbound,
    z.ZodTypeDef,
    RemoveProjectEnvResponseBodyProjectsInternalContentHint
  > = z.object({
    type: RemoveProjectEnvResponseBodyProjectsResponse200Type$outboundSchema,
    encryptedValue: z.string(),
  });

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvResponseBodyProjectsInternalContentHint$ {
  /** @deprecated use `RemoveProjectEnvResponseBodyProjectsInternalContentHint$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvResponseBodyProjectsInternalContentHint$inboundSchema;
  /** @deprecated use `RemoveProjectEnvResponseBodyProjectsInternalContentHint$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvResponseBodyProjectsInternalContentHint$outboundSchema;
  /** @deprecated use `RemoveProjectEnvResponseBodyProjectsInternalContentHint$Outbound` instead. */
  export type Outbound =
    RemoveProjectEnvResponseBodyProjectsInternalContentHint$Outbound;
}

export function removeProjectEnvResponseBodyProjectsInternalContentHintToJSON(
  removeProjectEnvResponseBodyProjectsInternalContentHint:
    RemoveProjectEnvResponseBodyProjectsInternalContentHint,
): string {
  return JSON.stringify(
    RemoveProjectEnvResponseBodyProjectsInternalContentHint$outboundSchema
      .parse(removeProjectEnvResponseBodyProjectsInternalContentHint),
  );
}

export function removeProjectEnvResponseBodyProjectsInternalContentHintFromJSON(
  jsonString: string,
): SafeParseResult<
  RemoveProjectEnvResponseBodyProjectsInternalContentHint,
  SDKValidationError
> {
  return safeParse(
    jsonString,
    (x) =>
      RemoveProjectEnvResponseBodyProjectsInternalContentHint$inboundSchema
        .parse(JSON.parse(x)),
    `Failed to parse 'RemoveProjectEnvResponseBodyProjectsInternalContentHint' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvResponseBody2$inboundSchema: z.ZodType<
  RemoveProjectEnvResponseBody2,
  z.ZodTypeDef,
  unknown
> = z.object({
  system: z.boolean().optional(),
  target: z.union([
    z.array(RemoveProjectEnvTargetProjects1$inboundSchema),
    RemoveProjectEnvTargetProjects2$inboundSchema,
  ]).optional(),
  type: RemoveProjectEnvResponseBodyProjectsType$inboundSchema,
  sunsetSecretId: z.string().optional(),
  decrypted: z.boolean().optional(),
  value: z.string(),
  vsmValue: z.string().optional(),
  id: z.string().optional(),
  key: z.string(),
  configurationId: z.nullable(z.string()).optional(),
  createdAt: z.number().optional(),
  updatedAt: z.number().optional(),
  createdBy: z.nullable(z.string()).optional(),
  updatedBy: z.nullable(z.string()).optional(),
  gitBranch: z.string().optional(),
  edgeConfigId: z.nullable(z.string()).optional(),
  edgeConfigTokenId: z.nullable(z.string()).optional(),
  contentHint: z.nullable(
    z.union([
      z.lazy(() => RemoveProjectEnvContentHintProjects1$inboundSchema),
      z.lazy(() => RemoveProjectEnvContentHintProjects2$inboundSchema),
      z.lazy(() => RemoveProjectEnvContentHintProjects3$inboundSchema),
      z.lazy(() => RemoveProjectEnvContentHintProjects4$inboundSchema),
      z.lazy(() => RemoveProjectEnvContentHintProjects5$inboundSchema),
      z.lazy(() => RemoveProjectEnvContentHintProjects6$inboundSchema),
      z.lazy(() => RemoveProjectEnvContentHintProjects7$inboundSchema),
      z.lazy(() => RemoveProjectEnvContentHintProjects8$inboundSchema),
      z.lazy(() => RemoveProjectEnvContentHintProjects9$inboundSchema),
      z.lazy(() => RemoveProjectEnvContentHintProjects10$inboundSchema),
      z.lazy(() => RemoveProjectEnvContentHintProjects11$inboundSchema),
      z.lazy(() => RemoveProjectEnvContentHintProjects12$inboundSchema),
      z.lazy(() => RemoveProjectEnvContentHintProjects13$inboundSchema),
      z.lazy(() => RemoveProjectEnvContentHintProjects15$inboundSchema),
      z.lazy(() => RemoveProjectEnvContentHintProjects14$inboundSchema),
    ]),
  ).optional(),
  internalContentHint: z.nullable(
    z.lazy(() =>
      RemoveProjectEnvResponseBodyProjectsInternalContentHint$inboundSchema
    ),
  ).optional(),
  comment: z.string().optional(),
  customEnvironmentIds: z.array(z.string()).optional(),
});

/** @internal */
export type RemoveProjectEnvResponseBody2$Outbound = {
  system?: boolean | undefined;
  target?: Array<string> | string | undefined;
  type: string;
  sunsetSecretId?: string | undefined;
  decrypted?: boolean | undefined;
  value: string;
  vsmValue?: string | undefined;
  id?: string | undefined;
  key: string;
  configurationId?: string | null | undefined;
  createdAt?: number | undefined;
  updatedAt?: number | undefined;
  createdBy?: string | null | undefined;
  updatedBy?: string | null | undefined;
  gitBranch?: string | undefined;
  edgeConfigId?: string | null | undefined;
  edgeConfigTokenId?: string | null | undefined;
  contentHint?:
    | RemoveProjectEnvContentHintProjects1$Outbound
    | RemoveProjectEnvContentHintProjects2$Outbound
    | RemoveProjectEnvContentHintProjects3$Outbound
    | RemoveProjectEnvContentHintProjects4$Outbound
    | RemoveProjectEnvContentHintProjects5$Outbound
    | RemoveProjectEnvContentHintProjects6$Outbound
    | RemoveProjectEnvContentHintProjects7$Outbound
    | RemoveProjectEnvContentHintProjects8$Outbound
    | RemoveProjectEnvContentHintProjects9$Outbound
    | RemoveProjectEnvContentHintProjects10$Outbound
    | RemoveProjectEnvContentHintProjects11$Outbound
    | RemoveProjectEnvContentHintProjects12$Outbound
    | RemoveProjectEnvContentHintProjects13$Outbound
    | RemoveProjectEnvContentHintProjects15$Outbound
    | RemoveProjectEnvContentHintProjects14$Outbound
    | null
    | undefined;
  internalContentHint?:
    | RemoveProjectEnvResponseBodyProjectsInternalContentHint$Outbound
    | null
    | undefined;
  comment?: string | undefined;
  customEnvironmentIds?: Array<string> | undefined;
};

/** @internal */
export const RemoveProjectEnvResponseBody2$outboundSchema: z.ZodType<
  RemoveProjectEnvResponseBody2$Outbound,
  z.ZodTypeDef,
  RemoveProjectEnvResponseBody2
> = z.object({
  system: z.boolean().optional(),
  target: z.union([
    z.array(RemoveProjectEnvTargetProjects1$outboundSchema),
    RemoveProjectEnvTargetProjects2$outboundSchema,
  ]).optional(),
  type: RemoveProjectEnvResponseBodyProjectsType$outboundSchema,
  sunsetSecretId: z.string().optional(),
  decrypted: z.boolean().optional(),
  value: z.string(),
  vsmValue: z.string().optional(),
  id: z.string().optional(),
  key: z.string(),
  configurationId: z.nullable(z.string()).optional(),
  createdAt: z.number().optional(),
  updatedAt: z.number().optional(),
  createdBy: z.nullable(z.string()).optional(),
  updatedBy: z.nullable(z.string()).optional(),
  gitBranch: z.string().optional(),
  edgeConfigId: z.nullable(z.string()).optional(),
  edgeConfigTokenId: z.nullable(z.string()).optional(),
  contentHint: z.nullable(
    z.union([
      z.lazy(() => RemoveProjectEnvContentHintProjects1$outboundSchema),
      z.lazy(() => RemoveProjectEnvContentHintProjects2$outboundSchema),
      z.lazy(() => RemoveProjectEnvContentHintProjects3$outboundSchema),
      z.lazy(() => RemoveProjectEnvContentHintProjects4$outboundSchema),
      z.lazy(() => RemoveProjectEnvContentHintProjects5$outboundSchema),
      z.lazy(() => RemoveProjectEnvContentHintProjects6$outboundSchema),
      z.lazy(() => RemoveProjectEnvContentHintProjects7$outboundSchema),
      z.lazy(() => RemoveProjectEnvContentHintProjects8$outboundSchema),
      z.lazy(() => RemoveProjectEnvContentHintProjects9$outboundSchema),
      z.lazy(() => RemoveProjectEnvContentHintProjects10$outboundSchema),
      z.lazy(() => RemoveProjectEnvContentHintProjects11$outboundSchema),
      z.lazy(() => RemoveProjectEnvContentHintProjects12$outboundSchema),
      z.lazy(() => RemoveProjectEnvContentHintProjects13$outboundSchema),
      z.lazy(() => RemoveProjectEnvContentHintProjects15$outboundSchema),
      z.lazy(() => RemoveProjectEnvContentHintProjects14$outboundSchema),
    ]),
  ).optional(),
  internalContentHint: z.nullable(
    z.lazy(() =>
      RemoveProjectEnvResponseBodyProjectsInternalContentHint$outboundSchema
    ),
  ).optional(),
  comment: z.string().optional(),
  customEnvironmentIds: z.array(z.string()).optional(),
});

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvResponseBody2$ {
  /** @deprecated use `RemoveProjectEnvResponseBody2$inboundSchema` instead. */
  export const inboundSchema = RemoveProjectEnvResponseBody2$inboundSchema;
  /** @deprecated use `RemoveProjectEnvResponseBody2$outboundSchema` instead. */
  export const outboundSchema = RemoveProjectEnvResponseBody2$outboundSchema;
  /** @deprecated use `RemoveProjectEnvResponseBody2$Outbound` instead. */
  export type Outbound = RemoveProjectEnvResponseBody2$Outbound;
}

export function removeProjectEnvResponseBody2ToJSON(
  removeProjectEnvResponseBody2: RemoveProjectEnvResponseBody2,
): string {
  return JSON.stringify(
    RemoveProjectEnvResponseBody2$outboundSchema.parse(
      removeProjectEnvResponseBody2,
    ),
  );
}

export function removeProjectEnvResponseBody2FromJSON(
  jsonString: string,
): SafeParseResult<RemoveProjectEnvResponseBody2, SDKValidationError> {
  return safeParse(
    jsonString,
    (x) => RemoveProjectEnvResponseBody2$inboundSchema.parse(JSON.parse(x)),
    `Failed to parse 'RemoveProjectEnvResponseBody2' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvTarget2$inboundSchema: z.ZodNativeEnum<
  typeof RemoveProjectEnvTarget2
> = z.nativeEnum(RemoveProjectEnvTarget2);

/** @internal */
export const RemoveProjectEnvTarget2$outboundSchema: z.ZodNativeEnum<
  typeof RemoveProjectEnvTarget2
> = RemoveProjectEnvTarget2$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvTarget2$ {
  /** @deprecated use `RemoveProjectEnvTarget2$inboundSchema` instead. */
  export const inboundSchema = RemoveProjectEnvTarget2$inboundSchema;
  /** @deprecated use `RemoveProjectEnvTarget2$outboundSchema` instead. */
  export const outboundSchema = RemoveProjectEnvTarget2$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvTarget1$inboundSchema: z.ZodNativeEnum<
  typeof RemoveProjectEnvTarget1
> = z.nativeEnum(RemoveProjectEnvTarget1);

/** @internal */
export const RemoveProjectEnvTarget1$outboundSchema: z.ZodNativeEnum<
  typeof RemoveProjectEnvTarget1
> = RemoveProjectEnvTarget1$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvTarget1$ {
  /** @deprecated use `RemoveProjectEnvTarget1$inboundSchema` instead. */
  export const inboundSchema = RemoveProjectEnvTarget1$inboundSchema;
  /** @deprecated use `RemoveProjectEnvTarget1$outboundSchema` instead. */
  export const outboundSchema = RemoveProjectEnvTarget1$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvResponseBodyTarget$inboundSchema: z.ZodType<
  RemoveProjectEnvResponseBodyTarget,
  z.ZodTypeDef,
  unknown
> = z.union([
  z.array(RemoveProjectEnvTarget1$inboundSchema),
  RemoveProjectEnvTarget2$inboundSchema,
]);

/** @internal */
export type RemoveProjectEnvResponseBodyTarget$Outbound =
  | Array<string>
  | string;

/** @internal */
export const RemoveProjectEnvResponseBodyTarget$outboundSchema: z.ZodType<
  RemoveProjectEnvResponseBodyTarget$Outbound,
  z.ZodTypeDef,
  RemoveProjectEnvResponseBodyTarget
> = z.union([
  z.array(RemoveProjectEnvTarget1$outboundSchema),
  RemoveProjectEnvTarget2$outboundSchema,
]);

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvResponseBodyTarget$ {
  /** @deprecated use `RemoveProjectEnvResponseBodyTarget$inboundSchema` instead. */
  export const inboundSchema = RemoveProjectEnvResponseBodyTarget$inboundSchema;
  /** @deprecated use `RemoveProjectEnvResponseBodyTarget$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvResponseBodyTarget$outboundSchema;
  /** @deprecated use `RemoveProjectEnvResponseBodyTarget$Outbound` instead. */
  export type Outbound = RemoveProjectEnvResponseBodyTarget$Outbound;
}

export function removeProjectEnvResponseBodyTargetToJSON(
  removeProjectEnvResponseBodyTarget: RemoveProjectEnvResponseBodyTarget,
): string {
  return JSON.stringify(
    RemoveProjectEnvResponseBodyTarget$outboundSchema.parse(
      removeProjectEnvResponseBodyTarget,
    ),
  );
}

export function removeProjectEnvResponseBodyTargetFromJSON(
  jsonString: string,
): SafeParseResult<RemoveProjectEnvResponseBodyTarget, SDKValidationError> {
  return safeParse(
    jsonString,
    (x) =>
      RemoveProjectEnvResponseBodyTarget$inboundSchema.parse(JSON.parse(x)),
    `Failed to parse 'RemoveProjectEnvResponseBodyTarget' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvResponseBodyType$inboundSchema: z.ZodNativeEnum<
  typeof RemoveProjectEnvResponseBodyType
> = z.nativeEnum(RemoveProjectEnvResponseBodyType);

/** @internal */
export const RemoveProjectEnvResponseBodyType$outboundSchema: z.ZodNativeEnum<
  typeof RemoveProjectEnvResponseBodyType
> = RemoveProjectEnvResponseBodyType$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvResponseBodyType$ {
  /** @deprecated use `RemoveProjectEnvResponseBodyType$inboundSchema` instead. */
  export const inboundSchema = RemoveProjectEnvResponseBodyType$inboundSchema;
  /** @deprecated use `RemoveProjectEnvResponseBodyType$outboundSchema` instead. */
  export const outboundSchema = RemoveProjectEnvResponseBodyType$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$inboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type
  > = z.nativeEnum(
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type,
  );

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$outboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type
  > =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvContentHint15$inboundSchema: z.ZodType<
  RemoveProjectEnvContentHint15,
  z.ZodTypeDef,
  unknown
> = z.object({
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$inboundSchema,
  projectId: z.string(),
});

/** @internal */
export type RemoveProjectEnvContentHint15$Outbound = {
  type: string;
  projectId: string;
};

/** @internal */
export const RemoveProjectEnvContentHint15$outboundSchema: z.ZodType<
  RemoveProjectEnvContentHint15$Outbound,
  z.ZodTypeDef,
  RemoveProjectEnvContentHint15
> = z.object({
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$outboundSchema,
  projectId: z.string(),
});

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHint15$ {
  /** @deprecated use `RemoveProjectEnvContentHint15$inboundSchema` instead. */
  export const inboundSchema = RemoveProjectEnvContentHint15$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHint15$outboundSchema` instead. */
  export const outboundSchema = RemoveProjectEnvContentHint15$outboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHint15$Outbound` instead. */
  export type Outbound = RemoveProjectEnvContentHint15$Outbound;
}

export function removeProjectEnvContentHint15ToJSON(
  removeProjectEnvContentHint15: RemoveProjectEnvContentHint15,
): string {
  return JSON.stringify(
    RemoveProjectEnvContentHint15$outboundSchema.parse(
      removeProjectEnvContentHint15,
    ),
  );
}

export function removeProjectEnvContentHint15FromJSON(
  jsonString: string,
): SafeParseResult<RemoveProjectEnvContentHint15, SDKValidationError> {
  return safeParse(
    jsonString,
    (x) => RemoveProjectEnvContentHint15$inboundSchema.parse(JSON.parse(x)),
    `Failed to parse 'RemoveProjectEnvContentHint15' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$inboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type
  > = z.nativeEnum(
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type,
  );

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$outboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type
  > =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvContentHint14$inboundSchema: z.ZodType<
  RemoveProjectEnvContentHint14,
  z.ZodTypeDef,
  unknown
> = z.object({
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$inboundSchema,
  storeId: z.string(),
  integrationId: z.string(),
  integrationProductId: z.string(),
  integrationConfigurationId: z.string(),
});

/** @internal */
export type RemoveProjectEnvContentHint14$Outbound = {
  type: string;
  storeId: string;
  integrationId: string;
  integrationProductId: string;
  integrationConfigurationId: string;
};

/** @internal */
export const RemoveProjectEnvContentHint14$outboundSchema: z.ZodType<
  RemoveProjectEnvContentHint14$Outbound,
  z.ZodTypeDef,
  RemoveProjectEnvContentHint14
> = z.object({
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$outboundSchema,
  storeId: z.string(),
  integrationId: z.string(),
  integrationProductId: z.string(),
  integrationConfigurationId: z.string(),
});

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHint14$ {
  /** @deprecated use `RemoveProjectEnvContentHint14$inboundSchema` instead. */
  export const inboundSchema = RemoveProjectEnvContentHint14$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHint14$outboundSchema` instead. */
  export const outboundSchema = RemoveProjectEnvContentHint14$outboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHint14$Outbound` instead. */
  export type Outbound = RemoveProjectEnvContentHint14$Outbound;
}

export function removeProjectEnvContentHint14ToJSON(
  removeProjectEnvContentHint14: RemoveProjectEnvContentHint14,
): string {
  return JSON.stringify(
    RemoveProjectEnvContentHint14$outboundSchema.parse(
      removeProjectEnvContentHint14,
    ),
  );
}

export function removeProjectEnvContentHint14FromJSON(
  jsonString: string,
): SafeParseResult<RemoveProjectEnvContentHint14, SDKValidationError> {
  return safeParse(
    jsonString,
    (x) => RemoveProjectEnvContentHint14$inboundSchema.parse(JSON.parse(x)),
    `Failed to parse 'RemoveProjectEnvContentHint14' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$inboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type
  > = z.nativeEnum(
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type,
  );

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$outboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type
  > =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvContentHint13$inboundSchema: z.ZodType<
  RemoveProjectEnvContentHint13,
  z.ZodTypeDef,
  unknown
> = z.object({
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$inboundSchema,
  storeId: z.string(),
});

/** @internal */
export type RemoveProjectEnvContentHint13$Outbound = {
  type: string;
  storeId: string;
};

/** @internal */
export const RemoveProjectEnvContentHint13$outboundSchema: z.ZodType<
  RemoveProjectEnvContentHint13$Outbound,
  z.ZodTypeDef,
  RemoveProjectEnvContentHint13
> = z.object({
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$outboundSchema,
  storeId: z.string(),
});

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHint13$ {
  /** @deprecated use `RemoveProjectEnvContentHint13$inboundSchema` instead. */
  export const inboundSchema = RemoveProjectEnvContentHint13$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHint13$outboundSchema` instead. */
  export const outboundSchema = RemoveProjectEnvContentHint13$outboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHint13$Outbound` instead. */
  export type Outbound = RemoveProjectEnvContentHint13$Outbound;
}

export function removeProjectEnvContentHint13ToJSON(
  removeProjectEnvContentHint13: RemoveProjectEnvContentHint13,
): string {
  return JSON.stringify(
    RemoveProjectEnvContentHint13$outboundSchema.parse(
      removeProjectEnvContentHint13,
    ),
  );
}

export function removeProjectEnvContentHint13FromJSON(
  jsonString: string,
): SafeParseResult<RemoveProjectEnvContentHint13, SDKValidationError> {
  return safeParse(
    jsonString,
    (x) => RemoveProjectEnvContentHint13$inboundSchema.parse(JSON.parse(x)),
    `Failed to parse 'RemoveProjectEnvContentHint13' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$inboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type
  > = z.nativeEnum(
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type,
  );

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$outboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type
  > =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvContentHint12$inboundSchema: z.ZodType<
  RemoveProjectEnvContentHint12,
  z.ZodTypeDef,
  unknown
> = z.object({
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$inboundSchema,
  storeId: z.string(),
});

/** @internal */
export type RemoveProjectEnvContentHint12$Outbound = {
  type: string;
  storeId: string;
};

/** @internal */
export const RemoveProjectEnvContentHint12$outboundSchema: z.ZodType<
  RemoveProjectEnvContentHint12$Outbound,
  z.ZodTypeDef,
  RemoveProjectEnvContentHint12
> = z.object({
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$outboundSchema,
  storeId: z.string(),
});

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHint12$ {
  /** @deprecated use `RemoveProjectEnvContentHint12$inboundSchema` instead. */
  export const inboundSchema = RemoveProjectEnvContentHint12$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHint12$outboundSchema` instead. */
  export const outboundSchema = RemoveProjectEnvContentHint12$outboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHint12$Outbound` instead. */
  export type Outbound = RemoveProjectEnvContentHint12$Outbound;
}

export function removeProjectEnvContentHint12ToJSON(
  removeProjectEnvContentHint12: RemoveProjectEnvContentHint12,
): string {
  return JSON.stringify(
    RemoveProjectEnvContentHint12$outboundSchema.parse(
      removeProjectEnvContentHint12,
    ),
  );
}

export function removeProjectEnvContentHint12FromJSON(
  jsonString: string,
): SafeParseResult<RemoveProjectEnvContentHint12, SDKValidationError> {
  return safeParse(
    jsonString,
    (x) => RemoveProjectEnvContentHint12$inboundSchema.parse(JSON.parse(x)),
    `Failed to parse 'RemoveProjectEnvContentHint12' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$inboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type
  > = z.nativeEnum(
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type,
  );

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$outboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type
  > =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvContentHint11$inboundSchema: z.ZodType<
  RemoveProjectEnvContentHint11,
  z.ZodTypeDef,
  unknown
> = z.object({
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$inboundSchema,
  storeId: z.string(),
});

/** @internal */
export type RemoveProjectEnvContentHint11$Outbound = {
  type: string;
  storeId: string;
};

/** @internal */
export const RemoveProjectEnvContentHint11$outboundSchema: z.ZodType<
  RemoveProjectEnvContentHint11$Outbound,
  z.ZodTypeDef,
  RemoveProjectEnvContentHint11
> = z.object({
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$outboundSchema,
  storeId: z.string(),
});

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHint11$ {
  /** @deprecated use `RemoveProjectEnvContentHint11$inboundSchema` instead. */
  export const inboundSchema = RemoveProjectEnvContentHint11$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHint11$outboundSchema` instead. */
  export const outboundSchema = RemoveProjectEnvContentHint11$outboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHint11$Outbound` instead. */
  export type Outbound = RemoveProjectEnvContentHint11$Outbound;
}

export function removeProjectEnvContentHint11ToJSON(
  removeProjectEnvContentHint11: RemoveProjectEnvContentHint11,
): string {
  return JSON.stringify(
    RemoveProjectEnvContentHint11$outboundSchema.parse(
      removeProjectEnvContentHint11,
    ),
  );
}

export function removeProjectEnvContentHint11FromJSON(
  jsonString: string,
): SafeParseResult<RemoveProjectEnvContentHint11, SDKValidationError> {
  return safeParse(
    jsonString,
    (x) => RemoveProjectEnvContentHint11$inboundSchema.parse(JSON.parse(x)),
    `Failed to parse 'RemoveProjectEnvContentHint11' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$inboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type
  > = z.nativeEnum(
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type,
  );

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$outboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type
  > =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvContentHint10$inboundSchema: z.ZodType<
  RemoveProjectEnvContentHint10,
  z.ZodTypeDef,
  unknown
> = z.object({
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$inboundSchema,
  storeId: z.string(),
});

/** @internal */
export type RemoveProjectEnvContentHint10$Outbound = {
  type: string;
  storeId: string;
};

/** @internal */
export const RemoveProjectEnvContentHint10$outboundSchema: z.ZodType<
  RemoveProjectEnvContentHint10$Outbound,
  z.ZodTypeDef,
  RemoveProjectEnvContentHint10
> = z.object({
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$outboundSchema,
  storeId: z.string(),
});

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHint10$ {
  /** @deprecated use `RemoveProjectEnvContentHint10$inboundSchema` instead. */
  export const inboundSchema = RemoveProjectEnvContentHint10$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHint10$outboundSchema` instead. */
  export const outboundSchema = RemoveProjectEnvContentHint10$outboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHint10$Outbound` instead. */
  export type Outbound = RemoveProjectEnvContentHint10$Outbound;
}

export function removeProjectEnvContentHint10ToJSON(
  removeProjectEnvContentHint10: RemoveProjectEnvContentHint10,
): string {
  return JSON.stringify(
    RemoveProjectEnvContentHint10$outboundSchema.parse(
      removeProjectEnvContentHint10,
    ),
  );
}

export function removeProjectEnvContentHint10FromJSON(
  jsonString: string,
): SafeParseResult<RemoveProjectEnvContentHint10, SDKValidationError> {
  return safeParse(
    jsonString,
    (x) => RemoveProjectEnvContentHint10$inboundSchema.parse(JSON.parse(x)),
    `Failed to parse 'RemoveProjectEnvContentHint10' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$inboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type
  > = z.nativeEnum(
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type,
  );

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$outboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type
  > =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvContentHint9$inboundSchema: z.ZodType<
  RemoveProjectEnvContentHint9,
  z.ZodTypeDef,
  unknown
> = z.object({
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$inboundSchema,
  storeId: z.string(),
});

/** @internal */
export type RemoveProjectEnvContentHint9$Outbound = {
  type: string;
  storeId: string;
};

/** @internal */
export const RemoveProjectEnvContentHint9$outboundSchema: z.ZodType<
  RemoveProjectEnvContentHint9$Outbound,
  z.ZodTypeDef,
  RemoveProjectEnvContentHint9
> = z.object({
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$outboundSchema,
  storeId: z.string(),
});

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHint9$ {
  /** @deprecated use `RemoveProjectEnvContentHint9$inboundSchema` instead. */
  export const inboundSchema = RemoveProjectEnvContentHint9$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHint9$outboundSchema` instead. */
  export const outboundSchema = RemoveProjectEnvContentHint9$outboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHint9$Outbound` instead. */
  export type Outbound = RemoveProjectEnvContentHint9$Outbound;
}

export function removeProjectEnvContentHint9ToJSON(
  removeProjectEnvContentHint9: RemoveProjectEnvContentHint9,
): string {
  return JSON.stringify(
    RemoveProjectEnvContentHint9$outboundSchema.parse(
      removeProjectEnvContentHint9,
    ),
  );
}

export function removeProjectEnvContentHint9FromJSON(
  jsonString: string,
): SafeParseResult<RemoveProjectEnvContentHint9, SDKValidationError> {
  return safeParse(
    jsonString,
    (x) => RemoveProjectEnvContentHint9$inboundSchema.parse(JSON.parse(x)),
    `Failed to parse 'RemoveProjectEnvContentHint9' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$inboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type
  > = z.nativeEnum(
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type,
  );

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$outboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type
  > =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvContentHint8$inboundSchema: z.ZodType<
  RemoveProjectEnvContentHint8,
  z.ZodTypeDef,
  unknown
> = z.object({
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$inboundSchema,
  storeId: z.string(),
});

/** @internal */
export type RemoveProjectEnvContentHint8$Outbound = {
  type: string;
  storeId: string;
};

/** @internal */
export const RemoveProjectEnvContentHint8$outboundSchema: z.ZodType<
  RemoveProjectEnvContentHint8$Outbound,
  z.ZodTypeDef,
  RemoveProjectEnvContentHint8
> = z.object({
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$outboundSchema,
  storeId: z.string(),
});

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHint8$ {
  /** @deprecated use `RemoveProjectEnvContentHint8$inboundSchema` instead. */
  export const inboundSchema = RemoveProjectEnvContentHint8$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHint8$outboundSchema` instead. */
  export const outboundSchema = RemoveProjectEnvContentHint8$outboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHint8$Outbound` instead. */
  export type Outbound = RemoveProjectEnvContentHint8$Outbound;
}

export function removeProjectEnvContentHint8ToJSON(
  removeProjectEnvContentHint8: RemoveProjectEnvContentHint8,
): string {
  return JSON.stringify(
    RemoveProjectEnvContentHint8$outboundSchema.parse(
      removeProjectEnvContentHint8,
    ),
  );
}

export function removeProjectEnvContentHint8FromJSON(
  jsonString: string,
): SafeParseResult<RemoveProjectEnvContentHint8, SDKValidationError> {
  return safeParse(
    jsonString,
    (x) => RemoveProjectEnvContentHint8$inboundSchema.parse(JSON.parse(x)),
    `Failed to parse 'RemoveProjectEnvContentHint8' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$inboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type
  > = z.nativeEnum(
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type,
  );

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$outboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type
  > =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvContentHint7$inboundSchema: z.ZodType<
  RemoveProjectEnvContentHint7,
  z.ZodTypeDef,
  unknown
> = z.object({
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$inboundSchema,
  storeId: z.string(),
});

/** @internal */
export type RemoveProjectEnvContentHint7$Outbound = {
  type: string;
  storeId: string;
};

/** @internal */
export const RemoveProjectEnvContentHint7$outboundSchema: z.ZodType<
  RemoveProjectEnvContentHint7$Outbound,
  z.ZodTypeDef,
  RemoveProjectEnvContentHint7
> = z.object({
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$outboundSchema,
  storeId: z.string(),
});

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHint7$ {
  /** @deprecated use `RemoveProjectEnvContentHint7$inboundSchema` instead. */
  export const inboundSchema = RemoveProjectEnvContentHint7$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHint7$outboundSchema` instead. */
  export const outboundSchema = RemoveProjectEnvContentHint7$outboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHint7$Outbound` instead. */
  export type Outbound = RemoveProjectEnvContentHint7$Outbound;
}

export function removeProjectEnvContentHint7ToJSON(
  removeProjectEnvContentHint7: RemoveProjectEnvContentHint7,
): string {
  return JSON.stringify(
    RemoveProjectEnvContentHint7$outboundSchema.parse(
      removeProjectEnvContentHint7,
    ),
  );
}

export function removeProjectEnvContentHint7FromJSON(
  jsonString: string,
): SafeParseResult<RemoveProjectEnvContentHint7, SDKValidationError> {
  return safeParse(
    jsonString,
    (x) => RemoveProjectEnvContentHint7$inboundSchema.parse(JSON.parse(x)),
    `Failed to parse 'RemoveProjectEnvContentHint7' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType
  > = z.nativeEnum(
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType,
  );

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType
  > =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvContentHint6$inboundSchema: z.ZodType<
  RemoveProjectEnvContentHint6,
  z.ZodTypeDef,
  unknown
> = z.object({
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema,
  storeId: z.string(),
});

/** @internal */
export type RemoveProjectEnvContentHint6$Outbound = {
  type: string;
  storeId: string;
};

/** @internal */
export const RemoveProjectEnvContentHint6$outboundSchema: z.ZodType<
  RemoveProjectEnvContentHint6$Outbound,
  z.ZodTypeDef,
  RemoveProjectEnvContentHint6
> = z.object({
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema,
  storeId: z.string(),
});

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHint6$ {
  /** @deprecated use `RemoveProjectEnvContentHint6$inboundSchema` instead. */
  export const inboundSchema = RemoveProjectEnvContentHint6$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHint6$outboundSchema` instead. */
  export const outboundSchema = RemoveProjectEnvContentHint6$outboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHint6$Outbound` instead. */
  export type Outbound = RemoveProjectEnvContentHint6$Outbound;
}

export function removeProjectEnvContentHint6ToJSON(
  removeProjectEnvContentHint6: RemoveProjectEnvContentHint6,
): string {
  return JSON.stringify(
    RemoveProjectEnvContentHint6$outboundSchema.parse(
      removeProjectEnvContentHint6,
    ),
  );
}

export function removeProjectEnvContentHint6FromJSON(
  jsonString: string,
): SafeParseResult<RemoveProjectEnvContentHint6, SDKValidationError> {
  return safeParse(
    jsonString,
    (x) => RemoveProjectEnvContentHint6$inboundSchema.parse(JSON.parse(x)),
    `Failed to parse 'RemoveProjectEnvContentHint6' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType$inboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType
  > = z.nativeEnum(
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType,
  );

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType$outboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType
  > =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvContentHint5$inboundSchema: z.ZodType<
  RemoveProjectEnvContentHint5,
  z.ZodTypeDef,
  unknown
> = z.object({
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType$inboundSchema,
  storeId: z.string(),
});

/** @internal */
export type RemoveProjectEnvContentHint5$Outbound = {
  type: string;
  storeId: string;
};

/** @internal */
export const RemoveProjectEnvContentHint5$outboundSchema: z.ZodType<
  RemoveProjectEnvContentHint5$Outbound,
  z.ZodTypeDef,
  RemoveProjectEnvContentHint5
> = z.object({
  type:
    RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType$outboundSchema,
  storeId: z.string(),
});

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHint5$ {
  /** @deprecated use `RemoveProjectEnvContentHint5$inboundSchema` instead. */
  export const inboundSchema = RemoveProjectEnvContentHint5$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHint5$outboundSchema` instead. */
  export const outboundSchema = RemoveProjectEnvContentHint5$outboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHint5$Outbound` instead. */
  export type Outbound = RemoveProjectEnvContentHint5$Outbound;
}

export function removeProjectEnvContentHint5ToJSON(
  removeProjectEnvContentHint5: RemoveProjectEnvContentHint5,
): string {
  return JSON.stringify(
    RemoveProjectEnvContentHint5$outboundSchema.parse(
      removeProjectEnvContentHint5,
    ),
  );
}

export function removeProjectEnvContentHint5FromJSON(
  jsonString: string,
): SafeParseResult<RemoveProjectEnvContentHint5, SDKValidationError> {
  return safeParse(
    jsonString,
    (x) => RemoveProjectEnvContentHint5$inboundSchema.parse(JSON.parse(x)),
    `Failed to parse 'RemoveProjectEnvContentHint5' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200Type$inboundSchema:
  z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200Type> = z
    .nativeEnum(RemoveProjectEnvContentHintProjectsResponse200Type);

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponse200Type$outboundSchema:
  z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponse200Type> =
    RemoveProjectEnvContentHintProjectsResponse200Type$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponse200Type$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200Type$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200Type$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponse200Type$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponse200Type$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvContentHint4$inboundSchema: z.ZodType<
  RemoveProjectEnvContentHint4,
  z.ZodTypeDef,
  unknown
> = z.object({
  type: RemoveProjectEnvContentHintProjectsResponse200Type$inboundSchema,
  storeId: z.string(),
});

/** @internal */
export type RemoveProjectEnvContentHint4$Outbound = {
  type: string;
  storeId: string;
};

/** @internal */
export const RemoveProjectEnvContentHint4$outboundSchema: z.ZodType<
  RemoveProjectEnvContentHint4$Outbound,
  z.ZodTypeDef,
  RemoveProjectEnvContentHint4
> = z.object({
  type: RemoveProjectEnvContentHintProjectsResponse200Type$outboundSchema,
  storeId: z.string(),
});

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHint4$ {
  /** @deprecated use `RemoveProjectEnvContentHint4$inboundSchema` instead. */
  export const inboundSchema = RemoveProjectEnvContentHint4$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHint4$outboundSchema` instead. */
  export const outboundSchema = RemoveProjectEnvContentHint4$outboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHint4$Outbound` instead. */
  export type Outbound = RemoveProjectEnvContentHint4$Outbound;
}

export function removeProjectEnvContentHint4ToJSON(
  removeProjectEnvContentHint4: RemoveProjectEnvContentHint4,
): string {
  return JSON.stringify(
    RemoveProjectEnvContentHint4$outboundSchema.parse(
      removeProjectEnvContentHint4,
    ),
  );
}

export function removeProjectEnvContentHint4FromJSON(
  jsonString: string,
): SafeParseResult<RemoveProjectEnvContentHint4, SDKValidationError> {
  return safeParse(
    jsonString,
    (x) => RemoveProjectEnvContentHint4$inboundSchema.parse(JSON.parse(x)),
    `Failed to parse 'RemoveProjectEnvContentHint4' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponseType$inboundSchema:
  z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponseType> = z
    .nativeEnum(RemoveProjectEnvContentHintProjectsResponseType);

/** @internal */
export const RemoveProjectEnvContentHintProjectsResponseType$outboundSchema:
  z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsResponseType> =
    RemoveProjectEnvContentHintProjectsResponseType$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsResponseType$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponseType$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsResponseType$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsResponseType$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsResponseType$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvContentHint3$inboundSchema: z.ZodType<
  RemoveProjectEnvContentHint3,
  z.ZodTypeDef,
  unknown
> = z.object({
  type: RemoveProjectEnvContentHintProjectsResponseType$inboundSchema,
  storeId: z.string(),
});

/** @internal */
export type RemoveProjectEnvContentHint3$Outbound = {
  type: string;
  storeId: string;
};

/** @internal */
export const RemoveProjectEnvContentHint3$outboundSchema: z.ZodType<
  RemoveProjectEnvContentHint3$Outbound,
  z.ZodTypeDef,
  RemoveProjectEnvContentHint3
> = z.object({
  type: RemoveProjectEnvContentHintProjectsResponseType$outboundSchema,
  storeId: z.string(),
});

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHint3$ {
  /** @deprecated use `RemoveProjectEnvContentHint3$inboundSchema` instead. */
  export const inboundSchema = RemoveProjectEnvContentHint3$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHint3$outboundSchema` instead. */
  export const outboundSchema = RemoveProjectEnvContentHint3$outboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHint3$Outbound` instead. */
  export type Outbound = RemoveProjectEnvContentHint3$Outbound;
}

export function removeProjectEnvContentHint3ToJSON(
  removeProjectEnvContentHint3: RemoveProjectEnvContentHint3,
): string {
  return JSON.stringify(
    RemoveProjectEnvContentHint3$outboundSchema.parse(
      removeProjectEnvContentHint3,
    ),
  );
}

export function removeProjectEnvContentHint3FromJSON(
  jsonString: string,
): SafeParseResult<RemoveProjectEnvContentHint3, SDKValidationError> {
  return safeParse(
    jsonString,
    (x) => RemoveProjectEnvContentHint3$inboundSchema.parse(JSON.parse(x)),
    `Failed to parse 'RemoveProjectEnvContentHint3' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvContentHintProjectsType$inboundSchema:
  z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsType> = z
    .nativeEnum(RemoveProjectEnvContentHintProjectsType);

/** @internal */
export const RemoveProjectEnvContentHintProjectsType$outboundSchema:
  z.ZodNativeEnum<typeof RemoveProjectEnvContentHintProjectsType> =
    RemoveProjectEnvContentHintProjectsType$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintProjectsType$ {
  /** @deprecated use `RemoveProjectEnvContentHintProjectsType$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvContentHintProjectsType$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintProjectsType$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvContentHintProjectsType$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvContentHint2$inboundSchema: z.ZodType<
  RemoveProjectEnvContentHint2,
  z.ZodTypeDef,
  unknown
> = z.object({
  type: RemoveProjectEnvContentHintProjectsType$inboundSchema,
  storeId: z.string(),
});

/** @internal */
export type RemoveProjectEnvContentHint2$Outbound = {
  type: string;
  storeId: string;
};

/** @internal */
export const RemoveProjectEnvContentHint2$outboundSchema: z.ZodType<
  RemoveProjectEnvContentHint2$Outbound,
  z.ZodTypeDef,
  RemoveProjectEnvContentHint2
> = z.object({
  type: RemoveProjectEnvContentHintProjectsType$outboundSchema,
  storeId: z.string(),
});

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHint2$ {
  /** @deprecated use `RemoveProjectEnvContentHint2$inboundSchema` instead. */
  export const inboundSchema = RemoveProjectEnvContentHint2$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHint2$outboundSchema` instead. */
  export const outboundSchema = RemoveProjectEnvContentHint2$outboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHint2$Outbound` instead. */
  export type Outbound = RemoveProjectEnvContentHint2$Outbound;
}

export function removeProjectEnvContentHint2ToJSON(
  removeProjectEnvContentHint2: RemoveProjectEnvContentHint2,
): string {
  return JSON.stringify(
    RemoveProjectEnvContentHint2$outboundSchema.parse(
      removeProjectEnvContentHint2,
    ),
  );
}

export function removeProjectEnvContentHint2FromJSON(
  jsonString: string,
): SafeParseResult<RemoveProjectEnvContentHint2, SDKValidationError> {
  return safeParse(
    jsonString,
    (x) => RemoveProjectEnvContentHint2$inboundSchema.parse(JSON.parse(x)),
    `Failed to parse 'RemoveProjectEnvContentHint2' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvContentHintType$inboundSchema: z.ZodNativeEnum<
  typeof RemoveProjectEnvContentHintType
> = z.nativeEnum(RemoveProjectEnvContentHintType);

/** @internal */
export const RemoveProjectEnvContentHintType$outboundSchema: z.ZodNativeEnum<
  typeof RemoveProjectEnvContentHintType
> = RemoveProjectEnvContentHintType$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHintType$ {
  /** @deprecated use `RemoveProjectEnvContentHintType$inboundSchema` instead. */
  export const inboundSchema = RemoveProjectEnvContentHintType$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHintType$outboundSchema` instead. */
  export const outboundSchema = RemoveProjectEnvContentHintType$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvContentHint1$inboundSchema: z.ZodType<
  RemoveProjectEnvContentHint1,
  z.ZodTypeDef,
  unknown
> = z.object({
  type: RemoveProjectEnvContentHintType$inboundSchema,
  storeId: z.string(),
});

/** @internal */
export type RemoveProjectEnvContentHint1$Outbound = {
  type: string;
  storeId: string;
};

/** @internal */
export const RemoveProjectEnvContentHint1$outboundSchema: z.ZodType<
  RemoveProjectEnvContentHint1$Outbound,
  z.ZodTypeDef,
  RemoveProjectEnvContentHint1
> = z.object({
  type: RemoveProjectEnvContentHintType$outboundSchema,
  storeId: z.string(),
});

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvContentHint1$ {
  /** @deprecated use `RemoveProjectEnvContentHint1$inboundSchema` instead. */
  export const inboundSchema = RemoveProjectEnvContentHint1$inboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHint1$outboundSchema` instead. */
  export const outboundSchema = RemoveProjectEnvContentHint1$outboundSchema;
  /** @deprecated use `RemoveProjectEnvContentHint1$Outbound` instead. */
  export type Outbound = RemoveProjectEnvContentHint1$Outbound;
}

export function removeProjectEnvContentHint1ToJSON(
  removeProjectEnvContentHint1: RemoveProjectEnvContentHint1,
): string {
  return JSON.stringify(
    RemoveProjectEnvContentHint1$outboundSchema.parse(
      removeProjectEnvContentHint1,
    ),
  );
}

export function removeProjectEnvContentHint1FromJSON(
  jsonString: string,
): SafeParseResult<RemoveProjectEnvContentHint1, SDKValidationError> {
  return safeParse(
    jsonString,
    (x) => RemoveProjectEnvContentHint1$inboundSchema.parse(JSON.parse(x)),
    `Failed to parse 'RemoveProjectEnvContentHint1' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvResponseBodyContentHint$inboundSchema: z.ZodType<
  RemoveProjectEnvResponseBodyContentHint,
  z.ZodTypeDef,
  unknown
> = z.union([
  z.lazy(() => RemoveProjectEnvContentHint1$inboundSchema),
  z.lazy(() => RemoveProjectEnvContentHint2$inboundSchema),
  z.lazy(() => RemoveProjectEnvContentHint3$inboundSchema),
  z.lazy(() => RemoveProjectEnvContentHint4$inboundSchema),
  z.lazy(() => RemoveProjectEnvContentHint5$inboundSchema),
  z.lazy(() => RemoveProjectEnvContentHint6$inboundSchema),
  z.lazy(() => RemoveProjectEnvContentHint7$inboundSchema),
  z.lazy(() => RemoveProjectEnvContentHint8$inboundSchema),
  z.lazy(() => RemoveProjectEnvContentHint9$inboundSchema),
  z.lazy(() => RemoveProjectEnvContentHint10$inboundSchema),
  z.lazy(() => RemoveProjectEnvContentHint11$inboundSchema),
  z.lazy(() => RemoveProjectEnvContentHint12$inboundSchema),
  z.lazy(() => RemoveProjectEnvContentHint13$inboundSchema),
  z.lazy(() => RemoveProjectEnvContentHint15$inboundSchema),
  z.lazy(() => RemoveProjectEnvContentHint14$inboundSchema),
]);

/** @internal */
export type RemoveProjectEnvResponseBodyContentHint$Outbound =
  | RemoveProjectEnvContentHint1$Outbound
  | RemoveProjectEnvContentHint2$Outbound
  | RemoveProjectEnvContentHint3$Outbound
  | RemoveProjectEnvContentHint4$Outbound
  | RemoveProjectEnvContentHint5$Outbound
  | RemoveProjectEnvContentHint6$Outbound
  | RemoveProjectEnvContentHint7$Outbound
  | RemoveProjectEnvContentHint8$Outbound
  | RemoveProjectEnvContentHint9$Outbound
  | RemoveProjectEnvContentHint10$Outbound
  | RemoveProjectEnvContentHint11$Outbound
  | RemoveProjectEnvContentHint12$Outbound
  | RemoveProjectEnvContentHint13$Outbound
  | RemoveProjectEnvContentHint15$Outbound
  | RemoveProjectEnvContentHint14$Outbound;

/** @internal */
export const RemoveProjectEnvResponseBodyContentHint$outboundSchema: z.ZodType<
  RemoveProjectEnvResponseBodyContentHint$Outbound,
  z.ZodTypeDef,
  RemoveProjectEnvResponseBodyContentHint
> = z.union([
  z.lazy(() => RemoveProjectEnvContentHint1$outboundSchema),
  z.lazy(() => RemoveProjectEnvContentHint2$outboundSchema),
  z.lazy(() => RemoveProjectEnvContentHint3$outboundSchema),
  z.lazy(() => RemoveProjectEnvContentHint4$outboundSchema),
  z.lazy(() => RemoveProjectEnvContentHint5$outboundSchema),
  z.lazy(() => RemoveProjectEnvContentHint6$outboundSchema),
  z.lazy(() => RemoveProjectEnvContentHint7$outboundSchema),
  z.lazy(() => RemoveProjectEnvContentHint8$outboundSchema),
  z.lazy(() => RemoveProjectEnvContentHint9$outboundSchema),
  z.lazy(() => RemoveProjectEnvContentHint10$outboundSchema),
  z.lazy(() => RemoveProjectEnvContentHint11$outboundSchema),
  z.lazy(() => RemoveProjectEnvContentHint12$outboundSchema),
  z.lazy(() => RemoveProjectEnvContentHint13$outboundSchema),
  z.lazy(() => RemoveProjectEnvContentHint15$outboundSchema),
  z.lazy(() => RemoveProjectEnvContentHint14$outboundSchema),
]);

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvResponseBodyContentHint$ {
  /** @deprecated use `RemoveProjectEnvResponseBodyContentHint$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvResponseBodyContentHint$inboundSchema;
  /** @deprecated use `RemoveProjectEnvResponseBodyContentHint$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvResponseBodyContentHint$outboundSchema;
  /** @deprecated use `RemoveProjectEnvResponseBodyContentHint$Outbound` instead. */
  export type Outbound = RemoveProjectEnvResponseBodyContentHint$Outbound;
}

export function removeProjectEnvResponseBodyContentHintToJSON(
  removeProjectEnvResponseBodyContentHint:
    RemoveProjectEnvResponseBodyContentHint,
): string {
  return JSON.stringify(
    RemoveProjectEnvResponseBodyContentHint$outboundSchema.parse(
      removeProjectEnvResponseBodyContentHint,
    ),
  );
}

export function removeProjectEnvResponseBodyContentHintFromJSON(
  jsonString: string,
): SafeParseResult<
  RemoveProjectEnvResponseBodyContentHint,
  SDKValidationError
> {
  return safeParse(
    jsonString,
    (x) =>
      RemoveProjectEnvResponseBodyContentHint$inboundSchema.parse(
        JSON.parse(x),
      ),
    `Failed to parse 'RemoveProjectEnvResponseBodyContentHint' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$inboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType
  > = z.nativeEnum(
    RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType,
  );

/** @internal */
export const RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$outboundSchema:
  z.ZodNativeEnum<
    typeof RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType
  > =
    RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$inboundSchema;

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$ {
  /** @deprecated use `RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$inboundSchema;
  /** @deprecated use `RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$outboundSchema;
}

/** @internal */
export const RemoveProjectEnvResponseBodyInternalContentHint$inboundSchema:
  z.ZodType<
    RemoveProjectEnvResponseBodyInternalContentHint,
    z.ZodTypeDef,
    unknown
  > = z.object({
    type:
      RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$inboundSchema,
    encryptedValue: z.string(),
  });

/** @internal */
export type RemoveProjectEnvResponseBodyInternalContentHint$Outbound = {
  type: string;
  encryptedValue: string;
};

/** @internal */
export const RemoveProjectEnvResponseBodyInternalContentHint$outboundSchema:
  z.ZodType<
    RemoveProjectEnvResponseBodyInternalContentHint$Outbound,
    z.ZodTypeDef,
    RemoveProjectEnvResponseBodyInternalContentHint
  > = z.object({
    type:
      RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$outboundSchema,
    encryptedValue: z.string(),
  });

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvResponseBodyInternalContentHint$ {
  /** @deprecated use `RemoveProjectEnvResponseBodyInternalContentHint$inboundSchema` instead. */
  export const inboundSchema =
    RemoveProjectEnvResponseBodyInternalContentHint$inboundSchema;
  /** @deprecated use `RemoveProjectEnvResponseBodyInternalContentHint$outboundSchema` instead. */
  export const outboundSchema =
    RemoveProjectEnvResponseBodyInternalContentHint$outboundSchema;
  /** @deprecated use `RemoveProjectEnvResponseBodyInternalContentHint$Outbound` instead. */
  export type Outbound =
    RemoveProjectEnvResponseBodyInternalContentHint$Outbound;
}

export function removeProjectEnvResponseBodyInternalContentHintToJSON(
  removeProjectEnvResponseBodyInternalContentHint:
    RemoveProjectEnvResponseBodyInternalContentHint,
): string {
  return JSON.stringify(
    RemoveProjectEnvResponseBodyInternalContentHint$outboundSchema.parse(
      removeProjectEnvResponseBodyInternalContentHint,
    ),
  );
}

export function removeProjectEnvResponseBodyInternalContentHintFromJSON(
  jsonString: string,
): SafeParseResult<
  RemoveProjectEnvResponseBodyInternalContentHint,
  SDKValidationError
> {
  return safeParse(
    jsonString,
    (x) =>
      RemoveProjectEnvResponseBodyInternalContentHint$inboundSchema.parse(
        JSON.parse(x),
      ),
    `Failed to parse 'RemoveProjectEnvResponseBodyInternalContentHint' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvResponseBody1$inboundSchema: z.ZodType<
  RemoveProjectEnvResponseBody1,
  z.ZodTypeDef,
  unknown
> = z.object({
  target: z.union([
    z.array(RemoveProjectEnvTarget1$inboundSchema),
    RemoveProjectEnvTarget2$inboundSchema,
  ]).optional(),
  type: RemoveProjectEnvResponseBodyType$inboundSchema,
  sunsetSecretId: z.string().optional(),
  decrypted: z.boolean().optional(),
  value: z.string(),
  vsmValue: z.string().optional(),
  id: z.string().optional(),
  key: z.string(),
  configurationId: z.nullable(z.string()).optional(),
  createdAt: z.number().optional(),
  updatedAt: z.number().optional(),
  createdBy: z.nullable(z.string()).optional(),
  updatedBy: z.nullable(z.string()).optional(),
  gitBranch: z.string().optional(),
  edgeConfigId: z.nullable(z.string()).optional(),
  edgeConfigTokenId: z.nullable(z.string()).optional(),
  contentHint: z.nullable(
    z.union([
      z.lazy(() => RemoveProjectEnvContentHint1$inboundSchema),
      z.lazy(() => RemoveProjectEnvContentHint2$inboundSchema),
      z.lazy(() => RemoveProjectEnvContentHint3$inboundSchema),
      z.lazy(() => RemoveProjectEnvContentHint4$inboundSchema),
      z.lazy(() => RemoveProjectEnvContentHint5$inboundSchema),
      z.lazy(() => RemoveProjectEnvContentHint6$inboundSchema),
      z.lazy(() => RemoveProjectEnvContentHint7$inboundSchema),
      z.lazy(() => RemoveProjectEnvContentHint8$inboundSchema),
      z.lazy(() => RemoveProjectEnvContentHint9$inboundSchema),
      z.lazy(() => RemoveProjectEnvContentHint10$inboundSchema),
      z.lazy(() => RemoveProjectEnvContentHint11$inboundSchema),
      z.lazy(() => RemoveProjectEnvContentHint12$inboundSchema),
      z.lazy(() => RemoveProjectEnvContentHint13$inboundSchema),
      z.lazy(() => RemoveProjectEnvContentHint15$inboundSchema),
      z.lazy(() => RemoveProjectEnvContentHint14$inboundSchema),
    ]),
  ).optional(),
  internalContentHint: z.nullable(
    z.lazy(() => RemoveProjectEnvResponseBodyInternalContentHint$inboundSchema),
  ).optional(),
  comment: z.string().optional(),
  customEnvironmentIds: z.array(z.string()).optional(),
});

/** @internal */
export type RemoveProjectEnvResponseBody1$Outbound = {
  target?: Array<string> | string | undefined;
  type: string;
  sunsetSecretId?: string | undefined;
  decrypted?: boolean | undefined;
  value: string;
  vsmValue?: string | undefined;
  id?: string | undefined;
  key: string;
  configurationId?: string | null | undefined;
  createdAt?: number | undefined;
  updatedAt?: number | undefined;
  createdBy?: string | null | undefined;
  updatedBy?: string | null | undefined;
  gitBranch?: string | undefined;
  edgeConfigId?: string | null | undefined;
  edgeConfigTokenId?: string | null | undefined;
  contentHint?:
    | RemoveProjectEnvContentHint1$Outbound
    | RemoveProjectEnvContentHint2$Outbound
    | RemoveProjectEnvContentHint3$Outbound
    | RemoveProjectEnvContentHint4$Outbound
    | RemoveProjectEnvContentHint5$Outbound
    | RemoveProjectEnvContentHint6$Outbound
    | RemoveProjectEnvContentHint7$Outbound
    | RemoveProjectEnvContentHint8$Outbound
    | RemoveProjectEnvContentHint9$Outbound
    | RemoveProjectEnvContentHint10$Outbound
    | RemoveProjectEnvContentHint11$Outbound
    | RemoveProjectEnvContentHint12$Outbound
    | RemoveProjectEnvContentHint13$Outbound
    | RemoveProjectEnvContentHint15$Outbound
    | RemoveProjectEnvContentHint14$Outbound
    | null
    | undefined;
  internalContentHint?:
    | RemoveProjectEnvResponseBodyInternalContentHint$Outbound
    | null
    | undefined;
  comment?: string | undefined;
  customEnvironmentIds?: Array<string> | undefined;
};

/** @internal */
export const RemoveProjectEnvResponseBody1$outboundSchema: z.ZodType<
  RemoveProjectEnvResponseBody1$Outbound,
  z.ZodTypeDef,
  RemoveProjectEnvResponseBody1
> = z.object({
  target: z.union([
    z.array(RemoveProjectEnvTarget1$outboundSchema),
    RemoveProjectEnvTarget2$outboundSchema,
  ]).optional(),
  type: RemoveProjectEnvResponseBodyType$outboundSchema,
  sunsetSecretId: z.string().optional(),
  decrypted: z.boolean().optional(),
  value: z.string(),
  vsmValue: z.string().optional(),
  id: z.string().optional(),
  key: z.string(),
  configurationId: z.nullable(z.string()).optional(),
  createdAt: z.number().optional(),
  updatedAt: z.number().optional(),
  createdBy: z.nullable(z.string()).optional(),
  updatedBy: z.nullable(z.string()).optional(),
  gitBranch: z.string().optional(),
  edgeConfigId: z.nullable(z.string()).optional(),
  edgeConfigTokenId: z.nullable(z.string()).optional(),
  contentHint: z.nullable(
    z.union([
      z.lazy(() => RemoveProjectEnvContentHint1$outboundSchema),
      z.lazy(() => RemoveProjectEnvContentHint2$outboundSchema),
      z.lazy(() => RemoveProjectEnvContentHint3$outboundSchema),
      z.lazy(() => RemoveProjectEnvContentHint4$outboundSchema),
      z.lazy(() => RemoveProjectEnvContentHint5$outboundSchema),
      z.lazy(() => RemoveProjectEnvContentHint6$outboundSchema),
      z.lazy(() => RemoveProjectEnvContentHint7$outboundSchema),
      z.lazy(() => RemoveProjectEnvContentHint8$outboundSchema),
      z.lazy(() => RemoveProjectEnvContentHint9$outboundSchema),
      z.lazy(() => RemoveProjectEnvContentHint10$outboundSchema),
      z.lazy(() => RemoveProjectEnvContentHint11$outboundSchema),
      z.lazy(() => RemoveProjectEnvContentHint12$outboundSchema),
      z.lazy(() => RemoveProjectEnvContentHint13$outboundSchema),
      z.lazy(() => RemoveProjectEnvContentHint15$outboundSchema),
      z.lazy(() => RemoveProjectEnvContentHint14$outboundSchema),
    ]),
  ).optional(),
  internalContentHint: z.nullable(
    z.lazy(() =>
      RemoveProjectEnvResponseBodyInternalContentHint$outboundSchema
    ),
  ).optional(),
  comment: z.string().optional(),
  customEnvironmentIds: z.array(z.string()).optional(),
});

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvResponseBody1$ {
  /** @deprecated use `RemoveProjectEnvResponseBody1$inboundSchema` instead. */
  export const inboundSchema = RemoveProjectEnvResponseBody1$inboundSchema;
  /** @deprecated use `RemoveProjectEnvResponseBody1$outboundSchema` instead. */
  export const outboundSchema = RemoveProjectEnvResponseBody1$outboundSchema;
  /** @deprecated use `RemoveProjectEnvResponseBody1$Outbound` instead. */
  export type Outbound = RemoveProjectEnvResponseBody1$Outbound;
}

export function removeProjectEnvResponseBody1ToJSON(
  removeProjectEnvResponseBody1: RemoveProjectEnvResponseBody1,
): string {
  return JSON.stringify(
    RemoveProjectEnvResponseBody1$outboundSchema.parse(
      removeProjectEnvResponseBody1,
    ),
  );
}

export function removeProjectEnvResponseBody1FromJSON(
  jsonString: string,
): SafeParseResult<RemoveProjectEnvResponseBody1, SDKValidationError> {
  return safeParse(
    jsonString,
    (x) => RemoveProjectEnvResponseBody1$inboundSchema.parse(JSON.parse(x)),
    `Failed to parse 'RemoveProjectEnvResponseBody1' from JSON`,
  );
}

/** @internal */
export const RemoveProjectEnvResponseBody$inboundSchema: z.ZodType<
  RemoveProjectEnvResponseBody,
  z.ZodTypeDef,
  unknown
> = z.union([
  z.lazy(() => RemoveProjectEnvResponseBody3$inboundSchema),
  z.lazy(() => RemoveProjectEnvResponseBody2$inboundSchema),
  z.array(z.lazy(() => RemoveProjectEnvResponseBody1$inboundSchema)),
]);

/** @internal */
export type RemoveProjectEnvResponseBody$Outbound =
  | RemoveProjectEnvResponseBody3$Outbound
  | RemoveProjectEnvResponseBody2$Outbound
  | Array<RemoveProjectEnvResponseBody1$Outbound>;

/** @internal */
export const RemoveProjectEnvResponseBody$outboundSchema: z.ZodType<
  RemoveProjectEnvResponseBody$Outbound,
  z.ZodTypeDef,
  RemoveProjectEnvResponseBody
> = z.union([
  z.lazy(() => RemoveProjectEnvResponseBody3$outboundSchema),
  z.lazy(() => RemoveProjectEnvResponseBody2$outboundSchema),
  z.array(z.lazy(() => RemoveProjectEnvResponseBody1$outboundSchema)),
]);

/**
 * @internal
 * @deprecated This namespace will be removed in future versions. Use schemas and types that are exported directly from this module.
 */
export namespace RemoveProjectEnvResponseBody$ {
  /** @deprecated use `RemoveProjectEnvResponseBody$inboundSchema` instead. */
  export const inboundSchema = RemoveProjectEnvResponseBody$inboundSchema;
  /** @deprecated use `RemoveProjectEnvResponseBody$outboundSchema` instead. */
  export const outboundSchema = RemoveProjectEnvResponseBody$outboundSchema;
  /** @deprecated use `RemoveProjectEnvResponseBody$Outbound` instead. */
  export type Outbound = RemoveProjectEnvResponseBody$Outbound;
}

export function removeProjectEnvResponseBodyToJSON(
  removeProjectEnvResponseBody: RemoveProjectEnvResponseBody,
): string {
  return JSON.stringify(
    RemoveProjectEnvResponseBody$outboundSchema.parse(
      removeProjectEnvResponseBody,
    ),
  );
}

export function removeProjectEnvResponseBodyFromJSON(
  jsonString: string,
): SafeParseResult<RemoveProjectEnvResponseBody, SDKValidationError> {
  return safeParse(
    jsonString,
    (x) => RemoveProjectEnvResponseBody$inboundSchema.parse(JSON.parse(x)),
    `Failed to parse 'RemoveProjectEnvResponseBody' from JSON`,
  );
}
